/* A Bison parser, made by GNU Bison 3.0.2.  */

/* Bison implementation for Yacc-like parsers in C

   Copyright (C) 1984, 1989-1990, 2000-2013 Free Software Foundation, Inc.

   This program is free software: you can redistribute it and/or modify
   it under the terms of the GNU General Public License as published by
   the Free Software Foundation, either version 3 of the License, or
   (at your option) any later version.

   This program is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
   GNU General Public License for more details.

   You should have received a copy of the GNU General Public License
   along with this program.  If not, see <http://www.gnu.org/licenses/>.  */

/* As a special exception, you may create a larger work that contains
   part or all of the Bison parser skeleton and distribute that work
   under terms of your choice, so long as that work isn't itself a
   parser generator using the skeleton or a modified version thereof
   as a parser skeleton.  Alternatively, if you modify or redistribute
   the parser skeleton itself, you may (at your option) remove this
   special exception, which will cause the skeleton and the resulting
   Bison output files to be licensed under the GNU General Public
   License without this special exception.

   This special exception was added by the Free Software Foundation in
   version 2.2 of Bison.  */

/* C LALR(1) parser skeleton written by Richard Stallman, by
   simplifying the original so-called "semantic" parser.  */

/* All symbols defined below should begin with yy or YY, to avoid
   infringing on user name space.  This should be done even for local
   variables, as they might otherwise be expanded by user macros.
   There are some unavoidable exceptions within include files to
   define necessary library symbols; they are noted "INFRINGES ON
   USER NAME SPACE" below.  */

/* Identify Bison output.  */
#define YYBISON 1

/* Bison version.  */
#define YYBISON_VERSION "3.0.2"

/* Skeleton name.  */
#define YYSKELETON_NAME "yacc.c"

/* Pure parsers.  */
#define YYPURE 1

/* Push parsers.  */
#define YYPUSH 0

/* Pull parsers.  */
#define YYPULL 1


/* Substitute the variable and function names.  */
#define yyparse         base_yyparse
#define yylex           base_yylex
#define yyerror         base_yyerror
#define yydebug         base_yydebug
#define yynerrs         base_yynerrs


/* Copy the first part of user declarations.  */
#line 1 "gram.y" /* yacc.c:339  */


/*#define YYDEBUG 1*/
/*-------------------------------------------------------------------------
 *
 * gram.y
 *	  POSTGRESQL BISON rules/actions
 *
 * Portions Copyright (c) 1996-2013, PostgreSQL Global Development Group
 * Portions Copyright (c) 1994, Regents of the University of California
 *
 *
 * IDENTIFICATION
 *	  src/backend/parser/gram.y
 *
 * HISTORY
 *	  AUTHOR			DATE			MAJOR EVENT
 *	  Andrew Yu			Sept, 1994		POSTQUEL to SQL conversion
 *	  Andrew Yu			Oct, 1994		lispy code conversion
 *
 * NOTES
 *	  CAPITALS are used to represent terminal symbols.
 *	  non-capitals are used to represent non-terminals.
 *
 *	  In general, nothing in this file should initiate database accesses
 *	  nor depend on changeable state (such as SET variables).  If you do
 *	  database accesses, your code will fail when we have aborted the
 *	  current transaction and are just parsing commands to find the next
 *	  ROLLBACK or COMMIT.  If you make use of SET variables, then you
 *	  will do the wrong thing in multi-query strings like this:
 *			SET SQL_inheritance TO off; SELECT * FROM foo;
 *	  because the entire string is parsed by gram.y before the SET gets
 *	  executed.  Anything that depends on the database or changeable state
 *	  should be handled during parse analysis so that it happens at the
 *	  right time not the wrong time.  The handling of SQL_inheritance is
 *	  a good example.
 *
 * WARNINGS
 *	  If you use a list, make sure the datum is a node so that the printing
 *	  routines work.
 *
 *	  Sometimes we assign constants to makeStrings. Make sure we don't free
 *	  those.
 *
 *-------------------------------------------------------------------------
 */
#include "postgres.h"

#include <ctype.h>
#include <limits.h>

#include "catalog/index.h"
#include "catalog/namespace.h"
#include "catalog/pg_trigger.h"
#include "commands/defrem.h"
#include "commands/trigger.h"
#include "nodes/makefuncs.h"
#include "nodes/nodeFuncs.h"
#include "parser/gramparse.h"
#include "parser/parser.h"
#include "storage/lmgr.h"
#include "utils/date.h"
#include "utils/datetime.h"
#include "utils/numeric.h"
#include "utils/xml.h"


/*
 * Location tracking support --- simpler than bison's default, since we only
 * want to track the start position not the end position of each nonterminal.
 */
#define YYLLOC_DEFAULT(Current, Rhs, N) \
	do { \
		if ((N) > 0) \
			(Current) = (Rhs)[1]; \
		else \
			(Current) = (-1); \
	} while (0)

/*
 * The above macro assigns -1 (unknown) as the parse location of any
 * nonterminal that was reduced from an empty rule.  This is problematic
 * for nonterminals defined like
 *		OptFooList: / * EMPTY * / { ... } | OptFooList Foo { ... } ;
 * because we'll set -1 as the location during the first reduction and then
 * copy it during each subsequent reduction, leaving us with -1 for the
 * location even when the list is not empty.  To fix that, do this in the
 * action for the nonempty rule(s):
 *		if (@$ < 0) @$ = @2;
 * (Although we have many nonterminals that follow this pattern, we only
 * bother with fixing @$ like this when the nonterminal's parse location
 * is actually referenced in some rule.)
 */

/*
 * Bison doesn't allocate anything that needs to live across parser calls,
 * so we can easily have it use palloc instead of malloc.  This prevents
 * memory leaks if we error out during parsing.  Note this only works with
 * bison >= 2.0.  However, in bison 1.875 the default is to use alloca()
 * if possible, so there's not really much problem anyhow, at least if
 * you're building with gcc.
 */
#define YYMALLOC palloc
#define YYFREE   pfree

/* Private struct for the result of privilege_target production */
typedef struct PrivTarget
{
	GrantTargetType targtype;
	GrantObjectType objtype;
	List	   *objs;
} PrivTarget;

/* ConstraintAttributeSpec yields an integer bitmask of these flags: */
#define CAS_NOT_DEFERRABLE			0x01
#define CAS_DEFERRABLE				0x02
#define CAS_INITIALLY_IMMEDIATE		0x04
#define CAS_INITIALLY_DEFERRED		0x08
#define CAS_NOT_VALID				0x10
#define CAS_NO_INHERIT				0x20


#define parser_yyerror(msg)  scanner_yyerror(msg, yyscanner)
#define parser_errposition(pos)  scanner_errposition(pos, yyscanner)

static void base_yyerror(YYLTYPE *yylloc, core_yyscan_t yyscanner,
						 const char *msg);
static Node *makeColumnRef(char *colname, List *indirection,
						   int location, core_yyscan_t yyscanner);
static Node *makeTypeCast(Node *arg, TypeName *typename, int location);
static Node *makeStringConst(char *str, int location);
static Node *makeStringConstCast(char *str, int location, TypeName *typename);
static Node *makeIntConst(int val, int location);
static Node *makeFloatConst(char *str, int location);
static Node *makeBitStringConst(char *str, int location);
static Node *makeNullAConst(int location);
static Node *makeAConst(Value *v, int location);
static Node *makeBoolAConst(bool state, int location);
static void check_qualified_name(List *names, core_yyscan_t yyscanner);
static List *check_func_name(List *names, core_yyscan_t yyscanner);
static List *check_indirection(List *indirection, core_yyscan_t yyscanner);
static List *extractArgTypes(List *parameters);
static void insertSelectOptions(SelectStmt *stmt,
								List *sortClause, List *lockingClause,
								Node *limitOffset, Node *limitCount,
								WithClause *withClause,
								core_yyscan_t yyscanner);
static Node *makeSetOp(SetOperation op, bool all, Node *larg, Node *rarg);
static Node *doNegate(Node *n, int location);
static void doNegateFloat(Value *v);
static Node *makeAArrayExpr(List *elements, int location);
static Node *makeXmlExpr(XmlExprOp op, char *name, List *named_args,
						 List *args, int location);
static List *mergeTableFuncParameters(List *func_args, List *columns);
static TypeName *TableFuncTypeName(List *columns);
static RangeVar *makeRangeVarFromAnyName(List *names, int position, core_yyscan_t yyscanner);
static void SplitColQualList(List *qualList,
							 List **constraintList, CollateClause **collClause,
							 core_yyscan_t yyscanner);
static void processCASbits(int cas_bits, int location, const char *constrType,
			   bool *deferrable, bool *initdeferred, bool *not_valid,
			   bool *no_inherit, core_yyscan_t yyscanner);
static Node *makeRecursiveViewSelect(char *relname, List *aliases, Node *query);


#line 238 "gram.c" /* yacc.c:339  */

# ifndef YY_NULLPTR
#  if defined __cplusplus && 201103L <= __cplusplus
#   define YY_NULLPTR nullptr
#  else
#   define YY_NULLPTR 0
#  endif
# endif

/* Enabling verbose error messages.  */
#ifdef YYERROR_VERBOSE
# undef YYERROR_VERBOSE
# define YYERROR_VERBOSE 1
#else
# define YYERROR_VERBOSE 0
#endif

/* In a future release of Bison, this section will be replaced
   by #include "gram.h".  */
#ifndef YY_BASE_YY_GRAM_H_INCLUDED
# define YY_BASE_YY_GRAM_H_INCLUDED
/* Debug traces.  */
#ifndef YYDEBUG
# define YYDEBUG 0
#endif
#if YYDEBUG
extern int base_yydebug;
#endif

/* Token type.  */
#ifndef YYTOKENTYPE
# define YYTOKENTYPE
  enum yytokentype
  {
    IDENT = 258,
    FCONST = 259,
    SCONST = 260,
    BCONST = 261,
    XCONST = 262,
    Op = 263,
    ICONST = 264,
    PARAM = 265,
    TYPECAST = 266,
    DOT_DOT = 267,
    COLON_EQUALS = 268,
    ABORT_P = 269,
    ABSOLUTE_P = 270,
    ACCESS = 271,
    ACTION = 272,
    ADD_P = 273,
    ADMIN = 274,
    AFTER = 275,
    AGGREGATE = 276,
    ALL = 277,
    ALSO = 278,
    ALTER = 279,
    ALWAYS = 280,
    ANALYSE = 281,
    ANALYZE = 282,
    AND = 283,
    ANY = 284,
    ARRAY = 285,
    AS = 286,
    ASC = 287,
    ASSERTION = 288,
    ASSIGNMENT = 289,
    ASYMMETRIC = 290,
    AT = 291,
    ATTRIBUTE = 292,
    AUTHORIZATION = 293,
    BACKWARD = 294,
    BEFORE = 295,
    BEGIN_P = 296,
    BETWEEN = 297,
    BIGINT = 298,
    BINARY = 299,
    BIT = 300,
    BOOLEAN_P = 301,
    BOTH = 302,
    BY = 303,
    CACHE = 304,
    CALLED = 305,
    CASCADE = 306,
    CASCADED = 307,
    CASE = 308,
    CAST = 309,
    CATALOG_P = 310,
    CHAIN = 311,
    CHAR_P = 312,
    CHARACTER = 313,
    CHARACTERISTICS = 314,
    CHECK = 315,
    CHECKPOINT = 316,
    CLASS = 317,
    CLOSE = 318,
    CLUSTER = 319,
    COALESCE = 320,
    COLLATE = 321,
    COLLATION = 322,
    COLUMN = 323,
    COMMENT = 324,
    COMMENTS = 325,
    COMMIT = 326,
    COMMITTED = 327,
    CONCURRENTLY = 328,
    CONFIGURATION = 329,
    CONNECTION = 330,
    CONSTRAINT = 331,
    CONSTRAINTS = 332,
    CONTENT_P = 333,
    CONTINUE_P = 334,
    CONVERSION_P = 335,
    COPY = 336,
    COST = 337,
    CREATE = 338,
    CROSS = 339,
    CSV = 340,
    CURRENT_P = 341,
    CURRENT_CATALOG = 342,
    CURRENT_DATE = 343,
    CURRENT_ROLE = 344,
    CURRENT_SCHEMA = 345,
    CURRENT_TIME = 346,
    CURRENT_TIMESTAMP = 347,
    CURRENT_USER = 348,
    CURSOR = 349,
    CYCLE = 350,
    DATA_P = 351,
    DATABASE = 352,
    DAY_P = 353,
    DEALLOCATE = 354,
    DEC = 355,
    DECIMAL_P = 356,
    DECLARE = 357,
    DEFAULT = 358,
    DEFAULTS = 359,
    DEFERRABLE = 360,
    DEFERRED = 361,
    DEFINER = 362,
    DELETE_P = 363,
    DELIMITER = 364,
    DELIMITERS = 365,
    DESC = 366,
    DICTIONARY = 367,
    DISABLE_P = 368,
    DISCARD = 369,
    DISTINCT = 370,
    DO = 371,
    DOCUMENT_P = 372,
    DOMAIN_P = 373,
    DOUBLE_P = 374,
    DROP = 375,
    EACH = 376,
    ELSE = 377,
    ENABLE_P = 378,
    ENCODING = 379,
    ENCRYPTED = 380,
    END_P = 381,
    ENUM_P = 382,
    ESCAPE = 383,
    EVENT = 384,
    EXCEPT = 385,
    EXCLUDE = 386,
    EXCLUDING = 387,
    EXCLUSIVE = 388,
    EXECUTE = 389,
    EXISTS = 390,
    EXPLAIN = 391,
    EXTENSION = 392,
    EXTERNAL = 393,
    EXTRACT = 394,
    FALSE_P = 395,
    FAMILY = 396,
    FETCH = 397,
    FIRST_P = 398,
    FLOAT_P = 399,
    FOLLOWING = 400,
    FOR = 401,
    FORCE = 402,
    FOREIGN = 403,
    FORWARD = 404,
    FREEZE = 405,
    FROM = 406,
    FULL = 407,
    FUNCTION = 408,
    FUNCTIONS = 409,
    GLOBAL = 410,
    GRANT = 411,
    GRANTED = 412,
    GREATEST = 413,
    GROUP_P = 414,
    HANDLER = 415,
    HAVING = 416,
    HEADER_P = 417,
    HOLD = 418,
    HOUR_P = 419,
    IDENTITY_P = 420,
    IF_P = 421,
    ILIKE = 422,
    IMMEDIATE = 423,
    IMMUTABLE = 424,
    IMPLICIT_P = 425,
    IN_P = 426,
    INCLUDING = 427,
    INCREMENT = 428,
    INDEX = 429,
    INDEXES = 430,
    INHERIT = 431,
    INHERITS = 432,
    INITIALLY = 433,
    INLINE_P = 434,
    INNER_P = 435,
    INOUT = 436,
    INPUT_P = 437,
    INSENSITIVE = 438,
    INSERT = 439,
    INSTEAD = 440,
    INT_P = 441,
    INTEGER = 442,
    INTERSECT = 443,
    INTERVAL = 444,
    INTO = 445,
    INVOKER = 446,
    IS = 447,
    ISNULL = 448,
    ISOLATION = 449,
    JOIN = 450,
    KEY = 451,
    LABEL = 452,
    LANGUAGE = 453,
    LARGE_P = 454,
    LAST_P = 455,
    LATERAL_P = 456,
    LC_COLLATE_P = 457,
    LC_CTYPE_P = 458,
    LEADING = 459,
    LEAKPROOF = 460,
    LEAST = 461,
    LEFT = 462,
    LEVEL = 463,
    LIKE = 464,
    LIMIT = 465,
    LISTEN = 466,
    LOAD = 467,
    LOCAL = 468,
    LOCALTIME = 469,
    LOCALTIMESTAMP = 470,
    LOCATION = 471,
    LOCK_P = 472,
    MAPPING = 473,
    MATCH = 474,
    MATERIALIZED = 475,
    MAXVALUE = 476,
    MINUTE_P = 477,
    MINVALUE = 478,
    MODE = 479,
    MONTH_P = 480,
    MOVE = 481,
    NAME_P = 482,
    NAMES = 483,
    NATIONAL = 484,
    NATURAL = 485,
    NCHAR = 486,
    NEXT = 487,
    NO = 488,
    NONE = 489,
    NOT = 490,
    NOTHING = 491,
    NOTIFY = 492,
    NOTNULL = 493,
    NOWAIT = 494,
    NULL_P = 495,
    NULLIF = 496,
    NULLS_P = 497,
    NUMERIC = 498,
    OBJECT_P = 499,
    OF = 500,
    OFF = 501,
    OFFSET = 502,
    OIDS = 503,
    ON = 504,
    ONLY = 505,
    OPERATOR = 506,
    OPTION = 507,
    OPTIONS = 508,
    OR = 509,
    ORDER = 510,
    OUT_P = 511,
    OUTER_P = 512,
    OVER = 513,
    OVERLAPS = 514,
    OVERLAY = 515,
    OWNED = 516,
    OWNER = 517,
    PARSER = 518,
    PARTIAL = 519,
    PARTITION = 520,
    PASSING = 521,
    PASSWORD = 522,
    PLACING = 523,
    PLANS = 524,
    POSITION = 525,
    PRECEDING = 526,
    PRECISION = 527,
    PRESERVE = 528,
    PREPARE = 529,
    PREPARED = 530,
    PRIMARY = 531,
    PRIOR = 532,
    PRIVILEGES = 533,
    PROCEDURAL = 534,
    PROCEDURE = 535,
    PROGRAM = 536,
    QUOTE = 537,
    RANGE = 538,
    READ = 539,
    REAL = 540,
    REASSIGN = 541,
    RECHECK = 542,
    RECURSIVE = 543,
    REF = 544,
    REFERENCES = 545,
    REFRESH = 546,
    REINDEX = 547,
    RELATIVE_P = 548,
    RELEASE = 549,
    RENAME = 550,
    REPEATABLE = 551,
    REPLACE = 552,
    REPLICA = 553,
    RESET = 554,
    RESTART = 555,
    RESTRICT = 556,
    RETURNING = 557,
    RETURNS = 558,
    REVOKE = 559,
    RIGHT = 560,
    ROLE = 561,
    ROLLBACK = 562,
    ROW = 563,
    ROWS = 564,
    RULE = 565,
    SAVEPOINT = 566,
    SCHEMA = 567,
    SCROLL = 568,
    SEARCH = 569,
    SECOND_P = 570,
    SECURITY = 571,
    SELECT = 572,
    SEQUENCE = 573,
    SEQUENCES = 574,
    SERIALIZABLE = 575,
    SERVER = 576,
    SESSION = 577,
    SESSION_USER = 578,
    SET = 579,
    SETOF = 580,
    SHARE = 581,
    SHOW = 582,
    SIMILAR = 583,
    SIMPLE = 584,
    SMALLINT = 585,
    SNAPSHOT = 586,
    SOME = 587,
    STABLE = 588,
    STANDALONE_P = 589,
    START = 590,
    STATEMENT = 591,
    STATISTICS = 592,
    STDIN = 593,
    STDOUT = 594,
    STORAGE = 595,
    STRICT_P = 596,
    STRIP_P = 597,
    SUBSTRING = 598,
    SYMMETRIC = 599,
    SYSID = 600,
    SYSTEM_P = 601,
    TABLE = 602,
    TABLES = 603,
    TABLESPACE = 604,
    TEMP = 605,
    TEMPLATE = 606,
    TEMPORARY = 607,
    TEXT_P = 608,
    THEN = 609,
    TIME = 610,
    TIMESTAMP = 611,
    TO = 612,
    TRAILING = 613,
    TRANSACTION = 614,
    TREAT = 615,
    TRIGGER = 616,
    TRIM = 617,
    TRUE_P = 618,
    TRUNCATE = 619,
    TRUSTED = 620,
    TYPE_P = 621,
    TYPES_P = 622,
    UNBOUNDED = 623,
    UNCOMMITTED = 624,
    UNENCRYPTED = 625,
    UNION = 626,
    UNIQUE = 627,
    UNKNOWN = 628,
    UNLISTEN = 629,
    UNLOGGED = 630,
    UNTIL = 631,
    UPDATE = 632,
    USER = 633,
    USING = 634,
    VACUUM = 635,
    VALID = 636,
    VALIDATE = 637,
    VALIDATOR = 638,
    VALUE_P = 639,
    VALUES = 640,
    VARCHAR = 641,
    VARIADIC = 642,
    VARYING = 643,
    VERBOSE = 644,
    VERSION_P = 645,
    VIEW = 646,
    VOLATILE = 647,
    WHEN = 648,
    WHERE = 649,
    WHITESPACE_P = 650,
    WINDOW = 651,
    WITH = 652,
    WITHOUT = 653,
    WORK = 654,
    WRAPPER = 655,
    WRITE = 656,
    XML_P = 657,
    XMLATTRIBUTES = 658,
    XMLCONCAT = 659,
    XMLELEMENT = 660,
    XMLEXISTS = 661,
    XMLFOREST = 662,
    XMLPARSE = 663,
    XMLPI = 664,
    XMLROOT = 665,
    XMLSERIALIZE = 666,
    YEAR_P = 667,
    YES_P = 668,
    ZONE = 669,
    NULLS_FIRST = 670,
    NULLS_LAST = 671,
    WITH_TIME = 672,
    POSTFIXOP = 673,
    UMINUS = 674
  };
#endif

/* Value type.  */
#if ! defined YYSTYPE && ! defined YYSTYPE_IS_DECLARED
typedef union YYSTYPE YYSTYPE;
union YYSTYPE
{
#line 176 "gram.y" /* yacc.c:355  */

	core_YYSTYPE		core_yystype;
	/* these fields must match core_YYSTYPE: */
	int					ival;
	char				*str;
	const char			*keyword;

	char				chr;
	bool				boolean;
	JoinType			jtype;
	DropBehavior		dbehavior;
	OnCommitAction		oncommit;
	List				*list;
	Node				*node;
	Value				*value;
	ObjectType			objtype;
	TypeName			*typnam;
	FunctionParameter   *fun_param;
	FunctionParameterMode fun_param_mode;
	FuncWithArgs		*funwithargs;
	DefElem				*defelt;
	SortBy				*sortby;
	WindowDef			*windef;
	JoinExpr			*jexpr;
	IndexElem			*ielem;
	Alias				*alias;
	RangeVar			*range;
	IntoClause			*into;
	WithClause			*with;
	A_Indices			*aind;
	ResTarget			*target;
	struct PrivTarget	*privtarget;
	AccessPriv			*accesspriv;
	InsertStmt			*istmt;
	VariableSetStmt		*vsetstmt;

#line 735 "gram.c" /* yacc.c:355  */
};
# define YYSTYPE_IS_TRIVIAL 1
# define YYSTYPE_IS_DECLARED 1
#endif

/* Location type.  */
#if ! defined YYLTYPE && ! defined YYLTYPE_IS_DECLARED
typedef struct YYLTYPE YYLTYPE;
struct YYLTYPE
{
  int first_line;
  int first_column;
  int last_line;
  int last_column;
};
# define YYLTYPE_IS_DECLARED 1
# define YYLTYPE_IS_TRIVIAL 1
#endif



int base_yyparse (core_yyscan_t yyscanner);

#endif /* !YY_BASE_YY_GRAM_H_INCLUDED  */

/* Copy the second part of user declarations.  */

#line 763 "gram.c" /* yacc.c:358  */

#ifdef short
# undef short
#endif

#ifdef YYTYPE_UINT8
typedef YYTYPE_UINT8 yytype_uint8;
#else
typedef unsigned char yytype_uint8;
#endif

#ifdef YYTYPE_INT8
typedef YYTYPE_INT8 yytype_int8;
#else
typedef signed char yytype_int8;
#endif

#ifdef YYTYPE_UINT16
typedef YYTYPE_UINT16 yytype_uint16;
#else
typedef unsigned short int yytype_uint16;
#endif

#ifdef YYTYPE_INT16
typedef YYTYPE_INT16 yytype_int16;
#else
typedef short int yytype_int16;
#endif

#ifndef YYSIZE_T
# ifdef __SIZE_TYPE__
#  define YYSIZE_T __SIZE_TYPE__
# elif defined size_t
#  define YYSIZE_T size_t
# elif ! defined YYSIZE_T
#  include <stddef.h> /* INFRINGES ON USER NAME SPACE */
#  define YYSIZE_T size_t
# else
#  define YYSIZE_T unsigned int
# endif
#endif

#define YYSIZE_MAXIMUM ((YYSIZE_T) -1)

#ifndef YY_
# if defined YYENABLE_NLS && YYENABLE_NLS
#  if ENABLE_NLS
#   include <libintl.h> /* INFRINGES ON USER NAME SPACE */
#   define YY_(Msgid) dgettext ("bison-runtime", Msgid)
#  endif
# endif
# ifndef YY_
#  define YY_(Msgid) Msgid
# endif
#endif

#ifndef YY_ATTRIBUTE
# if (defined __GNUC__                                               \
      && (2 < __GNUC__ || (__GNUC__ == 2 && 96 <= __GNUC_MINOR__)))  \
     || defined __SUNPRO_C && 0x5110 <= __SUNPRO_C
#  define YY_ATTRIBUTE(Spec) __attribute__(Spec)
# else
#  define YY_ATTRIBUTE(Spec) /* empty */
# endif
#endif

#ifndef YY_ATTRIBUTE_PURE
# define YY_ATTRIBUTE_PURE   YY_ATTRIBUTE ((__pure__))
#endif

#ifndef YY_ATTRIBUTE_UNUSED
# define YY_ATTRIBUTE_UNUSED YY_ATTRIBUTE ((__unused__))
#endif

#if !defined _Noreturn \
     && (!defined __STDC_VERSION__ || __STDC_VERSION__ < 201112)
# if defined _MSC_VER && 1200 <= _MSC_VER
#  define _Noreturn __declspec (noreturn)
# else
#  define _Noreturn YY_ATTRIBUTE ((__noreturn__))
# endif
#endif

/* Suppress unused-variable warnings by "using" E.  */
#if ! defined lint || defined __GNUC__
# define YYUSE(E) ((void) (E))
#else
# define YYUSE(E) /* empty */
#endif

#if defined __GNUC__ && 407 <= __GNUC__ * 100 + __GNUC_MINOR__
/* Suppress an incorrect diagnostic about yylval being uninitialized.  */
# define YY_IGNORE_MAYBE_UNINITIALIZED_BEGIN \
    _Pragma ("GCC diagnostic push") \
    _Pragma ("GCC diagnostic ignored \"-Wuninitialized\"")\
    _Pragma ("GCC diagnostic ignored \"-Wmaybe-uninitialized\"")
# define YY_IGNORE_MAYBE_UNINITIALIZED_END \
    _Pragma ("GCC diagnostic pop")
#else
# define YY_INITIAL_VALUE(Value) Value
#endif
#ifndef YY_IGNORE_MAYBE_UNINITIALIZED_BEGIN
# define YY_IGNORE_MAYBE_UNINITIALIZED_BEGIN
# define YY_IGNORE_MAYBE_UNINITIALIZED_END
#endif
#ifndef YY_INITIAL_VALUE
# define YY_INITIAL_VALUE(Value) /* Nothing. */
#endif


#if ! defined yyoverflow || YYERROR_VERBOSE

/* The parser invokes alloca or malloc; define the necessary symbols.  */

# ifdef YYSTACK_USE_ALLOCA
#  if YYSTACK_USE_ALLOCA
#   ifdef __GNUC__
#    define YYSTACK_ALLOC __builtin_alloca
#   elif defined __BUILTIN_VA_ARG_INCR
#    include <alloca.h> /* INFRINGES ON USER NAME SPACE */
#   elif defined _AIX
#    define YYSTACK_ALLOC __alloca
#   elif defined _MSC_VER
#    include <malloc.h> /* INFRINGES ON USER NAME SPACE */
#    define alloca _alloca
#   else
#    define YYSTACK_ALLOC alloca
#    if ! defined _ALLOCA_H && ! defined EXIT_SUCCESS
#     include <stdlib.h> /* INFRINGES ON USER NAME SPACE */
      /* Use EXIT_SUCCESS as a witness for stdlib.h.  */
#     ifndef EXIT_SUCCESS
#      define EXIT_SUCCESS 0
#     endif
#    endif
#   endif
#  endif
# endif

# ifdef YYSTACK_ALLOC
   /* Pacify GCC's 'empty if-body' warning.  */
#  define YYSTACK_FREE(Ptr) do { /* empty */; } while (0)
#  ifndef YYSTACK_ALLOC_MAXIMUM
    /* The OS might guarantee only one guard page at the bottom of the stack,
       and a page size can be as small as 4096 bytes.  So we cannot safely
       invoke alloca (N) if N exceeds 4096.  Use a slightly smaller number
       to allow for a few compiler-allocated temporary stack slots.  */
#   define YYSTACK_ALLOC_MAXIMUM 4032 /* reasonable circa 2006 */
#  endif
# else
#  define YYSTACK_ALLOC YYMALLOC
#  define YYSTACK_FREE YYFREE
#  ifndef YYSTACK_ALLOC_MAXIMUM
#   define YYSTACK_ALLOC_MAXIMUM YYSIZE_MAXIMUM
#  endif
#  if (defined __cplusplus && ! defined EXIT_SUCCESS \
       && ! ((defined YYMALLOC || defined malloc) \
             && (defined YYFREE || defined free)))
#   include <stdlib.h> /* INFRINGES ON USER NAME SPACE */
#   ifndef EXIT_SUCCESS
#    define EXIT_SUCCESS 0
#   endif
#  endif
#  ifndef YYMALLOC
#   define YYMALLOC malloc
#   if ! defined malloc && ! defined EXIT_SUCCESS
void *malloc (YYSIZE_T); /* INFRINGES ON USER NAME SPACE */
#   endif
#  endif
#  ifndef YYFREE
#   define YYFREE free
#   if ! defined free && ! defined EXIT_SUCCESS
void free (void *); /* INFRINGES ON USER NAME SPACE */
#   endif
#  endif
# endif
#endif /* ! defined yyoverflow || YYERROR_VERBOSE */


#if (! defined yyoverflow \
     && (! defined __cplusplus \
         || (defined YYLTYPE_IS_TRIVIAL && YYLTYPE_IS_TRIVIAL \
             && defined YYSTYPE_IS_TRIVIAL && YYSTYPE_IS_TRIVIAL)))

/* A type that is properly aligned for any stack member.  */
union yyalloc
{
  yytype_int16 yyss_alloc;
  YYSTYPE yyvs_alloc;
  YYLTYPE yyls_alloc;
};

/* The size of the maximum gap between one aligned stack and the next.  */
# define YYSTACK_GAP_MAXIMUM (sizeof (union yyalloc) - 1)

/* The size of an array large to enough to hold all stacks, each with
   N elements.  */
# define YYSTACK_BYTES(N) \
     ((N) * (sizeof (yytype_int16) + sizeof (YYSTYPE) + sizeof (YYLTYPE)) \
      + 2 * YYSTACK_GAP_MAXIMUM)

# define YYCOPY_NEEDED 1

/* Relocate STACK from its old location to the new one.  The
   local variables YYSIZE and YYSTACKSIZE give the old and new number of
   elements in the stack, and YYPTR gives the new location of the
   stack.  Advance YYPTR to a properly aligned location for the next
   stack.  */
# define YYSTACK_RELOCATE(Stack_alloc, Stack)                           \
    do                                                                  \
      {                                                                 \
        YYSIZE_T yynewbytes;                                            \
        YYCOPY (&yyptr->Stack_alloc, Stack, yysize);                    \
        Stack = &yyptr->Stack_alloc;                                    \
        yynewbytes = yystacksize * sizeof (*Stack) + YYSTACK_GAP_MAXIMUM; \
        yyptr += yynewbytes / sizeof (*yyptr);                          \
      }                                                                 \
    while (0)

#endif

#if defined YYCOPY_NEEDED && YYCOPY_NEEDED
/* Copy COUNT objects from SRC to DST.  The source and destination do
   not overlap.  */
# ifndef YYCOPY
#  if defined __GNUC__ && 1 < __GNUC__
#   define YYCOPY(Dst, Src, Count) \
      __builtin_memcpy (Dst, Src, (Count) * sizeof (*(Src)))
#  else
#   define YYCOPY(Dst, Src, Count)              \
      do                                        \
        {                                       \
          YYSIZE_T yyi;                         \
          for (yyi = 0; yyi < (Count); yyi++)   \
            (Dst)[yyi] = (Src)[yyi];            \
        }                                       \
      while (0)
#  endif
# endif
#endif /* !YYCOPY_NEEDED */

/* YYFINAL -- State number of the termination state.  */
#define YYFINAL  715
/* YYLAST -- Last index in YYTABLE.  */
#define YYLAST   76135

/* YYNTOKENS -- Number of terminals.  */
#define YYNTOKENS  437
/* YYNNTS -- Number of nonterminals.  */
#define YYNNTS  558
/* YYNRULES -- Number of rules.  */
#define YYNRULES  2320
/* YYNSTATES -- Number of states.  */
#define YYNSTATES  4460

/* YYTRANSLATE[YYX] -- Symbol number corresponding to YYX as returned
   by yylex, with out-of-bounds checking.  */
#define YYUNDEFTOK  2
#define YYMAXUTOK   674

#define YYTRANSLATE(YYX)                                                \
  ((unsigned int) (YYX) <= YYMAXUTOK ? yytranslate[YYX] : YYUNDEFTOK)

/* YYTRANSLATE[TOKEN-NUM] -- Symbol number corresponding to TOKEN-NUM
   as returned by yylex, without out-of-bounds checking.  */
static const yytype_uint16 yytranslate[] =
{
       0,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,   426,     2,     2,
     431,   432,   424,   422,   435,   423,   433,   425,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,   436,   434,
     419,   418,   420,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,   429,     2,   430,   427,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     1,     2,     3,     4,
       5,     6,     7,     8,     9,    10,    11,    12,    13,    14,
      15,    16,    17,    18,    19,    20,    21,    22,    23,    24,
      25,    26,    27,    28,    29,    30,    31,    32,    33,    34,
      35,    36,    37,    38,    39,    40,    41,    42,    43,    44,
      45,    46,    47,    48,    49,    50,    51,    52,    53,    54,
      55,    56,    57,    58,    59,    60,    61,    62,    63,    64,
      65,    66,    67,    68,    69,    70,    71,    72,    73,    74,
      75,    76,    77,    78,    79,    80,    81,    82,    83,    84,
      85,    86,    87,    88,    89,    90,    91,    92,    93,    94,
      95,    96,    97,    98,    99,   100,   101,   102,   103,   104,
     105,   106,   107,   108,   109,   110,   111,   112,   113,   114,
     115,   116,   117,   118,   119,   120,   121,   122,   123,   124,
     125,   126,   127,   128,   129,   130,   131,   132,   133,   134,
     135,   136,   137,   138,   139,   140,   141,   142,   143,   144,
     145,   146,   147,   148,   149,   150,   151,   152,   153,   154,
     155,   156,   157,   158,   159,   160,   161,   162,   163,   164,
     165,   166,   167,   168,   169,   170,   171,   172,   173,   174,
     175,   176,   177,   178,   179,   180,   181,   182,   183,   184,
     185,   186,   187,   188,   189,   190,   191,   192,   193,   194,
     195,   196,   197,   198,   199,   200,   201,   202,   203,   204,
     205,   206,   207,   208,   209,   210,   211,   212,   213,   214,
     215,   216,   217,   218,   219,   220,   221,   222,   223,   224,
     225,   226,   227,   228,   229,   230,   231,   232,   233,   234,
     235,   236,   237,   238,   239,   240,   241,   242,   243,   244,
     245,   246,   247,   248,   249,   250,   251,   252,   253,   254,
     255,   256,   257,   258,   259,   260,   261,   262,   263,   264,
     265,   266,   267,   268,   269,   270,   271,   272,   273,   274,
     275,   276,   277,   278,   279,   280,   281,   282,   283,   284,
     285,   286,   287,   288,   289,   290,   291,   292,   293,   294,
     295,   296,   297,   298,   299,   300,   301,   302,   303,   304,
     305,   306,   307,   308,   309,   310,   311,   312,   313,   314,
     315,   316,   317,   318,   319,   320,   321,   322,   323,   324,
     325,   326,   327,   328,   329,   330,   331,   332,   333,   334,
     335,   336,   337,   338,   339,   340,   341,   342,   343,   344,
     345,   346,   347,   348,   349,   350,   351,   352,   353,   354,
     355,   356,   357,   358,   359,   360,   361,   362,   363,   364,
     365,   366,   367,   368,   369,   370,   371,   372,   373,   374,
     375,   376,   377,   378,   379,   380,   381,   382,   383,   384,
     385,   386,   387,   388,   389,   390,   391,   392,   393,   394,
     395,   396,   397,   398,   399,   400,   401,   402,   403,   404,
     405,   406,   407,   408,   409,   410,   411,   412,   413,   414,
     415,   416,   417,   421,   428
};

#if YYDEBUG
  /* YYRLINE[YYN] -- Source line where rule number YYN was defined.  */
static const yytype_uint16 yyrline[] =
{
       0,   678,   678,   685,   692,   702,   703,   704,   705,   706,
     707,   708,   709,   710,   711,   712,   713,   714,   715,   716,
     717,   718,   719,   720,   721,   722,   723,   724,   725,   726,
     727,   728,   729,   730,   731,   732,   733,   734,   735,   736,
     737,   738,   739,   740,   741,   742,   743,   744,   745,   746,
     747,   748,   749,   750,   751,   752,   753,   754,   755,   756,
     757,   758,   759,   760,   761,   762,   763,   764,   765,   766,
     767,   768,   769,   770,   771,   772,   773,   774,   775,   776,
     777,   778,   779,   780,   781,   782,   783,   784,   785,   786,
     787,   788,   789,   790,   791,   792,   793,   794,   795,   796,
     797,   798,   799,   800,   801,   802,   803,   804,   805,   806,
     807,   808,   809,   810,   811,   812,   813,   814,   815,   817,
     827,   838,   839,   848,   849,   853,   854,   858,   863,   867,
     872,   877,   881,   885,   890,   894,   948,   950,   954,   958,
     962,   966,   980,   998,  1009,  1010,  1014,  1022,  1040,  1052,
    1060,  1081,  1088,  1107,  1114,  1131,  1149,  1160,  1161,  1173,
    1180,  1197,  1210,  1220,  1238,  1256,  1257,  1261,  1268,  1276,
    1277,  1278,  1279,  1280,  1281,  1295,  1301,  1307,  1316,  1324,
    1332,  1336,  1344,  1352,  1359,  1366,  1374,  1385,  1393,  1401,
    1412,  1420,  1428,  1435,  1444,  1454,  1455,  1462,  1463,  1466,
    1468,  1472,  1473,  1474,  1475,  1479,  1480,  1481,  1487,  1499,
    1503,  1507,  1522,  1545,  1546,  1547,  1551,  1552,  1553,  1557,
    1558,  1562,  1569,  1576,  1583,  1590,  1600,  1601,  1606,  1607,
    1612,  1618,  1624,  1630,  1636,  1646,  1656,  1657,  1661,  1662,
    1670,  1685,  1691,  1697,  1703,  1721,  1730,  1739,  1748,  1757,
    1766,  1775,  1784,  1793,  1802,  1814,  1815,  1820,  1828,  1836,
    1845,  1853,  1861,  1870,  1879,  1888,  1897,  1907,  1920,  1934,
    1943,  1951,  1959,  1969,  1979,  1986,  1993,  2001,  2009,  2017,
    2025,  2033,  2040,  2047,  2055,  2062,  2069,  2077,  2085,  2093,
    2101,  2109,  2117,  2127,  2134,  2142,  2150,  2158,  2165,  2175,
    2176,  2180,  2181,  2182,  2186,  2194,  2198,  2199,  2203,  2206,
    2207,  2211,  2212,  2217,  2221,  2225,  2230,  2245,  2258,  2259,
    2264,  2273,  2283,  2293,  2318,  2324,  2354,  2383,  2405,  2406,
    2410,  2411,  2420,  2421,  2422,  2425,  2426,  2431,  2432,  2436,
    2440,  2444,  2448,  2452,  2456,  2460,  2464,  2468,  2472,  2476,
    2480,  2484,  2493,  2497,  2501,  2505,  2509,  2513,  2517,  2518,
    2523,  2527,  2534,  2541,  2542,  2543,  2544,  2545,  2549,  2553,
    2561,  2572,  2587,  2603,  2619,  2648,  2649,  2650,  2651,  2652,
    2659,  2666,  2667,  2671,  2672,  2676,  2677,  2681,  2685,  2692,
    2696,  2703,  2704,  2705,  2709,  2710,  2713,  2733,  2753,  2754,
    2758,  2766,  2767,  2768,  2799,  2806,  2813,  2824,  2835,  2845,
    2854,  2887,  2894,  2901,  2908,  2919,  2929,  2930,  2931,  2935,
    2936,  2937,  2938,  2939,  2940,  2949,  2957,  2961,  2974,  2989,
    3003,  3018,  3032,  3050,  3071,  3072,  3076,  3077,  3081,  3082,
    3085,  3091,  3095,  3103,  3108,  3114,  3115,  3119,  3124,  3131,
    3132,  3142,  3144,  3146,  3148,  3151,  3154,  3157,  3161,  3162,
    3163,  3164,  3165,  3168,  3169,  3174,  3175,  3176,  3177,  3180,
    3181,  3182,  3183,  3186,  3187,  3190,  3191,  3194,  3209,  3224,
    3238,  3239,  3240,  3252,  3267,  3280,  3281,  3293,  3312,  3324,
    3332,  3343,  3344,  3347,  3348,  3351,  3355,  3359,  3363,  3367,
    3371,  3375,  3379,  3383,  3387,  3391,  3395,  3401,  3402,  3406,
    3407,  3408,  3413,  3416,  3417,  3429,  3441,  3456,  3457,  3465,
    3466,  3470,  3471,  3475,  3476,  3480,  3481,  3485,  3496,  3509,
    3510,  3520,  3530,  3531,  3544,  3551,  3568,  3576,  3587,  3590,
    3594,  3598,  3602,  3614,  3624,  3627,  3631,  3644,  3654,  3664,
    3673,  3682,  3691,  3701,  3710,  3720,  3730,  3740,  3749,  3758,
    3767,  3776,  3785,  3794,  3803,  3812,  3821,  3830,  3839,  3848,
    3857,  3875,  3886,  3887,  3888,  3889,  3893,  3894,  3898,  3899,
    3909,  3920,  3940,  3948,  3960,  3961,  3965,  3969,  3977,  3981,
    3985,  3992,  3996,  4001,  4006,  4013,  4020,  4025,  4035,  4049,
    4050,  4055,  4056,  4060,  4061,  4071,  4082,  4102,  4111,  4119,
    4136,  4151,  4176,  4185,  4203,  4215,  4216,  4217,  4227,  4235,
    4252,  4271,  4291,  4316,  4317,  4318,  4322,  4324,  4346,  4348,
    4350,  4352,  4354,  4359,  4364,  4374,  4375,  4379,  4380,  4384,
    4385,  4389,  4390,  4391,  4395,  4401,  4402,  4403,  4407,  4408,
    4413,  4414,  4441,  4442,  4443,  4444,  4445,  4446,  4451,  4462,
    4485,  4495,  4509,  4511,  4516,  4521,  4523,  4528,  4538,  4539,
    4540,  4541,  4553,  4573,  4596,  4606,  4617,  4627,  4637,  4648,
    4657,  4664,  4671,  4680,  4689,  4698,  4707,  4716,  4727,  4730,
    4731,  4734,  4738,  4745,  4746,  4747,  4748,  4749,  4752,  4753,
    4756,  4759,  4760,  4768,  4775,  4776,  4779,  4781,  4792,  4802,
    4812,  4824,  4825,  4841,  4856,  4857,  4861,  4871,  4882,  4891,
    4901,  4910,  4911,  4914,  4915,  4918,  4919,  4920,  4923,  4937,
    4942,  4952,  4961,  4973,  4974,  4978,  4986,  4998,  5009,  5023,
    5034,  5057,  5067,  5085,  5096,  5107,  5118,  5132,  5133,  5134,
    5135,  5136,  5137,  5138,  5139,  5140,  5141,  5142,  5143,  5144,
    5145,  5146,  5147,  5148,  5152,  5153,  5156,  5157,  5160,  5162,
    5175,  5186,  5187,  5188,  5220,  5229,  5238,  5247,  5256,  5265,
    5274,  5284,  5293,  5302,  5311,  5320,  5329,  5341,  5342,  5343,
    5344,  5345,  5346,  5347,  5348,  5349,  5350,  5351,  5352,  5353,
    5354,  5355,  5356,  5357,  5358,  5359,  5360,  5361,  5362,  5363,
    5367,  5368,  5382,  5393,  5404,  5415,  5426,  5439,  5440,  5444,
    5445,  5446,  5447,  5448,  5449,  5450,  5451,  5452,  5453,  5454,
    5455,  5456,  5459,  5460,  5470,  5476,  5484,  5492,  5500,  5508,
    5516,  5524,  5532,  5540,  5548,  5556,  5564,  5572,  5580,  5588,
    5596,  5604,  5614,  5615,  5618,  5619,  5629,  5645,  5659,  5685,
    5687,  5689,  5691,  5698,  5707,  5708,  5711,  5718,  5725,  5732,
    5746,  5754,  5762,  5770,  5778,  5786,  5794,  5802,  5810,  5818,
    5826,  5834,  5842,  5850,  5858,  5866,  5878,  5879,  5882,  5892,
    5906,  5907,  5911,  5912,  5917,  5933,  5946,  5956,  5968,  5969,
    5972,  5973,  5983,  5993,  5994,  5998,  6002,  6006,  6017,  6030,
    6044,  6061,  6062,  6063,  6064,  6076,  6103,  6104,  6108,  6109,
    6113,  6114,  6118,  6119,  6122,  6123,  6131,  6142,  6153,  6166,
    6167,  6170,  6171,  6172,  6175,  6176,  6177,  6180,  6181,  6182,
    6198,  6210,  6223,  6238,  6239,  6242,  6243,  6247,  6248,  6256,
    6257,  6261,  6262,  6277,  6286,  6295,  6304,  6313,  6325,  6326,
    6327,  6328,  6329,  6335,  6339,  6354,  6355,  6361,  6371,  6375,
    6380,  6390,  6391,  6398,  6402,  6406,  6410,  6414,  6418,  6422,
    6426,  6430,  6434,  6438,  6442,  6446,  6450,  6454,  6462,  6466,
    6470,  6474,  6480,  6481,  6488,  6489,  6492,  6504,  6508,  6523,
    6534,  6535,  6540,  6541,  6556,  6567,  6581,  6592,  6606,  6617,
    6631,  6639,  6641,  6643,  6648,  6650,  6663,  6672,  6673,  6677,
    6681,  6693,  6704,  6715,  6728,  6729,  6730,  6734,  6747,  6748,
    6762,  6770,  6780,  6793,  6794,  6797,  6798,  6808,  6818,  6827,
    6836,  6845,  6854,  6864,  6873,  6883,  6892,  6901,  6911,  6921,
    6930,  6939,  6949,  6959,  6969,  6979,  6989,  6999,  7009,  7019,
    7029,  7039,  7049,  7059,  7070,  7081,  7092,  7103,  7113,  7124,
    7135,  7145,  7155,  7163,  7172,  7181,  7190,  7199,  7208,  7217,
    7226,  7235,  7244,  7253,  7267,  7268,  7271,  7272,  7282,  7292,
    7301,  7310,  7319,  7328,  7338,  7348,  7358,  7368,  7377,  7386,
    7395,  7404,  7413,  7422,  7431,  7440,  7449,  7458,  7467,  7476,
    7485,  7494,  7511,  7520,  7528,  7536,  7544,  7552,  7561,  7569,
    7577,  7586,  7595,  7604,  7612,  7620,  7628,  7636,  7644,  7652,
    7660,  7677,  7694,  7695,  7696,  7701,  7707,  7716,  7717,  7718,
    7719,  7720,  7724,  7725,  7728,  7729,  7730,  7731,  7735,  7736,
    7737,  7742,  7753,  7775,  7785,  7786,  7789,  7798,  7804,  7823,
    7830,  7837,  7844,  7851,  7858,  7865,  7873,  7881,  7889,  7897,
    7905,  7912,  7919,  7928,  7929,  7930,  7934,  7937,  7940,  7943,
    7946,  7953,  7955,  7957,  7962,  7964,  7976,  7988,  8000,  8012,
    8027,  8033,  8039,  8045,  8055,  8071,  8081,  8082,  8086,  8090,
    8094,  8098,  8102,  8106,  8110,  8114,  8118,  8122,  8126,  8130,
    8134,  8138,  8142,  8146,  8156,  8157,  8168,  8175,  8186,  8197,
    8198,  8202,  8216,  8223,  8240,  8253,  8262,  8270,  8278,  8287,
    8298,  8309,  8319,  8320,  8331,  8341,  8351,  8361,  8371,  8381,
    8389,  8410,  8433,  8441,  8450,  8461,  8462,  8474,  8490,  8506,
    8520,  8540,  8565,  8566,  8570,  8571,  8572,  8573,  8577,  8591,
    8608,  8609,  8613,  8614,  8617,  8618,  8621,  8622,  8626,  8627,
    8640,  8647,  8657,  8664,  8674,  8675,  8676,  8677,  8678,  8679,
    8680,  8681,  8682,  8686,  8690,  8697,  8704,  8705,  8709,  8710,
    8711,  8721,  8731,  8732,  8736,  8737,  8738,  8739,  8749,  8756,
    8774,  8775,  8785,  8791,  8797,  8803,  8819,  8829,  8835,  8841,
    8850,  8852,  8857,  8868,  8869,  8880,  8894,  8895,  8906,  8917,
    8918,  8921,  8922,  8923,  8924,  8925,  8926,  8927,  8928,  8931,
    8932,  8943,  8961,  8962,  8966,  8967,  8971,  8979,  9007,  9018,
    9019,  9029,  9040,  9043,  9044,  9045,  9046,  9047,  9050,  9051,
    9052,  9100,  9101,  9105,  9106,  9121,  9122,  9129,  9137,  9145,
    9153,  9161,  9169,  9180,  9181,  9208,  9223,  9224,  9243,  9247,
    9251,  9266,  9273,  9283,  9284,  9287,  9299,  9300,  9304,  9316,
    9324,  9329,  9334,  9339,  9344,  9352,  9360,  9365,  9370,  9377,
    9378,  9381,  9382,  9383,  9390,  9391,  9392,  9393,  9397,  9398,
    9402,  9406,  9407,  9410,  9419,  9432,  9433,  9434,  9435,  9439,
    9440,  9444,  9446,  9456,  9461,  9464,  9469,  9470,  9478,  9488,
    9489,  9490,  9498,  9502,  9503,  9506,  9507,  9512,  9513,  9517,
    9518,  9522,  9523,  9527,  9528,  9532,  9533,  9537,  9548,  9549,
    9550,  9551,  9555,  9556,  9561,  9567,  9585,  9586,  9590,  9591,
    9597,  9602,  9611,  9620,  9655,  9680,  9684,  9710,  9714,  9726,
    9739,  9753,  9764,  9779,  9785,  9790,  9796,  9803,  9804,  9812,
    9816,  9820,  9826,  9833,  9838,  9839,  9840,  9841,  9845,  9846,
    9858,  9859,  9864,  9871,  9878,  9885,  9896,  9897,  9910,  9914,
    9921,  9931,  9936,  9937,  9942,  9943,  9951,  9956,  9957,  9961,
    9965,  9971, 10000, 10005, 10012, 10017, 10023, 10028, 10037, 10039,
   10042, 10046, 10047, 10048, 10049, 10050, 10051, 10056, 10086, 10087,
   10088, 10089, 10100, 10106, 10114, 10115, 10121, 10126, 10131, 10136,
   10141, 10146, 10151, 10156, 10162, 10168, 10174, 10181, 10203, 10212,
   10216, 10224, 10228, 10236, 10248, 10269, 10273, 10279, 10283, 10296,
   10315, 10338, 10340, 10342, 10344, 10346, 10348, 10353, 10354, 10358,
   10359, 10366, 10375, 10383, 10392, 10403, 10411, 10412, 10413, 10417,
   10419, 10421, 10423, 10425, 10427, 10429, 10434, 10439, 10445, 10453,
   10458, 10465, 10472, 10476, 10480, 10510, 10511, 10513, 10521, 10543,
   10545, 10547, 10549, 10551, 10553, 10555, 10557, 10559, 10561, 10563,
   10566, 10568, 10570, 10573, 10575, 10577, 10580, 10582, 10595, 10597,
   10610, 10612, 10625, 10627, 10641, 10654, 10667, 10680, 10703, 10710,
   10717, 10724, 10731, 10754, 10761, 10768, 10775, 10782, 10789, 10796,
   10800, 10808, 10812, 10822, 10829, 10836, 10849, 10862, 10881, 10902,
   10912, 10919, 10935, 10940, 10958, 10960, 10962, 10964, 10966, 10968,
   10970, 10972, 10974, 10976, 10978, 10980, 10982, 10984, 10986, 10988,
   10990, 10994, 10999, 11003, 11007, 11012, 11029, 11030, 11031, 11046,
   11058, 11060, 11062, 11072, 11095, 11105, 11115, 11123, 11142, 11155,
   11168, 11181, 11194, 11207, 11224, 11237, 11260, 11273, 11299, 11309,
   11322, 11339, 11352, 11362, 11375, 11385, 11398, 11411, 11424, 11437,
   11450, 11463, 11476, 11478, 11491, 11509, 11523, 11539, 11561, 11577,
   11590, 11603, 11616, 11620, 11627, 11635, 11643, 11647, 11651, 11655,
   11659, 11663, 11678, 11682, 11691, 11695, 11699, 11704, 11718, 11720,
   11724, 11726, 11728, 11731, 11734, 11737, 11738, 11741, 11749, 11759,
   11760, 11763, 11764, 11765, 11770, 11774, 11778, 11782, 11793, 11794,
   11798, 11799, 11804, 11812, 11814, 11828, 11831, 11858, 11859, 11862,
   11863, 11874, 11892, 11899, 11908, 11925, 11970, 11978, 11986, 11994,
   12002, 12023, 12024, 12025, 12028, 12029, 12030, 12033, 12034, 12037,
   12038, 12039, 12040, 12041, 12042, 12043, 12044, 12045, 12048, 12050,
   12055, 12057, 12062, 12064, 12066, 12068, 12070, 12072, 12084, 12088,
   12095, 12099, 12105, 12109, 12120, 12121, 12124, 12128, 12132, 12138,
   12139, 12144, 12148, 12155, 12156, 12157, 12158, 12159, 12160, 12161,
   12162, 12172, 12176, 12183, 12190, 12191, 12207, 12211, 12216, 12220,
   12235, 12240, 12244, 12247, 12250, 12251, 12252, 12255, 12262, 12272,
   12286, 12287, 12291, 12302, 12303, 12306, 12307, 12310, 12314, 12321,
   12325, 12329, 12336, 12346, 12347, 12351, 12352, 12355, 12356, 12367,
   12368, 12377, 12378, 12386, 12397, 12398, 12401, 12417, 12425, 12433,
   12455, 12456, 12467, 12471, 12498, 12500, 12505, 12508, 12511, 12513,
   12515, 12517, 12527, 12529, 12540, 12544, 12548, 12552, 12556, 12565,
   12572, 12597, 12601, 12607, 12624, 12628, 12632, 12638, 12639, 12640,
   12642, 12644, 12648, 12649, 12650, 12666, 12667, 12668, 12673, 12674,
   12675, 12680, 12681, 12682, 12683, 12689, 12690, 12691, 12692, 12693,
   12713, 12714, 12715, 12716, 12717, 12718, 12719, 12720, 12721, 12722,
   12723, 12724, 12725, 12726, 12727, 12728, 12729, 12730, 12731, 12732,
   12733, 12734, 12735, 12736, 12737, 12738, 12739, 12740, 12741, 12742,
   12743, 12744, 12745, 12746, 12747, 12748, 12749, 12750, 12751, 12752,
   12753, 12754, 12755, 12756, 12757, 12758, 12759, 12760, 12761, 12762,
   12763, 12764, 12765, 12766, 12767, 12768, 12769, 12770, 12771, 12772,
   12773, 12774, 12775, 12776, 12777, 12778, 12779, 12780, 12781, 12782,
   12783, 12784, 12785, 12786, 12787, 12788, 12789, 12790, 12791, 12792,
   12793, 12794, 12795, 12796, 12797, 12798, 12799, 12800, 12801, 12802,
   12803, 12804, 12805, 12806, 12807, 12808, 12809, 12810, 12811, 12812,
   12813, 12814, 12815, 12816, 12817, 12818, 12819, 12820, 12821, 12822,
   12823, 12824, 12825, 12826, 12827, 12828, 12829, 12830, 12831, 12832,
   12833, 12834, 12835, 12836, 12837, 12838, 12839, 12840, 12841, 12842,
   12843, 12844, 12845, 12846, 12847, 12848, 12849, 12850, 12851, 12852,
   12853, 12854, 12855, 12856, 12857, 12858, 12859, 12860, 12861, 12862,
   12863, 12864, 12865, 12866, 12867, 12868, 12869, 12870, 12871, 12872,
   12873, 12874, 12875, 12876, 12877, 12878, 12879, 12880, 12881, 12882,
   12883, 12884, 12885, 12886, 12887, 12888, 12889, 12890, 12891, 12892,
   12893, 12894, 12895, 12896, 12897, 12898, 12899, 12900, 12901, 12902,
   12903, 12904, 12905, 12906, 12907, 12908, 12909, 12910, 12911, 12912,
   12913, 12914, 12915, 12916, 12917, 12918, 12919, 12920, 12921, 12922,
   12923, 12924, 12925, 12926, 12927, 12928, 12929, 12930, 12931, 12932,
   12933, 12934, 12935, 12936, 12937, 12938, 12939, 12940, 12941, 12942,
   12943, 12944, 12945, 12946, 12947, 12948, 12949, 12950, 12951, 12952,
   12953, 12954, 12955, 12956, 12957, 12958, 12959, 12960, 12961, 12962,
   12963, 12964, 12965, 12966, 12980, 12981, 12982, 12983, 12984, 12985,
   12986, 12987, 12988, 12989, 12990, 12991, 12992, 12993, 12994, 12995,
   12996, 12997, 12998, 12999, 13000, 13001, 13002, 13003, 13004, 13005,
   13006, 13007, 13008, 13009, 13010, 13011, 13012, 13013, 13014, 13015,
   13016, 13017, 13018, 13019, 13020, 13021, 13022, 13023, 13024, 13025,
   13026, 13040, 13041, 13042, 13043, 13044, 13045, 13046, 13047, 13048,
   13049, 13050, 13051, 13052, 13053, 13054, 13055, 13056, 13057, 13058,
   13059, 13060, 13061, 13062, 13072, 13073, 13074, 13075, 13076, 13077,
   13078, 13079, 13080, 13081, 13082, 13083, 13084, 13085, 13086, 13087,
   13088, 13089, 13090, 13091, 13092, 13093, 13094, 13095, 13096, 13097,
   13098, 13099, 13100, 13101, 13102, 13103, 13104, 13105, 13106, 13107,
   13108, 13109, 13110, 13111, 13112, 13113, 13114, 13115, 13116, 13117,
   13118, 13119, 13120, 13121, 13122, 13123, 13124, 13125, 13126, 13127,
   13128, 13129, 13130, 13131, 13132, 13133, 13134, 13135, 13136, 13137,
   13138, 13139, 13140, 13141, 13142, 13143, 13144, 13145, 13146, 13147,
   13148
};
#endif

#if YYDEBUG || YYERROR_VERBOSE || 0
/* YYTNAME[SYMBOL-NUM] -- String name of the symbol SYMBOL-NUM.
   First, the terminals, then, starting at YYNTOKENS, nonterminals.  */
static const char *const yytname[] =
{
  "$end", "error", "$undefined", "IDENT", "FCONST", "SCONST", "BCONST",
  "XCONST", "Op", "ICONST", "PARAM", "TYPECAST", "DOT_DOT", "COLON_EQUALS",
  "ABORT_P", "ABSOLUTE_P", "ACCESS", "ACTION", "ADD_P", "ADMIN", "AFTER",
  "AGGREGATE", "ALL", "ALSO", "ALTER", "ALWAYS", "ANALYSE", "ANALYZE",
  "AND", "ANY", "ARRAY", "AS", "ASC", "ASSERTION", "ASSIGNMENT",
  "ASYMMETRIC", "AT", "ATTRIBUTE", "AUTHORIZATION", "BACKWARD", "BEFORE",
  "BEGIN_P", "BETWEEN", "BIGINT", "BINARY", "BIT", "BOOLEAN_P", "BOTH",
  "BY", "CACHE", "CALLED", "CASCADE", "CASCADED", "CASE", "CAST",
  "CATALOG_P", "CHAIN", "CHAR_P", "CHARACTER", "CHARACTERISTICS", "CHECK",
  "CHECKPOINT", "CLASS", "CLOSE", "CLUSTER", "COALESCE", "COLLATE",
  "COLLATION", "COLUMN", "COMMENT", "COMMENTS", "COMMIT", "COMMITTED",
  "CONCURRENTLY", "CONFIGURATION", "CONNECTION", "CONSTRAINT",
  "CONSTRAINTS", "CONTENT_P", "CONTINUE_P", "CONVERSION_P", "COPY", "COST",
  "CREATE", "CROSS", "CSV", "CURRENT_P", "CURRENT_CATALOG", "CURRENT_DATE",
  "CURRENT_ROLE", "CURRENT_SCHEMA", "CURRENT_TIME", "CURRENT_TIMESTAMP",
  "CURRENT_USER", "CURSOR", "CYCLE", "DATA_P", "DATABASE", "DAY_P",
  "DEALLOCATE", "DEC", "DECIMAL_P", "DECLARE", "DEFAULT", "DEFAULTS",
  "DEFERRABLE", "DEFERRED", "DEFINER", "DELETE_P", "DELIMITER",
  "DELIMITERS", "DESC", "DICTIONARY", "DISABLE_P", "DISCARD", "DISTINCT",
  "DO", "DOCUMENT_P", "DOMAIN_P", "DOUBLE_P", "DROP", "EACH", "ELSE",
  "ENABLE_P", "ENCODING", "ENCRYPTED", "END_P", "ENUM_P", "ESCAPE",
  "EVENT", "EXCEPT", "EXCLUDE", "EXCLUDING", "EXCLUSIVE", "EXECUTE",
  "EXISTS", "EXPLAIN", "EXTENSION", "EXTERNAL", "EXTRACT", "FALSE_P",
  "FAMILY", "FETCH", "FIRST_P", "FLOAT_P", "FOLLOWING", "FOR", "FORCE",
  "FOREIGN", "FORWARD", "FREEZE", "FROM", "FULL", "FUNCTION", "FUNCTIONS",
  "GLOBAL", "GRANT", "GRANTED", "GREATEST", "GROUP_P", "HANDLER", "HAVING",
  "HEADER_P", "HOLD", "HOUR_P", "IDENTITY_P", "IF_P", "ILIKE", "IMMEDIATE",
  "IMMUTABLE", "IMPLICIT_P", "IN_P", "INCLUDING", "INCREMENT", "INDEX",
  "INDEXES", "INHERIT", "INHERITS", "INITIALLY", "INLINE_P", "INNER_P",
  "INOUT", "INPUT_P", "INSENSITIVE", "INSERT", "INSTEAD", "INT_P",
  "INTEGER", "INTERSECT", "INTERVAL", "INTO", "INVOKER", "IS", "ISNULL",
  "ISOLATION", "JOIN", "KEY", "LABEL", "LANGUAGE", "LARGE_P", "LAST_P",
  "LATERAL_P", "LC_COLLATE_P", "LC_CTYPE_P", "LEADING", "LEAKPROOF",
  "LEAST", "LEFT", "LEVEL", "LIKE", "LIMIT", "LISTEN", "LOAD", "LOCAL",
  "LOCALTIME", "LOCALTIMESTAMP", "LOCATION", "LOCK_P", "MAPPING", "MATCH",
  "MATERIALIZED", "MAXVALUE", "MINUTE_P", "MINVALUE", "MODE", "MONTH_P",
  "MOVE", "NAME_P", "NAMES", "NATIONAL", "NATURAL", "NCHAR", "NEXT", "NO",
  "NONE", "NOT", "NOTHING", "NOTIFY", "NOTNULL", "NOWAIT", "NULL_P",
  "NULLIF", "NULLS_P", "NUMERIC", "OBJECT_P", "OF", "OFF", "OFFSET",
  "OIDS", "ON", "ONLY", "OPERATOR", "OPTION", "OPTIONS", "OR", "ORDER",
  "OUT_P", "OUTER_P", "OVER", "OVERLAPS", "OVERLAY", "OWNED", "OWNER",
  "PARSER", "PARTIAL", "PARTITION", "PASSING", "PASSWORD", "PLACING",
  "PLANS", "POSITION", "PRECEDING", "PRECISION", "PRESERVE", "PREPARE",
  "PREPARED", "PRIMARY", "PRIOR", "PRIVILEGES", "PROCEDURAL", "PROCEDURE",
  "PROGRAM", "QUOTE", "RANGE", "READ", "REAL", "REASSIGN", "RECHECK",
  "RECURSIVE", "REF", "REFERENCES", "REFRESH", "REINDEX", "RELATIVE_P",
  "RELEASE", "RENAME", "REPEATABLE", "REPLACE", "REPLICA", "RESET",
  "RESTART", "RESTRICT", "RETURNING", "RETURNS", "REVOKE", "RIGHT", "ROLE",
  "ROLLBACK", "ROW", "ROWS", "RULE", "SAVEPOINT", "SCHEMA", "SCROLL",
  "SEARCH", "SECOND_P", "SECURITY", "SELECT", "SEQUENCE", "SEQUENCES",
  "SERIALIZABLE", "SERVER", "SESSION", "SESSION_USER", "SET", "SETOF",
  "SHARE", "SHOW", "SIMILAR", "SIMPLE", "SMALLINT", "SNAPSHOT", "SOME",
  "STABLE", "STANDALONE_P", "START", "STATEMENT", "STATISTICS", "STDIN",
  "STDOUT", "STORAGE", "STRICT_P", "STRIP_P", "SUBSTRING", "SYMMETRIC",
  "SYSID", "SYSTEM_P", "TABLE", "TABLES", "TABLESPACE", "TEMP", "TEMPLATE",
  "TEMPORARY", "TEXT_P", "THEN", "TIME", "TIMESTAMP", "TO", "TRAILING",
  "TRANSACTION", "TREAT", "TRIGGER", "TRIM", "TRUE_P", "TRUNCATE",
  "TRUSTED", "TYPE_P", "TYPES_P", "UNBOUNDED", "UNCOMMITTED",
  "UNENCRYPTED", "UNION", "UNIQUE", "UNKNOWN", "UNLISTEN", "UNLOGGED",
  "UNTIL", "UPDATE", "USER", "USING", "VACUUM", "VALID", "VALIDATE",
  "VALIDATOR", "VALUE_P", "VALUES", "VARCHAR", "VARIADIC", "VARYING",
  "VERBOSE", "VERSION_P", "VIEW", "VOLATILE", "WHEN", "WHERE",
  "WHITESPACE_P", "WINDOW", "WITH", "WITHOUT", "WORK", "WRAPPER", "WRITE",
  "XML_P", "XMLATTRIBUTES", "XMLCONCAT", "XMLELEMENT", "XMLEXISTS",
  "XMLFOREST", "XMLPARSE", "XMLPI", "XMLROOT", "XMLSERIALIZE", "YEAR_P",
  "YES_P", "ZONE", "NULLS_FIRST", "NULLS_LAST", "WITH_TIME", "'='", "'<'",
  "'>'", "POSTFIXOP", "'+'", "'-'", "'*'", "'/'", "'%'", "'^'", "UMINUS",
  "'['", "']'", "'('", "')'", "'.'", "';'", "','", "':'", "$accept",
  "stmtblock", "stmtmulti", "stmt", "CreateRoleStmt", "opt_with",
  "OptRoleList", "AlterOptRoleList", "AlterOptRoleElem",
  "CreateOptRoleElem", "CreateUserStmt", "AlterRoleStmt",
  "opt_in_database", "AlterRoleSetStmt", "AlterUserStmt",
  "AlterUserSetStmt", "DropRoleStmt", "DropUserStmt", "CreateGroupStmt",
  "AlterGroupStmt", "add_drop", "DropGroupStmt", "CreateSchemaStmt",
  "OptSchemaName", "OptSchemaEltList", "schema_stmt", "VariableSetStmt",
  "set_rest", "set_rest_more", "var_name", "var_list", "var_value",
  "iso_level", "opt_boolean_or_string", "zone_value", "opt_encoding",
  "NonReservedWord_or_Sconst", "VariableResetStmt", "SetResetClause",
  "FunctionSetResetClause", "VariableShowStmt", "ConstraintsSetStmt",
  "constraints_set_list", "constraints_set_mode", "CheckPointStmt",
  "DiscardStmt", "AlterTableStmt", "alter_table_cmds", "alter_table_cmd",
  "alter_column_default", "opt_drop_behavior", "opt_collate_clause",
  "alter_using", "reloptions", "opt_reloptions", "reloption_list",
  "reloption_elem", "AlterCompositeTypeStmt", "alter_type_cmds",
  "alter_type_cmd", "ClosePortalStmt", "CopyStmt", "copy_from",
  "opt_program", "copy_file_name", "copy_options", "copy_opt_list",
  "copy_opt_item", "opt_binary", "opt_oids", "copy_delimiter", "opt_using",
  "copy_generic_opt_list", "copy_generic_opt_elem", "copy_generic_opt_arg",
  "copy_generic_opt_arg_list", "copy_generic_opt_arg_list_item",
  "CreateStmt", "OptTemp", "OptTableElementList",
  "OptTypedTableElementList", "TableElementList", "TypedTableElementList",
  "TableElement", "TypedTableElement", "columnDef", "columnOptions",
  "ColQualList", "ColConstraint", "ColConstraintElem", "ConstraintAttr",
  "TableLikeClause", "TableLikeOptionList", "TableLikeOption",
  "TableConstraint", "ConstraintElem", "opt_no_inherit", "opt_column_list",
  "columnList", "columnElem", "key_match", "ExclusionConstraintList",
  "ExclusionConstraintElem", "ExclusionWhereClause", "key_actions",
  "key_update", "key_delete", "key_action", "OptInherit", "OptWith",
  "OnCommitOption", "OptTableSpace", "OptConsTableSpace", "ExistingIndex",
  "CreateAsStmt", "create_as_target", "opt_with_data", "CreateMatViewStmt",
  "create_mv_target", "OptNoLog", "RefreshMatViewStmt", "CreateSeqStmt",
  "AlterSeqStmt", "OptSeqOptList", "SeqOptList", "SeqOptElem", "opt_by",
  "NumericOnly", "NumericOnly_list", "CreatePLangStmt", "opt_trusted",
  "handler_name", "opt_inline_handler", "validator_clause",
  "opt_validator", "DropPLangStmt", "opt_procedural",
  "CreateTableSpaceStmt", "OptTableSpaceOwner", "DropTableSpaceStmt",
  "CreateExtensionStmt", "create_extension_opt_list",
  "create_extension_opt_item", "AlterExtensionStmt",
  "alter_extension_opt_list", "alter_extension_opt_item",
  "AlterExtensionContentsStmt", "CreateFdwStmt", "fdw_option",
  "fdw_options", "opt_fdw_options", "DropFdwStmt", "AlterFdwStmt",
  "create_generic_options", "generic_option_list", "alter_generic_options",
  "alter_generic_option_list", "alter_generic_option_elem",
  "generic_option_elem", "generic_option_name", "generic_option_arg",
  "CreateForeignServerStmt", "opt_type", "foreign_server_version",
  "opt_foreign_server_version", "DropForeignServerStmt",
  "AlterForeignServerStmt", "CreateForeignTableStmt",
  "AlterForeignTableStmt", "CreateUserMappingStmt", "auth_ident",
  "DropUserMappingStmt", "AlterUserMappingStmt", "CreateTrigStmt",
  "TriggerActionTime", "TriggerEvents", "TriggerOneEvent",
  "TriggerForSpec", "TriggerForOptEach", "TriggerForType", "TriggerWhen",
  "TriggerFuncArgs", "TriggerFuncArg", "OptConstrFromTable",
  "ConstraintAttributeSpec", "ConstraintAttributeElem", "DropTrigStmt",
  "CreateEventTrigStmt", "event_trigger_when_list",
  "event_trigger_when_item", "event_trigger_value_list",
  "AlterEventTrigStmt", "enable_trigger", "CreateAssertStmt",
  "DropAssertStmt", "DefineStmt", "definition", "def_list", "def_elem",
  "def_arg", "aggr_args", "old_aggr_definition", "old_aggr_list",
  "old_aggr_elem", "opt_enum_val_list", "enum_val_list", "AlterEnumStmt",
  "opt_if_not_exists", "CreateOpClassStmt", "opclass_item_list",
  "opclass_item", "opt_default", "opt_opfamily", "opclass_purpose",
  "opt_recheck", "CreateOpFamilyStmt", "AlterOpFamilyStmt",
  "opclass_drop_list", "opclass_drop", "DropOpClassStmt",
  "DropOpFamilyStmt", "DropOwnedStmt", "ReassignOwnedStmt", "DropStmt",
  "drop_type", "any_name_list", "any_name", "attrs", "TruncateStmt",
  "opt_restart_seqs", "CommentStmt", "comment_type", "comment_text",
  "SecLabelStmt", "opt_provider", "security_label_type", "security_label",
  "FetchStmt", "fetch_args", "from_in", "opt_from_in", "GrantStmt",
  "RevokeStmt", "privileges", "privilege_list", "privilege",
  "privilege_target", "grantee_list", "grantee", "opt_grant_grant_option",
  "function_with_argtypes_list", "function_with_argtypes", "GrantRoleStmt",
  "RevokeRoleStmt", "opt_grant_admin_option", "opt_granted_by",
  "AlterDefaultPrivilegesStmt", "DefACLOptionList", "DefACLOption",
  "DefACLAction", "defacl_privilege_target", "IndexStmt", "opt_unique",
  "opt_concurrently", "opt_index_name", "access_method_clause",
  "index_params", "index_elem", "opt_collate", "opt_class", "opt_asc_desc",
  "opt_nulls_order", "CreateFunctionStmt", "opt_or_replace", "func_args",
  "func_args_list", "func_args_with_defaults",
  "func_args_with_defaults_list", "func_arg", "arg_class", "param_name",
  "func_return", "func_type", "func_arg_with_default",
  "createfunc_opt_list", "common_func_opt_item", "createfunc_opt_item",
  "func_as", "opt_definition", "table_func_column",
  "table_func_column_list", "AlterFunctionStmt", "alterfunc_opt_list",
  "opt_restrict", "RemoveFuncStmt", "RemoveAggrStmt", "RemoveOperStmt",
  "oper_argtypes", "any_operator", "DoStmt", "dostmt_opt_list",
  "dostmt_opt_item", "CreateCastStmt", "cast_context", "DropCastStmt",
  "opt_if_exists", "ReindexStmt", "reindex_type", "opt_force",
  "RenameStmt", "opt_column", "opt_set_data", "AlterObjectSchemaStmt",
  "AlterOwnerStmt", "RuleStmt", "RuleActionList", "RuleActionMulti",
  "RuleActionStmt", "RuleActionStmtOrEmpty", "event", "opt_instead",
  "DropRuleStmt", "NotifyStmt", "notify_payload", "ListenStmt",
  "UnlistenStmt", "TransactionStmt", "opt_transaction",
  "transaction_mode_item", "transaction_mode_list",
  "transaction_mode_list_or_empty", "ViewStmt", "opt_check_option",
  "LoadStmt", "CreatedbStmt", "createdb_opt_list", "createdb_opt_item",
  "opt_equal", "AlterDatabaseStmt", "AlterDatabaseSetStmt",
  "alterdb_opt_list", "alterdb_opt_item", "DropdbStmt", "CreateDomainStmt",
  "AlterDomainStmt", "opt_as", "AlterTSDictionaryStmt",
  "AlterTSConfigurationStmt", "CreateConversionStmt", "ClusterStmt",
  "cluster_index_specification", "VacuumStmt", "vacuum_option_list",
  "vacuum_option_elem", "AnalyzeStmt", "analyze_keyword", "opt_verbose",
  "opt_full", "opt_freeze", "opt_name_list", "ExplainStmt",
  "ExplainableStmt", "explain_option_list", "explain_option_elem",
  "explain_option_name", "explain_option_arg", "PrepareStmt",
  "prep_type_clause", "PreparableStmt", "ExecuteStmt",
  "execute_param_clause", "DeallocateStmt", "InsertStmt", "insert_rest",
  "insert_column_list", "insert_column_item", "returning_clause",
  "DeleteStmt", "using_clause", "LockStmt", "opt_lock", "lock_type",
  "opt_nowait", "UpdateStmt", "set_clause_list", "set_clause",
  "single_set_clause", "multiple_set_clause", "set_target",
  "set_target_list", "DeclareCursorStmt", "cursor_name", "cursor_options",
  "opt_hold", "SelectStmt", "select_with_parens", "select_no_parens",
  "select_clause", "simple_select", "with_clause", "cte_list",
  "common_table_expr", "opt_with_clause", "into_clause",
  "OptTempTableName", "opt_table", "opt_all", "opt_distinct",
  "opt_sort_clause", "sort_clause", "sortby_list", "sortby",
  "select_limit", "opt_select_limit", "limit_clause", "offset_clause",
  "select_limit_value", "select_offset_value",
  "opt_select_fetch_first_value", "select_offset_value2", "row_or_rows",
  "first_or_next", "group_clause", "having_clause", "for_locking_clause",
  "opt_for_locking_clause", "for_locking_items", "for_locking_item",
  "for_locking_strength", "locked_rels_list", "values_clause",
  "from_clause", "from_list", "table_ref", "joined_table", "alias_clause",
  "opt_alias_clause", "func_alias_clause", "join_type", "join_outer",
  "join_qual", "relation_expr", "relation_expr_list",
  "relation_expr_opt_alias", "func_table", "where_clause",
  "where_or_current_clause", "OptTableFuncElementList",
  "TableFuncElementList", "TableFuncElement", "Typename",
  "opt_array_bounds", "SimpleTypename", "ConstTypename", "GenericType",
  "opt_type_modifiers", "Numeric", "opt_float", "Bit", "ConstBit",
  "BitWithLength", "BitWithoutLength", "Character", "ConstCharacter",
  "CharacterWithLength", "CharacterWithoutLength", "character",
  "opt_varying", "opt_charset", "ConstDatetime", "ConstInterval",
  "opt_timezone", "opt_interval", "interval_second", "a_expr", "b_expr",
  "c_expr", "func_expr", "xml_root_version", "opt_xml_root_standalone",
  "xml_attributes", "xml_attribute_list", "xml_attribute_el",
  "document_or_content", "xml_whitespace_option", "xmlexists_argument",
  "window_clause", "window_definition_list", "window_definition",
  "over_clause", "window_specification", "opt_existing_window_name",
  "opt_partition_clause", "opt_frame_clause", "frame_extent",
  "frame_bound", "row", "sub_type", "all_Op", "MathOp", "qual_Op",
  "qual_all_Op", "subquery_Op", "expr_list", "func_arg_list",
  "func_arg_expr", "type_list", "array_expr", "array_expr_list",
  "extract_list", "extract_arg", "overlay_list", "overlay_placing",
  "position_list", "substr_list", "substr_from", "substr_for", "trim_list",
  "in_expr", "case_expr", "when_clause_list", "when_clause",
  "case_default", "case_arg", "columnref", "indirection_el", "indirection",
  "opt_indirection", "opt_asymmetric", "ctext_expr", "ctext_expr_list",
  "ctext_row", "target_list", "target_el", "qualified_name_list",
  "qualified_name", "name_list", "name", "database_name", "access_method",
  "attr_name", "index_name", "file_name", "func_name", "AexprConst",
  "Iconst", "Sconst", "RoleId", "role_list", "SignedIconst", "ColId",
  "type_function_name", "NonReservedWord", "ColLabel",
  "unreserved_keyword", "col_name_keyword", "type_func_name_keyword",
  "reserved_keyword", YY_NULLPTR
};
#endif

# ifdef YYPRINT
/* YYTOKNUM[NUM] -- (External) token number corresponding to the
   (internal) symbol number NUM (which must be that of a token).  */
static const yytype_uint16 yytoknum[] =
{
       0,   256,   257,   258,   259,   260,   261,   262,   263,   264,
     265,   266,   267,   268,   269,   270,   271,   272,   273,   274,
     275,   276,   277,   278,   279,   280,   281,   282,   283,   284,
     285,   286,   287,   288,   289,   290,   291,   292,   293,   294,
     295,   296,   297,   298,   299,   300,   301,   302,   303,   304,
     305,   306,   307,   308,   309,   310,   311,   312,   313,   314,
     315,   316,   317,   318,   319,   320,   321,   322,   323,   324,
     325,   326,   327,   328,   329,   330,   331,   332,   333,   334,
     335,   336,   337,   338,   339,   340,   341,   342,   343,   344,
     345,   346,   347,   348,   349,   350,   351,   352,   353,   354,
     355,   356,   357,   358,   359,   360,   361,   362,   363,   364,
     365,   366,   367,   368,   369,   370,   371,   372,   373,   374,
     375,   376,   377,   378,   379,   380,   381,   382,   383,   384,
     385,   386,   387,   388,   389,   390,   391,   392,   393,   394,
     395,   396,   397,   398,   399,   400,   401,   402,   403,   404,
     405,   406,   407,   408,   409,   410,   411,   412,   413,   414,
     415,   416,   417,   418,   419,   420,   421,   422,   423,   424,
     425,   426,   427,   428,   429,   430,   431,   432,   433,   434,
     435,   436,   437,   438,   439,   440,   441,   442,   443,   444,
     445,   446,   447,   448,   449,   450,   451,   452,   453,   454,
     455,   456,   457,   458,   459,   460,   461,   462,   463,   464,
     465,   466,   467,   468,   469,   470,   471,   472,   473,   474,
     475,   476,   477,   478,   479,   480,   481,   482,   483,   484,
     485,   486,   487,   488,   489,   490,   491,   492,   493,   494,
     495,   496,   497,   498,   499,   500,   501,   502,   503,   504,
     505,   506,   507,   508,   509,   510,   511,   512,   513,   514,
     515,   516,   517,   518,   519,   520,   521,   522,   523,   524,
     525,   526,   527,   528,   529,   530,   531,   532,   533,   534,
     535,   536,   537,   538,   539,   540,   541,   542,   543,   544,
     545,   546,   547,   548,   549,   550,   551,   552,   553,   554,
     555,   556,   557,   558,   559,   560,   561,   562,   563,   564,
     565,   566,   567,   568,   569,   570,   571,   572,   573,   574,
     575,   576,   577,   578,   579,   580,   581,   582,   583,   584,
     585,   586,   587,   588,   589,   590,   591,   592,   593,   594,
     595,   596,   597,   598,   599,   600,   601,   602,   603,   604,
     605,   606,   607,   608,   609,   610,   611,   612,   613,   614,
     615,   616,   617,   618,   619,   620,   621,   622,   623,   624,
     625,   626,   627,   628,   629,   630,   631,   632,   633,   634,
     635,   636,   637,   638,   639,   640,   641,   642,   643,   644,
     645,   646,   647,   648,   649,   650,   651,   652,   653,   654,
     655,   656,   657,   658,   659,   660,   661,   662,   663,   664,
     665,   666,   667,   668,   669,   670,   671,   672,    61,    60,
      62,   673,    43,    45,    42,    47,    37,    94,   674,    91,
      93,    40,    41,    46,    59,    44,    58
};
# endif

#define YYPACT_NINF -3835

#define yypact_value_is_default(Yystate) \
  (!!((Yystate) == (-3835)))

#define YYTABLE_NINF -2227

#define yytable_value_is_error(Yytable_value) \
  (!!((Yytable_value) == (-2227)))

  /* YYPACT[STATE-NUM] -- Index in YYTABLE of the portion describing
     STATE-NUM.  */
static const int yypact[] =
{
    5721,    -3,  7339, -3835, -3835,    -3, -3835, 51490,   458,   650,
     912,   162, 13320, 51902, 58906,   234,   288,  5813,    -3, 58906,
    1306, 38306, 49018, 58906,  1010,   640, 38306, 58906, 59318,   809,
     804,   851, 59730, 52314, 47782,  1100, 58906,   952,   303, 60142,
   52726,   892, 53138,   640, 35442,    85,   759, 60554,  1586,  1369,
     886, -3835, -3835, -3835, -3835, -3835, -3835, -3835, -3835, -3835,
   -3835, -3835, -3835, -3835, -3835, -3835, -3835, -3835, -3835, -3835,
   -3835, -3835, -3835, -3835, -3835, -3835, -3835, -3835, -3835, -3835,
   -3835, -3835, -3835, -3835, -3835, -3835, -3835, -3835, -3835, -3835,
   -3835, -3835, -3835, -3835, -3835, -3835, -3835, -3835, -3835, -3835,
   -3835, -3835, -3835, -3835, -3835, -3835, -3835, -3835, -3835, -3835,
   -3835, -3835, -3835, -3835, -3835, -3835, -3835, -3835, -3835, -3835,
   -3835, -3835, -3835, -3835, -3835, -3835, -3835, -3835, -3835, -3835,
   -3835, -3835, -3835, -3835, -3835, -3835, -3835, -3835, -3835, -3835,
   -3835, -3835, -3835, -3835, -3835, -3835, -3835, -3835, -3835, -3835,
   -3835, -3835, -3835, -3835, -3835, -3835,   458, -3835, -3835, -3835,
   -3835, -3835, -3835, -3835, -3835, -3835, -3835,   232, -3835,   121,
     296,  1614,   681,   838, -3835, -3835, -3835, 43662, 58906, 58906,
   58906,  1125, 58906,   924, 58906,   166, 43662, 44074, 60966,  1136,
    1022, 32066, -3835, 41602, 58906, 58906, 61378, 58906, 53550, 58906,
    1183, 58906, 58906, 42014, 61790,  1307,  1285, -3835, -3835, -3835,
   -3835, -3835, -3835, -3835, -3835, -3835, -3835, -3835, -3835, -3835,
   -3835, -3835, -3835, -3835, -3835, -3835, -3835, -3835, -3835, -3835,
   -3835, -3835, -3835, -3835, -3835, -3835, -3835, -3835, -3835, -3835,
   -3835, -3835, -3835, -3835, -3835, -3835, -3835, -3835, -3835, -3835,
   -3835, -3835, -3835, -3835, -3835, -3835, -3835, -3835, -3835, -3835,
   -3835, -3835, -3835, -3835, -3835, -3835, -3835, -3835, -3835, -3835,
   -3835, -3835, -3835, -3835, -3835, -3835, -3835, -3835, -3835, -3835,
   -3835, -3835, -3835, -3835, -3835, -3835, -3835, -3835, -3835, -3835,
   -3835, -3835, -3835, -3835, -3835, -3835, -3835, -3835, -3835, -3835,
   -3835, -3835, -3835, -3835, -3835, -3835, -3835, -3835, -3835, -3835,
   -3835, -3835, -3835, -3835, -3835, -3835, -3835, -3835, -3835, -3835,
   -3835, -3835, -3835, -3835, -3835, -3835, -3835, -3835, -3835, -3835,
   -3835, -3835, -3835, -3835, -3835, -3835, -3835, -3835, -3835, -3835,
   -3835, -3835, -3835, -3835, -3835, -3835, -3835, -3835, -3835, -3835,
   -3835, -3835, -3835, -3835, -3835, -3835, -3835, -3835, -3835, -3835,
   -3835, -3835, -3835, -3835, -3835, -3835, -3835, -3835, -3835, -3835,
   -3835, -3835, -3835, -3835, -3835, -3835, -3835, -3835, -3835, -3835,
   -3835, -3835, -3835, -3835, -3835, -3835, -3835, -3835, -3835, -3835,
   -3835, -3835, -3835, -3835, -3835, -3835, -3835, -3835, -3835, -3835,
   -3835, -3835, -3835, -3835, -3835, -3835, -3835, -3835, -3835, -3835,
   -3835, -3835, -3835, -3835, -3835, -3835, -3835, -3835, -3835, -3835,
   -3835, -3835, -3835, -3835, -3835, -3835, -3835, -3835, -3835, -3835,
   -3835, -3835, -3835, -3835, -3835, -3835, -3835, -3835, -3835, -3835,
   -3835, -3835, -3835, -3835, -3835, -3835, -3835, -3835, -3835, -3835,
   -3835, -3835, -3835, -3835, -3835, -3835, -3835, -3835, -3835, -3835,
   -3835, -3835, -3835, -3835, -3835, -3835, -3835, -3835, -3835, -3835,
   -3835, -3835, -3835, -3835, -3835, -3835, -3835, -3835, -3835, -3835,
   -3835, -3835, -3835, -3835, -3835, -3835, -3835, -3835, -3835, -3835,
   -3835, -3835, -3835, -3835, -3835, -3835, -3835, -3835, -3835, -3835,
   -3835, -3835, -3835, -3835, -3835, -3835, -3835, -3835, -3835, -3835,
   -3835, -3835, -3835, -3835, -3835, -3835, 58906, 11960,  1010, -3835,
   -3835, 58906,  1129, 43662, 58906,  1091, 58906,  1235, 58906, -3835,
   58906,  1291, 62202,   733,  1360, 44074,  1566, 32491,  1431, 44074,
   62614, 58906, 58906, -3835, -3835,  1467, 58906, 58906, -3835,  1610,
   44486,   990,  1624,  1775,  1689,   120, -3835, 53962, -3835, -3835,
   -3835, -3835, -3835, -3835, -3835, 42426,   288, -3835, -3835, 44898,
   58906,  1780, -3835, -3835, 63026, -3835,  1581, -3835,   807, 45310,
   45722,  1880,  1596, 32916,  1943, 46134, 63438, -3835, -3835, 63850,
   -3835, 64262,  1691, 64674, -3835, 46546, -3835,  1797, 65086, -3835,
    1597,  1333,  1283, 28715, -3835, -3835, -3835,   458, -3835, -3835,
   -3835, -3835, -3835, -3835, -3835, -3835,   363,   231,   246,   186,
     269, -3835, -3835,   187,   191,   200,   363,  2030,  2030, -3835,
   58906, -3835, -3835,   231,    16,  1613,  1613,  1613,  1806,   596,
   -3835,  1613, -3835, -3835, -3835, -3835, 53138, -3835,  1629,  1010,
    1642,  2011,  1687, 58906, -3835, 58906, -3835, 58906, 58906, -3835,
   -3835,  2062,  1727,  1951,  1732, -3835,  1834,  1929,  1905,   114,
    1010,  1833, -3835,  2039, -3835,  1949, 19371,  1010, 54374, 65498,
     218, 42426,  1010, 54786,  1807,  1288,  1963, -3835, -3835,   583,
   -3835,  2165,  1847,  2037,  1732,  1285, 29969, -3835,  1852,  1121,
   53138, -3835, -3835, -3835,   367,  2132, 19800, -3835, 58906,  1857,
   -3835,  1856,  1872,  1901,  1614, -3835,  5721, 58906,  1084,  1084,
    2251,  1084,  1569,  1679, -3835,  1996, -3835,  2207,  2175, 53138,
     759,   176, -3835, -3835, -3835, -3835, -3835, -3835, -3835, -3835,
   -3835, -3835, -3835, -3835, -3835, -3835, -3835, -3835, -3835, -3835,
   -3835, -3835, -3835, -3835, -3835,  1940,  1121, -3835,   188, -3835,
    1458,  2000,  1493,  1668, -3835, -3835,   778, 58906,  2078,   196,
     775,  2028, 55198,  3298,  2043, -3835,   822, -3835, -3835, -3835,
   -3835,  2272,  3326,   340, 65910, -3835, 58906, 58906, -3835, -3835,
   -3835, -3835, -3835, -3835, -3835, -3835, -3835,  2051, -3835, -3835,
    2005,  2301,   965,  2253,   626,  2371,  8599,  1395,  2372,  3924,
     982,   801,  2259,   955,  2301,  2363,  1711,  2376,  5232, 58906,
   -3835,  2304,  2408,   675, -3835,   795, -3835,  2135,  2266,   594,
   43662,  2088, -3835, -3835, 58906, -3835, -3835, -3835,  2160, -3835,
     808, 43662, -3835,  2278,  2133, 33341, -3835, 58906, -3835, -3835,
   -3835, -3835, -3835,  2209, 58906, -3835, -3835,  2327, 58906, -3835,
    1613,  2248,  2100,  2472, 74518,    75, 58906,  2136,  2503, 58906,
    2300,  2136,  2137, 66322, -3835, -3835,  2136, -3835, -3835, 58906,
   58906,  2107,  1538,  2136,  2305,  2501,  2504,  2177,  2279,   896,
    1163,   180,  2398,  2136,  2154, 58906, 66734, 58906,  2157, 58906,
    2476, 43662, 58906, -3835,  2271, -3835, -3835,  1368, -3835, -3835,
   -3835, -3835,  2416,  1940,   754,  2417,  2124,  2421, -3835, -3835,
    2159, -3835,  2422,  2043,  2425, -3835,  2127, 67146, -3835, 67558,
   67970,  2434,  2051, 44074,  2435,  2127,  2436,  2325,  2442,   754,
    2443, -3835,   962,  2445,  2332,  2447,  1323,  2127, 42838,  2449,
     156, -3835, 21516, -3835,  2229, -3835,   759, -3835,  1348, -3835,
   37894, -3835,  1283,   231, -3835, 58906,   231, 58906,   231, 58906,
     231, 58906,   231, 58906, 58906, 58906,   231, -3835, -3835, -3835,
   58906,  2156, 58906, 58906, -3835, -3835, -3835, 49430, 44074, 49842,
   -3835, -3835,   619,  1010, -3835, -3835, 74518,  2558, 44074, 58906,
    2446,  2446,  2446, -3835, -3835, -3835,  2382, 58906,  2448,  2454,
   49430, 44074, -3835, 68382, 42426,  2343,  2164, -3835, -3835, -3835,
   -3835, -3835,  1587,  2597,   270,  2599, 21516,  2176,   245,   245,
    2179,  2460, -3835, -3835, -3835,   204,  2180,  2181, -3835,   226,
     226,  2336,  2182,  2183, -3835,   256,  2185,  2615,  2618,   258,
    2196,  2197,  2198,  1757,   245, 21516, -3835,  2204,   226,  2206,
    2208,  2210,  2619,  2211, -3835,  2633,  2212,   306,   343,  2213,
    2215, -3835,  2182, -3835,   222,  2216,  2218,  2221,  2222,  2223,
    2224,  2225,  2226, 21516, 21516, -3835, 18513,  1121,  1010, -3835,
   -3835, -3835, -3835, -3835, -3835, -3835,   147, -3835,   259,  3361,
   -3835, -3835,  2381, 21516, -3835, -3835,    62, -3835,   266, -3835,
   -3835, -3835,  1121, -3835, -3835,  1413,  2227, -3835,  1733, -3835,
   -3835, -3835, -3835, -3835, -3835, 40366,  2627, -3835,   325,  1010,
     795,  1585,  2573, 37070, 37482, -3835, -3835,  2453, -3835, 58906,
   -3835, -3835, 21516, 35030, -3835,  1121,   137, -3835, -3835, -3835,
    1503, -3835, -3835, -3835,   458, -3835, 12769, -3835,  1595,  1857,
   58906, 58906,  2634, -3835, -3835, -3835,  1856, -3835, -3835,  1614,
    1614, 21516,  1614,  1000,  1528, 20229, 21516,  2520,  2420,   233,
    1417,  2522, -3835,  2426,  1569,  1679, 53138, 58906, 68794,  2348,
   -3835, 36266,  1653,  1121,  2316,  2318,  2364, 39130,  2247,  2324,
    2326,  2370,  2329,  2330, 69206, -3835, -3835, -3835, -3835,  1320,
     250,  1007,  2331,   411,   179,  2608, -3835,  1457,  2377, -3835,
   -3835, -3835,  2450, 58906,  2555,  5980,  2444,   340,  2375, -3835,
   -3835,  2487,  2337,  2338,  2456,   340,   238, 69618, -3835, -3835,
   -3835, -3835, -3835, -3835,  5376, 17282, -3835,  2340,  2322, 58906,
   46958,  2635,  2455,  1237,  1334,   185, 58906,  2526,  2462, 58906,
    2274,  2352,  2353,  2280,  1542,  2636,  2281, -3835, -3835, -3835,
    1736,  1862,  2451, -3835,  2579,  6318,  2342,  2355, 73304,  1212,
   33766,  2620,  1182,  2362, -3835,  1182, 58906,  2374,  2379, 58906,
     340, -3835,  2684,   340,   340,  1510,  2690,  2384,   355,  1475,
    2136,  2281,  2193, -3835,  2386,  2388,   821, -3835,  2486, 53138,
     167,  1672,  2281,  2389,  2391,  2280,  2280, 58906, 58906, 58906,
   58906, 58906,   211,  2714,  2716,  2397,   184,  2457,  2335, -3835,
    1182, 40778,  2400, -3835,  1182, 58906,  2402,  1731,  2281,  1072,
    1102, -3835, -3835, -3835,  1285, -3835, 58906, -3835, 58906,  1940,
   74518,  2511, -3835,  2361, -3835,  2043,   340, -3835, 58906, 58906,
    2051,   933,   978,  2517, 58906,  2575,  2378, -3835,   213, 36668,
    2107, -3835,  2350, -3835, -3835,  2394, -3835,  2394,  2394,  2356,
    2356,  2357, -3835, -3835, -3835,  1757,  2394,  2356, -3835, 75320,
   -3835,  1358,  1367, -3835,  2748,  2754, -3835, -3835, -3835, -3835,
   -3835, -3835, -3835, -3835, -3835,  1214,  1616, -3835, 58906, 39130,
   -3835,  2769, -3835, -3835, 74518,  2542,  2658, -3835, 58906,  2559,
    2367, -3835,  2697,  2423, -3835, -3835,    14, -3835,  2669, 44074,
     280,  1010,  2415, 58906,  2591, 58906, 58906, 58906, 58906, -3835,
   -3835,  2563,   130,   637, -3835, 40778, -3835, 58906,  2193,  2576,
    2781,    29,  1613, 58906,  2667, -3835, 58906,  2399,  2784,  2621,
   -3835,  1188, -3835,  2512, -3835, 43662,   754, -3835, -3835, -3835,
   -3835, 74518, 58906, 70030, 43662,   754, 44074, 44074,  2682,   156,
    2693,  2452,  2694,  2463, 33766,   754,   177, 44074, 58906, 58906,
   58906, -3835, 58906, -3835, -3835, -3835, -3835, 58906, 58906, 44074,
   40778,  2699,  2700,   754, 58906, 58906, -3835, 12769,  1601, 58906,
    1283, 41190, -3835, -3835, -3835, -3835, -3835, -3835, -3835, -3835,
   58906, -3835, 58906, -3835, 58906, -3835, 58906, -3835, 58906, -3835,
   -3835, -3835, 58906, -3835, 58906,  1628, -3835, -3835,  1647,   652,
   58906, 58906,   698, 43662, 58906,  2588, 58906, 58906, 58906, 58906,
   58906,  2490,  2227,   -51, -3835,   237, 53138,  2609, -3835, -3835,
    1669,  1586,   839,  2458, -3835, -3835, -3835, -3835, -3835, -3835,
   49842, 49018,  2701,   318, 58906, -3835, -3835,  3094, 21516,  1121,
   18942, -3835, -3835, -3835,  2429, 12769,  2461, 21516, -3835, -3835,
   21516,  2430,  2030,  2030, 21516, -3835, -3835, -3835, -3835,   989,
    2030, -3835, 21516, 21516,  2030,  2030,  2394,  2394, -3835,  7717,
   21516, -3835, 33766, 21516, 24090, 16442, 21516,  2496,  2465,  2030,
   -3835,  2030, -3835, 21516, 18084, -3835, 21516,  2629, 24942, 21516,
    1585,  2637, 21516,  1585,  2851,  2851,   920,  4822,  2428,  1121,
   -3835,  2543,  2030, -3835,  2030,   987, -3835,   193, 74518, 21516,
   39130,  2513,   178, 58906, 21516,  2439,  1514, -3835, 21516,   766,
   -3835,  2466, 21516,  2509, 21516, 21516, 21516, 21516, 21516, 21516,
   21516, 21516, 21516, -3835, 25778,   345,    23,  1190, 55610, 19371,
    2725, 16012, -3835,   199, -3835, -3835, -3835, 58906,  2627, -3835,
   -3835,  2521, -3835, -3835, -3835, -3835, -3835,   267, -3835, -3835,
   -3835, -3835, -3835, -3835, -3835,  2459, -3835, -3835, -3835, -3835,
    2459, -3835,  2467,  4265, -3835, -3835, -3835, -3835, -3835, -3835,
   -3835, -3835, -3835, -3835, -3835, -3835, -3835, -3835, -3835, -3835,
   -3835, -3835, -3835, -3835, -3835, -3835, -3835, -3835, -3835, -3835,
   -3835, -3835, -3835, -3835, -3835, -3835, -3835, -3835, -3835, -3835,
   -3835, -3835, -3835, -3835, -3835, -3835, -3835, -3835, -3835, -3835,
   -3835, -3835, -3835, -3835, -3835, -3835, -3835, -3835, -3835, -3835,
   -3835, -3835, -3835, -3835, -3835, -3835, -3835, -3835, -3835, -3835,
   -3835, -3835, -3835, -3835, -3835, -3835, -3835, -3835, -3835, -3835,
   -3835, -3835, -3835, -3835, -3835, -3835, -3835, -3835, -3835, -3835,
    2712,  2717,   754, 58906,   367, 50254, -3835, 19800, -3835,  1686,
   -3835,  2469, -3835,  2695, -3835,  2468, -3835,  8882,  2695, -3835,
   -3835,   277,  2561,  2685,  2638, -3835, -3835, -3835,  2470, 12769,
   -3835,  1572, 12769,  1786, -3835, -3835, -3835, -3835, -3835, -3835,
    1172, -3835, 58906,  2609,  2520,  1417,  2514,   696, 58906, -3835,
   30387,  2478,  1700,  2535,  2541,  2589, 44074, 58906, 58906, -3835,
   39130, 44074, 58906, 58906, 44074, 58906, 58906, -3835,  2827,   727,
   49018,  2601, 48194, -3835, -3835,  2485, 58906,  2538,  2724,  2728,
    1046, -3835, -3835, 70442, -3835,  2681, 44074, 58906, 58906, 21516,
    2686, 58906, 58906, -3835,   490,  2568,  2571, -3835, 58906,  2572,
   43662,  2499, 58906, 58906, 58906,  2570,   819, 43662,  2545, 34191,
   58906, 58906, 58906, 58906,  2624, 58906, 58906,  2736,  1199, 53138,
     249,  1799,  2281,  2702, -3835,  1009, -3835, 44074, 58906,  2691,
   -3835, -3835, -3835, 56022,  2901,  2610, -3835, -3835, 70854, -3835,
   -3835,  2688, -3835, -3835, 75320, -3835, -3835,  1704, -3835, 74919,
   71266, -3835, -3835,   514, 44074, 44074,  6348, 58906,  1282, -3835,
   -3835, 74518, -3835, 58906, 58906, 58906, 50666, 71667, 72079,  1273,
    1462, 58906, 51078, -3835, 58906, -3835, -3835, 39542, 44074, 58906,
   39130, -3835, 58906,  2698,   745, -3835, 58906,  2502, -3835, -3835,
    2592, 58906,   252,  1803,  2281, 58906, 58906,  2510,  1705,  2598,
    2642, -3835, 58906, 65498, -3835, 44074,   957, -3835,  2653, 44074,
   58906, 11173, -3835, -3835,   340, -3835, -3835, -3835, -3835, -3835,
   58906, 58906,   340, 58906,   340,   227, -3835, 44074, 58906, -3835,
   -3835, -3835,  6791, 58906, 58906, 58906, 58906, 44074, 58906, -3835,
   -3835,   981,    37,  1351,  1410,  2661, 58906,  2791, 58906, 72491,
   44074, 58906, 58906, 58906,  1195, -3835, -3835, -3835,  2639, -3835,
   44074,   957, -3835,  7085, 58906, 58906,  2602,  2604,   170,  2674,
   -3835, -3835, -3835, -3835, -3835, -3835,  2770,  2932, 58906, -3835,
    2774,  2775,  2590,  2593,  2778,   823, 58906, -3835, -3835, -3835,
   -3835, 58906,  2779,   823,  2720,   116, -3835, -3835,  2136, -3835,
    2556,  1715, -3835, -3835, 21516,  2943, 74518,  2547,  2548,  2623,
    2625,  2626, -3835,  2562,  2630,  2030, -3835, -3835,  1789, -3835,
   -3835,  1721, -3835,  2574,   130,  1322, -3835, 39130, 58906,   649,
     117,  2844, 47370,  1619,  2848, 58906,  2605, 58906,  1619, 58906,
   -3835,  1975, 49018, -3835, -3835, -3835, -3835, -3835, -3835, -3835,
   -3835, -3835,  2842, -3835,  1010,  2107,  2107,  2107,  2107, -3835,
   -3835, -3835, -3835,  2750,  1620, -3835,  2566,  2107, 58906,  2678,
    1619,  2577, -3835,  2193,  2866,  1087, 58906, 47370,  1498,  2613,
    2975,  1613,  1010,  2758, -3835, 17683,  3904,  2762, 42426,  2849,
    2859,  2868, -3835,  1940, -3835,  2993, -3835,  2891,   754,  2043,
   -3835,  2127, -3835, 58906, -3835, 58906, 58906, 58906, 58906,  2051,
   -3835, -3835,  2127,  2783,   754,   754, -3835,  2786,   754,  2127,
    2706,  2887, 42426, -3835,   156, -3835, -3835, 21516,  1613, -3835,
   -3835, -3835, -3835, -3835, -3835, -3835, -3835,  1739, -3835, 58906,
   -3835,  2865,  2867,  2872,  2616,  2617,  2654, 58906,  2628, -3835,
    2616,   340,  2616,  2227,  2227,  2616,  2617, 43250,  3018,  2896,
     148, -3835,   694,    44,  2831, -3835, -3835, -3835, -3835, 74518,
   -3835, -3835, -3835, -3835, -3835, 58906,  1004, -3835,   132,  2807,
    2631, 43250,  3009,   754, -3835, 43662, -3835, -3835, -3835,  2703,
    2711, 43662,  2815,  2670, -3835, -3835, -3835, -3835, -3835, -3835,
   -3835,  2862, 58906,  1751, -3835, -3835,  1502, -3835,  1555, 21516,
   21516,   111, -3835,  8993,  1782, 21516,  2640,  2641,  1801, -3835,
   -3835, -3835, -3835, -3835, -3835, -3835,  2643,  2911, -3835,  2644,
    1812,  1813,  2645,  2647, -3835, -3835,  4301,  2648, 10328,  2649,
   24090, 24090,  1184, -3835, -3835, 24090,  2650, -3835,  1817,  9632,
    2632,  2651,  2655, -3835,  2657,  2660, 10888, 20658, 21516, 20658,
   20658, 11109,  2632,  2662,  1818, 39130,  2799, 11345,  1822, -3835,
   21516, 39130,  4804, 21516, -3835, 21516, 58906,  2663,  2664, -3835,
   -3835,  7717, -3835,  2656, -3835, 24090, 24090, -3835,  5636, 18513,
   -3835, -3835,  2917, -3835, -3835,  1659, -3835,  2659, -3835, -3835,
    6561,   214, 21516,  2439, 21516,  2729, 33766,  9197, 21516,  4250,
    3635,  3635,   482,   482,   223,   223,   223,  1681,  1190, -3835,
   -3835, -3835,  2666,  2211, 21516, -3835,  1839,  1887, 58906,  2475,
    2518,  2776, -3835, -3835, -3835, 27043,  2680, 21516, 21516, 21516,
    2672,  2829,  3072, 12769,   713, -3835,  3080, -3835,  1285,  2030,
     987, 37894, -3835, -3835, 21516, -3835, -3835, -3835,  1856, -3835,
   -3835, -3835, -3835, -3835, 58906,  1586, 21516, -3835, -3835,   504,
    1690, 21516,  1572, -3835, -3835,  2721, -3835, 21516, -3835, -3835,
   -3835,  2227, -3835, -3835, -3835, 27043,  2705,  2718, 29551,  2803,
   -3835, -3835, 58906,   276, -3835, -3835, -3835,  2683, -3835, -3835,
   -3835, 44074, 58906, 58906, -3835, -3835, -3835, -3835, -3835, -3835,
   -3835, -3835, -3835, -3835,  2897, -3835, 44074, 44074,  2857, 58906,
    2856,  2860, 21516,   881, 58906,  2679,  2687,  1339,  2937, 58906,
   -3835,  2977,   754, -3835, -3835,  2756, -3835, 12769, -3835, -3835,
   -3835, -3835, -3835, 44074, 58906, -3835, 42426, -3835,  1940, 74518,
   -3835, -3835, -3835, 58906,  2719, 58906, -3835, 58906, 58906, 58906,
    2051, -3835, -3835, -3835, -3835,   995, -3835, -3835, 58906, 58906,
      97,  2757,  2759, 58906, -3835,   953,  2486,  7479, 58906, 58906,
   58906,  2935, -3835, -3835, -3835, -3835,  2880, -3835, -3835,  1616,
   -3835, 71266, 74919, -3835, 74919, -3835,  1616,  1635, -3835,  2127,
    2764,  2281, -3835,  2869,   921, -3835, -3835, -3835, -3835, -3835,
    2989,   754,  2990,   754, 58906, 58906, 58906, 58906, -3835, -3835,
   -3835, -3835, -3835, 39130, 39130, 39130,  1827, -3835, -3835,  1010,
   -3835, -3835, -3835,  1828, -3835,  1303, -3835, -3835, -3835, -3835,
   -3835, -3835, 44074,  7705, 58906, 58906, 58906,  1685, -3835,   207,
   74518, -3835, 73705, 44074, 58906, -3835, -3835, -3835,  2916,  2871,
   -3835,   882,  2873, 44074,  2765, -3835,  2777, -3835, -3835,  2785,
    1867,  2281,  2193, -3835, -3835, -3835, -3835, -3835, -3835, -3835,
   -3835,   374,  1883,  2281,  2787, -3835,  2788, -3835, -3835, -3835,
    2914,  2915,  2925,  2792,  2793,  2823,  2794,  2796,  2836, -3835,
    2797,  2843,  2801,  2847,  2804,   754, 74518,  2928,  1010,  2841,
    3025,   754, -3835,  2809, -3835, -3835,  3130, -3835, 58906, -3835,
    2811,  1892,  2281, -3835, -3835, 44074, 58906, -3835, -3835, -3835,
     823, 74518,  2979,   823,   823, 58906, 58906,   823, -3835, -3835,
   -3835,  2982,  2983,   823, -3835, -3835, -3835, -3835,  2248,  2738,
   31641, -3835,  3173,  4904,  2749,  2548,  2745,  2030,   171,   144,
    1035,  2864,  2030,  2955,  2751, -3835, -3835, 39130, 31641,  1758,
    2971,  2766,  2766,  2766,  2766,  2766,  2766,  2766, -3835,  1622,
     710,  2136, 42426, 58906, 42426, -3835,   117,  2869, 58906, 58906,
    2763,  2747, -3835, -3835, -3835, -3835, 44074,   703, 44074,  2030,
   -3835, -3835,  2820, -3835, 58906,  1613,  3150,  2504,   280,  2892,
    1208,  3100, -3835, -3835, -3835, -3835, -3835, 58906, 58906,   130,
    1010, -3835,  2768,  2771, -3835, 58906, 58906, 58906, 58906,  2458,
    2767,  2772, 74518,   636,  2949,  2954,  2280,  3176,  1586,  2613,
    2861, 58906, -3835,  1865,   109, -3835,  1010, 42426, 72903, -3835,
    4961, -3835, -3835,   734,  3054, -3835, -3835,  1586,   754, 74518,
   58906, -3835,   754,   156,  2837,   754,  2840,   754,   754, 58906,
   -3835, -3835, 58906, -3835, 58906, 40778,   754, -3835, 12769, -3835,
   -3835,  2908,  2909,  2910, 58906,  2616, 43662, -3835,  2790, 44074,
     -44, -3835, -3835,  2974, -3835, -3835, -3835, -3835, -3835,  3095,
    3096, -3835, -3835, -3835, -3835,  3131, 44074, 49430,   228, 44074,
   -3835,  1940, -3835, -3835,  2043,   340, -3835, 58906,  3038, -3835,
   -3835, -3835,  2805,  1870, 11565, 21516, -3835,  3106, 74518, -3835,
    5141, -3835, -3835, -3835, -3835, 21516, -3835, -3835, -3835, -3835,
   -3835, 21516, -3835, 21516,  3082, -3835,  3224,  3224, 74518, 24090,
    1633,  2206, 24090, 24090, 24090, 24090, 24090, 24090, 24090, 24090,
   24090, 26207,   396, -3835, -3835, 21516, 21516,  3090,  3082, -3835,
   -3835,   -30,   -30, 74518,  2812,  2632,  2813,  2814, 21516, -3835,
   -3835,  1874, 25360,  2816, 39130, -3835, 21516,  9958,  1884,  2853,
   12045,  1121,  6109, -3835,  3191,  1010, 21516,  1848,  1954, 21516,
    1894, 21516,  3099, -3835, -3835, -3835,  2821, -3835, -3835, 74518,
   21516, 24090, 24090,  6969, -3835,  9470, 21516,  2819,  9869, 18513,
   -3835,   640,   640,   640,   640, -3835, 58906, 58906, 58906, 27461,
   26625, 56434,  2818,  1748, -3835, 56434, 56846, -3835,  2824,  1121,
   21516,  3097,    63,    63,  2825,  2829, 30805, -3835, 21516,   798,
   21087,  2826,   795,  2828, -3835, -3835,  5770, -3835, -3835,  2830,
   -3835,  2832, -3835,  1690, -3835, -3835, -3835,  6473,  3011, -3835,
   -3835,  2818, 21945,  2803, -3835,  1900, -3835, -3835, 19371, -3835,
   -3835,  1902, 30387,  2705, 19800,  1121, -3835, -3835, -3835,  2766,
    2127,  2127,   942,  2616,  3113,   942,  6822, -3835, -3835, 27879,
   58906, 58906, -3835, 58906,  1906,  1325, 58906, -3835, 58906, -3835,
   -3835, -3835, -3835,  3233, -3835, 58906, -3835, -3835,  2886,  2888,
   -3835, 58906, 58906, 58906, 58906, -3835, -3835,  2000, -3835, -3835,
   44074, 58906, -3835, -3835, -3835,   387,  1897,  2281, -3835,  2912,
   -3835, -3835,  3084,  1665, -3835, -3835, -3835,  2902, 58906,  2839,
   -3835,   209,  2280,   899, -3835, -3835,  2906, 58906, -3835, 58906,
   -3835, -3835, -3835, -3835, -3835, -3835, -3835, -3835, -3835, 39542,
   -3835, -3835, -3835, 39130, 31641, 39130, -3835,   409,  1966,  2281,
   -3835,  2922, -3835,  2923,  2924,  2961,   844,   183,  2929,  2930,
    2970,  2858,  2863,  2870, -3835, -3835,   363,  1010, -3835, -3835,
    1010,  2127,  1010, 58906, 58906, 58906, 58906, 58906, 58906, 58906,
   58906,  3143,   861,  1612, 44074, 58906, 58906, 44074, 58906, 58906,
   58906, 58906, 58906, 58906, 58906, -3835,  3225,  3157,  1825,  3200,
    2931, 58906, -3835, 58906,  2486, 58906, 58906, -3835, -3835, -3835,
    2874,   823, -3835, -3835,  3108,  3109, -3835,   823,   823, -3835,
     213, 39130, -3835,  2671,  2832,  1736,  1862, -3835, -3835, -3835,
   -3835, -3835, -3835,  2556, -3835, -3835,  2030,  2022,  2877, -3835,
    2879, -3835, -3835, -3835, -3835, -3835, -3835,  2878, -3835,   987,
   -3835, -3835, 58906,  2766, -3835,  1411,   328,   338,  1372, 57258,
   57670, 58082,  2881, 58906, 58906, 24090, -3835,  1450,   941, -3835,
    3102, 58906,  2907, -3835, -3835, -3835,  3023, 58906, -3835, -3835,
   -3835, -3835, -3835,  2884, -3835,  2998, 47370,  2127, 44074, 44074,
    2127, -3835, 74518,  2889,  2613, 44074,   280,  1354, 66734,  2921,
    2876,  3177, -3835,  2893,  2895, -3835, -3835, 58906,  2869,  1910,
      45,  1597, -3835, 48606,  1498,  3147, -3835, -3835, -3835,  3255,
    2984, -3835,  1586,  2458,  2984,  1010,  2538, -3835, 71266, 21516,
   21516, -3835,  2903, -3835,  2905,  5137, -3835,  2107, -3835, -3835,
   -3835, -3835, -3835, -3835,  2986, 58906, -3835, -3835,  2926,   754,
   -3835, -3835, 58906, -3835, 58906, -3835, -3835,   754,   754, -3835,
    3020, -3835, 58906, 58906, 58906,  2616, -3835,   340, -3835,  3190,
   43250, -3835, -3835, -3835, -3835, -3835,   318,  3196, -3835, -3835,
    3162,  3163,  3164,  3165,   907, -3835, -3835, 21516, 12769, -3835,
    2933, -3835, 12769,  7374, 12769,  3090, -3835,  1968,  3198, -3835,
    1118,  2936,  1968,  1384,  1384,   468,   468,   181,   181,   181,
    3224,   396, 12769, 12769, -3835, -3835, -3835, -3835,  2934, -3835,
   -3835, -3835,  2632, -3835, 22374,  3071,  3313, -3835, -3835, -3835,
    2967,  2968,  2938, -3835, 21516, 22803,  2939, 75320, -3835, -3835,
     987,  1345, 24090, 24090,  1168, -3835,   390, 21516, 74518,  1911,
    1168,  2026,  2622, 21516, 21516, 10410,   381, 21516,  7642, 58906,
   58906, 58906, 58906, -3835, -3835, -3835, 56434, 56846, 16863,  1748,
    2944, 58906, -3835, -3835,  2946, 27043,  3186,  3111, -3835, 27043,
    3111,  1335,  3111,  3187, -3835, 31223, -3835, -3835,  2953, 16012,
    1541, 12769,  3337,  3226, 21516,  2956, -3835,  2959,  2829, -3835,
   74106, -3835, -3835, 12769, -3835, -3835, 21516, -3835,  2829,  1010,
   -3835, -3835, 33766, -3835, -3835, -3835,  3141, 12769, -3835,  1586,
   58906,  1121,  2958,  2976, 58906, -3835,  2803, -3835,   363, -3835,
   -3835, -3835, -3835,  3039, 49018,  3244, -3835, 21516,  1917, -3835,
    3001,  3333,   273,  1921,  1925,  1325, -3835,  2907, -3835,  1531,
    3229,   142, -3835,   754, -3835, 74518, -3835, 58906, 58906, -3835,
   -3835, -3835, -3835,  2247, -3835, -3835, 58906, 58906, 58906, 58906,
   -3835,  3035, -3835, -3835, 39130,  1622,  3167, -3835, -3835,  3168,
     363, 58906, -3835, 74518,   754,   754, -3835, -3835, -3835,  2991,
   58906, 58906, 58906, 58906, 44074, 58906, 58906,  2030,  2030, 74518,
    2978, -3835,  2030,  2030,  2980, -3835, 44074, 58906, 58906, -3835,
   -3835, -3835, -3835, -3835, -3835, -3835, -3835, -3835, -3835, -3835,
    3045, -3835, -3835, -3835, 58906, 58906, 58906, 58906,  3275, -3835,
   -3835, -3835, -3835, -3835, -3835, -3835, -3835, -3835, -3835, -3835,
   58906, -3835, -3835,  1010,  1010, 74518,   754,   754, -3835, -3835,
   -3835,  3219, -3835,   823,   823, -3835, -3835,   670,  1927, -3835,
   28297, -3835, -3835,  2503,  1010,  2503,   967, -3835, -3835,  2503,
   -3835,  2503, -3835,  1325,  2988,   202,  3261, -3835, -3835, -3835,
   -3835,  3265,   363, -3835, -3835, -3835, -3835, -3835, -3835, -3835,
   -3835, -3835, -3835, -3835, -3835, -3835, -3835, -3835, 21516, -3835,
     874,  1968, -3835, -3835, -3835, -3835,  2907,  1613,  3040, 43662,
     291, -3835,  3249,   649, 47370,   885, 58906, -3835,  2127,  2127,
    3042, 58906,  3391, -3835,    53, 58906,  3302,  3033, -3835,  1010,
   -3835, -3835,  2613, 58906, 47370,  2458,  1950, -3835, -3835, -3835,
    3031,  2954,  2999,  1498,   831, 58906, -3835,  3032, -3835, -3835,
    3280,  3002, -3835, 12769, 12769,  1010, 75721,  4961, -3835, 58906,
    3253,   754, -3835,   754,   754, -3835, -3835, 58906,  2616,  2616,
    2616, -3835,  3183, -3835,   754, 43250,   907,   907,   907,   907,
   -3835, -3835, -3835, 12769, -3835, -3835, -3835, 24090,  3287, -3835,
    3013, 74518, -3835,  3014,  1964,  1969, 24942,  3151, -3835, -3835,
   -3835,  7864,  3058, 12769,  3116,  3015,  3019, -3835,   532,   532,
     390,  1974, -3835, 24090, 24090,  1168,  1168, 21516,  1168, -3835,
   -3835, -3835, -3835, -3835, -3835, -3835, 56434,  3021, 58906,  1748,
   27043, -3835, -3835,  1808, -3835, 27043,  3258, -3835, 27043, 58906,
    3024, 58906,   837, 21516, 21516,  3060,  2829,  2829, -3835,  3189,
   -3835,  3026, -3835,   987,  3027, 58906, -3835, -3835,   759, -3835,
   -3835, -3835, 43250,  3208, 43250,  1325,  8004,  2907, 27879, 34616,
   58906, 58494, 58494,  3171,  2907,  3040, -3835, -3835, -3835, -3835,
   -3835, -3835,  3030, -3835, -3835, -3835,  3107, -3835, -3835, -3835,
    1976, -3835, -3835, -3835, -3835, -3835,  3225, -3835, -3835, 31641,
   -3835,  3112, -3835, -3835, -3835, -3835, -3835, 29133, 33766, -3835,
     844,  3034,  3037,   183, -3835, -3835, -3835, 58906,   796,    26,
    3066,  2616,  3320, -3835, -3835, -3835,  3225, -3835, -3835,   823,
   -3835, -3835, -3835,  2136,  3360, -3835, 39130, -3835, 39954, -3835,
   -3835, -3835,  1010, -3835,  1010,  3231, 35854,  1010,  1010, -3835,
   43662,  3445,  3445, 58906, -3835, -3835,  8327,  3242, -3835,  3040,
    3268,  3310, -3835,  3057, 58906,  3209,  3059,  3062,   236,   236,
    2869, 58906,  1978,  1586,   280, 47370,  2869, -3835,   608,  3061,
    3362, -3835,  3464,  2767,  3068, -3835, -3835, 48606,  3248,  2984,
   58906,  2954,  3195, -3835,  3197, -3835,  1069, -3835, 58906, 27879,
   -3835, 74919, -3835,  1980, -3835, -3835,  2680, 58906,   763, -3835,
   -3835, -3835, -3835, -3835, -3835,   228, -3835, -3835, -3835, -3835,
     408, 24090, 74518,  1986, 21516, -3835, 21516, -3835,  3459, -3835,
   -3835, -3835,   605, -3835, -3835, -3835,   532,   532,  1168, -3835,
   58906,  1995, -3835, 21516,  3077, -3835, -3835, 27043,  1808,  1997,
   58906,  2002, 74518,  2829,  2632, 12769, 58906, -3835, -3835, -3835,
    3463,  3257,  2829, -3835, -3835, -3835, -3835,   -44,   942,   228,
    3333,  3040, -3835,  3083, -3835, -3835, 58906, -3835,   275,   275,
   58906,  3040, -3835, -3835, 58906, -3835, 39130,  3134, -3835, 58906,
   74518,  2043,    90, -3835, 74518, 74518, -3835, -3835, 58906, 58906,
   58906, 58906, 58906,   754, -3835,  2738,  1010, -3835, -3835,  2007,
   -3835, -3835, -3835, 58906, -3835,  2876, -3835, -3835,  3445,   301,
   -3835, -3835, -3835,  1561,  3282, -3835,   862,  3269,  3170,  3085,
   -3835, 43662,  3517,  3202, -3835, -3835, -3835, -3835, -3835, -3835,
   -3835, -3835, -3835,  3383,  2613,  3032, -3835, -3835, -3835, -3835,
   21516,  3245,  1586,  1498,  3147, -3835, -3835, -3835,  2008,  2984,
   -3835, -3835,  3466,  3278,  3467, -3835,  2023, -3835, -3835,  5137,
   75721,  3415, -3835,  3152, 58906, -3835, -3835, -3835,   408,  2024,
   -3835,  2025,  2029,  3247,  3153, -3835,  2041, -3835, 12769, 58906,
   -3835, -3835, -3835,  2048, -3835,  3103, -3835,  3503, 21516,  1391,
   -3835, -3835,  3388, -3835, 58494,  3146, 33766, -3835,  1690,  1690,
    1613, -3835,  1325, -3835, -3835, 21516, -3835, -3835,  2054, -3835,
     118,  3254,  3396,  2055,  2059,  2617,  3149,  2617, -3835,  2616,
   -3835, -3835, -3835, -3835, 39954,  2876, -3835, -3835, -3835,  3422,
    3368, -3835, -3835, -3835, -3835,   676, -3835,  3299,  3303, 58906,
   -3835,  3120, -3835,  2060, 58906, 58906,  3516,  3524, -3835,  8338,
   43662, -3835,  2954,  1498,  1622, -3835, -3835,  3305, -3835,  3306,
    2613, 27879,  4961, -3835,   278, -3835, -3835, -3835, -3835, -3835,
   -3835, -3835, -3835,  2064, -3835, 58906,  3132,  2632, 23232, 23232,
    3133, 43250,   275,  3135, -3835,  3136, -3835, -3835,  3268,  1325,
   12769, 43662,  3514, -3835, -3835, -3835,  3254, -3835, -3835, 58906,
   -3835,  3256, -3835,   788,   788,  3461, -3835,  3199, -3835, -3835,
    3140, -3835,  3562,  2869, -3835,   844,  1586, -3835,  3142,  2984,
    2954, -3835, -3835,  2984, -3835, -3835, -3835, -3835,    68, -3835,
   -3835, -3835, 24519,  3266,   757,  9521, -3835, -3835, -3835, -3835,
     228,  1690, 21516,  1325, -3835,  3269,  2043, 58906, -3835, -3835,
    3033, -3835,  3558, -3835,   794, -3835, -3835, -3835, -3835, -3835,
    2978, -3835, 38718, -3835,  2984,  2680, -3835,  1776, -3835, -3835,
   -3835, -3835, -3835, -3835, -3835,  3549, -3835, -3835, -3835, -3835,
   -3835, -3835, -3835,  8378, -3835, -3835, -3835,  3444, -3835, -3835,
   -3835, -3835,  2065, -3835, -3835, -3835, -3835, -3835, -3835,  1859,
   -3835, -3835,  1886,  1901, 23661, -3835,  1325,  3300, -3835, 38718,
   -3835,  1776, -3835, 43662, -3835, -3835,  3154, 38718,  2066, -3835
};

  /* YYDEFACT[STATE-NUM] -- Default reduction number in state STATE-NUM.
     Performed when YYTABLE does not specify something else to do.  Zero
     means the default is an error.  */
static const yytype_uint16 yydefact[] =
{
    1377,  1175,   530,  1261,  1260,  1175,   240,     0,  1263,     0,
    1175,   353,   944,     0,     0,     0,     0,   530,  1175,     0,
    1377,     0,     0,     0,     0,  1390,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1175,     0,     0,  1397,     0,
       0,     0,     0,  1390,     0,  1265,     0,     0,     0,     0,
       2,     4,    59,    60,    24,    23,    29,    28,    82,    83,
      47,    17,    73,    53,   116,   115,   117,    35,    31,    67,
      21,    22,    32,    36,    55,    37,    48,    94,    54,    20,
      52,    77,    56,    80,    42,    11,    12,    43,    71,    13,
      44,    72,    14,    45,    15,    61,    84,    27,    57,    81,
      58,     5,    38,    69,    65,    10,    49,    50,    51,    74,
      75,    76,    99,    79,   111,    34,   108,    88,    89,   105,
      90,   106,     8,    91,    46,    16,   102,   101,   103,    68,
      39,    70,   100,   104,    18,    19,   107,    78,    97,    93,
     112,   110,   118,    95,    62,     6,     7,    85,    41,     9,
      26,    25,    40,    33,   114,    30,  1263,    87,    98,    86,
      63,    92,    66,    96,   113,    64,   109,  1364,  1351,  1399,
    1363,  1376,     0,  1366,  1174,  1173,  1159,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   529,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1185,  1905,  1920,  1921,
    1922,  1923,  1924,  1925,  1926,  1927,   325,  1928,  1929,  1930,
    1931,  1932,  1933,  1934,  1935,  1936,  1937,  2174,  2175,  2176,
    2177,  1938,  1939,  1940,  1941,  1942,  1943,  1944,  2178,  2179,
    1945,  1946,  1947,  1948,  1949,  2180,  1950,  1951,  1952,  1953,
    1954,  1955,  1956,  1957,  1958,  1959,  1960,  1961,  1962,  1963,
    1964,  1965,  1966,  1967,  1968,  1969,  2181,  2182,  1970,  1971,
    1972,  1973,  1974,  1975,  1976,  1977,  1978,  1979,  1980,  1981,
    1982,  1983,  1984,  1985,  1986,  1987,  1988,  1989,  1990,  1991,
    1992,  1993,  1994,  2183,  1995,  1996,  1997,  2184,  1998,  1999,
    2185,  2000,  2001,  2002,  2003,  2004,  2005,  2006,  2186,  2007,
    2008,  2009,  2010,  2011,  2012,  2013,  2014,  2015,  2016,  2017,
    2018,  2019,  2020,  2021,  2022,  2187,  2023,  2024,  2025,  2026,
    2188,  2189,  2190,  2027,  2028,  2029,  2030,  2031,  2032,  2033,
    2034,  2035,  2036,  2191,  2037,  2038,  2039,  2040,  2041,  2042,
    2043,  2044,  2045,  2046,  2047,  2048,  2049,  2050,  2051,  2052,
    2053,  2192,  2193,  2054,  2055,  2194,  2056,  2057,  2058,  2195,
    2059,  2196,  2060,  2061,  2062,  2063,  2064,  2065,  2066,  2197,
    2198,  2067,  2068,  2069,  2070,  2071,  2072,  2073,  2074,  2199,
    2075,  2200,  2078,  2076,  2077,  2079,  2080,  2081,  2082,  2083,
    2084,  2085,  2086,  2201,  2087,  2088,  2089,  2090,  2091,  2092,
    2093,  2094,  2095,  2096,  2097,  2098,  2099,  2100,  2101,  2102,
    2103,  2104,  2105,  2202,  2106,  2107,  2108,  2109,  2110,  2111,
    2112,  2113,  2114,  2115,  2116,  2117,  2118,  2119,  2203,  2120,
    2121,  2122,  2204,  2123,  2124,  2125,  2126,  2127,  2128,  2129,
    2130,  2131,  2132,  2133,  2205,  2134,  2135,  2136,  2137,  2138,
    2139,  2140,  2141,  2206,  2207,  2142,  2208,  2143,  2209,  2144,
    2145,  2146,  2147,  2148,  2149,  2150,  2151,  2152,  2153,  2154,
    2155,  2156,  2157,  2158,  2159,  2160,  2210,  2211,  2161,  2162,
    2163,  2164,  2165,  2166,  2167,  2168,  2169,  2170,  2212,  2213,
    2214,  2215,  2216,  2217,  2218,  2219,  2220,  2171,  2172,  2173,
     324,  1342,  1876,  1906,  1907,  1262,  1243,   530,     0,  1162,
     352,     0,     0,     0,     0,     0,     0,     0,     0,   721,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     166,     0,     0,   376,   375,     0,     0,     0,   916,   381,
       0,     0,     0,     0,     0,   518,  1304,  2076,  1302,  1343,
     241,   244,   242,   243,  1898,     0,  1016,  1017,  1019,     0,
       0,  1029,   756,   757,     0,   755,     0,   759,     0,     0,
       0,   751,     0,     0,     0,     0,     0,   758,   748,     0,
     747,     0,     0,     0,   754,     0,   749,     0,     0,  1163,
    1301,   382,  1377,     0,  1279,  1280,  1281,  1263,  1270,  1282,
    1275,  1277,  1276,  1278,  1274,  1897,  1921,   855,   855,   855,
     855,   852,   853,   855,   855,   855,  2093,     0,     0,   834,
       0,   836,  1902,   855,   860,   437,   437,   437,     0,   859,
     864,   437,  1156,  1194,  1881,  1389,     0,   835,  1155,  2142,
    1293,     0,     0,     0,  1033,     0,  1034,     0,  2108,  1167,
     225,  2118,  2206,  2142,   221,   195,  1925,     0,     0,   859,
       0,  1164,  1165,   818,  1396,  1394,     0,  1943,  1956,  2040,
     218,  2104,  2109,  2118,  2206,  2142,  2170,   175,   180,     0,
     234,  2118,  2206,  2142,   230,  1185,     0,  1367,  1482,  1872,
       0,  1158,  1157,  1264,     0,  1267,     0,  1444,  2089,  1371,
    1373,  1269,  1364,     0,     0,     1,  1377,  1258,  1393,  1393,
       0,  1393,     0,  1356,  1364,  1359,  1363,     0,     0,     0,
       0,  1905,  2221,  2222,  2223,  2224,  2225,  2226,  2227,  2228,
    2229,  2230,  2231,  2232,  2233,  2234,  2235,  2236,  2237,  2238,
    2239,  2240,  2241,  2242,  2243,     0,     0,  1882,  1906,  1910,
       0,   766,     0,   122,  1877,   904,     0,     0,     0,     0,
    1876,     0,     0,     0,     0,  1911,     0,  1899,  1912,  1913,
    1914,  2012,     0,     0,     0,  1777,  1947,  1998,  1787,  1785,
    1786,  1779,  1780,  1781,  1782,  1783,  1784,     0,  1014,  1778,
       0,   144,   122,     0,     0,  2012,     0,     0,  2012,     0,
       0,     0,     0,     0,   144,  2043,   122,  2012,     0,     0,
    1179,     0,     0,     0,  1181,  1184,  1160,  1246,     0,  1872,
       0,     0,   797,   787,     0,   798,   788,   793,     0,   800,
       0,     0,   790,     0,     0,     0,   801,     0,   789,   791,
     803,   792,   799,     0,     0,   794,   795,     0,     0,  1171,
     437,   331,     0,     0,     0,     0,     0,   122,  1233,     0,
    2012,   122,     0,     0,   380,   379,   122,   378,   377,  1947,
    1998,     0,   943,   122,  2012,     0,   168,   600,   533,     0,
       0,   678,  2043,   122,     0,     0,     0,     0,     0,     0,
     919,     0,     0,   517,   530,  1305,  1303,     0,  1020,   220,
     219,  1018,  2012,     0,   303,     0,     0,  2012,  1222,   753,
       0,   752,  2012,     0,  2012,  1900,   159,     0,   750,  1947,
    1998,  2012,     0,     0,  2012,   151,  2012,     0,  2012,   303,
    2012,   534,     0,  2012,     0,  2012,  2043,   153,     0,  2012,
     303,   764,     0,  1298,     0,  1272,  2210,  1287,     0,  1283,
    1290,  1286,  1377,   855,   854,     0,   855,     0,   855,     0,
     855,     0,   855,     0,     0,     0,   855,  1903,  1904,   837,
       0,   861,     0,     0,   868,   867,   866,     0,     0,     0,
     869,  1486,  1320,     0,  1153,  1170,     0,     0,     0,     0,
    1036,  1036,  1036,  1166,   224,   222,     0,     0,     0,     0,
       0,     0,  1172,     0,     0,     0,     0,  1885,  1887,  1888,
    1788,  1855,     0,  2175,  2176,  2177,  1846,     0,  2178,  2179,
    2180,  2223,  1700,  1687,  1696,  1701,  1688,  1690,  1697,  2181,
    2182,  1982,  2183,  2184,  1895,  2185,  2186,  2188,  2189,  2190,
    2191,  1692,  1694,  2192,  2193,     0,  1896,  2195,  2196,  2064,
    2198,  2199,  2201,  2202,  1698,  2204,  2205,  2206,  2207,  2208,
    2209,  1894,     0,  1699,  2211,  2213,  2214,  2215,  2216,  2217,
    2218,  2219,  2220,     0,     0,  1869,     0,  1672,     0,  1518,
    1519,  1541,  1542,  1520,  1547,  1548,  1560,  1521,     0,  1868,
    1585,  1671,  1677,     0,  1670,  1666,  1379,  1864,     0,  1667,
    1884,  1886,  1847,   187,   236,     0,   237,  1870,  2118,   176,
     217,   189,   216,   190,   188,     0,  1945,   177,     0,     0,
     178,     0,     0,     0,     0,   233,   231,     0,  1161,     0,
    1484,  1483,     0,     0,  1853,  1873,   773,  1256,  1257,  1255,
       0,  1252,  1254,  1266,  1263,  1860,  1859,  1861,     0,  1372,
       0,     0,     0,  1354,  1353,     3,  1269,  1391,  1392,     0,
       0,     0,     0,     0,     0,     0,     0,  1434,  1407,  1408,
    1410,  1431,  1435,  1443,     0,  1360,     0,     0,  1488,     0,
    1445,     0,     0,  1883,     0,     0,     0,     0,   767,     0,
       0,     0,     0,     0,     0,   121,  1220,   227,  1218,     0,
       0,     0,     0,     0,     0,     0,  1225,     0,     0,   157,
     158,   545,   530,     0,  2012,     0,     0,     0,     0,   976,
     983,     0,     0,     0,     0,     0,     0,     0,   977,   975,
     978,   229,   987,  1000,  1003,     0,   894,     0,     0,     0,
       0,  1085,     0,     0,  1085,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   247,   255,   298,   509,
       0,     0,     0,   512,  2012,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   126,     0,     0,     0,     0,     0,
       0,   496,   508,     0,     0,     0,     0,     0,   505,     0,
     122,   249,   489,   493,     0,     0,     0,   609,   608,     0,
    1085,     0,   245,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   317,   318,
       0,     0,     0,   126,     0,     0,     0,     0,   251,     0,
       0,  1180,  1177,  1178,     0,  1183,     0,  1242,     0,     0,
       0,     0,   805,     0,   802,     0,     0,   796,  1947,  1998,
       0,     0,     0,     0,     0,     0,   355,   330,     0,     0,
       0,   675,     0,  1908,  1529,  1558,  1536,  1558,  1558,  1525,
    1525,  1538,  1526,  1527,  1565,     0,  1558,  1525,  1530,     0,
    1528,  1568,  1568,  1553,     0,  1510,  1511,  1512,  1513,  1539,
    1540,  1514,  1545,  1546,  1515,  1582,  1525,  1909,     0,     0,
     686,     0,  1197,  1232,     0,     0,     0,   539,     0,  2012,
       0,   124,   722,     0,   676,   381,     0,   124,     0,     0,
     162,     0,   604,     0,     0,     0,     0,     0,     0,   624,
     623,     0,     0,     0,   677,     0,   124,     0,   492,  2012,
       0,   437,   437,     0,     0,   918,   921,     0,     0,     0,
    1346,  1348,  1347,     0,  1345,     0,   303,   301,   302,   673,
    1028,     0,     0,     0,     0,   303,     0,     0,  2012,   303,
    2012,     0,  2012,     0,     0,   303,   303,     0,     0,     0,
       0,   605,     0,   763,   761,   760,   762,     0,     0,     0,
       0,     0,  2012,   303,     0,     0,   744,  1798,     0,     0,
    1377,     0,   206,   207,   205,  1288,   208,  1289,  1285,  1271,
       0,   845,     0,   849,     0,   840,     0,   846,     0,   841,
     838,   839,     0,   844,     0,     0,   438,   440,     0,     0,
    1967,  1981,     0,  2003,  2031,  2032,  2109,  2114,     0,  2137,
    2146,     0,   870,   899,   865,     0,     0,  1330,  1154,  1804,
       0,  1377,     0,   482,  1035,  1032,  1031,  1030,   223,   196,
       0,     0,     0,   901,  2108,  1169,   817,   530,     0,  1668,
       0,  1675,  1676,  1557,  1544,  1845,     0,     0,  1552,  1551,
       0,     0,     0,     0,     0,  1534,  1533,  1532,  1674,  1812,
       0,  1531,     0,     0,     0,     0,  1558,  1558,  1556,  1605,
       0,  1535,     0,     0,  1825,     0,  1831,     0,     0,     0,
    1564,     0,  1562,     0,     0,  1641,     0,     0,     0,     0,
       0,     0,     0,     0,  1589,  1590,  1672,  1798,     0,  1673,
    1891,     0,     0,  1550,     0,  1582,  1867,  1788,     0,     0,
       0,     0,  1858,     0,  1796,     0,     0,  1619,  1794,     0,
    1621,     0,     0,     0,  1787,  1785,  1786,  1779,  1780,  1781,
    1782,  1783,  1784,  1792,  1602,     0,     0,  1601,     0,     0,
    1447,     0,  1889,  1848,   238,   239,   235,     0,     0,   192,
     191,     0,   210,   214,   215,   186,   213,     0,   209,   194,
    1740,  1739,   193,   185,   183,   181,   197,   199,   200,   184,
     182,   232,     0,     0,  1915,  2244,  2245,  2246,  2247,  2248,
    2249,  2250,  2251,  2252,  2253,  2254,  2255,  2256,  2257,  2258,
    2259,  2260,  2261,  2262,  2263,  2264,  2265,  2266,  2267,  2268,
    2269,  2270,  2271,  2272,  2273,  2274,  2275,  2276,  2277,  2278,
    2279,  2280,  2281,  2282,  2283,  2284,  2285,  2286,  2287,  2288,
    2289,  2290,  2291,  2292,  2293,  2294,  2295,  2296,  2297,  2298,
    2299,  2300,  2301,  2302,  2303,  2304,  2305,  2306,  2307,  2308,
    2309,  2310,  2311,  2312,  2313,  2314,  2315,  2316,  2317,  2318,
    2319,  2320,  1850,  1849,  1879,  1916,  1917,  1918,  1919,  1854,
       0,     0,   303,  1250,     0,  1247,  1863,     0,  1374,     0,
    1874,     0,  1259,  1370,  1369,  1400,  1401,   936,  1368,  1425,
    1426,  1421,     0,     0,     0,  1440,  1438,  1417,  1411,  1416,
    1414,     0,  1418,  1585,  1433,  1358,  1405,  1406,  1409,  1357,
       0,  1436,     0,  1330,  1434,  1410,  1317,     0,     0,  1489,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   768,
       0,     0,     0,     0,     0,     0,  2137,   226,  1216,     0,
       0,     0,     0,   903,   902,     0,     0,   923,     0,     0,
       0,  1228,   426,     0,   300,     0,     0,     0,     0,     0,
       0,     0,     0,   671,   668,     0,     0,   667,     0,   543,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   579,     0,
    1085,     0,   612,     0,   985,     0,   984,     0,     0,     0,
     986,   981,   982,  2109,  2118,  2142,   228,  1002,     0,  1001,
     999,   958,   960,   959,     0,   962,   946,     0,   947,     0,
       0,   957,   965,   963,     0,     0,     0,     0,  1991,   257,
     270,     0,  1084,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   290,     0,   293,   292,     0,     0,     0,
       0,   297,     0,     0,     0,   296,     0,     0,   510,   511,
       0,     0,  1085,     0,   253,     0,     0,     0,     0,     0,
       0,  1015,     0,     0,   147,     0,   143,   146,     0,     0,
       0,     0,   495,   507,     0,   499,   500,   497,   501,   502,
       0,     0,     0,     0,     0,     0,   494,     0,     0,   602,
     601,   607,     0,     0,     0,     0,     0,     0,     0,  1077,
    1076,     0,     0,     0,     0,     0,     0,   712,     0,     0,
       0,     0,     0,     0,     0,   150,   615,   616,     0,   617,
       0,   148,   149,     0,     0,     0,     0,     0,     0,     0,
     204,  1176,  1182,  1245,  1880,  1244,     0,     0,     0,   804,
       0,     0,     0,     0,     0,     0,     0,   806,   807,   808,
     809,     0,     0,     0,     0,     0,   333,   334,   122,   332,
    1908,     0,   701,   674,     0,  1510,     0,  1506,  1502,  1571,
    1572,  1573,  1570,  1583,  1569,     0,  1516,  1574,  1525,  1522,
     687,     0,   689,   692,     0,  1195,   399,     0,     0,   536,
     579,     0,   384,   155,     0,     0,     0,     0,   120,   166,
     168,   382,     0,   167,   169,   171,   172,   173,   170,   174,
     599,   603,     0,   532,     0,     0,     0,     0,     0,   625,
     629,   628,   632,   630,     0,   626,     0,     0,  1498,     0,
     142,     0,   488,   491,     0,     0,     0,   384,   468,   310,
       0,   437,     0,     0,   920,     0,     0,     0,     0,     0,
       0,     0,  1344,     0,  1006,     0,  1223,  2012,   303,     0,
    1004,   160,  1901,     0,   745,     0,     0,     0,     0,     0,
    1008,   741,   152,     0,   303,   303,   535,     0,   303,   154,
       0,     0,     0,   527,   303,   765,  1300,     0,   437,  1273,
    1284,   842,   851,   850,   848,   847,   843,     0,   862,     0,
     436,     0,     0,     0,   876,   877,     0,     0,   875,   892,
     878,     0,   880,   872,   871,   881,   882,     0,     0,   901,
       0,  1327,     0,  1325,     0,  1487,  1329,  1318,  1292,     0,
    1291,  1295,  1297,  1296,  1294,     0,     0,   487,     0,     0,
     859,     0,     0,   303,  1168,     0,   819,   820,   826,     0,
       0,     0,     0,     0,   827,   823,   824,   825,   828,   829,
     830,     0,     0,     0,  1856,  1808,     0,  1809,     0,     0,
       0,  1844,  1840,     0,     0,     0,     0,     0,     0,  1813,
    1816,  1817,  1818,  1815,  1819,  1814,     0,     0,  1820,     0,
       0,     0,     0,     0,  1555,  1554,     0,     0,     0,     0,
       0,     0,     0,  1644,  1677,     0,     0,  1772,     0,  1798,
    1830,     0,     0,  1566,     0,     0,     0,     0,     0,     0,
       0,  1798,  1836,     0,     0,     0,     0,  1738,     0,  1735,
       0,     0,     0,     0,  1855,     0,     0,     0,     0,  1892,
    1586,  1603,  1866,     0,  1857,     0,     0,  1587,  1610,     0,
    1837,  1637,     0,  1642,  1625,     0,  1618,     0,  1623,  1627,
    1606,  1858,  1797,     0,  1795,     0,     0,  1604,     0,  1599,
    1597,  1598,  1591,  1592,  1593,  1594,  1595,  1596,  1600,  1776,
    1774,  1775,     0,     0,     0,  1622,  2005,  2040,     0,  1390,
    1390,  1390,  1378,  1388,  1865,     0,  1493,     0,     0,     0,
       0,  1755,     0,  1802,     0,  1800,  1882,  1871,     0,     0,
    1582,     0,  1485,  1851,     0,   771,   772,   770,  1269,  1253,
    1249,  1248,  1862,  1268,     0,  1377,     0,   934,   935,     0,
     939,     0,     0,  1419,  1441,     0,  1432,     0,  1423,  1424,
    1415,  1442,  1437,  1362,  1361,     0,  1496,     0,     0,  1314,
    1307,  1490,     0,  1447,  1332,  1334,  1335,     0,  1855,   699,
     698,     0,     0,     0,  1113,  1038,  1089,   769,  1114,  1039,
    1090,  1115,  1040,  1217,     0,  1219,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     650,  2012,   303,  1226,  1116,     0,  1041,   299,  1227,  1091,
    1231,   670,   669,     0,     0,  1092,     0,   544,     0,     0,
     549,   550,   551,     0,     0,     0,   552,     0,  1947,  1998,
       0,   557,   564,   569,   559,     0,   570,   565,     0,     0,
       0,     0,     0,     0,   576,   583,     0,     0,     0,     0,
       0,     0,   979,   980,  1117,  1044,     0,  1093,   961,  1525,
     945,     0,     0,   956,     0,   955,  1525,  1525,  1045,   156,
       0,   248,   258,   585,  1087,   276,   289,   284,   285,   283,
    2012,   303,  2012,   303,     0,     0,     0,     0,   286,   281,
     282,   278,   291,  1924,  1983,  2119,     0,   589,   591,     0,
     596,   294,  1059,     0,   311,   314,   295,   274,   277,   275,
     271,   256,     0,     0,     0,     0,     0,     0,  1878,     0,
       0,  1010,     0,     0,     0,   145,  1073,   135,     0,     0,
     131,     0,     0,     0,     0,   125,     0,  1123,  1049,     0,
       0,   250,   490,   498,   503,  1053,   506,  1103,   504,  1129,
    1050,  1085,     0,   246,     0,  1051,     0,  1097,  1125,  1075,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1234,
       0,     0,     0,     0,     0,   303,     0,     0,     0,  1087,
    2012,   303,  1124,     0,  1082,  1111,     0,   319,     0,  1074,
       0,     0,   252,  1055,  1105,     0,     0,   202,   201,   203,
       0,     0,     0,     0,     0,     0,     0,     0,   811,   780,
     810,     0,     0,     0,   774,   354,   328,   329,   331,   338,
       0,   700,     0,     0,  1507,  1503,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1523,   688,     0,     0,     0,
       0,  1215,  1215,  1215,  1215,  1215,  1215,  1215,  1196,  1224,
       0,   122,     0,     0,     0,   538,   578,   585,     0,     0,
       0,   383,   387,   391,   392,   393,     0,     0,     0,     0,
     136,   123,     0,   730,     0,   437,     0,   168,   161,     0,
       0,     0,   531,   685,   683,   682,   684,     0,     0,     0,
     705,   681,     0,  1497,  1499,     0,     0,     0,     0,   482,
     386,     0,   440,     0,     0,   472,     0,     0,     0,   310,
       0,     0,   950,     0,   968,   951,     0,     0,     0,   990,
     995,   991,   971,     0,   515,  1349,  1350,     0,   303,     0,
       0,   580,   303,   303,     0,   303,     0,   303,   303,     0,
    1151,   606,     0,   658,     0,     0,   303,   743,  1799,   863,
     439,     0,     0,     0,     0,   874,     0,   513,   879,     0,
     891,   886,   888,     0,   895,  1328,  1321,  1323,  1322,     0,
       0,  1319,  1805,   742,   480,     0,     0,     0,   303,     0,
     896,     0,   821,   822,     0,     0,   831,     0,     0,  1395,
    1806,  1807,     0,     0,     0,     0,  1841,     0,     0,  1713,
       0,  1689,  1691,  1524,  1703,     0,  1537,  1714,  1715,  1693,
    1695,     0,  1789,     0,     0,  1704,  1646,  1647,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1659,  1658,  1705,  1771,     0,     0,  1828,  1829,  1706,
    1567,  1568,  1568,     0,     0,  1835,     0,     0,     0,  1711,
    1716,     0,     0,     0,     0,  1722,     0,  1743,     0,     0,
       0,  1669,  1799,  1559,  1560,     0,     0,     0,     0,     0,
       0,     0,     0,  1643,  1626,  1620,     0,  1624,  1628,     0,
       0,     0,     0,  1612,  1638,  1608,     0,     0,  1614,     0,
    1639,  1390,  1390,  1390,  1390,  1387,     0,     0,     0,     0,
       0,  1468,  1446,  1448,  1455,  1468,  1473,  1491,     0,  1872,
       0,  1428,  1399,  1399,     0,  1755,     0,  1678,     0,  1755,
       0,     0,   179,     0,   211,   198,     0,  1251,  1875,     0,
    1402,     0,  1790,   939,   937,   938,  1404,     0,     0,  1439,
    1412,  1316,     0,  1314,  1309,     0,  1310,  1855,     0,  1306,
    1339,     0,     0,  1496,     0,  1338,  1112,  1037,  1088,  1215,
     906,   907,     0,   905,     0,     0,     0,   425,   922,     0,
       0,     0,   650,     0,     0,   429,     0,  1229,     0,  1130,
    1072,   546,   547,     0,   558,     0,   567,   566,     0,     0,
     554,     0,     0,     0,     0,   553,   572,   519,   573,   575,
       0,     0,   574,   577,   582,  1085,     0,   613,  1061,     0,
    1109,   973,     0,  1525,   948,   953,   954,     0,     0,     0,
     399,     0,     0,     0,   259,   269,     0,     0,   273,     0,
     267,   287,   279,   288,   280,   593,   594,   592,   588,     0,
     595,   597,   308,     0,     0,     0,  1119,  1085,     0,   254,
    1057,     0,  1107,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1120,  1094,     0,     0,   128,   127,
       0,   134,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   320,   305,     0,   708,     0,
       0,     0,   322,     0,     0,     0,     0,  1118,  1046,   775,
       0,     0,   776,   784,     0,     0,   777,     0,     0,   786,
       0,     0,   327,   335,  2064,  1779,  1780,   696,   703,   693,
     695,   697,   694,     0,   702,   650,     0,     0,     0,  1508,
       0,  1576,  1577,  1578,  1579,  1580,  1581,     0,  1575,  1582,
     690,   691,     0,  1215,  1214,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   411,     0,     0,   405,
       0,     0,   995,   398,   401,   402,     0,     0,   539,   542,
     540,   541,   571,     0,   418,     0,     0,   138,     0,     0,
     139,   137,     0,     0,   310,     0,   164,   382,     0,     0,
     631,   634,   627,     0,   704,   706,   679,     0,   585,     0,
       0,  1301,   478,     0,   468,   464,   466,   465,   467,     0,
     474,   309,     0,   482,   474,     0,   923,   949,     0,     0,
       0,   988,   992,   989,     0,     0,   964,     0,   972,   942,
    1146,  1147,  1144,  1145,     0,     0,  1341,  1007,     0,   303,
    1005,   746,     0,   737,     0,   739,  1009,   303,   303,   618,
       0,   528,     0,     0,     0,   873,   893,     0,   889,     0,
       0,   856,   898,  1326,  1324,   481,   901,     0,   857,   900,
       0,     0,     0,     0,     0,  1810,  1543,     0,  1843,  1839,
       0,  1686,  1811,     0,  1823,  1822,  1645,  1824,     0,  1664,
       0,     0,  1656,  1654,  1655,  1648,  1649,  1650,  1651,  1652,
    1653,  1657,  1833,  1832,  1826,  1827,  1563,  1561,     0,  1708,
    1709,  1710,  1834,  1717,     0,  1938,  1744,  1721,  1737,  1736,
       0,     0,     0,  1724,     0,     0,  1733,     0,  1773,  1549,
    1582,  1588,     0,     0,  1611,  1838,  1629,     0,     0,     0,
    1607,     0,     0,     0,     0,  1616,  1789,     0,     0,     0,
       0,     0,     0,  1381,  1380,  1386,  1468,  1473,  1364,     0,
    1455,     0,  1467,  1453,  1466,     0,     0,  1479,  1477,     0,
    1479,     0,  1479,     0,  1450,     0,  1469,  1451,  1466,     0,
    1873,  1492,     0,  1430,     0,     0,  1398,     0,  1755,  1685,
    1758,  1753,  1754,  1803,  1679,  1890,     0,  1801,  1755,     0,
    1852,  1375,     0,  1403,  1420,  1413,  1963,  1494,  1315,     0,
       0,  1312,  1313,     0,     0,  1333,  1314,  1336,     0,   912,
     913,   911,   914,     0,     0,     0,   650,     0,     0,   445,
       0,   930,   930,     0,     0,   431,   477,   995,   653,     0,
       0,     0,   651,   303,  1042,     0,   568,     0,     0,   563,
     561,   560,   562,   520,  1128,  1043,     0,     0,     0,     0,
     974,     0,   966,  1060,     0,   396,     0,   264,  1086,     0,
       0,     0,   263,     0,   303,   303,   590,   312,   313,   316,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     731,   714,     0,     0,   732,   733,     0,     0,     0,  1012,
    1013,  1011,   132,   129,   130,   133,  1070,  1054,  1104,  1052,
       0,  1098,  1067,  1063,     0,     0,     0,     0,     0,  1127,
    1081,  1102,  1126,  1079,  1100,  1078,  1099,  1080,  1101,  1071,
       0,  1501,   711,     0,     0,     0,   303,   303,   620,  1056,
    1106,     0,   778,     0,     0,   779,   781,   357,     0,   360,
     367,   339,   344,  1233,     0,  1233,     0,   341,   345,  1233,
     340,  1233,   337,   672,     0,     0,     0,  1504,  1509,  1584,
    1517,   649,     0,  1206,  1205,  1204,  1208,  1207,  1210,  1209,
    1201,  1200,  1213,  1212,  1199,  1198,  1203,  1202,     0,   403,
       0,   409,   413,   414,   412,   404,   995,   437,   476,     0,
       0,   662,     0,   537,   384,   415,     0,   388,   141,   140,
       0,     0,     0,   168,     0,     0,   636,   640,   680,     0,
    1500,   614,   310,     0,   384,   482,     0,   389,   394,   395,
       0,   472,     0,   468,     0,     0,   479,  1193,   483,   484,
       0,     0,   952,   969,   970,     0,     0,   995,   994,     0,
     522,   303,   581,   303,   303,  1152,   659,     0,   885,   884,
     883,   514,     0,   887,   303,     0,     0,     0,     0,     0,
     833,   812,   832,  1842,  1702,  1712,  1821,     0,     0,  1665,
       0,     0,  1707,  2212,     0,     0,     0,     0,  1741,  1742,
    1723,     0,  2055,  1728,     0,     0,     0,  1893,  1635,  1633,
    1630,     0,  1631,     0,     0,  1613,  1609,     0,  1615,  1640,
    1385,  1384,  1383,  1382,  1454,  1452,  1457,  1464,     0,  1449,
       0,  1478,  1474,     0,  1475,     0,     0,  1476,     0,     0,
    1464,     0,     0,     0,     0,  1749,  1755,  1755,  1680,  1760,
    1757,     0,  1682,  1582,     0,     0,  1308,  1311,     0,  1340,
    1331,  1221,     0,     0,     0,   427,     0,   995,     0,     0,
       0,   933,   933,     0,   995,   476,   655,   654,   657,   652,
     656,  1230,     0,   555,   556,  1062,     0,  1110,  1068,   967,
       0,   586,   260,   261,   262,   265,   305,   272,   266,     0,
    1058,     0,  1108,  1065,  1121,  1047,  1095,     0,     0,   720,
       0,     0,     0,     0,  1122,  1048,  1096,     0,     0,     0,
       0,  1239,     0,   304,   710,   709,   305,   321,  1083,     0,
     782,   783,   358,   122,     0,   336,     0,   365,     0,   363,
     362,   364,     0,   351,     0,     0,     0,     0,     0,  1505,
       0,  1026,  1026,     0,   650,  1211,     0,     0,   400,   476,
     444,     0,   406,     0,     0,     0,     0,     0,     0,     0,
     585,     0,     0,     0,   163,   384,   585,   635,     0,     0,
       0,   707,     0,   386,     0,  1299,   385,     0,     0,   474,
       0,   472,     0,   469,     0,   473,     0,  1186,     0,     0,
     993,     0,   997,     0,   963,   940,  1493,     0,   526,  1027,
     738,   740,   619,   890,   897,   303,   813,   814,   815,   816,
    1660,     0,     0,     0,     0,  1718,     0,  1719,  1746,  1745,
    1725,  1729,     0,  1726,  1727,  1632,  1636,  1634,  1617,  1456,
       0,     0,  1458,     0,     0,  1460,  1462,     0,     0,     0,
       0,     0,  1876,  1755,  1427,  1429,     0,  1365,  1683,  1684,
       0,  1399,  1755,   212,  1791,  1495,  1337,   891,     0,   303,
     930,   476,   446,  2064,   447,   929,     0,   931,   936,   936,
       0,   476,   650,   548,     0,   584,     0,   307,   315,     0,
       0,     0,   727,   715,     0,     0,   734,  1064,     0,     0,
       0,     0,     0,   303,   785,   338,     0,   361,   370,     0,
     368,   342,   347,     0,   349,   348,   343,   346,  1026,     0,
    1023,  1022,   648,     0,   435,   407,     0,   455,     0,     0,
     663,     0,     0,     0,   424,   423,   420,   419,   421,   422,
     417,   416,   610,   724,   310,  1193,   598,   637,   638,   633,
       0,     0,     0,   468,   464,   390,   399,   373,     0,   474,
     470,   471,     0,     0,     0,  1241,     0,   924,   996,     0,
       0,     0,   521,     0,     0,   525,   516,   858,  1661,     0,
    1662,     0,     0,     0,  1731,  1730,     0,  1465,  1481,     0,
    1461,  1459,  1470,     0,  1472,  1748,  1750,     0,     0,  1763,
    1681,   908,     0,   909,   933,   450,     0,   932,   939,   939,
     437,   650,   428,  1069,   587,     0,   268,  1066,     0,   718,
       0,   729,   727,     0,     0,  1235,     0,  1236,  1237,  1240,
     323,   326,   356,   366,     0,   350,  1021,  1025,  1024,     0,
       0,   408,   441,   442,   443,     0,   410,   451,   452,     0,
     660,     0,   665,     0,     0,     0,     0,     0,  1187,     0,
       0,  1188,   472,   468,   397,   463,   371,     0,  1190,     0,
     310,     0,   995,   998,  1150,   524,   523,  1663,  1734,  1720,
    1747,  1732,  1463,     0,  1471,     0,     0,  1759,     0,     0,
       0,     0,   936,     0,   650,     0,   927,   926,   444,   430,
     306,     0,     0,   725,   728,   716,   729,   736,   735,     0,
     369,     0,   434,     0,     0,     0,   453,     0,   454,   475,
       0,   664,     0,   585,   723,     0,     0,   639,     0,   474,
     472,  1191,  1192,   474,   925,   941,  1149,  1148,  1377,  1480,
    1751,  1752,  2174,  1963,  2148,     0,  1761,  1764,  1762,  1756,
     303,   939,     0,   432,   448,   455,     0,     0,   717,  1238,
     640,   460,     0,   459,     0,   457,   456,   661,   666,   611,
     713,  1189,   643,   374,   474,  1493,  1132,  1377,  1131,  1133,
    1141,  1138,  1140,  1139,  1137,     0,  1768,  1767,  1766,  1770,
    1769,   910,   928,     0,   650,   719,   726,     0,   458,   462,
     461,   645,     0,   641,   644,   646,   647,   372,   915,     0,
    1142,  1136,  1364,  1351,     0,   449,   433,     0,   621,     0,
    1134,  1377,  1765,     0,   642,  1135,     0,   643,     0,   622
};

  /* YYPGOTO[NTERM-NUM].  */
static const yytype_int16 yypgoto[] =
{
   -3835, -3835, -3835,  2875, -3835,  -770, -1047,  2249, -1628, -3835,
   -3835, -3835,  1044, -3835, -3835, -3835, -3835, -3835, -3835, -3835,
    2808, -3835, -3835,  1442, -2069, -3835, -3835,   108, -1067,  1753,
    2464,  1132, -3835,  -948, -3835, -3835,  -526,   133,   198, -3835,
   -3835, -3835, -3835, -3835, -3835, -3835, -3835,  -716,  1600,   986,
    -791, -2664, -3835, -1194, -2727, -3835,   419, -3835, -3835,  1540,
   -3835, -3835, -3835,   847,   350,  -533, -3835, -3835, -3835, -3835,
   -3835, -3835, -3835,  -363, -3835, -3835,  -660,   145,    39, -2075,
    -407, -3835, -3835,   293,  -406, -1084, -3835, -3023, -3835,  -120,
   -3835, -3835, -3835,  -386, -1177,  1093, -3835,  -606,  -942,  1378,
    -710, -3835,  -279, -3835,  -765,  -655,  -653,  -718,  -557, -3209,
   -3609, -3224, -3629,  1101,   150, -3835, -2688,   152, -3835, -3835,
     153,   154, -3835, -3835, -1285, -1207, -3835,  -554, -3835, -3835,
   -3835, -2503, -3835, -3835, -3835, -3835,    48, -3835, -3835, -3835,
   -3835,   321, -3835, -3835, -3835, -3835, -3835, -3835, -2305,  1500,
    1505, -3835, -3835, -2712, -3835,  -771, -3835,   464, -2539,  1012,
   -3835, -3835, -3835,  2205, -3835, -3835, -3835, -3835, -3835, -3835,
   -1354, -3835, -3835,   158, -3835,  1516,   825, -3835, -3835, -3835,
    -749,  -815,  -804, -3835, -2924, -3835, -3835, -3835, -3835,  -347,
   -3835, -3835, -3835, -3835, -3835, -3835,  -813, -3835,   884, -2654,
    -802, -3835, -3835,   897, -3835, -3835, -3835, -3835, -3835,  -707,
    -288,  2231, -3835,  -598,  -679, -3835, -3835, -3835,  -285, -3835,
   -3835, -3835, -3835, -3835, -3835,  -889,     6, -1330, -3835, -3835,
   -3835, -3835, -1961, -3835, -3835, -3835, -1582, -3835,  3633,  1998,
    1144,   160, -3835,   -19,    66,  2676,  -955, -2234,   268,  -431,
   -3835, -1499, -3835, -3835, -3835, -2154, -3835, -3835, -3835, -3835,
   -2967,   161, -3835, -3835, -3835,   311, -3835, -3254, -3421, -3699,
   -3821, -2955, -3835, -3835,  -906, -3835, -3835, -3835, -1153,  1719,
   -1195, -3835, -1867,   312, -3227,  -617, -2761, -3835, -3182,  -528,
   -3835, -3835, -3835, -3835, -3835, -3835, -3835,  -909,  -521, -3835,
   -3835,  3115, -3835, -3682, -3835, -3835, -3835, -3835,  1382, -3835,
   -1191,   966, -3835, -3835, -3835, -3835, -3835,  -690,  -769, -3835,
   -3835, -3835,   164, -3835, -3835, -3835, -3835,  1931,  -783,  -621,
    2992,   173,  -492, -3835, -3835, -3835, -3835, -2578, -3835, -3835,
   -3835, -3835, -3835, -3835, -3835, -1670, -3835, -3835, -3835, -3835,
   -3835, -3835, -3835,  1881,  1888,    46,   -22, -3835, -3835, -1079,
   -3835,  -473, -3835,  2184, -3835, -3835, -3835, -3835,  1223,   174,
     351, -3835,     3, -3835, -3835,   141, -2897,     4, -3835, -3835,
   -3835, -3835,  1851,     5, -3835,   614, -3835, -3835, -2383, -3835,
     175,    11, -3835, -3835,     1,     0,   -41,   -32,   -28,     2,
    2994,  2537, -3835, -3835, -3835,    -6,  1784, -3835,  -712,  -159,
   -3835,  1232,  -553,  1854,  2524,  2527, -3835,  1227, -3835, -3835,
    1228, -3835, -3835, -3835,  -539,  1863, -3835,  2525, -3835, -3835,
   -3835,  1216,  1226, -2862,   682, -2887, -2858,   217,   206, -1112,
    -357,    32,  3022,  2544,   695, -3834,   644, -3835, -2952, -1943,
    -604,  1618, -1348, -3835, -3835,  -941,  5014, -3835, -3835, -3835,
    7132,  9417, -3835, -3835, 11523, 11558, -3835,  -809,   735, 11919,
    4404, -1015, -1600,  -592, 11016, -2101, -1118, -2320, -3835, -3835,
   -3835,  -326,   746,   371, -3835, -3835, -3835, -3835,  -582, -2360,
    -581, -3835, -3835, -3835,  -583, -3134, -1504, -3835,  -183, -3835,
   10798,  1268, -3835,  -845, -2312, -2308,  -968, -1464, -3835, -3835,
   -3835, -3835, -3835, -3835, -3835, -1301, -2788,  -235,  1336, -3835,
   -3835,  1427, -3835, -3835, -3835, -1089,  -722, -2232,  1340, -1711,
   -3835,  -703,   664,  2068,  -669,  1297, -1082,  8999,  -434, -1911,
   -1053, -1274, -3835,  -134, -3835,    28,   -10,  -126,  -428,    -2,
    3295,  2441,  -544, -1117,  6498,  9155,  9725, -2632
};

  /* YYDEFGOTO[NTERM-NUM].  */
static const yytype_int16 yydefgoto[] =
{
      -1,    49,    50,    51,    52,  1206,  2133,  2006,  2800,  2801,
      53,    54,  1282,    55,    56,    57,    58,    59,    60,    61,
    1222,    62,    63,   885,  1430,  2143,    64,  1867,   688,   689,
    1705,  1706,  2071,  1707,  1695,  1121,  1516,  1241,  1208,  1242,
      66,    67,  1115,  1686,    68,    69,    70,  1266,  1267,  1216,
    1469,  3671,  4246,  1985,  2837,  2633,  2634,    71,  1328,  1329,
      72,    73,  2748,  1368,  2098,  3252,  3253,  3702,   521,  2095,
    3963,  3964,  3688,  3689,  3970,  4139,  4140,  2144,  1426,  2831,
    3344,  2791,  3766,  2792,  3767,  2793,  3768,  2779,  3303,  3304,
    3305,  2794,  3745,  4170,  2795,  1882,  4271,  2178,  1538,  1536,
    4157,  3568,  3569,  4324,  4276,  4277,  4278,  4395,  3773,  2835,
    3350,  3776,  3992,  2530,   604,  1450,  2277,   605,  2180,   552,
     606,  2145,    79,  2172,  1302,  1303,  2014,  3257,  2888,    80,
     904,  3126,  4038,  4205,  4206,    81,   205,    82,  1434,    83,
      84,  2129,  2785,    85,  1899,  2547,    86,    87,  2574,  2575,
    2576,    88,    89,  3150,  3920,  1268,  2626,  2627,  2628,  2629,
    3170,    90,  1432,  1308,  2152,    91,    92,    93,    94,    95,
    2058,    96,    97,  2146,  1442,  2164,  2165,  3757,  4008,  4179,
    4010,  4432,  4433,  3984,  3105,  3582,    99,   100,  3740,  3741,
    4283,   101,  1897,   102,   103,   104,  1410,  2121,  2122,  3258,
    1192,  1371,  2101,  2102,  3333,  3334,   105,  2708,   106,  3630,
    3631,   553,  4286,  4251,  4335,   107,   108,  3634,  3635,   109,
     110,   111,   112,   113,   598,   950,   951,  1198,   114,  1802,
     115,   858,  2739,   116,  1015,  2302,  3811,   117,   629,   964,
     965,  2147,   119,   638,  2280,   640,  1551,  2890,  2891,  3401,
    2248,   773,   120,   121,  2259,  2283,   122,  1209,  1873,  1874,
    3563,  2148,   554,  1456,  2183,  2525,  4196,  3570,  3901,  4108,
    2470,  3066,   124,   555,  1246,  1947,  2186,  2843,  2844,  1949,
    2442,  3365,  1951,  2845,  2850,  2851,  2852,  3361,  3369,  4032,
    4033,   125,  1244,  1940,   126,   127,   128,  1279,   797,   129,
     566,   567,   130,  4150,   131,   916,   132,   657,  1565,   133,
    1963,  3156,   134,   135,   136,  4408,  4439,  4440,  4441,  3374,
    4368,   137,  4410,   994,   139,   140,   141,   176,   824,   825,
     826,  2149,  4027,   143,   144,  2125,  2778,  3285,   145,   146,
    1868,  2515,   147,   148,   149,  1414,   150,   151,   152,   153,
    1347,   154,  1150,  1151,   155,   156,   516,   705,  1154,  1162,
     157,   608,   958,   959,   960,  1518,   158,   997,  2270,   609,
     953,   160,   610,  2489,  3075,  3076,  3079,   611,  2486,   163,
    1557,  2264,  2267,   612,  2493,  2494,  2495,  2496,  2497,  3081,
     613,   631,   907,  2191,   614,  1087,   168,   169,   170,   714,
     709,   710,   172,  1680,  2432,   646,  1169,   676,   722,  3526,
    1815,  1816,  1838,  1839,  1178,  1179,  1828,  1830,  2472,  1831,
    2480,  1821,  3523,  3875,  1834,  1835,  1181,  1182,  1183,  1843,
     173,  2436,  3032,  3033,  3034,  3502,  3503,  3517,  3513,  3862,
    4075,  3035,   992,  1189,  3036,  3041,  3073,  2822,  2823,  2824,
    1952,  2108,  1395,  1088,  1396,  2119,  1089,  1601,  1398,  1090,
    1091,  1092,  1401,  1093,  1094,  1095,  1096,  1584,  1643,  1097,
    1098,  1620,  2116,  2117,  1507,  2342,  1100,  1101,  3466,  3835,
    3824,  2368,  2369,  1702,  3462,  2983,  4087,  4225,  4226,  3534,
    3531,  3879,  4091,  4320,  4376,  4377,  1102,  2422,  1673,   799,
    1103,  3260,  1675,  2362,  2444,  2445,  1852,  1582,  2308,  2326,
    2327,  2339,  2944,  2346,  2351,  2967,  2968,  2363,  2391,  1104,
    2311,  2312,  2927,  1586,  1105,  1144,  1145,  1579,  2386,  1157,
    1158,   707,  1106,  1107,  1552,   698,  4071,   511,   763,  2647,
    1793,   828,   643,  1108,  1109,  1110,  1111,   925,   926,  1273,
     512,   757,   777,  2630,   513,   514,   759,  1798
};

  /* YYTABLE[YYPACT[STATE-NUM]] -- What to do in state STATE-NUM.  If
     positive, shift that token.  If negative, reduce the rule whose
     number is the opposite.  If YYTABLE_NINF, syntax error.  */
static const yytype_int16 yytable[] =
{
     167,   166,   171,   161,   162,   164,   568,   713,   798,  1116,
     723,   522,  1515,  1184,   644,   668,   881,  1475,   510,   633,
     167,   910,   171,  1485,   633,   559,  1794,  1190,  1560,   984,
     985,   986,  1284,  1881,  1193,   990,  1307,   700,  1479,   908,
    1535,  2105,  1345,   755,  2249,  2379,  1333,  2908,   712,   632,
    1950,   551,   774,  1622,   632,  1572,  1799,  2790,  1833,   961,
    1370,   776,   932,  1968,  1130,   597,   607,   802,  1424,  1981,
    3132,  2808,  2073,  1960,   697,  3312,  2118,   816,  1444,  1809,
    1794,  3047,  2593,  2595,  3165,  2649,  3167,  1812,   639,  3368,
    1301,  2169,  1948,  1312,   867,  2026,  2462,  1412,  1595,  1596,
     669,  1417,  1338,  2705,  1799,  2894,  1421,  1508,  3543,  3080,
    2344,  1466,  3354,  1427,  3281,  3037,  2307,  1611,  3262,  2035,
    3738,  2039,  2040,  1446,  2344,  3042,  3043,  3605,  3565,   955,
    3779,  3044,  2744,    65,   717,  3771,  3262,   910,  3787,   725,
     918,  3342,  2991,   726,  1859,    74,  2220,   687,  1491,  3516,
      75,  3902,    76,    77,    78,  1123,  1243,   935,    98,  1506,
     118,   123,  4019,  2173,   138,  3037,  1959,   947,  3499,  1177,
    1936,   724,  2425,   142,   159,   165,  3548,  3514,  3575,  3444,
     615, -1908,  2184,  1180,   760,   762, -1999, -2033,   766, -1908,
     768, -2054,  2948, -1909,  3286,  3287,  3288,  3289,  3290,  3291,
   -2079, -1909,  4201,  4109, -1883,  1641,   520,  1467,   813, -2226,
    1969,  1443,  3359,  2384,  1219, -1777,  1800, -2226,   564,  1588,
    1589,  2051, -1777,   564,  2803,  3186,  1408, -1553,  1467,  1272,
     809, -1525, -1352,  2925,  1648,  1962,  4250,   703,  2160,  2946,
    2947,  1638,  2727,  2033,  2962,  1608, -1935,  3909,  2046,  2384,
   -1558,   718,  1678,  2260,  1366,   615,   560,  3128,  4164,  1651,
    1394, -1538,   771, -1565,   564,  1011,  3085,  2746,   966, -2002,
    3133,   564,   564,   901,  2176, -1558,  4112,  2569,   615,  1467,
   -1553,  2895,  1889,  2906,  2997,  2998,   615,  4238,  4239,  1653,
    3763,   970,  2123,   564,   981,  2865, -1355,  2867,  2176,  2696,
    4151,  4366,  2136, -1558,  4406,    27,  4165,  2467,  3271,   719,
    1875, -1568,  1884,  4166,  2161, -1352,  1220,  1962,   720,  3994,
    1962,  1120,  2017,  4129,  1360,   674,  1876,  3187,  1692,  1269,
     564,  2423,  2697,   564,   615,  4267,  3632,   621,   621,  3900,
    4167,  3703,   621,   564,  1269,  1931,  2258,  1345, -1568,   615,
    2570,   621,  2899,  3399,   798,  3980,   174,   622,   622,  -122,
    4155,  2698,   622,  2141,  -122,  1639,  3272,  2419,  1617, -2053,
    2261,   622,   615,  4332,  2420,  1173,   720,  1622,  2665, -1355,
    2138,  1877,   621,  3981,  1477,    38,  2468,  1618, -1352,   862,
    1683,  3400,  1559,     3,     4,  3905,   175,   621,  1878,  2170,
     798,  1648,   622, -1793,   910,  2137,  1517,  2948,  2556,   876,
   -1793,  4168,  4189,   883,  1890,    42,   910,   622,   675,  2948,
     621,  2900,  1503,  4130,   893,  3995,  1651,  2435,  1693,  1932,
     902,  3716,  4333,  2665,  3633,   913,  2142,  1801,  1595,  1596,
     622,  3718,  1962,  1175,  3606,   923,  1611,   982,  2018,  2080,
    2019,  2084, -1355,    46,  2424,  1962,  1653,  1468,  2244,  2113,
    2177,  2464,  2250,  4367,  2252,    47,  4266,  2255,  1409,  3188,
     910,  4268,  4235,  2747,  2896,  2282,  3764,  1962,  1468,  2948,
    3129,  3133,  4241,  1970,  4005,   903,   565,  1887,  1576,  1519,
    2304,  1891,   721,  1648,  2162,  1971,  2343,  1679,  3524,  4407,
    2573,  4381,  3189,   561,  2310,  1486,  1409,  2163,   859,  1922,
    2366,  3558,   785,   772,  1384,  2541,   704,  1147,  1651,  1148,
    3618,  1278,  2385,  3910,  2034, -1777,  1879,  3360,  2022,  1468,
    2024,  3190,   865,  2382, -1352,  4322,   868,  2031,  1694,  2728,
    1020,  2052,  3262,  2948, -1525,  2262,  1972,  2076,  1653,   989,
    1799,  2096,  2097,   891,  3989,   909,   568,  2103,  3011,  1994,
    1553,  2072,   713,  2263,  4021,   857,  1185,   989,  1588,  1589,
    1562,  4438,  1556,  1221,  1696, -2053,  4169,  1608,  1642,  1708,
    1708,   910, -2227,  1573,   562,   962,   563,  1559,  2950,   910,
     910,  1505,  2237,    48,  1799,  2047,  2105,  3752, -1355,  1690,
   -2227,  3269,   167,   712,   171,  4035,  2578, -1908,  2960,  2644,
    3516,  1409,  1477,  3098,   963,  2224,   968, -1525,   972, -1909,
   -1999, -2033,  1880,  2597,   976, -2054,  3761,  1939,  1142, -1352,
   -1883,  1844,  1143,  1583, -2079, -2226, -2053,  3816,  3854,   995,
     954,   979,  3895,  3859,   632,  1845,   632,  3863,   632,   957,
    1672, -2053,  2245, -1553,   632,   977,   978,  1594,  1583,  3890,
    1012,  2256,   798,  3400, -1352,  3778, -1352,  1113,   627,   628,
    1122,   909,  1124,  1924,  1998,  2194, -1558,  2421,   991,  4234,
   -1935,  1930,   725,  4359,  2200,  3529,   726,  1600,  2204, -1565,
    1644,   627,   628, -1355,  2210,  2211,  1349,  1681,  2449,   627,
     628, -1558,  1142, -2002,  1617,  3712,  1143,  1355,  2471,  3037,
    3037,  3082,  2223, -1793,   724,  4101,   167,   166,   171,   161,
     162,   164,  4111,  1618,  2950,  3145,  2672,  3146, -1355,  2579,
   -1355,  3206,   991,  2303,  1132,  2306,  2012,  1619,  3326,  2015,
    2016,  1617,  3537,  1794,  3596,  2314,  2077,  1270,  1271,  2318,
    1152,  4404,  1205,  1477,  2592,  3061,  1149,  2330,  2331,  2001,
    1618,  1188,  1270,  1271,  2166,  1559,  3620,  1457,  1888,  3239,
    2348,  2350,  3242,  3243,  1621,  4197,  3246,  -122,  -122,  3571,
    -359,  2364,  3249,  2951,  4343,   627,   628,  1119,  2542,   727,
    1555,  1127,  1276,  1277,  2246,  4187,  1210,  2334,  2335,  2487,
    2782,  2645,  2081,   564,  1225,  1467,  2241,  2507,  2401,  2638,
    2126,   632,  1667,  1668,  1669,  1670,  1671,  1672,  2955,  2956,
    2957,  2958,  2959,  2960,  3244,  3245,   564,  2897,   564,   872,
    2955,  2956,  2957,  2958,  2959,  2960,  2344,  2344,  4214,  4391,
    1219,  2344,  3370, -1880,  3306,  3551,  2179,   515,  3427,    65,
    3054,  3432,  3433,  3434,  3435,  3436,  3437,  3438,  3439,  3440,
    3441,    74,  3318,  2635,  1365,   728,    75,  2195,    76,    77,
      78,  1936,  3790,  2602,    98,  1317,   118,   123,  2253,  2254,
     138,  2344,  2344,  3259,  3346,  1422,  1423,   564,  1287,   142,
     159,   165,  2957,  2958,  2959,  2960,  1207,  4429,  1211,   517,
     820,  3259,  4417,   920,  1353,  1454,  1669,  1670,  1671,  1672,
    3481,  3482,   564,  1318,  1639,  2554,  4177,  4079,  3371,  4081,
    2167,  1288,   788,   789,   790,  1342,   791,   792,   793,   794,
     795,   796, -1525,  2402,  3292,  1481,  1483,  2403,   909,  4022,
    1133,  1875,  1220, -1525,  4178,  1594, -1525,  1197,   653, -1525,
     909,  4023,  1459,   988,  2955,  2956,  2957,  2958,  2959,  2960,
    2657,  2783,   167,  2209,   171,  4296,  2026,   961,   720,  4069,
    1435,  2242,  4302,  1322,  4292,  2404,  1521,  3295,  1523,  1323,
    1525,  3366,  1527,  1558,  1529,  1530,  1531,   645,   632,   821,
    1950,  1533,  2319,  2639,   564,  3608,  4203,  3627,  4072,  2690,
    2243,  1134,  1889,  4076,   909,  2691,  4078,  3655,  1436,  3319,
    2780,  2457,  1877,    38,  4272,   564,  1007,  3998,  4215,  2247,
    2898,  4392,  1581,  1142,   652,   654,  3368,  1143,  4418,  1878,
     822,   989,  2658,  2516,  4430,  4012,  1493,  2229,  2196,  2784,
    1212,  3151,  1598,    42,  2380,   713,  3734,  4364,  2201,  3962,
   -1364,  3372,  2087,  4344,  1556,  1468,  3046,  3999,   729,  2212,
    4153,  2029, -1364,  2738,  1319,  3921, -1364,  1980,  2168,  3121,
     651,  2219,  1625,  1213,  1494,  1324,  1343,  4015,  1640,   823,
     873,    46,  2659,  1883,  4360,  2109,  1636,  2320,  1645,  4393,
    2088,  2337,   720,    47,  2405,  3628,  3559,   798,  1682,  -766,
    2904,  2692,  1214,  3307,  4024,  2517,  1167,  3122, -1364,  3987,
    1884,  3373,  4394,  2569,  3299,   909,  2582,  1247,  1698,  1699,
    4365,  4192,  3198,   909,   909,  2085,  4273,  2488,  4223,  4193,
   -1364,  4232,  1805,  2660,  3609,  4403,  1281,  1813,  1814,  4405,
    1818,   726,   726,  1819,   726,  3049,  4204,  3810,  3050,   673,
    3300,  2110,  1320,  2321,   921,  1354,   632,  1879,  3656,  1437,
    1215,   632,   632,  4294,  3301,  2885,  2555, -1364,  3878,   724,
     724,  3889,   724,  2481,  1260, -1364,  1647,  2765,  3882,  1648,
    4437,  3735,  2086,  1439,  3629,  3037,  2570,   518,  4242,  3037,
     706,  4274,  1020,  4128,  3731,  2948,  2275,   655,   656,  1168,
    2583,  1648,  3975,  1440,  1651,  2059,  -578,  3872,  1197,  2111,
    1652,  2322,  2112,  2716,  2323,  4220,  3537,  1325,  1188,  1323,
    3152,  2828,  2343,  2343,  2661,  1495,  1651,  2343,  3881,  2699,
    1344,  2464,  1820,  3818,  1653,  3819,  3610,  2905,  4415,  3611,
    2601,  2089,  1885,  2693,  1313,  3153,  3302,  1438,  2981,  3976,
    1326,   695,  3804,  1880,  2988,   632,  1653,  3274,  3123,  3143,
    1283,  3560,  4117,   632,  -144,  1976,  2597,  2343,  2343,  4083,
    1917,   174,  3050,   730,  1477,  4118,  2694,  1314,   894,  1327,
    3682,  1315,  4194,  4326,  4327,   767,  3685,  3686,  4172,  -144,
    3561, -1364,  4133,  2862,  4176,  2671,  2030,  3262,   977,   978,
    2868,   798,  2113,  2140,  2324,  2695,  1316,  3259,   895,  3562,
    4452,   175,  2109,  1496,  2863,  1324,  2683,  4329,   632,  2059,
     716,   632,   632,  2041,  2042,  2043,  2044,  2662,  2749,  2090,
    1980,  2193,     3,     4,  2066,  2663,  2573,   896,  2664,  1655,
    2199,  2032,  2813,  2814,  2815,  2816,  3124,  2722,  1441,  1142,
    2113,  2202,  1163,  1143,  2821,  2949,  1648,  2603,  2099,  2569,
    1656,  1657,  1205,  3820,  2082,  2083,   601,  2067,  1822,   715,
    2092,  3838,  3839,  3557,  2059,   670,  2950,   564,  2110,  3057,
     783,   897,  1656,  1657,   632,    14,  2068,  3396,  2560,   601,
     820,  2858,  1020,   820,  3760,  2948,  1950,  2770,  2069,  2114,
    4383,  2325,  1962,   765,    38,  1823,  1660,  2861,    14,   774,
    1967,  1653,  1460,   784,  2120,  1207,   564,    19,  1207,  1661,
     615,  2150,  2070,  2870,  2871,  2528,  4422,  2873,  1660,   798,
    3578,  2512,  2570,  2877,    42,  2951,  2111,  3093,  3144,  2112,
      19,  2155,  2156,  2157,  2158,  2344,  2771,  4287,  2344,  2344,
    2344,  2344,  2344,  2344,  2344,  2344,  2344,  2344,  3415,   174,
    2673,  2571,  1461,  1207,  2923,  2026,  1869,  1207,  2676,  1500,
    2678,  3793,    46,  3794,  1999,  3720,  1870,  2529,  2344,   821,
    2004,    33,   821,  2007,    47,   782,   861,  3507,   534,  1501,
    3207,  1871,  2910,   806,  2572,  2214,   894,   811,  1825,   175,
    4446,   818,  2756,  3579,  2218,   819,  2003,  2344,  2344,   534,
     167,  2225,   171,  2975,  3713,  3508,  4088,  4089,    48,  1684,
     822,  3390,   864,   822,  2772,  2773,   895,  2599,  2055,  2113,
    3865,  2231,  2062,  2232,  4202,  2233,  2000,  2234,  2774,  2235,
    3037,  3368,  3510,  2236,  3000,  3037,   536,  1965,  3037,  1826,
    1142,  1462,  2279,  -486,  1143,  3328,  3732,   957,  3580,  1173,
    3581,   167,  2274,   171,  2271,  2272,  2273,   536,  2655,   823,
    1893,  4045,   823,  4363,    30,  2839,  2950,  4244,  3571,  1638,
    1894,  1685,  2573,  2614,  2775,  2189,  2190,  3104,  2265,  2328,
    1667,  1668,  1669,  1670,  1671,  1672,   866,    30,  1966,   897,
      38,  1463,  2952,  2953,  2954,  2017,  2955,  2956,  2957,  2958,
    2959,  2960,  1667,  1668,  1669,  1670,  1671,  1672,  3733,  1129,
    2316,  2317,  2657,    38,  1872,  2301,  2114,  1175,  2329,  2392,
      42,  2393,  2332,  2333,  2615,  2951,  2278,  3906,  2796,  3347,
    3512,  4399,  3351,  3425,   910,  2115,  2700,  2354,  1260,  2355,
    2123,  3120,   869,    42,  2394,  2390,  2765,  1304,  4097,  2387,
    4099,  2524,  2854,  1700,  1176,  2902,  3578,  3445,    46,  3997,
    2377,  2776,  2378,  2777,  4318,  2701,  3913,  3914,   910,  3710,
      47,  1464,  3292,   543,  4004,   544,  1974,  2450,  3293,  4014,
    1305,    46,  1648,   534,  2658,   602,  2876,  2887,  3294,  3907,
    4319,  4306,  1701,    47,   543,  2702,   544,  4269,   549,  3571,
     874,  1173,   875,  -923,    48,  1174,  4050,  1651,  2528,  1895,
    1194,  3174,  3960,  3961,  1822,  3295,   798,  3296,   882,  1425,
    2504,  2018,  4230,  2019,  2703,  2508,  3175,   603,  2511,  3579,
    1988,  3107,  4066,  4067,  2659,   615,  3112,  1653,  3428,  2395,
    3429,   536,  1896,  1195,  2396,  1199,  1617,  3037,  3657,  2397,
    2534,  1823,   967,   969,   971,  1617,  2548,   973,   974,   975,
    3101,  1125,  2616,   774,  3002,  1618,  3003,   980,  3658,  1175,
    1510,   889,  1196,  1511,  1618,  1306,   664,  2023,  1200,  1619,
    2797,  2344,  1688,   694,  3580,  2660,  3581,  3593,  1621,  3004,
    3297,  2584,  3395, -2227, -2227,  3134,  2955,  2956,  2957,  2958,
    2959,  2960,  1824,   827,  1606,  1607,  1176,  1201,   860,  2473,
    3158, -1398,  3160,  2617,  1982, -1398,  -382,  3052,  2598,  3576,
    -485,  2343,  3506,  3155,  2343,  2343,  2343,  2343,  2343,  2343,
    2343,  2343,  2343,  2343,   898,  3673,  1285,   167,  2490,   632,
    1152,  2518,  2631,  2521,  1825,   899,  1020,  3298,  1330,  2948,
    1334,  3137,  3299,   900,  3456,  3674,  1989,  3458,  3430,  2818,
    3837,   615,  1983,  1984,  2819,  3330,  3472,  2398,  3431,  2656,
    2478,  2479,  1281,  2667,  3339,  3017,  2661,  2399,   543, -1398,
     544,  1982,  3506,  2343,  2343,  2833,  2834,  1708,  3300,  3005,
    3507,  2679,  2304,    38,  3006,  1826,  1980,   910,  2550,  2551,
    2552,  2688,  3301,  1425,  3225,  1853,   877,  2562,   878,  2564,
    3232,  2566,  2567,  1124,  2712,  2798, -1398,  3179,  3508,  -382,
    1202,    38,  2920,    42,  2719,  1803,   206,  2227,  1804,  1983,
    1984,   519,   919,  3509,  3597,  3113,   915,  3183,  1854,   599,
    4208,  2577,  3407,   927,  1002,  3510,  3446,  3447,  3607,  3612,
    3507,    42,  1020,  1203,  2799,  2948,   671,    33,  2344,  2344,
    1142,    46, -1883,  1980,  1143,  1117,  1020,  1855,  3511,  2948,
    3184,  3571,  3473,    47,  2036,  2921,  3621,   928,  3508,  2662,
    2922,   933,  1204,  1140,  3302,   948,  2304,  2663,  4134,    46,
    2664,  2370,   910,  3509,  2373,   942,  1332,  3282,  3411,  3185,
    -144,  3308,  2819,    27,  1166,  3510,  1580,    48,    48,   630,
    3111,  1982,  3007,  3972,   630,  3974,  2674,  1806,   952,  3977,
    1807,  3978,  3008,  2226,  1020,  -144,  2227,  2948,  3511,   615,
    2950,  3479,   632,  2065,   983,    48,  3191,  1594,  3193,  1197,
     632,   527,   632,  3512,  3843,   987,  2635,  4073,  3619,   998,
    2238,  3147,  3259,  2239,   993,  1205,  1594,  3377,  1860,  1983,
    1984,  3380,  3381,   996,  3383,  2740,  3385,  3386,   999,  2240,
    1982,  1275,  2239,  2740,  2732,  3391,  1008,  4380,  3090,  3091,
    4173,  3601,  2741,    38, -1422, -1422,  1594,  2742,  1860,  2951,
    1004,  2268,  3226,  1980,  2269,  3064,  3065,  1520,  1205,  3410,
    1522,  2580,  1524,  3512,  1526,  2646,  1528,  3408,  2463,  3836,
    1532,  2464,  2974,    42,  2976,  2977,   718,  3240,  1983,  1984,
     534,  2892,  2500,  3452,  3690,  2269,  2590,  2651, -1399,  2591,
    2652,  1005, -1399,  2764,  2812,  1006,  2950,  2751,  1982,  -917,
    2752,  2911,  1982,  2766,  1010,  2892,  2767,  2914,  3573,  3574,
    2950,    46,  1980,  1950,  4198,  1007,  3769,  3273,  3275,  3276,
    1420,  2879,  2840,    47,  2239,   167,  2829,  2343,   909,  3205,
    2810,  1009,  2830,  2919,   719,  1014,  2227,  4074,   536,  3021,
    1013,  3022,  1448,  1451,  1452,  3208,  1983,  1984,  1016,  3324,
    1983,  1984,  2765,  1135,  3236,  2951, -1399,    48, -1143,  3598,
   -1143,  2864,   909,  2866,  2929,  1131,  1982,  2227,  2950,  2951,
    1594,  1128,  1860,   798,  4046,  4047,  4048,  4049,  2603,  2809,
    1980,  1137,  1982,  2933,  1980,  3201,  2227,  3023,   910,  3024,
     910,  1982,  1290, -1399,  2937,  2938,  1982,  2227,  2227,  2964,
    2980,   720,  2227,  2227,  2985,  3378,  3309,  2986,  3311,  3168,
    3172,  1136,  3169,  3173,  1983,  1984,  2952,  2953,  2954,  1345,
    2955,  2956,  2957,  2958,  2959,  2960,  1141,  2951,  3622,   632,
    1983,  1984,  1153,  4093,  1117,  3051,  3062,  1161,  1291,  1983,
    1984,  4450,  1160,  4451,  1983,  1984,  1563,  3357,  1980,  1171,
    3358,  3038,  3416,   910,  1163,  2227,  3453,  1117,  2918,  3454,
    3798,  3799,  3800,  2344,  1980,  1982,  3463,  3520,  1163,  3464,
   -1352,  3363,  2344,  1980,  3420,   543,  3475,   544,  1980,  2227,
    3525,  3527,  3549,  1164,  3553,  3550,   546,  3554,  3577,  2344,
    2344,  2239,  3762,  3842,  3426,  2239,  2269,   548,   713,  3897,
    1425,  3038,  3898,  3903,  2343,  2343,  2239,  3904,  1186,  3965,
    2239,  3412,  3966,  1983,  1984,  1187,  1292,   721,  3317,  3448,
    3320,  1191,  2952,  2953,  2954,  3086,  2955,  2956,  2957,  2958,
    2959,  2960,  4016,  1566,  1567,  4017,  2952,  2953,  2954,  1636,
    2955,  2956,  2957,  2958,  2959,  2960,  4055,  1980,  3864,  4056,
    3867,  4057,  1218,  2390,  2227,  1559,  4065,  1249,  4115,  2269,
    4174,  4116,  4199,  2239,  1293,  4200,  1294,  3109,  4210,  3705,
    3706,  2269,  3020,  3026,  3027,  3028,  2025,  4217,  1223,  4222,
    2464,  1799,  3337,  1197,  4224,  3031,  1712,  3337,  1280,  4263,
    4295,   909,  4264,  1687,  2952,  2953,  2954,   713,  2955,  2956,
    2957,  2958,  2959,  2960,  1296,  4300,  4307,  4308,  4301,  2269,
    2986,  4309,  2304,  3678,  2227,   167,  2274,   171,  2271,  2272,
    2273,  1900,  1281,  4312,  1245, -2138,  2464,  3053,  3406,   632,
    4314,  4148,  1278,  3337,  1847,  3031,  4331,  4337,   712,  2269,
    2269,  4338,  4351,  1298,  2269,  4352,  4369,  4448,  4459,  2464,
    4449,  4449,  1286,  1170,  1901,  1172,  1289,  1309,  1321,  1331,
    3841,  1335,  1340,  1341,  1346,  1348,  3176,  1902, -2140,  1350,
    1250,  1352,  1356,  1362,  1357,  1364,  1251,  3194,  1300,  1367,
    1903,  1369,  1372,  1205,  1413,  1416,   909,  1418,  1409,  1429,
    1428,  1433,  -165,  1431,  1445,  1447,  1956,  2344,  1453,  1455,
     192,  1465,  1470,  1973,  3788,  1471,  1472,  1474, -2138,  1473,
    1476,  3116,  1477,  3117,  3118,  3119,  1252,  3062,  1904,  1484,
    1487,  1488,  3948,  3949,  1489,  3951,  1509,  1490,  1492,  1905,
    1497,  1498,  1499,  2008,  1504,  3062,  2011,  1534,  3792,  1561,
    1568,  4031,  1577,  1564,  1570,  1578,  3795,  3796,  1906,  3237,
    1571, -2140, -1529,  1907, -1536, -2138,  1591,  1587,  1597,  3825,
    1590,  1592,  1593,    48,  1599,  1253,  1602, -2138,  2045,  3171,
   -1526, -2138,  1254, -1527, -1530,  1255, -2138,  1603,  1604,  1605,
    1020, -2138,  2063,  2948, -2138,  1610, -2138,  1612, -1528,  1613,
    1676,  1614,  1615,  1616,  1623,  2075,  1624,  1626, -2140,  1627,
    3844,  3199,  1628,  1629,  1630,  1631,  1632,  1633,  1691,  1703,
   -2140,  1711,  1687, -2138, -2140,  1811,  1174,  1176,  1840, -2140,
    1908,  1842,  1850,  1856, -2140,  1857,  1858, -2140,  1256, -2140,
    1860,  1861,  1863,  1862,  1892, -2138,  1864,  1865,  1886,  1898,
    1919,  1925,  1926,  1923,  1927,  1928,  1929,  1954,  3228,  2343,
    1955,  1909,  1974,  1962,  1964,  1977, -2140,  1975,  4058,  1978,
    1979,  1980,  1986,  1990,  1991,  3691,  1987,  2002,  3750,  2005,
    2740,  1995, -2138,  2740,  2740,  2343,  2343,  2740, -2140,   192,
   -2138,  2009,  2013,  2740,  1996,  1257,  2010,  1258,  2020,  1260,
    3261,  2021,  3969,  2027,  2171,  2028,  2037,  1259,  2038,  2059,
    2181,  2048,   774,  2049,  2050,  1260,  3692,  2060,  3261,  2064,
    2078,  2079,  1910,  3398,  1261, -2140,  2091,  2093,  1911,  2053,
    2054,  1912,   909, -2140,   909,  2094, -2153, -2138,   632,  2106,
    3693,  2104,  1583,  3409,  2107,  3268,  3270,  1594,  1600,  2124,
    3277,  2127,  3911,  2128,  2131,  3694,   632,  1913,  2132,  3695,
     529,  1263,  2135,  1914,  2139,  1306,  2228,  2154,  2159,  4002,
    3335,  2174,  2175,  2182,  2950,  2187,  1915,  2203,  3696,  2188,
   -2140,  3697,   645,  3927,  3928,  2192,  1264,  3321,  2205,  2207,
    2185,  2206,  2251,  3698,  2221,  2222,  3362,   909,   167,  3353,
    3769,  1916,  2208,  3801,  1117,  1117, -2138,  2257,  2266,  3690,
    1193,  2352,  2281,  4053,  2310,  2276,  2365,   167,  3376, -2153,
    2309,  2315,  1648,  2375,  2371,   645,  2408,  2376,  2383, -2138,
    2389, -2138, -2138,  2951,  1559,  3387,  2435,  2455,  3388,  2353,
    2448,  2475,  2456,   719,  1265,  3957,  3958,  2474,  2476, -2140,
    3748,  3749,  2501,  2485,  2451,  3038,  3038,  2406,  2502,  2452,
    2465,  2503,  2514,  2466, -2138,  2477, -2153, -2138, -2138, -2138,
    2499,  3699, -2140,  2519, -2140, -2140,  2522,  2524, -2153,  3700,
    2526,  2533, -2153,  3413,  2527,  2543,  2538, -2153,  2544,  2546,
    2549,  2553, -2153,  2343,  2568, -2153,  2557, -2153,  2565,  1125,
    2586,  1129,  2581,   632,  2588,  2650,  2637, -2140,  2666,  2642,
   -2140, -2140, -2140,  3701,  2654,  2653,  2704,  2707,  2729,  2725,
    2718,  2726,  2730,  2731, -2153,  3038,  2733,  2734,  2745,  2735,
    2737,  2743,  2736,  2754,  2750,  2433,  2757,  2758,   713,  2788,
    2759,  3912,  2760,  2761,  2447,  3470, -2153,  2763,  4216,   713,
    2811,  3062,  2768,  2762,  2802,  2817,  2804,  2820,  4216,  2825,
    4039,  2827,  4040,  4041,  3594,  4031,  2838,  2841,  2826,  3926,
    2836,  2853,  2855,  4044,  2857,  3489,  3490,  3491,  3492,  1636,
    4138,  3884,  2856, -2153,  2859,  3939,  2860,  2874,  4084,  3496,
    3498, -2153,  2869,  2875,  4145,  2872,  2881,  2893,  2882,  3535,
    2952,  2953,  2954,  2883,  2955,  2956,  2957,  2958,  2959,  2960,
    4259,  2464,  1505,  2282,  2884,  2901,  2907,  2909,  2913,  2915,
    2917,  2916,  2935,  2886,  2912,  2982,   989,  2227,  3001,  2970,
    2996,  3956,  2931,  2932,  3040,  2934,  2936,  2939, -2153,  2940,
    2942,  2945,  2963,  2969,  4209,  3048,  3016,  3046,  3659,  2971,
    3009,  3662,  2972,  -963,  2979,  2994,  2995,  3019,  3069,  3072,
    2458,  3084,  2461,  3074,  3045,  3078,  3092,  3089,  3094,  3095,
    3099,  3103,  3106,  3108,  3130,  2285,  3131,  3141,  3100,  3115,
    3142,  3148,  3149,   645,  3157,  3159,  3196,  3589,  3590,  3591,
    3592,  3990,  3211,  3212,  3203,  3216,  3971,  4313,  3197,  1117,
    3200,  3202,  3204,  3213,  3209,  3210,   910, -2153,  3219,  3214,
    3215,  3217,  4248,  3218,  3220,  3221,  4253,  4254,  3222,  3223,
    3231,  3224,  2286,  3227,  3261,  3229,  3233,  2046,  3235,  3251,
   -2153,  3241, -2153, -2153,  3247,  3248,  3263,  3267,  3266,  2113,
    3278,  3283,  3316,  3279,  3284,  4096,  3322,  3643,  3325,  3327,
    3644,  2287,  3645,  4135,  3642,  3315,  3329,  3348,  3343,  3753,
    3336,  4265,   632,  3349,  3345, -2153,  3337,  3352, -2153, -2153,
   -2153,  4212,  2288,  4252,  3375,  4249,  3382,  1559,  3355,  3384,
    3392,  3393,  3394,  2289,   632,  3397,  3402,  3405,  3403,  3404,
    3414,  2740,  3419,  2966,  1580,  2948,  2965,  2740,  2740,  4255,
    2099,  4257,  2290,  3465,  3449,  3450,  3451,  2291,  3457,  1641,
    3477,  3486,  3478,  3505,  4207,  3519,  3522,  3528,  3538,  3564,
    3539,  3545,  3541,  3542,  3585,  3587,  3600,  3588,  3602,  3599,
    3604,  2622,  3613,  3626,  2892,  3715,  3717,  3719,  3721,  3623,
    3624,  3625,  3638,   977,   978,  4436,  3636,  3637,  2643,  3654,
    3639,  3670,  3672,  2292,  3704,  3640,  3608,  3675,  3736,  3729,
    3683,  3684,  3641,  3739,  3367,  1406,  3681,  3707,  4233,  3708,
    3709,  2239,  3728,  3714,  2293,  3744,  4138,   641,   642,  3746,
    3751,  3755,   648,  3756,  3772,  3758,  3774,   659,   665,   641,
    3759,   672,  4436,  3775,   665,   665,  3786,   699,  3785,   702,
    4436,  3797,  4260,  3789,  1250,  3780,  3802,  3805,  1226,  3817,
    1251,  4188,   167,  3777,  3806,  3807,  3808,  3809,  3791,   798,
    3826,  3827,  3828,  3829,  1646,  3814,  3822,  3821,  3861,  1647,
    3830,  3038,  1648,   192,  3834,  3038,  3856,  3858,  4104,  4229,
    1227,  3860,  3868,  4317,  3871,  3873,  3885,  3874,  3876,  1649,
    1252,  3877,  1650,  1679,  3888,  3894,  3892,  1651,  3899,  3900,
    2294,  3919,  3947,  1652,  3812,  3908,  2295,  3922,  3923,  3929,
    3952,  3959,  2296,  3940,  3982,  3943,  3983,  4122,  3979,  3991,
    3996,  4001,  4003,  4007,   910,   632,  4009,  1653,  4018,  4026,
    4020,  4028,  4037,  4029,  2805,  4043,  1228,  1406,  4051,  1253,
    4059,  2297,  4061,  2298,  4052,  4054,  1254,  4063,  1559,  1255,
    4062,  4064,  4070,  4077,  4090,  4080,  4086,  4098,  4092,  4094,
    2299,  4110,  4113,  4131,  4114,  4124,  4132,  1229,  4125,  4119,
    4136,  4143,   756,   761,   761,   764,  4149,   761,  3226,   770,
    4425,   756,  3735,   699,  4158,  2300,   800,  4156,  4159,  4161,
    4162,   699,  4180,   699,  4163,  4182,  4181,   761,  3934,   699,
    4184,  4186,  1256,  1230,  4190,  3031,  4191,  4213,  4219,  3031,
    3944,  4228,   720,  4245,  4236,  4270,  1559,  4280,  4275,  4279,
    1559,  1559,  4282,  4284,  4285,  4290,  4297,  4299,  1654,  3883,
    4298,  4304,  1655,  1231,  4316,  4305,  4310,  4311,  4315,  4321,
    4323,  4334,  4250,  4341,  4342,  3893,  4339,  4355,  4345,   167,
    3886,  4350,  4347,  1656,  1657,  4356,  3891,  4361,  4362,  1257,
    1232,  1258,  4387,  3530,  4390,  4379,  4382,  4398,  4384,  4343,
    1658,  1259,  4397,  4402,  4416,  4428,  4344,  4444,  4447,  1260,
    4453,  2806,  2061,  3055,  1248,  4457,   632,  2641,  1261,  4421,
    3154,  1165,  3617,  1233,  2717,  3250,  1659,    33,  1710,  1660,
    3687,  1234,  4261,  4137,  4340,  3993,  4183,  1235,  3924,  3747,
    3988,  4185,  1661,  4171,  1236,  1662,  3097,  2880,  4385,  4102,
    4424,  1262,  1237,  4348,  4346,  1263,  4396,  4293,  3102,  3743,
    2786,  1238,  1406,  3616,  4328,  2787,  3166,  2151,   632,  1239,
    2769,  4427,  4458,  1647,  3332,  4454,  1648,  4160,  4400,  3264,
    1264,  3280,  4123,  2134,  4336,  3937,  3938,  4388,  4126,   647,
    3941,  3942,  3950,  3954,  3955,  1554,  4231,  3781,  3803,  2594,
    3782,  1651,  4303,  2740,  2740,  3230,  3953,  1652,  4409,  2892,
     909,   911,  4455,  4288,  3973,  2459,  1953,  1138,  3059,  1663,
    1240,  3887,  3765,  2460,  2482,  2230,  3555,  1808,  3060,  2484,
    3068,  1653,  1159,  1837,  3070,  1836,  1841,  2483,  1265,  3083,
    3985,  3071,  3500,  3051,  3855,  4325,   798,  3866,   632,  1406,
     910,  4221,  1146,  2755,  3497,  3025,  3038,  3556,  4211,  3469,
    1846,  3038,  3459,  4370,  3038,  4371,  4378,  3063,  2926,  3014,
     632,  3012,  3552,     0,     0,     0,  3062,  2434,     0,  4011,
       0,     0,     0,     0,     0,   798,     0,     0,     0,     0,
       0,     0,     0,     0,  3038,     0,  2892,     0,  2892,  4013,
       0,     0,     0,     0,     0,  4030,     0,     0,     0,  1664,
    1665,  1666,     0,  1667,  1668,  1669,  1670,  1671,  1672,     0,
       0,  1406,     0,     0,     0,     0,  3812,  3812,  3812,  3812,
       0,     0,  1654,  4121,     0,     0,  1655,     0,     0,     0,
    1406,   829,     0,     0,     0,     0,   699,     0,   756,     0,
       0,   761,     0,   764,     0,   761,     0,  1656,  1657,     0,
    1406,     0,   800,     0,     0,   886,     0,     0,     0,     0,
       0,     0,   761,     0,  1658,     0,   774,     0,     0,     0,
       0,     0,     0,     0,     0,  1406,     0,     0,     0,     0,
    3031,     0,     0,     0,   756,  3031,     0,     0,  3031,   764,
       0,     0,     0,  1660,   756,     0,     0,     0,   800,     0,
       0,     0,     0,     0,     0,     0,  1661,     0,     0,     0,
       0,     0,     0,   761,     0,  3038,  4095,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  4105,  4107,  4107,     0,
       0,     0,  1406,     0,     0,     0,     0,     0,     0,  3261,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  2846,     0,     0,     0,     0,
       0,   699,  1250,  3038,     0,     0,     0,     0,  1251,  2740,
       0,     0,   699,  1003,  1226,     0,     0,   632,   909,     0,
       0,     0,  4141,  1663,  4142,     0,     0,  4146,  4147,     0,
       0,  1112,     0,   699,   665,     0,     0,     0,   665,     0,
       0,     0,     0,     0,     0,     0,  1227,     0,  1252,     0,
       0,   699,     0,     0,     0,   699,     0,     0,     0,     0,
       0,  1112,     0,   167,  4175,     0,     0,     0,     0,     0,
       0,     0,   699,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   699,     0,     0,  4281,     0,     0,
       0,     0,     0,     0,  4195,     0,     0,  1253,     0,     0,
       0,     0,  1228,     0,  1254,     0,     0,  1255,     0,     0,
       0,     0,     0,   798, -2227, -2227,     0,  1667,  1668,  1669,
    1670,  1671,  1672,     0,     0,     0,     0,   699,     0,     0,
       0,     0,     0,  1229,     0,     0,     0,  3031,     0,   699,
       0,   761,   761,     0,     0,  3313,  3314,     0,     0,  1406,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1256,  3323,  2847,     0,     0,     0,     0,     0,     0,  1230,
       0,     0,  4237,     0,     0,  3331,     0,     0,     0,     0,
       0,     0,  2446,     0,  3340,   756,  4262,     0,     0,     0,
       0,     0,     0,     0,     0,  4256,   756,  4258,  3356,  1231,
     800,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   761,     0,     0,  4358,  1257,     0,  1258,
       0,     0,     0,     0,     0,     0,     0,  3038,   699,  1259,
       0,     0,     0,     0,   761,   761,     0,  1260,     0,     0,
       0,     0,   167,  4291,     0,     0,  1261,     0,     0,     0,
     699,   699,   699,     0,   761,  2892,   756,  4386,     0,     0,
       0,     0,     0,    33,  1117,     0,     0,  2848,     0,     0,
       0,     0,     0,  1235,     0,     0,     0,     0,     0,  1310,
    1236,     0,   761,  1263,   761,   761,     0,     0,  1938,     0,
       0,     0,     0,     0,     0,     0,     0,  1238,     0,     0,
    4107,     0,     0,     0,     0,  1239,     0,  1112,  1311,     0,
       0,     0,     0,     0,   909,     0,     0,     0,  1647,     0,
       0,  1648,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1647,     0,     0,  1648,  1537,  1537,     0,
       0,     0,   699,     0,   641,     0,  1651,     0,     0,     0,
       0,  4354,  1652,  1649,   699,     0,  1240,     0,     0,     0,
    2849,  1651,  1569,     0,     0,   699,  1265,  1652,  1575,  1647,
       0,     0,  1648,     0,     0,     0,  1653,     0,     0,  4456,
       0,  1112,     0,  3493,  3494,  3495,     0,     0,     0,  1649,
       0,  1653,     0,     0,     0,     0,     0,  1651,     0,     0,
       0,     0,     0,  1652,     0,  4389,     0,     0,     0,     0,
    1112,     0,     0,     0,     0,     0,   167,  4401,     0,     0,
       0,     0,     0,     0,     0,     0,  4443,  1653,   167,  4414,
     171,  4411,  4412,  4413,     0,     0,     0,     0,  1112,  1112,
       0,  1112,     0,     0,     0,  2589,     0,     0,     0,     0,
    1953,  2596,  4435,  4426,     0,     0,     0,     0,  1112,     0,
       0,     0,  1406,     0,     0,     0,     0,  4442,  4414,   171,
    4411,  4412,  4413,     0,     0,     0,     0,  1654,     0,     0,
       0,  1655,     0,     0,     0,     0,     0,     0,     0,     0,
    4434,     0,  1654,     0,   699,     0,  1655,  1112,     0,  4435,
       0,     0,  1656,  1657,     0,     0,     0,  4435,     0,     0,
       0,   167,  4414,   171,  4411,  4412,  4413,  1656,  1657,  1658,
       0,     0,     0,     0,     0,     0,  1112,     0,  1654,     0,
    1112,  1112,  1655,     0,  1658,     0,     0,  4434,     0,     0,
       0,   699,   699,  1849,     0,  4434,     0,     0,  1660,     0,
       0,     0,     0,  1656,  1657,     0,     0,     0,     0,   665,
    1659,  1661,     0,  1660,     0,     0,     0,     0,     0,     0,
    1658,     0,     0,     0,     0,     0,  1661,     0,     0,  1662,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   665,     0,     0,     0,  1659,     0,     0,  1660,
       0,     0,     0,     0,   699,  1961,     0,  1406,     0,     0,
       0,   699,  1661,     0,   761,  1662,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   800,     0,     0,  1663,  3711,
       0,   699,     0,     0,   699,     0,     0,     0,     0,     0,
       0,     0,     0,  1663,     0,     0,     0,     0,  3737,     0,
       0,     0,     0,     0,   699,     0,     0,     0,     0,     0,
       0,     0,   761,   761,   761,   761,   699,     0,     0,     0,
       0,     0,     0,     0,     0,  3754,  1953,     0,     0,  1663,
     699,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  2074,     0,   699,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   761,   761,     0,     0,     0,     0,   761,
       0,     0,     0,     0,     0,     0,     0,     0,  1664,  1665,
    1666,     0,  1667,  1668,  1669,  1670,  1671,  1672,     0,     0,
       0,     0,     0,  1664,  1665,  1666,     0,  1667,  1668,  1669,
    1670,  1671,  1672,     0,     0,  2453,     0,     0,     0,     0,
       0,  2454,     0,   761,     0,     0,     0,     0,     0,     0,
    1406,     0,     0,     0,     0,     0,     0,     0,     0,  1664,
    1665,  1666,     0,  1667,  1668,  1669,  1670,  1671,  1672,     0,
     761,   761,   761,   761,     0,     0,  2941,     0,     0,     0,
       0,     0,   699,     0,     0,     0,     0,     0,   699,     0,
       0,  2074,     0,     0,     0,     0,     0,     0,     0,     0,
     756,     0,     0,     0,     0,     0,     0,   764,     0,   756,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   800,
       0,     0,     0,     0,   761,     0,  3850,  3851,  3852,  3853,
       0,     0,     0,   761,     0,     0,     0,     0,     0,   761,
     761,     0,     0,     0,   699,     0,     0,     0,     0,     0,
       0,     0,  1647,     0,     0,  1648,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1537,
    1647,     0,  1649,  1648,     0,     0,   761,     0,   756,     0,
    1651,     0,   699,   699,     0,   761,  1652,     0,     0,     0,
    1649,   699,     0,     0,     0,     0,     0,     0,  1651,     0,
       0,     0,     0,     0,  1652,   641,   641,     0,     0,  2284,
    1653,     0,     0,  1112,     0,  1112,     0,     0,  2446,  2446,
    2446,     0,  1112,     0,     0,  1112,     0,     0,  1653,  1112,
       0,     0,     0,     0,     0,     0,     0,  1112,  1112,     0,
       0,     0,     0,     0,     0,  1112,     0,   800,  1112,  1112,
    1112,  1112,  1647,     0,     0,  1648,     0,     0,  1112,  1112,
       0,  1112,     0,  1112,  1112,     0,     0,  1112,     0,     0,
       0,     0,  1649,     0,     0,     0,     0,     0,     0,     0,
    1651,     0,     0,     0,  1112,     0,  1652,     0,   761,  1112,
       0,     0,     0,  1112,     0,     0,     0,  1112,     0,  1112,
    1112,  1112,  1112,  1112,  1112,  1112,  1112,  1112,     0,  1112,
    1653,  1654,     0,   699,  1112,  1655,  1112,     0,     0,     0,
       0,     0,   699,     0,     0,     0,     0,     0,     0,  1654,
    1406,     0,  2846,  1655,     0,     0,  1656,  1657,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1226,     0,  1658,  1656,  1657,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1658,  1953,  2596,     0,  2596,     0,     0,     0,  1659,
       0,     0,  1660,  1227,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1661,     0,  1659,  1662,     0,
    1660,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1654,     0,  1661,     0,  1655,  1662,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  4036,     0,     0,     0,
       0,  1406,     0,  1406,     0,     0,  1656,  1657,   699,  1228,
     699,     0,  1112,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1658,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1229,     0,  1663,     0,     0,     0,     0,   699,     0,  1659,
       0,     0,  1660,  2491,     0,  2498,     0,  1406,     0,  1647,
    1663,     0,  1648,     0,     0,  1661,     0,     0,  1662,  2847,
     764,     0,     0,     0,     0,   641,  1230,   641,  2846,  1649,
       0,     0,  1406,     0,     0,     0,     0,  1651,     0,     0,
       0,     0,     0,  1652,  1112,     0,     0,  1226,     0,     0,
       0,  2596,     0,     0,     0,   756,  1231,   761,   761,   761,
       0,     0,   756,     0,   800,     0,   761,  1653,   761,  2596,
     761,   761,     0,     0,   699,     0,     0,     0,     0,  1227,
       0,     0,  1664,  1665,  1666,     0,  1667,  1668,  1669,  1670,
    1671,  1672,  1663,   665,     0,     0,     0,     0,     0,  2989,
    1664,  1665,  1666,     0,  1667,  1668,  1669,  1670,  1671,  1672,
    1250,     0,  1961,     0,  2374,     0,  1251,     0,  2604,     0,
      33,     0,     0,  2613,  1234,     0,     0,     0,  1405,   699,
    1235,     0,     0,  1406,     0,  1228,     0,  1236,     0,     0,
    4152,     0,     0,     0,     0,  1938,   699,     0,     0,  2596,
    2648,  2648,     0,     0,  1238,     0,  1252,   764,   665,     0,
    1406,     0,  1239,     0,     0,     0,  1229,     0,  1654,     0,
       0,     0,  1655,     0,     0,   761,     0,  1117,     0,     0,
       0,     0,  1664,  1665,  1666,     0,  1667,  1668,  1669,  1670,
    1671,  1672,     0,  1656,  1657,  2847,  3265,     0,     0,     0,
       0,  2706,  1230,  2709,  2711,  1253,     0,     0,     0,     0,
    1658,     0,  1254,  1240,     0,  1255,     0,  2849,  3367,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1406,
       0,     0,  1231,   761,     0,     0,  1659,     0,     0,  1660,
       0,   761,     0,     0,     0,     0,   761,     0,     0,  1406,
       0,     0,  1661,     0,     0,  1662,     0,     0,     0,  1112,
    1405,     0,     0,     0,     0,     0,     0,  4240,  1256,     0,
       0,     0,     0,     0,  1406,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1226,  1961,     0,     0,
    2648,     0,   699,     0,  2807,     0,    33,   641,     0,     0,
    1234,     0,     0,     0,     0,     0,  1235,     0,     0,     0,
    1406,     0,     0,  1236,     0,     0,     0,     0,  1227,     0,
       0,  1938,     0,  2706,     0,  1257,     0,  1258,     0,  1663,
    1238,   761,  2832,     0,     0,     0,     0,  1259,  1239,     0,
       0,     0,     0,     0,     0,  1260,     0,     0,     0,     0,
       0,  2446,     0,     0,  1261,     0,     0,     0,   761,     0,
     761,  2648,   761,  2648,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1228,     0,     0,     0,     0,     0,
       0,     0,  1112,     0,     0,     0,     0,  1336,     0,  1240,
       0,  1263,  1697,  2849,  1537,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1229,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1337,     0,     0,  1664,
    1665,  1666,     0,  1667,  1668,  1669,  1670,  1671,  1672,     0,
       0,     0,     0,  3421,     0,     0,     0,     0,     0,     0,
     756,  1230,     0,     0,     0,     0,   756,     0,     0,     0,
       0,     0,     0,     0,     0,  1405,     0,   761,     0,     0,
       0,     0,     0,     0,  1112,  1112,     0,     0,     0,     0,
    1112,  1231,     0,     0,  1265,  2596,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1112,  1112,     0,     0,     0,
    1112,     0,     0,     0,  1647,     0,     0,  1648,     0,  1405,
       0,     0,  1112,  1112,  1112,  1112,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1112,     0,     0,  1112,     0,
    1112,  2993,  1651,     0,     0,    33,     0,  1937,  1652,  1234,
    1112,  1112,  1405,     0,  1112,  1235,     0,     0,     0,     0,
       0,     0,  1236,     0,     0,     0,     0,  1112,     0,  1112,
    1938,   800,  1653,  1112,     0,     0,     0,     0,     0,  1238,
       0,     0,     0,     0,     0,     0,     0,  1239,     0,  1112,
       0,  -119,     0,   699,     0,     0,     0,     0,     0,     0,
    3039,     0,  1112,  1112,  1112,     1,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     2,     0,     3,     4,  1112,
       0,     0,     0,     0,  1405,     0,     0,     0,     0,     0,
       0,  1112,     5,  1406,  2999,     0,  1112,     0,  1240,     0,
       0,     0,  1112,  1405,     0,     0,     0,     0,  1647,     0,
    3039,  1648,     6,  3077,     7,     8,     0,  2498,     0,     0,
       9,     0,    10,  1405,     0,     0,     0,     0,  1649,  1953,
       0,     0,    11, -2227,    12,     0,  1651,  1655,     0,     0,
       0,     0,  1652,     0,     0,     0,     0,  1112,  1405,  2648,
      13,     0,     0,    14,  1537,     0,     0,     0,  1656,  1657,
       0,     0,     0,     0,   569,    15,  1653,    16,     0,     0,
       0,    17,     0,     0,     0, -2227,   570,    18,     0,     0,
     761,     0,   761,   761,   761,    19,     0,    20,     0,     0,
       0,     0,     0,    21,     0,     0,     0,   571,     0,     0,
       0,     0,     0,     0,  1660,  1405,     0,    22,  1397,     0,
     572,     0,     0,     0,     0,     0,     0,  1661,     0,     0,
       0,     0,     0,   573,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1406,     0,
     574,     0,     0,     0,     0,     0,     0,     0,     0,  1406,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   575,    23,    24,     0,     0,     0,  1654,    25,     0,
       0,  1655,   576,     0,     0,     0,     0,    26,     0,     0,
     577,     0,     0,     0,     0,     0,     0,     0,    27,     0,
    2446,   578,  1656,  1657, -2227,  2446,   579,     0,     0,     0,
       0,     0,   580,     0,     0,     0,     0,  2446,     0,  1658,
       0,     0,     0,     0,     0,     0,     0,   581,     0,     0,
       0,     0,     0,     0,     0,    28,     0,     0,  1250,     0,
       0,     0,     0,     0,  1251,  1659,     0,    29,  1660,     0,
    1397,     0,    30,    31,     0,    32,     0,     0,     0,     0,
      33,  1661,     0,     0,  1662,    34,  1406,     0,    35,     0,
    2648,  2648,    36,   582,     0,     0,     0,    37,    38,     0,
       0,     0,     0,     0,  1252,    39,     0,     0,    40,     0,
       0,     0,  1405,     0,  1406,     0,    41,     0,  1667,  1668,
    1669,  1670,  1671,  1672,   583,     0,     0,     0,    42,     0,
    1406,     0,     0,     0,   584,     0,     0,     0,     0,     0,
       0,     0,     0,   699,   699,    43,     0,     0,     0,     0,
       0,     0,   192,  1253,     0,    44,     0,     0,  1663,   699,
    1254,    45,     0,  1255,     0,     0,    46,     0,     0,     0,
       0,     0,  1537,   699,     0,     0,  1406,  1647,    47,   585,
    1648,  1537,   699,   586,     0,   587,     0,     0,     0,     0,
       0,   588,     0,     0,   589,     0,   699,  1649,     0,     0,
       0,     0,     0,     0,     0,  1651,     0,     0,     0,     0,
       0,  1652,    48,     0,     0,  -119,  1256,     0,     0,     0,
     590,     0,   591,     0,   761,     0,   592,   761,     0,     0,
       0,     0,     0,     0,   593,  1653,     0,     0,     0,   594,
       0,   756,     0,     0,     0,     0,     0,     0,  1664,  1665,
    1666,   595,  1667,  1668,  1669,  1670,  1671,  1672,     0,     0,
    3540,     0,   699,     0,   596,  1397,     0,     0,     0,     0,
       0,     0,   761,  1257,     0,  1258,     0,     0,     0,     0,
    1112,     0,     0,     0,     0,  1259,     0,  4034,     0,     0,
    1112,     0,     0,  1260,     0,     0,  1112,     0,  1112,     0,
       0,     0,  1261,     0,  1112,     0,     0,  1112,  1112,  1112,
    1112,  1112,  1112,  1112,  1112,  1112,  1112,     0,     0,  1397,
    1112,  1112,  1406,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1112,     0,  1920,  1654,  1112,     0,  1263,
    1655,  1112,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1112,  1397,     0,  1112,     0,  1112,     0,     0,     0,
       0,  1656,  1657,     0,  1921,  1112,  1112,  1112,     0,     0,
       0,  1112,     0,     0,  1112,     0,     0,     0,  1658,     0,
       0,   699,   699,   699,   756,  3039,  3504,     0,     0,     0,
    3504,  3518,     0,     0,     0,  1112,  1250,     0,     0,     0,
       0,  3532,  1251,  1112,  1659,  1112,     0,  1660,  1405,     0,
       0,     0,     0,  1405,  1405,     0,     0,     0,     0,     0,
    1661,     0,  1265,  1662,  1397,  1405,  1250,  1112,     0,     0,
    2596,     0,  1251,  1112,     0,     0,     0,  2498,     0,  1112,
       0,     0,  1252,  1397,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  3572,  1537,  1537,     0,  2074,     0,
       0,     0,     0,  1397,     0,     0,     0,     0,     0,     0,
       0,     0,  1252,     0,     0,     0,   761,   761,   761,   761,
       0,     0,     0,     0,     0,     0,     0,     0,  1397,     0,
       0,  1253,     0,     0,     0,     0,     0,  1663,  1254,     0,
       0,  1255,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  3615,     0,     0,     0,     0,     0,
       0,  1253,     0,     0,     0,     0,     0,     0,  1254,     0,
       0,  1255,  2596,     0,     0,     0,     0,     0,     0,     0,
       0,  1647,     0,     0,  1648,  1397,     0,     0,     0,     0,
       0,     0,     0,  1406,  1256,     0,     0,     0,     0,     0,
       0,  1649,     0,     0,     0,     0,     0,     0,     0,  1651,
    1405,     0,     0,     0,     0,  1652,     0,     0,     0,     0,
       0,     0,     0,  1406,  1256,     0,  3676,  1664,  1665,  1666,
       0,  1667,  1668,  1669,  1670,  1671,  1672,     0,     0,  1653,
       0,  3468,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1257,     0,  1258,     0,     0,     0,     0,     0,     0,
       0,  1406,     0,  1259,     0,  1406,  1406,     0,     0,  1647,
       0,  1260,  1648,     0,     0,     0,     0,   699,     0,     0,
    1261,  1257,     0,  1258,     0,     0,     0,     0,   761,  1405,
    1112,     0,     0,  1259,     0,     0,   699,  1651,     0,     0,
       0,  1260,  3742,  1652,     0,     0,     0,     0,     0,     0,
    1261,  1961,     0,  1992,     0,     0,     0,  1263,     0,     0,
       0,     0,     0,   699,     0,     0,     0,  1653,     0,     0,
       0,     0,  2706,     0,     0,     0,     0,     0,  3770,     0,
    1654,  4034,  1993,  2600,  1655,     0,     0,  1263,     0,     0,
       0,     0,     0,     0,  1112,  1112,     0,     0,     0,     0,
       0,     0,  1397,     0,     0,  1656,  1657,     0,     0,     0,
       0,     0,  1264,  1405,     0,   758,     0,  2648,     0,  2648,
       0,     0,  1658,     0,   758,   778,     0,     0,     0,  3010,
       0,   778,     0,     0,     0,     0,     0,     0,     0,     0,
    1265,   778,     0,     0,     0,     0,     0,     0,  1659,     0,
       0,  1660,  1112,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1661,     0,     0,  1662, -2227,     0,
    1265,     0,  1655,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1112,
       0,     0,     0,  1656,  1657,     0,     0,     0,     0,  1112,
    1112,     0,     0,     0,     0,     0,     0,  1112,  1112,     0,
   -2227,     0,  1112,     0,     0,     0,     0,     0,  1112,  1112,
       0,     0,  1112,     0,   699,   699,   699,   699,     0,     0,
       0,  3504,  3518,  3504,     0,     0,  3857,     0,     0,  1660,
    3039,  1663,     0,     0,  3039,     0,     0,     0,     0,  1250,
    3870,     0,  1661,     0,  1112,  1251,     0,     0,     0,  1112,
       0,     0,     0,     0,     0,  3880,     0,     0,     0,     0,
    1647,  1112,     0,  1648,     0,     0,     0,   800,     0,     0,
       0,     0,     0,     0,     0,  3077,     0,     0,     0,  2498,
    1649,     0,     0,     0,     0,  1252,     0,     0,  1651,   641,
       0,     0,  1112,     0,  1652,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  2648,  2648,     0,     0,     0,     0,  1653, -2227,
       0,  1664,  1665,  1666,     0,  1667,  1668,  1669,  1670,  1671,
    1672,     0,     0,     0,  1253,  3544,  3925,     0,     0,     0,
       0,  1254,     0,     0,  1255,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   761,     0,  1405,     0,     0,     0,     0,  1397,     0,
       0,     0,     0,  1397,  1397,   761,     0,  1256,     0,     0,
       0,     0,     0,     0,     0,  1397,     0,  1647,     0,     0,
    1648,     0,     0,  1667,  1668,  1669,  1670,  1671,  1672,  1654,
       0,     0,     0,  1655,     0,  1405,  1405,     0,  1405,     0,
       0,     0,     0,     0,     0,  1651,     0,     0,     0,     0,
       0,  1652,     0,     0,  1656,  1657,     0,     0,     0,     0,
       0,   758,     0,  1112,  1257,     0,  1258,     0,     0,     0,
       0,  1658,     0,   778,   756,  1653,  1259,   778,     0,  1961,
       0,     0,     0,     0,  1260,     0,  1537,     0,   778,     0,
       0,     0,     0,  1261,  1405,     0,  1405,  1659,   761,  1961,
    1660,     0,     0,   778,     0,     0,     0,   758,     0,     0,
       0,     0,     0,  1661,     0,     0,  1662,   758,   778,     0,
       0,     0,     0,   778,   699,     0,  2681,     0,     0,     0,
    1263,     0,     0,   778,     0,     0,     0,  3483,     0,     0,
       0,   778,     0,  1250,     0,     0,     0,     0,     0,  1251,
    1405,     0,  1112,     0,     0,  2682,     0,     0,     0,     0,
    1397,  1112,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1405, -2227,     0,  1112,  1112,
    1655,     0,  1112,     0,     0,     0,     0,     0,     0,  1252,
    1663,  3504,     0,     0,  1405,  3039,     0,     0,     0,     0,
    3039,  1656,  1657,  3039,  2706,     0,  4082,     0,  1112,  1112,
       0,     0,  1405,  1265,   758,     0,     0,     0, -2227,   778,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  3572,   800,   761,   761,   761,  1253,  1397,
       0,     0,     0,     0,   758,  1254,     0,  1660,  1255,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1661,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   756,   800,     0,     0,  1405,     0,     0,     0,
    1664,  1665,  1666,     0,  1667,  1668,  1669,  1670,  1671,  1672,
       0,     0,  1405,     0,  3566,     0,     0,     0,     0,     0,
       0,  1256,     0,  1405,     0,     0,     0,     0,     0,     0,
       0,  1537,     0,     0,     0,   756,     0,     0,   699,     0,
       0,     0,     0,  1397,     0,     0,     0,     0,     0,  3742,
       0,     0,     0,     0,     0,     0,  2648, -2227,     0,     0,
    1961,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  3770,     0,     0,   699,     0,     0,  1257,     0,
    1258,     0,     0,   761,  3572,     0,     0,     0,   758,     0,
    1259,     0,  1405,     0,     0,     0,     0,     0,  1260,   758,
       0,     0,     0,     0,     0,     0,  1112,  1261,     0,  1112,
       0,  1112,  1405,     0,     0,     0,     0,     0,     0,     0,
     177,     0,  1407,     0,     0,     0,     0,     0,  1112,     0,
       0,     0,  3039,     0,     0,  4082,     0,  1405,     0,     0,
    2720,  4227,  1647,     0,  1263,  1648,     0,     0,     0,     0,
       0,  1667,  1668,  1669,  1670,  1671,  1672,     0,     0,   758,
       0,   761,  1649,     0,     0,   699,   178,     0,     0,  2721,
    1651,     0,     0,  1405,     0,     0,  1652,     0,     0,   179,
       0,     0,     0,   761,   761,   761,   761,     0,     0,     0,
       0,   778,     0,     0,     0,     0,   180,     0,  1537,     0,
    1653,     0,   181,     0,     0,     0,   778,     0,     0,     0,
     758,     0,     0,     0,     0,     0,   756,   182,   778,     0,
       0,     0,     0,     0,     0,     0,     0,  1265,   183,     0,
       0,     0,     0,     0,     0,  1112,   184,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   778,   185,     0,     0,
       0,     0,   186,     0,  1407,     0,   778,  1250,   187,     0,
       0,     0,     0,  1251,     0,     0,     0,     0,     0,   778,
       0,     0,   778,   188,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1112,   758,     0,     0,     0,     0,   761,
       0,   800,     0,     0,     0,     0,     0,     0,   189,     0,
    1112,  1654,     0,  1252,     0,  1655,     0,     0,     0,     0,
       0,     0,     0,   758,     0,     0,     0,     0,     0,   190,
       0,     0,     0,  1397,     0,     0,  1656,  1657,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1405,     0,
     761,   758,   758,  1658,   758,   756,     0,     0,     0,     0,
     191,     0,  1253,     0,     0,     0,  3572,     0,     0,  1254,
       0,   758,  1255,     0,     0,  1397,  1397,     0,  1397,  1659,
    4227,     0,  1660,  1112,  1112,     0,     0,     0,   192,     0,
       0,     0,     0,   778,     0,  1661,   756,     0,  1662,     0,
       0,   778,   778,     0,   761,     0,     0,     0,     0,     0,
     758,  1795,     0,     0,     0,   193,     0,     0,     0,   194,
    1647,   195,     0,  1648,     0,  1256,     0,   196,     0,     0,
     197,     0,     0,     0,  1397,     0,  1397,  1112,     0,   758,
    1649,     0,     0,   758,   758,     0,     0,  1112,  1651,     0,
       0,     0,   761,     0,  1652,     0,   198,     0,   199,  1407,
       0,     0,   200,     0,     0,  1795,     0,     0,     0,     0,
     201,     0,  1663,     0,     0,   202,     0,     0,  1653,     0,
       0,     0,  1257,     0,  1258,     0,     0,   203,     0,     0,
    1397,     0,     0,  1250,  1259,  1647,  1405,     0,  1648,  1251,
     204,     0,  1260,     0,     0,     0,     0,     0,     0,  1112,
       0,  1261,     0,  1407,     0,  1397,     0,     0,   756,     0,
       0,     0,     0,  1651,     0,     0,     0,     0,     0,  1652,
       0,     0,  1405,     0,  1397,     0,     0,     0,     0,  1252,
       0,     0,     0,     0,  3135,     0,  1407,     0,  1263,     0,
       0,     0,  1397,  1653,     0,     0,     0,     0,     0,     0,
       0,     0,  1664,  1665,  1666,     0,  1667,  1668,  1669,  1670,
    1671,  1672,     0,  3136,     0,     0,  3815,     0,     0,  1654,
       0,     0,     0,  1655,     0,     0,     0,     0,  1253,     0,
       0,     0,     0,     0,     0,  1254,     0,     0,  1255,   778,
       0,     0,     0,     0,  1656,  1657,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1397,     0,  1407,     0,
       0,  1658,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1265,  1397,     0,     0,     0,     0,  1407,     0,     0,
       0,  1405,  1647,  1397,     0,  1648,     0,  1659,     0,     0,
    1660,  1256,  1405,     0,  1654,     0,     0,  1407,  1655,     0,
       0,     0,  1649,  1661,     0,     0,  1662,     0,     0,     0,
    1651,     0,     0,     0,     0,     0,  1652,  1795,     0,  1656,
    1657,     0,  1407,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1658,   778,     0,     0,
    1653,     0,     0,     0,     0,     0,     0,     0,  1257,     0,
    1258,     0,  1397,   778,     0,     0,     0,     0,     0,     0,
    1259,     0,  1659,     0,     0,  1660,     0,     0,  1260,     0,
       0,     0,  1397,   758,     0,     0,     0,  1261,  1661,  1407,
    1663,     0,   758,     0,   778,   778,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   778,     0,  1397,     0,  1405,
       0,     0,     0,     0,     0,     0,  1399,   778,   778,     0,
    3177,     0,     0,     0,  1263,     0,     0,     0,     0,   778,
       0,     0,  1647,     0,     0,  1648,     0,  1405,     0,     0,
       0,     0,     0,  1397,     0,     0,     0,     0,     0,  3178,
       0,  1654,  1649,  1405,     0,  1655,     0,     0,     0,     0,
    1651,   758,     0,     0,     0,  1663,  1652,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1656,  1657,     0,     0,
    1664,  1665,  1666,     0,  1667,  1668,  1669,  1670,  1671,  1672,
    1653,     0,     0,  1658,  3849,     0,   758,     0,   758,  1405,
       0,     0,     0,     0,     0,   758,     0,  1265,   758,     0,
       0,     0,   758,     0,     0,     0,     0,     0,     0,  1659,
     758,   758,  1660,     0,     0,     0,     0,     0,   758,     0,
       0,   758,   758,   758,   758,  1661,     0,     0,  1662,     0,
       0,   758,   758,     0,   758,     0,   758,   758,  1399,     0,
     758,     0,     0,     0,     0,  1664,  1665,  1666,     0,  1667,
    1668,  1669,  1670,  1671,  1672,     0,  1407,   758,  1795,     0,
       0,     0,   758,     0,     0,     0,   758,     0,     0,     0,
     758,     0,   758,   758,   758,   758,   758,   758,   758,   758,
     758,  1654,   758,     0,     0,  1655,     0,   758,     0,   758,
       0,     0,     0,     0,     0,     0,     0,     0,  1397,     0,
       0,     0,  1663,     0,     0,     0,  1656,  1657,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1658,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1405,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1659,
       0,     0,  1660,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1661,     0,     0,  1662,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1664,  1665,  1666,     0,  1667,  1668,  1669,  1670,
    1671,  1672,     0,     0,     0,     0,  4060,     0,     0,     0,
       0,     0,     0,     0,     0,   758,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1399,     0,     0,     0,     0,     0,     0,
       0,     0,  1663,  1405,     0,  1647,  1397,     0,  1648,     0,
       0,     0,     0,     0,     0,     0,  1647,     0,     0,  1648,
       0,     0,     0,     0,   778,  1649,     0,     0,  1795,   778,
       0,     0,   778,  1651,     0,     0,  1649,     0,     0,  1652,
       0,     0,  1397,     0,  1651,     0,     0,  1399,     0,     0,
    1652,     0,     0,     0,   778,     0,  1647,   758,     0,  1648,
       0,     0,     0,  1653,     0,     0,     0,     0,   758,     0,
       0,     0,     0,     0,  1653,   758,  1649,     0,     0,     0,
    1399,     0,     0,     0,  1651,     0,     0,     0,     0,     0,
    1652,     0,  1664,  1665,  1666,   778,  1667,  1668,  1669,  1670,
    1671,  1672,     0,     0,     0,  1405,  4100,     0,     0,     0,
       0,     0,  1407,     0,  1653,     0,     0,  1407,  1407,     0,
       0,     0,   778,   778,     0,     0,  1405,     0,     0,  1407,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1795,   778,     0,  1795,     0,
       0,  1397,  1399,     0,     0,     0,  1405,     0,     0,     0,
       0,     0,  1397,     0,  1654,     0,     0,     0,  1655,     0,
       0,  1399,     0,   778,     0,  1654,     0,   778,     0,  1655,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1656,
    1657,  1399,     0,     0,  1405,   778,     0,     0,  1405,  1405,
    1656,  1657,     0,     0,     0,   778,  1658,     0,     0,     0,
       0,     0,     0,     0,     0,  1654,  1399,  1658,   778,  1655,
       0,     0,     0,     0,     0,     0,     0,     0,   778,     0,
       0,     0,  1659,     0,     0,  1660,     0,     0,     0,     0,
    1656,  1657,     0,  1659,     0,     0,  1660,     0,  1661,     0,
       0,  1662,     0,     0,     0,     0,     0,  1658,     0,  1661,
       0,     0,  1662,     0,     0,     0,     0,     0,     0,  1397,
       0,     0,   758,  1399,  1407,     0,     0,     0,     0,     0,
       0,     0,     0,  1659,     0,     0,  1660,  1250,     0,     0,
       0,     0,     0,  1251,     0,  1795,     0,  1397,     0,  1661,
       0,     0,  1662,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1397,     0,     0,     0,     0,  1290,     0,
       0,     0,     0,     0,     0,  1663,     0,     0,     0,     0,
       0,     0,     0,  1252,     0,     0,  1663,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1407,     0,     0,   778,     0,     0,  1397,
       0,     0,     0,     0,  1291,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1663,     0,     0,     0,
       0,     0,  1253,     0,     0,     0,     0,     0,     0,  1254,
     778,     0,  1255,     0,     0,   758,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1664,  1665,  1666,     0,  1667,
    1668,  1669,  1670,  1671,  1672,   778,  1664,  1665,  1666,  4154,
    1667,  1668,  1669,  1670,  1671,  1672,     0,  1407,     0,     0,
    4357,     0,  1292,     0,     0,  1256,     0,     0,     0,   778,
    1399,     0,     0,   758,     0,     0,     0,     0,     0,   758,
       0,     0,     0,     0,     0,     0,  1664,  1665,  1666,     0,
    1667,  1668,  1669,  1670,  1671,  1672,     0,   758,   758,     0,
    4445,     0,     0,   758,     0,     0,     0,     0,     0,     0,
    1293,     0,  1294,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1295,     0,  1258,  1397,     0,     0,   758,   758,
       0,     0,     0,   758,  1259,     0,     0,     0,     0,     0,
       0,     0,  1260,     0,     0,   758,   758,   758,   758,     0,
    1296,  1261,     0,  1795,     0,     0,     0,     0,   758,  1795,
       0,   758,     0,   758,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   758,   758,     0,     0,   758,     0,     0,
    1647,     0,     0,  1648,  1297,     0,     0,     0,  1263,  1298,
     758,     0,   758,     0,     0,     0,   758,     0,     0,     0,
    1649,     0,     0,     0,  2467,     0,     0,     0,  1651,     0,
       0,     0,   758,  1299,  1652,     0,     0,     0,     0,     0,
       0,     0,     0,   758,  1300,   758,   758,   758,     0,     0,
       0,     0,     0,  1397,     0,     0,     0,     0,  1653,   778,
       0,     0,   758,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   758,     0,     0,     0,     0,   758,
       0,     0,     0,     0,     0,   758,     0,     0,     0,     0,
       0,  1265,     0,   758,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  2468,     0,     0,     0,     0,     0,   778,
       0,  1647,     0,     0,  1648,     0,     0,     0,     0,     0,
       0,     0,   558,     0,   778,   778,     0,     0,   600,     0,
     758,  1649,     0,     0,  2928,     0,     0,   650,     0,  1651,
       0,     0,     0,     0,     0,  1652,     0,     0,     0,     0,
       0,   778,     0,     0,   778,  1397,   711,  1407,     0,  1654,
       0,     0,     0,  1655,     0,     0,     0,     0,     0,  1653,
       0,     0,     0,     0,     0,     0,  1397,     0,     0,     0,
       0,     0,     0,     0,  1656,  1657,  1399,     0,     0,     0,
       0,  1399,  1399,     0,     0,     0,     0,     0,     0,  1407,
    1407,  1658,  1407,  1399,     0,     0,  1397,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1659,     0,     0,
    1660,  1795,  1795,  1795,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1661,  1397,     0,  1662,     0,  1397,  1397,
     778,     0,     0,     0,     0,     0,     0,     0,  1407,     0,
    1407,   778,     0,     0,     0,     0,     0,     0,     0,     0,
    1654,   778,     0,     0,  1655,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   769,     0,  1656,  1657,     0,     0,     0,
       0,     0,     0,   803,   804,     0,   807,     0,   810,     0,
     812,     0,  1658,     0,  1407,  1647,     0,     0,  1648,     0,
    1663,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   778,     0,  1649,     0,     0,  1659,  1407,
       0,  1660,     0,  1651,     0,     0,     0,     0,  1399,  1652,
       0,     0,     0,     0,  1661,     0,     0,  1662,  1407,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  2469,     0,  1653,     0,  1795,  1407,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     778,     0,   778,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   778,     0,   778,     0,     0,     0,
    1664,  1665,  1666,     0,  1667,  1668,  1669,  1670,  1671,  1672,
       0,     0,     0,     0,     0,     0,     0,  1399,     0,     0,
       0,  1663,     0,     0,     0,     0,     0,     0,     0,     0,
    1407,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   779,     0,     0,   778,  1407,     0,   779,     0,
       0,     0,     0,     0,     0,     0,     0,  1407,   779,     0,
       0,     0,     0,     0,  1654,     0,     0,     0,  1655,     0,
       0,     0,     0,   778,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   758,     0,     0,   778,     0,  1656,
    1657,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1399,     0,     0,   778,     0,  1658,   778,     0,     0,
       0,  1664,  1665,  1666,     0,  1667,  1668,  1669,  1670,  1671,
    1672,     0,     0,   758,     0,     0,  1407,     0,     0,     0,
       0,     0,  1659,   758,     0,  1660,     0,     0,     0,   758,
       0,   758,     0,     0,     0,     0,  1407,   758,  1661,     0,
     758,   758,   758,   758,   758,   758,   758,   758,   758,   758,
       0,     0,     0,   758,   758,     0,     0,     0,     0,     0,
       0,  1407,     0,     0,     0,     0,   758,     0,  1647,     0,
     758,  1648,  1795,     0,   758,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   758,     0,     0,   758,     0,   758,
       0,     0,     0,     0,     0,     0,  1651,  1407,   758,   758,
     758,     0,  1652,     0,   758,     0,     0,   758,     0,     0,
       0,     0,     0,   863,     0,  1663,     0,   758,   758,  1647,
       0,   871,  1648,     0,     0,     0,  1653,     0,   758,     0,
     887,   888,     0,     0,     0,   890,   758,     0,   758,  1649,
       0,     0,     0,     0,     0,     0,   906,  1651,     0,     0,
       0,     0,     0,  1652,     0,     0,     0,     0,     0,   914,
     758,     0,     0,     0,     0,     0,   758,     0,     0,     0,
       0,     0,   758,     0,     0,   937,     0,  1653,   939,     0,
     941,     0,   944,     0,     0,     0,     0,   758,  3484,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1664,  1665,  1666,     0,  1667,
    1668,  1669,  1670,  1671,  1672,     0,     0,     0,   778,     0,
       0,     0,     0,     0,     0,     0,     0, -2227,     0,     0,
    1647,  1655,     0,  1648,     0,     0,     0,     0,     0,     0,
       0,     0,  1000,     0,  1001,     0,     0,     0,     0,     0,
    1649,     0,  1656,  1657,     0,     0,  4419,  1795,  1651,     0,
       0,  1795,  1407,  1795,  1652,     0,     0,     0,     0, -2227,
       0,  1399,     0,     0,     0,     0,     0,     0,  1654,     0,
     779,     0,  1655,     0,   779,     0,     0,     0,  1653,     0,
       0,     0,     0,     0,     0,   779,     0,   711,  1660,     0,
       0,     0,   778,  1656,  1657,   778,     0,     0,     0,     0,
     779,  1661,     0,  1399,  1399,     0,  1399,     0,     0,     0,
    1658,     0,     0,     0,     0,   779,     0,     0,     0,     0,
     779,     0,     0,     0,     0,     0,     0,     0,     0,  1795,
     779,     0,     0,     0,     0,     0,  1659,     0,   779,  1660,
       0,     0,     0,     0,     0,     0,  1217,     0,     0,     0,
       0,     0,  1661,     0,     0,  1662,     0,     0,  2965,     0,
       0,     0,  1399,  2966,  1399,     0,     0,     0,     0,     0,
       0,     0,  4420,   758,     0,     0,     0,     0, -2227,  1654,
       0,     0,     0,  1655,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   778,   778,  1339,     0,
    1407,     0,     0,   778,  1656,  1657,     0,     0,     0,     0,
       0,     0,     0,  1351,     0,     0,   779,     0,  1399,     0,
       0,  1658,     0,     0,     0,     0,  1361,     0,     0,  1663,
       0,     0,     0,  1363,     0,     0,  1407,   758,   758,     0,
       0,     0,     0,  1399,     0,  1411,     0,  1659,  1415,     0,
    1660,     0,     0,     0,     0,     0,     0,  1647,     0,     0,
    1648,     0,  1399,  1661,     0,     0,  1662,     0,     0,     0,
       0,     0,  1667,  1668,  1669,  1670,  1671,  1672,   778,     0,
    1399,  1458,     0,     0,     0,  1651,     0,     0,     0,     0,
       0,  1652,   780,     0,     0,   758,     0,     0,   780,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   780,     0,
       0,     0,     0,     0,     0,  1653,     0,     0,     0,  1664,
    1665,  1666,     0,  1667,  1668,  1669,  1670,  1671,  1672,     0,
       0,     0,   758,     0,     0,     0,     0,     0,     0,     0,
    1663,     0,   758,   758,  1399,  1407,  1647,     0,     0,  1648,
     758,   758,     0,     0,     0,   758,  1407,     0,     0,     0,
    1399,   758,   758,     0,     0,   758,  1649,     0,     0,     0,
       0,  1399,     0,     0,  1651,     0,     0,  3487,     0,     0,
    1652,     0,     0,   758,     0,     0,     0,   758,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   758,     0,     0,
       0,     0,   758,     0,  1653,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   758,     0, -2227,     0,     0,     0,
    1655,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1664,  1665,  1666,     0,  1667,  1668,  1669,  1670,  1671,  1672,
    1399,  1656,  1657,     0,     0,   758,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0, -2227,     0,
    1399,     0,     0,  1407,     0,     0,     0,     0,   779,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1795,   779,     0,  1399,     0,  1660,     0,     0,
       0,  1407,     0,     0,     0,   779,     0,     0,     0,     0,
    1661,     0,   778,     0,     0,  1654,     0,  1407,     0,  1655,
       0,     0,     0,     0,   778,     0,     0,     0,     0,     0,
       0,  1399,     0,   779,     0,     0,     0,     0,     0,     0,
    1656,  1657,     0,   779,     0,     0,     0,     0,     0,   711,
    1810,     0,     0,     0,     0,     0,   779,  1658,     0,   779,
       0,     0,     0,  1407,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   778,     0,
       0,     0,     0,  1659,     0,     0,  1660, -2227,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1661,
       0,     0,  1662,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1918,     0,     0,     0,   758,     0,     0,     0,
       0,  3460,     0,     0,     0,     0,     0,   758,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     780,     0,     0,     0,   780,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   780,     0,     0,     0,     0,
     779,  1400,     0,     0,  1407,     0,  1663,     0,   779,   779,
     780,  1667,  1668,  1669,  1670,  1671,  1672,     0,  1796,     0,
    3461,     0,     0,   778,     0,   780,  1399,     0,     0,     0,
     780,     0,     0,     0,     0,   758,     0,     0,     0,  1407,
     780,     0,     0,     0,   758,     0,     0,     0,   780,     0,
       0,     0,     0,     0,     0,     0,  1647,     0,     0,  1648,
       0,   758,   758,     0,     0,   758,     0,     0,     0,     0,
       0,     0,  1796,     0,     0,     0,  1649,     0,   758,     0,
       0,     0,     0,   758,  1651,     0,   758,     0,     0,     0,
    1652,   758,   758,     0,     0,     0,  1664,  1665,  1666,     0,
    1667,  1668,  1669,  1670,  1671,  1672,     0,     0,     0,     0,
     778,     0,   778,     0,  1653,     0,   758,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   780,     0,     0,     0,
       0,     0,     0,  1400,     0,     0,     0,  2130,  1647,     0,
       0,  1648,     0,     0,     0,     0,     0,  1407,     0,     0,
       0,     0,  2153,     0,     0,   758,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1651,     0,     0,     0,
       0,     0,  1652,     0,  1399,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1795,     0,   778,     0,     0,     0,
       0,     0,  2198,     0,     0,     0,  1653,     0,   758,     0,
       0,     0,     0,     0,     0,     0,   779,  2213,     0,  2215,
    1399,  2216,     0,     0,     0,  1654,  2217,     0,     0,  1655,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1656,  1657,     0,     0,     0,     0,     0,   758,     0,  1407,
       0,     0,     0,     0,     0,     0,     0,  1658,  3847,  1810,
       0,     0,     0,  1810,     0,  1810,     0,     0,  1810,   758,
    1407,     0,   758,     0,   758,     0,     0,     0,     0,     0,
       0,     0,     0,  1659,  1796,     0,  1660,     0,     0,     0,
       0,   758,     0,     0,     0,   758,     0, -2227,     0,  1661,
    1407,  1655,  1662,     0,   779,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  2943,     0,     0,  1399,
     779,     0,  1656,  1657,     0,     0,     0,     0,  1400,     0,
    1399,     0,     0,     0,  1795,     0,     0,     0,  1407, -2227,
       0,     0,  1407,  1407,     0,     0,     0,     0,     0,     0,
       0,   779,   779,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   779,     0,     0,     0,     0,     0,  1660,     0,
       0,     0,     0,     0,   779,   779,  1663,     0,   780,   758,
       0,  1661,  1400,     0,     0,     0,   779,     0,     0,     0,
       0,     0,     0,   780,     0,     0,     0,     0,   758,     0,
       0,     0,     0,     0,     0,   780,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1400,     0,     0,  1407,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   780,     0,     0,     0,  1399,     0,     0,
       0,     0,     0,   780,     0,     0,   758,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   780,     0, -2227,   780,
       0,     0,     0,   758,     0,  1399,  1664,  1665,  1666,     0,
    1667,  1668,  1669,  1670,  1671,  1672,     0,     0,     0,     0,
       0,  1399,   778,     0,     0,     0,     0,  1400,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1400,     0,   758,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   758,
       0,     0,     0,     0,     0,  1796,  1400,  1399,     0,     0,
       0,     0,     0,     0,     0,     0,   758,   758,     0,   778,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   758,
       0,  1400,  1667,  1668,  1669,  1670,  1671,  1672,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     780,     0,     0,     0,     0,     0,  2505,  2506,   780,   780,
       0,  2509,  2510,     0,     0,  2513,     0,     0,  1797,     0,
     758,     0,     0,     0,     0,  2523,     0,     0,     0,     0,
     758,     0,  2532,     0,     0,     0,  2535,  2536,  1400,     0,
    2539,  2540,     0,     0,     0,     0,  1647,  2545,     0,  1648,
    1795,     0,     0,     0,     0,     0,     0,     0,     0,  2561,
       0,  2563,     0,     0,     0,     0,  1649,     0,     0,  2973,
       0,     0,  1797,     0,  1651,     0,     0,  2585,     0,     0,
    1652,     0,  2587,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   758,     0,     0,     0,     0,  1795,     0,     0,
       0,   758,     0,  1399,  1653,  1795,     0,     0,     0,     0,
       0,     0,     0,  2605,  2606,  2609,  2611,     0,     0,     0,
    2618,  2621,     0,     0,     0,     0,     0,     0,  2632,     0,
       0,  2636,     0,     0,     0,  2640,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  2668,
       0,   779,     0,     0,     0,  1796,   779,     0,     0,   779,
    2675,     0,  2677,     0,     0,     0,     0,  2680,     0,     0,
       0,     0,  2684,  2685,  2686,  2687,     0,  2689,     0,     0,
       0,   779,     0,     0,     0,     0,     0,     0,     0,     0,
    2713,  2714,  2715,     0,     0,  1654,   780,     0,     0,  1655,
       0,  1399,     0,  2723,  2724,  1400,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1656,  1657,   779,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1658,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   779,
     779,     0,     0,     0,     0,     0,     0,  1647,     0,     0,
    1648,     0,     0,  1659,     0,     0,  1660,  2781,     0,     0,
       0,     0,  1796,   779,  1797,  1796,     0,  1649,     0,  1661,
       0,     0,  1662,     0,     0,  1651,     0,     0,     0,     0,
       0,  1652,     0,     0,   780,     0,     0,     0,     0,     0,
     779,     0,     0,  1399,   779,     0,     0,     0,     0,     0,
     780,     0,     0,     0,     0,  1653,     0,     0,     0,     0,
       0,     0,   779,     0,  1399,     0,     0,     0,     0,     0,
       0,  1250,   779,     0,     0,     0,     0,  1251,     0,     0,
       0,   780,   780,     0,     0,   779,     0,     0,     0,     0,
       0,     0,   780,     0,  1399,   779,  1663,     0,     0,     0,
       0,     0,  1290,     0,   780,   780,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   780,  1252,     0,     0,
       0,     0,     0,     0,     0,     0,  1810,     0,     0,     0,
       0,     0,  1399,     0,     0,     0,  1399,  1399,     0,     0,
    2978,     0,     0,     0,     0,     0,     0,     0,  1291,     0,
       0,     0,     0,     0,  2903,     0,  1654,     0,     0,     0,
    1655,     0,  1796,     0,     0,     0,  1253,     0,     0,     0,
       0,     0,     0,  1254,     0,     0,  1255,     0,     0,     0,
       0,  1656,  1657,     0,     0,     0,  1664,  1665,  1666,     0,
    1667,  1668,  1669,  1670,  1671,  1672,     0,     0,  1658,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   779,  1659,     0,  1292,  1660,     0,  1256,
       0,     0,     0,  1647,     0,     0,  1648,     0,     0,     0,
    1661,  1400,     0,  1662,     0,     0,  1400,  1400,     0,     0,
       0,     0,     0,  1649,     0,  1797,  2984,   779,  1400,     0,
       0,  1651,     0,     0,     0,     0,     0,  1652,     0,     0,
       0,     0,     0,     0,  1293,     0,  1294,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1295,     0,  1258,     0,
       0,  1653,   779,     0,     0,     0,     0,     0,  1259,     0,
       0,     0,     0,     0,     0,     0,  1260,     0,     0,     0,
       0,     0,     0,     0,  1296,  1261,   779,  1663,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  3058,     0,     0,     0,     0,  2669,     0,
       0,     0,  1263,  1298,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  2670,     0,     0,
       0,  3087,  3088,     0,     0,     0,     0,     0,  1300,     0,
       0,     0,  1654,     0,     0,     0,  1655,     0,  1810,     0,
    1796,     0,     0,  1400,     0,     0,  1796,  1664,  1665,  1666,
       0,  1667,  1668,  1669,  1670,  1671,  1672,  1656,  1657,     0,
       0,     0,     0,  3110,     0,     0,     0,     0,     0,     0,
       0,     0,  3114,     0,  1658,  1265,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  3125,  3127,     0,
       0,     0,  3127,  1647,     0,     0,  1648,  3138,  3139,  3140,
    1659,   780,     0,  1660,     0,  1797,   780,     0,     0,   780,
       0,     0,     0,  1649,     0,     0,  1661,     0,     0,  1662,
       0,  1651,  1400,     0,     0,     0,   779,  1652,     0,     0,
       0,   780,     0,  3161,  3162,  3163,  3164,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1653,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  3180,  3181,  3182,     0,     0,     0,     0,
       0,     0,   780,  3195,     0,     0,   779,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   779,   779,  1663,     0,     0,     0,     0,     0,   780,
     780,     0,     0,     0,     0,     0,  1400,     0,     0,     0,
       0,     0,  1099,     0,     0,     0,     0,     0,   779,     0,
       0,   779,  1797,   780,     0,  1797,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  3234,     0,     0,
       0,     0,  1156,     0,     0,  3238,     0,     0,     0,     0,
     780,     0,  1654,     0,   780,     0,  1655,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   780,     0,     0,     0,     0,  1656,  1657,     0,
       0,     0,   780,  1664,  1665,  1666,     0,  1667,  1668,  1669,
    1670,  1671,  1672,     0,  1658,   780,     0,     0,  1796,  1796,
    1796,     0,  3310,     0,     0,   780,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   779,     0,     0,
    1659,     0,     0,  1660,     0,     0,     0,     0,   779,     0,
       0,     0,     0,     0,     0,     0,  1661,     0,   779,  1662,
       0,     0,     0,     0,  3338,     0,     0,  3341,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1797,     0,     0,     0,     0,     0,     0,  3379,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  3389,     0,     0,     0,     0,     0,     0,
     779,     0,     0,  1810,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1663,     0,     0,     0,  1674,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   780,     0,     0,     0,     0,     0,  3417,
       0,     0,  1796,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   779,     0,   779,
       0,     0,     0,     0,     0,     0,     0,   780,     0,     0,
       0,   779,     0,   779,  1674,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1400,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   830,   780,  1664,  1665,  1666,     0,  1667,  1668,  1669,
    1670,  1671,  1672,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   779,     0,     0,     0,   780,     0,  1400,  1400,
       0,  1400,     0,     0,   831,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   832,   833,     0,
     779,     0,     0,     0,     0,     0,   834,     0,     0,     0,
     835,     0,  1585,     0,   779,     0,     0,     0,     0,     0,
       0,     0,     0,  1647,     0,     0,  1648,   836,     0,     0,
       0,   779,     0,     0,   779,     0,     0,  1400,     0,  1400,
       0,  1609,     0,  1649,     0,     0,  3467,     0,   837,     0,
       0,  1651,     0,     0,     0,     0,     0,  1652,     0,   838,
    1797,     0,     0,     0,     0,     0,  1797,   839,     0,  1634,
    1635,     0,  1637,     0,     0,  3583,     0,  3584,   840,     0,
       0,  1653,     0,   841,  3586,     0,     0,     0,     0,  1677,
       0,     0,     0,  1400,     0,     0,     0,     0,     0,     0,
    3595,     0,     0,     0,   842,     0,     0,     0,     0,  1796,
       0,     0,     0,     0,     0,     0,     0,  3603,  1400,     0,
       0,     0,     0,     0,     0,     0,  3614,     0,  1713,   843,
       0,     0,     0,     0,     0,     0,     0,  1400,     0,     0,
       0,     0,     0,     0,     0,     0,   780,     0,     0,     0,
     844,     0,     0,     0,     0,  1400,     0,  1817,     0,     0,
       0,  1829,  1832,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  3646,  3647,  3648,  3649,  3650,  3651,  3652,  3653,
       0,   845,  1654,     0,  3660,  3661,  1655,  3663,  3664,  3665,
    3666,  3667,  3668,  3669,     0,     0,   780,     0,     0,     0,
       0,     0,  3677,     0,  3679,  3680,     0,  1656,  1657,   192,
       0,   780,   780,     0,     0,     0,     0,     0,     0,  1400,
       0,     0,     0,     0,  1658,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1400,   846,     0,   780,     0,
     847,   780,   848,     0,     0,     0,  1400,     0,   849,     0,
    1659,   850,     0,  1660,     0,   779,     0,     0,  3723,  3725,
    3727,     0,     0,  3730,     0,     0,  1661,     0,     0,  1662,
       0,     0,     0,     0,     0,  1674,     0,   851,     0,   852,
       0,     0,     0,   853,     0,     0,     0,     0,     0,     0,
       0,   854,     0,     0,  1796,     0,   855,     0,  1796,     0,
    1796,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1400,     0,     0,  1797,  1797,
    1797,   856,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1400,     0,   780,     0,   779,
       0,     0,   779,  1663,  3127,     0,     0,     0,   780,     0,
       0,     0,     0,  1674,     0,     0,     0,  1402,   780,     0,
    1400,  1810,  1810,  1810,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1796,  1674,     0,     0,
       0,     0,  2345,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1403,     0,     0,     0,  1400,     0,     0,     0,
       0,     0,  1674,  1674,     0,  1674,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     780,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1664,  1665,  1666,     0,  1667,  1668,  1669,
    1670,  1671,  1672,   779,   779,  1674,     0,     0,     0,     0,
     779,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1797,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   780,     0,   780,
       0,  1674,     0,     0,     0,     0,     0,     0,     0,  1402,
       0,   780,     0,   780,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1403,   779,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   780,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1400,     0,     0,     0,  3915,  3916,  3917,  3918,     0,
     780,     0,     0,  2313,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   780,  1674,     0,     0,     0,  3930,
    3931,  3932,  3933,     0,  3935,  3936,  2336,  1674,     0,  2338,
    1674,   780,  2349,     0,   780,     0,  3945,  3946,     0,  2356,
    2361,     0,     0,     0,     0,  2367,     0,     0,  2372,     0,
       0,     0,     0,  1810,  1810,     0,  1810,     0,     0,     0,
       0,     0,     0,     0,     0,  2381,     0,     0,     0,     0,
    2388,     0,     0,     0,  2400,     0,     0,     0,  2407,     0,
    2409,  2410,  2411,  2412,  2413,  2414,  2415,  2416,  2417,     0,
    2418,     0,     0,     0,     0,  1099,     0,  2443,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1797,
       0,     0,     0,     0,  1402,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1400,
       0,     0,     0,     0,     0,  4000,     0,     0,     0,  1403,
       0,     0,     0,     0,  4006,     0,     0,     0,     0,  1796,
       0,     0,     0,     0,     0,     0,     0,     0,  1402,     0,
       0,     0,     0,     0,  4025,  1400,     0,  1647,     0,   779,
    1648,     0,     0,  1404,     0,     0,     0,     0,     0,     0,
       0,   779,     0,     0,     0,     0,  4042,  1649,     0,     0,
       0,  1402,     0,  1403,     0,  1651,     0,     0,     0,     0,
       0,  1652,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1156,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1653,  1403,     0,     0,     0,
       0,     0,     0,     0,     0,   779,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   780,     0,  1810,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1810,     0,     0,  1402,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1400,     0,     0,     0,     0,     0,
       0,     0,  1402,     0,  1797,  1400,     0,     0,  1797,     0,
    1797,     0,     0,     0,     0,  2537,     0,     0,  1403,     0,
       0,     0,  1402,     0,     0,  1404,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1403,     0,     0,
       0,     0,     0,     0,     0,     0,  1654,  1402,     0,   780,
    1655,     0,   780,     0,     0,     0,  4127,  1403,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     779,  1656,  1657,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1403,     0,     0,     0,  1797,     0,  1658,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1402,     0,     0,     0,     0,     0,
       0,     0,  1400,     0,  1659,     0,     0,  1660,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1661,     0,     0,  1662,     0,     0,     0,     0,     0,  1403,
    1400,     0,     0,     0,     0,     0,  3127,     0,     0,     0,
       0,     0,     0,   780,   780,     0,  1400,   779,     0,   779,
     780,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1810,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1810,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1400,     0,     0,     0,     0,  1663,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1404,  1674,     0,  4243,     0,     0,     0,     0,  4247,     0,
    2753,  1796,     0,   779,     0,   780,     0,     0,     0,     0,
       0,  1810,     0,     0,  1674,     0,  1674,     0,  2345,  2345,
    2961,     0,     0,  2345,     0,     0,     0,  1674,     0,     0,
       0,     0,     0,     0,  1674,     0,     0,     0,     0,  1674,
       0,     0,     0,     0,  1404,  1674,     0,     0,     0,     0,
    1674,  1402,     0,     0,     0,     0,     0,     0,     0,  1674,
       0,     0,     0,  2345,  2345,     0,  1674,  1664,  1665,  1666,
       0,  1667,  1668,  1669,  1670,  1671,  1672,  1404,  1674,     0,
       0,     0,     0,  3127,     0,  1674,  1403,  1674,  1674,  1674,
    1674,  1674,  1674,  1674,  1674,  1674,  1674,     0,  1810,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1400,     0,
       0,  1674,     0,  2878,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1404,
       0,  1796,     0,     0,     0,     0,     0,     0,  4349,     0,
       0,     0,     0,  4353,     0,     0,     0,     0,  1404,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1404,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  2924,     0,     0,  1797,
       0,  2930,     0,  1404,     0,  1674,     0,     0,     0,     0,
       0,   523,     0,     0,     0,     0,  1400,     0,     0,   780,
       0,     0,     0,   524,     0,     0,     0,     0,     0,     0,
       0,   780,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  2361,   525,  2361,  2361,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  2987,   526,     0,  2990,
    1404,  2992,     0,     0,     0,     0,   527,     0,     0,     0,
    -722,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   780,     0,   528,  3013,   779,
    3015,     0,     0,   529,  3018,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   530,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1400,   531,
       0,     0,     0,  2443,  2443,  2443,     0,   532,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1402,   533,  1400,
    3056,     0,  1402,  1402,     0,   534,   779,     0,     0,   535,
       0,     0,  1817,     0,  1402,     0,     0,  3067,     0,     0,
       0,     0,     0,  1832,  -917,     0,     0,     0,     0,  1400,
       0,     0,  1403,     0,     0,     0,     0,  1403,  1403,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1403,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     780,     0,     0,   536,     0,     0,     0,  1400,  3096,     0,
    -486,  1400,  1400,     0,     0,     0,     0,     0,     0,     0,
       0,  1674,     0,     0,     0,     0,     0,  1796,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1404,     0,     0,
       0,   537,     0,     0,   538,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1796,     0,     0,     0,  -382,     0,
       0,     0,  1796,     0,     0,     0,     0,   780,     0,   780,
       0,     0,     0,     0,     0,     0,   539,     0,     0,  1402,
       0,     0,   540,     0,     0,     0,     0,     0,  -382,     0,
       0,   541,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1403,     0,     0,  -382,     0,   542,
     543,     0,   544,   545,     0,     0,  1674,     0,     0,     0,
       0,   546,     0,     0,     0,     0,   547,     0,     0,     0,
       0,  1797,   548,   780,     0,   549,     0,     0,   550,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1402,     0,
       0,  -382,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1674,     0,     0,     0,     0,     0,  1674,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1403,  2961,  2961,     0,  2345,     0,     0,
    2345,  2345,  2345,  2345,  2345,  2345,  2345,  2345,  2345,  2345,
    2961,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1674,     0,     0,  1674,     0,
    1674,     0,  1402,     0,     0,  2961,  2961,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  2345,
    2345,  1674,     0,  1674,     0,     0,  1674,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1403,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1797,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1674,     0,     0,     0,     0,     0,
       0,     0,     0,  1404,     0,  1674,     0,     0,  1404,  1404,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1404,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1674,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  3418,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  3422,     0,     0,     0,     0,     0,  3423,     0,  3424,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  3442,  3443,     0,     0,     0,     0,     0,     0,   780,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  2367,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  3471,     0,     0,  3474,     0,  3476,     0,     0,
       0,     0,     0,     0,     0,  1404,  3480,     0,     0,     0,
       0,     0,  3485,     0,     0,  3488,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   780,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  3521,     0,     0,     0,
       0,     0,     0,     0,  3533,     0,  2443,     0,     0,     0,
       0,     0,  1402,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  3547,     0,
       0,     0,     0,  2345,  1099,     0,     0,     0,     0,     0,
    1156,     0,     0,     0,  1404,     0,     0,  1403,     0,     0,
       0,     0,     0,     0,  1402,  1402,     0,  1402,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1797,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1403,
    1403,     0,  1403,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1402,  1797,  1402,     0,     0,     0,     0,
       0,     0,  1797,     0,     0,     0,     0,     0,  1404,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1403,     0,
    1403,     0,     0,     0,     0,     0,  1674,     0,     0,     0,
    1674,  1674,  1674,     0,     0,  2961,     0,     0,     0,  1402,
    2961,  2961,  2961,  2961,  2961,  2961,  2961,  2961,  2961,  2961,
    1674,  1674,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1402,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1403,     0,     0,     0,     0,  1674,
    2345,  2345,  1674,  1402,  1674,     0,     0,     0,  1674,  2961,
    2961,     0,     0,  1674,     0,     0,  1674,     0,     0,  1403,
       0,  1402,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1403,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1674,
       0,     0,     0,     0,     0,     0,  1403,     0,     0,     0,
       0,  1674,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1674,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1402,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1402,     0,     0,     0,  3783,  3784,     0,     0,     0,
       0,     0,  1402,     0,     0,     0,     0,     0,     0,     0,
    1403,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1403,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1403,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  3813,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1402,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1404,     0,
       0,  1402,     0,     0,     0,     0,     0,     0,     0,     0,
    3831,  3833,     0,     0,     0,     0,  1403,     0,     0,     0,
       0,     0,     0,  3840,     0,     0,  1402,     0,     0,  3845,
    3846,     0,     0,  3848,     0,     0,  1403,     0,     0,     0,
    1404,  1404,     0,  1404,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  2961,
       0,  1403,  1402,     0,     0,  2443,     0,     0,     0,     0,
    2443,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  2443,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1403,     0,  1404,
       0,  1404,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1674,  1674,  3896,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1674,     0,     0,     0,  2345,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1404,     0,     0,     0,  1674,
       0,  1674,     0,     0,     0,     0,  2961,  2961,  1674,     0,
       0,  2345,  2345,  1674,  1674,     0,  1674,     0,     0,     0,
    1404,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1404,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1404,     0,     0,
       0,     0,     0,     0,  1674,     0,     0,  1402,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1403,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  3986,     0,     0,     0,     0,     0,
       0,  1404,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1404,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1404,     0,
       0,     0,     0,     0,  1674,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1402,     0,  1404,  2961,  2345,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  4068,  2961,  2961,  1674,  1404,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1403,  1402,     0,  1674,     0,     0,     0,     0,     0,     0,
    4085,     0,  1404,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1403,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1404,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1402,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1402,     0,     0,     0,     0,  2961,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1674,     0,     0,     0,
       0,     0,     0,     0,     0,  1403,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1403,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    2367,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1674,     0,  4218,
       0,     0,     0,  1404,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1402,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1674,     0,
       0,     0,     0,     0,     0,     0,  1402,     0,     0,     0,
       0,     0,     0,  1403,     0,     0,     0,     0,     0,     0,
       0,     0,  1402,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1403,     0,  1674,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1403,     0,     0,
       0,     0,     0,     0,     0,     0,  4289,     0,  1402,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1674,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1403,     0,     0,     0,     0,     0,     0,
       0,  1404,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  4330,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1404,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  4375,  4375,     0,     0,     0,     0,
       0,     0,     0,     0,  1402,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1403,
       0,     0,     0,     0,     0,     0,  1404,     0,  4375,     0,
       0,     0,     0,     0,     0,     0,     0,  1404,  4423,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1402,     0,     0,     0,     0,     0,     0,     0,
    4375,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1403,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1404,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1404,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1404,     0,
       0,     0,     0,     0,  1402,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1402,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1403,
       0,     0,     0,     0,  1404,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1402,     0,     0,     0,     0,
    1403,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1403,     0,     0,  1402,     0,     0,     0,  1402,  1402,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1403,     0,
       0,     0,  1403,  1403,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1404,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1404,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1404,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1404,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1404,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   731,  1017,   564,  1018,  1019,
    1020,   615,  1021,     0,     0,     0,   208,   209,   210,   211,
     212,   213,   214,   215,  2437,   217,   218,   219,     0,  1404,
       0,     0,  1022,  1404,  1404,   220,   221,     0,   222,   223,
     732,   224,   225,   226,   227,  1023,   733,  1024,  1025,     0,
     231,   232,   233,   234,   235,  1026,  1027,   236,   237,  1028,
    1029,   240,     0,   241,   242,   243,   244,  1030,     0,  1031,
       0,   246,   247,   248,   249,   735,   250,   251,     0,   252,
     253,   254,   255,   256,   257,     0,   736,   258,   259,  1032,
    1033,  1034,  1035,  1036,  1037,  1038,   260,   261,   262,   263,
     264,   265,  1039,  1040,   268,     0,   269,     0,   270,   271,
     272,   273,   274,     0,   275,   276,   277,  2438,     0,   278,
     279,  1041,   281,   282,     0,   283,   284,   285,     0,   286,
     287,   288,     0,   289,   290,   291,   292,  1042,   294,   295,
     296,  1043,  1044,   298,     0,   299,  1045,   301,     0,   302,
       0,   303,   738,     0,   739,   304,   305,   306,     0,   307,
    1046,     0,   309,     0,   310,   311,   312,   313,   314,   740,
     315,   316,   317,     0,   318,   319,   320,   321,   322,   323,
       0,   324,   741,   325,   326,   327,   328,   329,  1047,  1048,
       0,  1049,     0,   333,   742,   743,   334,   744,   335,   336,
     337,   338,   339,     0,   340,   341,     0,   342,  1050,   745,
     344,   746,     0,   345,   346,   347,  1051,  1052,   348,   349,
     350,   351,   352,   353,   354,   355,   356,   357,   358,   359,
     360,  1053,   747,  1054,   363,   364,   365,  1055,   366,   367,
     748,   368,  1056,  1057,   370,  1058,   372,   373,   374,     0,
     375,     0,     0,  1059,   377,   378,     0,     0,   379,   749,
     750,   751,  1060,   381,   382,   383,   384,   385,   386,   387,
       0,   388,  1061,   390,   391,   392,   393,   394,     0,   395,
     396,   397,   398,   399,   400,   401,   402,  1062,   404,   405,
     406,   407,     0,   408,   409,   410,   411,   412,   413,   414,
     415,   416,   417,   418,     0,   419,   420,   752,   421,   422,
    1063,   424,   425,   426,   427,   428,   429,   430,   431,     0,
     432,   433,   434,   435,   436,  1064,   437,   438,   439,   440,
     753,   441,  1065,   443,     0,   444,   445,   446,   447,   448,
     449,   450,   451,   452,   453,  1066,     0,   455,   456,     0,
     457,   458,   459,   460,   461,   462,     0,  1067,  1068,     0,
       0,   465,  1069,   467,  1070,  1071,   469,   470,   471,   472,
     473,   474,   475,     0,  1072,   476,   477,   478,   479,   480,
    1073,     0,   481,   482,   483,   484,   485,   486,  1074,  2439,
     488,   754,   489,   490,   491,     0,     0,   492,     0,     0,
     493,   494,   495,   496,   497,   498,  1075,  1076,  1077,  1078,
    1079,  1080,  1081,  1082,   507,   508,   509,     0,     0,     0,
       0,     0,     0,     0,  1083,  1084,  2440,     0,     0,     0,
       0,     0,     0,  1086,  2441,   731,  1017,   564,  1018,  1019,
    1020,   615,  1021,     0,     0,     0,   208,   209,   210,   211,
     212,   213,   214,   215,     0,   217,   218,   219,     0,     0,
       0,     0,  1022,     0,     0,   220,   221,     0,   222,   223,
     732,   224,   225,   226,   227,  1023,   733,  1024,  1025,     0,
     231,   232,   233,   234,   235,  1026,  1027,   236,   237,  1028,
    1029,   240,     0,   241,   242,   243,   244,  1030,     0,  1031,
       0,   246,   247,   248,   249,   735,   250,   251,     0,   252,
     253,   254,   255,   256,   257,     0,   736,   258,   259,  1032,
    1033,  1034,  1035,  1036,  1037,  1038,   260,   261,   262,   263,
     264,   265,  1039,  1040,   268,     0,   269,     0,   270,   271,
     272,   273,   274,     0,   275,   276,   277,     0,     0,   278,
     279,  1041,   281,   282,     0,   283,   284,   285,     0,   286,
     287,   288,     0,   289,   290,   291,   292,  1042,   294,   295,
     296,  1043,  1044,   298,     0,   299,  1045,   301,     0,   302,
       0,   303,   738,     0,   739,   304,   305,   306,     0,   307,
    1046,     0,   309,     0,   310,   311,   312,   313,   314,   740,
     315,   316,   317,     0,   318,   319,   320,   321,   322,   323,
       0,   324,   741,   325,   326,   327,   328,   329,  1047,  1048,
       0,  1049,     0,   333,   742,   743,   334,   744,   335,   336,
     337,   338,   339,     0,   340,   341,     0,   342,  1050,   745,
     344,   746,     0,   345,   346,   347,  1051,  1052,   348,   349,
     350,   351,   352,   353,   354,   355,   356,   357,   358,   359,
     360,  1053,   747,  1054,   363,   364,   365,  1055,   366,   367,
     748,   368,  1056,  1057,   370,  1058,   372,   373,   374,     0,
     375,     0,     0,  1059,   377,   378,     0,     0,   379,   749,
     750,   751,  1060,   381,   382,   383,   384,   385,   386,   387,
       0,   388,  1061,   390,   391,   392,   393,   394,     0,   395,
     396,   397,   398,   399,   400,   401,   402,  1062,   404,   405,
     406,   407,     0,   408,   409,   410,   411,   412,   413,   414,
     415,   416,   417,   418,     0,   419,   420,   752,   421,   422,
    1063,   424,   425,   426,   427,   428,   429,   430,   431,     0,
     432,   433,   434,   435,   436,  1064,   437,   438,   439,   440,
     753,   441,  1065,   443,     0,   444,   445,   446,   447,   448,
     449,   450,   451,   452,   453,  1066,     0,   455,   456,     0,
     457,   458,   459,   460,   461,   462,     0,  1067,  1068,     0,
       0,   465,  1069,   467,  1070,  1071,   469,   470,   471,   472,
     473,   474,   475,     0,  1072,   476,   477,   478,   479,   480,
    1073,     0,   481,   482,   483,   484,   485,   486,  1074,     0,
     488,   754,   489,   490,   491,     0,     0,   492,     0,     0,
     493,   494,   495,   496,   497,   498,  1075,  1076,  1077,  1078,
    1079,  1080,  1081,  1082,   507,   508,   509,     0,     0,     0,
       0,     0,     0,     0,  1083,  1084,   207,     0,     0,     0,
       0,     0,     0,  1086,  2347,     0,     0,   208,   209,   210,
     211,   212,   213,   214,   215,     0,   217,   218,   219,     0,
       0,     0,     0,     0,  3501,     0,   220,   221,     0,   222,
     223,     0,   224,   225,   226,   227,   228,     0,   229,   230,
       0,   231,   232,   233,   234,   235,     0,     0,   236,   237,
     238,   239,   240,     0,   241,   242,   243,   244,   245,     0,
       0,     0,   246,   247,   248,   249,     0,   250,   251,     0,
     252,   253,   254,   255,   256,   257,     0, -1468,   258,   259,
       0,     0,     0,     0,     0,     0,     0,   260,   261,   262,
     263,   264,   265,   266,   267,   268,     0,   269,     0,   270,
     271,   272,   273,   274,     0,   275,   276,   277,     0,     0,
     278,   279,   280,   281,   282,     0,   283,   284,   285,     0,
     286,   287,   288,     0,   289,   290,   291,   292,   293,   294,
     295,   296,   297,     0,   298,     0,   299,   300,   301,     0,
     302,     0,   303,     0,     0, -1468,   304,   305,   306,     0,
     307,   308,     0,   309,     0,   310,   311,   312,   313,   314,
       0,   315,   316,   317,     0,   318,   319,   320,   321,   322,
     323,     0,   324, -1468,   325,   326,   327,   328,   329,   330,
     331,     0,   332,     0,   333,     0,     0,   334, -1468,   335,
     336,   337,   338,   339,     0,   340,   341,     0,   342,   343,
   -1468,   344,     0,     0,   345,   346,   347,     0,     0,   348,
     349,   350,   351,   352,   353,   354,   355,   356,   357,   358,
     359,   360,   361, -1468,   362,   363,   364,   365,     0,   366,
     367,     0,   368,     0,   369,   370,   371,   372,   373,   374,
       0,   375,     0,     0,   376,   377,   378,     0,     0,   379,
       0,     0,     0,   380,   381,   382,   383,   384,   385,   386,
     387,     0,   388,   389,   390,   391,   392,   393,   394,     0,
     395,   396,   397,   398,   399,   400,   401,   402,   403,   404,
     405,   406,   407,     0,   408,   409,   410,   411,   412,   413,
     414,   415,   416,   417,   418,     0,   419,   420, -1468,   421,
     422,   423,   424,   425,   426,   427,   428,   429,   430,   431,
       0,   432,   433,   434,   435,   436,     0,   437,   438,   439,
     440,     0,   441,   442,   443,     0,   444,   445,   446,   447,
     448,   449,   450,   451,   452,   453,   454,     0,   455,   456,
       0,   457,   458,   459,   460,   461,   462,     0,   463,   464,
       0,     0,   465,   466,   467,   468,     0,   469,   470,   471,
     472,   473,   474,   475,     0,     0,   476,   477,   478,   479,
     480,     0,     0,   481,   482,   483,   484,   485,   486,   487,
       0,   488,     0,   489,   490,   491,     0,     0,   492,     0,
       0,   493,   494,   495,   496,   497,   498,   499,   500,   501,
     502,   503,   504,   505,   506,   507,   508,   509,     0,     0,
       0,     0,     0,     0,     0,  1373,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1163,   208,   209,   210,   211,
     212,   213,   214,   215,     0,   217,   218,   219,     0,     0,
       0,     0,     0,     0,     0,   220,   221,     0,   222,   223,
     732,   224,   225,   226,     0,  1374,   733,  1375,  1376,     0,
     231,   232,   233,   234,   235,     0,     0,   236,   237,  1377,
    1378,   240,     0,   241,   242,   243,   244,     0,     0,   734,
       0,   246,   247,   248,   249,   735,   250,   251,     0,   252,
     253,   254,   255,   256,   257,     0,   736,   258,   259,     0,
       0,     0,   737,     0,     0,     0,   260,   261,   262,   263,
     264,   265,  1379,  1380,   268,     0,   269,     0,   270,   271,
     272,   273,   274,     0,   275,   276,   277,     0,     0,   278,
     279,  1041,   281,   282,     0,   283,   284,   285,     0,   286,
     287,   288,     0,   289,   290,   291,   292,     0,   294,   295,
     296,     0,     0,   298,     0,   299,  1381,   301,     0,   302,
       0,   303,   738,     0,   739,   304,   305,   306,     0,   307,
       0,     0,   309,     0,   310,   311,   312,   313,   314,   740,
     315,   316,   317,  1941,   318,   319,   320,   321,   322,   323,
       0,   324,   741,  1942,   326,   327,   328,   329,  1382,  1383,
       0,  1384,     0,   333,   742,   743,   334,   744,   335,   336,
     337,   338,   339,     0,   340,   341,     0,   342,     0,   745,
     344,   746,     0,   345,   346,   347,     0,     0,   348,   349,
     350,   351,   352,   353,   354,   355,   356,   357,   358,   359,
     360,  1385,   747,  1386,   363,   364,     0,     0,   366,   367,
     748,   368,     0,     0,   370,  1387,   372,   373,   374,     0,
     375,     0,     0,   376,   377,   378,     0,     0,  1943,   749,
     750,   751,     0,   381,   382,   383,   384,   385,   386,   387,
       0,   388,     0,   390,     0,   392,   393,   394,     0,   395,
     396,   397,   398,   399,   400,   401,   402,  1388,   404,   405,
     406,   407,     0,   408,   409,   410,   411,   412,   413,   414,
     415,   416,   417,   418,     0,   419,   420,   752,   421,   422,
       0,   424,   425,   426,   427,   428,   429,   430,   431,     0,
     432,   433,   434,   435,   436,     0,   437,  1944,   439,   440,
     753,   441,  1390,   443,     0,   444,   445,   446,   447,   448,
     449,   450,   451,   452,   453,     0,     0,   455,   456,     0,
     457,   458,   459,   460,   461,   462,     0,  1391,  1392,     0,
       0,   465,     0,   467,     0,     0,   469,   470,   471,   472,
     473,   474,   475,     0,     0,   476,   477,   478,   479,   480,
       0,     0,   481,   482,   483,   484,   485,     0,  1393,  1945,
     488,   754,   489,   490,   491,     0,     0,   492,     0,     0,
     493,   494,   495,   496,   497,     0,  1373,     0,     0,     0,
       0,     0,     0,     0,   507,   508,   509,   208,   209,   210,
     211,   212,   213,   214,   215,     0,   217,   218,   219,     0,
       0,     0,     0,     0,  1946,     0,   220,   221,     0,   222,
     223,   732,   224,   225,   226,     0,  1374,   733,  1375,  1376,
       0,   231,   232,   233,   234,   235,     0,     0,   236,   237,
    1377,  1378,   240,     0,   241,   242,   243,   244,     0,     0,
     734,     0,   246,   247,   248,   249,   735,   250,   251,     0,
     252,   253,   254,   255,   256,   257,     0,   736,   258,   259,
       0,     0,     0,   737,     0,     0,     0,   260,   261,   262,
     263,   264,   265,  1379,  1380,   268,     0,   269,     0,   270,
     271,   272,   273,   274,     0,   275,   276,   277,     0,     0,
     278,   279,  1041,   281,   282,     0,   283,   284,   285,     0,
     286,   287,   288,     0,   289,   290,   291,   292,     0,   294,
     295,   296,     0,     0,   298,     0,   299,  1381,   301,     0,
     302,     0,   303,   738,     0,   739,   304,   305,   306,     0,
     307,     0,     0,   309,     0,   310,   311,   312,   313,   314,
     740,   315,   316,   317,  1941,   318,   319,   320,   321,   322,
     323,     0,   324,   741,  1942,   326,   327,   328,   329,  1382,
    1383,     0,  1384,     0,   333,   742,   743,   334,   744,   335,
     336,   337,   338,   339,     0,   340,   341,     0,   342,     0,
     745,   344,   746,     0,   345,   346,   347,     0,     0,   348,
     349,   350,   351,   352,   353,   354,   355,   356,   357,   358,
     359,   360,  1385,   747,  1386,   363,   364,     0,     0,   366,
     367,   748,   368,     0,     0,   370,  1387,   372,   373,   374,
       0,   375,     0,     0,   376,   377,   378,     0,     0,  1943,
     749,   750,   751,     0,   381,   382,   383,   384,   385,   386,
     387,     0,   388,     0,   390,     0,   392,   393,   394,     0,
     395,   396,   397,   398,   399,   400,   401,   402,  1388,   404,
     405,   406,   407,     0,   408,   409,   410,   411,   412,   413,
     414,   415,   416,   417,   418,     0,   419,   420,   752,   421,
     422,     0,   424,   425,   426,   427,   428,   429,   430,   431,
       0,   432,   433,   434,   435,   436,     0,   437,  1944,   439,
     440,   753,   441,  1390,   443,     0,   444,   445,   446,   447,
     448,   449,   450,   451,   452,   453,     0,     0,   455,   456,
       0,   457,   458,   459,   460,   461,   462,     0,  1391,  1392,
       0,     0,   465,     0,   467,     0,     0,   469,   470,   471,
     472,   473,   474,   475,     0,     0,   476,   477,   478,   479,
     480,     0,     0,   481,   482,   483,   484,   485,     0,  1393,
    1945,   488,   754,   489,   490,   491,     0,     0,   492,     0,
       0,   493,   494,   495,   496,   497,     0,   731,  1017,   564,
    1018,  1019,  1020,   615,  1021,   507,   508,   509,   208,   209,
     210,   211,   212,   213,   214,   215,     0,   217,   218,   219,
       0,     0,     0,     0,  1022,  2842,     0,   220,   221,     0,
     222,   223,   732,   224,   225,   226,   227,  1023,   733,  1024,
    1025,  2357,   231,   232,   233,   234,   235,  1026,  1027,   236,
     237,  1028,  1029,   240,     0,   241,   242,   243,   244,  1030,
       0,  1031,     0,   246,   247,   248,   249,   735,   250,   251,
       0,   252,   253,   254,   255,   256,   257,     0,   736,   258,
     259,  1032,  1033,  1034,  1035,  1036,  1037,  1038,   260,   261,
     262,   263,   264,   265,  1039,  1040,   268,     0,   269,     0,
     270,   271,   272,   273,   274,     0,   275,   276,   277,     0,
       0,   278,   279,  1041,   281,   282,     0,   283,   284,   285,
       0,   286,   287,   288,     0,   289,   290,   291,   292,  1042,
     294,   295,   296,  1043,  1044,   298,     0,   299,  1045,   301,
       0,   302,     0,   303,   738,  2358,   739,   304,   305,   306,
       0,   307,  1046,     0,   309,     0,   310,   311,   312,   313,
     314,   740,   315,   316,   317,     0,   318,   319,   320,   321,
     322,   323,     0,   324,   741,   325,   326,   327,   328,   329,
    1047,  1048,     0,  1049,     0,   333,   742,   743,   334,   744,
     335,   336,   337,   338,   339,     0,   340,   341,  2359,   342,
    1050,   745,   344,   746,     0,   345,   346,   347,  1051,  1052,
     348,   349,   350,   351,   352,   353,   354,   355,   356,   357,
     358,   359,   360,  1053,   747,  1054,   363,   364,   365,  1055,
     366,   367,   748,   368,  1056,  1057,   370,  1058,   372,   373,
     374,     0,   375,     0,     0,  1059,   377,   378,     0,     0,
     379,   749,   750,   751,  1060,   381,   382,   383,   384,   385,
     386,   387,     0,   388,  1061,   390,   391,   392,   393,   394,
       0,   395,   396,   397,   398,   399,   400,   401,   402,  1062,
     404,   405,   406,   407,     0,   408,   409,   410,   411,   412,
     413,   414,   415,   416,   417,   418,     0,   419,   420,   752,
     421,   422,  1063,   424,   425,   426,   427,   428,   429,   430,
     431,     0,   432,   433,   434,   435,   436,  1064,   437,   438,
     439,   440,   753,   441,  1065,   443,     0,   444,   445,   446,
     447,   448,   449,   450,   451,   452,   453,  1066,     0,   455,
     456,     0,   457,   458,   459,   460,   461,   462,     0,  1067,
    1068,     0,  2360,   465,  1069,   467,  1070,  1071,   469,   470,
     471,   472,   473,   474,   475,     0,  1072,   476,   477,   478,
     479,   480,  1073,     0,   481,   482,   483,   484,   485,   486,
    1074,     0,   488,   754,   489,   490,   491,     0,     0,   492,
       0,     0,   493,   494,   495,   496,   497,   498,  1075,  1076,
    1077,  1078,  1079,  1080,  1081,  1082,   507,   508,   509,     0,
       0,     0,     0,     0,     0,     0,  1083,  1084,     0,     0,
       0,     0,     0,     0,     0,  1086,   731,  1017,   564,  1018,
    1019,  1020,   615,  1021,     0,     0,     0,   208,   209,   210,
     211,   212,   213,   214,   215,     0,   217,   218,   219,     0,
       0,     0,     0,  1022,     0,     0,   220,   221,     0,   222,
     223,   732,   224,   225,   226,   227,  1023,   733,  1024,  1025,
       0,   231,   232,   233,   234,   235,  1026,  1027,   236,   237,
    1028,  1029,   240,     0,   241,   242,   243,   244,  1030,     0,
    1031,     0,   246,   247,   248,   249,   735,   250,   251,     0,
     252,   253,   254,   255,   256,   257,     0,   736,   258,   259,
    1032,  1033,  1034,  1035,  1036,  1037,  1038,   260,   261,   262,
     263,   264,   265,  1039,  1040,   268,     0,   269,     0,   270,
     271,   272,   273,   274,     0,   275,   276,   277,     0,     0,
     278,   279,  1041,   281,   282,     0,   283,   284,   285,     0,
     286,   287,   288,     0,   289,   290,   291,   292,  1042,   294,
     295,   296,  1043,  1044,   298,     0,   299,  1045,   301,     0,
     302,     0,   303,   738,     0,   739,   304,   305,   306,     0,
     307,  1046,     0,   309,     0,   310,   311,   312,   313,   314,
     740,   315,   316,   317,     0,   318,   319,   320,   321,   322,
     323,     0,   324,   741,   325,   326,   327,   328,   329,  1047,
    1048,     0,  1049,     0,   333,   742,   743,   334,   744,   335,
     336,   337,   338,   339,     0,   340,   341,     0,   342,  1050,
     745,   344,   746,     0,   345,   346,   347,  1051,  1052,   348,
     349,   350,   351,   352,   353,   354,   355,   356,   357,   358,
     359,   360,  1053,   747,  1054,   363,   364,   365,  1055,   366,
     367,   748,   368,  1056,  1057,   370,  1058,   372,   373,   374,
       0,   375,     0,     0,  1059,   377,   378,     0,     0,   379,
     749,   750,   751,  1060,   381,   382,   383,   384,   385,   386,
     387,     0,   388,  1061,   390,   391,   392,   393,   394,     0,
     395,   396,   397,   398,   399,   400,   401,   402,  1062,   404,
     405,   406,   407,     0,   408,   409,   410,   411,   412,   413,
     414,   415,   416,   417,   418,     0,   419,   420,   752,   421,
     422,  1063,   424,   425,   426,   427,   428,   429,   430,   431,
      38,   432,   433,   434,   435,   436,  1064,   437,   438,   439,
     440,   753,   441,  1065,   443,     0,   444,   445,   446,   447,
     448,   449,   450,   451,   452,   453,  1066,     0,   455,   456,
      42,   457,   458,   459,   460,   461,   462,     0,  1067,  1068,
       0,     0,   465,  1069,   467,  1070,  1071,   469,   470,   471,
     472,   473,   474,   475,     0,  1072,   476,   477,   478,   479,
     480,  1073,     0,   481,   482,   483,   484,   485,   956,  1074,
       0,   488,   754,   489,   490,   491,     0,     0,   492,     0,
      47,   493,   494,   495,   496,   497,   498,  1075,  1076,  1077,
    1078,  1079,  1080,  1081,  1082,   507,   508,   509,     0,     0,
       0,     0,     0,     0,     0,  1083,  1084,     0,     0,     0,
       0,     0,     0,     0,  1086,   731,  1017,   564,  1018,  1019,
    1020,   615,  1021,     0,     0,     0,   208,   209,   210,   211,
     212,   213,   214,   215,     0,   217,   218,   219,     0,     0,
       0,     0,  1022,     0,     0,   220,   221,     0,   222,   223,
     732,   224,   225,   226,   227,  1023,   733,  1024,  1025,     0,
     231,   232,   233,   234,   235,  1026,  1027,   236,   237,  1028,
    1029,   240,     0,   241,   242,   243,   244,  1030,     0,  1031,
       0,   246,   247,   248,   249,   735,   250,   251,     0,   252,
     253,   254,   255,   256,   257,     0,   736,   258,   259,  1032,
    1033,  1034,  1035,  1036,  1037,  1038,   260,   261,   262,   263,
     264,   265,  1039,  1040,   268,     0,   269,     0,   270,   271,
     272,   273,   274,     0,   275,   276,   277,     0,     0,   278,
     279,  1041,   281,   282,     0,   283,   284,   285,     0,   286,
     287,   288,     0,   289,   290,   291,   292,  1042,   294,   295,
     296,  1043,  1044,   298,     0,   299,  1045,   301,     0,   302,
       0,   303,   738,     0,   739,   304,   305,   306,     0,   307,
    1046,     0,   309,     0,   310,   311,   312,   313,   314,   740,
     315,   316,   317,     0,   318,   319,   320,   321,   322,   323,
       0,   324,   741,   325,   326,   327,   328,   329,  1047,  1048,
       0,  1049,     0,   333,   742,   743,   334,   744,   335,   336,
     337,   338,   339,     0,   340,   341,     0,   342,  1050,   745,
     344,   746,     0,   345,   346,   347,  1051,  1052,   348,   349,
     350,   351,   352,   353,   354,   355,   356,   357,   358,   359,
     360,  1053,   747,  1054,   363,   364,   365,  1055,   366,   367,
     748,   368,  1056,  1057,   370,  1058,   372,   373,   374,     0,
     375,     0,     0,  1059,   377,   378,     0,     0,   379,   749,
     750,   751,  1060,   381,   382,   383,   384,   385,   386,   387,
       0,   388,  1061,   390,   391,   392,   393,   394,     0,   395,
     396,   397,   398,   399,   400,   401,   402,  1062,   404,   405,
     406,   407,     0,   408,   409,   410,   411,   412,   413,   414,
     415,   416,   417,   418,     0,   419,   420,   752,   421,   422,
    1063,   424,   425,   426,   427,   428,   429,   430,   431,     0,
     432,   433,   434,   435,   436,  1064,   437,   438,   439,   440,
     753,   441,  1065,   443,     0,   444,   445,   446,   447,   448,
     449,   450,   451,   452,   453,  1066,     0,   455,   456,     0,
     457,   458,   459,   460,   461,   462,     0,  1067,  1068,     0,
       0,   465,  1069,   467,  1070,  1071,   469,   470,   471,   472,
     473,   474,   475,     0,  1072,   476,   477,   478,   479,   480,
    1073,     0,   481,   482,   483,   484,   485,   486,  1074,     0,
     488,   754,   489,   490,   491,     0,     0,   492,     0,     0,
     493,   494,   495,   496,   497,   498,  1075,  1076,  1077,  1078,
    1079,  1080,  1081,  1082,   507,   508,   509,     0,     0,     0,
       0,     0,     0,     0,  1083,  1084,     0,     0,     0,     0,
       0,  1580,  2305,  1086,   731,  1017,   564,  1018,  1019,  1020,
     615,  1021,     0,     0,     0,   208,   209,   210,   211,   212,
     213,   214,   215,     0,   217,   218,   219,     0,     0,     0,
       0,  1022,     0,     0,   220,   221,     0,   222,   223,   732,
     224,   225,   226,   227,  1023,   733,  1024,  1025,     0,   231,
     232,   233,   234,   235,  1026,  1027,   236,   237,  1028,  1029,
     240,     0,   241,   242,   243,   244,  1030,     0,  1031,     0,
     246,   247,   248,   249,   735,   250,   251,     0,   252,   253,
     254,   255,   256,   257,     0,   736,   258,   259,  1032,  1033,
    1034,  1035,  1036,  1037,  1038,   260,   261,   262,   263,   264,
     265,  1039,  1040,   268,     0,   269,     0,   270,   271,   272,
     273,   274,     0,   275,   276,   277,     0,     0,   278,   279,
    1041,   281,   282,     0,   283,   284,   285,     0,   286,   287,
     288,     0,   289,   290,   291,   292,  1042,   294,   295,   296,
    1043,  1044,   298,     0,   299,  1045,   301,     0,   302,     0,
     303,   738,     0,   739,   304,   305,   306,     0,   307,  1046,
       0,   309,     0,   310,   311,   312,   313,   314,   740,   315,
     316,   317,     0,   318,   319,   320,   321,   322,   323,     0,
     324,   741,   325,   326,   327,   328,   329,  1047,  1048,     0,
    1049,     0,   333,   742,   743,   334,   744,   335,   336,   337,
     338,   339,     0,   340,   341,     0,   342,  1050,   745,   344,
     746,     0,   345,   346,   347,  1051,  1052,   348,   349,   350,
     351,   352,   353,   354,   355,   356,   357,   358,   359,   360,
    1053,   747,  1054,   363,   364,   365,  1055,   366,   367,   748,
     368,  1056,  1057,   370,  1058,   372,   373,   374,     0,   375,
       0,     0,  1059,   377,   378,     0,     0,   379,   749,   750,
     751,  1060,   381,   382,   383,   384,   385,   386,   387,     0,
     388,  1061,   390,   391,   392,   393,   394,     0,   395,   396,
     397,   398,   399,   400,   401,   402,  1062,   404,   405,   406,
     407,     0,   408,   409,   410,   411,   412,   413,   414,   415,
     416,   417,   418,     0,   419,   420,   752,   421,   422,  1063,
     424,   425,   426,   427,   428,   429,   430,   431,     0,   432,
     433,   434,   435,   436,  1064,   437,   438,   439,   440,   753,
     441,  1065,   443,     0,   444,   445,   446,   447,   448,   449,
     450,   451,   452,   453,  1066,     0,   455,   456,     0,   457,
     458,   459,   460,   461,   462,     0,  1067,  1068,     0,     0,
     465,  1069,   467,  1070,  1071,   469,   470,   471,   472,   473,
     474,   475,     0,  1072,   476,   477,   478,   479,   480,  1073,
       0,   481,   482,   483,   484,   485,   486,  1074,     0,   488,
     754,   489,   490,   491,     0,     0,   492,     0,     0,   493,
     494,   495,   496,   497,   498,  1075,  1076,  1077,  1078,  1079,
    1080,  1081,  1082,   507,   508,   509,     0,     0,     0,     0,
       0,     0,     0,  1083,  1084,  1085,     0,     0,     0,     0,
       0,     0,  1086,   731,  1017,   564,  1018,  1019,  1020,   615,
    1021,     0,     0,     0,   208,   209,   210,   211,   212,   213,
     214,   215,     0,   217,   218,   219,     0,     0,     0,     0,
    1022,     0,     0,   220,   221,     0,   222,   223,   732,   224,
     225,   226,   227,  1023,   733,  1024,  1025,     0,   231,   232,
     233,   234,   235,  1026,  1027,   236,   237,  1028,  1029,   240,
       0,   241,   242,   243,   244,  1030,     0,  1031,     0,   246,
     247,   248,   249,   735,   250,   251,     0,   252,   253,   254,
     255,   256,   257,     0,   736,   258,   259,  1032,  1033,  1034,
    1035,  1036,  1037,  1038,   260,   261,   262,   263,   264,   265,
    1039,  1040,   268,  1155,   269,     0,   270,   271,   272,   273,
     274,     0,   275,   276,   277,     0,     0,   278,   279,  1041,
     281,   282,     0,   283,   284,   285,     0,   286,   287,   288,
       0,   289,   290,   291,   292,  1042,   294,   295,   296,  1043,
    1044,   298,     0,   299,  1045,   301,     0,   302,     0,   303,
     738,     0,   739,   304,   305,   306,     0,   307,  1046,     0,
     309,     0,   310,   311,   312,   313,   314,   740,   315,   316,
     317,     0,   318,   319,   320,   321,   322,   323,     0,   324,
     741,   325,   326,   327,   328,   329,  1047,  1048,     0,  1049,
       0,   333,   742,   743,   334,   744,   335,   336,   337,   338,
     339,     0,   340,   341,     0,   342,  1050,   745,   344,   746,
       0,   345,   346,   347,  1051,  1052,   348,   349,   350,   351,
     352,   353,   354,   355,   356,   357,   358,   359,   360,  1053,
     747,  1054,   363,   364,   365,  1055,   366,   367,   748,   368,
    1056,  1057,   370,  1058,   372,   373,   374,     0,   375,     0,
       0,  1059,   377,   378,     0,     0,   379,   749,   750,   751,
    1060,   381,   382,   383,   384,   385,   386,   387,     0,   388,
    1061,   390,   391,   392,   393,   394,     0,   395,   396,   397,
     398,   399,   400,   401,   402,  1062,   404,   405,   406,   407,
       0,   408,   409,   410,   411,   412,   413,   414,   415,   416,
     417,   418,     0,   419,   420,   752,   421,   422,  1063,   424,
     425,   426,   427,   428,   429,   430,   431,     0,   432,   433,
     434,   435,   436,  1064,   437,   438,   439,   440,   753,   441,
    1065,   443,     0,   444,   445,   446,   447,   448,   449,   450,
     451,   452,   453,  1066,     0,   455,   456,     0,   457,   458,
     459,   460,   461,   462,     0,  1067,  1068,     0,     0,   465,
    1069,   467,  1070,  1071,   469,   470,   471,   472,   473,   474,
     475,     0,  1072,   476,   477,   478,   479,   480,  1073,     0,
     481,   482,   483,   484,   485,   486,  1074,     0,   488,   754,
     489,   490,   491,     0,     0,   492,     0,     0,   493,   494,
     495,   496,   497,   498,  1075,  1076,  1077,  1078,  1079,  1080,
    1081,  1082,   507,   508,   509,     0,     0,     0,     0,     0,
       0,     0,  1083,  1084,     0,     0,     0,     0,     0,     0,
       0,  1086,   731,  1017,   564,  1018,  1019,  1020,   615,  1021,
       0,     0,     0,   208,   209,   210,   211,   212,   213,   214,
     215,  1827,   217,   218,   219,     0,     0,     0,     0,  1022,
       0,     0,   220,   221,     0,   222,   223,   732,   224,   225,
     226,   227,  1023,   733,  1024,  1025,     0,   231,   232,   233,
     234,   235,  1026,  1027,   236,   237,  1028,  1029,   240,     0,
     241,   242,   243,   244,  1030,     0,  1031,     0,   246,   247,
     248,   249,   735,   250,   251,     0,   252,   253,   254,   255,
     256,   257,     0,   736,   258,   259,  1032,  1033,  1034,  1035,
    1036,  1037,  1038,   260,   261,   262,   263,   264,   265,  1039,
    1040,   268,     0,   269,     0,   270,   271,   272,   273,   274,
       0,   275,   276,   277,     0,     0,   278,   279,  1041,   281,
     282,     0,   283,   284,   285,     0,   286,   287,   288,     0,
     289,   290,   291,   292,  1042,   294,   295,   296,  1043,  1044,
     298,     0,   299,  1045,   301,     0,   302,     0,   303,   738,
       0,   739,   304,   305,   306,     0,   307,  1046,     0,   309,
       0,   310,   311,   312,   313,   314,   740,   315,   316,   317,
       0,   318,   319,   320,   321,   322,   323,     0,   324,   741,
     325,   326,   327,   328,   329,  1047,  1048,     0,  1049,     0,
     333,   742,   743,   334,   744,   335,   336,   337,   338,   339,
       0,   340,   341,     0,   342,  1050,   745,   344,   746,     0,
     345,   346,   347,  1051,  1052,   348,   349,   350,   351,   352,
     353,   354,   355,   356,   357,   358,   359,   360,  1053,   747,
    1054,   363,   364,   365,  1055,   366,   367,   748,   368,  1056,
    1057,   370,  1058,   372,   373,   374,     0,   375,     0,     0,
    1059,   377,   378,     0,     0,   379,   749,   750,   751,  1060,
     381,   382,   383,   384,   385,   386,   387,     0,   388,  1061,
     390,   391,   392,   393,   394,     0,   395,   396,   397,   398,
     399,   400,   401,   402,  1062,   404,   405,   406,   407,     0,
     408,   409,   410,   411,   412,   413,   414,   415,   416,   417,
     418,     0,   419,   420,   752,   421,   422,  1063,   424,   425,
     426,   427,   428,   429,   430,   431,     0,   432,   433,   434,
     435,   436,  1064,   437,   438,   439,   440,   753,   441,  1065,
     443,     0,   444,   445,   446,   447,   448,   449,   450,   451,
     452,   453,  1066,     0,   455,   456,     0,   457,   458,   459,
     460,   461,   462,     0,  1067,  1068,     0,     0,   465,  1069,
     467,  1070,  1071,   469,   470,   471,   472,   473,   474,   475,
       0,  1072,   476,   477,   478,   479,   480,  1073,     0,   481,
     482,   483,   484,   485,   486,  1074,     0,   488,   754,   489,
     490,   491,     0,     0,   492,     0,     0,   493,   494,   495,
     496,   497,   498,  1075,  1076,  1077,  1078,  1079,  1080,  1081,
    1082,   507,   508,   509,     0,     0,     0,     0,     0,     0,
       0,  1083,  1084,     0,     0,     0,     0,     0,     0,     0,
    1086,   731,  1017,   564,  1018,  1019,  1020,   615,  1021,     0,
       0,     0,   208,   209,   210,   211,   212,   213,   214,   215,
       0,   217,   218,   219,     0,     0,     0,     0,  1022,     0,
       0,   220,   221,     0,   222,   223,   732,   224,   225,   226,
     227,  1023,   733,  1024,  1025,     0,   231,   232,   233,   234,
     235,  1026,  1027,   236,   237,  1028,  1029,   240,     0,   241,
     242,   243,   244,  1030,     0,  1031,     0,   246,   247,   248,
     249,   735,   250,   251,     0,   252,   253,   254,   255,   256,
     257,     0,   736,   258,   259,  1032,  1033,  1034,  1035,  1036,
    1037,  1038,   260,   261,   262,   263,   264,   265,  1039,  1040,
     268,     0,   269,     0,   270,   271,   272,   273,   274,     0,
     275,   276,   277,     0,     0,   278,   279,  1041,   281,   282,
       0,   283,   284,   285,     0,   286,   287,   288,     0,   289,
     290,   291,   292,  1042,   294,   295,   296,  1043,  1044,   298,
       0,   299,  1045,   301,     0,   302,     0,   303,   738,  2358,
     739,   304,   305,   306,     0,   307,  1046,     0,   309,     0,
     310,   311,   312,   313,   314,   740,   315,   316,   317,     0,
     318,   319,   320,   321,   322,   323,     0,   324,   741,   325,
     326,   327,   328,   329,  1047,  1048,     0,  1049,     0,   333,
     742,   743,   334,   744,   335,   336,   337,   338,   339,     0,
     340,   341,     0,   342,  1050,   745,   344,   746,     0,   345,
     346,   347,  1051,  1052,   348,   349,   350,   351,   352,   353,
     354,   355,   356,   357,   358,   359,   360,  1053,   747,  1054,
     363,   364,   365,  1055,   366,   367,   748,   368,  1056,  1057,
     370,  1058,   372,   373,   374,     0,   375,     0,     0,  1059,
     377,   378,     0,     0,   379,   749,   750,   751,  1060,   381,
     382,   383,   384,   385,   386,   387,     0,   388,  1061,   390,
     391,   392,   393,   394,     0,   395,   396,   397,   398,   399,
     400,   401,   402,  1062,   404,   405,   406,   407,     0,   408,
     409,   410,   411,   412,   413,   414,   415,   416,   417,   418,
       0,   419,   420,   752,   421,   422,  1063,   424,   425,   426,
     427,   428,   429,   430,   431,     0,   432,   433,   434,   435,
     436,  1064,   437,   438,   439,   440,   753,   441,  1065,   443,
       0,   444,   445,   446,   447,   448,   449,   450,   451,   452,
     453,  1066,     0,   455,   456,     0,   457,   458,   459,   460,
     461,   462,     0,  1067,  1068,     0,     0,   465,  1069,   467,
    1070,  1071,   469,   470,   471,   472,   473,   474,   475,     0,
    1072,   476,   477,   478,   479,   480,  1073,     0,   481,   482,
     483,   484,   485,   486,  1074,     0,   488,   754,   489,   490,
     491,     0,     0,   492,     0,     0,   493,   494,   495,   496,
     497,   498,  1075,  1076,  1077,  1078,  1079,  1080,  1081,  1082,
     507,   508,   509,     0,     0,     0,     0,     0,     0,     0,
    1083,  1084,     0,     0,     0,     0,     0,     0,     0,  1086,
     731,  1017,   564,  1018,  1019,  1020,   615,  1021,     0,     0,
       0,   208,   209,   210,   211,   212,   213,   214,   215,     0,
     217,   218,   219,     0,     0,     0,     0,  1022,     0,     0,
     220,   221,     0,   222,   223,   732,   224,   225,   226,   227,
    1023,   733,  1024,  1025,     0,   231,   232,   233,   234,   235,
    1026,  1027,   236,   237,  1028,  1029,   240,     0,   241,   242,
     243,   244,  1030,     0,  1031,     0,   246,   247,   248,   249,
     735,   250,   251,     0,   252,   253,   254,   255,   256,   257,
       0,   736,   258,   259,  1032,  1033,  1034,  1035,  1036,  1037,
    1038,   260,   261,   262,   263,   264,   265,  1039,  1040,   268,
       0,   269,     0,   270,   271,   272,   273,   274,     0,   275,
     276,   277,     0,     0,   278,   279,  1041,   281,   282,     0,
     283,   284,   285,     0,   286,   287,   288,     0,   289,   290,
     291,   292,  1042,   294,   295,   296,  1043,  1044,   298,     0,
     299,  1045,   301,     0,   302,     0,   303,   738,     0,   739,
     304,   305,   306,     0,   307,  1046,     0,   309,     0,   310,
     311,   312,   313,   314,   740,   315,   316,   317,     0,   318,
     319,   320,   321,   322,   323,     0,   324,   741,   325,   326,
     327,   328,   329,  1047,  1048,     0,  1049,     0,   333,   742,
     743,   334,   744,   335,   336,   337,   338,   339,     0,   340,
     341,     0,   342,  1050,   745,   344,   746,     0,   345,   346,
     347,  1051,  1052,   348,   349,   350,   351,   352,   353,   354,
     355,   356,   357,   358,   359,   360,  1053,   747,  1054,   363,
     364,   365,  1055,   366,   367,   748,   368,  1056,  1057,   370,
    1058,   372,   373,   374,     0,   375,     0,     0,  1059,   377,
     378,     0,     0,   379,   749,   750,   751,  1060,   381,   382,
     383,   384,   385,   386,   387,     0,   388,  1061,   390,   391,
     392,   393,   394,     0,   395,   396,   397,   398,   399,   400,
     401,   402,  1062,   404,   405,   406,   407,     0,   408,   409,
     410,   411,   412,   413,   414,   415,   416,   417,   418,     0,
     419,   420,   752,   421,   422,  1063,   424,   425,   426,   427,
     428,   429,   430,   431,     0,   432,   433,   434,   435,   436,
    1064,   437,   438,   439,   440,   753,   441,  1065,   443,     0,
     444,   445,   446,   447,   448,   449,   450,   451,   452,   453,
    1066,     0,   455,   456,     0,   457,   458,   459,   460,   461,
     462,     0,  1067,  1068,     0,     0,   465,  1069,   467,  1070,
    1071,   469,   470,   471,   472,   473,   474,   475,     0,  1072,
     476,   477,   478,   479,   480,  1073,     0,   481,   482,   483,
     484,   485,   486,  1074,  3536,   488,   754,   489,   490,   491,
       0,     0,   492,     0,     0,   493,   494,   495,   496,   497,
     498,  1075,  1076,  1077,  1078,  1079,  1080,  1081,  1082,   507,
     508,   509,     0,     0,     0,     0,     0,     0,     0,  1083,
    1084,     0,     0,     0,     0,     0,     0,     0,  1086,   731,
    1017,   564,  1018,  1019,  1020,   615,  1021,     0,     0,     0,
     208,   209,   210,   211,   212,   213,   214,   215,     0,   217,
     218,   219,     0,     0,     0,     0,  1022,     0,     0,   220,
     221,     0,   222,   223,   732,   224,   225,   226,   227,  1023,
     733,  1024,  1025,     0,   231,   232,   233,   234,   235,  1026,
    1027,   236,   237,  1028,  1029,   240,     0,   241,   242,   243,
     244,  1030,     0,  1031,     0,   246,   247,   248,   249,   735,
     250,   251,     0,   252,   253,   254,   255,   256,   257,     0,
     736,   258,   259,  1032,  1033,  1034,  1035,  1036,  1037,  1038,
     260,   261,   262,   263,   264,   265,  1039,  1040,   268,     0,
     269,     0,   270,   271,   272,   273,   274,     0,   275,   276,
     277,     0,     0,   278,   279,  1041,   281,   282,     0,   283,
     284,   285,     0,   286,   287,   288,     0,   289,   290,   291,
     292,  1042,   294,   295,   296,  1043,  1044,   298,     0,   299,
    1045,   301,     0,   302,     0,   303,   738,     0,   739,   304,
     305,   306,     0,   307,  1046,     0,   309,     0,   310,   311,
     312,   313,   314,   740,   315,   316,   317,     0,   318,   319,
     320,   321,   322,   323,     0,   324,   741,   325,   326,   327,
     328,   329,  1047,  1048,     0,  1049,     0,   333,   742,   743,
     334,   744,   335,   336,   337,   338,   339,     0,   340,   341,
       0,   342,  1050,   745,   344,   746,     0,   345,   346,   347,
    1051,  1052,   348,   349,   350,   351,   352,   353,   354,   355,
     356,   357,   358,   359,   360,  1053,   747,  1054,   363,   364,
     365,  1055,   366,   367,   748,   368,  1056,  1057,   370,  1058,
     372,   373,   374,     0,   375,     0,     0,  1059,   377,   378,
       0,     0,   379,   749,   750,   751,  1060,   381,   382,   383,
     384,   385,   386,   387,     0,   388,  1061,   390,   391,   392,
     393,   394,     0,   395,   396,   397,   398,   399,   400,   401,
     402,  1062,   404,   405,   406,   407,     0,   408,   409,   410,
     411,   412,   413,   414,   415,   416,   417,   418,     0,   419,
     420,   752,   421,   422,  1063,   424,   425,   426,   427,   428,
     429,   430,   431,     0,   432,   433,   434,   435,   436,  1064,
     437,   438,   439,   440,   753,   441,  1065,   443,     0,   444,
     445,   446,   447,   448,   449,   450,   451,   452,   453,  1066,
       0,   455,   456,     0,   457,   458,   459,   460,   461,   462,
       0,  1067,  1068,     0,     0,   465,  1069,   467,  1070,  1071,
     469,   470,   471,   472,   473,   474,   475,     0,  1072,   476,
     477,   478,   479,   480,  1073,     0,   481,   482,   483,   484,
     485,   486,  1074,     0,   488,   754,   489,   490,   491,     0,
       0,   492,     0,     0,   493,   494,   495,   496,   497,   498,
    1075,  1076,  1077,  1078,  1079,  1080,  1081,  1082,   507,   508,
     509,     0,     0,     0,     0,     0,     0,     0,  1083,  1084,
       0,     0,     0,     0,     0,     0,     0,  1086,   731,  1017,
     564,  1018,  1019,  1020,   615,  1021,     0,     0,     0,   208,
     209,   210,   211,   212,   213,   214,   215,     0,   217,   218,
     219,     0,     0,     0,     0,  1022,     0,     0,   220,   221,
       0,   222,   223,   732,   224,   225,   226,   227,  1023,   733,
    1024,  1025,     0,   231,   232,   233,   234,   235,  1026,  1027,
     236,   237,  1028,  1029,   240,     0,   241,   242,   243,   244,
    1030,     0,  1031,     0,   246,   247,   248,   249,   735,   250,
     251,     0,   252,   253,   254,   255,   256,   257,     0,   736,
     258,  3546,  1032,  1033,  1034,  1035,  1036,  1037,  1038,   260,
     261,   262,   263,   264,   265,  1039,  1040,   268,     0,   269,
       0,   270,   271,   272,   273,   274,     0,   275,   276,   277,
       0,     0,   278,   279,  1041,   281,   282,     0,   283,   284,
     285,     0,   286,   287,   288,     0,   289,   290,   291,   292,
    1042,   294,   295,   296,  1043,  1044,   298,     0,   299,  1045,
     301,     0,   302,     0,   303,   738,     0,   739,   304,   305,
     306,     0,   307,  1046,     0,   309,     0,   310,   311,   312,
     313,   314,   740,   315,   316,   317,     0,   318,   319,   320,
     321,   322,   323,     0,   324,   741,   325,   326,   327,   328,
     329,  1047,  1048,     0,  1049,     0,   333,   742,   743,   334,
     744,   335,   336,   337,   338,   339,     0,   340,   341,     0,
     342,  1050,   745,   344,   746,     0,   345,   346,   347,  1051,
    1052,   348,   349,   350,   351,   352,   353,   354,   355,   356,
     357,   358,   359,   360,  1053,   747,  1054,   363,   364,   365,
    1055,   366,   367,   748,   368,  1056,  1057,   370,  1058,   372,
     373,   374,     0,   375,     0,     0,  1059,   377,   378,     0,
       0,   379,   749,   750,   751,  1060,   381,   382,   383,   384,
     385,   386,   387,     0,   388,  1061,   390,   391,   392,   393,
     394,     0,   395,   396,   397,   398,   399,   400,   401,   402,
    1062,   404,   405,   406,   407,     0,   408,   409,   410,   411,
     412,   413,   414,   415,   416,   417,   418,     0,   419,   420,
     752,   421,   422,  1063,   424,   425,   426,   427,   428,   429,
     430,   431,     0,   432,   433,   434,   435,   436,  1064,   437,
     438,   439,   440,   753,   441,  1065,   443,     0,   444,   445,
     446,   447,   448,   449,   450,   451,   452,   453,  1066,     0,
     455,   456,     0,   457,   458,   459,   460,   461,   462,     0,
    1067,  1068,     0,     0,   465,  1069,   467,  1070,  1071,   469,
     470,   471,   472,   473,   474,   475,     0,  1072,   476,   477,
     478,   479,   480,  1073,     0,   481,   482,   483,   484,   485,
     486,  1074,     0,   488,   754,   489,   490,   491,     0,     0,
     492,     0,     0,   493,   494,   495,   496,   497,   498,  1075,
    1076,  1077,  1078,  1079,  1080,  1081,  1082,   507,   508,   509,
       0,     0,     0,     0,     0,     0,     0,  1083,  1084,     0,
       0,     0,     0,     0,     0,     0,  1086,   731,  1017,   564,
    1018,  1019,  1020,   615,  1021,     0,     0,     0,   208,   209,
     210,   211,   212,   213,   214,   215,     0,   217,   218,   219,
       0,     0,     0,     0,  1022,     0,     0,   220,   221,     0,
     222,   223,   732,   224,   225,   226,   227,  1023,   733,  1024,
    1025,     0,   231,   232,   233,   234,   235,  1026,  1027,   236,
     237,  1028,  1029,   240,     0,   241,   242,   243,   244,  1030,
       0,  1031,     0,   246,   247,   248,   249,   735,   250,   251,
       0,   252,   253,   254,   255,   256,   257,     0,   736,   258,
     259,  1032,  1033,  1034,  1035,  1036,  1037,  1038,   260,   261,
     262,   263,   264,   265,  1039,  1040,   268,     0,   269,     0,
     270,   271,   272,   273,   274,     0,   275,   276,   277,     0,
       0,   278,   279,  1041,   281,   282,     0,   283,   284,   285,
       0,   286,   287,   288,     0,   289,   290,   291,   292,  1042,
     294,   295,   296,  1043,  1044,   298,     0,   299,  1045,   301,
       0,   302,     0,   303,   738,     0,   739,   304,   305,   306,
       0,   307,  1046,     0,   309,     0,   310,   311,   312,   313,
     314,   740,   315,   316,   317,     0,   318,   319,   320,   321,
     322,   323,     0,   324,   741,   325,   326,   327,   328,   329,
    1047,  1048,     0,  1049,     0,   333,   742,   743,   334,   744,
     335,   336,   337,   338,   339,     0,   340,   341,     0,   342,
    1050,   745,   344,   746,     0,   345,   346,   347,  1051,  1052,
     348,   349,   350,   351,   352,   353,   354,   355,   356,   357,
     358,   359,   360,  1053,   747,  1054,   363,   364,   365,  1055,
     366,   367,   748,   368,  1056,  1057,   370,  1058,   372,   373,
     374,     0,   375,     0,     0,  1059,   377,   378,     0,     0,
     379,   749,   750,   751,  1060,   381,   382,   383,   384,   385,
     386,   387,     0,   388,  1061,   390,   391,   392,   393,   394,
       0,   395,   396,   397,   398,   399,   400,   401,   402,  1062,
     404,   405,   406,   407,     0,   408,   409,   410,   411,   412,
     413,   414,   415,   416,   417,   418,     0,   419,   420,   752,
     421,   422,  1063,   424,   425,   426,   427,   428,   429,   430,
     431,     0,   432,   433,   434,   435,   436,  1064,   437,   438,
     439,   440,   753,   441,  1065,   443,     0,   444,   445,   446,
     447,   448,   449,   450,   451,   452,   453,  1066,     0,   455,
     456,     0,   457,   458,   459,   460,   461,   462,     0,  1067,
    1068,     0,     0,   465,  1069,   467,  1070,  1071,   469,   470,
     471,   472,   473,   474,   475,     0,  1072,   476,   477,   478,
     479,   480,  1073,     0,   481,   482,   483,   484,   485,   486,
    1074,     0,   488,   754,   489,   490,   491,     0,     0,   492,
       0,     0,   493,   494,   495,   496,   497,  3823,  1075,  1076,
    1077,  1078,  1079,  1080,  1081,  1082,   507,   508,   509,     0,
       0,     0,     0,     0,     0,     0,  1083,  1084,     0,     0,
       0,     0,     0,     0,     0,  1086,   731,  1017,   564,  1018,
    1019,  1020,   615,  1021,     0,     0,     0,   208,   209,   210,
     211,   212,   213,   214,   215,     0,   217,   218,   219,     0,
       0,     0,     0,  1022,     0,     0,   220,   221,     0,   222,
     223,   732,   224,   225,   226,   227,  1023,   733,  1024,  1025,
       0,   231,   232,   233,   234,   235,  1026,  1027,   236,   237,
    1028,  1029,   240,     0,   241,   242,   243,   244,  1030,     0,
    1031,     0,   246,   247,   248,   249,   735,   250,   251,     0,
     252,   253,   254,   255,   256,   257,     0,   736,   258,   259,
    1032,  1033,  1034,  1035,  1036,  1037,  1038,   260,   261,   262,
     263,   264,   265,  1039,  1040,   268,     0,   269,     0,   270,
     271,   272,   273,   274,     0,   275,   276,   277,     0,     0,
     278,   279,  1041,   281,   282,     0,   283,   284,   285,     0,
     286,   287,   288,     0,   289,   290,   291,   292,  1042,   294,
     295,   296,  1043,  1044,   298,     0,   299,  1045,   301,     0,
     302,     0,   303,   738,     0,   739,   304,   305,   306,     0,
     307,  1046,     0,   309,     0,   310,   311,   312,   313,   314,
     740,   315,   316,   317,     0,   318,   319,   320,   321,   322,
     323,     0,   324,   741,   325,   326,   327,   328,   329,  1047,
    1048,     0,  1049,     0,   333,   742,   743,   334,   744,   335,
     336,   337,   338,   339,     0,   340,   341,     0,   342,  1050,
     745,   344,   746,     0,   345,   346,   347,  1051,  1052,   348,
     349,   350,   351,   352,   353,   354,   355,   356,   357,   358,
     359,   360,  1053,   747,  1054,   363,  3832,   365,  1055,   366,
     367,   748,   368,  1056,  1057,   370,  1058,   372,   373,   374,
       0,   375,     0,     0,  1059,   377,   378,     0,     0,   379,
     749,   750,   751,  1060,   381,   382,   383,   384,   385,   386,
     387,     0,   388,  1061,   390,   391,   392,   393,   394,     0,
     395,   396,   397,   398,   399,   400,   401,   402,  1062,   404,
     405,   406,   407,     0,   408,   409,   410,   411,   412,   413,
     414,   415,   416,   417,   418,     0,   419,   420,   752,   421,
     422,  1063,   424,   425,   426,   427,   428,   429,   430,   431,
       0,   432,   433,   434,   435,   436,  1064,   437,   438,   439,
     440,   753,   441,  1065,   443,     0,   444,   445,   446,   447,
     448,   449,   450,   451,   452,   453,  1066,     0,   455,   456,
       0,   457,   458,   459,   460,   461,   462,     0,  1067,  1068,
       0,     0,   465,  1069,   467,  1070,  1071,   469,   470,   471,
     472,   473,   474,   475,     0,  1072,   476,   477,   478,   479,
     480,  1073,     0,   481,   482,   483,   484,   485,   486,  1074,
       0,   488,   754,   489,   490,   491,     0,     0,   492,     0,
       0,   493,   494,   495,   496,   497,   498,  1075,  1076,  1077,
    1078,  1079,  1080,  1081,  1082,   507,   508,   509,     0,     0,
       0,     0,     0,     0,     0,  1083,  1084,     0,     0,     0,
       0,     0,     0,     0,  1086,   731,  1017,   564,  1018,  1019,
    1020,   615,  1021,     0,     0,     0,   208,   209,   210,   211,
     212,   213,   214,   215,     0,   217,   218,   219,     0,     0,
       0,     0,  1022,     0,     0,   220,   221,     0,   222,   223,
     732,   224,   225,   226,  4372,  1023,   733,  1024,  1025,     0,
     231,   232,   233,   234,   235,  1026,  1027,   236,   237,  1028,
    1029,   240,     0,   241,   242,   243,   244,  1030,     0,  1031,
       0,   246,   247,   248,   249,   735,   250,   251,     0,   252,
     253,   254,   255,   256,   257,     0,   736,   258,  4373,  1032,
    1033,  1034,  1035,  1036,  1037,  1038,   260,   261,   262,   263,
     264,   265,  1039,  1040,   268,     0,   269,     0,   270,   271,
     272,   273,   274,     0,   275,   276,   277,     0,     0,   278,
     279,  1041,   281,   282,     0,   283,   284,   285,     0,   286,
     287,   288,     0,   289,   290,   291,   292,  1042,   294,   295,
     296,  1043,  1044,   298,     0,   299,  1045,   301,     0,   302,
       0,   303,   738,     0,   739,   304,   305,   306,     0,   307,
    1046,     0,   309,     0,   310,   311,   312,   313,   314,   740,
     315,   316,   317,     0,   318,   319,   320,   321,   322,   323,
       0,   324,   741,   325,   326,   327,   328,   329,  1047,  1048,
       0,  1049,     0,   333,   742,   743,   334,   744,   335,   336,
     337,   338,   339,     0,   340,   341,     0,   342,  1050,   745,
     344,   746,     0,   345,   346,   347,  1051,  1052,   348,   349,
     350,   351,   352,   353,   354,   355,   356,   357,   358,   359,
     360,  1053,   747,  1054,   363,   364,   365,  1055,   366,   367,
     748,   368,  1056,  1057,   370,  1058,   372,   373,   374,     0,
     375,     0,     0,  1059,   377,   378,     0,     0,   379,   749,
     750,   751,  1060,   381,   382,   383,   384,   385,   386,   387,
       0,   388,  1061,   390,   391,   392,   393,   394,     0,   395,
     396,   397,   398,   399,   400,   401,   402,  1062,   404,   405,
     406,   407,     0,   408,   409,   410,   411,   412,   413,   414,
     415,   416,   417,   418,     0,   419,   420,   752,   421,   422,
    1063,   424,   425,   426,   427,   428,   429,   430,   431,     0,
     432,   433,   434,   435,   436,  1064,   437,   438,   439,   440,
     753,   441,  1065,   443,     0,   444,   445,   446,   447,   448,
     449,   450,   451,   452,   453,  1066,     0,   455,   456,     0,
     457,   458,   459,   460,   461,   462,     0,  1067,  1068,     0,
       0,   465,  1069,   467,  1070,  1071,   469,   470,   471,   472,
    4374,   474,   475,     0,  1072,   476,   477,   478,   479,   480,
    1073,     0,   481,   482,   483,   484,   485,   486,  1074,     0,
     488,   754,   489,   490,   491,     0,     0,   492,     0,     0,
     493,   494,   495,   496,   497,   498,  1075,  1076,  1077,  1078,
    1079,  1080,  1081,  1082,   507,   508,   509,     0,     0,     0,
       0,     0,     0,     0,  1083,  1084,     0,     0,     0,     0,
       0,     0,     0,  1086,   731,  1017,   564,  1018,  1019,  1020,
     615,  1021,     0,     0,     0,   208,   209,   210,   211,   212,
     213,   214,   215,     0,   217,   218,   219,     0,     0,     0,
       0,  1022,     0,     0,   220,   221,     0,   222,   223,   732,
     224,   225,   226,   227,  1023,   733,  1024,  1025,     0,   231,
     232,   233,   234,   235,  1026,  1027,   236,   237,  1028,  1029,
     240,     0,   241,   242,   243,   244,  1030,     0,  1031,     0,
     246,   247,   248,   249,   735,   250,   251,     0,   252,   253,
     254,   255,   256,   257,     0,   736,   258,  4373,  1032,  1033,
    1034,  1035,  1036,  1037,  1038,   260,   261,   262,   263,   264,
     265,  1039,  1040,   268,     0,   269,     0,   270,   271,   272,
     273,   274,     0,   275,   276,   277,     0,     0,   278,   279,
    1041,   281,   282,     0,   283,   284,   285,     0,   286,   287,
     288,     0,   289,   290,   291,   292,  1042,   294,   295,   296,
    1043,  1044,   298,     0,   299,  1045,   301,     0,   302,     0,
     303,   738,     0,   739,   304,   305,   306,     0,   307,  1046,
       0,   309,     0,   310,   311,   312,   313,   314,   740,   315,
     316,   317,     0,   318,   319,   320,   321,   322,   323,     0,
     324,   741,   325,   326,   327,   328,   329,  1047,  1048,     0,
    1049,     0,   333,   742,   743,   334,   744,   335,   336,   337,
     338,   339,     0,   340,   341,     0,   342,  1050,   745,   344,
     746,     0,   345,   346,   347,  1051,  1052,   348,   349,   350,
     351,   352,   353,   354,   355,   356,   357,   358,   359,   360,
    1053,   747,  1054,   363,   364,   365,  1055,   366,   367,   748,
     368,  1056,  1057,   370,  1058,   372,   373,   374,     0,   375,
       0,     0,  1059,   377,   378,     0,     0,   379,   749,   750,
     751,  1060,   381,   382,   383,   384,   385,   386,   387,     0,
     388,  1061,   390,   391,   392,   393,   394,     0,   395,   396,
     397,   398,   399,   400,   401,   402,  1062,   404,   405,   406,
     407,     0,   408,   409,   410,   411,   412,   413,   414,   415,
     416,   417,   418,     0,   419,   420,   752,   421,   422,  1063,
     424,   425,   426,   427,   428,   429,   430,   431,     0,   432,
     433,   434,   435,   436,  1064,   437,   438,   439,   440,   753,
     441,  1065,   443,     0,   444,   445,   446,   447,   448,   449,
     450,   451,   452,   453,  1066,     0,   455,   456,     0,   457,
     458,   459,   460,   461,   462,     0,  1067,  1068,     0,     0,
     465,  1069,   467,  1070,  1071,   469,   470,   471,   472,  4374,
     474,   475,     0,  1072,   476,   477,   478,   479,   480,  1073,
       0,   481,   482,   483,   484,   485,   486,  1074,     0,   488,
     754,   489,   490,   491,     0,     0,   492,     0,     0,   493,
     494,   495,   496,   497,   498,  1075,  1076,  1077,  1078,  1079,
    1080,  1081,  1082,   507,   508,   509,     0,     0,     0,     0,
       0,     0,     0,  1083,  1084,     0,     0,     0,     0,     0,
       0,     0,  1086,   731,  1017,   564,  1018,  1019,  1020,   615,
    1021,     0,     0,     0,   208,   209,   210,   211,   212,   213,
     214,   215,     0,   217,   218,   219,     0,     0,     0,     0,
    1022,     0,     0,   220,   221,     0,   222,   223,   732,   224,
     225,   226,   227,  1023,   733,  1024,  1025,     0,   231,   232,
     233,   234,   235,  1026,  1027,   236,   237,  1028,  1029,   240,
       0,   241,   242,   243,   244,  1030,     0,  1031,     0,   246,
     247,   248,   249,   735,   250,   251,     0,   252,   253,   254,
     255,   256,   257,     0,   736,   258,   259,  1032,  1033,  1034,
    1035,  1036,  1037,  1038,   260,   261,   262,   263,   264,   265,
    1039,  1040,   268,     0,   269,     0,   270,   271,   272,   273,
     274,     0,   275,   276,   277,     0,     0,   278,   279,  1041,
     281,   282,     0,   283,   284,   285,     0,   286,   287,   288,
       0,   289,   290,   291,   292,  1042,   294,   295,   296,  1043,
    1044,   298,     0,   299,  1045,   301,     0,   302,     0,   303,
     738,     0,   739,   304,   305,   306,     0,   307,  1046,     0,
     309,     0,   310,   311,   312,   313,   314,   740,   315,   316,
     317,     0,   318,   319,   320,   321,   322,   323,     0,   324,
     741,   325,   326,   327,   328,   329,  1047,  1048,     0,  1049,
       0,   333,   742,   743,   334,   744,   335,   336,   337,   338,
     339,     0,   340,   341,     0,   342,  1050,   745,   344,   746,
       0,   345,   346,   347,  1051,  1052,   348,   349,   350,   351,
     352,   353,   354,   355,   356,   357,   358,   359,   360,  1053,
     747,  1054,   363,   364,   365,     0,   366,   367,   748,   368,
    1056,  1057,   370,  1058,   372,   373,   374,     0,   375,     0,
       0,  1059,   377,   378,     0,     0,   379,   749,   750,   751,
    1060,   381,   382,   383,   384,   385,   386,   387,     0,   388,
    1061,   390,   391,   392,   393,   394,     0,   395,   396,   397,
     398,   399,   400,   401,   402,  1062,   404,   405,   406,   407,
       0,   408,   409,   410,   411,   412,   413,   414,   415,   416,
     417,   418,     0,   419,   420,   752,   421,   422,  1063,   424,
     425,   426,   427,   428,   429,   430,   431,     0,   432,   433,
     434,   435,   436,  1064,   437,   438,   439,   440,   753,   441,
    1065,   443,     0,   444,   445,   446,   447,   448,   449,   450,
     451,   452,   453,  1066,     0,   455,   456,     0,   457,   458,
     459,   460,   461,   462,     0,  1067,  1068,     0,     0,   465,
    1069,   467,  1070,  1071,   469,   470,   471,   472,   473,   474,
     475,     0,     0,   476,   477,   478,   479,   480,  1073,     0,
     481,   482,   483,   484,   485,   486,  1074,     0,   488,   754,
     489,   490,   491,     0,     0,   492,     0,     0,   493,   494,
     495,   496,   497,   498,  1075,  1076,  1077,  1078,  1079,  1080,
    1081,  1082,   507,   508,   509,     0,     0,     0,     0,     0,
       0,     0,  2340,  2341,     0,     0,     0,     0,     0,     0,
       0,  1086,   731,  1017,   564,  1018,  1019,  1020,   615,  1021,
       0,     0,     0,   208,   209,   210,   211,   212,   213,   214,
     215,     0,   217,   218,   219,     0,     0,     0,     0,  1022,
       0,     0,   220,   221,     0,   222,   223,   732,   224,   225,
     226, -2227,  1023,   733,  1024,  1025,     0,   231,   232,   233,
     234,   235,  1026,  1027,   236,   237,  1028,  1029,   240,     0,
     241,   242,   243,   244,  1030,     0,  1031,     0,   246,   247,
     248,   249,   735,   250,   251,     0,   252,   253,   254,   255,
     256,   257,     0,   736,   258,  4373,  1032,  1033,  1034,  1035,
    1036,  1037,  1038,   260,   261,   262,   263,   264,   265,  1039,
    1040,   268,     0,   269,     0,   270,   271,   272,   273,   274,
       0,   275,   276,   277,     0,     0,   278,   279,  1041,   281,
     282,     0,   283,   284,   285,     0,   286,   287,   288,     0,
     289,   290,   291,   292,  1042,   294,   295,   296,  1043,  1044,
     298,     0,   299,  1045,   301,     0,   302,     0,   303,   738,
       0,   739,   304,   305,   306,     0,   307,  1046,     0,   309,
       0,   310,   311,   312,   313,   314,     0,   315,   316,   317,
       0,   318,   319,   320,   321,   322,   323,     0,   324,   741,
     325,   326,   327,   328,   329,  1047,  1048,     0,  1049,     0,
     333,   742,   743,   334,   744,   335,   336,   337,   338,   339,
       0,   340,   341,     0,   342,  1050,   745,   344,     0,     0,
     345,   346,   347,  1051,  1052,   348,   349,   350,   351,   352,
     353,   354,   355,   356,   357,   358,   359,   360,  1053,   747,
    1054,   363,   364,   365,     0,   366,   367,   748,   368,  1056,
    1057,   370,  1058,   372,   373,   374,     0,   375,     0,     0,
    1059,   377,   378,     0,     0,   379,   749,   750,   751,  1060,
     381,   382,   383,   384,   385,   386,   387,     0,   388,  1061,
     390,   391,   392,   393,   394,     0,   395,   396,   397,   398,
     399,   400,   401,   402,  1062,   404,   405,   406,   407,     0,
     408,   409,   410,   411,   412,   413,   414,   415,   416,   417,
     418,     0,   419,   420,   752,   421,   422,  1063,   424,   425,
     426,   427,   428,   429,   430,   431,     0,   432,   433,   434,
     435,   436,  1064,   437,   438,   439,   440,     0,   441,  1065,
     443,     0,   444,   445,   446,   447,   448,   449,   450,   451,
     452,   453,  1066,     0,   455,   456,     0,   457,   458,   459,
     460,   461,   462,     0,  1067,  1068,     0,     0,   465,  1069,
     467,  1070,  1071,   469,   470,   471,   472,  4374,   474,   475,
       0,  1072,   476,   477,   478,   479,   480,  1073,     0,   481,
     482,   483,   484,   485,   486,  1074,     0,   488,   754,   489,
     490,   491,     0,     0,   492,     0,     0,   493,   494,   495,
     496,   497,   498,  1075,  1076,  1077,  1078,  1079,  1080,  1081,
    1082,   507,   508,   509,     0,     0,     0,     0,     0,     0,
       0,  1083,  1084,     0,     0,   731,  1017,   564,  1018,  1019,
    1086,   615,  1021,     0,     0,     0,   208,   209,   210,   211,
     212,   213,   214,   215,     0,   217,   218,   219,     0,     0,
       0,     0,  1022,     0,     0,   220,   221,     0,   222,   223,
     732,   224,   225,   226,   227,  1023,   733,  1024,  1025,     0,
     231,   232,   233,   234,   235,  1026,  1027,   236,   237,  1028,
    1029,   240,     0,   241,   242,   243,   244,  1030,     0,  1031,
       0,   246,   247,   248,   249,   735,   250,   251,     0,   252,
     253,   254,   255,   256,   257,     0,   736,   258,   259,  1032,
    1033,  1034,  1035,  1036,  1037,  1038,   260,   261,   262,   263,
     264,   265,  1039,  1040,   268,     0,   269,     0,   270,   271,
     272,   273,   274,     0,   275,   276,   277,     0,     0,   278,
     279,  1041,   281,   282,     0,   283,   284,   285,     0,   286,
     287,   288,     0,   289,   290,   291,   292,  1042,   294,   295,
     296,  1043,  1044,   298,     0,   299,  1045,   301,     0,   302,
       0,   303,   738,     0,   739,   304,   305,   306,     0,   307,
    1046,     0,   309,     0,   310,   311,   312,   313,   314,   740,
     315,   316,   317,     0,   318,   319,   320,   321,   322,   323,
       0,   324,   741,   325,   326,   327,   328,   329,  1047,  1048,
       0,  1049,     0,   333,   742,   743,   334,   744,   335,   336,
     337,   338,   339,     0,   340,   341,     0,   342,  1050,   745,
     344,   746,     0,   345,   346,   347,  1051,  1052,   348,   349,
     350,   351,   352,   353,   354,   355,   356,   357,   358,   359,
     360,  1053,   747,  1054,   363,   364,   365,     0,   366,   367,
     748,   368,  1056,  1057,   370,  1058,   372,   373,   374,     0,
     375,     0,     0,   376,   377,   378,     0,     0,   379,   749,
     750,   751,  1060,   381,   382,   383,   384,   385,   386,   387,
       0,   388,  1061,   390,   391,   392,   393,   394,     0,   395,
     396,   397,   398,   399,   400,   401,   402,  1062,   404,   405,
     406,   407,     0,   408,   409,   410,   411,   412,   413,   414,
     415,   416,   417,   418,     0,   419,   420,   752,   421,   422,
    1063,   424,   425,   426,   427,   428,   429,   430,   431,     0,
     432,   433,   434,   435,   436,  1064,   437,   438,   439,   440,
     753,   441,  1065,   443,     0,   444,   445,   446,   447,   448,
     449,   450,   451,   452,   453,  1066,     0,   455,   456,     0,
     457,   458,   459,   460,   461,   462,     0,  1067,  1068,     0,
       0,   465,  1069,   467,  1070,  1071,   469,   470,   471,   472,
     473,   474,   475,     0,     0,   476,   477,   478,   479,   480,
    1073,     0,   481,   482,   483,   484,   485,   486,  1074,     0,
     488,   754,   489,   490,   491,     0,     0,   492,     0,     0,
     493,   494,   495,   496,   497,   498,  1075,  1076,  1077,  1078,
    1079,  1080,  1081,  1082,   507,   508,   509,     0,     0,     0,
       0,     0,     0,   731,  1017,   564,  1018,  1019,     0,   615,
    1021,     0,     0,  1086,   208,   209,   210,   211,   212,   213,
     214,   215,     0,   217,   218,   219,     0,     0,     0,     0,
    1022,     0,     0,   220,   221,     0,   222,   223,   732,   224,
     225,   226,   227,  1023,   733,  1024,  1025,     0,  3455,   232,
     233,   234,   235,  1026,  1027,   236,   237,  1028,  1029,   240,
       0,   241,   242,   243,   244,  1030,     0,  1031,     0,   246,
     247,   248,   249,   735,   250,   251,     0,   252,   253,   254,
     255,   256,   257,     0,   736,   258,   259,  1032,  1033,  1034,
    1035,  1036,  1037,  1038,   260,   261,   262,   263,   264,   265,
    1039,  1040,   268,     0,   269,     0,   270,   271,   272,   273,
     274,     0,   275,   276,   277,     0,     0,   278,   279,  1041,
     281,   282,     0,   283,   284,   285,     0,   286,   287,   288,
       0,   289,   290,   291,   292,  1042,   294,   295,   296,  1043,
    1044,   298,     0,   299,  1045,   301,     0,   302,     0,   303,
     738,     0,   739,   304,   305,   306,     0,   307,  1046,     0,
     309,     0,   310,   311,   312,   313,   314,   740,   315,   316,
     317,     0,   318,   319,   320,   321,   322,   323,     0,   324,
     741,   325,   326,   327,   328,   329,  1047,  1048,     0,  1049,
       0,   333,   742,   743,   334,   744,   335,   336,   337,   338,
     339,     0,   340,   341,     0,   342,  1050,   745,   344,   746,
       0,   345,   346,   347,  1051,  1052,   348,   349,   350,   351,
     352,   353,   354,   355,   356,   357,   358,   359,   360,  1053,
     747,  1054,   363,   364,   365,     0,   366,   367,   748,   368,
    1056,  1057,   370,  1058,   372,   373,   374,     0,   375,     0,
       0,   376,   377,   378,     0,     0,   379,   749,   750,   751,
    1060,   381,   382,   383,   384,   385,   386,   387,     0,   388,
    1061,   390,   391,   392,   393,   394,     0,   395,   396,   397,
     398,   399,   400,   401,   402,  1062,   404,   405,   406,   407,
       0,   408,   409,   410,   411,   412,   413,   414,   415,   416,
     417,   418,     0,   419,   420,   752,   421,   422,  1063,   424,
     425,   426,   427,   428,   429,   430,   431,     0,   432,   433,
     434,   435,   436,  1064,   437,   438,   439,   440,   753,   441,
    1065,   443,     0,   444,   445,   446,   447,   448,   449,   450,
     451,   452,   453,  1066,     0,   455,   456,     0,   457,   458,
     459,   460,   461,   462,     0,  1067,  1068,     0,     0,   465,
    1069,   467,  1070,  1071,   469,   470,   471,   472,   473,   474,
     475,     0,     0,   476,   477,   478,   479,   480,  1073,     0,
     481,   482,   483,   484,   485,   486,  1074,     0,   488,   754,
     489,   490,   491,     0,     0,   492,     0,     0,   493,   494,
     495,   496,   497,   498,  1075,  1076,  1077,  1078,  1079,  1080,
    1081,  1082,   507,   508,   509,     0,     0,     0,     0,     0,
       0,   731,  1017,   564,  1018,  1019,  1020,   615,  1021,     0,
       0,  1086,   208,   209,   210,   211,   212,   213,   214,   215,
       0,   217,   218,   219,     0,     0,     0,     0,  1022,     0,
       0,   220,   221,     0,   222,   223,   732,   224,   225,   226,
       0,  1023,   733,  1024,  1025,     0,   231,   232,   233,   234,
     235,  1026,  1027,   236,   237,  1028,  1029,   240,     0,   241,
     242,   243,   244,  1030,     0,  1031,     0,   246,   247,   248,
     249,   735,   250,   251,     0,   252,   253,   254,   255,   256,
     257,     0,   736,   258,   259,  1032,  1033,  1034,  1035,  1036,
    1037,  1038,   260,   261,   262,   263,   264,   265,  1039,  1040,
     268,     0,   269,     0,   270,   271,   272,   273,   274,     0,
     275,   276,   277,     0,     0,   278,   279,  1041,   281,   282,
       0,   283,   284,   285,     0,   286,     0,   288,     0,   289,
     290,   291,   292,  1042,   294,   295,   296,  1043,  1044,   298,
       0,   299,  1045,   301,     0,   302,     0,   303,   738,     0,
     739,   304,   305,   306,     0,   307,  1046,     0,   309,     0,
     310,   311,   312,   313,   314,     0,   315,   316,   317,     0,
     318,   319,   320,   321,   322,   323,     0,   324,   741,   325,
     326,   327,   328,   329,  1047,  1048,     0,  1049,     0,   333,
     742,   743,   334,   744,   335,   336,   337,   338,   339,     0,
     340,   341,     0,   342,  1050,   745,   344,     0,     0,   345,
     346,   347,  1051,  1052,   348,   349,   350,   351,   352,   353,
     354,   355,   356,   357,   358,   359,   360,  1053,   747,  1054,
     363,   364,   365,     0,   366,   367,   748,   368,  1056,  1057,
     370,  1058,   372,   373,   374,     0,   375,     0,     0,  1059,
     377,   378,     0,     0,   379,   749,   750,   751,  1060,   381,
     382,   383,   384,   385,   386,   387,     0,   388,  1061,   390,
     391,   392,   393,   394,     0,   395,   396,   397,   398,   399,
     400,   401,   402,  1062,   404,   405,   406,   407,     0,   408,
     409,   410,   411,   412,   413,   414,   415,   416,   417,   418,
       0,   419,   420,   752,   421,   422,  1063,   424,   425,   426,
     427,   428,   429,   430,   431,     0,   432,   433,   434,   435,
     436,  1064,   437,   438,   439,   440,     0,   441,  1065,   443,
       0,   444,   445,   446,   447,   448,   449,   450,   451,   452,
     453,  1066,     0,   455,   456,     0,   457,   458,   459,   460,
     461,   462,     0,  1067,  1068,     0,     0,   465,  1069,   467,
    1070,  1071,   469,   470,   471,   472,   473,   474,   475,     0,
    1072,   476,   477,   478,   479,   480,  1073,     0,   481,   482,
     483,   484,   485,   486,  1074,     0,   488,   754,   489,   490,
     491,     0,     0,   492,     0,     0,   493,   494,   495,   496,
     497,   498,  1075,  1076,  1077,  1078,  1079,  1080,  1081,  1082,
     507,   508,   509,     0,     0,     0,     0,     0,     0,     0,
    1083,  1084,     0,     0,     0,     0,     0,     0,     0,  1086,
     731,  1017,   564,  1018,  1019,  1020,   615,  1021,     0,     0,
       0,   208,   209,   210,   211,   212,   213,   214,   215,     0,
     217,   218,   219,     0,     0,     0,     0,  1022,     0,     0,
     220,   221,     0,   222,   223,   732,   224,   225,   226,     0,
    1023,   733,  1024,  1025,     0,   231,   232,   233,   234,   235,
    1026,  1027,   236,   237,  1028,  1029,   240,     0,   241,   242,
     243,   244,  1030,     0,  1031,     0,   246,   247,   248,   249,
     735,   250,   251,     0,   252,   253,   254,   255,   256,   257,
       0,   736,   258,   259,  1032,  1033,  1034,  1035,  1036,  1037,
    1038,   260,   261,   262,   263,   264,   265,  1039,  1040,   268,
       0,   269,     0,   270,   271,   272,   273,   274,     0,   275,
     276,   277,     0,     0,   278,   279,  1041,   281,   282,     0,
     283,   284,   285,     0,   286,     0,   288,     0,   289,   290,
     291,   292,  1042,   294,   295,   296,  1043,  1044,   298,     0,
     299,  1045,   301,     0,   302,     0,   303,   738,     0,   739,
     304,   305,   306,     0,   307,  1046,     0,   309,     0,   310,
     311,   312,   313,   314,     0,   315,   316,   317,     0,   318,
     319,   320,   321,   322,   323,     0,   324,   741,   325,   326,
     327,   328,   329,  1047,  1048,     0,  1049,     0,   333,   742,
     743,   334,   744,   335,   336,   337,   338,   339,     0,   340,
     341,     0,   342,  1050,   745,   344,     0,     0,   345,   346,
     347,  1051,  1052,   348,   349,   350,   351,   352,   353,   354,
     355,   356,   357,   358,   359,   360,  1053,   747,  1054,   363,
     364,   365,     0,   366,   367,   748,   368,  1056,  1057,   370,
    1058,   372,   373,   374,     0,   375,     0,     0,  1059,   377,
     378,     0,     0,   379,   749,   750,   751,  1060,   381,   382,
     383,   384,   385,   386,   387,     0,   388,  1061,   390,   391,
     392,   393,   394,     0,   395,   396,   397,   398,   399,   400,
     401,   402,  1062,   404,   405,   406,   407,     0,   408,   409,
     410,   411,   412,   413,   414,   415,   416,   417,   418,     0,
     419,   420,   752,   421,   422,  1063,   424,   425,   426,   427,
     428,   429,   430,   431,     0,   432,   433,   434,   435,   436,
    1064,   437,   438,   439,   440,     0,   441,  1065,   443,     0,
     444,   445,   446,   447,   448,   449,   450,   451,   452,   453,
    1066,     0,   455,   456,     0,   457,   458,   459,   460,   461,
     462,     0,  1067,  1068,     0,     0,   465,  1069,   467,  1070,
    1071,   469,   470,   471,   472,   473,   474,   475,     0,     0,
     476,   477,   478,   479,   480,  1073,     0,   481,   482,   483,
     484,   485,   486,  1074,     0,   488,   754,   489,   490,   491,
       0,     0,   492,     0,     0,   493,   494,   495,   496,   497,
     498,  1075,  1076,  1077,  1078,  1079,  1080,  1081,  1082,   507,
     508,   509,     0,     0,     0,     0,     0,     0,   731,  2340,
    2341,     0,     0,     0,     0,     0,     0,     0,  1086,   208,
     209,   210,   211,   212,   213,   214,   215,     0,   217,   218,
     219,     0,     0,     0,     0,     0,     0,     0,   220,   221,
       0,   222,   223,   732,   224,   225,   226,   227,   228,   733,
     229,   230,     0,   231,   232,   233,   234,   235,     0,  1027,
     236,   237,   238,   239,   240,     0,   241,   242,   243,   244,
    1030,     0,  1031,     0,   246,   247,   248,   249,   735,   250,
     251,     0,   252,   253,   254,   255,   256,   257,     0,   736,
     258,   259,  1032,  1033,  1034,  1035,  1036,  1037,  1038,   260,
     261,   262,   263,   264,   265,   266,   267,   268,     0,   269,
       0,   270,   271,   272,   273,   274,     0,   275,   276,   277,
       0,     0,   278,   279,   280,   281,   282,     0,   283,   284,
     285,     0,   286,   287,   288,     0,   289,   290,   291,   292,
     293,   294,   295,   296,  1043,     0,   298,     0,   299,   300,
     301,     0,   302,     0,   303,   738,     0,   739,   304,   305,
     306,     0,   307,  1046,     0,   309,     0,   310,   311,   312,
     313,   314,   740,   315,   316,   317,     0,   318,   319,   320,
     321,   322,   323,     0,   324,   741,   325,   326,   327,   328,
     329,   330,   331,     0,   332,     0,   333,   742,   743,   334,
     744,   335,   336,   337,   338,   339,  3029,   340,   341,     0,
     342,  1050,   745,   344,   746,     0,   345,   346,   347,  1051,
    1052,   348,   349,   350,   351,   352,   353,   354,   355,   356,
     357,   358,   359,   360,   361,   747,   362,   363,   364,   365,
       0,   366,   367,   748,   368,     0,  1057,   370,   371,   372,
     373,   374,     0,   375,     0,   696,   376,   377,   378,     0,
       0,   379,   749,   750,   751,  1060,   381,   382,   383,   384,
     385,   386,   387,     0,   388,  1061,   390,   391,   392,   393,
     394,     0,   395,   396,   397,   398,   399,   400,   401,   402,
     403,   404,   405,   406,   407,     0,   408,   409,   410,   411,
     412,   413,   414,   415,   416,   417,   418,     0,   419,   420,
     752,   421,   422,   423,   424,   425,   426,   427,   428,   429,
     430,   431,    38,   432,   433,   434,   435,   436,  1064,   437,
     438,   439,   440,   753,   441,   442,   443,     0,   444,   445,
     446,   447,   448,   449,   450,   451,   452,   453,  1066,     0,
     455,   456,    42,   457,   458,   459,   460,   461,   462,     0,
     463,   464,     0,     0,   465,  1069,   467,  1070,     0,   469,
     470,   471,   472,   473,   474,   475,     0,     0,   476,   477,
     478,   479,   480,  1073,     0,   481,   482,   483,   484,   485,
     956,   487,     0,   488,   754,   489,   490,   491,     0,     0,
     492,     0,    47,   493,   494,   495,   496,   497,   498,  1075,
    1076,  1077,  1078,  1079,  1080,  1081,  1082,   507,   508,   509,
       0,     0,     0,     0,     0,     0,   731,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  3030,   208,   209,   210,
     211,   212,   213,   214,   215,     0,   217,   218,   219,     0,
       0,     0,     0,     0,     0,     0,   220,   221,     0,   222,
     223,   732,   224,   225,   226,   227,   228,   733,   229,   230,
       0,   231,   232,   233,   234,   235,     0,  1027,   236,   237,
     238,   239,   240,     0,   241,   242,   243,   244,  1030,     0,
    1031,     0,   246,   247,   248,   249,   735,   250,   251,     0,
     252,   253,   254,   255,   256,   257,     0,   736,   258,   259,
    1032,  1033,  1034,  1035,  1036,  1037,  1038,   260,   261,   262,
     263,   264,   265,   266,   267,   268,     0,   269,     0,   270,
     271,   272,   273,   274,     0,   275,   276,   277,     0,     0,
     278,   279,   280,   281,   282,     0,   283,   284,   285,     0,
     286,   287,   288,     0,   289,   290,   291,   292,   293,   294,
     295,   296,  1043,     0,   298,     0,   299,   300,   301,     0,
     302,     0,   303,   738,     0,   739,   304,   305,   306,     0,
     307,  1046,     0,   309,     0,   310,   311,   312,   313,   314,
     740,   315,   316,   317,     0,   318,   319,   320,   321,   322,
     323,     0,   324,   741,   325,   326,   327,   328,   329,   330,
     331,     0,   332,     0,   333,   742,   743,   334,   744,   335,
     336,   337,   338,   339,  3029,   340,   341,     0,   342,  1050,
     745,   344,   746,     0,   345,   346,   347,  1051,  1052,   348,
     349,   350,   351,   352,   353,   354,   355,   356,   357,   358,
     359,   360,   361,   747,   362,   363,   364,   365,     0,   366,
     367,   748,   368,     0,  1057,   370,   371,   372,   373,   374,
       0,   375,     0,   696,   376,   377,   378,     0,     0,   379,
     749,   750,   751,  1060,   381,   382,   383,   384,   385,   386,
     387,     0,   388,  1061,   390,   391,   392,   393,   394,     0,
     395,   396,   397,   398,   399,   400,   401,   402,   403,   404,
     405,   406,   407,     0,   408,   409,   410,   411,   412,   413,
     414,   415,   416,   417,   418,     0,   419,   420,   752,   421,
     422,   423,   424,   425,   426,   427,   428,   429,   430,   431,
       0,   432,   433,   434,   435,   436,  1064,   437,   438,   439,
     440,   753,   441,   442,   443,     0,   444,   445,   446,   447,
     448,   449,   450,   451,   452,   453,  1066,     0,   455,   456,
       0,   457,   458,   459,   460,   461,   462,     0,   463,   464,
       0,     0,   465,  1069,   467,  1070,     0,   469,   470,   471,
     472,   473,   474,   475,     0,     0,   476,   477,   478,   479,
     480,  1073,     0,   481,   482,   483,   484,   485,   486,   487,
       0,   488,   754,   489,   490,   491,     0,     0,   492,     0,
       0,   493,   494,   495,   496,   497,   498,  1075,  1076,  1077,
    1078,  1079,  1080,  1081,  1082,   507,   508,   509,     0,     0,
       0,     0,     0,     0,   731,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  3030,   208,   209,   210,   211,   212,
     213,   214,   215,     0,   217,   218,   219,     0,     0,     0,
       0,     0,     0,     0,   220,   221,     0,   222,   223,   732,
     224,   225,   226,   227,   228,   733,   229,   230,     0,   231,
     232,   233,   234,   235,     0,  1027,   236,   237,   238,   239,
     240,     0,   241,   242,   243,   244,  1030,     0,  1031,     0,
     246,   247,   248,   249,   735,   250,   251,     0,   252,   253,
     254,   255,   256,   257,     0,   736,   258,   259,  1032,  1033,
    1034,  1035,  1036,  1037,  1038,   260,   261,   262,   263,   264,
     265,   266,   267,   268,     0,   269,     0,   270,   271,   272,
     273,   274,     0,   275,   276,   277,     0,     0,   278,   279,
     280,   281,   282,     0,   283,   284,   285,     0,   286,   287,
     288,     0,   289,   290,   291,   292,   293,   294,   295,   296,
    1043,     0,   298,     0,   299,   300,   301,     0,   302,     0,
     303,   738,     0,   739,   304,   305,   306,     0,   307,  1046,
       0,   309,     0,   310,   311,   312,   313,   314,   740,   315,
     316,   317,     0,   318,   319,   320,   321,   322,   323,     0,
     324,   741,   325,   326,   327,   328,   329,   330,   331,     0,
     332,     0,   333,   742,   743,   334,   744,   335,   336,   337,
     338,   339,     0,   340,   341,     0,   342,  1050,   745,   344,
     746,     0,   345,   346,   347,  1051,  1052,   348,   349,   350,
     351,   352,   353,   354,   355,   356,   357,   358,   359,   360,
     361,   747,   362,   363,   364,   365,     0,   366,   367,   748,
     368,     0,  1057,   370,   371,   372,   373,   374,     0,   375,
       0,     0,   376,   377,   378,     0,     0,   379,   749,   750,
     751,  1060,   381,   382,   383,   384,   385,   386,   387,     0,
     388,  1061,   390,   391,   392,   393,   394,     0,   395,   396,
     397,   398,   399,   400,   401,   402,   403,   404,   405,   406,
     407,     0,   408,   409,   410,   411,   412,   413,   414,   415,
     416,   417,   418,     0,   419,   420,   752,   421,   422,   423,
     424,   425,   426,   427,   428,   429,   430,   431,     0,   432,
     433,   434,   435,   436,  1064,   437,   438,   439,   440,   753,
     441,   442,   443,     0,   444,   445,   446,   447,   448,   449,
     450,   451,   452,   453,  1066,     0,   455,   456,     0,   457,
     458,   459,   460,   461,   462,     0,   463,   464,     0,     0,
     465,  1069,   467,  1070,     0,   469,   470,   471,   472,   473,
     474,   475,     0,     0,   476,   477,   478,   479,   480,  1073,
       0,   481,   482,   483,   484,   485,   486,   487,     0,   488,
     754,   489,   490,   491,     0,     0,   492,     0,     0,   493,
     494,   495,   496,   497,   498,  1075,  1076,  1077,  1078,  1079,
    1080,  1081,  1082,   507,   508,   509,     0,     0,     0,     0,
       0,     0,   731,     0,     0,     0,     0,     0,     0,     0,
       0,     0,    48,   208,   209,   210,   211,   212,   213,   214,
     215,     0,   217,   218,   219,     0,     0,     0,     0,     0,
       0,     0,   220,   221,     0,   222,   223,   732,   224,   225,
     226,   227,   228,   733,   229,   230,     0,   231,   232,   233,
     234,   235,     0,  1027,   236,   237,   238,   239,   240,     0,
     241,   242,   243,   244,  1030,     0,  1031,     0,   246,   247,
     248,   249,   735,   250,   251,     0,   252,   253,   254,   255,
     256,   257,     0,   736,   258,   259,  1032,  1033,  1034,  1035,
    1036,  1037,  1038,   260,   261,   262,   263,   264,   265,   266,
     267,   268,     0,   269,     0,   270,   271,   272,   273,   274,
       0,   275,   276,   277,     0,     0,   278,   279,   280,   281,
     282,     0,   283,   284,   285,     0,   286,   287,   288,     0,
     289,   290,   291,   292,   293,   294,   295,   296,  1043,     0,
     298,     0,   299,   300,   301,     0,   302,     0,   303,   738,
       0,   739,   304,   305,   306,     0,   307,  1046,     0,   309,
       0,   310,   311,   312,   313,   314,   740,   315,   316,   317,
       0,   318,   319,   320,   321,   322,   323,     0,   324,   741,
     325,   326,   327,   328,   329,   330,   331,     0,   332,     0,
     333,   742,   743,   334,   744,   335,   336,   337,   338,   339,
       0,   340,   341,     0,   342,  1050,   745,   344,   746,     0,
     345,   346,   347,  1051,  1052,   348,   349,   350,   351,   352,
     353,   354,   355,   356,   357,   358,   359,   360,   361,   747,
     362,   363,   364,   365,     0,   366,   367,   748,   368,     0,
    1057,   370,   371,   372,   373,   374,     0,   375,     0,     0,
     376,   377,   378,     0,     0,   379,   749,   750,   751,  1060,
     381,   382,   383,   384,   385,   386,   387,     0,   388,  1061,
     390,   391,   392,   393,   394,     0,   395,   396,   397,   398,
     399,   400,   401,   402,   403,   404,   405,   406,   407,     0,
     408,   409,   410,   411,   412,   413,   414,   415,   416,   417,
     418,     0,   419,   420,   752,   421,   422,   423,   424,   425,
     426,   427,   428,   429,   430,   431,     0,   432,   433,   434,
     435,   436,  1064,   437,   438,   439,   440,   753,   441,   442,
     443,     0,   444,   445,   446,   447,   448,   449,   450,   451,
     452,   453,  1066,     0,   455,   456,     0,   457,   458,   459,
     460,   461,   462,     0,   463,   464,     0,     0,   465,  1069,
     467,  1070,     0,   469,   470,   471,   472,   473,   474,   475,
       0,     0,   476,   477,   478,   479,   480,  1073,     0,   481,
     482,   483,   484,   485,   486,   487,     0,   488,   754,   489,
     490,   491,     0,     0,   492,     0,     0,   493,   494,   495,
     496,   497,   498,  1075,  1076,  1077,  1078,  1079,  1080,  1081,
    1082,   507,   508,   509,     0,     0,     0,     0,     0,     0,
     775,  1269,   564,     0,     0,     0,   615,     0,     0,     0,
    3567,   208,   209,   210,   211,   212,   213,   214,   215,     0,
     217,   218,   219,     0,     0,     0,     0,     0,     0,     0,
     220,   221,     0,   222,   223,   732,   224,   225,   226,   227,
     228,   733,   229,   230,     0,   231,   232,   233,   234,   235,
       0,     0,   236,   237,   238,   239,   240,     0,   241,   242,
     243,   244,   245,     0,   734,     0,   246,   247,   248,   249,
     735,   250,   251,     0,   252,   253,   254,   255,   256,   257,
       0,   736,   258,   259,     0,     0,     0,   737,     0,     0,
       0,   260,   261,   262,   263,   264,   265,   266,   267,   268,
       0,   269,     0,   270,   271,   272,   273,   274,     0,   275,
     276,   277,     0,     0,   278,   279,   280,   281,   282,     0,
     283,   284,   285,     0,   286,   287,   288,     0,   289,   290,
     291,   292,   293,   294,   295,   296,   297,  1512,   298,     0,
     299,   300,   301,     0,   302,     0,   303,   738,     0,   739,
     304,   305,   306,     0,   307,   308,     0,   309,     0,   310,
     311,   312,   313,   314,   740,   315,   316,   317,     0,   318,
     319,   320,   321,   322,   323,     0,   324,   741,   325,   326,
     327,   328,   329,   330,   331,     0,   332,     0,   333,   742,
     743,   334,   744,   335,   336,   337,   338,   339,     0,   340,
     341,     0,   342,   343,   745,   344,   746,     0,   345,   346,
     347,     0,     0,   348,   349,   350,   351,   352,   353,   354,
     355,   356,   357,   358,   359,   360,   361,   747,   362,   363,
     364,   365,     0,   366,   367,   748,   368,     0,   369,   370,
     371,   372,   373,   374,     0,   375,  1513,     0,   376,   377,
     378,     0,     0,   379,   749,   750,   751,   380,   381,   382,
     383,   384,   385,   386,   387,     0,   388,   389,   390,   391,
     392,   393,   394,     0,   395,   396,   397,   398,   399,   400,
     401,   402,   403,   404,   405,   406,   407,     0,   408,   409,
     410,   411,   412,   413,   414,   415,   416,   417,   418,     0,
     419,   420,   752,   421,   422,   423,   424,   425,   426,   427,
     428,   429,   430,   431,     0,   432,   433,   434,   435,   436,
       0,   437,   438,   439,   440,   753,   441,   442,   443,     0,
     444,   445,   446,   447,   448,   449,   450,   451,   452,   453,
     454,     0,   455,   456,     0,   457,   458,   459,   460,   461,
     462,     0,   463,   464,     0,     0,   465,   466,   467,   468,
    1514,   469,   470,   471,   472,   473,   474,   475,     0,     0,
     476,   477,   478,   479,   480,     0,     0,   481,   482,   483,
     484,   485,   486,   487,     0,   488,   754,   489,   490,   491,
       0,     0,   492,     0,     0,   493,   494,   495,   496,   497,
     498,   499,   500,   501,   502,   503,   504,   505,   506,   507,
     508,   509,     0,     0,     0,     0,     0,     0,   775,  1270,
    1271,  3967,     0,     0,     0,     0,     0,     0,  3968,   208,
     209,   210,   211,   212,   213,   214,   215,     0,   217,   218,
     219,     3,     4,     0,     0,     0,     0,     0,   220,   221,
       0,   222,   223,   732,   224,   225,   226,   227,   228,   733,
     229,   230,     0,   231,   232,   233,   234,   235,     0,     0,
     236,   237,   238,   239,   240,     0,   241,   242,   243,   244,
     245,     0,   734,     0,   246,   247,   248,   249,   735,   250,
     251,     0,   252,   253,   254,   255,   256,   257,     0,   736,
     258,   259,     0,     0,     0,   737,     0,     0,     0,   260,
     261,   262,   263,   264,   265,   266,   267,   268,     0,   269,
       0,   270,   271,   272,   273,   274,     0,   275,   276,   277,
       0,     0,   278,   279,   280,   281,   282,     0,   283,   284,
     285,     0,   286,   287,   288,     0,   289,   290,   291,   292,
     293,   294,   295,   296,   297,     0,   298,     0,   299,   300,
     301,     0,   302,     0,   303,   738,     0,   739,   304,   305,
     306,     0,   307,   308,     0,   309,     0,   310,   311,   312,
     313,   314,   740,   315,   316,   317,     0,   318,   319,   320,
     321,   322,   323,     0,   324,   741,   325,   326,   327,   328,
     329,   330,   331,     0,   332,     0,   333,   742,   743,   334,
     744,   335,   336,   337,   338,   339,     0,   340,   341,     0,
     342,   343,   745,   344,   746,     0,   345,   346,   347,     0,
       0,   348,   349,   350,   351,   352,   353,   354,   355,   356,
     357,   358,   359,   360,   361,   747,   362,   363,   364,   365,
       0,   366,   367,   748,   368,     0,   369,   370,   371,   372,
     373,   374,     0,   375,     0,     0,   376,   377,   378,     0,
       0,   379,   749,   750,   751,   380,   381,   382,   383,   384,
     385,   386,   387,     0,   388,   389,   390,   391,   392,   393,
     394,     0,   395,   396,   397,   398,   399,   400,   401,   402,
     403,   404,   405,   406,   407,     0,   408,   409,   410,   411,
     412,   413,   414,   415,   416,   417,   418,     0,   419,   420,
     752,   421,   422,   423,   424,   425,   426,   427,   428,   429,
     430,   431,    38,   432,   433,   434,   435,   436,     0,   437,
     438,   439,   440,   753,   441,   442,   443,     0,   444,   445,
     446,   447,   448,   449,   450,   451,   452,   453,   454,     0,
     455,   456,    42,   457,   458,   459,   460,   461,   462,     0,
     463,   464,     0,     0,   465,   466,   467,   468,     0,   469,
     470,   471,   472,   473,   474,   475,     0,     0,   476,   477,
     478,   479,   480,     0,     0,   481,   482,   483,   484,   485,
     956,   487,     0,   488,   754,   489,   490,   491,     0,     0,
     492,     0,    47,   493,   494,   495,   496,   497,   498,   499,
     500,   501,   502,   503,   504,   505,   506,   507,   508,   509,
       0,     0,     0,     0,     0,     0,   731,     0,     0,     0,
       0,     0,     0,     0,     0,     0,    48,   208,   209,   210,
     211,   212,   213,   214,   215,     0,   217,   218,   219,     0,
       0,     0,     0,     0,     0,     0,   220,   221,     0,   222,
     223,   732,   224,   225,   226,   227,   228,   733,   229,   230,
       0,   231,   232,   233,   234,   235,     0,     0,   236,   237,
     238,   239,   240,     0,   241,   242,   243,   244,   245,     0,
     734,     0,   246,   247,   248,   249,   735,   250,   251,     0,
     252,   253,   254,   255,   256,   257,     0,   736,   258,   259,
       0,     0,     0,   737,     0,     0,     0,   260,   261,   262,
     263,   264,   265,   266,   267,   268,     0,   269,     0,   270,
     271,   272,   273,   274,     0,   275,   276,   277,     0,     0,
     278,   279,   280,   281,   282,     0,   283,   284,   285,     0,
     286,   287,   288,     0,   289,   290,   291,   292,   293,   294,
     295,   296,   297,     0,   298,     0,   299,   300,   301,     0,
     302,     0,   303,   738,     0,   739,   304,   305,   306,     0,
     307,   308,     0,   309,     0,   310,   311,   312,   313,   314,
     740,   315,   316,   317,     0,   318,   319,   320,   321,   322,
     323,     0,   324,   741,   325,   326,   327,   328,   329,   330,
     331,     0,   332,     0,   333,   742,   743,   334,   744,   335,
     336,   337,   338,   339,     0,   340,   341,     0,   342,   343,
     745,   344,   746,     0,   345,   346,   347,     0,     0,   348,
     349,   350,   351,   352,   353,   354,   355,   356,   357,   358,
     359,   360,   361,   747,   362,   363,   364,   365,     0,   366,
     367,   748,   368,     0,   369,   370,   371,   372,   373,   374,
       0,   375,     0,     0,   376,   377,   378,     0,     0,   379,
     749,   750,   751,   380,   381,   382,   383,   384,   385,   386,
     387,     0,   388,   389,   390,   391,   392,   393,   394,     0,
     395,   396,   397,   398,   399,   400,   401,   402,   403,   404,
     405,   406,   407,     0,   408,   409,   410,   411,   412,   413,
     414,   415,   416,   417,   418,     0,   419,   420,   752,   421,
     422,   423,   424,   425,   426,   427,   428,   429,   430,   431,
       0,   432,   433,   434,   435,   436,     0,   437,   438,   439,
     440,   753,   441,   442,   443,     0,   444,   445,   446,   447,
     448,   449,   450,   451,   452,   453,   454,     0,   455,   456,
       0,   457,   458,   459,   460,   461,   462,     0,   463,   464,
       0,     0,   465,   466,   467,   468,     0,   469,   470,   471,
     472,   473,   474,   475,     0,     0,   476,   477,   478,   479,
     480,     0,     0,   481,   482,   483,   484,   485,   486,   487,
       0,   488,   754,   489,   490,   491,     0,     0,   492,     0,
       0,   493,   494,   495,   496,   497,   498,   499,   500,   501,
     502,   503,   504,   505,   506,   507,   508,   509,     0,     0,
       0,     0,     0,     0,   207,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  4120,   208,   209,   210,   211,   212,
     213,   214,   215,     0,   217,   218,   219,     0,     0,     0,
       0,     0,     0,     0,   220,   221,     0,   222,   223,     0,
     224,   225,   226,   227,   228,     0,   229,   230,     0,   231,
     232,   233,   234,   235,     0,     0,   236,   237,   238,   239,
     240,     0,   241,   242,   243,   244,   245,     0,     0,     0,
     246,   247,   248,   249,     0,   250,   251,     0,   252,   253,
     254,   255,   256,   257,     0,     0,   258,   259,     0,     0,
       0,     0,     0,     0,     0,   260,   261,   262,   263,   264,
     265,   266,   267,   268,     0,   269,     0,   270,   271,   272,
     273,   274,     0,   275,   276,   277,     0,     0,   278,   279,
     280,   281,   282,     0,   283,   284,   285,     0,   286,   287,
     288,     0,   289,   290,   291,   292,   293,   294,   295,   296,
     297,     0,   298,     0,   299,   300,   301,     0,   302,     0,
     303,     0,     0,     0,   304,   305,   306,     0,   307,   308,
       0,   309,     0,   310,   311,   312,   313,   314,     0,   315,
     316,   317,     0,   318,   319,   320,   321,   322,   323,     0,
     324,     0,   325,   326,   327,   328,   329,   330,   331,     0,
     332,     0,   333,     0,     0,   334,     0,   335,   336,   337,
     338,   339,     0,   340,   341,     0,   342,   343,     0,   344,
       0,     0,   345,   346,   347,     0,     0,   348,   349,   350,
     351,   352,   353,   354,   355,   356,   357,   358,   359,   360,
     361,     0,   362,   363,   364,   365,     0,   366,   367,     0,
     368,     0,   369,   370,   371,   372,   373,   374,     0,   375,
       0,     0,   376,   377,   378,     0,     0,   379,     0,     0,
       0,   380,   381,   382,   383,   384,   385,   386,   387,     0,
     388,   389,   390,   391,   392,   393,   394,     0,   395,   396,
     397,   398,   399,   400,   401,   402,   403,   404,   405,   406,
     407,     0,   408,   409,   410,   411,   412,   413,   414,   415,
     416,   417,   418,     0,   419,   420,     0,   421,   422,   423,
     424,   425,   426,   427,   428,   429,   430,   431,    38,   432,
     433,   434,   435,   436,     0,   437,   438,   439,   440,     0,
     441,   442,   443,     0,   444,   445,   446,   447,   448,   449,
     450,   451,   452,   453,   454,     0,   455,   456,    42,   457,
     458,   459,   460,   461,   462,     0,   463,   464,     0,     0,
     465,   466,   467,   468,     0,   469,   470,   471,   472,   473,
     474,   475,     0,     0,   476,   477,   478,   479,   480,     0,
       0,   481,   482,   483,   484,   485,   956,   487,     0,   488,
       0,   489,   490,   491,     0,     0,   492,     0,    47,   493,
     494,   495,   496,   497,   498,   499,   500,   501,   502,   503,
     504,   505,   506,   507,   508,   509,     0,     0,     0,     0,
       0,     0,   207,     0,     0,     0,     0,     0,     0,     0,
       0,     0,    48,   208,   209,   210,   211,   212,   213,   214,
     215,     0,   217,   218,   219,     0,     0,     0,     0,     0,
       0,     0,   220,   221,     0,   222,   223,     0,   224,   225,
     226,   227,   228,     0,   229,   230,     0,   231,   232,   233,
     234,   235,     0,     0,   236,   237,   238,   239,   240,     0,
     241,   242,   243,   244,   245,     0,     0,     0,   246,   247,
     248,   249,     0,   250,   251,     0,   252,   253,   254,   255,
     256,   257,     0,     0,   258,   259,     0,     0,     0,     0,
       0,     0,     0,   260,   261,   262,   263,   264,   265,   266,
     267,   268,     0,   269,     0,   270,   271,   272,   273,   274,
       0,   275,   276,   277,     0,     0,   278,   279,   280,   281,
     282,     0,   283,   284,   285,     0,   286,   287,   288,     0,
     289,   290,   291,   292,   293,   294,   295,   296,   297,     0,
     298,     0,   299,   300,   301,     0,   302,     0,   303,     0,
       0,     0,   304,   305,   306,     0,   307,   308,     0,   309,
       0,   310,   311,   312,   313,   314,     0,   315,   316,   317,
       0,   318,   319,   320,   321,   322,   323,     0,   324,     0,
     325,   326,   327,   328,   329,   330,   331,     0,   332,     0,
     333,     0,     0,   334,     0,   335,   336,   337,   338,   339,
       0,   340,   341,     0,   342,   343,     0,   344,     0,     0,
     345,   346,   347,     0,     0,   348,   349,   350,   351,   352,
     353,   354,   355,   356,   357,   358,   359,   360,   361,     0,
     362,   363,   364,   365,     0,   366,   367,     0,   368,     0,
     369,   370,   371,   372,   373,   374,     0,   375,     0,     0,
     376,   377,   378,     0,     0,   379,     0,     0,     0,   380,
     381,   382,   383,   384,   385,   386,   387,     0,   388,   389,
     390,   391,   392,   393,   394,     0,   395,   396,   397,   398,
     399,   400,   401,   402,   403,   404,   405,   406,   407,     0,
     408,   409,   410,   411,   412,   413,   414,   415,   416,   417,
     418,     0,   419,   420,     0,   421,   422,   423,   424,   425,
     426,   427,   428,   429,   430,   431,     0,   432,   433,   434,
     435,   436,     0,   437,   438,   439,   440,     0,   441,   442,
     443,     0,   444,   445,   446,   447,   448,   449,   450,   451,
     452,   453,   454,     0,   455,   456,     0,   457,   458,   459,
     460,   461,   462,     0,   463,   464,     0,     0,   465,   466,
     467,   468,     0,   469,   470,   471,   472,   473,   474,   475,
       0,     0,   476,   477,   478,   479,   480,     0,     0,   481,
     482,   483,   484,   485,   486,   487,     0,   488,     0,   489,
     490,   491,     0,     0,   492,     0,     0,   493,   494,   495,
     496,   497,   498,   499,   500,   501,   502,   503,   504,   505,
     506,   507,   508,   509,     0,     0,     0,     0,     0,     0,
     207,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1139,   208,   209,   210,   211,   212,   213,   214,   215,     0,
     217,   218,   219,     0,     0,     0,     0,     0,     0,     0,
     220,   221,     0,   222,   223,     0,   224,   225,   226,   227,
     228,     0,   229,   230,     0,   231,   232,   233,   234,   235,
       0,     0,   236,   237,   238,   239,   240,     0,   241,   242,
     243,   244,   245,     0,     0,     0,   246,   247,   248,   249,
       0,   250,   251,     0,   252,   253,   254,   255,   256,   257,
       0,     0,   258,   259,     0,     0,     0,     0,     0,     0,
       0,   260,   261,   262,   263,   264,   265,   266,   267,   268,
       0,   269,     0,   270,   271,   272,   273,   274,     0,   275,
     276,   277,     0,     0,   278,   279,   280,   281,   282,     0,
     283,   284,   285,     0,   286,   287,   288,     0,   289,   290,
     291,   292,   293,   294,   295,   296,   297,     0,   298,     0,
     299,   300,   301,     0,   302,     0,   303,     0,     0,     0,
     304,   305,   306,     0,   307,   308,     0,   309,     0,   310,
     311,   312,   313,   314,     0,   315,   316,   317,     0,   318,
     319,   320,   321,   322,   323,     0,   324,     0,   325,   326,
     327,   328,   329,   330,   331,     0,   332,     0,   333,     0,
       0,   334,     0,   335,   336,   337,   338,   339,     0,   340,
     341,     0,   342,   343,     0,   344,     0,     0,   345,   346,
     347,     0,     0,   348,   349,   350,   351,   352,   353,   354,
     355,   356,   357,   358,   359,   360,   361,     0,   362,   363,
     364,   365,     0,   366,   367,     0,   368,     0,   369,   370,
     371,   372,   373,   374,     0,   375,     0,     0,   376,   377,
     378,     0,     0,   379,     0,     0,     0,   380,   381,   382,
     383,   384,   385,   386,   387,     0,   388,   389,   390,   391,
     392,   393,   394,     0,   395,   396,   397,   398,   399,   400,
     401,   402,   403,   404,   405,   406,   407,     0,   408,   409,
     410,   411,   412,   413,   414,   415,   416,   417,   418,     0,
     419,   420,     0,   421,   422,   423,   424,   425,   426,   427,
     428,   429,   430,   431,     0,   432,   433,   434,   435,   436,
       0,   437,   438,   439,   440,     0,   441,   442,   443,     0,
     444,   445,   446,   447,   448,   449,   450,   451,   452,   453,
     454,     0,   455,   456,     0,   457,   458,   459,   460,   461,
     462,     0,   463,   464,     0,     0,   465,   466,   467,   468,
       0,   469,   470,   471,   472,   473,   474,   475,     0,     0,
     476,   477,   478,   479,   480,     0,     0,   481,   482,   483,
     484,   485,   486,   487,     0,   488,     0,   489,   490,   491,
       0,     0,   492,     0,     0,   493,   494,   495,   496,   497,
     498,   499,   500,   501,   502,   503,   504,   505,   506,   507,
     508,   509,     0,     0,     0,     0,     0,     0,   207,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  2492,   208,
     209,   210,   211,   212,   213,   214,   215,     0,   217,   218,
     219,     0,     0,     0,     0,     0,     0,     0,   220,   221,
       0,   222,   223,     0,   224,   225,   226,   227,   228,     0,
     229,   230,     0,   231,   232,   233,   234,   235,     0,     0,
     236,   237,   238,   239,   240,     0,   241,   242,   243,   244,
     245,     0,     0,     0,   246,   247,   248,   249,     0,   250,
     251,     0,   252,   253,   254,   255,   256,   257,     0,     0,
     258,   259,     0,     0,     0,     0,     0,     0,     0,   260,
     261,   262,   263,   264,   265,   266,   267,   268,     0,   269,
       0,   270,   271,   272,   273,   274,     0,   275,   276,   277,
       0,     0,   278,   279,   280,   281,   282,     0,   283,   284,
     285,     0,   286,   287,   288,     0,   289,   290,   291,   292,
     293,   294,   295,   296,   297,     0,   298,     0,   299,   300,
     301,     0,   302,     0,   303,     0,     0,     0,   304,   305,
     306,     0,   307,   308,     0,   309,     0,   310,   311,   312,
     313,   314,     0,   315,   316,   317,     0,   318,   319,   320,
     321,   322,   323,     0,   324,     0,   325,   326,   327,   328,
     329,   330,   331,     0,   332,     0,   333,     0,     0,   334,
       0,   335,   336,   337,   338,   339,     0,   340,   341,     0,
     342,   343,     0,   344,     0,     0,   345,   346,   347,     0,
       0,   348,   349,   350,   351,   352,   353,   354,   355,   356,
     357,   358,   359,   360,   361,     0,   362,   363,   364,   365,
       0,   366,   367,     0,   368,     0,   369,   370,   371,   372,
     373,   374,     0,   375,     0,     0,   376,   377,   378,     0,
       0,   379,     0,     0,     0,   380,   381,   382,   383,   384,
     385,   386,   387,     0,   388,   389,   390,   391,   392,   393,
     394,     0,   395,   396,   397,   398,   399,   400,   401,   402,
     403,   404,   405,   406,   407,     0,   408,   409,   410,   411,
     412,   413,   414,   415,   416,   417,   418,     0,   419,   420,
       0,   421,   422,   423,   424,   425,   426,   427,   428,   429,
     430,   431,     0,   432,   433,   434,   435,   436,     0,   437,
     438,   439,   440,     0,   441,   442,   443,     0,   444,   445,
     446,   447,   448,   449,   450,   451,   452,   453,   454,     0,
     455,   456,     0,   457,   458,   459,   460,   461,   462,     0,
     463,   464,     0,     0,   465,   466,   467,   468,     0,   469,
     470,   471,   472,   473,   474,   475,     0,     0,   476,   477,
     478,   479,   480,     0,     0,   481,   482,   483,   484,   485,
     486,   487,     0,   488,     0,   489,   490,   491,     0,     0,
     492,     0,     0,   493,   494,   495,   496,   497,   498,   499,
     500,   501,   502,   503,   504,   505,   506,   507,   508,   509,
       0,     0,     0,     0,     0,     0,   207,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  3530,   208,   209,   210,
     211,   212,   213,   214,   215,     0,   217,   218,   219,     0,
       0,     0,     0,     0,     0,     0,   220,   221,     0,   222,
     223,     0,   224,   225,   226,   227,   228,     0,   229,   230,
       0,   231,   232,   233,   234,   235,     0,     0,   236,   237,
     238,   239,   240,     0,   241,   242,   243,   244,   245,     0,
       0,     0,   246,   247,   248,   249,     0,   250,   251,     0,
     252,   253,   254,   255,   256,   257,     0,     0,   258,   259,
       0,     0,     0,     0,     0,     0,     0,   260,   261,   262,
     263,   264,   265,   266,   267,   268,     0,   269,     0,   270,
     271,   272,   273,   274,     0,   275,   276,   277,     0,     0,
     278,   279,   280,   281,   282,     0,   283,   284,   285,     0,
     286,   287,   288,     0,   289,   290,   291,   292,   293,   294,
     295,   296,   297,     0,   298,     0,   299,   300,   301,     0,
     302,     0,   303,     0,     0,     0,   304,   305,   306,     0,
     307,   308,     0,   309,     0,   310,   311,   312,   313,   314,
       0,   315,   316,   317,     0,   318,   319,   320,   321,   322,
     323,     0,   324,     0,   325,   326,   327,   328,   329,   330,
     331,     0,   332,     0,   333,     0,     0,   334,     0,   335,
     336,   337,   338,   339,     0,   340,   341,     0,   342,   343,
       0,   344,     0,     0,   345,   346,   347,     0,     0,   348,
     349,   350,   351,   352,   353,   354,   355,   356,   357,   358,
     359,   360,   361,     0,   362,   363,   364,   365,     0,   366,
     367,     0,   368,     0,   369,   370,   371,   372,   373,   374,
       0,   375,     0,     0,   376,   377,   378,     0,     0,   379,
       0,     0,     0,   380,   381,   382,   383,   384,   385,   386,
     387,     0,   388,   389,   390,   391,   392,   393,   394,     0,
     395,   396,   397,   398,   399,   400,   401,   402,   403,   404,
     405,   406,   407,     0,   408,   409,   410,   411,   412,   413,
     414,   415,   416,   417,   418,     0,   419,   420,     0,   421,
     422,   423,   424,   425,   426,   427,   428,   429,   430,   431,
       0,   432,   433,   434,   435,   436,     0,   437,   438,   439,
     440,     0,   441,   442,   443,     0,   444,   445,   446,   447,
     448,   449,   450,   451,   452,   453,   454,     0,   455,   456,
       0,   457,   458,   459,   460,   461,   462,     0,   463,   464,
       0,     0,   465,   466,   467,   468,     0,   469,   470,   471,
     472,   473,   474,   475,     0,     0,   476,   477,   478,   479,
     480,     0,     0,   481,   482,   483,   484,   485,   486,   487,
       0,   488,     0,   489,   490,   491,     0,     0,   492,     0,
       0,   493,   494,   495,   496,   497,   498,   499,   500,   501,
     502,   503,   504,   505,   506,   507,   508,   509,     0,     0,
       0,     0,     0,     0,  1373,  1269,   564,     0,     0,   785,
     615,     0,     0,     0,  3869,   208,   209,   210,   211,   212,
     213,   214,   215,  1715,   217,   218,   219,  1716,  1717,  1718,
    1719,  1720,  1721,  1722,   220,   221,  1723,   222,   223,   732,
     224,   225,   226,     0,  1374,   733,  1375,  1376,  1724,   231,
     232,   233,   234,   235,  1725,  1726,   236,   237,  1377,  1378,
     240,  1727,   241,   242,   243,   244,     0,  1728,   734,  1729,
     246,   247,   248,   249,   735,   250,   251,  1730,   252,   253,
     254,   255,   256,   257,  1731,   736,   258,   259,  1732,  1733,
    1734,   737,  1735,  1736,  1737,   260,   261,   262,   263,   264,
     265,  1379,  1380,   268,  1738,   269,  1739,   270,   271,   272,
     273,   274,  1740,   275,   276,   277,  1741,  1742,   278,   279,
    1041,   281,   282,  1743,   283,   284,   285,  1744,   286,   287,
     288,  1745,   289,   290,   291,   292,     0,   294,   295,   296,
       0,  1746,   298,  1747,   299,  1381,   301,  1748,   302,  1749,
     303,   738,  1750,   739,   304,   305,   306,  1751,   307,     0,
    1752,   309,  1753,   310,   311,   312,   313,   314,   740,   315,
     316,   317,  1754,   318,   319,   320,   321,   322,   323,  1755,
     324,   741,     0,   326,   327,   328,   329,  1382,  1383,  1756,
    1384,  1757,   333,   742,   743,   334,   744,   335,   336,   337,
     338,   339,  1758,   340,   341,  1759,   342,     0,   745,   344,
     746,  1760,   345,   346,   347,  1761,  1762,   348,   349,   350,
     351,   352,   353,   354,   355,   356,   357,   358,   359,   360,
    1385,   747,  1386,   363,   364,     0,  1763,   366,   367,   748,
     368,  1764,     0,   370,  1387,   372,   373,   374,  1765,   375,
    1766,  1767,  3254,   377,   378,  1768,  1769,     0,   749,   750,
     751,     0,   381,   382,   383,   384,   385,   386,   387,  1770,
     388,     0,   390,     0,   392,   393,   394,  1771,   395,   396,
     397,   398,   399,   400,   401,   402,  1388,   404,   405,   406,
     407,  1772,   408,   409,   410,   411,   412,   413,   414,   415,
     416,   417,   418,  1773,   419,   420,   752,   421,   422,     0,
     424,   425,   426,   427,   428,   429,   430,   431,  1774,   432,
     433,   434,   435,   436,  1775,   437,  1944,   439,   440,   753,
     441,  1390,   443,  1776,   444,   445,   446,   447,   448,   449,
     450,   451,   452,   453,     0,  1777,   455,   456,  1778,   457,
     458,   459,   460,   461,   462,  1779,  1391,  1392,  1780,  1781,
     465,     0,   467,     0,  1782,   469,   470,   471,   472,   473,
     474,   475,  1783,  1784,   476,   477,   478,   479,   480,  1785,
    1786,   481,   482,   483,   484,   485,     0,  1393,  1787,   488,
     754,   489,   490,   491,  1788,  1789,   492,  1790,  1791,   493,
     494,   495,   496,   497,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   507,   508,   509,     0,     0,     0,   788,
     789,   790,     0,  3255,  3256,   793,   794,   795,   796,   207,
       0,     0,     0,     0,   785,     0,     0,     0,     0,     0,
     208,   209,   210,   211,   212,   213,   214,   215,     0,   217,
     218,   219,     0,     0,     0,     0,     0,     0,     0,   220,
     221,     0,   222,   223,     0,   224,   225,   226,   227,   228,
       0,   229,   230,     0,   231,   232,   233,   234,   235,     0,
       0,   236,   237,   238,   239,   240,     0,   241,   786,   243,
     244,   245,     0,     0,     0,   246,   247,   248,   249,     0,
     250,   251,     0,   252,   253,   254,   255,   256,   257,     0,
       0,   258,   259,     0,     0,     0,     0,     0,     0,     0,
     260,   261,   262,   263,   264,   265,   266,   267,   268,     0,
     269,     0,   270,   271,   272,   273,   274,     0,   275,   276,
     277,     0,     0,   278,   279,   280,   281,   282,     0,   283,
     284,   285,     0,   286,   287,   288,     0,   289,   290,   291,
     292,   293,   294,   295,   296,   297,     0,   787,     0,   299,
     300,   301,     0,   302,     0,   303,     0,     0,     0,   304,
     305,   306,     0,   307,   308,     0,   309,     0,   310,   311,
     312,   313,   314,     0,   315,   316,   317,     0,   318,   319,
     320,   321,   322,   323,     0,   324,     0,   325,   326,   327,
     328,   329,   330,   331,     0,   332,     0,   333,     0,     0,
     334,     0,   335,   336,   337,   338,   339,     0,   340,   341,
       0,   342,   343,     0,   344,     0,     0,   345,   346,   347,
       0,     0,   348,   349,   350,   351,   352,   353,   354,   355,
     356,   357,   358,   359,   360,   361,     0,   362,   363,   364,
     365,     0,   366,   367,     0,   368,     0,   369,   370,   371,
     372,   373,   374,     0,   375,     0,     0,   376,   377,   378,
       0,     0,   379,     0,     0,     0,   380,   381,   382,   383,
     384,   385,   386,   387,     0,   388,   389,   390,   391,   392,
     393,   394,     0,   395,   396,   397,   398,   399,   400,   401,
     402,   403,   404,   405,   406,   407,     0,   408,   409,   410,
     411,   412,   413,   414,   415,   416,   417,   418,     0,   419,
     420,     0,   421,   422,   423,   424,   425,   426,   427,   428,
     429,   430,   431,     0,   432,   433,   434,   435,   436,     0,
     437,   438,   439,   440,     0,   441,   442,   443,     0,   444,
     445,   446,   447,   448,   449,   450,   451,   452,   453,   454,
       0,   455,   456,     0,   457,   458,   459,   460,   461,   462,
       0,   463,   464,     0,     0,   465,   466,   467,   468,     0,
     469,   470,   471,   472,   473,   474,   475,     0,     0,   476,
     477,   478,   479,   480,     0,     0,   481,   482,   483,   484,
     485,   486,   487,     0,   488,     0,   489,   490,   491,     0,
       0,   492,     0,     0,   493,   494,   495,   496,   497,   498,
     499,   500,   501,   502,   503,   504,   505,   506,   507,   508,
     509,     0,     0,     0,   788,   789,   790,     0,   791,   792,
     793,   794,   795,   796,   207,     0,     0,     0,     0,   785,
       0,     0,     0,     0,     0,   208,   209,   210,   211,   212,
     213,   214,   215,     0,   217,   218,   219,     0,     0,     0,
       0,     0,     0,     0,   220,   221,     0,   222,   223,     0,
     224,   225,   226,   227,   228,     0,   229,   230,     0,   231,
     232,   233,   234,   235,     0,     0,   236,   237,   238,   239,
     240,     0,   241,   879,   243,   244,   245,     0,     0,     0,
     246,   247,   248,   249,     0,   250,   251,     0,   252,   253,
     254,   255,   256,   257,     0,     0,   258,   259,     0,     0,
       0,     0,     0,     0,     0,   260,   261,   262,   263,   264,
     265,   266,   267,   268,     0,   269,     0,   270,   271,   272,
     273,   274,     0,   275,   276,   277,     0,     0,   278,   279,
     280,   281,   282,     0,   283,   284,   285,     0,   286,   287,
     288,     0,   289,   290,   291,   292,   293,   294,   295,   296,
     297,     0,   880,     0,   299,   300,   301,     0,   302,     0,
     303,     0,     0,     0,   304,   305,   306,     0,   307,   308,
       0,   309,     0,   310,   311,   312,   313,   314,     0,   315,
     316,   317,     0,   318,   319,   320,   321,   322,   323,     0,
     324,     0,   325,   326,   327,   328,   329,   330,   331,     0,
     332,     0,   333,     0,     0,   334,     0,   335,   336,   337,
     338,   339,     0,   340,   341,     0,   342,   343,     0,   344,
       0,     0,   345,   346,   347,     0,     0,   348,   349,   350,
     351,   352,   353,   354,   355,   356,   357,   358,   359,   360,
     361,     0,   362,   363,   364,   365,     0,   366,   367,     0,
     368,     0,   369,   370,   371,   372,   373,   374,     0,   375,
       0,     0,   376,   377,   378,     0,     0,   379,     0,     0,
       0,   380,   381,   382,   383,   384,   385,   386,   387,     0,
     388,   389,   390,   391,   392,   393,   394,     0,   395,   396,
     397,   398,   399,   400,   401,   402,   403,   404,   405,   406,
     407,     0,   408,   409,   410,   411,   412,   413,   414,   415,
     416,   417,   418,     0,   419,   420,     0,   421,   422,   423,
     424,   425,   426,   427,   428,   429,   430,   431,     0,   432,
     433,   434,   435,   436,     0,   437,   438,   439,   440,     0,
     441,   442,   443,     0,   444,   445,   446,   447,   448,   449,
     450,   451,   452,   453,   454,     0,   455,   456,     0,   457,
     458,   459,   460,   461,   462,     0,   463,   464,     0,     0,
     465,   466,   467,   468,     0,   469,   470,   471,   472,   473,
     474,   475,     0,     0,   476,   477,   478,   479,   480,     0,
       0,   481,   482,   483,   484,   485,   486,   487,     0,   488,
       0,   489,   490,   491,     0,     0,   492,     0,     0,   493,
     494,   495,   496,   497,   498,   499,   500,   501,   502,   503,
     504,   505,   506,   507,   508,   509,     0,     0,     0,   788,
     789,   790,     0,   791,   792,   793,   794,   795,   796,   207,
       0,     0,     0,     0,   785,     0,     0,     0,     0,     0,
     208,   209,   210,   211,   212,   213,   214,   215,     0,   217,
     218,   219,     0,     0,     0,     0,     0,     0,     0,   220,
     221,     0,   222,   223,     0,   224,   225,   226,   227,   228,
       0,   229,   230,     0,   231,   232,   233,   234,   235,     0,
       0,   236,   237,   238,   239,   240,     0,   241,   929,   243,
     244,   245,     0,     0,     0,   246,   247,   248,   249,     0,
     250,   251,     0,   252,   253,   254,   255,   256,   257,     0,
       0,   258,   259,     0,     0,     0,     0,     0,     0,     0,
     260,   261,   262,   263,   264,   265,   266,   267,   268,     0,
     269,     0,   270,   271,   272,   273,   274,     0,   275,   276,
     277,     0,     0,   278,   279,   280,   281,   282,     0,   283,
     284,   285,     0,   286,   287,   288,     0,   289,   290,   291,
     292,   293,   294,   295,   296,   297,     0,   930,     0,   299,
     300,   301,     0,   302,     0,   303,     0,     0,     0,   304,
     305,   306,     0,   307,   308,     0,   309,     0,   310,   311,
     312,   313,   931,     0,   315,   316,   317,     0,   318,   319,
     320,   321,   322,   323,     0,   324,     0,   325,   326,   327,
     328,   329,   330,   331,     0,   332,     0,   333,     0,     0,
     334,     0,   335,   336,   337,   338,   339,     0,   340,   341,
       0,   342,   343,     0,   344,     0,     0,   345,   346,   347,
       0,     0,   348,   349,   350,   351,   352,   353,   354,   355,
     356,   357,   358,   359,   360,   361,     0,   362,   363,   364,
     365,     0,   366,   367,     0,   368,     0,   369,   370,   371,
     372,   373,   374,     0,   375,     0,     0,   376,   377,   378,
       0,     0,   379,     0,     0,     0,   380,   381,   382,   383,
     384,   385,   386,   387,     0,   388,   389,   390,   391,   392,
     393,   394,     0,   395,   396,   397,   398,   399,   400,   401,
     402,   403,   404,   405,   406,   407,     0,   408,   409,   410,
     411,   412,   413,   414,   415,   416,   417,   418,     0,   419,
     420,     0,   421,   422,   423,   424,   425,   426,   427,   428,
     429,   430,   431,     0,   432,   433,   434,   435,   436,     0,
     437,   438,   439,   440,     0,   441,   442,   443,     0,   444,
     445,   446,   447,   448,   449,   450,   451,   452,   453,   454,
       0,   455,   456,     0,   457,   458,   459,   460,   461,   462,
       0,   463,   464,     0,     0,   465,   466,   467,   468,     0,
     469,   470,   471,   472,   473,   474,   475,     0,     0,   476,
     477,   478,   479,   480,     0,     0,   481,   482,   483,   484,
     485,   486,   487,     0,   488,     0,   489,   490,   491,     0,
       0,   492,     0,     0,   493,   494,   495,   496,   497,   498,
     499,   500,   501,   502,   503,   504,   505,   506,   507,   508,
     509,     0,     0,     0,   788,   789,   790,     0,   791,   792,
     793,   794,   795,   796,   207,     0,     0,     0,     0,   785,
       0,     0,     0,     0,     0,   208,   209,   210,   211,   212,
     213,   214,   215,     0,   217,   218,   219,     0,     0,     0,
       0,     0,     0,     0,   220,   221,     0,   222,   223,     0,
     224,   225,   226,   227,   228,     0,   229,   230,     0,   231,
     232,   233,   234,   235,     0,     0,   236,   237,   238,   239,
     240,     0,   241,  1358,   243,   244,   245,     0,     0,     0,
     246,   247,   248,   249,     0,   250,   251,     0,   252,   253,
     254,   255,   256,   257,     0,     0,   258,   259,     0,     0,
       0,     0,     0,     0,     0,   260,   261,   262,   263,   264,
     265,   266,   267,   268,     0,   269,     0,   270,   271,   272,
     273,   274,     0,   275,   276,   277,     0,     0,   278,   279,
     280,   281,   282,     0,   283,   284,   285,     0,   286,   287,
     288,     0,   289,   290,   291,   292,   293,   294,   295,   296,
     297,     0,  1359,     0,   299,   300,   301,     0,   302,     0,
     303,     0,     0,     0,   304,   305,   306,     0,   307,   308,
       0,   309,     0,   310,   311,   312,   313,   314,     0,   315,
     316,   317,     0,   318,   319,   320,   321,   322,   323,     0,
     324,     0,   325,   326,   327,   328,   329,   330,   331,     0,
     332,     0,   333,     0,     0,   334,     0,   335,   336,   337,
     338,   339,     0,   340,   341,     0,   342,   343,     0,   344,
       0,     0,   345,   346,   347,     0,     0,   348,   349,   350,
     351,   352,   353,   354,   355,   356,   357,   358,   359,   360,
     361,     0,   362,   363,   364,   365,     0,   366,   367,     0,
     368,     0,   369,   370,   371,   372,   373,   374,     0,   375,
       0,     0,   376,   377,   378,     0,     0,   379,     0,     0,
       0,   380,   381,   382,   383,   384,   385,   386,   387,     0,
     388,   389,   390,   391,   392,   393,   394,     0,   395,   396,
     397,   398,   399,   400,   401,   402,   403,   404,   405,   406,
     407,     0,   408,   409,   410,   411,   412,   413,   414,   415,
     416,   417,   418,     0,   419,   420,     0,   421,   422,   423,
     424,   425,   426,   427,   428,   429,   430,   431,     0,   432,
     433,   434,   435,   436,     0,   437,   438,   439,   440,     0,
     441,   442,   443,     0,   444,   445,   446,   447,   448,   449,
     450,   451,   452,   453,   454,     0,   455,   456,     0,   457,
     458,   459,   460,   461,   462,     0,   463,   464,     0,     0,
     465,   466,   467,   468,     0,   469,   470,   471,   472,   473,
     474,   475,     0,     0,   476,   477,   478,   479,   480,     0,
       0,   481,   482,   483,   484,   485,   486,   487,     0,   488,
       0,   489,   490,   491,     0,     0,   492,     0,     0,   493,
     494,   495,   496,   497,   498,   499,   500,   501,   502,   503,
     504,   505,   506,   507,   508,   509,     0,     0,     0,   788,
     789,   790,     0,   791,   792,   793,   794,   795,   796,   207,
       0,     0,     0,     0,   785,     0,     0,     0,     0,     0,
     208,   209,   210,   211,   212,   213,   214,   215,     0,   217,
     218,   219,     0,     0,     0,     0,     0,     0,     0,   220,
     221,     0,   222,   223,     0,   224,   225,   226,   227,   228,
       0,   229,   230,     0,   231,   232,   233,   234,   235,     0,
       0,   236,   237,   238,   239,   240,     0,   241,   242,   243,
     244,   245,     0,     0,     0,   246,   247,   248,   249,     0,
     250,   251,     0,   252,   253,   254,   255,   256,   257,     0,
       0,   258,   259,     0,     0,     0,     0,     0,     0,     0,
     260,   261,   262,   263,   264,   265,   266,   267,   268,     0,
     269,     0,   270,   271,   272,   273,   274,     0,   275,   276,
     277,     0,     0,   278,   279,   280,   281,   282,     0,   283,
     284,   285,     0,   286,   287,   288,     0,   289,   290,   291,
     292,   293,   294,   295,   296,   297,     0,   298,     0,   299,
     300,   301,     0,   302,     0,   303,     0,     0,     0,   304,
     305,   306,     0,   307,   308,     0,   309,     0,   310,   311,
     312,   313,   314,     0,   315,   316,   317,     0,   318,   319,
     320,   321,   322,   323,     0,   324,     0,   325,   326,   327,
     328,   329,   330,   331,     0,   332,     0,   333,     0,     0,
     334,     0,   335,   336,   337,   338,   339,     0,   340,   341,
       0,   342,   343,     0,   344,     0,     0,   345,   346,   347,
       0,     0,   348,   349,   350,   351,   352,   353,   354,   355,
     356,   357,   358,   359,   360,   361,     0,   362,   363,   364,
     365,     0,   366,   367,     0,   368,     0,   369,   370,   371,
     372,   373,   374,     0,   375,     0,     0,   376,   377,   378,
       0,     0,   379,     0,     0,     0,   380,   381,   382,   383,
     384,   385,   386,   387,     0,   388,   389,   390,   391,   392,
     393,   394,     0,   395,   396,   397,   398,   399,   400,   401,
     402,   403,   404,   405,   406,   407,     0,   408,   409,   410,
     411,   412,   413,   414,   415,   416,   417,   418,     0,   419,
     420,     0,   421,   422,   423,   424,   425,   426,   427,   428,
     429,   430,   431,     0,   432,   433,   434,   435,   436,     0,
     437,   438,   439,   440,     0,   441,   442,   443,     0,   444,
     445,   446,   447,   448,   449,   450,   451,   452,   453,   454,
       0,   455,   456,     0,   457,   458,   459,   460,   461,   462,
       0,   463,   464,     0,     0,   465,   466,   467,   468,     0,
     469,   470,   471,   472,   473,   474,   475,     0,     0,   476,
     477,   478,   479,   480,     0,     0,   481,   482,   483,   484,
     485,   486,   487,     0,   488,     0,   489,   490,   491,     0,
       0,   492,     0,     0,   493,   494,   495,   496,   497,   498,
     499,   500,   501,   502,   503,   504,   505,   506,   507,   508,
     509,     0,     0,     0,   788,   789,   790,     0,   791,   792,
     793,   794,   795,   796,   207,     0,     0,     0,     0,   785,
       0,     0,     0,     0,     0,   208,   209,   210,   211,   212,
     213,   214,   215,     0,   217,   218,   219,     0,     0,     0,
       0,     0,     0,     0,   220,   221,     0,   222,   223,     0,
     224,   225,   226,   227,   228,     0,   229,   230,     0,   231,
     232,   233,   234,   235,     0,     0,   236,   237,   238,   239,
     240,     0,   241,  2558,   243,   244,   245,     0,     0,     0,
     246,   247,   248,   249,     0,   250,   251,     0,   252,   253,
     254,   255,   256,   257,     0,     0,   258,   259,     0,     0,
       0,     0,     0,     0,     0,   260,   261,   262,   263,   264,
     265,   266,   267,   268,     0,   269,     0,   270,   271,   272,
     273,   274,     0,   275,   276,   277,     0,     0,   278,   279,
     280,   281,   282,     0,   283,   284,   285,     0,   286,   287,
     288,     0,   289,   290,   291,   292,   293,   294,   295,   296,
     297,     0,  2559,     0,   299,   300,   301,     0,   302,     0,
     303,     0,     0,     0,   304,   305,   306,     0,   307,   308,
       0,   309,     0,   310,   311,   312,   313,   314,     0,   315,
     316,   317,     0,   318,   319,   320,   321,   322,   323,     0,
     324,     0,   325,   326,   327,   328,   329,   330,   331,     0,
     332,     0,   333,     0,     0,   334,     0,   335,   336,   337,
     338,   339,     0,   340,   341,     0,   342,   343,     0,   344,
       0,     0,   345,   346,   347,     0,     0,   348,   349,   350,
     351,   352,   353,   354,   355,   356,   357,   358,   359,   360,
     361,     0,   362,   363,   364,   365,     0,   366,   367,     0,
     368,     0,   369,   370,   371,   372,   373,   374,     0,   375,
       0,     0,   376,   377,   378,     0,     0,   379,     0,     0,
       0,   380,   381,   382,   383,   384,   385,   386,   387,     0,
     388,   389,   390,   391,   392,   393,   394,     0,   395,   396,
     397,   398,   399,   400,   401,   402,   403,   404,   405,   406,
     407,     0,   408,   409,   410,   411,   412,   413,   414,   415,
     416,   417,   418,     0,   419,   420,     0,   421,   422,   423,
     424,   425,   426,   427,   428,   429,   430,   431,     0,   432,
     433,   434,   435,   436,     0,   437,   438,   439,   440,     0,
     441,   442,   443,     0,   444,   445,   446,   447,   448,   449,
     450,   451,   452,   453,   454,     0,   455,   456,     0,   457,
     458,   459,   460,   461,   462,     0,   463,   464,     0,     0,
     465,   466,   467,   468,     0,   469,   470,   471,   472,   473,
     474,   475,     0,     0,   476,   477,   478,   479,   480,     0,
       0,   481,   482,   483,   484,   485,   486,   487,     0,   488,
       0,   489,   490,   491,     0,     0,   492,     0,     0,   493,
     494,   495,   496,   497,   498,   499,   500,   501,   502,   503,
     504,   505,   506,   507,   508,   509,     0,     0,     0,   788,
     789,   790,     0,   791,   792,   793,   794,   795,   796,   207,
       0,     0,     0,     0,   785,     0,     0,     0,     0,     0,
     208,   209,   210,   211,   212,   213,   214,   215,     0,   217,
     218,   219,     0,     0,     0,     0,     0,     0,     0,   220,
     221,     0,   222,   223,     0,   224,   225,   226,   227,   228,
       0,   229,   230,     0,   231,   232,   233,   234,   235,     0,
       0,   236,   237,   238,   239,   240,     0,   241,   242,   243,
     244,   245,     0,     0,     0,   246,   247,   248,   249,     0,
     250,   251,     0,   252,   253,   254,   255,   256,   257,     0,
       0,   258,   259,     0,     0,     0,     0,     0,     0,     0,
     260,   261,   262,   263,   264,   265,   266,   267,   268,     0,
     269,     0,   270,   271,   272,   273,   274,     0,   275,   276,
     277,     0,     0,   278,   279,   280,   281,   282,     0,   283,
     284,   285,     0,   286,   287,   288,     0,   289,   290,   291,
     292,   293,   294,   295,   296,   297,     0,   298,     0,   299,
     300,   301,     0,   302,     0,   303,     0,     0,     0,   304,
     305,   306,     0,   307,   308,     0,   309,     0,   310,   311,
     312,   313,   314,     0,   315,   316,   317,     0,   318,   319,
     320,   321,   322,   323,     0,   324,     0,   325,   326,   327,
     328,   329,   330,   331,     0,   332,     0,   333,     0,     0,
     334,     0,   335,   336,   337,   338,   339,     0,   340,   341,
       0,   342,   343,     0,   344,     0,     0,   345,   346,   347,
       0,     0,   348,   349,   350,   351,   352,   353,   354,   355,
     356,   357,   358,   359,   360,   361,     0,   362,   363,   364,
     365,     0,   366,   367,     0,   368,     0,   369,   370,   371,
     372,   373,   374,     0,   375,     0,     0,  4103,   377,   378,
       0,     0,   379,     0,     0,     0,   380,   381,   382,   383,
     384,   385,   386,   387,     0,   388,   389,   390,   391,   392,
     393,   394,     0,   395,   396,   397,   398,   399,   400,   401,
     402,   403,   404,   405,   406,   407,     0,   408,   409,   410,
     411,   412,   413,   414,   415,   416,   417,   418,     0,   419,
     420,     0,   421,   422,   423,   424,   425,   426,   427,   428,
     429,   430,   431,     0,   432,   433,   434,   435,   436,     0,
     437,   438,   439,   440,     0,   441,   442,   443,     0,   444,
     445,   446,   447,   448,   449,   450,   451,   452,   453,   454,
       0,   455,   456,     0,   457,   458,   459,   460,   461,   462,
       0,   463,   464,     0,     0,   465,   466,   467,   468,     0,
     469,   470,   471,   472,   473,   474,   475,     0,     0,   476,
     477,   478,   479,   480,     0,     0,   481,   482,   483,   484,
     485,   486,   487,     0,   488,     0,   489,   490,   491,     0,
       0,   492,     0,     0,   493,   494,   495,   496,   497,   498,
     499,   500,   501,   502,   503,   504,   505,   506,   507,   508,
     509,     0,     0,  1714,   788,   789,   790,     0,   791,   792,
     793,   794,   795,   796,   208,   209,   210,   211,   212,   213,
     214,   215,  1715,   217,   218,   219,  1716,  1717,  1718,  1719,
    1720,  1721,  1722,   220,   221,  1723,   222,   223,   732,   224,
     225,   226,   227,   228,   733,   229,   230,  1724,   231,   232,
     233,   234,   235,  1725,  1726,   236,   237,   238,   239,   240,
    1727,   241,   242,   243,   244,   245,  1728,   734,  1729,   246,
     247,   248,   249,   735,   250,   251,  1730,   252,   253,   254,
     255,   256,   257,  1731,   736,   258,   259,  1732,  1733,  1734,
     737,  1735,  1736,  1737,   260,   261,   262,   263,   264,   265,
     266,   267,   268,  1738,   269,  1739,   270,   271,   272,   273,
     274,  1740,   275,   276,   277,  1741,  1742,   278,   279,   280,
     281,   282,  1743,   283,   284,   285,  1744,   286,   287,   288,
    1745,   289,   290,   291,   292,   293,   294,   295,   296,   297,
    1746,   298,  1747,   299,   300,   301,  1748,   302,  1749,   303,
     738,  1750,   739,   304,   305,   306,  1751,   307,   308,  1752,
     309,  1753,   310,   311,   312,   313,   314,   740,   315,   316,
     317,  1754,   318,   319,   320,   321,   322,   323,  1755,   324,
     741,   325,   326,   327,   328,   329,   330,   331,  1756,   332,
    1757,   333,   742,   743,   334,   744,   335,   336,   337,   338,
     339,  1758,   340,   341,  1759,   342,   343,   745,   344,   746,
    1760,   345,   346,   347,  1761,  1762,   348,   349,   350,   351,
     352,   353,   354,   355,   356,   357,   358,   359,   360,   361,
     747,   362,   363,   364,   365,  1763,   366,   367,   748,   368,
    1764,   369,   370,   371,   372,   373,   374,  1765,   375,  1766,
    1767,   376,   377,   378,  1768,  1769,   379,   749,   750,   751,
     380,   381,   382,   383,   384,   385,   386,   387,  1770,   388,
     389,   390,   391,   392,   393,   394,  1771,   395,   396,   397,
     398,   399,   400,   401,   402,   403,   404,   405,   406,   407,
    1772,   408,   409,   410,   411,   412,   413,   414,   415,   416,
     417,   418,  1773,   419,   420,   752,   421,   422,   423,   424,
     425,   426,   427,   428,   429,   430,   431,  1774,   432,   433,
     434,   435,   436,  1775,   437,   438,   439,   440,   753,   441,
     442,   443,  1776,   444,   445,   446,   447,   448,   449,   450,
     451,   452,   453,   454,  1777,   455,   456,  1778,   457,   458,
     459,   460,   461,   462,  1779,   463,   464,  1780,  1781,   465,
     466,   467,   468,  1782,   469,   470,   471,   472,   473,   474,
     475,  1783,  1784,   476,   477,   478,   479,   480,  1785,  1786,
     481,   482,   483,   484,   485,   486,   487,  1787,   488,   754,
     489,   490,   491,  1788,  1789,   492,  1790,  1791,   493,   494,
     495,   496,   497,   498,   499,   500,   501,   502,   503,   504,
     505,   506,   507,   508,   509,   207,     0,     0,     0,     0,
       0,     0,     0,     0,  1792,     0,   208,   209,   210,   211,
     212,   213,   214,   215,     0,   217,   218,   219,     0,     0,
       0,     0,     0,     0,     0,   220,   221,     0,   222,   223,
       0,   224,   225,   226,   227,   228,     0,   229,   230,     0,
     231,   232,   233,   234,   235,     0,     0,   236,   237,   238,
     239,   240,     0,   241,   242,   243,   244,   245,     0,     0,
       0,   246,   247,   248,   249,     0,   250,   251,     0,   252,
     253,   254,   255,   256,   257,     0,     0,   258,   259,     0,
       0,     0,     0,     0,     0,     0,   260,   261,   262,   263,
     264,   265,   266,   267,   268,     0,   269,     0,   270,   271,
     272,   273,   274,     0,   275,   276,   277,     0,     0,   278,
     279,   280,   281,   282,     0,   283,   284,   285,     0,   286,
     287,   288,     0,   289,   290,   291,   292,   293,   294,   295,
     296,   297,     0,   298,     0,   299,   300,   301,     0,   302,
       0,   303,     0,     0,     0,   304,   305,   306,     0,   307,
     308,     0,   309,     0,   310,   311,   312,   313,   314,     0,
     315,   316,   317,     0,   318,   319,   320,   321,   322,   323,
       0,   324,     0,   325,   326,   327,   328,   329,   330,   331,
       0,   332,     0,   333,     0,     0,   334,     0,   335,   336,
     337,   338,   339,     0,   340,   341,     0,   342,   343,     0,
     344,     0,     0,   345,   346,   347,     0,     0,   348,   349,
     350,   351,   352,   353,   354,   355,   356,   357,   358,   359,
     360,   361,     0,   362,   363,   364,   365,     0,   366,   367,
       0,   368,     0,   369,   370,   371,   372,   373,   374,     0,
     375,     0,     0,   376,   377,   378,     0,     0,   379,     0,
       0,     0,   380,   381,   382,   383,   384,   385,   386,   387,
       0,   388,   389,   390,   391,   392,   393,   394,     0,   395,
     396,   397,   398,   399,   400,   401,   402,   403,   404,   405,
     406,   407,     0,   408,   409,   410,   411,   412,   413,   414,
     415,   416,   417,   418,     0,   419,   420,     0,   421,   422,
     423,   424,   425,   426,   427,   428,   429,   430,   431,     0,
     432,   433,   434,   435,   436,     0,   437,   438,   439,   440,
       0,   441,   442,   443,     0,   444,   445,   446,   447,   448,
     449,   450,   451,   452,   453,   454,     0,   455,   456,     0,
     457,   458,   459,   460,   461,   462,     0,   463,   464,     0,
       0,   465,   466,   467,   468,     0,   469,   470,   471,   472,
     473,   474,   475,     0,     0,   476,   477,   478,   479,   480,
       0,     0,   481,   482,   483,   484,   485,   486,   487,     0,
     488,     0,   489,   490,   491,     0,     0,   492,     0,     0,
     493,   494,   495,   496,   497,   498,   499,   500,   501,   502,
     503,   504,   505,   506,   507,   508,   509,   207,     0,     0,
       0,     0,     0,     0,     0,     0,   701,     0,   208,   209,
     210,   211,   212,   213,   214,   215,     0,   217,   218,   219,
       0,     0,     0,     0,     0,     0,     0,   220,   221,     0,
     222,   223,     0,   224,   225,   226,   227,   228,     0,   229,
     230,     0,   231,   232,   233,   234,   235,     0,     0,   236,
     237,   238,   239,   240,     0,   241,   242,   243,   244,   245,
       0,     0,     0,   246,   247,   248,   249,     0,   250,   251,
       0,   252,   253,   254,   255,   256,   257,     0,     0,   258,
     259,     0,     0,     0,     0,     0,     0,     0,   260,   261,
     262,   263,   264,   265,   266,   267,   268,     0,   269,     0,
     270,   271,   272,   273,   274,     0,   275,   276,   277,     0,
       0,   278,   279,   280,   281,   282,     0,   283,   284,   285,
       0,   286,   287,   288,     0,   289,   290,   291,   292,   293,
     294,   295,   296,   297,     0,   298,     0,   299,   300,   301,
       0,   302,     0,   303,     0,     0,     0,   304,   305,   306,
       0,   307,   308,     0,   309,     0,   310,   311,   312,   313,
     314,     0,   315,   316,   317,     0,   318,   319,   320,   321,
     322,   323,     0,   324,     0,   325,   326,   327,   328,   329,
     330,   331,     0,   332,     0,   333,     0,     0,   334,     0,
     335,   336,   337,   338,   339,     0,   340,   341,     0,   342,
     343,     0,   344,     0,     0,   345,   346,   347,     0,     0,
     348,   349,   350,   351,   352,   353,   354,   355,   356,   357,
     358,   359,   360,   361,     0,   362,   363,   364,   365,     0,
     366,   367,     0,   368,     0,   369,   370,   371,   372,   373,
     374,     0,   375,     0,     0,   376,   377,   378,     0,     0,
     379,     0,     0,     0,   380,   381,   382,   383,   384,   385,
     386,   387,     0,   388,   389,   390,   391,   392,   393,   394,
       0,   395,   396,   397,   398,   399,   400,   401,   402,   403,
     404,   405,   406,   407,     0,   408,   409,   410,   411,   412,
     413,   414,   415,   416,   417,   418,     0,   419,   420,     0,
     421,   422,   423,   424,   425,   426,   427,   428,   429,   430,
     431,     0,   432,   433,   434,   435,   436,     0,   437,   438,
     439,   440,     0,   441,   442,   443,     0,   444,   445,   446,
     447,   448,   449,   450,   451,   452,   453,   454,     0,   455,
     456,     0,   457,   458,   459,   460,   461,   462,     0,   463,
     464,     0,     0,   465,   466,   467,   468,     0,   469,   470,
     471,   472,   473,   474,   475,     0,     0,   476,   477,   478,
     479,   480,     0,     0,   481,   482,   483,   484,   485,   486,
     487,     0,   488,     0,   489,   490,   491,     0,     0,   492,
       0,     0,   493,   494,   495,   496,   497,   498,   499,   500,
     501,   502,   503,   504,   505,   506,   507,   508,   509,  1373,
       0,     0,     0,     0,     0,     0,     0,     0,  4144,     0,
     208,   209,   210,   211,   212,   213,   214,   215,     0,   217,
     218,   219,     0,     0,     0,     0,     0,     0,     0,   220,
     221,     0,   222,   223,   732,   224,   225,   226,     0,  1374,
     733,  1375,  1376,     0,   231,   232,   233,   234,   235,     0,
       0,   236,   237,  1377,  1378,   240,     0,   241,   242,   243,
     244,     0,     0,   734,     0,   246,   247,   248,   249,   735,
     250,   251,     0,   252,   253,   254,   255,   256,   257,     0,
     736,   258,   259,     0,     0,     0,   737,     0,     0,     0,
     260,   261,   262,   263,   264,   265,  1379,  1380,   268,     0,
     269,     0,   270,   271,   272,   273,   274,     0,   275,   276,
     277,     0,     0,   278,   279,  1041,   281,   282,     0,   283,
     284,   285,     0,   286,   287,   288,     0,   289,   290,   291,
     292,     0,   294,   295,   296,     0,     0,   298,     0,   299,
    1381,   301,     0,   302,     0,   303,   738,     0,   739,   304,
     305,   306,     0,   307,     0,     0,   309,     0,   310,   311,
     312,   313,   314,   740,   315,   316,   317,     0,   318,   319,
     320,   321,   322,   323,     0,   324,   741,     0,   326,   327,
     328,   329,  1382,  1383,     0,  1384,     0,   333,   742,   743,
     334,   744,   335,   336,   337,   338,   339,     0,   340,   341,
       0,   342,     0,   745,   344,   746,     0,   345,   346,   347,
       0,     0,   348,   349,   350,   351,   352,   353,   354,   355,
     356,   357,   358,   359,   360,  1385,   747,  1386,   363,   364,
       0,     0,   366,   367,   748,   368,     0,     0,   370,  1387,
     372,   373,   374,     0,   375,     0,     0,   376,   377,   378,
       0,     0,     0,   749,   750,   751,     0,   381,   382,   383,
     384,   385,   386,   387,     0,   388,     0,   390,     0,   392,
     393,   394,     0,   395,   396,   397,   398,   399,   400,   401,
     402,  1388,   404,   405,   406,   407,     0,   408,   409,   410,
     411,   412,   413,   414,   415,   416,   417,   418,     0,   419,
     420,   752,   421,   422,     0,   424,   425,   426,   427,   428,
     429,   430,   431,     0,   432,   433,   434,   435,   436,     0,
     437,  1389,   439,   440,   753,   441,  1390,   443,     0,   444,
     445,   446,   447,   448,   449,   450,   451,   452,   453,     0,
       0,   455,   456,     0,   457,   458,   459,   460,   461,   462,
       0,  1391,  1392,     0,     0,   465,     0,   467,     0,     0,
     469,   470,   471,   472,   473,   474,   475,     0,     0,   476,
     477,   478,   479,   480,     0,     0,   481,   482,   483,   484,
     485,     0,  1393,     0,   488,   754,   489,   490,   491,     0,
       0,   492,     0,     0,   493,   494,   495,   496,   497,     0,
       0,  2100,     0,     0,     0,     0,     0,     0,   507,   508,
     509,     0,   208,   209,   210,   211,   212,   213,   214,   215,
    1851,   217,   218,   219,     0,     0,     0,     0,     0,     0,
       0,   220,   221,     0,   222,   223,   732,   224,   225,   226,
       0,  1374,   733,  1375,  1376,     0,   231,   232,   233,   234,
     235,     0,     0,   236,   237,  1377,  1378,   240,     0,   241,
     242,   243,   244,     0,     0,   734,     0,   246,   247,   248,
     249,   735,   250,   251,     0,   252,   253,   254,   255,   256,
     257,     0,   736,   258,   259,     0,     0,     0,   737,     0,
       0,     0,   260,   261,   262,   263,   264,   265,  1379,  1380,
     268,     0,   269,     0,   270,   271,   272,   273,   274,     0,
     275,   276,   277,     0,     0,   278,   279,  1041,   281,   282,
       0,   283,   284,   285,     0,   286,   287,   288,     0,   289,
     290,   291,   292,     0,   294,   295,   296,     0,     0,   298,
       0,   299,  1381,   301,     0,   302,     0,   303,   738,     0,
     739,   304,   305,   306,     0,   307,     0,     0,   309,     0,
     310,   311,   312,   313,   314,   740,   315,   316,   317,     0,
     318,   319,   320,   321,   322,   323,     0,   324,   741,     0,
     326,   327,   328,   329,  1382,  1383,     0,  1384,     0,   333,
     742,   743,   334,   744,   335,   336,   337,   338,   339,     0,
     340,   341,     0,   342,     0,   745,   344,   746,     0,   345,
     346,   347,     0,     0,   348,   349,   350,   351,   352,   353,
     354,   355,   356,   357,   358,   359,   360,  1385,   747,  1386,
     363,   364,     0,     0,   366,   367,   748,   368,     0,     0,
     370,  1387,   372,   373,   374,     0,   375,     0,     0,   376,
     377,   378,     0,     0,     0,   749,   750,   751,     0,   381,
     382,   383,   384,   385,   386,   387,     0,   388,     0,   390,
       0,   392,   393,   394,     0,   395,   396,   397,   398,   399,
     400,   401,   402,  1388,   404,   405,   406,   407,     0,   408,
     409,   410,   411,   412,   413,   414,   415,   416,   417,   418,
       0,   419,   420,   752,   421,   422,     0,   424,   425,   426,
     427,   428,   429,   430,   431,     0,   432,   433,   434,   435,
     436,     0,   437,  1389,   439,   440,   753,   441,  1390,   443,
       0,   444,   445,   446,   447,   448,   449,   450,   451,   452,
     453,     0,     0,   455,   456,     0,   457,   458,   459,   460,
     461,   462,     0,  1391,  1392,     0,     0,   465,     0,   467,
       0,     0,   469,   470,   471,   472,   473,   474,   475,     0,
       0,   476,   477,   478,   479,   480,     0,     0,   481,   482,
     483,   484,   485,     0,  1393,     0,   488,   754,   489,   490,
     491,     0,     0,   492,     0,     0,   493,   494,   495,   496,
     497,     0,     0,   775,  1269,   564,     0,     0,     0,   615,
     507,   508,   509,     0,   208,   209,   210,   211,   212,   213,
     214,   215,  1851,   217,   218,   219,     0,     0,     0,     0,
       0,     0,     0,   220,   221,     0,   222,   223,   732,   224,
     225,   226,   227,   228,   733,   229,   230,     0,   231,   232,
     233,   234,   235,     0,     0,   236,   237,   238,   239,   240,
       0,   241,   242,   243,   244,   245,     0,   734,     0,   246,
     247,   248,   249,   735,   250,   251,     0,   252,   253,   254,
     255,   256,   257,     0,   736,   258,   259,     0,     0,     0,
     737,     0,     0,     0,   260,   261,   262,   263,   264,   265,
     266,   267,   268,  1704,   269,     0,   270,   271,   272,   273,
     274,     0,   275,   276,   277,     0,     0,   278,   279,   280,
     281,   282,     0,   283,   284,   285,     0,   286,   287,   288,
       0,   289,   290,   291,   292,   293,   294,   295,   296,   297,
    1512,   298,     0,   299,   300,   301,     0,   302,     0,   303,
     738,     0,   739,   304,   305,   306,     0,   307,   308,     0,
     309,     0,   310,   311,   312,   313,   314,   740,   315,   316,
     317,     0,   318,   319,   320,   321,   322,   323,     0,   324,
     741,   325,   326,   327,   328,   329,   330,   331,     0,   332,
       0,   333,   742,   743,   334,   744,   335,   336,   337,   338,
     339,     0,   340,   341,     0,   342,   343,   745,   344,   746,
       0,   345,   346,   347,     0,     0,   348,   349,   350,   351,
     352,   353,   354,   355,   356,   357,   358,   359,   360,   361,
     747,   362,   363,   364,   365,     0,   366,   367,   748,   368,
       0,   369,   370,   371,   372,   373,   374,     0,   375,  1513,
       0,   376,   377,   378,     0,     0,   379,   749,   750,   751,
     380,   381,   382,   383,   384,   385,   386,   387,     0,   388,
     389,   390,   391,   392,   393,   394,     0,   395,   396,   397,
     398,   399,   400,   401,   402,   403,   404,   405,   406,   407,
       0,   408,   409,   410,   411,   412,   413,   414,   415,   416,
     417,   418,     0,   419,   420,   752,   421,   422,   423,   424,
     425,   426,   427,   428,   429,   430,   431,     0,   432,   433,
     434,   435,   436,     0,   437,   438,   439,   440,   753,   441,
     442,   443,     0,   444,   445,   446,   447,   448,   449,   450,
     451,   452,   453,   454,     0,   455,   456,     0,   457,   458,
     459,   460,   461,   462,     0,   463,   464,     0,     0,   465,
     466,   467,   468,  1514,   469,   470,   471,   472,   473,   474,
     475,     0,     0,   476,   477,   478,   479,   480,     0,     0,
     481,   482,   483,   484,   485,   486,   487,     0,   488,   754,
     489,   490,   491,     0,     0,   492,     0,     0,   493,   494,
     495,   496,   497,   498,   499,   500,   501,   502,   503,   504,
     505,   506,   507,   508,   509,   775,  1269,   564,     0,     0,
       0,   615,  1270,  1271,     0,     0,   208,   209,   210,   211,
     212,   213,   214,   215,     0,   217,   218,   219,     0,     0,
       0,     0,     0,     0,     0,   220,   221,     0,   222,   223,
     732,   224,   225,   226,   227,   228,   733,   229,   230,     0,
     231,   232,   233,   234,   235,     0,     0,   236,   237,   238,
     239,   240,     0,   241,   242,   243,   244,   245,     0,   734,
       0,   246,   247,   248,   249,   735,   250,   251,     0,   252,
     253,   254,   255,   256,   257,     0,   736,   258,   259,     0,
       0,     0,   737,     0,     0,     0,   260,   261,   262,   263,
     264,   265,   266,   267,   268,  1709,   269,     0,   270,   271,
     272,   273,   274,     0,   275,   276,   277,     0,     0,   278,
     279,   280,   281,   282,     0,   283,   284,   285,     0,   286,
     287,   288,     0,   289,   290,   291,   292,   293,   294,   295,
     296,   297,  1512,   298,     0,   299,   300,   301,     0,   302,
       0,   303,   738,     0,   739,   304,   305,   306,     0,   307,
     308,     0,   309,     0,   310,   311,   312,   313,   314,   740,
     315,   316,   317,     0,   318,   319,   320,   321,   322,   323,
       0,   324,   741,   325,   326,   327,   328,   329,   330,   331,
       0,   332,     0,   333,   742,   743,   334,   744,   335,   336,
     337,   338,   339,     0,   340,   341,     0,   342,   343,   745,
     344,   746,     0,   345,   346,   347,     0,     0,   348,   349,
     350,   351,   352,   353,   354,   355,   356,   357,   358,   359,
     360,   361,   747,   362,   363,   364,   365,     0,   366,   367,
     748,   368,     0,   369,   370,   371,   372,   373,   374,     0,
     375,  1513,     0,   376,   377,   378,     0,     0,   379,   749,
     750,   751,   380,   381,   382,   383,   384,   385,   386,   387,
       0,   388,   389,   390,   391,   392,   393,   394,     0,   395,
     396,   397,   398,   399,   400,   401,   402,   403,   404,   405,
     406,   407,     0,   408,   409,   410,   411,   412,   413,   414,
     415,   416,   417,   418,     0,   419,   420,   752,   421,   422,
     423,   424,   425,   426,   427,   428,   429,   430,   431,     0,
     432,   433,   434,   435,   436,     0,   437,   438,   439,   440,
     753,   441,   442,   443,     0,   444,   445,   446,   447,   448,
     449,   450,   451,   452,   453,   454,     0,   455,   456,     0,
     457,   458,   459,   460,   461,   462,     0,   463,   464,     0,
       0,   465,   466,   467,   468,  1514,   469,   470,   471,   472,
     473,   474,   475,     0,     0,   476,   477,   478,   479,   480,
       0,     0,   481,   482,   483,   484,   485,   486,   487,     0,
     488,   754,   489,   490,   491,     0,     0,   492,     0,     0,
     493,   494,   495,   496,   497,   498,   499,   500,   501,   502,
     503,   504,   505,   506,   507,   508,   509,   775,  1269,   564,
       0,     0,     0,   615,  1270,  1271,     0,     0,   208,   209,
     210,   211,   212,   213,   214,   215,     0,   217,   218,   219,
       0,     0,     0,     0,     0,     0,     0,   220,   221,     0,
     222,   223,   732,   224,   225,   226,   227,   228,   733,   229,
     230,     0,   231,   232,   233,   234,   235,     0,     0,   236,
     237,   238,   239,   240,     0,   241,   242,   243,   244,   245,
       0,   734,     0,   246,   247,   248,   249,   735,   250,   251,
       0,   252,   253,   254,   255,   256,   257,     0,   736,   258,
     259,     0,     0,     0,   737,     0,     0,     0,   260,   261,
     262,   263,   264,   265,   266,   267,   268,     0,   269,     0,
     270,   271,   272,   273,   274,     0,   275,   276,   277,     0,
       0,   278,   279,   280,   281,   282,     0,   283,   284,   285,
       0,   286,   287,   288,     0,   289,   290,   291,   292,   293,
     294,   295,   296,   297,  1512,   298,     0,   299,   300,   301,
       0,   302,     0,   303,   738,     0,   739,   304,   305,   306,
       0,   307,   308,     0,   309,     0,   310,   311,   312,   313,
     314,   740,   315,   316,   317,     0,   318,   319,   320,   321,
     322,   323,     0,   324,   741,   325,   326,   327,   328,   329,
     330,   331,     0,   332,     0,   333,   742,   743,   334,   744,
     335,   336,   337,   338,   339,     0,   340,   341,     0,   342,
     343,   745,   344,   746,     0,   345,   346,   347,     0,     0,
     348,   349,   350,   351,   352,   353,   354,   355,   356,   357,
     358,   359,   360,   361,   747,   362,   363,   364,   365,     0,
     366,   367,   748,   368,     0,   369,   370,   371,   372,   373,
     374,     0,   375,  1513,     0,   376,   377,   378,     0,     0,
     379,   749,   750,   751,   380,   381,   382,   383,   384,   385,
     386,   387,     0,   388,   389,   390,   391,   392,   393,   394,
       0,   395,   396,   397,   398,   399,   400,   401,   402,   403,
     404,   405,   406,   407,     0,   408,   409,   410,   411,   412,
     413,   414,   415,   416,   417,   418,     0,   419,   420,   752,
     421,   422,   423,   424,   425,   426,   427,   428,   429,   430,
     431,     0,   432,   433,   434,   435,   436,     0,   437,   438,
     439,   440,   753,   441,   442,   443,     0,   444,   445,   446,
     447,   448,   449,   450,   451,   452,   453,   454,     0,   455,
     456,     0,   457,   458,   459,   460,   461,   462,     0,   463,
     464,     0,     0,   465,   466,   467,   468,  1514,   469,   470,
     471,   472,   473,   474,   475,     0,     0,   476,   477,   478,
     479,   480,     0,     0,   481,   482,   483,   484,   485,   486,
     487,     0,   488,   754,   489,   490,   491,     0,     0,   492,
       0,     0,   493,   494,   495,   496,   497,   498,   499,   500,
     501,   502,   503,   504,   505,   506,   507,   508,   509,   207,
       0,     0,     0,     0,     0,   615,  1270,  1271,     0,     0,
     208,   616,   210,   211,   212,   213,   214,   215,   617,   217,
     218,   219,     0,     0,     0,     0,     0,     0,     0,   220,
     221,     0,   222,   223,     0,   618,   225,   226,   227,   228,
       0,   229,   230,     0,   231,   232,   233,   234,   235,     0,
       0,   236,   237,   238,   239,   240,     0,   241,   242,   243,
     244,   245,     0,     0,     0,   246,   247,   248,   249,     0,
     250,   251,     0,   252,   253,   254,   255,   256,   257,     0,
       0,   258,   259,     0,     0,     0,     0,     0,     0,     0,
     260,   261,   262,   263,   264,   265,   266,   267,   268,     0,
     269,     0,   270,   271,   272,   273,   274,     0,   275,   276,
     277,     0,     0,   278,   279,   280,   281,   282,     0,   283,
     284,   285,     0,   286,   287,   288,     0,   289,   290,   291,
     292,   293,   294,   295,   296,   297,     0,   298,     0,   619,
     300,   301,     0,   302,     0,   620,     0,   621,     0,   304,
     305,   306,     0,   307,   308,     0,   309,     0,   310,   311,
     312,   313,   314,     0,   315,   316,   317,   622,   318,   319,
     320,   321,   322,   323,     0,   324,     0,   325,   326,   327,
     328,   329,   330,   331,     0,   332,     0,   333,     0,     0,
     334,     0,   335,   336,   337,   338,   623,     0,   340,   341,
       0,   342,   343,     0,   344,     0,     0,   345,   346,   347,
       0,     0,   348,   349,   350,   351,   352,   353,   354,   355,
     356,   357,   358,   359,   360,   361,     0,   362,   624,   364,
     365,     0,   366,   367,     0,   368,     0,   369,   370,   371,
     372,   373,   374,     0,   375,     0,     0,   376,   377,   378,
       0,     0,   379,     0,     0,     0,   380,   381,   382,   383,
     384,   385,   386,   387,     0,   388,   389,   390,   391,   392,
     393,   394,     0,   625,   396,   397,   398,   399,   400,   401,
     402,   403,   404,   405,   406,   407,     0,   408,   409,   626,
     411,   412,   413,   414,   415,   416,   417,   418,     0,   419,
     420,     0,   421,   422,   423,   424,   425,   426,   427,   428,
     429,   430,   431,     0,   432,   433,   434,   435,   436,     0,
     437,   438,   439,   440,     0,   441,   442,   443,     0,   444,
     445,   446,   447,   448,   449,   450,   451,   452,   453,   454,
       0,   455,   456,     0,   457,   458,   459,   460,   461,   462,
       0,   463,   464,     0,     0,   465,   466,   467,   468,     0,
     469,   470,   471,   472,   473,   474,   475,     0,     0,   476,
     477,   478,   479,   480,     0,     0,   481,   482,   483,   484,
     485,   486,   487,     0,   488,     0,   489,   490,   491,     0,
       0,   492,     0,     0,   493,   494,   495,   496,   497,   498,
     499,   500,   501,   502,   503,   504,   505,   506,   507,   508,
     509,  1714,  4431,   564,     0,     0,     0,   615,   627,   628,
       0,     0,   208,   209,   210,   211,   212,   213,   214,   215,
    1715,   217,   218,   219,  1716,  1717,  1718,  1719,  1720,  1721,
    1722,   220,   221,  1723,   222,   223,   732,   224,   225,   226,
     227,   228,   733,   229,   230,  1724,   231,   232,   233,   234,
     235,  1725,  1726,   236,   237,   238,   239,   240,  1727,   241,
     242,   243,   244,   245,  1728,   734,  1729,   246,   247,   248,
     249,   735,   250,   251,  1730,   252,   253,   254,   255,   256,
     257,  1731,   736,   258,   259,  1732,  1733,  1734,   737,  1735,
    1736,  1737,   260,   261,   262,   263,   264,   265,   266,   267,
     268,  1738,   269,  1739,   270,   271,   272,   273,   274,  1740,
     275,   276,   277,  1741,  1742,   278,   279,   280,   281,   282,
    1743,   283,   284,   285,  1744,   286,   287,   288,  1745,   289,
     290,   291,   292,   293,   294,   295,   296,   297,  1746,   298,
    1747,   299,   300,   301,  1748,   302,  1749,   303,   738,  1750,
     739,   304,   305,   306,  1751,   307,   308,  1752,   309,  1753,
     310,   311,   312,   313,   314,   740,   315,   316,   317,  1754,
     318,   319,   320,   321,   322,   323,  1755,   324,   741,   325,
     326,   327,   328,   329,   330,   331,  1756,   332,  1757,   333,
     742,   743,   334,   744,   335,   336,   337,   338,   339,  1758,
     340,   341,  1759,   342,   343,   745,   344,   746,  1760,   345,
     346,   347,  1761,  1762,   348,   349,   350,   351,   352,   353,
     354,   355,   356,   357,   358,   359,   360,   361,   747,   362,
     363,   364,   365,  1763,   366,   367,   748,   368,  1764,   369,
     370,   371,   372,   373,   374,  1765,   375,  1766,  1767,   376,
     377,   378,  1768,  1769,   379,   749,   750,   751,   380,   381,
     382,   383,   384,   385,   386,   387,  1770,   388,   389,   390,
     391,   392,   393,   394,  1771,   395,   396,   397,   398,   399,
     400,   401,   402,   403,   404,   405,   406,   407,  1772,   408,
     409,   410,   411,   412,   413,   414,   415,   416,   417,   418,
    1773,   419,   420,   752,   421,   422,   423,   424,   425,   426,
     427,   428,   429,   430,   431,  1774,   432,   433,   434,   435,
     436,  1775,   437,   438,   439,   440,   753,   441,   442,   443,
    1776,   444,   445,   446,   447,   448,   449,   450,   451,   452,
     453,   454,  1777,   455,   456,  1778,   457,   458,   459,   460,
     461,   462,  1779,   463,   464,  1780,  1781,   465,   466,   467,
     468,  1782,   469,   470,   471,   472,   473,   474,   475,  1783,
    1784,   476,   477,   478,   479,   480,  1785,  1786,   481,   482,
     483,   484,   485,   486,   487,  1787,   488,   754,   489,   490,
     491,  1788,  1789,   492,  1790,  1791,   493,   494,   495,   496,
     497,   498,   499,   500,   501,   502,   503,   504,   505,   506,
     507,   508,   509,  1714,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   208,   209,   210,   211,   212,   213,
     214,   215,  1715,   217,   218,   219,  1716,  1717,  1718,  1719,
    1720,  1721,  1722,   220,   221,  1723,   222,   223,   732,   224,
     225,   226,   227,   228,   733,   229,   230,  1724,   231,   232,
     233,   234,   235,  1725,  1726,   236,   237,   238,   239,   240,
    1727,   241,   242,   243,   244,   245,  1728,   734,  1729,   246,
     247,   248,   249,   735,   250,   251,  1730,   252,   253,   254,
     255,   256,   257,  1731,   736,   258,   259,  1732,  1733,  1734,
     737,  1735,  1736,  1737,   260,   261,   262,   263,   264,   265,
     266,   267,   268,  1738,   269,  1739,   270,   271,   272,   273,
     274,  1740,   275,   276,   277,  1741,  1742,   278,   279,   280,
     281,   282,  1743,   283,   284,   285,  1744,   286,   287,   288,
    1745,   289,   290,   291,   292,   293,   294,   295,   296,   297,
    1746,   298,  1747,   299,   300,   301,  1748,   302,  1749,   303,
     738,  1750,   739,   304,   305,   306,  1751,   307,   308,  1752,
     309,  1753,   310,   311,   312,   313,   314,   740,   315,   316,
     317,  1754,   318,   319,   320,   321,   322,   323,  1755,   324,
     741,   325,   326,   327,   328,   329,   330,   331,  1756,   332,
    1757,   333,   742,   743,   334,   744,   335,   336,   337,   338,
     339,  1758,   340,   341,  1759,   342,   343,   745,   344,   746,
    1760,   345,   346,   347,  1761,  1762,   348,   349,   350,   351,
     352,   353,   354,   355,   356,   357,   358,   359,   360,   361,
     747,   362,   363,   364,   365,  1763,   366,   367,   748,   368,
    1764,   369,   370,   371,   372,   373,   374,  1765,   375,  1766,
    1767,   376,   377,   378,  1768,  1769,   379,   749,   750,   751,
     380,   381,   382,   383,   384,   385,   386,   387,  1770,   388,
     389,   390,   391,   392,   393,   394,  1771,   395,   396,   397,
     398,   399,   400,   401,   402,   403,   404,   405,   406,   407,
    1772,   408,   409,   410,   411,   412,   413,   414,   415,   416,
     417,   418,  1773,   419,   420,   752,   421,   422,   423,   424,
     425,   426,   427,   428,   429,   430,   431,  1774,   432,   433,
     434,   435,   436,  1775,   437,   438,   439,   440,   753,   441,
     442,   443,  1776,   444,   445,   446,   447,   448,   449,   450,
     451,   452,   453,   454,  1777,   455,   456,  1778,   457,   458,
     459,   460,   461,   462,  1779,   463,   464,  1780,  1781,   465,
     466,   467,   468,  1782,   469,   470,   471,   472,   473,   474,
     475,  1783,  1784,   476,   477,   478,   479,   480,  1785,  1786,
     481,   482,   483,   484,   485,   486,   487,  1787,   488,   754,
     489,   490,   491,  1788,  1789,   492,  1790,  1791,   493,   494,
     495,   496,   497,   498,   499,   500,   501,   502,   503,   504,
     505,   506,   507,   508,   509,  1714,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   208,   209,   210,   211,
    2623,   213,   214,   215,  1715,   217,   218,   219,  1716,  1717,
    1718,  1719,  1720,  1721,  1722,   220,   221,  1723,   222,   223,
     732,   224,   225,   226,   227,   228,   733,   229,   230,  1724,
     231,   232,   233,   234,   235,  1725,  1726,   236,   237,   238,
     239,   240,  1727,   241,   242,   243,   244,   245,  1728,   734,
    1729,   246,   247,   248,   249,   735,   250,   251,  1730,   252,
     253,   254,   255,   256,   257,  1731,   736,   258,   259,  1732,
    1733,  1734,   737,  1735,  1736,  1737,   260,   261,   262,   263,
     264,   265,   266,   267,   268,  1738,   269,  1739,   270,   271,
     272,   273,   274,  1740,   275,   276,   277,  1741,  1742,   278,
     279,   280,  2624,   282,  1743,   283,   284,   285,  1744,   286,
     287,   288,  1745,   289,   290,   291,   292,   293,   294,   295,
     296,   297,  1746,   298,  1747,   299,   300,   301,  1748,   302,
    1749,   303,   738,  1750,   739,   304,   305,   306,  1751,   307,
     308,  1752,   309,  1753,   310,   311,   312,   313,   314,   740,
     315,   316,   317,  1754,   318,   319,   320,   321,   322,   323,
    1755,   324,   741,   325,   326,   327,   328,   329,   330,   331,
    1756,   332,  1757,   333,   742,   743,   334,   744,   335,   336,
     337,   338,   339,  1758,   340,   341,  1759,   342,   343,   745,
     344,   746,  1760,   345,   346,   347,  1761,  1762,   348,   349,
     350,   351,   352,   353,   354,   355,   356,   357,   358,   359,
     360,   361,   747,   362,   363,   364,   365,  1763,   366,   367,
     748,   368,  1764,   369,   370,   371,   372,   373,   374,  1765,
     375,  1766,  1767,   376,   377,   378,  1768,  1769,   379,   749,
     750,   751,   380,   381,   382,   383,   384,   385,   386,   387,
    1770,   388,   389,   390,   391,   392,   393,   394,  1771,   395,
     396,   397,   398,   399,   400,   401,   402,   403,   404,   405,
     406,   407,  1772,   408,   409,   410,   411,   412,   413,   414,
     415,   416,   417,   418,  1773,   419,   420,   752,   421,   422,
     423,   424,   425,   426,   427,   428,   429,   430,   431,  1774,
     432,   433,   434,   435,   436,  1775,  2625,   438,   439,   440,
     753,   441,   442,   443,  1776,   444,   445,   446,   447,   448,
     449,   450,   451,   452,   453,   454,  1777,   455,   456,  1778,
     457,   458,   459,   460,   461,   462,  1779,   463,   464,  1780,
    1781,   465,   466,   467,   468,  1782,   469,   470,   471,   472,
     473,   474,   475,  1783,  1784,   476,   477,   478,   479,   480,
    1785,  1786,   481,   482,   483,   484,   485,   486,   487,  1787,
     488,   754,   489,   490,   491,  1788,  1789,   492,  1790,  1791,
     493,   494,   495,   496,   497,   498,   499,   500,   501,   502,
     503,   504,   505,   506,   507,   508,   509,   775,     0,   564,
       0,     0,     0,     0,     0,     0,     0,     0,   208,   209,
     210,   211,   212,   213,   214,   215,     0,   217,   218,   219,
       0,     0,     0,     0,     0,     0,     0,   220,   221,     0,
     222,   223,   732,   224,   225,   226,   227,   228,   733,   229,
     230,     0,   231,   232,   233,   234,   235,     0,     0,   236,
     237,   238,   239,   240,     0,   241,   242,   243,   244,   245,
       0,   734,     0,   246,   247,   248,   249,   735,   250,   251,
       0,   252,   253,   254,   255,   256,   257,     0,   736,   258,
     259,     0,     0,     0,   737,     0,     0,     0,   260,   261,
     262,   263,   264,   265,   266,   267,   268,     0,   269,     0,
     270,   271,   272,   273,   274,     0,   275,   276,   277,     0,
       0,   278,   279,   280,   281,   282,     0,   283,   284,   285,
       0,   286,   287,   288,     0,   289,   290,   291,   292,   293,
     294,   295,   296,   297,  1512,   298,     0,   299,   300,   301,
       0,   302,     0,   303,   738,     0,   739,   304,   305,   306,
       0,   307,   308,     0,   309,     0,   310,   311,   312,   313,
     314,   740,   315,   316,   317,     0,   318,   319,   320,   321,
     322,   323,     0,   324,   741,   325,   326,   327,   328,   329,
     330,   331,     0,   332,     0,   333,   742,   743,   334,   744,
     335,   336,   337,   338,   339,     0,   340,   341,     0,   342,
     343,   745,   344,   746,     0,   345,   346,   347,     0,     0,
     348,   349,   350,   351,   352,   353,   354,   355,   356,   357,
     358,   359,   360,   361,   747,   362,   363,   364,   365,     0,
     366,   367,   748,   368,     0,   369,   370,   371,   372,   373,
     374,     0,   375,  1513,     0,   376,   377,   378,     0,     0,
     379,   749,   750,   751,   380,   381,   382,   383,   384,   385,
     386,   387,     0,   388,   389,   390,   391,   392,   393,   394,
       0,   395,   396,   397,   398,   399,   400,   401,   402,   403,
     404,   405,   406,   407,     0,   408,   409,   410,   411,   412,
     413,   414,   415,   416,   417,   418,     0,   419,   420,   752,
     421,   422,   423,   424,   425,   426,   427,   428,   429,   430,
     431,     0,   432,   433,   434,   435,   436,     0,   437,   438,
     439,   440,   753,   441,   442,   443,     0,   444,   445,   446,
     447,   448,   449,   450,   451,   452,   453,   454,     0,   455,
     456,     0,   457,   458,   459,   460,   461,   462,     0,   463,
     464,     0,     0,   465,   466,   467,   468,  1514,   469,   470,
     471,   472,   473,   474,   475,     0,     0,   476,   477,   478,
     479,   480,     0,     0,   481,   482,   483,   484,   485,   486,
     487,     0,   488,   754,   489,   490,   491,     0,     0,   492,
       0,     0,   493,   494,   495,   496,   497,   498,   499,   500,
     501,   502,   503,   504,   505,   506,   507,   508,   509,   775,
       0,   564,     0,     0,     0,     0,     0,     0,     0,     0,
     208,   209,   210,   211,   212,   213,   214,   215,     0,   217,
     218,   219,     0,     0,     0,     0,     0,     0,     0,   220,
     221,     0,   222,   223,   732,   224,   225,   226,   227,   228,
     733,   229,   230,     0,   231,   232,   233,   234,   235,     0,
       0,   236,   237,   238,   239,   240,     0,   241,   242,   243,
     244,   245,     0,   734,     0,   246,   247,   248,   249,   735,
     250,   251,     0,   252,   253,   254,   255,   256,   257,     0,
     736,   258,   259,     0,     0,     0,   737,     0,     0,     0,
     260,   261,   262,   263,   264,   265,   266,   267,   268,  1689,
     269,     0,   270,   271,   272,   273,   274,     0,   275,   276,
     277,     0,     0,   278,   279,   280,   281,   282,     0,   283,
     284,   285,     0,   286,   287,   288,     0,   289,   290,   291,
     292,   293,   294,   295,   296,   297,     0,   298,     0,   299,
     300,   301,     0,   302,     0,   303,   738,     0,   739,   304,
     305,   306,     0,   307,   308,     0,   309,     0,   310,   311,
     312,   313,   314,   740,   315,   316,   317,     0,   318,   319,
     320,   321,   322,   323,     0,   324,   741,   325,   326,   327,
     328,   329,   330,   331,     0,   332,     0,   333,   742,   743,
     334,   744,   335,   336,   337,   338,   339,     0,   340,   341,
       0,   342,   343,   745,   344,   746,     0,   345,   346,   347,
       0,     0,   348,   349,   350,   351,   352,   353,   354,   355,
     356,   357,   358,   359,   360,   361,   747,   362,   363,   364,
     365,     0,   366,   367,   748,   368,     0,   369,   370,   371,
     372,   373,   374,     0,   375,     0,     0,   376,   377,   378,
       0,     0,   379,   749,   750,   751,   380,   381,   382,   383,
     384,   385,   386,   387,     0,   388,   389,   390,   391,   392,
     393,   394,     0,   395,   396,   397,   398,   399,   400,   401,
     402,   403,   404,   405,   406,   407,     0,   408,   409,   410,
     411,   412,   413,   414,   415,   416,   417,   418,     0,   419,
     420,   752,   421,   422,   423,   424,   425,   426,   427,   428,
     429,   430,   431,     0,   432,   433,   434,   435,   436,     0,
     437,   438,   439,   440,   753,   441,   442,   443,     0,   444,
     445,   446,   447,   448,   449,   450,   451,   452,   453,   454,
       0,   455,   456,     0,   457,   458,   459,   460,   461,   462,
       0,   463,   464,     0,     0,   465,   466,   467,   468,     0,
     469,   470,   471,   472,   473,   474,   475,     0,     0,   476,
     477,   478,   479,   480,     0,     0,   481,   482,   483,   484,
     485,   486,   487,     0,   488,   754,   489,   490,   491,     0,
       0,   492,     0,     0,   493,   494,   495,   496,   497,   498,
     499,   500,   501,   502,   503,   504,   505,   506,   507,   508,
     509,   775,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   208,   209,   210,   211,   212,   213,   214,   215,
       0,   217,   218,   219,     0,     0,     0,     0,     0,     0,
       0,   220,   221,     0,   222,   223,   732,   224,   225,   226,
     227,   228,   733,   229,   230,     0,   231,   232,   233,   234,
     235,     0,     0,   236,   237,   238,   239,   240,     0,   241,
     242,   243,   244,   245,     0,   734,     0,   246,   247,   248,
     249,   735,   250,   251,     0,   252,   253,   254,   255,   256,
     257,     0,   736,   258,   259,     0,     0,     0,   737,     0,
       0,  2056,   260,   261,   262,   263,   264,   265,   266,   267,
     268,     0,   269,     0,   270,   271,   272,   273,   274,     0,
     275,   276,   277,     0,     0,   278,   279,   280,   281,   282,
       0,   283,   284,   285,     0,   286,   287,   288,     0,   289,
     290,   291,   292,   293,   294,   295,   296,   297,     0,   298,
       0,   299,   300,   301,     0,   302,     0,   303,   738,     0,
     739,   304,   305,   306,     0,   307,   308,     0,   309,     0,
     310,   311,   312,   313,   314,   740,   315,   316,   317,     0,
     318,   319,   320,   321,   322,   323,     0,   324,   741,   325,
     326,   327,   328,   329,   330,   331,     0,   332,     0,   333,
     742,   743,   334,   744,   335,   336,   337,   338,   339,     0,
     340,   341,     0,   342,   343,   745,   344,   746,     0,   345,
     346,   347,     0,     0,   348,   349,   350,   351,   352,   353,
     354,   355,   356,   357,   358,   359,   360,   361,   747,   362,
     363,   364,   365,     0,   366,   367,   748,   368,     0,   369,
     370,   371,   372,   373,   374,     0,   375,     0,     0,   376,
     377,   378,     0,     0,   379,   749,   750,   751,   380,   381,
     382,   383,   384,   385,   386,   387,     0,   388,   389,   390,
     391,   392,   393,   394,     0,   395,   396,   397,   398,   399,
     400,   401,   402,   403,   404,   405,   406,   407,     0,   408,
     409,   410,   411,   412,   413,   414,   415,   416,   417,   418,
       0,   419,   420,   752,   421,   422,   423,   424,   425,   426,
     427,   428,   429,   430,   431,     0,   432,   433,   434,   435,
     436,     0,   437,   438,   439,   440,   753,   441,   442,   443,
       0,   444,   445,   446,   447,   448,   449,   450,   451,   452,
     453,   454,     0,   455,   456,     0,   457,   458,   459,   460,
     461,   462,     0,   463,   464,     0,     0,   465,   466,   467,
     468,     0,   469,   470,   471,   472,   473,   474,   475,     0,
       0,   476,   477,   478,   479,   480,  2057,     0,   481,   482,
     483,   484,   485,   486,   487,     0,   488,   754,   489,   490,
     491,     0,     0,   492,     0,     0,   493,   494,   495,   496,
     497,   498,   499,   500,   501,   502,   503,   504,   505,   506,
     507,   508,   509,   775,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   208,   209,   210,   211,   212,   213,
     214,   215,     0,   217,   218,   219,     3,     4,     0,     0,
       0,     0,     0,   220,   221,     0,   222,   223,   732,   224,
     225,   226,   227,   228,   733,   229,   230,     0,   231,   232,
     233,   234,   235,     0,     0,   236,   237,   238,   239,   240,
       0,   241,   242,   243,   244,   245,     0,   734,     0,   246,
     247,   248,   249,   735,   250,   251,     0,   252,   253,   254,
     255,   256,   257,     0,   736,   258,   259,     0,     0,     0,
     737,     0,     0,     0,   260,   261,   262,   263,   264,   265,
     266,   267,   268,     0,   269,     0,   270,   271,   272,   273,
     274,     0,   275,   276,   277,     0,     0,   278,   279,   280,
     281,   282,     0,   283,   284,   285,     0,   286,   287,   288,
       0,   289,   290,   291,   292,   293,   294,   295,   296,   297,
       0,   298,     0,   299,   300,   301,     0,   302,     0,   303,
     738,     0,   739,   304,   305,   306,     0,   307,   308,     0,
     309,     0,   310,   311,   312,   313,   314,   740,   315,   316,
     317,     0,   318,   319,   320,   321,   322,   323,     0,   324,
     741,   325,   326,   327,   328,   329,   330,   331,     0,   332,
       0,   333,   742,   743,   334,   744,   335,   336,   337,   338,
     339,     0,   340,   341,     0,   342,   343,   745,   344,   746,
       0,   345,   346,   347,     0,     0,   348,   349,   350,   351,
     352,   353,   354,   355,   356,   357,   358,   359,   360,   361,
     747,   362,   363,   364,   365,     0,   366,   367,   748,   368,
       0,   369,   370,   371,   372,   373,   374,     0,   375,     0,
       0,   376,   377,   378,     0,     0,   379,   749,   750,   751,
     380,   381,   382,   383,   384,   385,   386,   387,     0,   388,
     389,   390,   391,   392,   393,   394,     0,   395,   396,   397,
     398,   399,   400,   401,   402,   403,   404,   405,   406,   407,
       0,   408,   409,   410,   411,   412,   413,   414,   415,   416,
     417,   418,     0,   419,   420,   752,   421,   422,   423,   424,
     425,   426,   427,   428,   429,   430,   431,     0,   432,   433,
     434,   435,   436,     0,   437,   438,   439,   440,   753,   441,
     442,   443,     0,   444,   445,   446,   447,   448,   449,   450,
     451,   452,   453,   454,     0,   455,   456,     0,   457,   458,
     459,   460,   461,   462,     0,   463,   464,     0,     0,   465,
     466,   467,   468,     0,   469,   470,   471,   472,   473,   474,
     475,     0,     0,   476,   477,   478,   479,   480,     0,     0,
     481,   482,   483,   484,   485,   486,   487,     0,   488,   754,
     489,   490,   491,     0,     0,   492,     0,     0,   493,   494,
     495,   496,   497,   498,   499,   500,   501,   502,   503,   504,
     505,   506,   507,   508,   509,   775,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   208,   209,   210,   211,
     212,   213,   214,   215,   801,   217,   218,   219,     0,     0,
       0,     0,     0,     0,     0,   220,   221,     0,   222,   223,
     732,   224,   225,   226,   227,   228,   733,   229,   230,     0,
     231,   232,   233,   234,   235,     0,     0,   236,   237,   238,
     239,   240,     0,   241,   242,   243,   244,   245,     0,   734,
       0,   246,   247,   248,   249,   735,   250,   251,     0,   252,
     253,   254,   255,   256,   257,     0,   736,   258,   259,     0,
       0,     0,   737,     0,     0,     0,   260,   261,   262,   263,
     264,   265,   266,   267,   268,     0,   269,     0,   270,   271,
     272,   273,   274,     0,   275,   276,   277,     0,     0,   278,
     279,   280,   281,   282,     0,   283,   284,   285,     0,   286,
     287,   288,     0,   289,   290,   291,   292,   293,   294,   295,
     296,   297,     0,   298,     0,   299,   300,   301,     0,   302,
       0,   303,   738,     0,   739,   304,   305,   306,     0,   307,
     308,     0,   309,     0,   310,   311,   312,   313,   314,   740,
     315,   316,   317,     0,   318,   319,   320,   321,   322,   323,
       0,   324,   741,   325,   326,   327,   328,   329,   330,   331,
       0,   332,     0,   333,   742,   743,   334,   744,   335,   336,
     337,   338,   339,     0,   340,   341,     0,   342,   343,   745,
     344,   746,     0,   345,   346,   347,     0,     0,   348,   349,
     350,   351,   352,   353,   354,   355,   356,   357,   358,   359,
     360,   361,   747,   362,   363,   364,   365,     0,   366,   367,
     748,   368,     0,   369,   370,   371,   372,   373,   374,     0,
     375,     0,     0,   376,   377,   378,     0,     0,   379,   749,
     750,   751,   380,   381,   382,   383,   384,   385,   386,   387,
       0,   388,   389,   390,   391,   392,   393,   394,     0,   395,
     396,   397,   398,   399,   400,   401,   402,   403,   404,   405,
     406,   407,     0,   408,   409,   410,   411,   412,   413,   414,
     415,   416,   417,   418,     0,   419,   420,   752,   421,   422,
     423,   424,   425,   426,   427,   428,   429,   430,   431,     0,
     432,   433,   434,   435,   436,     0,   437,   438,   439,   440,
     753,   441,   442,   443,     0,   444,   445,   446,   447,   448,
     449,   450,   451,   452,   453,   454,     0,   455,   456,     0,
     457,   458,   459,   460,   461,   462,     0,   463,   464,     0,
       0,   465,   466,   467,   468,     0,   469,   470,   471,   472,
     473,   474,   475,     0,     0,   476,   477,   478,   479,   480,
       0,     0,   481,   482,   483,   484,   485,   486,   487,     0,
     488,   754,   489,   490,   491,     0,     0,   492,     0,     0,
     493,   494,   495,   496,   497,   498,   499,   500,   501,   502,
     503,   504,   505,   506,   507,   508,   509,   775,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   208,   209,
     210,   211,   212,   213,   214,   215,   814,   217,   218,   219,
       0,     0,     0,     0,     0,     0,     0,   220,   221,     0,
     222,   223,   732,   224,   225,   226,   227,   228,   733,   229,
     230,     0,   231,   232,   233,   234,   235,     0,     0,   236,
     237,   238,   239,   240,     0,   241,   242,   243,   244,   245,
       0,   734,     0,   246,   247,   248,   249,   735,   250,   251,
       0,   252,   253,   254,   255,   256,   257,     0,   736,   258,
     259,     0,     0,     0,   737,     0,     0,     0,   260,   261,
     262,   263,   264,   265,   266,   267,   268,     0,   269,     0,
     270,   271,   272,   273,   274,     0,   275,   276,   277,     0,
       0,   278,   279,   280,   281,   282,     0,   283,   284,   285,
       0,   286,   287,   288,     0,   289,   290,   291,   292,   293,
     294,   295,   296,   297,     0,   298,     0,   299,   300,   301,
       0,   302,     0,   303,   738,     0,   739,   304,   305,   306,
       0,   307,   308,     0,   309,     0,   310,   311,   312,   313,
     314,   740,   315,   316,   317,     0,   318,   319,   320,   321,
     322,   323,     0,   324,   741,   325,   326,   327,   328,   329,
     330,   331,     0,   332,     0,   333,   742,   743,   334,   744,
     335,   336,   337,   338,   339,     0,   340,   341,     0,   342,
     343,   745,   344,   746,     0,   345,   346,   347,     0,     0,
     348,   349,   815,   351,   352,   353,   354,   355,   356,   357,
     358,   359,   360,   361,   747,   362,   363,   364,   365,     0,
     366,   367,   748,   368,     0,   369,   370,   371,   372,   373,
     374,     0,   375,     0,     0,   376,   377,   378,     0,     0,
     379,   749,   750,   751,   380,   381,   382,   383,   384,   385,
     386,   387,     0,   388,   389,   390,   391,   392,   393,   394,
       0,   395,   396,   397,   398,   399,   400,   401,   402,   403,
     404,   405,   406,   407,     0,   408,   409,   410,   411,   412,
     413,   414,   415,   416,   417,   418,     0,   419,   420,   752,
     421,   422,   423,   424,   425,   426,   427,   428,   429,   430,
     431,     0,   432,   433,   434,   435,   436,     0,   437,   438,
     439,   440,   753,   441,   442,   443,     0,   444,   445,   446,
     447,   448,   449,   450,   451,   452,   453,   454,     0,   455,
     456,     0,   457,   458,   459,   460,   461,   462,     0,   463,
     464,     0,     0,   465,   466,   467,   468,     0,   469,   470,
     471,   472,   473,   474,   475,     0,     0,   476,   477,   478,
     479,   480,     0,     0,   481,   482,   483,   484,   485,   486,
     487,     0,   488,   754,   489,   490,   491,     0,     0,   492,
       0,     0,   493,   494,   495,   496,   497,   498,   499,   500,
     501,   502,   503,   504,   505,   506,   507,   508,   509,   775,
       0,   564,     0,     0,     0,     0,     0,     0,     0,     0,
     208,   209,   210,   211,   212,   213,   214,   215,     0,   217,
     218,   219,     0,     0,     0,     0,     0,     0,     0,   220,
     221,     0,   222,   223,   732,   224,   225,   226,   227,   228,
     733,   229,   230,     0,   231,   232,   233,   234,   235,     0,
       0,   236,   237,   238,   239,   240,     0,   241,   242,   243,
     244,   245,     0,   734,     0,   246,   247,   248,   249,   735,
     250,   251,     0,   252,   253,   254,   255,   256,   257,     0,
     736,   258,   259,     0,     0,     0,   737,     0,     0,     0,
     260,   261,   262,   263,   264,   265,   266,   267,   268,     0,
     269,     0,   270,   271,   272,   273,   274,     0,   275,   276,
     277,     0,     0,   278,   279,   280,   281,   282,     0,   283,
     284,   285,     0,   286,   287,   288,     0,   289,   290,   291,
     292,   293,   294,   295,   296,   297,     0,   298,     0,   299,
     300,   301,     0,   302,     0,   303,   738,     0,   739,   304,
     305,   306,     0,   307,   308,     0,   309,     0,   310,   311,
     312,   313,   314,   740,   315,   316,   317,     0,   318,   319,
     320,   321,   322,   323,     0,   324,   741,   325,   326,   327,
     328,   329,   330,   331,     0,   332,     0,   333,   742,   743,
     334,   744,   335,   336,   337,   338,   339,     0,   340,   341,
       0,   342,   343,   745,   344,   746,     0,   345,   346,   347,
       0,     0,   348,   349,   350,   351,   352,   353,   354,   355,
     356,   357,   358,   359,   360,   361,   747,   362,   363,   364,
     365,     0,   366,   367,   748,   368,     0,   369,   370,   371,
     372,   373,   374,     0,   375,     0,     0,   376,   377,   378,
       0,     0,   379,   749,   750,   751,   380,   381,   382,   383,
     384,   385,   386,   387,     0,   388,   389,   390,   391,   392,
     393,   394,     0,   395,   396,   397,   398,   399,   400,   401,
     402,   403,   404,   405,   406,   407,     0,   408,   409,   410,
     411,   412,   413,   414,   415,   416,   417,   418,     0,   419,
     420,   752,   421,   422,   423,   424,   425,   426,   427,   428,
     429,   430,   431,     0,   432,   433,   434,   435,   436,     0,
     437,   438,   439,   440,   753,   441,   442,   443,     0,   444,
     445,   446,   447,   448,   449,   450,   451,   452,   453,   454,
       0,   455,   456,     0,   457,   458,   459,   460,   461,   462,
       0,   463,   464,     0,     0,   465,   466,   467,   468,     0,
     469,   470,   471,   472,   473,   474,   475,     0,     0,   476,
     477,   478,   479,   480,     0,     0,   481,   482,   483,   484,
     485,   486,   487,     0,   488,   754,   489,   490,   491,     0,
       0,   492,     0,     0,   493,   494,   495,   496,   497,   498,
     499,   500,   501,   502,   503,   504,   505,   506,   507,   508,
     509,   775,     0,   564,     0,     0,     0,     0,     0,     0,
       0,     0,   208,   209,   210,   211,   212,   213,   214,   215,
       0,   217,   218,   219,     0,     0,     0,     0,     0,     0,
       0,   220,   221,     0,   222,   223,   732,   224,   225,   226,
     227,   228,   733,   229,   230,     0,   231,   232,   233,   234,
     235,     0,     0,   236,   237,   238,   239,   240,     0,   241,
     242,   243,   244,   245,     0,   734,     0,   246,   247,   248,
     249,   735,   250,   251,     0,   252,   253,   254,   255,   256,
     257,     0,   736,   258,   259,     0,     0,     0,   737,     0,
       0,     0,   260,   261,   262,   263,   264,   265,   266,   267,
     268,     0,   269,     0,   270,   271,   272,   273,   274,     0,
     275,   276,   277,     0,     0,   278,   279,   280,   281,   282,
       0,   283,   284,   285,     0,   286,   287,   288,     0,   289,
     290,   291,   292,   293,   294,   295,   296,   297,     0,   298,
       0,   299,   300,   301,     0,   302,     0,   303,   738,     0,
     739,   304,   305,   306,     0,   307,   308,     0,   309,     0,
     310,   311,   312,   313,  1502,   740,   315,   316,   317,     0,
     318,   319,   320,   321,   322,   323,     0,   324,   741,   325,
     326,   327,   328,   329,   330,   331,     0,   332,     0,   333,
     742,   743,   334,   744,   335,   336,   337,   338,   339,     0,
     340,   341,     0,   342,   343,   745,   344,   746,     0,   345,
     346,   347,     0,     0,   348,   349,   350,   351,   352,   353,
     354,   355,   356,   357,   358,   359,   360,   361,   747,   362,
     363,   364,   365,     0,   366,   367,   748,   368,     0,   369,
     370,   371,   372,   373,   374,     0,   375,     0,     0,   376,
     377,   378,     0,     0,   379,   749,   750,   751,   380,   381,
     382,   383,   384,   385,   386,   387,     0,   388,   389,   390,
     391,   392,   393,   394,     0,   395,   396,   397,   398,   399,
     400,   401,   402,   403,   404,   405,   406,   407,     0,   408,
     409,   410,   411,   412,   413,   414,   415,   416,   417,   418,
       0,   419,   420,   752,   421,   422,   423,   424,   425,   426,
     427,   428,   429,   430,   431,     0,   432,   433,   434,   435,
     436,     0,   437,   438,   439,   440,   753,   441,   442,   443,
       0,   444,   445,   446,   447,   448,   449,   450,   451,   452,
     453,   454,     0,   455,   456,     0,   457,   458,   459,   460,
     461,   462,     0,   463,   464,     0,     0,   465,   466,   467,
     468,     0,   469,   470,   471,   472,   473,   474,   475,     0,
       0,   476,   477,   478,   479,   480,     0,     0,   481,   482,
     483,   484,   485,   486,   487,     0,   488,   754,   489,   490,
     491,     0,     0,   492,     0,     0,   493,   494,   495,   496,
     497,   498,   499,   500,   501,   502,   503,   504,   505,   506,
     507,   508,   509,   775,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   208,   209,   210,   211,   212,   213,
     214,   215,     0,   217,   218,   219,     0,     0,     0,     0,
       0,     0,     0,   220,   221,     0,   222,   223,   732,   224,
     225,   226,   227,   228,   733,   229,   230,     0,   231,   232,
     233,   234,   235,     0,     0,   236,   237,   238,   239,   240,
       0,   241,   242,   243,   244,   245,     0,   734,     0,   246,
     247,   248,   249,   735,   250,   251,     0,   252,   253,   254,
     255,   256,   257,     0,   736,   258,   259,     0,     0,     0,
     737,     0,     0,     0,   260,   261,   262,   263,   264,   265,
     266,   267,   268,     0,   269,     0,   270,   271,   272,   273,
     274,     0,   275,   276,   277,     0,     0,   278,   279,   280,
     281,   282,     0,   283,   284,   285,     0,   286,   287,   288,
       0,   289,   290,   291,   292,   293,   294,   295,   296,   297,
       0,   298,     0,   299,   300,   301,     0,   302,     0,   303,
     738,     0,   739,   304,   305,   306,     0,   307,   308,  2889,
     309,     0,   310,   311,   312,   313,   314,   740,   315,   316,
     317,     0,   318,   319,   320,   321,   322,   323,     0,   324,
     741,   325,   326,   327,   328,   329,   330,   331,     0,   332,
       0,   333,   742,   743,   334,   744,   335,   336,   337,   338,
     339,     0,   340,   341,     0,   342,   343,   745,   344,   746,
       0,   345,   346,   347,     0,     0,   348,   349,   350,   351,
     352,   353,   354,   355,   356,   357,   358,   359,   360,   361,
     747,   362,   363,   364,   365,     0,   366,   367,   748,   368,
       0,   369,   370,   371,   372,   373,   374,     0,   375,     0,
       0,   376,   377,   378,     0,     0,   379,   749,   750,   751,
     380,   381,   382,   383,   384,   385,   386,   387,     0,   388,
     389,   390,   391,   392,   393,   394,     0,   395,   396,   397,
     398,   399,   400,   401,   402,   403,   404,   405,   406,   407,
       0,   408,   409,   410,   411,   412,   413,   414,   415,   416,
     417,   418,     0,   419,   420,   752,   421,   422,   423,   424,
     425,   426,   427,   428,   429,   430,   431,     0,   432,   433,
     434,   435,   436,     0,   437,   438,   439,   440,   753,   441,
     442,   443,     0,   444,   445,   446,   447,   448,   449,   450,
     451,   452,   453,   454,     0,   455,   456,     0,   457,   458,
     459,   460,   461,   462,     0,   463,   464,     0,     0,   465,
     466,   467,   468,     0,   469,   470,   471,   472,   473,   474,
     475,     0,     0,   476,   477,   478,   479,   480,     0,     0,
     481,   482,   483,   484,   485,   486,   487,     0,   488,   754,
     489,   490,   491,     0,     0,   492,     0,     0,   493,   494,
     495,   496,   497,   498,   499,   500,   501,   502,   503,   504,
     505,   506,   507,   508,   509,   731,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   208,   209,   210,   211,
     212,   213,   214,   215,     0,   217,   218,   219,     0,     0,
       0,     0,     0,     0,     0,   220,   221,     0,   222,   223,
     732,   224,   225,   226,   227,   228,   733,   229,   230,     0,
     231,   232,   233,   234,   235,     0,     0,   236,   237,   238,
     239,   240,     0,   241,   242,   243,   244,   245,     0,   734,
       0,   246,   247,   248,   249,   735,   250,   251,     0,   252,
     253,   254,   255,   256,   257,     0,   736,   258,   259,     0,
       0,     0,   737,     0,     0,     0,   260,   261,   262,   263,
     264,   265,   266,   267,   268,     0,   269,     0,   270,   271,
     272,   273,   274,     0,   275,   276,   277,     0,     0,   278,
     279,   280,   281,   282,     0,   283,   284,   285,     0,   286,
     287,   288,     0,   289,   290,   291,   292,   293,   294,   295,
     296,   297,     0,   298,     0,   299,   300,   301,     0,   302,
       0,   303,   738,     0,   739,   304,   305,   306,     0,   307,
     308,     0,   309,     0,   310,   311,   312,   313,   314,   740,
     315,   316,   317,     0,   318,   319,   320,   321,   322,   323,
       0,   324,   741,   325,   326,   327,   328,   329,   330,   331,
       0,   332,     0,   333,   742,   743,   334,   744,   335,   336,
     337,   338,   339,     0,   340,   341,     0,   342,   343,   745,
     344,   746,     0,   345,   346,   347,     0,     0,   348,   349,
     350,   351,   352,   353,   354,   355,   356,   357,   358,   359,
     360,   361,   747,   362,   363,   364,   365,     0,   366,   367,
     748,   368,     0,   369,   370,   371,   372,   373,   374,     0,
     375,     0,     0,   376,   377,   378,     0,     0,   379,   749,
     750,   751,   380,   381,   382,   383,   384,   385,   386,   387,
       0,   388,   389,   390,   391,   392,   393,   394,     0,   395,
     396,   397,   398,   399,   400,   401,   402,   403,   404,   405,
     406,   407,     0,   408,   409,   410,   411,   412,   413,   414,
     415,   416,   417,   418,     0,   419,   420,   752,   421,   422,
     423,   424,   425,   426,   427,   428,   429,   430,   431,     0,
     432,   433,   434,   435,   436,     0,   437,   438,   439,   440,
     753,   441,   442,   443,     0,   444,   445,   446,   447,   448,
     449,   450,   451,   452,   453,   454,     0,   455,   456,     0,
     457,   458,   459,   460,   461,   462,     0,   463,   464,     0,
       0,   465,   466,   467,   468,     0,   469,   470,   471,   472,
     473,   474,   475,     0,     0,   476,   477,   478,   479,   480,
       0,     0,   481,   482,   483,   484,   485,   486,   487,     0,
     488,   754,   489,   490,   491,     0,     0,   492,     0,     0,
     493,   494,   495,   496,   497,   498,   499,   500,   501,   502,
     503,   504,   505,   506,   507,   508,   509,   775,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   208,   209,
     210,   211,   212,   213,   214,   215,     0,   217,   218,   219,
       0,     0,     0,     0,     0,     0,     0,   220,   221,     0,
     222,   223,   732,   224,   225,   226,   227,   228,   733,   229,
     230,     0,   231,   232,   233,   234,   235,     0,     0,   236,
     237,   238,   239,   240,     0,   241,   242,   243,   244,   245,
       0,   734,     0,   246,   247,   248,   249,   735,   250,   251,
       0,   252,   253,   254,   255,   256,   257,     0,   736,   258,
     259,     0,     0,     0,   737,     0,     0,     0,   260,   261,
     262,   263,   264,   265,   266,   267,   268,     0,   269,     0,
     270,   271,   272,   273,   274,     0,   275,   276,   277,     0,
       0,   278,   279,   280,   281,   282,     0,   283,   284,   285,
       0,   286,   287,   288,     0,   289,   290,   291,   292,   293,
     294,   295,   296,   297,     0,   298,     0,   299,   300,   301,
       0,   302,     0,   303,   738,     0,   739,   304,   305,   306,
       0,   307,   308,     0,   309,     0,   310,   311,   312,   313,
     314,   740,   315,   316,   317,     0,   318,   319,   320,   321,
     322,   323,     0,   324,   741,   325,   326,   327,   328,   329,
     330,   331,     0,   332,     0,   333,   742,   743,   334,   744,
     335,   336,   337,   338,   339,     0,   340,   341,     0,   342,
     343,   745,   344,   746,     0,   345,   346,   347,     0,     0,
     348,   349,   350,   351,   352,   353,   354,   355,   356,   357,
     358,   359,   360,   361,   747,   362,   363,   364,   365,     0,
     366,   367,   748,   368,     0,   369,   370,   371,   372,   373,
     374,     0,   375,     0,     0,   376,   377,   378,     0,     0,
     379,   749,   750,   751,   380,   381,   382,   383,   384,   385,
     386,   387,     0,   388,   389,   390,   391,   392,   393,   394,
       0,   395,   396,   397,   398,   399,   400,   401,   402,   403,
     404,   405,   406,   407,     0,   408,   409,   410,   411,   412,
     413,   414,   415,   416,   417,   418,     0,   419,   420,   752,
     421,   422,   423,   424,   425,   426,   427,   428,   429,   430,
     431,     0,   432,   433,   434,   435,   436,     0,   437,   438,
     439,   440,   753,   441,   442,   443,     0,   444,   445,   446,
     447,   448,   449,   450,   451,   452,   453,   454,     0,   455,
     456,     0,   457,   458,   459,   460,   461,   462,     0,   463,
     464,     0,     0,   465,   466,   467,   468,     0,   469,   470,
     471,   472,   473,   474,   475,     0,     0,   476,   477,   478,
     479,   480,     0,     0,   481,   482,   483,   484,   485,   486,
     487,     0,   488,   754,   489,   490,   491,     0,     0,   492,
       0,     0,   493,   494,   495,   496,   497,   498,   499,   500,
     501,   502,   503,   504,   505,   506,   507,   508,   509,   775,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     208,   209,   210,   211,   212,   213,   214,   215,     0,   217,
     218,   219,     0,     0,     0,     0,     0,     0,     0,   220,
     221,     0,   222,   223,   732,   224,   225,   226,   227,   228,
     733,   229,   230,     0,   231,   232,   233,   234,   235,     0,
       0,   236,   237,   238,   239,   240,     0,   241,   242,   243,
     244,   245,     0,   734,     0,   246,   247,   248,   249,   735,
     250,   251,     0,   252,   253,   254,   255,   256,   257,     0,
     736,   258,   259,     0,     0,     0,   737,     0,     0,     0,
     260,   261,   262,   263,   264,   265,   266,   267,   268,     0,
     269,     0,   270,   271,   272,   273,   274,     0,   275,   276,
     277,     0,     0,   278,   279,   280,   281,   282,     0,   283,
     284,   285,     0,   286,   287,   288,     0,   289,   290,   291,
     292,   293,   294,   295,   296,   297,     0,   298,     0,   299,
     300,   301,     0,   302,     0,   303,   738,     0,   739,   304,
     305,   306,     0,   307,   308,     0,   309,     0,   310,   311,
     312,   313,   314,   740,   315,   316,   317,     0,   318,   319,
     320,   321,   322,   323,     0,   324,   741,   325,   326,   327,
     328,   329,   330,   331,     0,   332,     0,   333,   742,   743,
     334,   744,   335,   336,   337,   338,   339,     0,   340,   341,
       0,   342,   343,   745,   344,   746,     0,   345,   346,   347,
       0,     0,   348,   349,   892,   351,   352,   353,   354,   355,
     356,   357,   358,   359,   360,   361,   747,   362,   363,   364,
     365,     0,   366,   367,   748,   368,     0,   369,   370,   371,
     372,   373,   374,     0,   375,     0,     0,   376,   377,   378,
       0,     0,   379,   749,   750,   751,   380,   381,   382,   383,
     384,   385,   386,   387,     0,   388,   389,   390,   391,   392,
     393,   394,     0,   395,   396,   397,   398,   399,   400,   401,
     402,   403,   404,   405,   406,   407,     0,   408,   409,   410,
     411,   412,   413,   414,   415,   416,   417,   418,     0,   419,
     420,   752,   421,   422,   423,   424,   425,   426,   427,   428,
     429,   430,   431,     0,   432,   433,   434,   435,   436,     0,
     437,   438,   439,   440,   753,   441,   442,   443,     0,   444,
     445,   446,   447,   448,   449,   450,   451,   452,   453,   454,
       0,   455,   456,     0,   457,   458,   459,   460,   461,   462,
       0,   463,   464,     0,     0,   465,   466,   467,   468,     0,
     469,   470,   471,   472,   473,   474,   475,     0,     0,   476,
     477,   478,   479,   480,     0,     0,   481,   482,   483,   484,
     485,   486,   487,     0,   488,   754,   489,   490,   491,     0,
       0,   492,     0,     0,   493,   494,   495,   496,   497,   498,
     499,   500,   501,   502,   503,   504,   505,   506,   507,   508,
     509,   731,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   208,   209,   210,   211,   212,   213,   214,   215,
       0,   217,   218,   219,     0,     0,     0,     0,     0,     0,
       0,   220,   221,     0,   222,   223,   732,   224,   225,   226,
     227,   228,   733,   229,   230,     0,   231,   232,   233,   234,
     235,     0,     0,   236,   237,   238,   239,   240,     0,   241,
     242,   243,   244,   245,     0,   734,     0,   246,   247,   248,
     249,   735,   250,   251,     0,   252,   253,   254,   255,   256,
     257,     0,   736,   258,   259,     0,     0,     0,   737,     0,
       0,     0,   260,   261,   262,   263,   264,   265,   266,   267,
     268,     0,   269,     0,   270,   271,   272,   273,   274,     0,
     275,   276,   277,     0,     0,   278,   279,   280,   281,   282,
       0,   283,   284,   285,     0,   286,   287,   288,     0,   289,
     290,   291,   292,   293,   294,   295,   296,   297,     0,   298,
       0,   299,   300,   301,     0,   302,     0,   303,   738,     0,
     739,   304,   305,   306,     0,   307,   308,     0,   309,     0,
     310,   311,   312,   313,   912,   740,   315,   316,   317,     0,
     318,   319,   320,   321,   322,   323,     0,   324,   741,   325,
     326,   327,   328,   329,   330,   331,     0,   332,     0,   333,
     742,   743,   334,   744,   335,   336,   337,   338,   339,     0,
     340,   341,     0,   342,   343,   745,   344,   746,     0,   345,
     346,   347,     0,     0,   348,   349,   350,   351,   352,   353,
     354,   355,   356,   357,   358,   359,   360,   361,   747,   362,
     363,   364,   365,     0,   366,   367,   748,   368,     0,   369,
     370,   371,   372,   373,   374,     0,   375,     0,     0,   376,
     377,   378,     0,     0,   379,   749,   750,   751,   380,   381,
     382,   383,   384,   385,   386,   387,     0,   388,   389,   390,
     391,   392,   393,   394,     0,   395,   396,   397,   398,   399,
     400,   401,   402,   403,   404,   405,   406,   407,     0,   408,
     409,   410,   411,   412,   413,   414,   415,   416,   417,   418,
       0,   419,   420,   752,   421,   422,   423,   424,   425,   426,
     427,   428,   429,   430,   431,     0,   432,   433,   434,   435,
     436,     0,   437,   438,   439,   440,   753,   441,   442,   443,
       0,   444,   445,   446,   447,   448,   449,   450,   451,   452,
     453,   454,     0,   455,   456,     0,   457,   458,   459,   460,
     461,   462,     0,   463,   464,     0,     0,   465,   466,   467,
     468,     0,   469,   470,   471,   472,   473,   474,   475,     0,
       0,   476,   477,   478,   479,   480,     0,     0,   481,   482,
     483,   484,   485,   486,   487,     0,   488,   754,   489,   490,
     491,     0,     0,   492,     0,     0,   493,   494,   495,   496,
     497,   498,   499,   500,   501,   502,   503,   504,   505,   506,
     507,   508,   509,   731,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   208,   209,   210,   211,   212,   213,
     214,   215,     0,   217,   218,   219,     0,     0,     0,     0,
       0,     0,     0,   220,   221,     0,   222,   223,   732,   224,
     225,   226,   227,   228,   733,   229,   230,     0,   231,   232,
     233,   234,   235,     0,     0,   236,   237,   238,   239,   240,
       0,   241,   242,   243,   244,   245,     0,   734,     0,   246,
     247,   248,   249,   735,   250,   251,     0,   252,   253,   254,
     255,   256,   257,     0,   736,   258,   259,     0,     0,     0,
     737,     0,     0,     0,   260,   261,   262,   263,   264,   265,
     266,   267,   268,     0,   269,     0,   270,   271,   272,   273,
     274,     0,   275,   276,   277,     0,     0,   278,   279,   280,
     281,   282,     0,   283,   284,   285,     0,   286,   287,   288,
       0,   289,   290,   291,   292,   293,   294,   295,   296,   297,
       0,   298,     0,   299,   300,   301,     0,   302,     0,   303,
     738,     0,   739,   304,   305,   306,     0,   307,   308,     0,
     309,     0,   310,   311,   312,   313,   922,   740,   315,   316,
     317,     0,   318,   319,   320,   321,   322,   323,     0,   324,
     741,   325,   326,   327,   328,   329,   330,   331,     0,   332,
       0,   333,   742,   743,   334,   744,   335,   336,   337,   338,
     339,     0,   340,   341,     0,   342,   343,   745,   344,   746,
       0,   345,   346,   347,     0,     0,   348,   349,   350,   351,
     352,   353,   354,   355,   356,   357,   358,   359,   360,   361,
     747,   362,   363,   364,   365,     0,   366,   367,   748,   368,
       0,   369,   370,   371,   372,   373,   374,     0,   375,     0,
       0,   376,   377,   378,     0,     0,   379,   749,   750,   751,
     380,   381,   382,   383,   384,   385,   386,   387,     0,   388,
     389,   390,   391,   392,   393,   394,     0,   395,   396,   397,
     398,   399,   400,   401,   402,   403,   404,   405,   406,   407,
       0,   408,   409,   410,   411,   412,   413,   414,   415,   416,
     417,   418,     0,   419,   420,   752,   421,   422,   423,   424,
     425,   426,   427,   428,   429,   430,   431,     0,   432,   433,
     434,   435,   436,     0,   437,   438,   439,   440,   753,   441,
     442,   443,     0,   444,   445,   446,   447,   448,   449,   450,
     451,   452,   453,   454,     0,   455,   456,     0,   457,   458,
     459,   460,   461,   462,     0,   463,   464,     0,     0,   465,
     466,   467,   468,     0,   469,   470,   471,   472,   473,   474,
     475,     0,     0,   476,   477,   478,   479,   480,     0,     0,
     481,   482,   483,   484,   485,   486,   487,     0,   488,   754,
     489,   490,   491,     0,     0,   492,     0,     0,   493,   494,
     495,   496,   497,   498,   499,   500,   501,   502,   503,   504,
     505,   506,   507,   508,   509,   775,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   208,   209,   210,   211,
     212,   213,   214,   215,     0,   217,   218,   219,     0,     0,
       0,     0,     0,     0,     0,   220,   221,     0,   222,   223,
     732,   224,   225,   226,   227,   228,   733,   229,   230,     0,
     231,   232,   233,   234,   235,     0,     0,   236,   237,   238,
     239,   240,     0,   241,   242,   243,   244,   245,     0,   734,
       0,   246,   247,   248,   249,   735,   250,   251,     0,   252,
     253,   254,   255,   256,   257,     0,   736,   258,   259,     0,
       0,     0,   737,     0,     0,     0,   260,   261,   262,   263,
     264,   265,   266,   267,   268,     0,   269,     0,   270,   271,
     272,   273,   274,     0,   275,   276,   277,     0,     0,   278,
     279,   280,   281,   282,     0,   283,   284,   285,     0,   286,
     287,   288,     0,   289,   290,   291,   292,   293,   294,   295,
     296,   297,     0,   298,     0,   299,   300,   301,     0,   302,
       0,   303,   738,     0,   739,   304,   305,   306,     0,   307,
     308,     0,   309,     0,   310,   311,   312,   313,   924,   740,
     315,   316,   317,     0,   318,   319,   320,   321,   322,   323,
       0,   324,   741,   325,   326,   327,   328,   329,   330,   331,
       0,   332,     0,   333,   742,   743,   334,   744,   335,   336,
     337,   338,   339,     0,   340,   341,     0,   342,   343,   745,
     344,   746,     0,   345,   346,   347,     0,     0,   348,   349,
     350,   351,   352,   353,   354,   355,   356,   357,   358,   359,
     360,   361,   747,   362,   363,   364,   365,     0,   366,   367,
     748,   368,     0,   369,   370,   371,   372,   373,   374,     0,
     375,     0,     0,   376,   377,   378,     0,     0,   379,   749,
     750,   751,   380,   381,   382,   383,   384,   385,   386,   387,
       0,   388,   389,   390,   391,   392,   393,   394,     0,   395,
     396,   397,   398,   399,   400,   401,   402,   403,   404,   405,
     406,   407,     0,   408,   409,   410,   411,   412,   413,   414,
     415,   416,   417,   418,     0,   419,   420,   752,   421,   422,
     423,   424,   425,   426,   427,   428,   429,   430,   431,     0,
     432,   433,   434,   435,   436,     0,   437,   438,   439,   440,
     753,   441,   442,   443,     0,   444,   445,   446,   447,   448,
     449,   450,   451,   452,   453,   454,     0,   455,   456,     0,
     457,   458,   459,   460,   461,   462,     0,   463,   464,     0,
       0,   465,   466,   467,   468,     0,   469,   470,   471,   472,
     473,   474,   475,     0,     0,   476,   477,   478,   479,   480,
       0,     0,   481,   482,   483,   484,   485,   486,   487,     0,
     488,   754,   489,   490,   491,     0,     0,   492,     0,     0,
     493,   494,   495,   496,   497,   498,   499,   500,   501,   502,
     503,   504,   505,   506,   507,   508,   509,   775,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   208,   209,
     210,   211,   212,   213,   214,   215,     0,   217,   218,   219,
       0,     0,     0,     0,     0,     0,     0,   220,   221,     0,
     222,   223,   732,   224,   225,   226,   227,   228,   733,   229,
     230,     0,   231,   232,   233,   234,   235,     0,     0,   236,
     237,   238,   239,   240,     0,   241,   242,   243,   244,   245,
       0,   734,     0,   246,   247,   248,   249,   735,   250,   251,
       0,   252,   253,   254,   255,   256,   257,     0,   736,   258,
     259,     0,     0,     0,   737,     0,     0,     0,   260,   261,
     262,   263,   264,   265,   266,   267,   268,     0,   269,     0,
     270,   271,   272,   273,   274,     0,   275,   276,   277,     0,
       0,   278,   279,   280,   281,   282,     0,   283,   284,   285,
       0,   286,   287,   288,     0,   289,   290,   291,   292,   293,
     294,   295,   296,   297,     0,   298,     0,   299,   300,   301,
       0,   302,     0,   303,   738,     0,   739,   304,   305,   306,
       0,   307,   308,     0,   309,     0,   310,   311,   312,   313,
     934,   740,   315,   316,   317,     0,   318,   319,   320,   321,
     322,   323,     0,   324,   741,   325,   326,   327,   328,   329,
     330,   331,     0,   332,     0,   333,   742,   743,   334,   744,
     335,   336,   337,   338,   339,     0,   340,   341,     0,   342,
     343,   745,   344,   746,     0,   345,   346,   347,     0,     0,
     348,   349,   350,   351,   352,   353,   354,   355,   356,   357,
     358,   359,   360,   361,   747,   362,   363,   364,   365,     0,
     366,   367,   748,   368,     0,   369,   370,   371,   372,   373,
     374,     0,   375,     0,     0,   376,   377,   378,     0,     0,
     379,   749,   750,   751,   380,   381,   382,   383,   384,   385,
     386,   387,     0,   388,   389,   390,   391,   392,   393,   394,
       0,   395,   396,   397,   398,   399,   400,   401,   402,   403,
     404,   405,   406,   407,     0,   408,   409,   410,   411,   412,
     413,   414,   415,   416,   417,   418,     0,   419,   420,   752,
     421,   422,   423,   424,   425,   426,   427,   428,   429,   430,
     431,     0,   432,   433,   434,   435,   436,     0,   437,   438,
     439,   440,   753,   441,   442,   443,     0,   444,   445,   446,
     447,   448,   449,   450,   451,   452,   453,   454,     0,   455,
     456,     0,   457,   458,   459,   460,   461,   462,     0,   463,
     464,     0,     0,   465,   466,   467,   468,     0,   469,   470,
     471,   472,   473,   474,   475,     0,     0,   476,   477,   478,
     479,   480,     0,     0,   481,   482,   483,   484,   485,   486,
     487,     0,   488,   754,   489,   490,   491,     0,     0,   492,
       0,     0,   493,   494,   495,   496,   497,   498,   499,   500,
     501,   502,   503,   504,   505,   506,   507,   508,   509,   775,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     208,   209,   210,   211,   212,   213,   214,   215,     0,   217,
     218,   219,     0,     0,     0,     0,     0,     0,     0,   220,
     221,     0,   222,   223,   732,   224,   225,   226,   227,   228,
     733,   229,   230,     0,   231,   232,   233,   234,   235,     0,
       0,   236,   237,   238,   239,   240,     0,   241,   242,   243,
     244,   245,     0,   734,     0,   246,   247,   248,   249,   735,
     250,   251,     0,   252,   253,   254,   255,   256,   257,     0,
     736,   258,   259,     0,     0,     0,   737,     0,     0,     0,
     260,   261,   262,   263,   264,   265,   266,   267,   268,     0,
     269,     0,   270,   271,   272,   273,   274,     0,   275,   276,
     277,     0,     0,   278,   279,   280,   281,   282,     0,   283,
     284,   285,     0,   286,   287,   288,     0,   289,   290,   291,
     292,   293,   294,   295,   296,   297,     0,   298,     0,   299,
     300,   301,     0,   302,     0,   303,   738,     0,   739,   304,
     305,   306,     0,   307,   308,     0,   309,     0,   310,   311,
     312,   313,   945,   740,   315,   316,   317,     0,   318,   319,
     320,   321,   322,   323,     0,   324,   741,   325,   326,   327,
     328,   329,   330,   331,     0,   332,     0,   333,   742,   743,
     334,   744,   335,   336,   337,   338,   339,     0,   340,   341,
       0,   342,   343,   745,   344,   746,     0,   345,   346,   347,
       0,     0,   348,   349,   946,   351,   352,   353,   354,   355,
     356,   357,   358,   359,   360,   361,   747,   362,   363,   364,
     365,     0,   366,   367,   748,   368,     0,   369,   370,   371,
     372,   373,   374,     0,   375,     0,     0,   376,   377,   378,
       0,     0,   379,   749,   750,   751,   380,   381,   382,   383,
     384,   385,   386,   387,     0,   388,   389,   390,   391,   392,
     393,   394,     0,   395,   396,   397,   398,   399,   400,   401,
     402,   403,   404,   405,   406,   407,     0,   408,   409,   410,
     411,   412,   413,   414,   415,   416,   417,   418,     0,   419,
     420,   752,   421,   422,   423,   424,   425,   426,   427,   428,
     429,   430,   431,     0,   432,   433,   434,   435,   436,     0,
     437,   438,   439,   440,   753,   441,   442,   443,     0,   444,
     445,   446,   447,   448,   449,   450,   451,   452,   453,   454,
       0,   455,   456,     0,   457,   458,   459,   460,   461,   462,
       0,   463,   464,     0,     0,   465,   466,   467,   468,     0,
     469,   470,   471,   472,   473,   474,   475,     0,     0,   476,
     477,   478,   479,   480,     0,     0,   481,   482,   483,   484,
     485,   486,   487,     0,   488,   754,   489,   490,   491,     0,
       0,   492,     0,     0,   493,   494,   495,   496,   497,   498,
     499,   500,   501,   502,   503,   504,   505,   506,   507,   508,
     509,   207,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   208,   209,   210,   211,   212,   213,   214,   215,
       0,   217,   218,   219,     0,     0,     0,     0,     0,     0,
       0,   220,   221,     0,   222,   223,     0,   224,   225,   226,
     227,   228,     0,   229,   230,     0,   231,   232,   233,   234,
     235,     0,     0,   236,   237,   238,   239,   240,  1875,   241,
     242,   243,   244,   245,     0,     0,  1957,   246,   247,   248,
     249,     0,   250,   251,  1876,   252,   253,   254,   255,   256,
     257,     0,     0,   258,   259,     0,     0,     0,     0,     0,
       0,     0,   260,   261,   262,   263,   264,   265,   266,   267,
     268,     0,   269,     0,   270,   271,   272,   273,   274,     0,
     275,   276,   277,     0,     0,   278,   279,   280,   281,   282,
       0,   283,   284,   285,     0,   286,   287,   288,     0,  1958,
     290,   291,   292,   293,   294,   295,   296,   297,     0,   298,
       0,   299,   300,   301,     0,   302,  1878,   303,     0,     0,
       0,   304,   305,   306,     0,   307,   308,     0,   309,     0,
     310,   311,   312,   313,   314,     0,   315,   316,   317,     0,
     318,   319,   320,   321,   322,   323,     0,   324,     0,   325,
     326,   327,   328,   329,   330,   331,     0,   332,     0,   333,
       0,     0,   334,     0,   335,   336,   337,   338,   339,     0,
     340,   341,     0,   342,   343,     0,   344,     0,     0,   345,
     346,   347,     0,     0,   348,   349,   350,   351,   352,   353,
     354,   355,   356,   357,   358,   359,   360,   361,     0,   362,
     363,   364,   365,     0,   366,   367,     0,   368,     0,   369,
     370,   371,   372,   373,   374,     0,   375,     0,     0,   376,
     377,   378,     0,     0,   379,     0,     0,     0,   380,   381,
     382,   383,   384,   385,   386,   387,     0,   388,   389,   390,
     391,   392,   393,   394,  1879,   395,   396,   397,   398,   399,
     400,   401,   402,   403,   404,   405,   406,   407,     0,   408,
     409,   410,   411,   412,   413,   414,   415,   416,   417,   418,
       0,   419,   420,     0,   421,   422,   423,   424,   425,   426,
     427,   428,   429,   430,   431,     0,   432,   433,   434,   435,
     436,     0,   437,   438,   439,   440,     0,   441,   442,   443,
       0,   444,   445,   446,   447,   448,   449,   450,   451,   452,
     453,   454,     0,   455,   456,     0,   457,   458,   459,   460,
     461,   462,     0,   463,   464,     0,     0,   465,   466,   467,
     468,     0,   469,   470,   471,   472,   473,   474,   475,     0,
    1880,   476,   477,   478,   479,   480,     0,     0,   481,   482,
     483,   484,   485,   486,   487,     0,   488,     0,   489,   490,
     491,     0,     0,   492,     0,     0,   493,   494,   495,   496,
     497,   498,   499,   500,   501,   502,   503,   504,   505,   506,
     507,   508,   509,   207,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   208,   209,   210,   211,   212,   213,
     214,   215,     0,   217,   218,   219,     0,     0,     0,     0,
       0,     0,     0,   220,   221,     0,   222,   223,     0,   224,
     225,   226,   227,   228,     0,   229,   230,     0,   231,   232,
     233,   234,   235,     0,     0,   236,   237,   238,   239,   240,
    1875,   241,   242,   243,   244,   245,     0,     0,     0,   246,
     247,   248,   249,     0,   250,   251,  1876,   252,   253,   254,
     255,   256,   257,     0,     0,   258,   259,     0,     0,     0,
       0,     0,     0,     0,   260,   261,   262,   263,   264,   265,
     266,   267,   268,     0,   269,     0,   270,   271,   272,   273,
     274,     0,   275,   276,   277,     0,     0,   278,   279,   280,
     281,   282,     0,   283,   284,   285,     0,   286,   287,   288,
       0,  1958,   290,   291,   292,   293,   294,   295,   296,   297,
       0,   298,     0,   299,   300,   301,     0,   302,  1878,   303,
       0,     0,     0,   304,   305,   306,     0,   307,   308,     0,
     309,     0,   310,   311,   312,   313,   314,     0,   315,   316,
     317,     0,   318,   319,   320,   321,   322,   323,     0,   324,
       0,   325,   326,   327,   328,   329,   330,   331,     0,   332,
       0,   333,     0,     0,   334,     0,   335,   336,   337,   338,
     339,     0,   340,   341,     0,   342,   343,     0,   344,  2789,
       0,   345,   346,   347,     0,     0,   348,   349,   350,   351,
     352,   353,   354,   355,   356,   357,   358,   359,   360,   361,
       0,   362,   363,   364,   365,     0,   366,   367,     0,   368,
       0,   369,   370,   371,   372,   373,   374,     0,   375,     0,
       0,   376,   377,   378,     0,     0,   379,     0,     0,     0,
     380,   381,   382,   383,   384,   385,   386,   387,     0,   388,
     389,   390,   391,   392,   393,   394,  1879,   395,   396,   397,
     398,   399,   400,   401,   402,   403,   404,   405,   406,   407,
       0,   408,   409,   410,   411,   412,   413,   414,   415,   416,
     417,   418,     0,   419,   420,     0,   421,   422,   423,   424,
     425,   426,   427,   428,   429,   430,   431,     0,   432,   433,
     434,   435,   436,     0,   437,   438,   439,   440,     0,   441,
     442,   443,     0,   444,   445,   446,   447,   448,   449,   450,
     451,   452,   453,   454,     0,   455,   456,     0,   457,   458,
     459,   460,   461,   462,     0,   463,   464,     0,     0,   465,
     466,   467,   468,     0,   469,   470,   471,   472,   473,   474,
     475,     0,  1880,   476,   477,   478,   479,   480,     0,     0,
     481,   482,   483,   484,   485,   486,   487,     0,   488,     0,
     489,   490,   491,     0,     0,   492,     0,     0,   493,   494,
     495,   496,   497,   498,   499,   500,   501,   502,   503,   504,
     505,   506,   507,   508,   509,   207,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   208,   209,   210,   211,
     212,   666,   214,   215,   634,   217,   218,   219,     0,     0,
       0,     0,     0,     0,     0,   220,   221,     0,   222,   223,
       0,   224,   225,   226,   227,   228,     0,   229,   230,     0,
     231,   232,   233,   234,   235,     0,     0,   236,   237,   238,
     239,   240,     0,   241,   242,   243,   244,   245,     0,     0,
       0,   246,   247,   248,   249,     0,   250,   251,     0,   252,
     253,   254,   255,   256,   257,   635,     0,   258,   259,     0,
       0,     0,     0,     0,     0,     0,   260,   261,   262,   263,
     264,   265,   266,   267,   268,     0,   269,     0,   270,   271,
     272,   273,   274,     0,   275,   276,   277,     0,     0,   278,
     279,   280,   281,   282,     0,   283,   284,   285,     0,   286,
     287,   288,     0,   289,   290,   291,   292,   293,   294,   295,
     296,   297,     0,   298,     0,   299,   300,   301,     0,   302,
       0,   303,     0,     0,     0,   304,   305,   306,   667,   307,
     308,     0,   309,     0,   310,   311,   312,   313,   314,     0,
     315,   316,   317,     0,   318,   319,   320,   321,   322,   323,
       0,   324,     0,   325,   326,   327,   328,   329,   330,   331,
       0,   332,     0,   333,     0,     0,   334,     0,   335,   336,
     337,   338,   339,     0,   340,   341,     0,   342,   343,     0,
     344,     0,     0,   345,   346,   347,     0,     0,   348,   349,
     350,   351,   352,   353,   354,   355,   356,   357,   358,   359,
     360,   361,     0,   362,   363,   364,   365,     0,   366,   367,
       0,   368,     0,   369,   370,   371,   372,   373,   374,     0,
     375,     0,     0,   376,   377,   378,     0,     0,   379,     0,
       0,     0,   380,   381,   382,   383,   384,   385,   386,   387,
       0,   388,   389,   390,   391,   392,   393,   394,     0,   395,
     396,   397,   398,   399,   400,   401,   402,   403,   404,   405,
     406,   407,   636,   408,   409,   410,   411,   412,   413,   414,
     415,   416,   417,   418,     0,   419,   420,     0,   421,   422,
     423,   424,   425,   426,   427,   428,   429,   430,   431,   637,
     432,   433,   434,   435,   436,     0,   437,   438,   439,   440,
       0,   441,   442,   443,     0,   444,   445,   446,   447,   448,
     449,   450,   451,   452,   453,   454,     0,   455,   456,     0,
     457,   458,   459,   460,   461,   462,     0,   463,   464,     0,
       0,   465,   466,   467,   468,     0,   469,   470,   471,   472,
     473,   474,   475,     0,     0,   476,   477,   478,   479,   480,
       0,     0,   481,   482,   483,   484,   485,   486,   487,     0,
     488,     0,   489,   490,   491,     0,     0,   492,     0,     0,
     493,   494,   495,   496,   497,   498,   499,   500,   501,   502,
     503,   504,   505,   506,   507,   508,   509,   207,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   208,   209,
     210,   211,   212,   213,   214,   215,   634,   217,   218,   219,
       0,     0,     0,     0,     0,     0,     0,   220,   221,     0,
     222,   223,     0,   224,   225,   226,   227,   228,     0,   229,
     230,     0,   231,   232,   233,   234,   235,     0,     0,   236,
     237,   238,   239,   240,     0,   241,   242,   243,   244,   245,
       0,     0,     0,   246,   247,   248,   249,     0,   250,   251,
       0,   252,   253,   254,   255,   256,   257,   635,     0,   258,
     259,     0,     0,     0,     0,     0,     0,     0,   260,   261,
     262,   263,   264,   265,   266,   267,   268,     0,   269,     0,
     270,   271,   272,   273,   274,     0,   275,   276,   277,     0,
       0,   278,   279,   280,   281,   282,     0,   283,   284,   285,
       0,   286,   287,   288,     0,   289,   290,   291,   292,   293,
     294,   295,   296,   297,     0,   298,     0,   299,   300,   301,
       0,   302,     0,   303,     0,     0,     0,   304,   305,   306,
    2520,   307,   308,     0,   309,     0,   310,   311,   312,   313,
     314,     0,   315,   316,   317,     0,   318,   319,   320,   321,
     322,   323,     0,   324,     0,   325,   326,   327,   328,   329,
     330,   331,     0,   332,     0,   333,     0,     0,   334,     0,
     335,   336,   337,   338,   339,     0,   340,   341,     0,   342,
     343,     0,   344,     0,     0,   345,   346,   347,     0,     0,
     348,   349,   350,   351,   352,   353,   354,   355,   356,   357,
     358,   359,   360,   361,     0,   362,   363,   364,   365,     0,
     366,   367,     0,   368,     0,   369,   370,   371,   372,   373,
     374,     0,   375,     0,     0,   376,   377,   378,     0,     0,
     379,     0,     0,     0,   380,   381,   382,   383,   384,   385,
     386,   387,     0,   388,   389,   390,   391,   392,   393,   394,
       0,   395,   396,   397,   398,   399,   400,   401,   402,   403,
     404,   405,   406,   407,   636,   408,   409,   410,   411,   412,
     413,   414,   415,   416,   417,   418,     0,   419,   420,     0,
     421,   422,   423,   424,   425,   426,   427,   428,   429,   430,
     431,   637,   432,   433,   434,   435,   436,     0,   437,   438,
     439,   440,     0,   441,   442,   443,     0,   444,   445,   446,
     447,   448,   449,   450,   451,   452,   453,   454,     0,   455,
     456,     0,   457,   458,   459,   460,   461,   462,     0,   463,
     464,     0,     0,   465,   466,   467,   468,     0,   469,   470,
     471,   472,   473,   474,   475,     0,     0,   476,   477,   478,
     479,   480,     0,     0,   481,   482,   483,   484,   485,   486,
     487,     0,   488,     0,   489,   490,   491,     0,     0,   492,
       0,     0,   493,   494,   495,   496,   497,   498,   499,   500,
     501,   502,   503,   504,   505,   506,   507,   508,   509,   207,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     208,   209,   210,   211,   212,   213,   214,   215,     0,   217,
     218,   219,     0,     0,     0,     0,     0,     0,     0,   220,
     221,     0,   222,   223,     0,   224,   225,   226,   227,   228,
       0,   229,   230,     0,   231,   232,   233,   234,   235,     0,
       0,   236,   237,   238,   239,   240,  1875,   241,   242,   243,
     244,   245,     0,     0,     0,   246,   247,   248,   249,     0,
     250,   251,  1876,   252,   253,   254,   255,   256,   257,     0,
       0,   258,   259,     0,     0,     0,     0,     0,     0,     0,
     260,   261,   262,   263,   264,   265,   266,   267,   268,     0,
     269,     0,   270,   271,   272,   273,   274,     0,   275,   276,
     277,     0,     0,   278,   279,   280,   281,   282,     0,   283,
     284,   285,     0,   286,   287,   288,     0,  1958,   290,   291,
     292,   293,   294,   295,   296,   297,     0,   298,     0,   299,
     300,   301,     0,   302,  1878,   303,     0,     0,     0,   304,
     305,   306,     0,   307,   308,     0,   309,     0,   310,   311,
     312,   313,   314,     0,   315,   316,   317,     0,   318,   319,
     320,   321,   322,   323,     0,   324,     0,   325,   326,   327,
     328,   329,   330,   331,     0,   332,     0,   333,     0,     0,
     334,     0,   335,   336,   337,   338,   339,     0,   340,   341,
       0,   342,   343,     0,   344,     0,     0,   345,   346,   347,
       0,     0,   348,   349,   350,   351,   352,   353,   354,   355,
     356,   357,   358,   359,   360,   361,     0,   362,   363,   364,
     365,     0,   366,   367,     0,   368,     0,   369,   370,   371,
     372,   373,   374,     0,   375,     0,     0,   376,   377,   378,
       0,     0,   379,     0,     0,     0,   380,   381,   382,   383,
     384,   385,   386,   387,     0,   388,   389,   390,   391,   392,
     393,   394,  1879,   395,   396,   397,   398,   399,   400,   401,
     402,   403,   404,   405,   406,   407,     0,   408,   409,   410,
     411,   412,   413,   414,   415,   416,   417,   418,     0,   419,
     420,     0,   421,   422,   423,   424,   425,   426,   427,   428,
     429,   430,   431,     0,   432,   433,   434,   435,   436,     0,
     437,   438,   439,   440,     0,   441,   442,   443,     0,   444,
     445,   446,   447,   448,   449,   450,   451,   452,   453,   454,
       0,   455,   456,     0,   457,   458,   459,   460,   461,   462,
       0,   463,   464,     0,     0,   465,   466,   467,   468,     0,
     469,   470,   471,   472,   473,   474,   475,     0,  1880,   476,
     477,   478,   479,   480,     0,     0,   481,   482,   483,   484,
     485,   486,   487,     0,   488,     0,   489,   490,   491,     0,
       0,   492,     0,     0,   493,   494,   495,   496,   497,   498,
     499,   500,   501,   502,   503,   504,   505,   506,   507,   508,
     509,   207,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   208,   209,   210,   211,   212,   213,   214,   215,
     634,   217,   218,   219,     0,     0,     0,     0,     0,     0,
       0,   220,   221,     0,   222,   223,     0,   224,   225,   226,
     227,   228,     0,   229,   230,     0,   231,   232,   233,   234,
     235,     0,     0,   236,   237,   238,   239,   240,     0,   241,
     242,   243,   244,   245,     0,     0,     0,   246,   247,   248,
     249,     0,   250,   251,     0,   252,   253,   254,   255,   256,
     257,   635,     0,   258,   259,     0,     0,     0,     0,     0,
       0,     0,   260,   261,   262,   263,   264,   265,   266,   267,
     268,     0,   269,     0,   270,   271,   272,   273,   274,     0,
     275,   276,   277,     0,     0,   278,   279,   280,   281,   282,
       0,   283,   284,   285,     0,   286,   287,   288,     0,   289,
     290,   291,   292,   293,   294,   295,   296,   297,     0,   298,
       0,   299,   300,   301,     0,   302,     0,   303,     0,     0,
       0,   304,   305,   306,     0,   307,   308,     0,   309,     0,
     310,   311,   312,   313,   314,     0,   315,   316,   317,     0,
     318,   319,   320,   321,   322,   323,     0,   324,     0,   325,
     326,   327,   328,   329,   330,   331,     0,   332,     0,   333,
       0,     0,   334,     0,   335,   336,   337,   338,   339,     0,
     340,   341,     0,   342,   343,     0,   344,     0,     0,   345,
     346,   347,     0,     0,   348,   349,   350,   351,   352,   353,
     354,   355,   356,   357,   358,   359,   360,   361,     0,   362,
     363,   364,   365,     0,   366,   367,     0,   368,     0,   369,
     370,   371,   372,   373,   374,     0,   375,     0,     0,   376,
     377,   378,     0,     0,   379,     0,     0,     0,   380,   381,
     382,   383,   384,   385,   386,   387,     0,   388,   389,   390,
     391,   392,   393,   394,     0,   395,   396,   397,   398,   399,
     400,   401,   402,   403,   404,   405,   406,   407,   636,   408,
     409,   410,   411,   412,   413,   414,   415,   416,   417,   418,
       0,   419,   420,     0,   421,   422,   423,   424,   425,   426,
     427,   428,   429,   430,   431,   637,   432,   433,   434,   435,
     436,     0,   437,   438,   439,   440,     0,   441,   442,   443,
       0,   444,   445,   446,   447,   448,   449,   450,   451,   452,
     453,   454,     0,   455,   456,     0,   457,   458,   459,   460,
     461,   462,     0,   463,   464,     0,     0,   465,   466,   467,
     468,     0,   469,   470,   471,   472,   473,   474,   475,     0,
       0,   476,   477,   478,   479,   480,     0,     0,   481,   482,
     483,   484,   485,   486,   487,     0,   488,     0,   489,   490,
     491,     0,     0,   492,     0,     0,   493,   494,   495,   496,
     497,   498,   499,   500,   501,   502,   503,   504,   505,   506,
     507,   508,   509,   207,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   208,   209,   210,   211,   212,   213,
     214,   215,  1539,   217,   218,   219,     0,     0,     0,     0,
       0,     0,     0,   220,   221,     0,   222,   223,     0,   224,
     225,   226,   227,   228,     0,   229,   230,     0,   231,   232,
     233,   234,   235,     0,     0,   236,   237,   238,   239,   240,
       0,   241,   242,   243,   244,   245,     0,     0,     0,   246,
     247,   248,   249,     0,   250,   251,     0,   252,   253,   254,
     255,   256,   257,     0,     0,   258,   259,     0,     0,     0,
       0,     0,     0,     0,   260,   261,   262,  1540,   264,   265,
     266,   267,   268,     0,   269,     0,   270,   271,   272,   273,
     274,     0,   275,   276,   277,     0,     0,   278,  1541,   280,
     281,   282,     0,   283,   284,   285,     0,   286,   287,   288,
       0,   289,   290,   291,   292,   293,   294,   295,   296,   297,
       0,   298,     0,   299,   300,   301,     0,   302,  1542,   303,
       0,     0,     0,  1543,   305,   306,     0,   307,   308,     0,
     309,     0,   310,   311,   312,   313,   314,     0,   315,   316,
     317,     0,   318,   319,   320,   321,   322,   323,     0,   324,
       0,   325,   326,   327,   328,   329,   330,   331,     0,   332,
       0,   333,     0,     0,   334,     0,   335,   336,  1544,  1545,
     339,     0,   340,   341,     0,   342,   343,     0,   344,     0,
       0,   345,   346,   347,     0,     0,   348,   349,   350,   351,
     352,   353,   354,   355,   356,   357,   358,   359,   360,   361,
       0,   362,   363,   364,   365,     0,   366,   367,     0,   368,
       0,   369,   370,   371,   372,   373,   374,     0,   375,     0,
       0,   376,   377,   378,     0,     0,   379,     0,     0,     0,
     380,   381,   382,   383,   384,   385,   386,   387,     0,   388,
     389,   390,   391,   392,   393,   394,     0,   395,   396,   397,
     398,   399,   400,   401,   402,   403,   404,   405,   406,   407,
       0,   408,   409,   410,   411,   412,   413,   414,   415,   416,
     417,   418,     0,   419,   420,     0,   421,   422,   423,   424,
     425,   426,  1546,   428,   429,   430,   431,     0,  1547,   433,
     434,   435,   436,     0,   437,   438,   439,   440,     0,   441,
     442,   443,     0,   444,   445,   446,   447,   448,   449,   450,
     451,   452,   453,   454,     0,   455,   456,  1548,   457,  1549,
     459,   460,   461,   462,     0,   463,   464,     0,     0,   465,
     466,   467,   468,     0,   469,   470,  1550,   472,   473,   474,
     475,     0,     0,   476,   477,   478,   479,   480,     0,     0,
     481,   482,   483,   484,   485,   486,   487,     0,   488,     0,
     489,   490,   491,     0,     0,   492,     0,     0,   493,   494,
     495,   496,   497,   498,   499,   500,   501,   502,   503,   504,
     505,   506,   507,   508,   509,   207,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   208,   209,   210,   211,
     212,   213,   214,   215,     0,   217,   218,   219,     0,     0,
       0,     0,     0,     0,     0,   220,   221,     0,   222,   223,
       0,   224,   225,   226,   227,   228,     0,   229,   230,     0,
     231,   232,   233,   234,   235,     0,     0,   236,   237,   238,
     239,   240,     0,   241,   242,   243,   244,   245,     0,     0,
       0,   246,   247,   248,   249,     0,   250,   251,     0,   252,
     253,   254,   255,   256,   257,   635,     0,   258,   259,     0,
       0,     0,     0,     0,     0,     0,   260,   261,   262,   263,
     264,   265,   266,   267,   268,     0,   269,     0,   270,   271,
     272,   273,   274,     0,   275,   276,   277,     0,     0,   278,
     279,   280,   281,   282,     0,   283,   284,   285,     0,   286,
     287,   288,     0,   289,   290,   291,   292,   293,   294,   295,
     296,   297,     0,   298,     0,   299,   300,   301,     0,   302,
       0,   303,     0,     0,     0,   304,   305,   306,     0,   307,
     308,     0,   309,     0,   310,   311,   312,   313,   314,     0,
     315,   316,   317,     0,   318,   319,   320,   321,   322,   323,
       0,   324,     0,   325,   326,   327,   328,   329,   330,   331,
       0,   332,     0,   333,     0,     0,   334,     0,   335,   336,
     337,   338,   339,     0,   340,   341,     0,   342,   343,     0,
     344,     0,     0,   345,   346,   347,     0,     0,   348,   349,
     350,   351,   352,   353,   354,   355,   356,   357,   358,   359,
     360,   361,     0,   362,   363,   364,   365,     0,   366,   367,
       0,   368,     0,   369,   370,   371,   372,   373,   374,     0,
     375,     0,     0,   376,   377,   378,     0,     0,   379,     0,
       0,     0,   380,   381,   382,   383,   384,   385,   386,   387,
       0,   388,   389,   390,   391,   392,   393,   394,     0,   395,
     396,   397,   398,   399,   400,   401,   402,   403,   404,   405,
     406,   407,   636,   408,   409,   410,   411,   412,   413,   414,
     415,   416,   417,   418,     0,   419,   420,     0,   421,   422,
     423,   424,   425,   426,   427,   428,   429,   430,   431,   637,
     432,   433,   434,   435,   436,     0,   437,   438,   439,   440,
       0,   441,   442,   443,     0,   444,   445,   446,   447,   448,
     449,   450,   451,   452,   453,   454,     0,   455,   456,     0,
     457,   458,   459,   460,   461,   462,     0,   463,   464,     0,
       0,   465,   466,   467,   468,     0,   469,   470,   471,   472,
     473,   474,   475,     0,     0,   476,   477,   478,   479,   480,
       0,     0,   481,   482,   483,   484,   485,   486,   487,     0,
     488,     0,   489,   490,   491,     0,     0,   492,     0,     0,
     493,   494,   495,   496,   497,   498,   499,   500,   501,   502,
     503,   504,   505,   506,   507,   508,   509,   207,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   208,   209,
     210,   211,   212,   213,   214,   215,     0,   217,   218,   219,
       3,     4,     0,     0,     0,     0,     0,   220,   221,     0,
     222,   223,     0,   224,   225,   226,   227,   228,     0,   229,
     230,     0,   231,   232,   233,   234,   235,     0,     0,   236,
     237,   238,   239,   240,     0,   241,   242,   243,   244,   245,
       0,     0,     0,   246,   247,   248,   249,     0,   250,   251,
       0,   252,   253,   254,   255,   256,   257,     0,     0,   258,
     259,     0,     0,     0,     0,     0,     0,     0,   260,   261,
     262,   263,   264,   265,   266,   267,   268,     0,   269,     0,
     270,   271,   272,   273,   274,     0,   275,   276,   277,     0,
       0,   278,   279,   280,   281,   282,     0,   283,   284,   285,
       0,   286,   287,   288,     0,   289,   290,   291,   292,   293,
     294,   295,   296,   297,     0,   298,     0,   299,   300,   301,
       0,   302,     0,   303,     0,     0,     0,   304,   305,   306,
       0,   307,   308,     0,   309,     0,   310,   311,   312,   313,
     314,     0,   315,   316,   317,     0,   318,   319,   320,   321,
     322,   323,     0,   324,     0,   325,   326,   327,   328,   329,
     330,   331,     0,   332,     0,   333,     0,     0,   334,     0,
     335,   336,   337,   338,   339,     0,   340,   341,     0,   342,
     343,     0,   344,     0,     0,   345,   346,   347,     0,     0,
     348,   349,   350,   351,   352,   353,   354,   355,   356,   357,
     358,   359,   360,   361,     0,   362,   363,   364,   365,     0,
     366,   367,     0,   368,     0,   369,   370,   371,   372,   373,
     374,     0,   375,     0,     0,   376,   377,   378,     0,     0,
     379,     0,     0,     0,   380,   381,   382,   383,   384,   385,
     386,   387,     0,   388,   389,   390,   391,   392,   393,   394,
       0,   395,   396,   397,   398,   399,   400,   401,   402,   403,
     404,   405,   406,   407,     0,   408,   409,   410,   411,   412,
     413,   414,   415,   416,   417,   418,     0,   419,   420,     0,
     421,   422,   423,   424,   425,   426,   427,   428,   429,   430,
     431,     0,   432,   433,   434,   435,   436,     0,   437,   438,
     439,   440,     0,   441,   442,   443,     0,   444,   445,   446,
     447,   448,   449,   450,   451,   452,   453,   454,     0,   455,
     456,     0,   457,   458,   459,   460,   461,   462,     0,   463,
     464,     0,     0,   465,   466,   467,   468,     0,   469,   470,
     471,   472,   473,   474,   475,     0,     0,   476,   477,   478,
     479,   480,     0,     0,   481,   482,   483,   484,   485,   486,
     487,     0,   488,     0,   489,   490,   491,     0,     0,   492,
       0,     0,   493,   494,   495,   496,   497,   498,   499,   500,
     501,   502,   503,   504,   505,   506,   507,   508,   509,   207,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     208,   209,   210,   211,   212,   213,   214,   215,  2607,   217,
     218,   219,     0,     0,     0,     0,     0,     0,     0,   220,
     221,     0,   222,   223,     0,   224,   225,   226,   227,   228,
       0,   229,   230,     0,   231,   232,   233,   234,   235,     0,
       0,   236,   237,   238,   239,   240,     0,   241,   242,   243,
     244,   245,     0,     0,     0,   246,   247,   248,   249,     0,
     250,   251,     0,   252,   253,   254,   255,   256,   257,     0,
       0,   258,   259,     0,     0,     0,     0,     0,     0,     0,
     260,   261,   262,   263,   264,   265,   266,   267,   268,     0,
     269,     0,   270,   271,   272,   273,   274,     0,   275,   276,
     277,     0,     0,   278,   279,   280,   281,   282,     0,   283,
     284,   285,     0,   286,   287,   288,     0,   289,   290,   291,
     292,   293,   294,   295,   296,   297,     0,   298,     0,   299,
     300,   301,     0,   302,     0,   303,     0,     0,     0,   304,
     305,   306,     0,   307,   308,     0,   309,     0,   310,   311,
     312,   313,   314,     0,   315,   316,   317,     0,   318,   319,
     320,   321,   322,   323,     0,   324,     0,   325,   326,   327,
     328,   329,   330,   331,     0,   332,     0,   333,     0,     0,
     334,     0,   335,   336,   337,   338,   339,     0,   340,   341,
       0,   342,   343,     0,   344,     0,     0,   345,   346,   347,
       0,     0,   348,   349,   350,   351,   352,   353,   354,   355,
     356,   357,   358,   359,   360,   361,     0,   362,   363,   364,
     365,     0,   366,   367,     0,   368,     0,   369,   370,   371,
     372,   373,   374,     0,   375,     0,     0,   376,   377,   378,
       0,     0,   379,     0,     0,     0,   380,   381,   382,   383,
     384,   385,   386,   387,     0,   388,   389,   390,   391,   392,
     393,   394,     0,   395,   396,   397,   398,   399,   400,   401,
     402,   403,   404,   405,   406,   407,     0,   408,   409,   410,
     411,   412,   413,   414,   415,   416,   417,   418,     0,   419,
     420,     0,   421,   422,   423,   424,   425,   426,   427,   428,
     429,   430,   431,     0,   432,   433,   434,   435,   436,     0,
     437,   438,   439,   440,     0,   441,   442,   443,     0,   444,
     445,   446,   447,   448,   449,   450,   451,   452,   453,   454,
       0,   455,   456,     0,   457,   458,   459,   460,   461,   462,
       0,   463,   464,     0,     0,   465,   466,   467,   468,     0,
     469,   470,   471,   472,   473,   474,   475,     0,     0,   476,
     477,   478,   479,   480,  2608,     0,   481,   482,   483,   484,
     485,   486,   487,     0,   488,     0,   489,   490,   491,     0,
       0,   492,     0,     0,   493,   494,   495,   496,   497,   498,
     499,   500,   501,   502,   503,   504,   505,   506,   507,   508,
     509,   207,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   208,   209,   210,   211,   212,   213,   214,   215,
    2619,   217,   218,   219,     0,     0,     0,     0,     0,     0,
       0,   220,   221,     0,   222,   223,     0,   224,   225,   226,
     227,   228,     0,   229,   230,     0,   231,   232,   233,   234,
     235,     0,     0,   236,   237,   238,   239,   240,     0,   241,
     242,   243,   244,   245,     0,     0,     0,   246,   247,   248,
     249,     0,   250,   251,     0,   252,   253,   254,   255,   256,
     257,     0,     0,   258,   259,     0,     0,     0,     0,     0,
       0,     0,   260,   261,   262,   263,   264,   265,   266,   267,
     268,     0,   269,     0,   270,   271,   272,   273,   274,     0,
     275,   276,   277,     0,     0,   278,   279,   280,   281,   282,
       0,   283,   284,   285,     0,   286,   287,   288,     0,   289,
     290,   291,   292,   293,   294,   295,   296,   297,     0,   298,
       0,   299,   300,   301,     0,   302,     0,   303,     0,     0,
       0,   304,   305,   306,     0,   307,   308,     0,   309,     0,
     310,   311,   312,   313,   314,     0,   315,   316,   317,     0,
     318,   319,   320,   321,   322,   323,     0,   324,     0,   325,
     326,   327,   328,   329,   330,   331,     0,   332,     0,   333,
       0,     0,   334,     0,   335,   336,   337,   338,   339,     0,
     340,   341,     0,   342,   343,     0,   344,     0,     0,   345,
     346,   347,     0,     0,   348,   349,   350,   351,   352,   353,
     354,   355,   356,   357,   358,   359,   360,   361,     0,   362,
     363,   364,   365,     0,   366,   367,     0,   368,     0,   369,
     370,   371,   372,   373,   374,     0,   375,     0,     0,   376,
     377,   378,     0,     0,   379,     0,     0,     0,   380,   381,
     382,   383,   384,   385,   386,   387,     0,   388,   389,   390,
     391,   392,   393,   394,     0,   395,   396,   397,   398,   399,
     400,   401,   402,   403,   404,   405,   406,   407,     0,   408,
     409,   410,   411,   412,   413,   414,   415,   416,   417,   418,
       0,   419,   420,     0,   421,   422,   423,   424,   425,   426,
     427,   428,   429,   430,   431,     0,   432,   433,   434,   435,
     436,     0,   437,   438,   439,   440,     0,   441,   442,   443,
       0,   444,   445,   446,   447,   448,   449,   450,   451,   452,
     453,   454,     0,   455,   456,     0,   457,   458,   459,   460,
     461,   462,     0,   463,   464,     0,     0,   465,   466,   467,
     468,     0,   469,   470,   471,   472,   473,   474,   475,     0,
       0,   476,   477,   478,   479,   480,  2620,     0,   481,   482,
     483,   484,   485,   486,   487,     0,   488,     0,   489,   490,
     491,     0,     0,   492,     0,     0,   493,   494,   495,   496,
     497,   498,   499,   500,   501,   502,   503,   504,   505,   506,
     507,   508,   509,   207,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   208,   209,   210,   211,   212,   213,
     214,   215,   216,   217,   218,   219,     0,     0,     0,     0,
       0,     0,     0,   220,   221,     0,   222,   223,     0,   224,
     225,   226,   227,   228,     0,   229,   230,     0,   231,   232,
     233,   234,   235,     0,     0,   236,   237,   238,   239,   240,
       0,   241,   242,   243,   244,   245,     0,     0,     0,   246,
     247,   248,   249,     0,   250,   251,     0,   252,   253,   254,
     255,   256,   257,     0,     0,   258,   259,     0,     0,     0,
       0,     0,     0,     0,   260,   261,   262,   263,   264,   265,
     266,   267,   268,     0,   269,     0,   270,   271,   272,   273,
     274,     0,   275,   276,   277,     0,     0,   278,   279,   280,
     281,   282,     0,   283,   284,   285,     0,   286,   287,   288,
       0,   289,   290,   291,   292,   293,   294,   295,   296,   297,
       0,   298,     0,   299,   300,   301,     0,   302,     0,   303,
       0,     0,     0,   304,   305,   306,     0,   307,   308,     0,
     309,     0,   310,   311,   312,   313,   314,     0,   315,   316,
     317,     0,   318,   319,   320,   321,   322,   323,     0,   324,
       0,   325,   326,   327,   328,   329,   330,   331,     0,   332,
       0,   333,     0,     0,   334,     0,   335,   336,   337,   338,
     339,     0,   340,   341,     0,   342,   343,     0,   344,     0,
       0,   345,   346,   347,     0,     0,   348,   349,   350,   351,
     352,   353,   354,   355,   356,   357,   358,   359,   360,   361,
       0,   362,   363,   364,   365,     0,   366,   367,     0,   368,
       0,   369,   370,   371,   372,   373,   374,     0,   375,     0,
       0,   376,   377,   378,     0,     0,   379,     0,     0,     0,
     380,   381,   382,   383,   384,   385,   386,   387,     0,   388,
     389,   390,   391,   392,   393,   394,     0,   395,   396,   397,
     398,   399,   400,   401,   402,   403,   404,   405,   406,   407,
       0,   408,   409,   410,   411,   412,   413,   414,   415,   416,
     417,   418,     0,   419,   420,     0,   421,   422,   423,   424,
     425,   426,   427,   428,   429,   430,   431,     0,   432,   433,
     434,   435,   436,     0,   437,   438,   439,   440,     0,   441,
     442,   443,     0,   444,   445,   446,   447,   448,   449,   450,
     451,   452,   453,   454,     0,   455,   456,     0,   457,   458,
     459,   460,   461,   462,     0,   463,   464,     0,     0,   465,
     466,   467,   468,     0,   469,   470,   471,   472,   473,   474,
     475,     0,     0,   476,   477,   478,   479,   480,     0,     0,
     481,   482,   483,   484,   485,   486,   487,     0,   488,     0,
     489,   490,   491,     0,     0,   492,     0,     0,   493,   494,
     495,   496,   497,   498,   499,   500,   501,   502,   503,   504,
     505,   506,   507,   508,   509,   207,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   208,   209,   210,   211,
     212,   213,   214,   215,   556,   217,   218,   219,     0,     0,
       0,     0,     0,     0,     0,   220,   221,     0,   222,   223,
       0,   224,   225,   226,   227,   228,     0,   229,   230,     0,
     231,   232,   233,   234,   235,     0,     0,   236,   237,   238,
     239,   240,     0,   241,   242,   243,   244,   245,     0,     0,
       0,   246,   247,   248,   249,     0,   250,   251,     0,   252,
     253,   254,   255,   256,   257,     0,     0,   258,   259,     0,
       0,     0,     0,     0,     0,     0,   260,   261,   262,   263,
     264,   265,   266,   267,   268,     0,   269,     0,   270,   271,
     272,   273,   274,     0,   275,   276,   277,     0,     0,   278,
     279,   280,   281,   282,     0,   283,   284,   285,     0,   286,
     287,   288,     0,   289,   290,   291,   292,   293,   294,   295,
     296,   297,     0,   298,     0,   299,   300,   301,     0,   302,
       0,   303,     0,     0,     0,   304,   305,   306,     0,   307,
     308,     0,   309,     0,   310,   311,   312,   313,   314,     0,
     315,   316,   317,     0,   318,   319,   320,   321,   322,   323,
       0,   324,     0,   325,   326,   327,   328,   329,   330,   331,
       0,   332,     0,   333,     0,     0,   334,     0,   335,   336,
     337,   338,   339,     0,   340,   341,     0,   342,   343,     0,
     344,     0,     0,   345,   346,   347,     0,     0,   348,   349,
     350,   351,   352,   353,   354,   355,   356,   357,   358,   359,
     360,   361,     0,   362,   363,   364,   365,     0,   366,   367,
       0,   368,     0,   369,   370,   371,   372,   373,   374,     0,
     375,     0,     0,   376,   377,   378,     0,     0,   379,     0,
       0,     0,   380,   381,   382,   383,   384,   385,   386,   387,
       0,   388,   389,   390,   391,   392,   557,   394,     0,   395,
     396,   397,   398,   399,   400,   401,   402,   403,   404,   405,
     406,   407,     0,   408,   409,   410,   411,   412,   413,   414,
     415,   416,   417,   418,     0,   419,   420,     0,   421,   422,
     423,   424,   425,   426,   427,   428,   429,   430,   431,     0,
     432,   433,   434,   435,   436,     0,   437,   438,   439,   440,
       0,   441,   442,   443,     0,   444,   445,   446,   447,   448,
     449,   450,   451,   452,   453,   454,     0,   455,   456,     0,
     457,   458,   459,   460,   461,   462,     0,   463,   464,     0,
       0,   465,   466,   467,   468,     0,   469,   470,   471,   472,
     473,   474,   475,     0,     0,   476,   477,   478,   479,   480,
       0,     0,   481,   482,   483,   484,   485,   486,   487,     0,
     488,     0,   489,   490,   491,     0,     0,   492,     0,     0,
     493,   494,   495,   496,   497,   498,   499,   500,   501,   502,
     503,   504,   505,   506,   507,   508,   509,   207,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   208,   209,
     210,   211,   212,   213,   214,   215,   660,   217,   218,   219,
       0,     0,     0,     0,     0,     0,     0,   220,   221,     0,
     222,   223,     0,   224,   225,   226,   227,   228,     0,   229,
     230,     0,   231,   232,   233,   234,   235,     0,     0,   236,
     237,   238,   239,   240,     0,   241,   242,   243,   244,   245,
       0,     0,     0,   246,   247,   248,   249,     0,   250,   251,
       0,   252,   253,   254,   255,   256,   257,     0,     0,   258,
     259,     0,     0,     0,     0,     0,     0,     0,   260,   261,
     262,   263,   264,   265,   266,   267,   268,     0,   269,     0,
     270,   271,   272,   273,   274,     0,   275,   276,   277,     0,
       0,   278,   279,   280,   281,   282,     0,   283,   284,   285,
       0,   286,   287,   288,     0,   289,   290,   291,   292,   293,
     294,   295,   296,   297,     0,   298,     0,   299,   300,   301,
       0,   302,     0,   303,     0,     0,     0,   304,   305,   306,
       0,   307,   308,     0,   309,     0,   310,   311,   312,   313,
     314,     0,   315,   316,   317,     0,   318,   319,   320,   321,
     322,   323,     0,   324,     0,   325,   326,   327,   328,   329,
     330,   331,     0,   332,     0,   333,     0,     0,   334,     0,
     335,   336,   337,   338,   339,     0,   340,   341,     0,   342,
     343,     0,   344,     0,     0,   345,   346,   347,     0,     0,
     348,   349,   350,   351,   352,   353,   354,   355,   356,   357,
     358,   359,   360,   361,     0,   362,   363,   364,   365,     0,
     366,   367,     0,   368,     0,   369,   370,   371,   372,   373,
     374,     0,   375,     0,     0,   376,   377,   378,     0,     0,
     379,     0,     0,     0,   380,   381,   382,   383,   384,   385,
     386,   387,     0,   388,   389,   390,   391,   392,   393,   394,
       0,   395,   396,   397,   398,   399,   400,   401,   402,   403,
     404,   405,   406,   407,     0,   408,   409,   410,   411,   412,
     413,   414,   415,   416,   417,   418,     0,   419,   420,     0,
     421,   422,   423,   424,   425,   426,   427,   428,   429,   430,
     431,     0,   432,   433,   434,   435,   661,     0,   437,   438,
     439,   440,     0,   441,   442,   443,     0,   444,   445,   446,
     447,   448,   449,   450,   451,   452,   453,   454,     0,   455,
     456,     0,   457,   458,   459,   460,   461,   462,     0,   662,
     464,     0,     0,   663,   466,   467,   468,     0,   469,   470,
     471,   472,   473,   474,   475,     0,     0,   476,   477,   478,
     479,   480,     0,     0,   481,   482,   483,   484,   485,   486,
     487,     0,   488,     0,   489,   490,   491,     0,     0,   492,
       0,     0,   493,   494,   495,   496,   497,   498,   499,   500,
     501,   502,   503,   504,   505,   506,   507,   508,   509,   207,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     208,   209,   210,   211,   212,   213,   214,   215,   690,   217,
     218,   219,     0,     0,     0,     0,     0,     0,     0,   220,
     221,     0,   222,   223,     0,   224,   225,   226,   227,   228,
       0,   229,   230,     0,   231,   232,   233,   234,   235,     0,
       0,   236,   237,   238,   239,   240,     0,   241,   242,   243,
     244,   245,     0,     0,     0,   246,   247,   248,   249,     0,
     250,   251,     0,   252,   253,   254,   255,   256,   257,     0,
       0,   258,   259,     0,     0,     0,     0,     0,     0,     0,
     260,   261,   262,   263,   264,   265,   266,   267,   268,     0,
     269,     0,   270,   271,   272,   273,   274,     0,   275,   276,
     277,     0,     0,   278,   279,   280,   281,   282,     0,   283,
     284,   285,     0,   286,   287,   288,     0,   289,   290,   291,
     292,   293,   294,   295,   296,   297,     0,   298,     0,   299,
     300,   301,     0,   302,     0,   303,     0,     0,     0,   304,
     305,   306,     0,   307,   308,     0,   309,     0,   310,   311,
     312,   313,   314,     0,   315,   316,   317,     0,   318,   319,
     320,   321,   322,   323,     0,   324,     0,   325,   326,   327,
     328,   329,   330,   331,     0,   332,     0,   333,     0,     0,
     334,     0,   335,   336,   337,   338,   339,     0,   340,   341,
       0,   342,   343,     0,   344,     0,     0,   345,   346,   347,
       0,     0,   348,   349,   350,   351,   352,   353,   354,   355,
     356,   357,   358,   359,   360,   361,     0,   362,   363,   364,
     365,     0,   366,   367,     0,   368,     0,   369,   370,   371,
     372,   373,   374,     0,   375,     0,     0,   376,   377,   378,
       0,     0,   379,     0,     0,     0,   380,   381,   382,   383,
     384,   385,   386,   387,     0,   388,   389,   390,   391,   392,
     393,   394,     0,   395,   396,   397,   398,   399,   400,   401,
     402,   403,   404,   405,   406,   407,     0,   408,   409,   410,
     411,   412,   413,   414,   415,   416,   417,   418,     0,   419,
     420,     0,   421,   422,   423,   424,   425,   426,   427,   428,
     429,   430,   431,     0,   432,   433,   434,   435,   691,     0,
     437,   438,   439,   440,     0,   441,   442,   443,     0,   444,
     445,   446,   447,   448,   449,   450,   451,   452,   453,   454,
       0,   455,   456,     0,   457,   458,   459,   460,   461,   462,
       0,   692,   464,     0,     0,   693,   466,   467,   468,     0,
     469,   470,   471,   472,   473,   474,   475,     0,     0,   476,
     477,   478,   479,   480,     0,     0,   481,   482,   483,   484,
     485,   486,   487,     0,   488,     0,   489,   490,   491,     0,
       0,   492,     0,     0,   493,   494,   495,   496,   497,   498,
     499,   500,   501,   502,   503,   504,   505,   506,   507,   508,
     509,   207,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   208,   209,   210,   211,   212,   213,   214,   215,
       0,   217,   218,   219,     0,     0,     0,     0,     0,     0,
       0,   220,   221,     0,   222,   223,     0,   224,   225,   226,
     227,   228,     0,   229,   230,     0,   231,   232,   233,   234,
     235,     0,     0,   236,   237,   238,   239,   240,     0,   241,
     242,   243,   244,   245,     0,     0,     0,   246,   247,   248,
     249,     0,   250,   251,     0,   252,   253,   254,   255,   256,
     257,     0,     0,   258,   259,     0,     0,     0,     0,     0,
       0,     0,   260,   261,   262,   263,   264,   265,   266,   267,
     268,     0,   269,     0,   270,   271,   272,   273,   274,     0,
     275,   276,   277,     0,     0,   278,   279,   280,   281,   282,
       0,   283,   284,   285,     0,   286,   287,   288,     0,   289,
     290,   291,   292,   293,   294,   295,   296,   297,     0,   298,
       0,   299,   300,   301,     0,   302,     0,   303,     0,     0,
       0,   304,   305,   306,     0,   307,   308,     0,   309,     0,
     310,   311,   312,   313,   314,     0,   315,   316,   317,     0,
     318,   319,   320,   321,   322,   323,     0,   324,     0,   325,
     326,   327,   328,   329,   330,   331,     0,   332,     0,   333,
       0,     0,   334,     0,   335,   336,   337,   338,   339,     0,
     340,   341,     0,   342,   343,     0,   344,     0,     0,   345,
     346,   347,     0,     0,   348,   349,   350,   351,   352,   353,
     354,   355,   356,   357,   358,   359,   360,   361,     0,   362,
     363,   364,   365,     0,   366,   367,     0,   368,     0,   369,
     370,   371,   372,   373,   374,     0,   375,     0,   696,   376,
     377,   378,     0,     0,   379,     0,     0,     0,   380,   381,
     382,   383,   384,   385,   386,   387,     0,   388,   389,   390,
     391,   392,   393,   394,     0,   395,   396,   397,   398,   399,
     400,   401,   402,   403,   404,   405,   406,   407,     0,   408,
     409,   410,   411,   412,   413,   414,   415,   416,   417,   418,
       0,   419,   420,     0,   421,   422,   423,   424,   425,   426,
     427,   428,   429,   430,   431,     0,   432,   433,   434,   435,
     436,     0,   437,   438,   439,   440,     0,   441,   442,   443,
       0,   444,   445,   446,   447,   448,   449,   450,   451,   452,
     453,   454,     0,   455,   456,     0,   457,   458,   459,   460,
     461,   462,     0,   463,   464,     0,     0,   465,   466,   467,
     468,     0,   469,   470,   471,   472,   473,   474,   475,     0,
       0,   476,   477,   478,   479,   480,     0,     0,   481,   482,
     483,   484,   485,   486,   487,     0,   488,     0,   489,   490,
     491,     0,     0,   492,     0,     0,   493,   494,   495,   496,
     497,   498,   499,   500,   501,   502,   503,   504,   505,   506,
     507,   508,   509,   207,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   208,   209,   210,   211,   212,   213,
     214,   215,     0,   217,   218,   219,     0,     0,     0,     0,
       0,     0,     0,   220,   221,     0,   222,   223,     0,   224,
     225,   226,   227,   228,     0,   229,   230,     0,   231,   232,
     233,   234,   235,     0,     0,   236,   237,   238,   239,   240,
       0,   241,   242,   243,   244,   245,     0,     0,     0,   246,
     247,   248,   249,     0,   250,   251,     0,   252,   253,   254,
     255,   256,   257,     0,     0,   258,   259,     0,     0,     0,
       0,     0,     0,     0,   260,   261,   262,   263,   264,   265,
     266,   267,   268,     0,   269,     0,   270,   271,   272,   273,
     274,     0,   275,   276,   277,     0,     0,   278,   279,   280,
     281,   282,     0,   283,   284,   285,     0,   286,   287,   288,
       0,   289,   290,   291,   292,   293,   294,   295,   296,   297,
       0,   298,     0,   299,   300,   301,     0,   302,     0,   303,
       0,     0,     0,   304,   305,   306,     0,   307,   308,     0,
     309,     0,   310,   311,   312,   313,   808,     0,   315,   316,
     317,     0,   318,   319,   320,   321,   322,   323,     0,   324,
       0,   325,   326,   327,   328,   329,   330,   331,     0,   332,
       0,   333,     0,     0,   334,     0,   335,   336,   337,   338,
     339,     0,   340,   341,     0,   342,   343,     0,   344,     0,
       0,   345,   346,   347,     0,     0,   348,   349,   350,   351,
     352,   353,   354,   355,   356,   357,   358,   359,   360,   361,
       0,   362,   363,   364,   365,     0,   366,   367,     0,   368,
       0,   369,   370,   371,   372,   373,   374,     0,   375,     0,
     696,   376,   377,   378,     0,     0,   379,     0,     0,     0,
     380,   381,   382,   383,   384,   385,   386,   387,     0,   388,
     389,   390,   391,   392,   393,   394,     0,   395,   396,   397,
     398,   399,   400,   401,   402,   403,   404,   405,   406,   407,
       0,   408,   409,   410,   411,   412,   413,   414,   415,   416,
     417,   418,     0,   419,   420,     0,   421,   422,   423,   424,
     425,   426,   427,   428,   429,   430,   431,     0,   432,   433,
     434,   435,   436,     0,   437,   438,   439,   440,     0,   441,
     442,   443,     0,   444,   445,   446,   447,   448,   449,   450,
     451,   452,   453,   454,     0,   455,   456,     0,   457,   458,
     459,   460,   461,   462,     0,   463,   464,     0,     0,   465,
     466,   467,   468,     0,   469,   470,   471,   472,   473,   474,
     475,     0,     0,   476,   477,   478,   479,   480,     0,     0,
     481,   482,   483,   484,   485,   486,   487,     0,   488,     0,
     489,   490,   491,     0,     0,   492,     0,     0,   493,   494,
     495,   496,   497,   498,   499,   500,   501,   502,   503,   504,
     505,   506,   507,   508,   509,   207,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   208,   209,   210,   211,
     212,   213,   214,   215,   905,   217,   218,   219,     0,     0,
       0,     0,     0,     0,     0,   220,   221,     0,   222,   223,
       0,   224,   225,   226,   227,   228,     0,   229,   230,     0,
     231,   232,   233,   234,   235,     0,     0,   236,   237,   238,
     239,   240,     0,   241,   242,   243,   244,   245,     0,     0,
       0,   246,   247,   248,   249,     0,   250,   251,     0,   252,
     253,   254,   255,   256,   257,     0,     0,   258,   259,     0,
       0,     0,     0,     0,     0,     0,   260,   261,   262,   263,
     264,   265,   266,   267,   268,     0,   269,     0,   270,   271,
     272,   273,   274,     0,   275,   276,   277,     0,     0,   278,
     279,   280,   281,   282,     0,   283,   284,   285,     0,   286,
     287,   288,     0,   289,   290,   291,   292,   293,   294,   295,
     296,   297,     0,   298,     0,   299,   300,   301,     0,   302,
       0,   303,     0,     0,     0,   304,   305,   306,     0,   307,
     308,     0,   309,     0,   310,   311,   312,   313,   314,     0,
     315,   316,   317,     0,   318,   319,   320,   321,   322,   323,
       0,   324,     0,   325,   326,   327,   328,   329,   330,   331,
       0,   332,     0,   333,     0,     0,   334,     0,   335,   336,
     337,   338,   339,     0,   340,   341,     0,   342,   343,     0,
     344,     0,     0,   345,   346,   347,     0,     0,   348,   349,
     350,   351,   352,   353,   354,   355,   356,   357,   358,   359,
     360,   361,     0,   362,   363,   364,   365,     0,   366,   367,
       0,   368,     0,   369,   370,   371,   372,   373,   374,     0,
     375,     0,     0,   376,   377,   378,     0,     0,   379,     0,
       0,     0,   380,   381,   382,   383,   384,   385,   386,   387,
       0,   388,   389,   390,   391,   392,   393,   394,     0,   395,
     396,   397,   398,   399,   400,   401,   402,   403,   404,   405,
     406,   407,     0,   408,   409,   410,   411,   412,   413,   414,
     415,   416,   417,   418,     0,   419,   420,     0,   421,   422,
     423,   424,   425,   426,   427,   428,   429,   430,   431,     0,
     432,   433,   434,   435,   436,     0,   437,   438,   439,   440,
       0,   441,   442,   443,     0,   444,   445,   446,   447,   448,
     449,   450,   451,   452,   453,   454,     0,   455,   456,     0,
     457,   458,   459,   460,   461,   462,     0,   463,   464,     0,
       0,   465,   466,   467,   468,     0,   469,   470,   471,   472,
     473,   474,   475,     0,     0,   476,   477,   478,   479,   480,
       0,     0,   481,   482,   483,   484,   485,   486,   487,     0,
     488,     0,   489,   490,   491,     0,     0,   492,     0,     0,
     493,   494,   495,   496,   497,   498,   499,   500,   501,   502,
     503,   504,   505,   506,   507,   508,   509,   207,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   208,   209,
     210,   211,   212,   213,   214,   215,  1114,   217,   218,   219,
       0,     0,     0,     0,     0,     0,     0,   220,   221,     0,
     222,   223,     0,   224,   225,   226,   227,   228,     0,   229,
     230,     0,   231,   232,   233,   234,   235,     0,     0,   236,
     237,   238,   239,   240,     0,   241,   242,   243,   244,   245,
       0,     0,     0,   246,   247,   248,   249,     0,   250,   251,
       0,   252,   253,   254,   255,   256,   257,     0,     0,   258,
     259,     0,     0,     0,     0,     0,     0,     0,   260,   261,
     262,   263,   264,   265,   266,   267,   268,     0,   269,     0,
     270,   271,   272,   273,   274,     0,   275,   276,   277,     0,
       0,   278,   279,   280,   281,   282,     0,   283,   284,   285,
       0,   286,   287,   288,     0,   289,   290,   291,   292,   293,
     294,   295,   296,   297,     0,   298,     0,   299,   300,   301,
       0,   302,     0,   303,     0,     0,     0,   304,   305,   306,
       0,   307,   308,     0,   309,     0,   310,   311,   312,   313,
     314,     0,   315,   316,   317,     0,   318,   319,   320,   321,
     322,   323,     0,   324,     0,   325,   326,   327,   328,   329,
     330,   331,     0,   332,     0,   333,     0,     0,   334,     0,
     335,   336,   337,   338,   339,     0,   340,   341,     0,   342,
     343,     0,   344,     0,     0,   345,   346,   347,     0,     0,
     348,   349,   350,   351,   352,   353,   354,   355,   356,   357,
     358,   359,   360,   361,     0,   362,   363,   364,   365,     0,
     366,   367,     0,   368,     0,   369,   370,   371,   372,   373,
     374,     0,   375,     0,     0,   376,   377,   378,     0,     0,
     379,     0,     0,     0,   380,   381,   382,   383,   384,   385,
     386,   387,     0,   388,   389,   390,   391,   392,   393,   394,
       0,   395,   396,   397,   398,   399,   400,   401,   402,   403,
     404,   405,   406,   407,     0,   408,   409,   410,   411,   412,
     413,   414,   415,   416,   417,   418,     0,   419,   420,     0,
     421,   422,   423,   424,   425,   426,   427,   428,   429,   430,
     431,     0,   432,   433,   434,   435,   436,     0,   437,   438,
     439,   440,     0,   441,   442,   443,     0,   444,   445,   446,
     447,   448,   449,   450,   451,   452,   453,   454,     0,   455,
     456,     0,   457,   458,   459,   460,   461,   462,     0,   463,
     464,     0,     0,   465,   466,   467,   468,     0,   469,   470,
     471,   472,   473,   474,   475,     0,     0,   476,   477,   478,
     479,   480,     0,     0,   481,   482,   483,   484,   485,   486,
     487,     0,   488,     0,   489,   490,   491,     0,     0,   492,
       0,     0,   493,   494,   495,   496,   497,   498,   499,   500,
     501,   502,   503,   504,   505,   506,   507,   508,   509,   207,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     208,   209,   210,   211,   212,   213,   214,   215,     0,   217,
     218,   219,     0,     0,     0,     0,     0,     0,     0,   220,
     221,     0,   222,   223,  1125,   224,   225,   226,   227,   228,
       0,   229,   230,     0,   231,   232,   233,   234,   235,     0,
       0,   677,   237,   238,   239,  1126,     0,   241,   242,   243,
     244,   245,     0,     0,     0,   246,   247,   248,   249,     0,
     250,   251,     0,   252,   253,   254,   255,   256,   257,     0,
       0,   258,   259,     0,     0,     0,     0,     0,     0,     0,
     260,   261,   262,   263,   264,   265,   266,   267,   268,     0,
     269,     0,   270,   271,   272,   273,   274,     0,   275,   276,
     277,     0,     0,   278,   279,   280,   281,   282,     0,   283,
     284,   285,     0,   286,   287,   288,     0,   289,   290,   291,
     292,   293,   294,   295,   296,   297,     0,   298,     0,   299,
     300,   301,     0,   302,     0,   303,     0,     0,     0,   304,
     305,   306,     0,   307,   308,     0,   309,     0,   310,   311,
     312,   313,   314,     0,   315,   316,   317,     0,   318,   319,
     320,   321,   322,   323,     0,   324,     0,   325,   326,   327,
     328,   329,   330,   331,     0,   332,     0,   333,     0,     0,
     334,     0,   335,   336,   337,   338,   339,     0,   340,   341,
       0,   342,   343,     0,   344,     0,     0,   345,   346,   347,
       0,     0,   348,   349,   350,   351,   352,   353,   354,   355,
     356,   357,   358,   359,   680,   361,     0,   362,   363,   364,
     365,     0,   366,   367,     0,   368,     0,   369,   370,   371,
     372,   373,   374,     0,   375,     0,     0,   376,   377,   378,
       0,     0,   379,     0,     0,     0,   380,   381,   382,   383,
     384,   385,   386,   387,     0,   388,   389,   390,   391,   392,
     393,   394,     0,   395,   396,   397,   398,   399,   400,   401,
     402,   403,   404,   405,   406,   407,     0,   408,   409,   410,
     411,   412,   413,   414,   415,   416,   417,   418,     0,   419,
     420,     0,   681,   422,   423,   424,   425,   426,   682,   428,
     429,   430,   431,     0,   432,   433,   434,   435,  1118,     0,
     437,   438,   439,   440,     0,   441,   442,   443,     0,   444,
     445,   446,   447,   448,   449,   450,   451,   452,   453,   454,
       0,   455,   456,     0,   457,   458,   459,   460,   461,   462,
       0,   684,   464,     0,     0,   685,   466,   467,   468,     0,
     469,   470,   471,   472,   473,   474,   475,     0,     0,   476,
     477,   478,   479,   480,     0,     0,   481,   482,   483,   484,
     485,   486,   487,     0,   488,     0,   489,   490,   491,     0,
       0,   492,     0,     0,   493,   494,   495,   496,   686,   498,
     499,   500,   501,   502,   503,   504,   505,   506,   507,   508,
     509,   207,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   208,   209,   210,   211,   212,   213,   214,   215,
       0,   217,   218,   219,     0,     0,     0,     0,     0,     0,
       0,   220,   221,     0,   222,   223,     0,   224,   225,   226,
     227,   228,     0,   229,   230,     0,   231,   232,   233,   234,
     235,     0,     0,   236,   237,   238,   239,   240,     0,   241,
     242,   243,   244,   245,     0,     0,     0,   246,   247,   248,
     249,     0,   250,   251,     0,   252,   253,   254,   255,   256,
     257,     0,     0,   258,   259,     0,     0,     0,     0,     0,
       0,     0,   260,   261,   262,   263,   264,   265,   266,   267,
     268,     0,   269,     0,   270,   271,   272,   273,   274,     0,
     275,   276,   277,     0,     0,   278,   279,   280,   281,   282,
       0,   283,   284,   285,     0,   286,   287,   288,     0,   289,
     290,   291,   292,   293,   294,   295,   296,   297,     0,   298,
       0,   299,   300,   301,     0,   302,     0,   303,     0,     0,
       0,   304,   305,   306,     0,   307,   308,     0,   309,     0,
     310,   311,   312,   313,  1224,     0,   315,   316,   317,     0,
     318,   319,   320,   321,   322,   323,     0,   324,     0,   325,
     326,   327,   328,   329,   330,   331,     0,   332,     0,   333,
       0,     0,   334,     0,   335,   336,   337,   338,   339,     0,
     340,   341,     0,   342,   343,     0,   344,     0,     0,   345,
     346,   347,     0,     0,   348,   349,   350,   351,   352,   353,
     354,   355,   356,   357,   358,   359,   360,   361,     0,   362,
     363,   364,   365,     0,   366,   367,     0,   368,     0,   369,
     370,   371,   372,   373,   374,     0,   375,     0,   696,   376,
     377,   378,     0,     0,   379,     0,     0,     0,   380,   381,
     382,   383,   384,   385,   386,   387,     0,   388,   389,   390,
     391,   392,   393,   394,     0,   395,   396,   397,   398,   399,
     400,   401,   402,   403,   404,   405,   406,   407,     0,   408,
     409,   410,   411,   412,   413,   414,   415,   416,   417,   418,
       0,   419,   420,     0,   421,   422,   423,   424,   425,   426,
     427,   428,   429,   430,   431,     0,   432,   433,   434,   435,
     436,     0,   437,   438,   439,   440,     0,   441,   442,   443,
       0,   444,   445,   446,   447,   448,   449,   450,   451,   452,
     453,   454,     0,   455,   456,     0,   457,   458,   459,   460,
     461,   462,     0,   463,   464,     0,     0,   465,   466,   467,
     468,     0,   469,   470,   471,   472,   473,   474,   475,     0,
       0,   476,   477,   478,   479,   480,     0,     0,   481,   482,
     483,   484,   485,   486,   487,     0,   488,     0,   489,   490,
     491,     0,     0,   492,     0,     0,   493,   494,   495,   496,
     497,   498,   499,   500,   501,   502,   503,   504,   505,   506,
     507,   508,   509,   207,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   208,   209,   210,   211,   212,   213,
     214,   215,     0,   217,   218,   219,     0,     0,     0,     0,
       0,     0,     0,   220,   221,     0,   222,   223,     0,   224,
     225,   226,   227,   228,     0,   229,   230,     0,   231,   232,
     233,   234,   235,     0,     0,   236,   237,   238,   239,   240,
       0,   241,   242,   243,   244,   245,     0,     0,     0,   246,
     247,   248,   249,     0,   250,   251,     0,   252,   253,   254,
     255,   256,   257,     0,     0,   258,   259,     0,     0,     0,
       0,     0,     0,     0,   260,   261,   262,   263,   264,   265,
     266,   267,   268,     0,   269,     0,   270,   271,   272,   273,
     274,     0,   275,   276,   277,     0,     0,   278,   279,   280,
     281,   282,     0,   283,   284,   285,     0,   286,   287,   288,
       0,   289,   290,   291,   292,   293,   294,   295,   296,   297,
       0,   298,     0,   299,   300,   301,     0,   302,     0,   303,
       0,     0,     0,   304,   305,  2426,     0,   307,   308,     0,
     309,     0,   310,   311,   312,   313,   314,     0,   315,   316,
     317,     0,   318,   319,   320,   321,   322,   323,     0,   324,
       0,   325,   326,   327,   328,   329,   330,   331,     0,   332,
       0,   333,     0,     0,   334,     0,   335,   336,   337,   338,
     339,     0,   340,   341,     0,   342,   343,     0,   344,     0,
       0,   345,   346,  2427,     0,     0,   348,   349,   350,   351,
     352,   353,   354,   355,   356,   357,   358,   359,   360,   361,
       0,   362,   363,   364,   365,     0,   366,   367,     0,   368,
       0,   369,   370,   371,   372,   373,   374,     0,   375,     0,
       0,   376,   377,   378,     0,     0,   379,     0,     0,     0,
     380,   381,   382,   383,   384,   385,   386,   387,     0,   388,
     389,   390,   391,   392,   393,   394,     0,   395,   396,   397,
     398,   399,   400,   401,   402,   403,   404,   405,   406,   407,
       0,   408,   409,   410,   411,   412,   413,   414,   415,   416,
     417,   418,     0,   419,   420,     0,   421,   422,   423,   424,
     425,   426,   427,   428,   429,   430,   431,     0,   432,   433,
     434,   435,   436,     0,   437,   438,   439,   440,     0,   441,
     442,   443,     0,   444,   445,   446,   447,   448,   449,   450,
     451,   452,   453,   454,     0,   455,   456,  2428,   457,   458,
    2429,   460,  2430,   462,     0,   463,   464,     0,     0,   465,
     466,   467,   468,     0,   469,   470,   471,   472,   473,   474,
     475,     0,     0,   476,   477,  2431,   479,   480,     0,     0,
     481,   482,   483,   484,   485,   486,   487,     0,   488,     0,
     489,   490,   491,     0,     0,   492,     0,     0,   493,   494,
     495,   496,   497,   498,   499,   500,   501,   502,   503,   504,
     505,   506,   507,   508,   509,   207,     0,   564,     0,     0,
       0,     0,     0,     0,     0,     0,   208,   209,   210,   211,
     212,   213,   214,   215,     0,   217,   218,   219,     0,     0,
       0,     0,     0,     0,     0,   220,   221,     0,   222,   223,
       0,   224,   225,   226,   227,   228,     0,   229,   230,     0,
     231,   232,   233,   234,   235,     0,     0,   236,   237,   238,
     239,   240,     0,   241,   242,   243,   244,   245,     0,     0,
       0,   246,   247,   248,   249,     0,   250,   251,     0,   252,
     253,   254,   255,   256,   257,     0,     0,   258,   259,     0,
       0,     0,     0,     0,     0,     0,   260,   261,   262,   263,
     264,   265,   266,   267,   268,     0,   269,     0,   270,   271,
     272,   273,   274,     0,   275,   276,   277,     0,     0,   278,
     279,   280,   281,   282,     0,   283,   284,   285,     0,   286,
     287,   288,     0,   289,   290,   291,   292,   293,   294,   295,
     296,   297,     0,   298,     0,   299,   300,   301,     0,   302,
       0,   303,     0,     0,     0,   304,   305,   306,     0,   307,
     308,     0,   309,     0,   310,   311,   312,   313,   314,     0,
     315,   316,   317,     0,   318,   319,   320,   321,   322,   323,
       0,   324,     0,   325,   326,   327,   328,   329,   330,   331,
       0,   332,     0,   333,     0,     0,   334,     0,   335,   336,
     337,   338,   339,     0,   340,   341,     0,   342,   343,     0,
     344,     0,     0,   345,   346,   347,     0,     0,   348,   349,
     350,   351,   352,   353,   354,   355,   356,   357,   358,   359,
     360,   361,     0,   362,   363,   364,   365,     0,   366,   367,
       0,   368,     0,   369,   370,   371,   372,   373,   374,     0,
     375,     0,     0,   376,   377,   378,     0,     0,   379,     0,
       0,     0,   380,   381,   382,   383,   384,   385,   386,   387,
       0,   388,   389,   390,   391,   392,   393,   394,     0,   395,
     396,   397,   398,   399,   400,   401,   402,   403,   404,   405,
     406,   407,     0,   408,   409,   410,   411,   412,   413,   414,
     415,   416,   417,   418,     0,   419,   420,     0,   421,   422,
     423,   424,   425,   426,   427,   428,   429,   430,   431,     0,
     432,   433,   434,   435,   436,     0,   437,   438,   439,   440,
       0,   441,   442,   443,     0,   444,   445,   446,   447,   448,
     449,   450,   451,   452,   453,   454,     0,   455,   456,     0,
     457,   458,   459,   460,   461,   462,     0,   463,   464,     0,
       0,   465,   466,   467,   468,     0,   469,   470,   471,   472,
     473,   474,   475,     0,     0,   476,   477,   478,   479,   480,
       0,     0,   481,   482,   483,   484,   485,   486,   487,     0,
     488,     0,   489,   490,   491,     0,     0,   492,     0,     0,
     493,   494,   495,   496,   497,   498,   499,   500,   501,   502,
     503,   504,   505,   506,   507,   508,   509,   207,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   208,   209,
     210,   211,   212,   213,   214,   215,     0,   217,   218,   219,
       0,     0,     0,     0,     0,  3501,     0,   220,   221,     0,
     222,   223,     0,   224,   225,   226,   227,   228,     0,   229,
     230,     0,   231,   232,   233,   234,   235,     0,     0,   236,
     237,   238,   239,   240,     0,   241,   242,   243,   244,   245,
       0,     0,     0,   246,   247,   248,   249,     0,   250,   251,
       0,   252,   253,   254,   255,   256,   257,     0,     0,   258,
     259,     0,     0,     0,     0,     0,     0,     0,   260,   261,
     262,   263,   264,   265,   266,   267,   268,     0,   269,     0,
     270,   271,   272,   273,   274,     0,   275,   276,   277,     0,
       0,   278,   279,   280,   281,   282,     0,   283,   284,   285,
       0,   286,   287,   288,     0,   289,   290,   291,   292,   293,
     294,   295,   296,   297,     0,   298,     0,   299,   300,   301,
       0,   302,     0,   303,     0,     0,     0,   304,   305,   306,
       0,   307,   308,     0,   309,     0,   310,   311,   312,   313,
     314,     0,   315,   316,   317,     0,   318,   319,   320,   321,
     322,   323,     0,   324,     0,   325,   326,   327,   328,   329,
     330,   331,     0,   332,     0,   333,     0,     0,   334,     0,
     335,   336,   337,   338,   339,     0,   340,   341,     0,   342,
     343,     0,   344,     0,     0,   345,   346,   347,     0,     0,
     348,   349,   350,   351,   352,   353,   354,   355,   356,   357,
     358,   359,   360,   361,     0,   362,   363,   364,   365,     0,
     366,   367,     0,   368,     0,   369,   370,   371,   372,   373,
     374,     0,   375,     0,     0,   376,   377,   378,     0,     0,
     379,     0,     0,     0,   380,   381,   382,   383,   384,   385,
     386,   387,     0,   388,   389,   390,   391,   392,   393,   394,
       0,   395,   396,   397,   398,   399,   400,   401,   402,   403,
     404,   405,   406,   407,     0,   408,   409,   410,   411,   412,
     413,   414,   415,   416,   417,   418,     0,   419,   420,     0,
     421,   422,   423,   424,   425,   426,   427,   428,   429,   430,
     431,     0,   432,   433,   434,   435,   436,     0,   437,   438,
     439,   440,     0,   441,   442,   443,     0,   444,   445,   446,
     447,   448,   449,   450,   451,   452,   453,   454,     0,   455,
     456,     0,   457,   458,   459,   460,   461,   462,     0,   463,
     464,     0,     0,   465,   466,   467,   468,     0,   469,   470,
     471,   472,   473,   474,   475,     0,     0,   476,   477,   478,
     479,   480,     0,     0,   481,   482,   483,   484,   485,   486,
     487,     0,   488,     0,   489,   490,   491,     0,     0,   492,
       0,     0,   493,   494,   495,   496,   497,   498,   499,   500,
     501,   502,   503,   504,   505,   506,   507,   508,   509,   207,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     208,   209,   210,   211,   212,   213,   214,   215,     0,   217,
     218,   219,     0,     0,     0,     0,     0,  3515,     0,   220,
     221,     0,   222,   223,     0,   224,   225,   226,   227,   228,
       0,   229,   230,     0,   231,   232,   233,   234,   235,     0,
       0,   236,   237,   238,   239,   240,     0,   241,   242,   243,
     244,   245,     0,     0,     0,   246,   247,   248,   249,     0,
     250,   251,     0,   252,   253,   254,   255,   256,   257,     0,
       0,   258,   259,     0,     0,     0,     0,     0,     0,     0,
     260,   261,   262,   263,   264,   265,   266,   267,   268,     0,
     269,     0,   270,   271,   272,   273,   274,     0,   275,   276,
     277,     0,     0,   278,   279,   280,   281,   282,     0,   283,
     284,   285,     0,   286,   287,   288,     0,   289,   290,   291,
     292,   293,   294,   295,   296,   297,     0,   298,     0,   299,
     300,   301,     0,   302,     0,   303,     0,     0,     0,   304,
     305,   306,     0,   307,   308,     0,   309,     0,   310,   311,
     312,   313,   314,     0,   315,   316,   317,     0,   318,   319,
     320,   321,   322,   323,     0,   324,     0,   325,   326,   327,
     328,   329,   330,   331,     0,   332,     0,   333,     0,     0,
     334,     0,   335,   336,   337,   338,   339,     0,   340,   341,
       0,   342,   343,     0,   344,     0,     0,   345,   346,   347,
       0,     0,   348,   349,   350,   351,   352,   353,   354,   355,
     356,   357,   358,   359,   360,   361,     0,   362,   363,   364,
     365,     0,   366,   367,     0,   368,     0,   369,   370,   371,
     372,   373,   374,     0,   375,     0,     0,   376,   377,   378,
       0,     0,   379,     0,     0,     0,   380,   381,   382,   383,
     384,   385,   386,   387,     0,   388,   389,   390,   391,   392,
     393,   394,     0,   395,   396,   397,   398,   399,   400,   401,
     402,   403,   404,   405,   406,   407,     0,   408,   409,   410,
     411,   412,   413,   414,   415,   416,   417,   418,     0,   419,
     420,     0,   421,   422,   423,   424,   425,   426,   427,   428,
     429,   430,   431,     0,   432,   433,   434,   435,   436,     0,
     437,   438,   439,   440,     0,   441,   442,   443,     0,   444,
     445,   446,   447,   448,   449,   450,   451,   452,   453,   454,
       0,   455,   456,     0,   457,   458,   459,   460,   461,   462,
       0,   463,   464,     0,     0,   465,   466,   467,   468,     0,
     469,   470,   471,   472,   473,   474,   475,     0,     0,   476,
     477,   478,   479,   480,     0,     0,   481,   482,   483,   484,
     485,   486,   487,     0,   488,     0,   489,   490,   491,     0,
       0,   492,     0,     0,   493,   494,   495,   496,   497,   498,
     499,   500,   501,   502,   503,   504,   505,   506,   507,   508,
     509,   207,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   208,   209,   210,   211,   212,   213,   214,   215,
       0,   217,   218,   219,     0,     0,     0,     0,     0,     0,
       0,   220,   221,     0,   222,   223,     0,   224,   225,   226,
     227,   228,     0,   229,   230,     0,   231,   232,   233,   234,
     235,     0,     0,   236,   237,   238,   239,   240,     0,   241,
     242,   243,   244,   245,     0,     0,     0,   246,   247,   248,
     249,     0,   250,   251,     0,   252,   253,   254,   255,   256,
     257,     0,     0,   258,   259,     0,     0,     0,     0,     0,
       0,     0,   260,   261,   262,   263,   264,   265,   266,   267,
     268,  3722,   269,     0,   270,   271,   272,   273,   274,     0,
     275,   276,   277,     0,     0,   278,   279,   280,   281,   282,
       0,   283,   284,   285,     0,   286,   287,   288,     0,   289,
     290,   291,   292,   293,   294,   295,   296,   297,     0,   298,
       0,   299,   300,   301,     0,   302,     0,   303,     0,     0,
       0,   304,   305,   306,     0,   307,   308,     0,   309,     0,
     310,   311,   312,   313,   314,     0,   315,   316,   317,     0,
     318,   319,   320,   321,   322,   323,     0,   324,     0,   325,
     326,   327,   328,   329,   330,   331,     0,   332,     0,   333,
       0,     0,   334,     0,   335,   336,   337,   338,   339,     0,
     340,   341,     0,   342,   343,     0,   344,     0,     0,   345,
     346,   347,     0,     0,   348,   349,   350,   351,   352,   353,
     354,   355,   356,   357,   358,   359,   360,   361,     0,   362,
     363,   364,   365,     0,   366,   367,     0,   368,     0,   369,
     370,   371,   372,   373,   374,     0,   375,     0,     0,   376,
     377,   378,     0,     0,   379,     0,     0,     0,   380,   381,
     382,   383,   384,   385,   386,   387,     0,   388,   389,   390,
     391,   392,   393,   394,     0,   395,   396,   397,   398,   399,
     400,   401,   402,   403,   404,   405,   406,   407,     0,   408,
     409,   410,   411,   412,   413,   414,   415,   416,   417,   418,
       0,   419,   420,     0,   421,   422,   423,   424,   425,   426,
     427,   428,   429,   430,   431,     0,   432,   433,   434,   435,
     436,     0,   437,   438,   439,   440,     0,   441,   442,   443,
       0,   444,   445,   446,   447,   448,   449,   450,   451,   452,
     453,   454,     0,   455,   456,     0,   457,   458,   459,   460,
     461,   462,     0,   463,   464,     0,     0,   465,   466,   467,
     468,     0,   469,   470,   471,   472,   473,   474,   475,     0,
       0,   476,   477,   478,   479,   480,     0,     0,   481,   482,
     483,   484,   485,   486,   487,     0,   488,     0,   489,   490,
     491,     0,     0,   492,     0,     0,   493,   494,   495,   496,
     497,   498,   499,   500,   501,   502,   503,   504,   505,   506,
     507,   508,   509,   207,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   208,   209,   210,   211,   212,   213,
     214,   215,     0,   217,   218,   219,     0,     0,     0,     0,
       0,     0,     0,   220,   221,     0,   222,   223,     0,   224,
     225,   226,   227,   228,     0,   229,   230,     0,   231,   232,
     233,   234,   235,     0,     0,   236,   237,   238,   239,   240,
       0,   241,   242,   243,   244,   245,     0,     0,     0,   246,
     247,   248,   249,     0,   250,   251,     0,   252,   253,   254,
     255,   256,   257,     0,     0,   258,   259,     0,     0,     0,
       0,     0,     0,     0,   260,   261,   262,   263,   264,   265,
     266,   267,   268,  3724,   269,     0,   270,   271,   272,   273,
     274,     0,   275,   276,   277,     0,     0,   278,   279,   280,
     281,   282,     0,   283,   284,   285,     0,   286,   287,   288,
       0,   289,   290,   291,   292,   293,   294,   295,   296,   297,
       0,   298,     0,   299,   300,   301,     0,   302,     0,   303,
       0,     0,     0,   304,   305,   306,     0,   307,   308,     0,
     309,     0,   310,   311,   312,   313,   314,     0,   315,   316,
     317,     0,   318,   319,   320,   321,   322,   323,     0,   324,
       0,   325,   326,   327,   328,   329,   330,   331,     0,   332,
       0,   333,     0,     0,   334,     0,   335,   336,   337,   338,
     339,     0,   340,   341,     0,   342,   343,     0,   344,     0,
       0,   345,   346,   347,     0,     0,   348,   349,   350,   351,
     352,   353,   354,   355,   356,   357,   358,   359,   360,   361,
       0,   362,   363,   364,   365,     0,   366,   367,     0,   368,
       0,   369,   370,   371,   372,   373,   374,     0,   375,     0,
       0,   376,   377,   378,     0,     0,   379,     0,     0,     0,
     380,   381,   382,   383,   384,   385,   386,   387,     0,   388,
     389,   390,   391,   392,   393,   394,     0,   395,   396,   397,
     398,   399,   400,   401,   402,   403,   404,   405,   406,   407,
       0,   408,   409,   410,   411,   412,   413,   414,   415,   416,
     417,   418,     0,   419,   420,     0,   421,   422,   423,   424,
     425,   426,   427,   428,   429,   430,   431,     0,   432,   433,
     434,   435,   436,     0,   437,   438,   439,   440,     0,   441,
     442,   443,     0,   444,   445,   446,   447,   448,   449,   450,
     451,   452,   453,   454,     0,   455,   456,     0,   457,   458,
     459,   460,   461,   462,     0,   463,   464,     0,     0,   465,
     466,   467,   468,     0,   469,   470,   471,   472,   473,   474,
     475,     0,     0,   476,   477,   478,   479,   480,     0,     0,
     481,   482,   483,   484,   485,   486,   487,     0,   488,     0,
     489,   490,   491,     0,     0,   492,     0,     0,   493,   494,
     495,   496,   497,   498,   499,   500,   501,   502,   503,   504,
     505,   506,   507,   508,   509,   207,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   208,   209,   210,   211,
     212,   213,   214,   215,     0,   217,   218,   219,     0,     0,
       0,     0,     0,     0,     0,   220,   221,     0,   222,   223,
       0,   224,   225,   226,   227,   228,     0,   229,   230,     0,
     231,   232,   233,   234,   235,     0,     0,   236,   237,   238,
     239,   240,     0,   241,   242,   243,   244,   245,     0,     0,
       0,   246,   247,   248,   249,     0,   250,   251,     0,   252,
     253,   254,   255,   256,   257,     0,     0,   258,   259,     0,
       0,     0,     0,     0,     0,     0,   260,   261,   262,   263,
     264,   265,   266,   267,   268,  3726,   269,     0,   270,   271,
     272,   273,   274,     0,   275,   276,   277,     0,     0,   278,
     279,   280,   281,   282,     0,   283,   284,   285,     0,   286,
     287,   288,     0,   289,   290,   291,   292,   293,   294,   295,
     296,   297,     0,   298,     0,   299,   300,   301,     0,   302,
       0,   303,     0,     0,     0,   304,   305,   306,     0,   307,
     308,     0,   309,     0,   310,   311,   312,   313,   314,     0,
     315,   316,   317,     0,   318,   319,   320,   321,   322,   323,
       0,   324,     0,   325,   326,   327,   328,   329,   330,   331,
       0,   332,     0,   333,     0,     0,   334,     0,   335,   336,
     337,   338,   339,     0,   340,   341,     0,   342,   343,     0,
     344,     0,     0,   345,   346,   347,     0,     0,   348,   349,
     350,   351,   352,   353,   354,   355,   356,   357,   358,   359,
     360,   361,     0,   362,   363,   364,   365,     0,   366,   367,
       0,   368,     0,   369,   370,   371,   372,   373,   374,     0,
     375,     0,     0,   376,   377,   378,     0,     0,   379,     0,
       0,     0,   380,   381,   382,   383,   384,   385,   386,   387,
       0,   388,   389,   390,   391,   392,   393,   394,     0,   395,
     396,   397,   398,   399,   400,   401,   402,   403,   404,   405,
     406,   407,     0,   408,   409,   410,   411,   412,   413,   414,
     415,   416,   417,   418,     0,   419,   420,     0,   421,   422,
     423,   424,   425,   426,   427,   428,   429,   430,   431,     0,
     432,   433,   434,   435,   436,     0,   437,   438,   439,   440,
       0,   441,   442,   443,     0,   444,   445,   446,   447,   448,
     449,   450,   451,   452,   453,   454,     0,   455,   456,     0,
     457,   458,   459,   460,   461,   462,     0,   463,   464,     0,
       0,   465,   466,   467,   468,     0,   469,   470,   471,   472,
     473,   474,   475,     0,     0,   476,   477,   478,   479,   480,
       0,     0,   481,   482,   483,   484,   485,   486,   487,     0,
     488,     0,   489,   490,   491,     0,     0,   492,     0,     0,
     493,   494,   495,   496,   497,   498,   499,   500,   501,   502,
     503,   504,   505,   506,   507,   508,   509,   207,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   208,   209,
     210,   211,   212,   213,   214,   215,     0,   217,   218,   219,
       0,     0,     0,     0,     0,     0,     0,   220,   221,     0,
     222,   223,     0,   224,   225,   226,   227,   228,     0,   229,
     230,     0,   231,   232,   233,   234,   235,     0,     0,   236,
     237,   238,   239,   240,     0,   241,   242,   243,   244,   245,
       0,     0,     0,   246,   247,   248,   249,     0,   250,   251,
       0,   252,   253,   254,   255,   256,   257,     0,     0,   258,
     259,     0,     0,     0,     0,     0,     0,     0,   260,   261,
     262,   263,   264,   265,   266,   267,   268,     0,   269,     0,
     270,   271,   272,   273,   274,     0,   275,   276,   277,     0,
       0,   278,   279,   280,   281,   282,     0,   283,   284,   285,
       0,   286,   287,   288,     0,   289,   290,   291,   292,   293,
     294,   295,   296,   297,     0,   298,     0,   299,   300,   301,
       0,   302,     0,   303,     0,     0,     0,   304,   305,   306,
       0,   307,   308,     0,   309,     0,   310,   311,   312,   313,
     314,     0,   315,   316,   317,     0,   318,   319,   320,   321,
     322,   323,     0,   324,     0,   325,   326,   327,   328,   329,
     330,   331,     0,   332,     0,   333,     0,     0,   334,     0,
     335,   336,   337,   338,   339,     0,   340,   341,     0,   342,
     343,     0,   344,     0,     0,   345,   346,   347,     0,     0,
     348,   349,   350,   351,   352,   353,   354,   355,   356,   357,
     358,   359,   360,   361,     0,   362,   363,   364,   365,     0,
     366,   367,     0,   368,     0,   369,   370,   371,   372,   373,
     374,     0,   375,     0,     0,   376,   377,   378,     0,     0,
     379,     0,     0,     0,   380,   381,   382,   383,   384,   385,
     386,   387,     0,   388,   389,   390,   391,   392,   393,   394,
       0,   395,   396,   397,   398,   399,   400,   401,   402,   403,
     404,   405,   406,   407,     0,   408,   409,   410,   411,   412,
     413,   414,   415,   416,   417,   418,     0,   419,   420,     0,
     421,   422,   423,   424,   425,   426,   427,   428,   429,   430,
     431,     0,   432,   433,   434,   435,   436,     0,   437,   438,
     439,   440,     0,   441,   442,   443,     0,   444,   445,   446,
     447,   448,   449,   450,   451,   452,   453,   454,     0,   455,
     456,     0,   457,   458,   459,   460,   461,   462,     0,   463,
     464,     0,     0,   465,   466,   467,   468,     0,   469,   470,
     471,   472,   473,   474,   475,     0,     0,   476,   477,   478,
     479,   480,     0,  4106,   481,   482,   483,   484,   485,   486,
     487,     0,   488,     0,   489,   490,   491,     0,     0,   492,
       0,     0,   493,   494,   495,   496,   497,   498,   499,   500,
     501,   502,   503,   504,   505,   506,   507,   508,   509,   207,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     208,   209,   210,   211,   212,   213,   214,   215,     0,   217,
     218,   219,     0,     0,     0,     0,     0,     0,     0,   220,
     221,     0,   222,   223,     0,   224,   225,   226,   227,   228,
       0,   229,   230,     0,   231,   232,   233,   234,   235,     0,
       0,   236,   237,   238,   239,   240,     0,   241,   242,   243,
     244,   245,     0,     0,     0,   246,   247,   248,   249,     0,
     250,   251,     0,   252,   253,   254,   255,   256,   257,     0,
       0,   258,   259,     0,     0,     0,     0,     0,     0,     0,
     260,   261,   262,   263,   264,   265,   266,   267,   268,     0,
     269,     0,   270,   271,   272,   273,   274,     0,   275,   276,
     277,     0,     0,   278,   279,   280,   281,   282,     0,   283,
     284,   285,     0,   286,   287,   288,     0,   289,   290,   291,
     292,   293,   294,   295,   296,   297,     0,   298,     0,   299,
     300,   301,     0,   302,     0,   303,     0,     0,     0,   304,
     305,   306,     0,   307,   308,     0,   309,     0,   310,   311,
     312,   313,   314,     0,   315,   316,   317,     0,   318,   319,
     320,   321,   322,   323,     0,   324,     0,   325,   326,   327,
     328,   329,   330,   331,     0,   332,     0,   333,     0,     0,
     334,     0,   335,   336,   337,   338,   339,     0,   340,   341,
       0,   342,   343,     0,   344,     0,     0,   345,   346,   347,
       0,     0,   348,   349,   350,   351,   352,   353,   354,   355,
     356,   357,   358,   359,   360,   361,     0,   362,   363,   364,
     365,     0,   366,   367,     0,   368,     0,   369,   370,   371,
     372,   373,   374,     0,   375,     0,     0,   376,   377,   378,
       0,     0,   379,     0,     0,     0,   380,   381,   382,   383,
     384,   385,   386,   387,     0,   388,   389,   390,   391,   392,
     393,   394,     0,   395,   396,   397,   398,   399,   400,   401,
     402,   403,   404,   405,   406,   407,     0,   408,   409,   410,
     411,   412,   413,   414,   415,   416,   417,   418,     0,   419,
     420,     0,   421,   422,   423,   424,   425,   426,   427,   428,
     429,   430,   431,     0,   432,   433,   434,   435,   436,     0,
     437,   438,   439,   440,     0,   441,   442,   443,     0,   444,
     445,   446,   447,   448,   449,   450,   451,   452,   453,   454,
       0,   455,   456,     0,   457,   458,   459,   460,   461,   462,
       0,   463,   464,     0,     0,   465,   466,   467,   468,     0,
     469,   470,   471,   472,   473,   474,   475,     0,     0,   476,
     477,   478,   479,   480,     0,     0,   481,   482,   483,   484,
     485,   486,   487,     0,   488,     0,   489,   490,   491,     0,
       0,   492,     0,     0,   493,   494,   495,   496,   497,   498,
     499,   500,   501,   502,   503,   504,   505,   506,   507,   508,
     509,   207,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   208,   209,   210,   211,   212,   213,   214,   215,
       0,   217,   218,   219,     0,     0,     0,     0,     0,     0,
       0,   220,   221,     0,   222,   223,     0,   224,   225,   226,
     227,   228,     0,   229,   230,     0,   231,   232,   233,   234,
     235,     0,     0,   236,   237,   238,   239,   240,     0,   241,
     242,   243,   244,   245,     0,     0,     0,   246,   247,   248,
     249,     0,   250,   251,     0,   252,   253,   254,   255,   256,
     257,     0,     0,   258,   259,     0,     0,     0,     0,     0,
       0,     0,   260,   261,   262,   263,   264,   265,   266,   267,
     268,     0,   269,     0,   270,   271,   272,   273,   274,     0,
     275,   276,   277,     0,     0,   278,   279,   280,   281,   282,
       0,   283,   284,   285,     0,   286,   287,   288,     0,   289,
     290,   291,   292,   293,   294,   295,   296,   297,     0,   298,
       0,   299,   300,   301,     0,   302,     0,   303,     0,     0,
       0,   304,   305,   306,     0,   307,   308,     0,   309,     0,
     310,   311,   312,   313,   314,     0,   315,   316,   317,     0,
     318,   319,   320,   321,   322,   323,     0,   324,     0,   325,
     326,   327,   328,   329,   330,   331,     0,   332,     0,   333,
       0,     0,   334,     0,   335,   336,   337,   338,   339,     0,
     340,   341,     0,   342,   343,     0,   344,     0,     0,   345,
     346,   347,     0,     0,   348,   349,   350,   351,   352,   353,
     354,   355,   356,   357,   358,   359,   360,   361,     0,   362,
     363,   364,   365,     0,   366,   367,     0,   368,     0,   369,
     370,   371,   372,   373,   374,     0,   375,     0,     0,   376,
     377,   378,     0,     0,   379,     0,     0,     0,   380,   381,
     382,   383,   384,   385,   386,   387,     0,   388,   389,   390,
     391,   392,   393,   394,     0,   395,   396,   397,   398,   399,
     400,   401,   402,   403,   404,   405,   406,   407,     0,   408,
     409,   410,   411,   412,   413,   414,   415,   416,   417,   418,
       0,   419,   420,     0,   421,   422,   423,   424,   425,   426,
     427,   428,   429,   430,   431,     0,   432,   433,   434,   435,
     436,     0,   437,   438,   439,   440,     0,   441,   442,   443,
       0,   444,   445,   446,   447,   448,   449,   450,   451,   452,
     453,   454,     0,   455,   456,     0,   457,   458,   459,   460,
     461,   462,     0,   463,   464,     0,     0,   649,   466,   467,
     468,     0,   469,   470,   471,   472,   473,   474,   475,     0,
       0,   476,   477,   478,   479,   480,     0,     0,   481,   482,
     483,   484,   485,   486,   487,     0,   488,     0,   489,   490,
     491,     0,     0,   492,     0,     0,   493,   494,   495,   496,
     497,   498,   499,   500,   501,   502,   503,   504,   505,   506,
     507,   508,   509,   207,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   208,   209,   210,   211,   212,   213,
     214,   215,     0,   217,   218,   219,     0,     0,     0,     0,
       0,     0,     0,   220,   221,     0,   222,   223,     0,   224,
     225,   226,   227,   228,     0,   229,   230,     0,   231,   232,
     233,   234,   235,     0,     0,   236,   237,   238,   239,   240,
       0,   241,   242,   243,   244,   245,     0,     0,     0,   246,
     247,   248,   249,     0,   250,   251,     0,   252,   253,   254,
     255,   256,   257,     0,     0,   258,   259,     0,     0,     0,
       0,     0,     0,     0,   260,   261,   262,   263,   264,   265,
     266,   267,   268,     0,   269,     0,   270,   271,   272,   273,
     274,     0,   275,   276,   277,     0,     0,   278,   279,   280,
     281,   282,     0,   283,   284,   285,     0,   286,   287,   288,
       0,   289,   290,   291,   292,   293,   294,   295,   296,   297,
       0,   298,     0,   299,   300,   301,     0,   302,     0,   303,
       0,     0,     0,   304,   305,   306,     0,   307,   308,     0,
     309,     0,   310,   311,   312,   313,   314,     0,   315,   316,
     317,     0,   318,   319,   320,   321,   322,   323,     0,   324,
       0,   325,   326,   327,   328,   329,   330,   331,     0,   332,
       0,   333,     0,     0,   334,     0,   335,   336,   337,   338,
     339,     0,   340,   341,     0,   342,   343,     0,   344,     0,
       0,   345,   346,   347,     0,     0,   348,   349,   350,   351,
     352,   353,   354,   355,   356,   357,   358,   359,   360,   361,
       0,   362,   363,   364,   365,     0,   366,   367,     0,   368,
       0,   369,   370,   371,   372,   373,   374,     0,   375,     0,
       0,   376,   377,   378,     0,     0,   379,     0,     0,     0,
     380,   381,   382,   383,   384,   385,   386,   387,     0,   388,
     389,   390,   391,   392,   393,   394,     0,   395,   396,   397,
     398,   399,   400,   401,   402,   403,   404,   405,   406,   407,
       0,   408,   409,   410,   411,   412,   413,   414,   415,   416,
     417,   418,     0,   419,   420,     0,   421,   422,   423,   424,
     425,   658,   427,   428,   429,   430,   431,     0,   432,   433,
     434,   435,   436,     0,   437,   438,   439,   440,     0,   441,
     442,   443,     0,   444,   445,   446,   447,   448,   449,   450,
     451,   452,   453,   454,     0,   455,   456,     0,   457,   458,
     459,   460,   461,   462,     0,   463,   464,     0,     0,   465,
     466,   467,   468,     0,   469,   470,   471,   472,   473,   474,
     475,     0,     0,   476,   477,   478,   479,   480,     0,     0,
     481,   482,   483,   484,   485,   486,   487,     0,   488,     0,
     489,   490,   491,     0,     0,   492,     0,     0,   493,   494,
     495,   496,   497,   498,   499,   500,   501,   502,   503,   504,
     505,   506,   507,   508,   509,   207,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   208,   209,   210,   211,
     212,   213,   214,   215,     0,   217,   218,   219,     0,     0,
       0,     0,     0,     0,     0,   220,   221,     0,   222,   223,
       0,   224,   225,   226,   227,   228,     0,   229,   230,     0,
     231,   232,   233,   234,   235,     0,     0,   677,   237,   238,
     239,   240,     0,   241,   242,   243,   244,   245,     0,     0,
       0,   246,   247,   248,   249,     0,   250,   251,     0,   678,
     253,   254,   255,   256,   257,     0,     0,   258,   259,     0,
       0,     0,     0,     0,     0,     0,   260,   261,   262,   263,
     264,   265,   266,   267,   268,     0,   269,     0,   270,   271,
     272,   273,   274,     0,   275,   276,   277,     0,     0,   278,
     279,   280,   281,   282,     0,   283,   284,   285,     0,   286,
     287,   288,     0,   289,   290,   291,   292,   293,   294,   295,
     296,   297,     0,   298,     0,   299,   300,   301,     0,   302,
       0,   303,     0,     0,     0,   304,   305,   306,     0,   307,
     308,     0,   309,     0,   310,   311,   312,   313,   314,     0,
     315,   316,   317,     0,   318,   319,   320,   321,   322,   323,
       0,   324,     0,   325,   326,   327,   328,   329,   330,   331,
       0,   332,     0,   333,     0,     0,   334,     0,   335,   336,
     337,   338,   339,     0,   340,   341,     0,   342,   343,     0,
     344,     0,     0,   345,   346,   679,     0,     0,   348,   349,
     350,   351,   352,   353,   354,   355,   356,   357,   358,   359,
     680,   361,     0,   362,   363,   364,   365,     0,   366,   367,
       0,   368,     0,   369,   370,   371,   372,   373,   374,     0,
     375,     0,     0,   376,   377,   378,     0,     0,   379,     0,
       0,     0,   380,   381,   382,   383,   384,   385,   386,   387,
       0,   388,   389,   390,   391,   392,   393,   394,     0,   395,
     396,   397,   398,   399,   400,   401,   402,   403,   404,   405,
     406,   407,     0,   408,   409,   410,   411,   412,   413,   414,
     415,   416,   417,   418,     0,   419,   420,     0,   681,   422,
     423,   424,   425,   426,   682,   428,   429,   430,   431,     0,
     432,   433,   434,   435,   683,     0,   437,   438,   439,   440,
       0,   441,   442,   443,     0,   444,   445,   446,   447,   448,
     449,   450,   451,   452,   453,   454,     0,   455,   456,     0,
     457,   458,   459,   460,   461,   462,     0,   684,   464,     0,
       0,   685,   466,   467,   468,     0,   469,   470,   471,   472,
     473,   474,   475,     0,     0,   476,   477,   478,   479,   480,
       0,     0,   481,   482,   483,   484,   485,   486,   487,     0,
     488,     0,   489,   490,   491,     0,     0,   492,     0,     0,
     493,   494,   495,   496,   686,   498,   499,   500,   501,   502,
     503,   504,   505,   506,   507,   508,   509,   207,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   208,   209,
     210,   211,   212,   213,   214,   215,     0,   217,   218,   219,
       0,     0,     0,     0,     0,     0,     0,   220,   221,     0,
     222,   223,     0,   224,   225,   226,   227,   228,     0,   229,
     230,     0,   231,   232,   233,   234,   235,     0,     0,   236,
     237,   238,   239,   240,     0,   241,   242,   243,   244,   245,
       0,     0,     0,   246,   247,   248,   249,     0,   250,   251,
       0,   252,   253,   254,   255,   256,   257,     0,     0,   258,
     259,     0,     0,     0,     0,     0,     0,     0,   260,   261,
     262,   263,   264,   265,   266,   267,   268,     0,   269,     0,
     270,   271,   272,   273,   274,     0,   275,   276,   277,     0,
       0,   278,   279,   280,   281,   282,     0,   283,   284,   285,
       0,   286,   287,   288,     0,   289,   290,   291,   292,   293,
     294,   295,   296,   297,     0,   298,     0,   299,   300,   301,
       0,   302,     0,   303,     0,     0,     0,   304,   305,   306,
       0,   307,   308,     0,   309,     0,   310,   311,   312,   313,
     314,     0,   315,   316,   317,     0,   318,   319,   320,   321,
     322,   323,     0,   324,     0,   325,   326,   327,   328,   329,
     330,   331,     0,   332,     0,   333,     0,     0,   334,     0,
     335,   336,   337,   338,   339,     0,   340,   341,     0,   342,
     343,     0,   344,     0,     0,   345,   346,   347,     0,     0,
     348,   349,   350,   351,   352,   353,   354,   355,   356,   357,
     358,   359,   360,   361,     0,   362,   363,   364,   365,     0,
     366,   367,     0,   368,     0,   369,   370,   371,   372,   373,
     374,     0,   375,     0,     0,   376,   377,   378,     0,     0,
     379,     0,     0,     0,   380,   381,   382,   383,   384,   385,
     386,   387,     0,   388,   389,   390,   391,   392,   393,   394,
       0,   395,   396,   397,   398,   399,   400,   401,   402,   403,
     404,   405,   708,   407,     0,   408,   409,   410,   411,   412,
     413,   414,   415,   416,   417,   418,     0,   419,   420,     0,
     421,   422,   423,   424,   425,   426,   427,   428,   429,   430,
     431,     0,   432,   433,   434,   435,   436,     0,   437,   438,
     439,   440,     0,   441,   442,   443,     0,   444,   445,   446,
     447,   448,   449,   450,   451,   452,   453,   454,     0,   455,
     456,     0,   457,   458,   459,   460,   461,   462,     0,   463,
     464,     0,     0,   465,   466,   467,   468,     0,   469,   470,
     471,   472,   473,   474,   475,     0,     0,   476,   477,   478,
     479,   480,     0,     0,   481,   482,   483,   484,   485,   486,
     487,     0,   488,     0,   489,   490,   491,     0,     0,   492,
       0,     0,   493,   494,   495,   496,   497,   498,   499,   500,
     501,   502,   503,   504,   505,   506,   507,   508,   509,   207,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     208,   209,   210,   211,   212,   213,   214,   215,     0,   217,
     218,   219,     0,     0,     0,     0,     0,     0,     0,   220,
     221,     0,   222,   223,     0,   224,   225,   226,   227,   228,
       0,   229,   230,     0,   231,   232,   233,   234,   235,     0,
       0,   236,   237,   238,   239,   240,     0,   241,   242,   243,
     244,   245,     0,     0,     0,   246,   247,   248,   249,     0,
     250,   251,     0,   252,   253,   254,   255,   256,   257,     0,
       0,   258,   259,     0,     0,     0,     0,     0,     0,     0,
     260,   261,   262,   263,   264,   265,   266,   267,   268,     0,
     269,     0,   270,   271,   272,   273,   274,     0,   275,   276,
     277,     0,     0,   278,   279,   280,   281,   282,     0,   283,
     284,   285,     0,   286,   287,   288,     0,   289,   290,   291,
     292,   293,   294,   295,   296,   297,     0,   298,     0,   299,
     300,   301,     0,   302,     0,   303,     0,     0,     0,   304,
     305,   306,     0,   307,   308,     0,   309,     0,   310,   311,
     312,   313,   781,     0,   315,   316,   317,     0,   318,   319,
     320,   321,   322,   323,     0,   324,     0,   325,   326,   327,
     328,   329,   330,   331,     0,   332,     0,   333,     0,     0,
     334,     0,   335,   336,   337,   338,   339,     0,   340,   341,
       0,   342,   343,     0,   344,     0,     0,   345,   346,   347,
       0,     0,   348,   349,   350,   351,   352,   353,   354,   355,
     356,   357,   358,   359,   360,   361,     0,   362,   363,   364,
     365,     0,   366,   367,     0,   368,     0,   369,   370,   371,
     372,   373,   374,     0,   375,     0,     0,   376,   377,   378,
       0,     0,   379,     0,     0,     0,   380,   381,   382,   383,
     384,   385,   386,   387,     0,   388,   389,   390,   391,   392,
     393,   394,     0,   395,   396,   397,   398,   399,   400,   401,
     402,   403,   404,   405,   406,   407,     0,   408,   409,   410,
     411,   412,   413,   414,   415,   416,   417,   418,     0,   419,
     420,     0,   421,   422,   423,   424,   425,   426,   427,   428,
     429,   430,   431,     0,   432,   433,   434,   435,   436,     0,
     437,   438,   439,   440,     0,   441,   442,   443,     0,   444,
     445,   446,   447,   448,   449,   450,   451,   452,   453,   454,
       0,   455,   456,     0,   457,   458,   459,   460,   461,   462,
       0,   463,   464,     0,     0,   465,   466,   467,   468,     0,
     469,   470,   471,   472,   473,   474,   475,     0,     0,   476,
     477,   478,   479,   480,     0,     0,   481,   482,   483,   484,
     485,   486,   487,     0,   488,     0,   489,   490,   491,     0,
       0,   492,     0,     0,   493,   494,   495,   496,   497,   498,
     499,   500,   501,   502,   503,   504,   505,   506,   507,   508,
     509,   207,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   208,   209,   210,   211,   212,   213,   214,   215,
       0,   217,   218,   219,     0,     0,     0,     0,     0,     0,
       0,   220,   221,     0,   222,   223,     0,   224,   225,   226,
     227,   228,     0,   229,   230,     0,   231,   232,   233,   234,
     235,     0,     0,   236,   237,   238,   239,   240,     0,   241,
     242,   243,   244,   245,     0,     0,     0,   246,   247,   248,
     249,     0,   250,   251,     0,   252,   253,   254,   255,   256,
     257,     0,     0,   258,   259,     0,     0,     0,     0,     0,
       0,     0,   260,   261,   262,   263,   264,   265,   266,   267,
     268,     0,   269,     0,   270,   271,   272,   273,   274,     0,
     275,   276,   277,     0,     0,   278,   279,   280,   281,   282,
       0,   283,   284,   285,     0,   286,   287,   288,     0,   289,
     290,   291,   292,   293,   294,   295,   296,   297,     0,   298,
       0,   299,   300,   301,     0,   302,     0,   303,     0,     0,
       0,   304,   305,   306,     0,   307,   308,     0,   309,     0,
     310,   311,   312,   313,   805,     0,   315,   316,   317,     0,
     318,   319,   320,   321,   322,   323,     0,   324,     0,   325,
     326,   327,   328,   329,   330,   331,     0,   332,     0,   333,
       0,     0,   334,     0,   335,   336,   337,   338,   339,     0,
     340,   341,     0,   342,   343,     0,   344,     0,     0,   345,
     346,   347,     0,     0,   348,   349,   350,   351,   352,   353,
     354,   355,   356,   357,   358,   359,   360,   361,     0,   362,
     363,   364,   365,     0,   366,   367,     0,   368,     0,   369,
     370,   371,   372,   373,   374,     0,   375,     0,     0,   376,
     377,   378,     0,     0,   379,     0,     0,     0,   380,   381,
     382,   383,   384,   385,   386,   387,     0,   388,   389,   390,
     391,   392,   393,   394,     0,   395,   396,   397,   398,   399,
     400,   401,   402,   403,   404,   405,   406,   407,     0,   408,
     409,   410,   411,   412,   413,   414,   415,   416,   417,   418,
       0,   419,   420,     0,   421,   422,   423,   424,   425,   426,
     427,   428,   429,   430,   431,     0,   432,   433,   434,   435,
     436,     0,   437,   438,   439,   440,     0,   441,   442,   443,
       0,   444,   445,   446,   447,   448,   449,   450,   451,   452,
     453,   454,     0,   455,   456,     0,   457,   458,   459,   460,
     461,   462,     0,   463,   464,     0,     0,   465,   466,   467,
     468,     0,   469,   470,   471,   472,   473,   474,   475,     0,
       0,   476,   477,   478,   479,   480,     0,     0,   481,   482,
     483,   484,   485,   486,   487,     0,   488,     0,   489,   490,
     491,     0,     0,   492,     0,     0,   493,   494,   495,   496,
     497,   498,   499,   500,   501,   502,   503,   504,   505,   506,
     507,   508,   509,   207,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   208,   209,   210,   211,   212,   213,
     214,   215,     0,   217,   218,   219,     0,     0,     0,     0,
       0,     0,     0,   220,   221,     0,   222,   223,     0,   224,
     225,   226,   227,   228,     0,   229,   230,     0,   231,   232,
     233,   234,   235,     0,     0,   236,   237,   238,   239,   240,
       0,   241,   242,   243,   244,   245,     0,     0,     0,   246,
     247,   248,   249,     0,   250,   251,     0,   252,   253,   254,
     255,   256,   257,     0,     0,   258,   259,     0,     0,     0,
       0,     0,     0,     0,   260,   261,   262,   263,   264,   265,
     266,   267,   268,     0,   269,     0,   270,   271,   272,   273,
     274,     0,   275,   276,   277,     0,     0,   278,   279,   280,
     281,   282,     0,   283,   284,   285,     0,   286,   287,   288,
       0,   289,   290,   291,   292,   293,   294,   295,   296,   297,
       0,   298,     0,   299,   300,   301,     0,   302,     0,   303,
       0,     0,     0,   304,   305,   306,     0,   307,   308,     0,
     309,     0,   310,   311,   312,   313,   817,     0,   315,   316,
     317,     0,   318,   319,   320,   321,   322,   323,     0,   324,
       0,   325,   326,   327,   328,   329,   330,   331,     0,   332,
       0,   333,     0,     0,   334,     0,   335,   336,   337,   338,
     339,     0,   340,   341,     0,   342,   343,     0,   344,     0,
       0,   345,   346,   347,     0,     0,   348,   349,   350,   351,
     352,   353,   354,   355,   356,   357,   358,   359,   360,   361,
       0,   362,   363,   364,   365,     0,   366,   367,     0,   368,
       0,   369,   370,   371,   372,   373,   374,     0,   375,     0,
       0,   376,   377,   378,     0,     0,   379,     0,     0,     0,
     380,   381,   382,   383,   384,   385,   386,   387,     0,   388,
     389,   390,   391,   392,   393,   394,     0,   395,   396,   397,
     398,   399,   400,   401,   402,   403,   404,   405,   406,   407,
       0,   408,   409,   410,   411,   412,   413,   414,   415,   416,
     417,   418,     0,   419,   420,     0,   421,   422,   423,   424,
     425,   426,   427,   428,   429,   430,   431,     0,   432,   433,
     434,   435,   436,     0,   437,   438,   439,   440,     0,   441,
     442,   443,     0,   444,   445,   446,   447,   448,   449,   450,
     451,   452,   453,   454,     0,   455,   456,     0,   457,   458,
     459,   460,   461,   462,     0,   463,   464,     0,     0,   465,
     466,   467,   468,     0,   469,   470,   471,   472,   473,   474,
     475,     0,     0,   476,   477,   478,   479,   480,     0,     0,
     481,   482,   483,   484,   485,   486,   487,     0,   488,     0,
     489,   490,   491,     0,     0,   492,     0,     0,   493,   494,
     495,   496,   497,   498,   499,   500,   501,   502,   503,   504,
     505,   506,   507,   508,   509,   207,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   208,   209,   210,   211,
     212,   213,   214,   215,     0,   217,   218,   219,     0,     0,
       0,     0,     0,     0,     0,   220,   221,     0,   222,   223,
       0,   224,   225,   226,   227,   228,     0,   229,   230,     0,
     231,   232,   233,   234,   235,     0,     0,   236,   237,   238,
     239,   240,     0,   241,   242,   243,   244,   245,     0,     0,
       0,   246,   247,   248,   249,     0,   250,   251,     0,   252,
     253,   254,   255,   256,   257,     0,     0,   258,   259,     0,
       0,     0,     0,     0,     0,     0,   260,   261,   262,   263,
     264,   265,   266,   267,   268,     0,   269,     0,   270,   271,
     272,   273,   274,     0,   275,   276,   277,     0,     0,   278,
     279,   280,   281,   282,     0,   283,   284,   285,     0,   286,
     287,   288,     0,   289,   290,   291,   292,   293,   294,   295,
     296,   297,     0,   298,     0,   299,   300,   301,     0,   302,
       0,   303,     0,     0,     0,   304,   305,   306,     0,   307,
     308,     0,   309,     0,   310,   311,   312,   313,   870,     0,
     315,   316,   317,     0,   318,   319,   320,   321,   322,   323,
       0,   324,     0,   325,   326,   327,   328,   329,   330,   331,
       0,   332,     0,   333,     0,     0,   334,     0,   335,   336,
     337,   338,   339,     0,   340,   341,     0,   342,   343,     0,
     344,     0,     0,   345,   346,   347,     0,     0,   348,   349,
     350,   351,   352,   353,   354,   355,   356,   357,   358,   359,
     360,   361,     0,   362,   363,   364,   365,     0,   366,   367,
       0,   368,     0,   369,   370,   371,   372,   373,   374,     0,
     375,     0,     0,   376,   377,   378,     0,     0,   379,     0,
       0,     0,   380,   381,   382,   383,   384,   385,   386,   387,
       0,   388,   389,   390,   391,   392,   393,   394,     0,   395,
     396,   397,   398,   399,   400,   401,   402,   403,   404,   405,
     406,   407,     0,   408,   409,   410,   411,   412,   413,   414,
     415,   416,   417,   418,     0,   419,   420,     0,   421,   422,
     423,   424,   425,   426,   427,   428,   429,   430,   431,     0,
     432,   433,   434,   435,   436,     0,   437,   438,   439,   440,
       0,   441,   442,   443,     0,   444,   445,   446,   447,   448,
     449,   450,   451,   452,   453,   454,     0,   455,   456,     0,
     457,   458,   459,   460,   461,   462,     0,   463,   464,     0,
       0,   465,   466,   467,   468,     0,   469,   470,   471,   472,
     473,   474,   475,     0,     0,   476,   477,   478,   479,   480,
       0,     0,   481,   482,   483,   484,   485,   486,   487,     0,
     488,     0,   489,   490,   491,     0,     0,   492,     0,     0,
     493,   494,   495,   496,   497,   498,   499,   500,   501,   502,
     503,   504,   505,   506,   507,   508,   509,   207,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   208,   209,
     210,   211,   212,   213,   214,   215,     0,   217,   218,   219,
       0,     0,     0,     0,     0,     0,     0,   220,   221,     0,
     222,   223,     0,   224,   225,   226,   227,   228,     0,   229,
     230,     0,   231,   232,   233,   234,   235,     0,     0,   236,
     237,   238,   239,   240,     0,   241,   242,   243,   244,   245,
       0,     0,     0,   246,   247,   248,   249,     0,   250,   251,
       0,   252,   253,   254,   255,   256,   257,     0,     0,   258,
     259,     0,     0,     0,     0,     0,     0,     0,   260,   261,
     262,   263,   264,   265,   266,   267,   268,     0,   269,     0,
     270,   271,   272,   273,   274,     0,   275,   276,   277,     0,
       0,   278,   279,   280,   281,   282,     0,   283,   284,   285,
       0,   286,   287,   288,     0,   289,   290,   291,   292,   293,
     294,   295,   296,   297,     0,   298,     0,   299,   300,   301,
       0,   302,     0,   303,     0,     0,     0,   304,   305,   306,
       0,   307,   308,     0,   309,     0,   310,   311,   312,   313,
     884,     0,   315,   316,   317,     0,   318,   319,   320,   321,
     322,   323,     0,   324,     0,   325,   326,   327,   328,   329,
     330,   331,     0,   332,     0,   333,     0,     0,   334,     0,
     335,   336,   337,   338,   339,     0,   340,   341,     0,   342,
     343,     0,   344,     0,     0,   345,   346,   347,     0,     0,
     348,   349,   350,   351,   352,   353,   354,   355,   356,   357,
     358,   359,   360,   361,     0,   362,   363,   364,   365,     0,
     366,   367,     0,   368,     0,   369,   370,   371,   372,   373,
     374,     0,   375,     0,     0,   376,   377,   378,     0,     0,
     379,     0,     0,     0,   380,   381,   382,   383,   384,   385,
     386,   387,     0,   388,   389,   390,   391,   392,   393,   394,
       0,   395,   396,   397,   398,   399,   400,   401,   402,   403,
     404,   405,   406,   407,     0,   408,   409,   410,   411,   412,
     413,   414,   415,   416,   417,   418,     0,   419,   420,     0,
     421,   422,   423,   424,   425,   426,   427,   428,   429,   430,
     431,     0,   432,   433,   434,   435,   436,     0,   437,   438,
     439,   440,     0,   441,   442,   443,     0,   444,   445,   446,
     447,   448,   449,   450,   451,   452,   453,   454,     0,   455,
     456,     0,   457,   458,   459,   460,   461,   462,     0,   463,
     464,     0,     0,   465,   466,   467,   468,     0,   469,   470,
     471,   472,   473,   474,   475,     0,     0,   476,   477,   478,
     479,   480,     0,     0,   481,   482,   483,   484,   485,   486,
     487,     0,   488,     0,   489,   490,   491,     0,     0,   492,
       0,     0,   493,   494,   495,   496,   497,   498,   499,   500,
     501,   502,   503,   504,   505,   506,   507,   508,   509,   207,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     208,   209,   210,   211,   212,   213,   214,   215,     0,   217,
     218,   219,     0,     0,     0,     0,     0,     0,     0,   220,
     221,     0,   222,   223,     0,   224,   225,   226,   227,   228,
       0,   229,   230,     0,   231,   232,   233,   234,   235,     0,
       0,   236,   237,   238,   239,   240,     0,   241,   242,   243,
     244,   245,     0,     0,     0,   246,   247,   248,   249,     0,
     250,   251,     0,   252,   253,   254,   255,   256,   257,     0,
       0,   258,   259,     0,     0,     0,     0,     0,     0,     0,
     260,   261,   262,   263,   264,   265,   266,   267,   268,     0,
     269,     0,   270,   271,   272,   273,   274,     0,   275,   276,
     277,     0,     0,   278,   279,   280,   281,   282,     0,   283,
     284,   285,     0,   286,   287,   288,     0,   289,   290,   291,
     292,   293,   294,   295,   296,   297,     0,   298,     0,   299,
     300,   301,     0,   302,     0,   303,     0,     0,     0,   304,
     305,   306,     0,   307,   308,     0,   309,     0,   310,   311,
     312,   313,   917,     0,   315,   316,   317,     0,   318,   319,
     320,   321,   322,   323,     0,   324,     0,   325,   326,   327,
     328,   329,   330,   331,     0,   332,     0,   333,     0,     0,
     334,     0,   335,   336,   337,   338,   339,     0,   340,   341,
       0,   342,   343,     0,   344,     0,     0,   345,   346,   347,
       0,     0,   348,   349,   350,   351,   352,   353,   354,   355,
     356,   357,   358,   359,   360,   361,     0,   362,   363,   364,
     365,     0,   366,   367,     0,   368,     0,   369,   370,   371,
     372,   373,   374,     0,   375,     0,     0,   376,   377,   378,
       0,     0,   379,     0,     0,     0,   380,   381,   382,   383,
     384,   385,   386,   387,     0,   388,   389,   390,   391,   392,
     393,   394,     0,   395,   396,   397,   398,   399,   400,   401,
     402,   403,   404,   405,   406,   407,     0,   408,   409,   410,
     411,   412,   413,   414,   415,   416,   417,   418,     0,   419,
     420,     0,   421,   422,   423,   424,   425,   426,   427,   428,
     429,   430,   431,     0,   432,   433,   434,   435,   436,     0,
     437,   438,   439,   440,     0,   441,   442,   443,     0,   444,
     445,   446,   447,   448,   449,   450,   451,   452,   453,   454,
       0,   455,   456,     0,   457,   458,   459,   460,   461,   462,
       0,   463,   464,     0,     0,   465,   466,   467,   468,     0,
     469,   470,   471,   472,   473,   474,   475,     0,     0,   476,
     477,   478,   479,   480,     0,     0,   481,   482,   483,   484,
     485,   486,   487,     0,   488,     0,   489,   490,   491,     0,
       0,   492,     0,     0,   493,   494,   495,   496,   497,   498,
     499,   500,   501,   502,   503,   504,   505,   506,   507,   508,
     509,   207,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   208,   209,   210,   211,   212,   213,   214,   215,
       0,   217,   218,   219,     0,     0,     0,     0,     0,     0,
       0,   220,   221,     0,   222,   223,     0,   224,   225,   226,
     227,   228,     0,   229,   230,     0,   231,   232,   233,   234,
     235,     0,     0,   236,   237,   238,   239,   240,     0,   241,
     242,   243,   244,   245,     0,     0,     0,   246,   247,   248,
     249,     0,   250,   251,     0,   252,   253,   254,   255,   256,
     257,     0,     0,   258,   259,     0,     0,     0,     0,     0,
       0,     0,   260,   261,   262,   263,   264,   265,   266,   267,
     268,     0,   269,     0,   270,   271,   272,   273,   274,     0,
     275,   276,   277,     0,     0,   278,   279,   280,   281,   282,
       0,   283,   284,   285,     0,   286,   287,   288,     0,   289,
     290,   291,   292,   293,   294,   295,   296,   297,     0,   298,
       0,   299,   300,   301,     0,   302,     0,   303,     0,     0,
       0,   304,   305,   306,     0,   307,   308,     0,   309,     0,
     310,   311,   312,   313,   936,     0,   315,   316,   317,     0,
     318,   319,   320,   321,   322,   323,     0,   324,     0,   325,
     326,   327,   328,   329,   330,   331,     0,   332,     0,   333,
       0,     0,   334,     0,   335,   336,   337,   338,   339,     0,
     340,   341,     0,   342,   343,     0,   344,     0,     0,   345,
     346,   347,     0,     0,   348,   349,   350,   351,   352,   353,
     354,   355,   356,   357,   358,   359,   360,   361,     0,   362,
     363,   364,   365,     0,   366,   367,     0,   368,     0,   369,
     370,   371,   372,   373,   374,     0,   375,     0,     0,   376,
     377,   378,     0,     0,   379,     0,     0,     0,   380,   381,
     382,   383,   384,   385,   386,   387,     0,   388,   389,   390,
     391,   392,   393,   394,     0,   395,   396,   397,   398,   399,
     400,   401,   402,   403,   404,   405,   406,   407,     0,   408,
     409,   410,   411,   412,   413,   414,   415,   416,   417,   418,
       0,   419,   420,     0,   421,   422,   423,   424,   425,   426,
     427,   428,   429,   430,   431,     0,   432,   433,   434,   435,
     436,     0,   437,   438,   439,   440,     0,   441,   442,   443,
       0,   444,   445,   446,   447,   448,   449,   450,   451,   452,
     453,   454,     0,   455,   456,     0,   457,   458,   459,   460,
     461,   462,     0,   463,   464,     0,     0,   465,   466,   467,
     468,     0,   469,   470,   471,   472,   473,   474,   475,     0,
       0,   476,   477,   478,   479,   480,     0,     0,   481,   482,
     483,   484,   485,   486,   487,     0,   488,     0,   489,   490,
     491,     0,     0,   492,     0,     0,   493,   494,   495,   496,
     497,   498,   499,   500,   501,   502,   503,   504,   505,   506,
     507,   508,   509,   207,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   208,   209,   210,   211,   212,   213,
     214,   215,     0,   217,   218,   219,     0,     0,     0,     0,
       0,     0,     0,   220,   221,     0,   222,   223,     0,   224,
     225,   226,   227,   228,     0,   229,   230,     0,   231,   232,
     233,   234,   235,     0,     0,   236,   237,   238,   239,   240,
       0,   241,   242,   243,   244,   245,     0,     0,     0,   246,
     247,   248,   249,     0,   250,   251,     0,   252,   253,   254,
     255,   256,   257,     0,     0,   258,   259,     0,     0,     0,
       0,     0,     0,     0,   260,   261,   262,   263,   264,   265,
     266,   267,   268,     0,   269,     0,   270,   271,   272,   273,
     274,     0,   275,   276,   277,     0,     0,   278,   279,   280,
     281,   282,     0,   283,   284,   285,     0,   286,   287,   288,
       0,   289,   290,   291,   292,   293,   294,   295,   296,   297,
       0,   298,     0,   299,   300,   301,     0,   302,     0,   303,
       0,     0,     0,   304,   305,   306,     0,   307,   308,     0,
     309,     0,   310,   311,   312,   313,   938,     0,   315,   316,
     317,     0,   318,   319,   320,   321,   322,   323,     0,   324,
       0,   325,   326,   327,   328,   329,   330,   331,     0,   332,
       0,   333,     0,     0,   334,     0,   335,   336,   337,   338,
     339,     0,   340,   341,     0,   342,   343,     0,   344,     0,
       0,   345,   346,   347,     0,     0,   348,   349,   350,   351,
     352,   353,   354,   355,   356,   357,   358,   359,   360,   361,
       0,   362,   363,   364,   365,     0,   366,   367,     0,   368,
       0,   369,   370,   371,   372,   373,   374,     0,   375,     0,
       0,   376,   377,   378,     0,     0,   379,     0,     0,     0,
     380,   381,   382,   383,   384,   385,   386,   387,     0,   388,
     389,   390,   391,   392,   393,   394,     0,   395,   396,   397,
     398,   399,   400,   401,   402,   403,   404,   405,   406,   407,
       0,   408,   409,   410,   411,   412,   413,   414,   415,   416,
     417,   418,     0,   419,   420,     0,   421,   422,   423,   424,
     425,   426,   427,   428,   429,   430,   431,     0,   432,   433,
     434,   435,   436,     0,   437,   438,   439,   440,     0,   441,
     442,   443,     0,   444,   445,   446,   447,   448,   449,   450,
     451,   452,   453,   454,     0,   455,   456,     0,   457,   458,
     459,   460,   461,   462,     0,   463,   464,     0,     0,   465,
     466,   467,   468,     0,   469,   470,   471,   472,   473,   474,
     475,     0,     0,   476,   477,   478,   479,   480,     0,     0,
     481,   482,   483,   484,   485,   486,   487,     0,   488,     0,
     489,   490,   491,     0,     0,   492,     0,     0,   493,   494,
     495,   496,   497,   498,   499,   500,   501,   502,   503,   504,
     505,   506,   507,   508,   509,   207,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   208,   209,   210,   211,
     212,   213,   214,   215,     0,   217,   218,   219,     0,     0,
       0,     0,     0,     0,     0,   220,   221,     0,   222,   223,
       0,   224,   225,   226,   227,   228,     0,   229,   230,     0,
     231,   232,   233,   234,   235,     0,     0,   236,   237,   238,
     239,   240,     0,   241,   242,   243,   244,   245,     0,     0,
       0,   246,   247,   248,   249,     0,   250,   251,     0,   252,
     253,   254,   255,   256,   257,     0,     0,   258,   259,     0,
       0,     0,     0,     0,     0,     0,   260,   261,   262,   263,
     264,   265,   266,   267,   268,     0,   269,     0,   270,   271,
     272,   273,   274,     0,   275,   276,   277,     0,     0,   278,
     279,   280,   281,   282,     0,   283,   284,   285,     0,   286,
     287,   288,     0,   289,   290,   291,   292,   293,   294,   295,
     296,   297,     0,   298,     0,   299,   300,   301,     0,   302,
       0,   303,     0,     0,     0,   304,   305,   306,     0,   307,
     308,     0,   309,     0,   310,   311,   312,   313,   940,     0,
     315,   316,   317,     0,   318,   319,   320,   321,   322,   323,
       0,   324,     0,   325,   326,   327,   328,   329,   330,   331,
       0,   332,     0,   333,     0,     0,   334,     0,   335,   336,
     337,   338,   339,     0,   340,   341,     0,   342,   343,     0,
     344,     0,     0,   345,   346,   347,     0,     0,   348,   349,
     350,   351,   352,   353,   354,   355,   356,   357,   358,   359,
     360,   361,     0,   362,   363,   364,   365,     0,   366,   367,
       0,   368,     0,   369,   370,   371,   372,   373,   374,     0,
     375,     0,     0,   376,   377,   378,     0,     0,   379,     0,
       0,     0,   380,   381,   382,   383,   384,   385,   386,   387,
       0,   388,   389,   390,   391,   392,   393,   394,     0,   395,
     396,   397,   398,   399,   400,   401,   402,   403,   404,   405,
     406,   407,     0,   408,   409,   410,   411,   412,   413,   414,
     415,   416,   417,   418,     0,   419,   420,     0,   421,   422,
     423,   424,   425,   426,   427,   428,   429,   430,   431,     0,
     432,   433,   434,   435,   436,     0,   437,   438,   439,   440,
       0,   441,   442,   443,     0,   444,   445,   446,   447,   448,
     449,   450,   451,   452,   453,   454,     0,   455,   456,     0,
     457,   458,   459,   460,   461,   462,     0,   463,   464,     0,
       0,   465,   466,   467,   468,     0,   469,   470,   471,   472,
     473,   474,   475,     0,     0,   476,   477,   478,   479,   480,
       0,     0,   481,   482,   483,   484,   485,   486,   487,     0,
     488,     0,   489,   490,   491,     0,     0,   492,     0,     0,
     493,   494,   495,   496,   497,   498,   499,   500,   501,   502,
     503,   504,   505,   506,   507,   508,   509,   207,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   208,   209,
     210,   211,   212,   213,   214,   215,     0,   217,   218,   219,
       0,     0,     0,     0,     0,     0,     0,   220,   221,     0,
     222,   223,     0,   224,   225,   226,   227,   228,     0,   229,
     230,     0,   231,   232,   233,   234,   235,     0,     0,   236,
     237,   238,   239,   240,     0,   241,   242,   243,   244,   245,
       0,     0,     0,   246,   247,   248,   249,     0,   250,   251,
       0,   252,   253,   254,   255,   256,   257,     0,     0,   258,
     259,     0,     0,     0,     0,     0,     0,     0,   260,   261,
     262,   263,   264,   265,   266,   267,   268,     0,   269,     0,
     270,   271,   272,   273,   274,     0,   275,   276,   277,     0,
       0,   278,   279,   280,   281,   282,     0,   283,   284,   285,
       0,   286,   287,   288,     0,   289,   290,   291,   292,   293,
     294,   295,   296,   297,     0,   298,     0,   299,   300,   301,
       0,   302,     0,   303,     0,     0,     0,   304,   305,   306,
       0,   307,   308,     0,   309,     0,   310,   311,   312,   313,
     943,     0,   315,   316,   317,     0,   318,   319,   320,   321,
     322,   323,     0,   324,     0,   325,   326,   327,   328,   329,
     330,   331,     0,   332,     0,   333,     0,     0,   334,     0,
     335,   336,   337,   338,   339,     0,   340,   341,     0,   342,
     343,     0,   344,     0,     0,   345,   346,   347,     0,     0,
     348,   349,   350,   351,   352,   353,   354,   355,   356,   357,
     358,   359,   360,   361,     0,   362,   363,   364,   365,     0,
     366,   367,     0,   368,     0,   369,   370,   371,   372,   373,
     374,     0,   375,     0,     0,   376,   377,   378,     0,     0,
     379,     0,     0,     0,   380,   381,   382,   383,   384,   385,
     386,   387,     0,   388,   389,   390,   391,   392,   393,   394,
       0,   395,   396,   397,   398,   399,   400,   401,   402,   403,
     404,   405,   406,   407,     0,   408,   409,   410,   411,   412,
     413,   414,   415,   416,   417,   418,     0,   419,   420,     0,
     421,   422,   423,   424,   425,   426,   427,   428,   429,   430,
     431,     0,   432,   433,   434,   435,   436,     0,   437,   438,
     439,   440,     0,   441,   442,   443,     0,   444,   445,   446,
     447,   448,   449,   450,   451,   452,   453,   454,     0,   455,
     456,     0,   457,   458,   459,   460,   461,   462,     0,   463,
     464,     0,     0,   465,   466,   467,   468,     0,   469,   470,
     471,   472,   473,   474,   475,     0,     0,   476,   477,   478,
     479,   480,     0,     0,   481,   482,   483,   484,   485,   486,
     487,     0,   488,     0,   489,   490,   491,     0,     0,   492,
       0,     0,   493,   494,   495,   496,   497,   498,   499,   500,
     501,   502,   503,   504,   505,   506,   507,   508,   509,   207,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     208,   209,   210,   211,   212,   213,   214,   215,     0,   217,
     218,   219,     0,     0,     0,     0,     0,     0,     0,   220,
     221,     0,   222,   223,     0,   224,   225,   226,   227,   228,
       0,   229,   230,     0,   231,   232,   233,   234,   235,     0,
       0,   236,   237,   238,   239,   240,     0,   241,   242,   243,
     244,   245,     0,     0,     0,   246,   247,   248,   249,     0,
     250,   251,     0,   252,   253,   254,   255,   256,   257,     0,
       0,   258,   259,     0,     0,     0,     0,     0,     0,     0,
     260,   261,   262,   263,   264,   265,   266,   267,   268,     0,
     269,     0,   270,   271,   272,   273,   274,     0,   275,   276,
     277,     0,     0,   278,   279,   280,   281,   282,     0,   283,
     284,   285,     0,   286,   287,   288,     0,   289,   290,   291,
     292,   293,   294,   295,   296,   297,     0,   298,     0,   299,
     300,   301,     0,   302,     0,   303,     0,     0,     0,   304,
     305,   306,     0,   307,   308,     0,   309,     0,   310,   311,
     312,   313,   949,     0,   315,   316,   317,     0,   318,   319,
     320,   321,   322,   323,     0,   324,     0,   325,   326,   327,
     328,   329,   330,   331,     0,   332,     0,   333,     0,     0,
     334,     0,   335,   336,   337,   338,   339,     0,   340,   341,
       0,   342,   343,     0,   344,     0,     0,   345,   346,   347,
       0,     0,   348,   349,   350,   351,   352,   353,   354,   355,
     356,   357,   358,   359,   360,   361,     0,   362,   363,   364,
     365,     0,   366,   367,     0,   368,     0,   369,   370,   371,
     372,   373,   374,     0,   375,     0,     0,   376,   377,   378,
       0,     0,   379,     0,     0,     0,   380,   381,   382,   383,
     384,   385,   386,   387,     0,   388,   389,   390,   391,   392,
     393,   394,     0,   395,   396,   397,   398,   399,   400,   401,
     402,   403,   404,   405,   406,   407,     0,   408,   409,   410,
     411,   412,   413,   414,   415,   416,   417,   418,     0,   419,
     420,     0,   421,   422,   423,   424,   425,   426,   427,   428,
     429,   430,   431,     0,   432,   433,   434,   435,   436,     0,
     437,   438,   439,   440,     0,   441,   442,   443,     0,   444,
     445,   446,   447,   448,   449,   450,   451,   452,   453,   454,
       0,   455,   456,     0,   457,   458,   459,   460,   461,   462,
       0,   463,   464,     0,     0,   465,   466,   467,   468,     0,
     469,   470,   471,   472,   473,   474,   475,     0,     0,   476,
     477,   478,   479,   480,     0,     0,   481,   482,   483,   484,
     485,   486,   487,     0,   488,     0,   489,   490,   491,     0,
       0,   492,     0,     0,   493,   494,   495,   496,   497,   498,
     499,   500,   501,   502,   503,   504,   505,   506,   507,   508,
     509,   207,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   208,   209,   210,   211,   212,   213,   214,   215,
       0,   217,   218,   219,     0,     0,     0,     0,     0,     0,
       0,   220,   221,     0,   222,   223,     0,   224,   225,   226,
     227,   228,     0,   229,   230,     0,   231,   232,   233,   234,
     235,     0,     0,   677,   237,   238,   239,   240,     0,   241,
     242,   243,   244,   245,     0,     0,     0,   246,   247,   248,
     249,     0,   250,   251,     0,   252,   253,   254,   255,   256,
     257,     0,     0,   258,   259,     0,     0,     0,     0,     0,
       0,     0,   260,   261,   262,   263,   264,   265,   266,   267,
     268,     0,   269,     0,   270,   271,   272,   273,   274,     0,
     275,   276,   277,     0,     0,   278,   279,   280,   281,   282,
       0,   283,   284,   285,     0,   286,   287,   288,     0,   289,
     290,   291,   292,   293,   294,   295,   296,   297,     0,   298,
       0,   299,   300,   301,     0,   302,     0,   303,     0,     0,
       0,   304,   305,   306,     0,   307,   308,     0,   309,     0,
     310,   311,   312,   313,   314,     0,   315,   316,   317,     0,
     318,   319,   320,   321,   322,   323,     0,   324,     0,   325,
     326,   327,   328,   329,   330,   331,     0,   332,     0,   333,
       0,     0,   334,     0,   335,   336,   337,   338,   339,     0,
     340,   341,     0,   342,   343,     0,   344,     0,     0,   345,
     346,   347,     0,     0,   348,   349,   350,   351,   352,   353,
     354,   355,   356,   357,   358,   359,   680,   361,     0,   362,
     363,   364,   365,     0,   366,   367,     0,   368,     0,   369,
     370,   371,   372,   373,   374,     0,   375,     0,     0,   376,
     377,   378,     0,     0,   379,     0,     0,     0,   380,   381,
     382,   383,   384,   385,   386,   387,     0,   388,   389,   390,
     391,   392,   393,   394,     0,   395,   396,   397,   398,   399,
     400,   401,   402,   403,   404,   405,   406,   407,     0,   408,
     409,   410,   411,   412,   413,   414,   415,   416,   417,   418,
       0,   419,   420,     0,   681,   422,   423,   424,   425,   426,
     682,   428,   429,   430,   431,     0,   432,   433,   434,   435,
    1118,     0,   437,   438,   439,   440,     0,   441,   442,   443,
       0,   444,   445,   446,   447,   448,   449,   450,   451,   452,
     453,   454,     0,   455,   456,     0,   457,   458,   459,   460,
     461,   462,     0,   684,   464,     0,     0,   685,   466,   467,
     468,     0,   469,   470,   471,   472,   473,   474,   475,     0,
       0,   476,   477,   478,   479,   480,     0,     0,   481,   482,
     483,   484,   485,   486,   487,     0,   488,     0,   489,   490,
     491,     0,     0,   492,     0,     0,   493,   494,   495,   496,
     686,   498,   499,   500,   501,   502,   503,   504,   505,   506,
     507,   508,   509,   207,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   208,   209,   210,   211,   212,   213,
     214,   215,     0,   217,   218,   219,     0,     0,     0,     0,
       0,     0,     0,   220,   221,     0,   222,   223,     0,   224,
     225,   226,   227,   228,     0,   229,   230,     0,   231,   232,
     233,   234,   235,     0,     0,   236,   237,   238,   239,   240,
       0,   241,   242,   243,   244,   245,     0,     0,     0,   246,
     247,   248,   249,     0,   250,   251,     0,   252,   253,   254,
     255,   256,   257,     0,     0,   258,   259,     0,     0,     0,
       0,     0,     0,     0,   260,   261,   262,   263,   264,   265,
     266,   267,   268,     0,   269,     0,   270,   271,   272,   273,
     274,     0,   275,   276,   277,     0,     0,   278,   279,   280,
     281,   282,     0,   283,   284,   285,     0,   286,   287,   288,
       0,   289,   290,   291,   292,   293,   294,   295,   296,   297,
       0,   298,     0,   299,   300,   301,     0,   302,     0,   303,
       0,     0,     0,   304,   305,   306,     0,   307,   308,     0,
     309,     0,   310,   311,   312,   313,  1274,     0,   315,   316,
     317,     0,   318,   319,   320,   321,   322,   323,     0,   324,
       0,   325,   326,   327,   328,   329,   330,   331,     0,   332,
       0,   333,     0,     0,   334,     0,   335,   336,   337,   338,
     339,     0,   340,   341,     0,   342,   343,     0,   344,     0,
       0,   345,   346,   347,     0,     0,   348,   349,   350,   351,
     352,   353,   354,   355,   356,   357,   358,   359,   360,   361,
       0,   362,   363,   364,   365,     0,   366,   367,     0,   368,
       0,   369,   370,   371,   372,   373,   374,     0,   375,     0,
       0,   376,   377,   378,     0,     0,   379,     0,     0,     0,
     380,   381,   382,   383,   384,   385,   386,   387,     0,   388,
     389,   390,   391,   392,   393,   394,     0,   395,   396,   397,
     398,   399,   400,   401,   402,   403,   404,   405,   406,   407,
       0,   408,   409,   410,   411,   412,   413,   414,   415,   416,
     417,   418,     0,   419,   420,     0,   421,   422,   423,   424,
     425,   426,   427,   428,   429,   430,   431,     0,   432,   433,
     434,   435,   436,     0,   437,   438,   439,   440,     0,   441,
     442,   443,     0,   444,   445,   446,   447,   448,   449,   450,
     451,   452,   453,   454,     0,   455,   456,     0,   457,   458,
     459,   460,   461,   462,     0,   463,   464,     0,     0,   465,
     466,   467,   468,     0,   469,   470,   471,   472,   473,   474,
     475,     0,     0,   476,   477,   478,   479,   480,     0,     0,
     481,   482,   483,   484,   485,   486,   487,     0,   488,     0,
     489,   490,   491,     0,     0,   492,     0,     0,   493,   494,
     495,   496,   497,   498,   499,   500,   501,   502,   503,   504,
     505,   506,   507,   508,   509,   207,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   208,   209,   210,   211,
     212,   213,   214,   215,     0,   217,   218,   219,     0,     0,
       0,     0,     0,     0,     0,   220,   221,     0,   222,   223,
       0,   224,   225,   226,   227,   228,     0,   229,   230,     0,
     231,   232,   233,   234,   235,     0,     0,   236,   237,   238,
     239,   240,     0,   241,   242,   243,   244,   245,     0,     0,
       0,   246,   247,   248,   249,     0,   250,   251,     0,   252,
     253,   254,   255,   256,   257,     0,     0,   258,   259,     0,
       0,     0,     0,     0,     0,     0,   260,   261,   262,   263,
     264,   265,   266,   267,   268,     0,   269,     0,   270,   271,
     272,   273,   274,     0,   275,   276,   277,     0,     0,   278,
     279,   280,   281,   282,     0,   283,   284,   285,     0,   286,
     287,   288,     0,   289,   290,   291,   292,   293,   294,   295,
     296,   297,     0,   298,     0,   299,   300,   301,     0,   302,
       0,   303,     0,     0,     0,   304,   305,   306,     0,   307,
     308,     0,   309,     0,   310,   311,   312,   313,  1419,     0,
     315,   316,   317,     0,   318,   319,   320,   321,   322,   323,
       0,   324,     0,   325,   326,   327,   328,   329,   330,   331,
       0,   332,     0,   333,     0,     0,   334,     0,   335,   336,
     337,   338,   339,     0,   340,   341,     0,   342,   343,     0,
     344,     0,     0,   345,   346,   347,     0,     0,   348,   349,
     350,   351,   352,   353,   354,   355,   356,   357,   358,   359,
     360,   361,     0,   362,   363,   364,   365,     0,   366,   367,
       0,   368,     0,   369,   370,   371,   372,   373,   374,     0,
     375,     0,     0,   376,   377,   378,     0,     0,   379,     0,
       0,     0,   380,   381,   382,   383,   384,   385,   386,   387,
       0,   388,   389,   390,   391,   392,   393,   394,     0,   395,
     396,   397,   398,   399,   400,   401,   402,   403,   404,   405,
     406,   407,     0,   408,   409,   410,   411,   412,   413,   414,
     415,   416,   417,   418,     0,   419,   420,     0,   421,   422,
     423,   424,   425,   426,   427,   428,   429,   430,   431,     0,
     432,   433,   434,   435,   436,     0,   437,   438,   439,   440,
       0,   441,   442,   443,     0,   444,   445,   446,   447,   448,
     449,   450,   451,   452,   453,   454,     0,   455,   456,     0,
     457,   458,   459,   460,   461,   462,     0,   463,   464,     0,
       0,   465,   466,   467,   468,     0,   469,   470,   471,   472,
     473,   474,   475,     0,     0,   476,   477,   478,   479,   480,
       0,     0,   481,   482,   483,   484,   485,   486,   487,     0,
     488,     0,   489,   490,   491,     0,     0,   492,     0,     0,
     493,   494,   495,   496,   497,   498,   499,   500,   501,   502,
     503,   504,   505,   506,   507,   508,   509,   207,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   208,   209,
     210,   211,   212,   213,   214,   215,     0,   217,   218,   219,
       0,     0,     0,     0,     0,     0,     0,   220,   221,     0,
     222,   223,     0,   224,   225,   226,   227,   228,     0,   229,
     230,     0,   231,   232,   233,   234,   235,     0,     0,   236,
     237,   238,   239,   240,     0,   241,   242,   243,   244,   245,
       0,     0,     0,   246,   247,   248,   249,     0,   250,   251,
       0,   252,   253,   254,   255,   256,   257,     0,     0,   258,
     259,     0,     0,     0,     0,     0,     0,     0,   260,   261,
     262,   263,   264,   265,   266,   267,   268,     0,   269,     0,
     270,   271,   272,   273,   274,     0,   275,   276,   277,     0,
       0,   278,   279,   280,   281,   282,     0,   283,   284,   285,
       0,   286,   287,   288,     0,   289,   290,   291,   292,   293,
     294,   295,   296,   297,     0,   298,     0,   299,   300,   301,
       0,   302,     0,   303,     0,     0,     0,   304,   305,   306,
       0,   307,   308,     0,   309,     0,   310,   311,   312,   313,
    1449,     0,   315,   316,   317,     0,   318,   319,   320,   321,
     322,   323,     0,   324,     0,   325,   326,   327,   328,   329,
     330,   331,     0,   332,     0,   333,     0,     0,   334,     0,
     335,   336,   337,   338,   339,     0,   340,   341,     0,   342,
     343,     0,   344,     0,     0,   345,   346,   347,     0,     0,
     348,   349,   350,   351,   352,   353,   354,   355,   356,   357,
     358,   359,   360,   361,     0,   362,   363,   364,   365,     0,
     366,   367,     0,   368,     0,   369,   370,   371,   372,   373,
     374,     0,   375,     0,     0,   376,   377,   378,     0,     0,
     379,     0,     0,     0,   380,   381,   382,   383,   384,   385,
     386,   387,     0,   388,   389,   390,   391,   392,   393,   394,
       0,   395,   396,   397,   398,   399,   400,   401,   402,   403,
     404,   405,   406,   407,     0,   408,   409,   410,   411,   412,
     413,   414,   415,   416,   417,   418,     0,   419,   420,     0,
     421,   422,   423,   424,   425,   426,   427,   428,   429,   430,
     431,     0,   432,   433,   434,   435,   436,     0,   437,   438,
     439,   440,     0,   441,   442,   443,     0,   444,   445,   446,
     447,   448,   449,   450,   451,   452,   453,   454,     0,   455,
     456,     0,   457,   458,   459,   460,   461,   462,     0,   463,
     464,     0,     0,   465,   466,   467,   468,     0,   469,   470,
     471,   472,   473,   474,   475,     0,     0,   476,   477,   478,
     479,   480,     0,     0,   481,   482,   483,   484,   485,   486,
     487,     0,   488,     0,   489,   490,   491,     0,     0,   492,
       0,     0,   493,   494,   495,   496,   497,   498,   499,   500,
     501,   502,   503,   504,   505,   506,   507,   508,   509,   207,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     208,   209,   210,   211,   212,   213,   214,   215,     0,   217,
     218,   219,     0,     0,     0,     0,     0,     0,     0,   220,
     221,     0,   222,   223,     0,   224,   225,   226,   227,   228,
       0,   229,   230,     0,   231,   232,   233,   234,   235,     0,
       0,   236,   237,   238,   239,   240,     0,   241,   242,   243,
     244,   245,     0,     0,     0,   246,   247,   248,   249,     0,
     250,   251,     0,   252,   253,   254,   255,   256,   257,     0,
       0,   258,   259,     0,     0,     0,     0,     0,     0,     0,
     260,   261,   262,   263,   264,   265,   266,   267,   268,     0,
     269,     0,   270,   271,   272,   273,   274,     0,   275,   276,
     277,     0,     0,   278,   279,   280,   281,   282,     0,   283,
     284,   285,     0,   286,   287,   288,     0,   289,   290,   291,
     292,   293,   294,   295,   296,   297,     0,   298,     0,   299,
     300,   301,     0,   302,     0,   303,     0,     0,     0,   304,
     305,   306,     0,   307,   308,     0,   309,     0,   310,   311,
     312,   313,  1478,     0,   315,   316,   317,     0,   318,   319,
     320,   321,   322,   323,     0,   324,     0,   325,   326,   327,
     328,   329,   330,   331,     0,   332,     0,   333,     0,     0,
     334,     0,   335,   336,   337,   338,   339,     0,   340,   341,
       0,   342,   343,     0,   344,     0,     0,   345,   346,   347,
       0,     0,   348,   349,   350,   351,   352,   353,   354,   355,
     356,   357,   358,   359,   360,   361,     0,   362,   363,   364,
     365,     0,   366,   367,     0,   368,     0,   369,   370,   371,
     372,   373,   374,     0,   375,     0,     0,   376,   377,   378,
       0,     0,   379,     0,     0,     0,   380,   381,   382,   383,
     384,   385,   386,   387,     0,   388,   389,   390,   391,   392,
     393,   394,     0,   395,   396,   397,   398,   399,   400,   401,
     402,   403,   404,   405,   406,   407,     0,   408,   409,   410,
     411,   412,   413,   414,   415,   416,   417,   418,     0,   419,
     420,     0,   421,   422,   423,   424,   425,   426,   427,   428,
     429,   430,   431,     0,   432,   433,   434,   435,   436,     0,
     437,   438,   439,   440,     0,   441,   442,   443,     0,   444,
     445,   446,   447,   448,   449,   450,   451,   452,   453,   454,
       0,   455,   456,     0,   457,   458,   459,   460,   461,   462,
       0,   463,   464,     0,     0,   465,   466,   467,   468,     0,
     469,   470,   471,   472,   473,   474,   475,     0,     0,   476,
     477,   478,   479,   480,     0,     0,   481,   482,   483,   484,
     485,   486,   487,     0,   488,     0,   489,   490,   491,     0,
       0,   492,     0,     0,   493,   494,   495,   496,   497,   498,
     499,   500,   501,   502,   503,   504,   505,   506,   507,   508,
     509,   207,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   208,   209,   210,   211,   212,   213,   214,   215,
       0,   217,   218,   219,     0,     0,     0,     0,     0,     0,
       0,   220,   221,     0,   222,   223,     0,   224,   225,   226,
     227,   228,     0,   229,   230,     0,   231,   232,   233,   234,
     235,     0,     0,   236,   237,   238,   239,   240,     0,   241,
     242,   243,   244,   245,     0,     0,     0,   246,   247,   248,
     249,     0,   250,   251,     0,   252,   253,   254,   255,   256,
     257,     0,     0,   258,   259,     0,     0,     0,     0,     0,
       0,     0,   260,   261,   262,   263,   264,   265,   266,   267,
     268,     0,   269,     0,   270,   271,   272,   273,   274,     0,
     275,   276,   277,     0,     0,   278,   279,   280,   281,   282,
       0,   283,   284,   285,     0,   286,   287,   288,     0,   289,
     290,   291,   292,   293,   294,   295,   296,   297,     0,   298,
       0,   299,   300,   301,     0,   302,     0,   303,     0,     0,
       0,   304,   305,   306,     0,   307,   308,     0,   309,     0,
     310,   311,   312,   313,  1480,     0,   315,   316,   317,     0,
     318,   319,   320,   321,   322,   323,     0,   324,     0,   325,
     326,   327,   328,   329,   330,   331,     0,   332,     0,   333,
       0,     0,   334,     0,   335,   336,   337,   338,   339,     0,
     340,   341,     0,   342,   343,     0,   344,     0,     0,   345,
     346,   347,     0,     0,   348,   349,   350,   351,   352,   353,
     354,   355,   356,   357,   358,   359,   360,   361,     0,   362,
     363,   364,   365,     0,   366,   367,     0,   368,     0,   369,
     370,   371,   372,   373,   374,     0,   375,     0,     0,   376,
     377,   378,     0,     0,   379,     0,     0,     0,   380,   381,
     382,   383,   384,   385,   386,   387,     0,   388,   389,   390,
     391,   392,   393,   394,     0,   395,   396,   397,   398,   399,
     400,   401,   402,   403,   404,   405,   406,   407,     0,   408,
     409,   410,   411,   412,   413,   414,   415,   416,   417,   418,
       0,   419,   420,     0,   421,   422,   423,   424,   425,   426,
     427,   428,   429,   430,   431,     0,   432,   433,   434,   435,
     436,     0,   437,   438,   439,   440,     0,   441,   442,   443,
       0,   444,   445,   446,   447,   448,   449,   450,   451,   452,
     453,   454,     0,   455,   456,     0,   457,   458,   459,   460,
     461,   462,     0,   463,   464,     0,     0,   465,   466,   467,
     468,     0,   469,   470,   471,   472,   473,   474,   475,     0,
       0,   476,   477,   478,   479,   480,     0,     0,   481,   482,
     483,   484,   485,   486,   487,     0,   488,     0,   489,   490,
     491,     0,     0,   492,     0,     0,   493,   494,   495,   496,
     497,   498,   499,   500,   501,   502,   503,   504,   505,   506,
     507,   508,   509,   207,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   208,   209,   210,   211,   212,   213,
     214,   215,     0,   217,   218,   219,     0,     0,     0,     0,
       0,     0,     0,   220,   221,     0,   222,   223,     0,   224,
     225,   226,   227,   228,     0,   229,   230,     0,   231,   232,
     233,   234,   235,     0,     0,   236,   237,   238,   239,   240,
       0,   241,   242,   243,   244,   245,     0,     0,     0,   246,
     247,   248,   249,     0,   250,   251,     0,   252,   253,   254,
     255,   256,   257,     0,     0,   258,   259,     0,     0,     0,
       0,     0,     0,     0,   260,   261,   262,   263,   264,   265,
     266,   267,   268,     0,   269,     0,   270,   271,   272,   273,
     274,     0,   275,   276,   277,     0,     0,   278,   279,   280,
     281,   282,     0,   283,   284,   285,     0,   286,   287,   288,
       0,   289,   290,   291,   292,   293,   294,   295,   296,   297,
       0,   298,     0,   299,   300,   301,     0,   302,     0,   303,
       0,     0,     0,   304,   305,   306,     0,   307,   308,     0,
     309,     0,   310,   311,   312,   313,  1482,     0,   315,   316,
     317,     0,   318,   319,   320,   321,   322,   323,     0,   324,
       0,   325,   326,   327,   328,   329,   330,   331,     0,   332,
       0,   333,     0,     0,   334,     0,   335,   336,   337,   338,
     339,     0,   340,   341,     0,   342,   343,     0,   344,     0,
       0,   345,   346,   347,     0,     0,   348,   349,   350,   351,
     352,   353,   354,   355,   356,   357,   358,   359,   360,   361,
       0,   362,   363,   364,   365,     0,   366,   367,     0,   368,
       0,   369,   370,   371,   372,   373,   374,     0,   375,     0,
       0,   376,   377,   378,     0,     0,   379,     0,     0,     0,
     380,   381,   382,   383,   384,   385,   386,   387,     0,   388,
     389,   390,   391,   392,   393,   394,     0,   395,   396,   397,
     398,   399,   400,   401,   402,   403,   404,   405,   406,   407,
       0,   408,   409,   410,   411,   412,   413,   414,   415,   416,
     417,   418,     0,   419,   420,     0,   421,   422,   423,   424,
     425,   426,   427,   428,   429,   430,   431,     0,   432,   433,
     434,   435,   436,     0,   437,   438,   439,   440,     0,   441,
     442,   443,     0,   444,   445,   446,   447,   448,   449,   450,
     451,   452,   453,   454,     0,   455,   456,     0,   457,   458,
     459,   460,   461,   462,     0,   463,   464,     0,     0,   465,
     466,   467,   468,     0,   469,   470,   471,   472,   473,   474,
     475,     0,     0,   476,   477,   478,   479,   480,     0,     0,
     481,   482,   483,   484,   485,   486,   487,     0,   488,     0,
     489,   490,   491,     0,     0,   492,     0,     0,   493,   494,
     495,   496,   497,   498,   499,   500,   501,   502,   503,   504,
     505,   506,   507,   508,   509,   207,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   208,   209,   210,   211,
     212,   213,   214,   215,     0,   217,   218,   219,     0,     0,
       0,     0,     0,     0,     0,   220,   221,     0,   222,   223,
       0,   224,   225,   226,   227,   228,     0,   229,   230,     0,
     231,   232,   233,   234,   235,     0,     0,   236,   237,   238,
     239,   240,     0,   241,   242,   243,   244,   245,     0,     0,
       0,   246,   247,   248,   249,     0,   250,   251,     0,   252,
     253,   254,   255,   256,   257,     0,     0,   258,   259,     0,
       0,     0,     0,     0,     0,     0,   260,   261,   262,   263,
     264,   265,   266,   267,   268,     0,   269,     0,   270,   271,
     272,   273,   274,     0,   275,   276,   277,     0,     0,   278,
     279,   280,   281,   282,     0,   283,   284,   285,     0,   286,
     287,   288,     0,   289,   290,   291,   292,   293,   294,   295,
     296,   297,     0,   298,     0,   299,   300,   301,     0,   302,
       0,   303,     0,     0,     0,   304,   305,   306,     0,   307,
     308,     0,   309,     0,   310,   311,   312,   313,   314,     0,
     315,   316,   317,     0,   318,   319,   320,   321,   322,   323,
       0,   324,     0,   325,   326,   327,   328,   329,   330,   331,
       0,   332,     0,   333,     0,     0,   334,     0,   335,   336,
     337,   338,   339,     0,   340,   341,     0,   342,   343,     0,
     344,     0,     0,   345,   346,   347,     0,     0,   348,   349,
     350,   351,   352,   353,   354,   355,   356,   357,   358,   359,
     360,   361,     0,   362,   363,   364,   365,     0,   366,   367,
       0,   368,     0,   369,   370,   371,   372,   373,   374,     0,
     375,     0,     0,   376,   377,   378,     0,     0,   379,     0,
       0,     0,   380,   381,   382,   383,   384,   385,   386,   387,
       0,   388,   389,   390,   391,   392,   393,   394,     0,   395,
     396,   397,   398,   399,   400,   401,   402,   403,   404,   405,
     406,   407,     0,   408,   409,   410,   411,   412,   413,   414,
     415,   416,   417,   418,     0,   419,   420,     0,   421,   422,
     423,   424,   425,  1574,   427,   428,   429,   430,   431,     0,
     432,   433,   434,   435,   436,     0,   437,   438,   439,   440,
       0,   441,   442,   443,     0,   444,   445,   446,   447,   448,
     449,   450,   451,   452,   453,   454,     0,   455,   456,     0,
     457,   458,   459,   460,   461,   462,     0,   463,   464,     0,
       0,   465,   466,   467,   468,     0,   469,   470,   471,   472,
     473,   474,   475,     0,     0,   476,   477,   478,   479,   480,
       0,     0,   481,   482,   483,   484,   485,   486,   487,     0,
     488,     0,   489,   490,   491,     0,     0,   492,     0,     0,
     493,   494,   495,   496,   497,   498,   499,   500,   501,   502,
     503,   504,   505,   506,   507,   508,   509,   207,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   208,   209,
     210,   211,   212,   213,   214,   215,     0,   217,   218,   219,
       0,     0,     0,     0,     0,  1848,     0,   220,   221,     0,
     222,   223,     0,   224,   225,   226,   227,   228,     0,   229,
     230,     0,   231,   232,   233,   234,   235,     0,     0,   236,
     237,   238,   239,   240,     0,   241,   242,   243,   244,   245,
       0,     0,     0,   246,   247,   248,   249,     0,   250,   251,
       0,   252,   253,   254,   255,   256,   257,     0,     0,   258,
     259,     0,     0,     0,     0,     0,     0,     0,   260,   261,
     262,   263,   264,   265,   266,   267,   268,     0,   269,     0,
     270,   271,   272,   273,   274,     0,   275,   276,   277,     0,
       0,   278,   279,   280,   281,   282,     0,   283,   284,   285,
       0,   286,   287,   288,     0,   289,   290,   291,   292,   293,
     294,   295,   296,   297,     0,   298,     0,   299,   300,   301,
       0,   302,     0,   303,     0,     0,     0,   304,   305,   306,
       0,   307,   308,     0,   309,     0,   310,   311,   312,   313,
     314,     0,   315,   316,   317,     0,   318,   319,   320,   321,
     322,   323,     0,   324,     0,   325,   326,   327,   328,   329,
     330,   331,     0,   332,     0,   333,     0,     0,   334,     0,
     335,   336,   337,   338,   339,     0,   340,   341,     0,   342,
     343,     0,   344,     0,     0,   345,   346,   347,     0,     0,
     348,   349,   350,   351,   352,   353,   354,   355,   356,   357,
     358,   359,   360,   361,     0,   362,   363,   364,   365,     0,
     366,   367,     0,   368,     0,   369,   370,   371,   372,   373,
     374,     0,   375,     0,     0,   376,   377,   378,     0,     0,
     379,     0,     0,     0,   380,   381,   382,   383,   384,   385,
     386,   387,     0,   388,   389,   390,   391,   392,   393,   394,
       0,   395,   396,   397,   398,   399,   400,   401,   402,   403,
     404,   405,   406,   407,     0,   408,   409,   410,   411,   412,
     413,   414,   415,   416,   417,   418,     0,   419,   420,     0,
     421,   422,   423,   424,   425,   426,   427,   428,   429,   430,
     431,     0,   432,   433,   434,   435,   436,     0,     0,   438,
     439,   440,     0,   441,   442,   443,     0,   444,   445,   446,
     447,   448,   449,   450,   451,   452,   453,   454,     0,   455,
     456,     0,   457,   458,   459,   460,   461,   462,     0,   463,
     464,     0,     0,   465,   466,   467,   468,     0,   469,   470,
     471,   472,   473,   474,   475,     0,     0,   476,   477,   478,
     479,   480,     0,     0,   481,   482,   483,   484,   485,   486,
     487,     0,   488,     0,   489,   490,   491,     0,     0,   492,
       0,     0,   493,   494,   495,   496,   497,   498,   499,   500,
     501,   502,   503,   504,   505,   506,   507,   508,   509,   207,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     208,   209,   210,   211,   212,   213,   214,   215,     0,   217,
     218,   219,     0,     0,     0,     0,     0,     0,     0,   220,
     221,     0,   222,   223,     0,   224,   225,   226,   227,   228,
       0,   229,   230,     0,   231,   232,   233,   234,   235,     0,
       0,   677,   237,   238,   239,   240,     0,   241,   242,   243,
     244,   245,     0,     0,     0,   246,   247,   248,   249,     0,
     250,   251,     0,   252,   253,   254,   255,   256,   257,     0,
       0,   258,   259,     0,     0,     0,     0,     0,     0,     0,
     260,   261,   262,   263,   264,   265,   266,   267,   268,     0,
     269,     0,   270,   271,   272,   273,   274,     0,   275,   276,
     277,     0,     0,   278,   279,   280,   281,   282,     0,   283,
     284,   285,     0,   286,   287,   288,     0,   289,   290,   291,
     292,   293,   294,   295,   296,   297,     0,   298,     0,   299,
     300,   301,     0,   302,     0,   303,     0,     0,     0,   304,
     305,   306,     0,   307,   308,     0,   309,     0,   310,   311,
     312,   313,   314,     0,   315,   316,   317,     0,   318,   319,
     320,   321,   322,   323,     0,   324,     0,   325,   326,   327,
     328,   329,   330,   331,     0,   332,     0,   333,     0,     0,
     334,     0,   335,   336,   337,   338,   339,     0,   340,   341,
       0,   342,   343,     0,   344,     0,     0,   345,   346,   347,
       0,     0,   348,   349,   350,   351,   352,   353,   354,   355,
     356,   357,   358,   359,   680,   361,     0,   362,   363,   364,
     365,     0,   366,   367,     0,   368,     0,   369,   370,   371,
     372,   373,   374,     0,   375,     0,     0,   376,   377,   378,
       0,     0,   379,     0,     0,     0,   380,   381,   382,   383,
     384,   385,   386,   387,     0,   388,   389,   390,   391,   392,
     393,   394,     0,   395,   396,   397,   398,   399,   400,   401,
     402,   403,   404,   405,   406,   407,     0,   408,   409,   410,
     411,   412,   413,   414,   415,   416,   417,   418,     0,   419,
     420,     0,   681,   422,   423,   424,   425,   426,   682,   428,
     429,   430,   431,     0,   432,   433,   434,   435,  1118,     0,
     437,   438,   439,   440,     0,   441,   442,   443,     0,   444,
     445,   446,   447,   448,   449,   450,   451,   452,   453,   454,
       0,   455,   456,     0,   457,  1866,   459,   460,   461,   462,
       0,   684,   464,     0,     0,   685,   466,   467,   468,     0,
     469,   470,   471,   472,   473,   474,   475,     0,     0,   476,
     477,   478,   479,   480,     0,     0,   481,   482,   483,   484,
     485,   486,   487,     0,   488,     0,   489,   490,   491,     0,
       0,   492,     0,     0,   493,   494,   495,   496,   686,   498,
     499,   500,   501,   502,   503,   504,   505,   506,   507,   508,
     509,   207,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   208,   209,   210,   211,   212,   213,   214,   215,
       0,   217,   218,   219,     0,     0,     0,     0,     0,     0,
       0,   220,   221,     0,   222,   223,     0,   224,   225,   226,
     227,   228,     0,   229,   230,     0,   231,   232,   233,   234,
     235,     0,     0,   677,   237,   238,   239,   240,     0,   241,
     242,   243,   244,   245,     0,     0,     0,   246,   247,   248,
     249,     0,   250,   251,     0,   252,   253,   254,   255,   256,
     257,     0,     0,   258,   259,     0,     0,     0,     0,     0,
       0,     0,   260,   261,   262,   263,   264,   265,   266,   267,
     268,     0,   269,     0,   270,   271,   272,   273,   274,     0,
     275,   276,   277,     0,     0,   278,   279,   280,   281,   282,
       0,   283,   284,   285,     0,   286,   287,   288,     0,   289,
     290,   291,   292,   293,   294,   295,   296,   297,     0,   298,
       0,   299,   300,   301,     0,   302,     0,   303,     0,     0,
       0,   304,   305,   306,     0,   307,   308,     0,   309,     0,
     310,   311,   312,   313,   314,     0,   315,   316,   317,     0,
     318,   319,   320,   321,   322,   323,     0,   324,     0,   325,
     326,   327,   328,   329,   330,   331,     0,   332,     0,   333,
       0,     0,   334,     0,   335,   336,   337,   338,   339,     0,
     340,   341,     0,   342,   343,     0,   344,     0,     0,   345,
     346,   347,     0,     0,   348,   349,   350,   351,   352,   353,
     354,   355,   356,   357,   358,   359,   680,   361,     0,   362,
     363,   364,   365,     0,   366,   367,     0,   368,     0,   369,
     370,   371,   372,   373,   374,     0,   375,     0,     0,   376,
     377,   378,     0,     0,   379,     0,     0,     0,   380,   381,
     382,   383,   384,   385,   386,   387,     0,   388,   389,   390,
     391,   392,   393,   394,     0,   395,   396,   397,   398,   399,
     400,   401,   402,   403,   404,   405,   406,   407,     0,   408,
     409,   410,   411,   412,   413,   414,   415,   416,   417,   418,
       0,   419,   420,     0,   681,   422,   423,   424,   425,   426,
    1933,   428,   429,   430,   431,     0,   432,   433,   434,   435,
    1934,     0,   437,   438,   439,   440,     0,   441,   442,   443,
       0,   444,   445,   446,   447,   448,   449,   450,   451,   452,
     453,   454,     0,   455,   456,     0,   457,   458,   459,   460,
     461,   462,     0,   684,   464,     0,     0,  1935,   466,   467,
     468,     0,   469,   470,   471,   472,   473,   474,   475,     0,
       0,   476,   477,   478,   479,   480,     0,     0,   481,   482,
     483,   484,   485,   486,   487,     0,   488,     0,   489,   490,
     491,     0,     0,   492,     0,     0,   493,   494,   495,   496,
     686,   498,   499,   500,   501,   502,   503,   504,   505,   506,
     507,   508,   509,   207,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   208,   209,   210,   211,   212,   213,
     214,   215,     0,   217,   218,   219,     0,     0,     0,     0,
       0,     0,     0,   220,   221,     0,   222,   223,     0,   224,
     225,   226,   227,   228,     0,   229,   230,     0,   231,   232,
     233,   234,   235,     0,     0,   236,   237,   238,   239,   240,
       0,   241,   242,   243,   244,   245,     0,     0,     0,   246,
     247,   248,   249,     0,   250,   251,     0,   252,   253,   254,
     255,   256,   257,     0,     0,   258,   259,     0,     0,     0,
       0,     0,     0,     0,   260,   261,   262,   263,   264,   265,
     266,   267,   268,     0,   269,     0,   270,   271,   272,   273,
     274,     0,   275,   276,   277,     0,     0,   278,   279,   280,
     281,   282,     0,   283,   284,   285,     0,   286,   287,   288,
       0,   289,   290,   291,   292,   293,   294,   295,   296,   297,
       0,   298,     0,   299,   300,   301,     0,   302,     0,   303,
       0,     0,     0,   304,   305,   306,     0,   307,   308,     0,
     309,     0,   310,   311,   312,   313,  2197,     0,   315,   316,
     317,     0,   318,   319,   320,   321,   322,   323,     0,   324,
       0,   325,   326,   327,   328,   329,   330,   331,     0,   332,
       0,   333,     0,     0,   334,     0,   335,   336,   337,   338,
     339,     0,   340,   341,     0,   342,   343,     0,   344,     0,
       0,   345,   346,   347,     0,     0,   348,   349,   350,   351,
     352,   353,   354,   355,   356,   357,   358,   359,   360,   361,
       0,   362,   363,   364,   365,     0,   366,   367,     0,   368,
       0,   369,   370,   371,   372,   373,   374,     0,   375,     0,
       0,   376,   377,   378,     0,     0,   379,     0,     0,     0,
     380,   381,   382,   383,   384,   385,   386,   387,     0,   388,
     389,   390,   391,   392,   393,   394,     0,   395,   396,   397,
     398,   399,   400,   401,   402,   403,   404,   405,   406,   407,
       0,   408,   409,   410,   411,   412,   413,   414,   415,   416,
     417,   418,     0,   419,   420,     0,   421,   422,   423,   424,
     425,   426,   427,   428,   429,   430,   431,     0,   432,   433,
     434,   435,   436,     0,   437,   438,   439,   440,     0,   441,
     442,   443,     0,   444,   445,   446,   447,   448,   449,   450,
     451,   452,   453,   454,     0,   455,   456,     0,   457,   458,
     459,   460,   461,   462,     0,   463,   464,     0,     0,   465,
     466,   467,   468,     0,   469,   470,   471,   472,   473,   474,
     475,     0,     0,   476,   477,   478,   479,   480,     0,     0,
     481,   482,   483,   484,   485,   486,   487,     0,   488,     0,
     489,   490,   491,     0,     0,   492,     0,     0,   493,   494,
     495,   496,   497,   498,   499,   500,   501,   502,   503,   504,
     505,   506,   507,   508,   509,   207,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   208,   209,   210,   211,
     212,   213,   214,   215,     0,   217,   218,   219,     0,     0,
       0,     0,     0,     0,     0,   220,   221,     0,   222,   223,
       0,   224,   225,   226,   227,   228,     0,   229,   230,     0,
     231,   232,   233,   234,   235,     0,     0,   236,   237,   238,
     239,   240,     0,   241,   242,   243,   244,   245,     0,     0,
       0,   246,   247,   248,   249,     0,   250,   251,     0,   252,
     253,   254,   255,   256,   257,     0,     0,   258,   259,     0,
       0,     0,     0,     0,     0,     0,   260,   261,   262,   263,
     264,   265,   266,   267,   268,     0,   269,     0,   270,   271,
     272,   273,   274,     0,   275,   276,   277,     0,     0,   278,
     279,   280,   281,   282,     0,   283,   284,   285,     0,   286,
     287,   288,     0,   289,   290,   291,   292,   293,   294,   295,
     296,   297,     0,   298,     0,   299,   300,   301,     0,   302,
       0,   303,     0,     0,     0,   304,   305,   306,     0,   307,
     308,     0,   309,     0,   310,   311,   312,   313,  2531,     0,
     315,   316,   317,     0,   318,   319,   320,   321,   322,   323,
       0,   324,     0,   325,   326,   327,   328,   329,   330,   331,
       0,   332,     0,   333,     0,     0,   334,     0,   335,   336,
     337,   338,   339,     0,   340,   341,     0,   342,   343,     0,
     344,     0,     0,   345,   346,   347,     0,     0,   348,   349,
     350,   351,   352,   353,   354,   355,   356,   357,   358,   359,
     360,   361,     0,   362,   363,   364,   365,     0,   366,   367,
       0,   368,     0,   369,   370,   371,   372,   373,   374,     0,
     375,     0,     0,   376,   377,   378,     0,     0,   379,     0,
       0,     0,   380,   381,   382,   383,   384,   385,   386,   387,
       0,   388,   389,   390,   391,   392,   393,   394,     0,   395,
     396,   397,   398,   399,   400,   401,   402,   403,   404,   405,
     406,   407,     0,   408,   409,   410,   411,   412,   413,   414,
     415,   416,   417,   418,     0,   419,   420,     0,   421,   422,
     423,   424,   425,   426,   427,   428,   429,   430,   431,     0,
     432,   433,   434,   435,   436,     0,   437,   438,   439,   440,
       0,   441,   442,   443,     0,   444,   445,   446,   447,   448,
     449,   450,   451,   452,   453,   454,     0,   455,   456,     0,
     457,   458,   459,   460,   461,   462,     0,   463,   464,     0,
       0,   465,   466,   467,   468,     0,   469,   470,   471,   472,
     473,   474,   475,     0,     0,   476,   477,   478,   479,   480,
       0,     0,   481,   482,   483,   484,   485,   486,   487,     0,
     488,     0,   489,   490,   491,     0,     0,   492,     0,     0,
     493,   494,   495,   496,   497,   498,   499,   500,   501,   502,
     503,   504,   505,   506,   507,   508,   509,   207,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   208,   209,
     210,   211,   212,   213,   214,   215,     0,   217,   218,   219,
       0,     0,     0,     0,     0,     0,     0,   220,   221,     0,
     222,   223,     0,   224,   225,   226,   227,   228,     0,   229,
     230,     0,   231,   232,   233,   234,   235,     0,     0,   677,
     237,   238,   239,   240,     0,   241,   242,   243,   244,   245,
       0,     0,     0,   246,   247,   248,   249,     0,   250,   251,
       0,   252,   253,   254,   255,   256,   257,     0,     0,   258,
     259,     0,     0,     0,     0,     0,     0,     0,   260,   261,
     262,   263,   264,   265,   266,   267,   268,     0,   269,     0,
     270,   271,   272,   273,   274,     0,   275,   276,   277,     0,
       0,   278,   279,   280,   281,   282,     0,   283,   284,   285,
       0,   286,   287,   288,     0,   289,   290,   291,   292,   293,
     294,   295,   296,   297,     0,   298,     0,   299,   300,   301,
       0,   302,     0,   303,     0,     0,     0,   304,   305,   306,
       0,   307,   308,     0,   309,     0,   310,   311,   312,   313,
     314,     0,   315,   316,   317,     0,   318,   319,   320,   321,
     322,   323,     0,   324,     0,   325,   326,   327,   328,   329,
     330,   331,     0,   332,     0,   333,     0,     0,   334,     0,
     335,   336,   337,   338,   339,     0,   340,   341,     0,   342,
     343,     0,   344,     0,     0,   345,   346,   347,     0,     0,
     348,   349,   350,   351,   352,   353,   354,   355,   356,   357,
     358,   359,   680,   361,     0,   362,   363,   364,   365,     0,
     366,   367,     0,   368,     0,   369,   370,   371,   372,   373,
     374,     0,   375,     0,     0,   376,   377,   378,     0,     0,
     379,     0,     0,     0,   380,   381,   382,   383,   384,   385,
     386,   387,     0,   388,   389,   390,   391,   392,   393,   394,
       0,   395,   396,   397,   398,   399,   400,   401,   402,   403,
     404,   405,   406,   407,     0,   408,   409,   410,   411,   412,
     413,   414,   415,   416,   417,   418,     0,   419,   420,     0,
     681,   422,   423,   424,   425,   426,   682,   428,   429,   430,
     431,     0,   432,   433,   434,   435,  1934,     0,   437,   438,
     439,   440,     0,   441,   442,   443,     0,   444,   445,   446,
     447,   448,   449,   450,   451,   452,   453,   454,     0,   455,
     456,     0,   457,   458,   459,   460,   461,   462,     0,   684,
     464,     0,     0,  1935,   466,   467,   468,     0,   469,   470,
     471,   472,   473,   474,   475,     0,     0,   476,   477,   478,
     479,   480,     0,     0,   481,   482,   483,   484,   485,   486,
     487,     0,   488,     0,   489,   490,   491,     0,     0,   492,
       0,     0,   493,   494,   495,   496,   686,   498,   499,   500,
     501,   502,   503,   504,   505,   506,   507,   508,   509,  1373,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     208,   209,   210,   211,   212,   213,   214,   215,     0,   217,
     218,   219,     0,     0,     0,     0,     0,     0,     0,   220,
     221,     0,   222,   223,   732,   224,   225,   226,     0,  1374,
     733,  1375,  1376,     0,   231,   232,   233,   234,   235,     0,
       0,   236,   237,  1377,  1378,   240,     0,   241,   242,   243,
     244,     0,     0,   734,     0,   246,   247,   248,   249,   735,
     250,   251,     0,   252,   253,   254,   255,   256,   257,     0,
     736,   258,   259,     0,     0,     0,   737,     0,     0,     0,
     260,   261,   262,   263,   264,   265,  1379,  1380,   268,     0,
     269,     0,   270,   271,   272,   273,   274,     0,   275,   276,
     277,     0,     0,   278,   279,  1041,   281,   282,     0,   283,
     284,   285,     0,   286,   287,   288,     0,   289,   290,   291,
     292,     0,   294,   295,   296,     0,     0,   298,     0,   299,
    1381,   301,     0,   302,     0,   303,   738,     0,   739,   304,
     305,   306,     0,   307,     0,     0,   309,     0,   310,   311,
     312,   313,   314,   740,   315,   316,   317,  1941,   318,   319,
     320,   321,   322,   323,     0,   324,   741,  1942,   326,   327,
     328,   329,  1382,  1383,     0,  1384,     0,   333,   742,   743,
     334,   744,   335,   336,   337,   338,   339,     0,   340,   341,
       0,   342,     0,   745,   344,   746,     0,   345,   346,   347,
       0,     0,   348,   349,   350,   351,   352,   353,   354,   355,
     356,   357,   358,   359,   360,  1385,   747,  1386,   363,   364,
       0,     0,   366,   367,   748,   368,     0,     0,   370,  1387,
     372,   373,   374,     0,   375,     0,     0,   376,   377,   378,
       0,     0,  1943,   749,   750,   751,     0,   381,   382,   383,
     384,   385,   386,   387,     0,   388,     0,   390,     0,   392,
     393,   394,     0,   395,   396,   397,   398,   399,   400,   401,
     402,  1388,   404,   405,   406,   407,     0,   408,   409,   410,
     411,   412,   413,   414,   415,   416,   417,   418,     0,   419,
     420,   752,   421,   422,     0,   424,   425,   426,   427,   428,
     429,   430,   431,     0,   432,   433,   434,   435,   436,     0,
     437,  1944,   439,   440,   753,   441,  1390,   443,     0,   444,
     445,   446,   447,   448,   449,   450,   451,   452,   453,     0,
       0,   455,   456,     0,   457,   458,   459,   460,   461,   462,
       0,  1391,  1392,     0,     0,   465,     0,   467,     0,     0,
     469,   470,   471,   472,   473,   474,   475,     0,     0,   476,
     477,   478,   479,   480,     0,     0,   481,   482,   483,   484,
     485,     0,  1393,  1945,   488,   754,   489,   490,   491,     0,
       0,   492,     0,     0,   493,   494,   495,   496,   497,     0,
     207,     0,     0,     0,     0,     0,     0,     0,   507,   508,
     509,   208,   209,   210,   211,   212,   213,   214,   215,     0,
     217,   218,   219,     0,     0,     0,     0,     0,     0,     0,
     220,   221,     0,   222,   223,     0,   224,   225,   226,   227,
     228,     0,   229,   230,     0,   231,   232,   233,   234,   235,
       0,     0,   236,   237,   238,   239,   240,     0,   241,   242,
     243,   244,   245,     0,     0,     0,   246,   247,   248,   249,
       0,   250,   251,     0,   252,   253,   254,   255,   256,   257,
       0,     0,   258,   259,     0,     0,     0,     0,     0,     0,
       0,   260,   261,   262,   263,   264,   265,   266,   267,   268,
       0,   269,     0,   270,   271,   272,   273,   274,     0,   275,
     276,   277,     0,     0,   278,   279,   280,   281,   282,     0,
     283,   284,   285,     0,   286,   287,   288,     0,   289,   290,
     291,   292,   293,   294,   295,   296,   297,     0,   298,     0,
     299,   300,   301,     0,   302,     0,   303,     0,     0,     0,
     304,   305,   306,     0,   307,   308,     0,   309,     0,   310,
     311,   312,   313,  2610,     0,   315,   316,   317,     0,   318,
     319,   320,   321,   322,   323,     0,   324,     0,   325,   326,
     327,   328,   329,   330,   331,     0,   332,     0,   333,     0,
       0,   334,     0,   335,   336,   337,   338,   339,     0,   340,
     341,     0,   342,   343,     0,   344,     0,     0,   345,   346,
     347,     0,     0,   348,   349,   350,   351,   352,   353,   354,
     355,   356,   357,   358,   359,   360,   361,     0,   362,   363,
     364,   365,     0,   366,   367,     0,   368,     0,   369,   370,
     371,   372,   373,   374,     0,   375,     0,     0,   376,   377,
     378,     0,     0,   379,     0,     0,     0,   380,   381,   382,
     383,   384,   385,   386,   387,     0,   388,   389,   390,   391,
     392,   393,   394,     0,   395,   396,   397,   398,   399,   400,
     401,   402,   403,   404,   405,   406,   407,     0,   408,   409,
     410,   411,   412,   413,   414,   415,   416,   417,   418,     0,
     419,   420,     0,   421,   422,   423,   424,   425,   426,   427,
     428,   429,   430,   431,     0,   432,   433,   434,   435,   436,
       0,   437,   438,   439,   440,     0,   441,   442,   443,     0,
     444,   445,   446,   447,   448,   449,   450,   451,   452,   453,
     454,     0,   455,   456,     0,   457,   458,   459,   460,   461,
     462,     0,   463,   464,     0,     0,   465,   466,   467,   468,
       0,   469,   470,   471,   472,   473,   474,   475,     0,     0,
     476,   477,   478,   479,   480,     0,     0,   481,   482,   483,
     484,   485,   486,   487,     0,   488,     0,   489,   490,   491,
       0,     0,   492,     0,     0,   493,   494,   495,   496,   497,
     498,   499,   500,   501,   502,   503,   504,   505,   506,   507,
     508,   509,   207,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   208,   209,   210,   211,   212,   213,   214,
     215,     0,   217,   218,   219,     0,     0,     0,     0,     0,
       0,     0,   220,   221,     0,   222,   223,     0,   224,   225,
     226,   227,   228,     0,   229,   230,     0,   231,   232,   233,
     234,   235,     0,     0,   236,   237,   238,   239,   240,     0,
     241,   242,   243,   244,   245,     0,     0,     0,   246,   247,
     248,   249,     0,   250,   251,     0,   252,   253,   254,   255,
     256,   257,     0,     0,   258,   259,     0,     0,     0,     0,
       0,     0,     0,   260,   261,   262,   263,   264,   265,   266,
     267,   268,     0,   269,     0,   270,   271,   272,   273,   274,
       0,   275,   276,   277,     0,     0,   278,   279,   280,   281,
     282,     0,   283,   284,   285,     0,   286,   287,   288,     0,
     289,   290,   291,   292,   293,   294,   295,   296,   297,     0,
     298,     0,   299,   300,   301,     0,   302,     0,   303,     0,
       0,     0,   304,   305,   306,     0,   307,   308,     0,   309,
       0,   310,   311,   312,   313,  2612,     0,   315,   316,   317,
       0,   318,   319,   320,   321,   322,   323,     0,   324,     0,
     325,   326,   327,   328,   329,   330,   331,     0,   332,     0,
     333,     0,     0,   334,     0,   335,   336,   337,   338,   339,
       0,   340,   341,     0,   342,   343,     0,   344,     0,     0,
     345,   346,   347,     0,     0,   348,   349,   350,   351,   352,
     353,   354,   355,   356,   357,   358,   359,   360,   361,     0,
     362,   363,   364,   365,     0,   366,   367,     0,   368,     0,
     369,   370,   371,   372,   373,   374,     0,   375,     0,     0,
     376,   377,   378,     0,     0,   379,     0,     0,     0,   380,
     381,   382,   383,   384,   385,   386,   387,     0,   388,   389,
     390,   391,   392,   393,   394,     0,   395,   396,   397,   398,
     399,   400,   401,   402,   403,   404,   405,   406,   407,     0,
     408,   409,   410,   411,   412,   413,   414,   415,   416,   417,
     418,     0,   419,   420,     0,   421,   422,   423,   424,   425,
     426,   427,   428,   429,   430,   431,     0,   432,   433,   434,
     435,   436,     0,   437,   438,   439,   440,     0,   441,   442,
     443,     0,   444,   445,   446,   447,   448,   449,   450,   451,
     452,   453,   454,     0,   455,   456,     0,   457,   458,   459,
     460,   461,   462,     0,   463,   464,     0,     0,   465,   466,
     467,   468,     0,   469,   470,   471,   472,   473,   474,   475,
       0,     0,   476,   477,   478,   479,   480,     0,     0,   481,
     482,   483,   484,   485,   486,   487,     0,   488,     0,   489,
     490,   491,     0,     0,   492,     0,     0,   493,   494,   495,
     496,   497,   498,   499,   500,   501,   502,   503,   504,   505,
     506,   507,   508,   509,   207,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   208,   209,   210,   211,   212,
     213,   214,   215,     0,   217,   218,   219,     0,     0,     0,
       0,     0,     0,     0,   220,   221,     0,   222,   223,     0,
     224,   225,   226,   227,   228,     0,   229,   230,     0,   231,
     232,   233,   234,   235,     0,     0,   236,   237,   238,   239,
     240,     0,   241,   242,   243,   244,   245,     0,     0,     0,
     246,   247,   248,   249,     0,   250,   251,     0,   252,   253,
     254,   255,   256,   257,     0,     0,   258,   259,     0,     0,
       0,     0,     0,     0,     0,   260,   261,   262,   263,   264,
     265,   266,   267,   268,     0,   269,     0,   270,   271,   272,
     273,   274,     0,   275,   276,   277,     0,     0,   278,   279,
     280,   281,   282,     0,   283,   284,   285,     0,   286,   287,
     288,     0,   289,   290,   291,   292,   293,   294,   295,   296,
     297,     0,   298,     0,   299,   300,   301,     0,   302,     0,
     303,     0,     0,     0,   304,   305,   306,     0,   307,   308,
       0,   309,     0,   310,   311,   312,   313,  2710,     0,   315,
     316,   317,     0,   318,   319,   320,   321,   322,   323,     0,
     324,     0,   325,   326,   327,   328,   329,   330,   331,     0,
     332,     0,   333,     0,     0,   334,     0,   335,   336,   337,
     338,   339,     0,   340,   341,     0,   342,   343,     0,   344,
       0,     0,   345,   346,   347,     0,     0,   348,   349,   350,
     351,   352,   353,   354,   355,   356,   357,   358,   359,   360,
     361,     0,   362,   363,   364,   365,     0,   366,   367,     0,
     368,     0,   369,   370,   371,   372,   373,   374,     0,   375,
       0,     0,   376,   377,   378,     0,     0,   379,     0,     0,
       0,   380,   381,   382,   383,   384,   385,   386,   387,     0,
     388,   389,   390,   391,   392,   393,   394,     0,   395,   396,
     397,   398,   399,   400,   401,   402,   403,   404,   405,   406,
     407,     0,   408,   409,   410,   411,   412,   413,   414,   415,
     416,   417,   418,     0,   419,   420,     0,   421,   422,   423,
     424,   425,   426,   427,   428,   429,   430,   431,     0,   432,
     433,   434,   435,   436,     0,   437,   438,   439,   440,     0,
     441,   442,   443,     0,   444,   445,   446,   447,   448,   449,
     450,   451,   452,   453,   454,     0,   455,   456,     0,   457,
     458,   459,   460,   461,   462,     0,   463,   464,     0,     0,
     465,   466,   467,   468,     0,   469,   470,   471,   472,   473,
     474,   475,     0,     0,   476,   477,   478,   479,   480,     0,
       0,   481,   482,   483,   484,   485,   486,   487,     0,   488,
       0,   489,   490,   491,     0,     0,   492,     0,     0,   493,
     494,   495,   496,   497,   498,   499,   500,   501,   502,   503,
     504,   505,   506,   507,   508,   509,  1373,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   208,   209,   210,
     211,   212,   213,   214,   215,     0,   217,   218,   219,     0,
       0,     0,     0,     0,     0,     0,   220,   221,     0,   222,
     223,   732,   224,   225,   226,     0,  1374,   733,  1375,  1376,
       0,   231,   232,   233,   234,   235,     0,     0,   236,   237,
    1377,  1378,   240,     0,   241,   242,   243,   244,     0,     0,
     734,     0,   246,   247,   248,   249,   735,   250,   251,     0,
     252,   253,   254,   255,   256,   257,     0,   736,   258,   259,
       0,     0,     0,   737,     0,     0,     0,   260,   261,   262,
     263,   264,   265,  1379,  1380,   268,     0,   269,     0,   270,
     271,   272,   273,   274,     0,   275,   276,   277,     0,     0,
     278,   279,  1041,   281,   282,     0,   283,   284,   285,     0,
     286,   287,   288,     0,   289,   290,   291,   292,     0,   294,
     295,   296,     0,     0,   298,     0,   299,  1381,   301,     0,
     302,     0,   303,   738,     0,   739,   304,   305,   306,     0,
     307,     0,     0,   309,     0,   310,   311,   312,   313,   314,
     740,   315,   316,   317,     0,   318,   319,   320,   321,   322,
     323,     0,   324,   741,     0,   326,   327,   328,   329,  1382,
    1383,     0,  1384,     0,   333,   742,   743,   334,   744,   335,
     336,   337,   338,   339,     0,   340,   341,     0,   342,     0,
     745,   344,   746,     0,   345,   346,   347,     0,     0,   348,
     349,   350,   351,   352,   353,   354,   355,   356,   357,   358,
     359,   360,  1385,   747,  1386,   363,   364,     0,     0,   366,
     367,   748,   368,  1929,     0,   370,  1387,   372,   373,   374,
       0,   375,     0,     0,   376,   377,   378,     0,     0,     0,
     749,   750,   751,     0,   381,   382,   383,   384,   385,   386,
     387,     0,   388,     0,   390,     0,   392,   393,   394,     0,
     395,   396,   397,   398,   399,   400,   401,   402,  1388,   404,
     405,   406,   407,     0,   408,   409,   410,   411,   412,   413,
     414,   415,   416,   417,   418,     0,   419,   420,   752,   421,
     422,     0,   424,   425,   426,   427,   428,   429,   430,   431,
       0,   432,   433,   434,   435,   436,     0,   437,  1944,   439,
     440,   753,   441,  1390,   443,     0,   444,   445,   446,   447,
     448,   449,   450,   451,   452,   453,     0,     0,   455,   456,
    3364,   457,   458,   459,   460,   461,   462,     0,  1391,  1392,
       0,     0,   465,     0,   467,     0,     0,   469,   470,   471,
     472,   473,   474,   475,     0,     0,   476,   477,   478,   479,
     480,     0,     0,   481,   482,   483,   484,   485,     0,  1393,
       0,   488,   754,   489,   490,   491,     0,     0,   492,     0,
       0,   493,   494,   495,   496,   497,     0,  1373,     0,     0,
       0,     0,     0,     0,     0,   507,   508,   509,   208,   209,
     210,   211,   212,   213,   214,   215,     0,   217,   218,   219,
       0,     0,     0,     0,     0,     0,     0,   220,   221,     0,
     222,   223,   732,   224,   225,   226,     0,  1374,   733,  1375,
    1376,     0,   231,   232,   233,   234,   235,     0,     0,   236,
     237,  1377,  1378,   240,     0,   241,   242,   243,   244,     0,
       0,   734,     0,   246,   247,   248,   249,   735,   250,   251,
       0,   252,   253,   254,   255,   256,   257,     0,   736,   258,
     259,     0,     0,     0,   737,     0,     0,     0,   260,   261,
     262,   263,   264,   265,  1379,  1380,   268,     0,   269,     0,
     270,   271,   272,   273,   274,     0,   275,   276,   277,     0,
       0,   278,   279,  1041,   281,   282,     0,   283,   284,   285,
       0,   286,   287,   288,     0,   289,   290,   291,   292,     0,
     294,   295,   296,     0,     0,   298,     0,   299,  1381,   301,
       0,   302,     0,   303,   738,     0,   739,   304,   305,   306,
       0,   307,     0,     0,   309,     0,   310,   311,   312,   313,
     314,   740,   315,   316,   317,     0,   318,   319,   320,   321,
     322,   323,     0,   324,   741,     0,   326,   327,   328,   329,
    1382,  1383,     0,  1384,     0,   333,   742,   743,   334,   744,
     335,   336,   337,   338,   339,     0,   340,   341,     0,   342,
       0,   745,   344,   746,     0,   345,   346,   347,     0,     0,
     348,   349,   350,   351,   352,   353,   354,   355,   356,   357,
     358,   359,   360,  1385,   747,  1386,   363,   364,  1997,     0,
     366,   367,   748,   368,     0,     0,   370,  1387,   372,   373,
     374,     0,   375,     0,     0,   376,   377,   378,     0,     0,
       0,   749,   750,   751,     0,   381,   382,   383,   384,   385,
     386,   387,     0,   388,     0,   390,     0,   392,   393,   394,
       0,   395,   396,   397,   398,   399,   400,   401,   402,  1388,
     404,   405,   406,   407,     0,   408,   409,   410,   411,   412,
     413,   414,   415,   416,   417,   418,     0,   419,   420,   752,
     421,   422,     0,   424,   425,   426,   427,   428,   429,   430,
     431,     0,   432,   433,   434,   435,   436,     0,   437,  1389,
     439,   440,   753,   441,  1390,   443,     0,   444,   445,   446,
     447,   448,   449,   450,   451,   452,   453,     0,     0,   455,
     456,     0,   457,   458,   459,   460,   461,   462,     0,  1391,
    1392,     0,     0,   465,     0,   467,     0,     0,   469,   470,
     471,   472,   473,   474,   475,     0,     0,   476,   477,   478,
     479,   480,     0,     0,   481,   482,   483,   484,   485,     0,
    1393,     0,   488,   754,   489,   490,   491,     0,     0,   492,
       0,     0,   493,   494,   495,   496,   497,     0,  1373,     0,
       0,     0,     0,     0,     0,     0,   507,   508,   509,   208,
     209,   210,   211,   212,   213,   214,   215,     0,   217,   218,
     219,     0,     0,     0,     0,     0,     0,     0,   220,   221,
       0,   222,   223,   732,   224,   225,   226,     0,  1374,   733,
    1375,  1376,     0,   231,   232,   233,   234,   235,     0,     0,
     236,   237,  1377,  1378,   240,     0,   241,   242,   243,   244,
       0,     0,   734,     0,   246,   247,   248,   249,   735,   250,
     251,     0,   252,   253,   254,   255,   256,   257,     0,   736,
     258,   259,     0,     0,     0,   737,     0,     0,     0,   260,
     261,   262,   263,   264,   265,  1379,  1380,   268,     0,   269,
       0,   270,   271,   272,   273,   274,     0,   275,   276,   277,
       0,     0,   278,   279,  1041,   281,   282,     0,   283,   284,
     285,     0,   286,   287,   288,     0,   289,   290,   291,   292,
       0,   294,   295,   296,     0,     0,   298,     0,   299,  1381,
     301,     0,   302,     0,   303,   738,     0,   739,   304,   305,
     306,     0,   307,     0,     0,   309,     0,   310,   311,   312,
     313,   314,   740,   315,   316,   317,     0,   318,   319,   320,
     321,   322,   323,     0,   324,   741,     0,   326,   327,   328,
     329,  1382,  1383,     0,  1384,     0,   333,   742,   743,   334,
     744,   335,   336,   337,   338,   339,     0,   340,   341,     0,
     342,     0,   745,   344,   746,     0,   345,   346,   347,     0,
       0,   348,   349,   350,   351,   352,   353,   354,   355,   356,
     357,   358,   359,   360,  1385,   747,  1386,   363,   364,  3192,
       0,   366,   367,   748,   368,     0,     0,   370,  1387,   372,
     373,   374,     0,   375,     0,     0,   376,   377,   378,     0,
       0,     0,   749,   750,   751,     0,   381,   382,   383,   384,
     385,   386,   387,     0,   388,     0,   390,     0,   392,   393,
     394,     0,   395,   396,   397,   398,   399,   400,   401,   402,
    1388,   404,   405,   406,   407,     0,   408,   409,   410,   411,
     412,   413,   414,   415,   416,   417,   418,     0,   419,   420,
     752,   421,   422,     0,   424,   425,   426,   427,   428,   429,
     430,   431,     0,   432,   433,   434,   435,   436,     0,   437,
    1389,   439,   440,   753,   441,  1390,   443,     0,   444,   445,
     446,   447,   448,   449,   450,   451,   452,   453,     0,     0,
     455,   456,     0,   457,   458,   459,   460,   461,   462,     0,
    1391,  1392,     0,     0,   465,     0,   467,     0,     0,   469,
     470,   471,   472,   473,   474,   475,     0,     0,   476,   477,
     478,   479,   480,     0,     0,   481,   482,   483,   484,   485,
       0,  1393,     0,   488,   754,   489,   490,   491,     0,     0,
     492,     0,     0,   493,   494,   495,   496,   497,     0,   207,
       0,     0,     0,     0,     0,     0,     0,   507,   508,   509,
     208,   209,   210,   211,   212,   213,   214,   215,     0,   217,
     218,   219,     0,     0,     0,     0,     0,     0,     0,   220,
     221,     0,   222,   223,     0,   224,   225,   226,   227,   228,
       0,   229,   230,     0,   231,   232,   233,   234,   235,     0,
       0,   236,   237,   238,   239,   240,     0,   241,   242,   243,
     244,   245,     0,     0,     0,   246,   247,   248,   249,     0,
     250,   251,     0,   252,   253,   254,   255,   256,   257,     0,
       0,   258,   259,     0,     0,     0,     0,     0,     0,     0,
     260,   261,   262,   263,   264,   265,   266,   267,   268,     0,
     269,     0,   270,   271,   272,   273,   274,     0,   275,   276,
     277,     0,     0,   278,   279,   280,   281,   282,     0,   283,
     284,   285,     0,   286,   287,   288,     0,   289,   290,   291,
     292,   293,   294,   295,   296,   297,     0,   298,     0,   299,
     300,   301,     0,   302,     0,   303,     0,     0,     0,   304,
     305,   306,     0,   307,   308,     0,   309,     0,   310,   311,
     312,   313,   314,     0,   315,   316,   317,     0,   318,   319,
     320,   321,   322,   323,     0,   324,     0,   325,   326,   327,
     328,   329,   330,   331,     0,   332,     0,   333,     0,     0,
     334,     0,   335,   336,   337,   338,   339,     0,   340,   341,
       0,   342,   343,     0,   344,     0,     0,   345,   346,   347,
       0,     0,   348,   349,   350,   351,   352,   353,   354,   355,
     356,   357,   358,   359,   360,   361,     0,   362,   363,   364,
     365,     0,   366,   367,     0,   368,     0,   369,   370,   371,
     372,   373,   374,     0,   375,     0,     0,   376,   377,   378,
       0,     0,   379,     0,     0,     0,   380,   381,   382,   383,
     384,     0,   386,   387,     0,   388,   389,   390,   391,   392,
     393,   394,     0,   395,   396,   397,   398,   399,   400,     0,
     402,   403,   404,   405,   406,   407,     0,   408,   409,   410,
     411,   412,   413,   414,   415,   416,   417,   418,     0,   419,
     420,     0,   421,   422,   423,     0,   425,   426,   427,   428,
     429,   430,   431,     0,   432,   433,   434,   435,   436,     0,
     437,   438,   439,   440,     0,   441,   442,   443,     0,   444,
     445,   446,   447,   448,   449,   450,   451,   452,   453,   454,
       0,   455,   456,     0,   457,   458,   459,   460,   461,   462,
       0,   463,   464,     0,     0,   465,   466,   467,   468,     0,
     469,   470,   471,   472,   473,   474,   475,     0,     0,   476,
     477,   478,   479,   480,     0,     0,   481,   482,   483,   484,
     485,   486,   487,     0,   488,     0,   489,   490,   491,     0,
       0,   492,     0,     0,   493,   494,   495,   496,   497,   498,
     499,   500,   501,   502,   503,   504,   505,   506,   507,   508,
     509,  1373,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   208,   209,   210,   211,   212,   213,   214,   215,
       0,   217,   218,   219,     0,     0,     0,     0,     0,     0,
       0,   220,   221,     0,   222,   223,   732,   224,   225,   226,
       0,  1374,   733,  1375,  1376,     0,   231,   232,   233,   234,
     235,     0,     0,   236,   237,  1377,  1378,   240,     0,   241,
     242,   243,   244,     0,     0,   734,     0,   246,   247,   248,
     249,   735,   250,   251,     0,   252,   253,   254,   255,   256,
     257,     0,   736,   258,   259,     0,     0,     0,   737,     0,
       0,     0,   260,   261,   262,   263,   264,   265,  1379,  1380,
     268,     0,   269,     0,   270,   271,   272,   273,   274,     0,
     275,   276,   277,     0,     0,   278,   279,  1041,   281,   282,
       0,   283,   284,   285,     0,   286,   287,   288,     0,   289,
     290,   291,   292,     0,   294,   295,   296,     0,     0,   298,
       0,   299,  1381,   301,     0,   302,     0,   303,   738,     0,
     739,   304,   305,   306,     0,   307,     0,     0,   309,     0,
     310,   311,   312,   313,   314,   740,   315,   316,   317,     0,
     318,   319,   320,   321,   322,   323,     0,   324,   741,     0,
     326,   327,   328,   329,  1382,  1383,     0,  1384,     0,   333,
     742,   743,   334,   744,   335,   336,   337,   338,   339,     0,
     340,   341,     0,   342,     0,   745,   344,   746,     0,   345,
     346,   347,     0,     0,   348,   349,   350,   351,   352,   353,
     354,   355,   356,   357,   358,   359,   360,  1385,   747,  1386,
     363,   364,     0,     0,   366,   367,   748,   368,     0,     0,
     370,  1387,   372,   373,   374,     0,   375,     0,     0,   376,
     377,   378,     0,     0,     0,   749,   750,   751,     0,   381,
     382,   383,   384,   385,   386,   387,     0,   388,     0,   390,
       0,   392,   393,   394,     0,   395,   396,   397,   398,   399,
     400,   401,   402,  1388,   404,   405,   406,   407,     0,   408,
     409,   410,   411,   412,   413,   414,   415,   416,   417,   418,
       0,   419,   420,   752,   421,   422,     0,   424,   425,   426,
     427,   428,   429,   430,   431,     0,   432,   433,   434,   435,
     436,     0,   437,  1389,   439,   440,   753,   441,  1390,   443,
       0,   444,   445,   446,   447,   448,   449,   450,   451,   452,
     453,     0,     0,   455,   456,     0,   457,   458,   459,   460,
     461,   462,     0,  1391,  1392,     0,     0,   465,     0,   467,
       0,     0,   469,   470,   471,   472,   473,   474,   475,     0,
       0,   476,   477,   478,   479,   480,     0,     0,   481,   482,
     483,   484,   485,     0,  1393,     0,   488,   754,   489,   490,
     491,     0,     0,   492,     0,     0,   493,   494,   495,   496,
     497,     0,  1373,     0,     0,     0,     0,     0,     0,     0,
     507,   508,   509,   208,   209,   210,   211,   212,   213,   214,
     215,     0,   217,   218,   219,     0,     0,     0,     0,     0,
       0,     0,   220,   221,     0,   222,   223,   732,   224,   225,
     226,     0,  1374,   733,  1375,  1376,     0,   231,   232,   233,
     234,   235,     0,     0,   236,   237,  1377,  1378,   240,     0,
     241,   242,   243,   244,     0,     0,   734,     0,   246,   247,
     248,   249,   735,   250,   251,     0,   252,   253,   254,   255,
     256,   257,     0,   736,   258,   259,     0,     0,     0,   737,
       0,     0,     0,   260,   261,   262,   263,   264,   265,  1379,
    1380,   268,     0,   269,     0,   270,   271,   272,   273,   274,
       0,   275,   276,   277,     0,     0,   278,   279,  1041,   281,
     282,     0,   283,   284,   285,     0,   286,   287,   288,     0,
     289,   290,   291,   292,     0,   294,   295,   296,     0,     0,
     298,     0,   299,  1381,   301,     0,   302,     0,   303,   738,
       0,   739,   304,   305,   306,     0,   307,     0,     0,   309,
       0,   310,   311,   312,   313,   314,   740,   315,   316,   317,
       0,   318,   319,   320,   321,   322,   323,     0,   324,   741,
       0,   326,   327,   328,   329,  1382,  1383,     0,  1384,     0,
     333,   742,   743,   334,   744,   335,   336,   337,   338,   339,
       0,   340,   341,     0,   342,     0,   745,   344,   746,     0,
     345,   346,   347,     0,     0,   348,   349,   350,   351,   352,
     353,   354,   355,   356,   357,   358,   359,   360,  1385,   747,
    1386,   363,   364,     0,     0,   366,   367,   748,   368,     0,
       0,   370,  1387,   372,   373,   374,     0,   375,     0,     0,
     376,   377,   378,     0,     0,     0,   749,   750,   751,     0,
     381,   382,   383,   384,   385,   386,   387,     0,   388,     0,
     390,     0,   392,   393,   394,     0,   395,   396,   397,   398,
     399,   400,   401,   402,  1388,   404,   405,   406,   407,     0,
     408,   409,   410,   411,   412,   413,   414,   415,   416,   417,
     418,     0,   419,   420,   752,   421,   422,     0,   424,   425,
     426,   427,   428,   429,   430,   431,     0,   432,   433,   434,
     435,   436,     0,   437,  1944,   439,   440,   753,   441,  1390,
     443,     0,   444,   445,   446,   447,   448,   449,   450,   451,
     452,   453,     0,     0,   455,   456,     0,   457,   458,   459,
     460,   461,   462,     0,  1391,  1392,     0,     0,   465,     0,
     467,     0,     0,   469,   470,   471,   472,   473,   474,   475,
       0,     0,   476,   477,   478,   479,   480,     0,     0,   481,
     482,   483,   484,   485,     0,  1393,     0,   488,   754,   489,
     490,   491,     0,     0,   492,     0,     0,   493,   494,   495,
     496,   497,     0,  1373,     0,     0,     0,     0,     0,     0,
       0,   507,   508,   509,   208,   209,   210,   211,   212,   213,
     214,   215,     0,   217,   218,   219,     0,     0,     0,     0,
       0,     0,     0,   220,   221,     0,   222,   223,   732,   224,
     225,   226,     0,  1374,   733,  1375,  1376,     0,   231,   232,
     233,   234,   235,     0,     0,   236,   237,  1377,  1378,   240,
       0,   241,   242,   243,   244,     0,     0,   734,     0,   246,
     247,   248,   249,   735,   250,   251,     0,   252,   253,   254,
     255,   256,   257,     0,   736,   258,   259,     0,     0,     0,
     737,     0,     0,     0,   260,   261,   262,   263,   264,   265,
    1379,  1380,   268,     0,   269,     0,   270,   271,   272,   273,
     274,     0,   275,   276,   277,     0,     0,   278,   279,  1041,
     281,   282,     0,   283,   284,   285,     0,   286,   287,   288,
       0,   289,   290,   291,   292,     0,   294,   295,   296,     0,
       0,   298,     0,   299,  1381,   301,     0,   302,     0,   303,
     738,     0,   739,   304,   305,   306,     0,   307,     0,     0,
     309,     0,   310,   311,   312,   313,   314,   740,   315,   316,
     317,     0,   318,   319,   320,   321,   322,   323,     0,   324,
     741,     0,   326,   327,   328,   329,  1382,  1383,     0,  1384,
       0,   333,   742,   743,   334,   744,   335,   336,   337,   338,
     339,     0,   340,   341,     0,   342,     0,   745,   344,   746,
       0,   345,   346,   347,     0,     0,   348,   349,   350,   351,
     352,   353,   354,   355,   356,   357,   358,   359,   360,  1385,
     747,  1386,   363,   364,     0,     0,   366,   367,   748,   368,
       0,     0,   370,  1387,   372,   373,   374,     0,   375,     0,
       0,   376,   377,   378,     0,     0,     0,   749,   750,   751,
       0,   381,   382,   383,   384,   385,   386,   387,     0,   388,
       0,   390,     0,   392,   393,   394,     0,   395,   396,   397,
     398,   399,   400,   401,   402,  1388,   404,   405,   406,   407,
       0,   408,   409,   410,   411,   412,   413,   414,   415,   416,
     417,   418,     0,   419,   420,   752,   421,   422,     0,   424,
     425,   426,   427,   428,   429,   430,   431,     0,   432,   433,
     434,   435,   436,     0,   437,     0,   439,   440,   753,   441,
    1390,   443,     0,   444,   445,   446,   447,   448,   449,   450,
     451,   452,   453,     0,     0,   455,   456,     0,   457,   458,
     459,   460,   461,   462,     0,  1391,  1392,     0,     0,   465,
       0,   467,     0,     0,   469,   470,   471,   472,   473,   474,
     475,     0,     0,   476,   477,   478,   479,   480,     0,     0,
     481,   482,   483,   484,   485,     0,  1393,     0,   488,   754,
     489,   490,   491,     0,     0,   492,     0,     0,   493,   494,
     495,   496,   497,     0,  1373,     0,     0,     0,     0,     0,
       0,     0,   507,   508,   509,   208,   209,   210,   211,   212,
     213,   214,   215,     0,   217,   218,   219,     0,     0,     0,
       0,     0,     0,     0,   220,   221,     0,   222,   223,   732,
     224,   225,   226,     0,     0,   733,     0,     0,     0,   231,
     232,   233,   234,   235,     0,     0,   236,   237,     0,     0,
     240,     0,   241,   242,   243,   244,     0,     0,   734,     0,
     246,   247,   248,   249,   735,   250,   251,     0,   252,   253,
     254,   255,   256,   257,     0,   736,   258,   259,     0,     0,
       0,   737,     0,     0,     0,   260,   261,   262,   263,   264,
     265,     0,     0,   268,     0,   269,     0,   270,   271,   272,
     273,   274,     0,   275,   276,   277,     0,     0,   278,   279,
     280,   281,   282,     0,   283,   284,   285,     0,   286,   287,
     288,     0,   289,   290,   291,   292,     0,   294,   295,   296,
       0,     0,   298,     0,   299,     0,   301,     0,   302,     0,
     303,   738,     0,   739,   304,   305,   306,     0,   307,     0,
       0,   309,     0,   310,   311,   312,   313,   314,   740,   315,
     316,   317,     0,   318,   319,   320,   321,   322,   323,     0,
     324,   741,     0,   326,   327,   328,   329,     0,     0,     0,
       0,     0,   333,   742,   743,   334,   744,   335,   336,   337,
     338,   339,     0,   340,   341,     0,   342,     0,   745,   344,
     746,     0,   345,   346,   347,     0,     0,   348,   349,   350,
     351,   352,   353,   354,   355,   356,   357,   358,   359,   360,
       0,   747,     0,   363,   364,     0,     0,   366,   367,   748,
     368,     0,     0,   370,     0,   372,   373,   374,     0,   375,
       0,     0,   376,   377,   378,     0,     0,     0,   749,   750,
     751,     0,   381,   382,   383,   384,   385,   386,   387,     0,
     388,     0,   390,     0,   392,   393,   394,     0,   395,   396,
     397,   398,   399,   400,   401,   402,     0,   404,   405,   406,
     407,     0,   408,   409,   410,   411,   412,   413,   414,   415,
     416,   417,   418,     0,   419,   420,   752,   421,   422,     0,
     424,   425,   426,   427,   428,   429,   430,   431,     0,   432,
     433,   434,   435,   436,     0,   437,     0,   439,   440,   753,
     441,     0,   443,     0,   444,   445,   446,   447,   448,   449,
     450,   451,   452,   453,     0,     0,   455,   456,     0,   457,
     458,   459,   460,   461,   462,     0,     0,     0,     0,     0,
     465,     0,   467,     0,     0,   469,   470,   471,   472,   473,
     474,   475,     0,     0,   476,   477,   478,   479,   480,     0,
       0,   481,   482,   483,   484,   485,     0,     0,     0,   488,
     754,   489,   490,   491,     0,     0,   492,     0,     0,   493,
     494,   495,   496,   497,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   507,   508,   509
};

static const yytype_int16 yycheck[] =
{
       0,     0,     0,     0,     0,     0,    16,    48,   191,   678,
     169,    11,   960,   725,    24,    34,   537,   923,     7,    21,
      20,   565,    20,   932,    26,    14,  1143,   730,   996,   635,
     636,   637,   802,  1210,   756,   641,   807,    43,   927,   565,
     982,  1389,   825,   177,  1543,  1645,   816,  2281,    48,    21,
    1245,    12,   186,  1068,    26,  1010,  1145,  2132,  1176,   603,
     862,   187,   583,  1254,   685,    17,    20,   193,   881,  1263,
    2573,  2140,  1346,  1250,    42,  2787,  1406,   203,   891,  1161,
    1197,  2441,  1949,  1950,  2623,  1996,  2625,  1166,    22,  2850,
     806,  1445,  1245,   809,   528,  1302,  1807,   867,  1039,  1040,
      34,   871,   818,  2046,  1193,  2259,   876,   952,  3063,  2492,
    1614,   913,  2839,   883,  2768,  2435,  1580,  1058,  2750,  1310,
    3302,  1315,  1316,   893,  1628,  2437,  2438,  3150,  3095,   602,
    3354,  2439,  2093,     0,   156,  3344,  2768,   681,  3365,   171,
     574,  2829,  2374,   171,  1197,     0,  1500,    39,   939,  3036,
       0,  3572,     0,     0,     0,   681,   773,   585,     0,   950,
       0,     0,  3771,  1448,     0,  2485,  1250,   595,  3030,   722,
    1237,   171,  1676,     0,     0,     0,  3073,  3035,  3102,  2967,
       9,     5,  1456,   722,   178,   179,     0,     0,   182,    13,
     184,     0,    11,     5,  2772,  2773,  2774,  2775,  2776,  2777,
       0,    13,  4036,  3902,     5,    58,    44,    51,   202,     5,
      25,    31,   103,    35,    18,    22,    79,    13,     5,  1028,
    1029,    37,    29,     5,  2135,    18,   151,     5,    51,   783,
     198,     5,     0,   122,    11,    68,   146,   152,   108,  2340,
    2341,  1086,    72,    76,  2345,  1054,     0,   105,    37,    35,
       5,   130,   190,    16,   860,     9,    22,   160,    22,    36,
     864,     5,    96,     5,     5,   151,  2498,   151,    22,     0,
    2575,     5,     5,   153,   245,     5,  3905,   160,     9,    51,
      58,   133,   103,   151,  2385,  2386,     9,  4108,  4109,    66,
     245,    22,  1409,     5,   278,  2206,     0,  2208,   245,   262,
    3982,    23,   288,    58,   236,   237,    70,    32,   164,   188,
      60,     5,   103,    77,   184,    83,   120,    68,   255,    28,
      68,   103,    95,   297,   845,    22,    76,   120,     3,     4,
       5,   308,   295,     5,     9,    34,   153,   151,   151,    66,
     104,  3265,   151,     5,     4,   107,   397,  1130,     5,     9,
     233,   151,   308,   397,   537,   153,   359,   171,   171,     4,
    3989,   324,   171,    83,     9,  1087,   222,    22,   398,   151,
     133,   171,     9,   255,    29,   142,   255,  1392,  2006,    83,
    1427,   131,   151,   181,   435,   317,   111,   417,   156,   523,
    1112,   435,   996,    26,    27,  3577,   399,   151,   148,  1446,
     583,    11,   171,    22,   948,   391,   960,    11,  1907,   535,
      29,   175,  4021,   539,   235,   347,   960,   171,   115,    11,
     151,   377,   948,   397,   550,   134,    36,   151,   103,   191,
     310,   103,   314,  2061,   251,   569,   156,   300,  1379,  1380,
     171,   103,    68,   210,   235,   579,  1387,   431,   221,  1355,
     223,  1360,   156,   385,   431,    68,    66,   301,  1540,   315,
     431,   435,  1544,   185,  1546,   397,  4148,  1549,   431,   262,
    1014,   170,  4101,   357,   326,   157,   431,    68,   301,    11,
     383,  2786,  4111,   298,   431,   365,   198,    76,  1014,   962,
    1579,   312,   371,    11,   364,   310,  1614,   435,   435,   431,
     383,  4322,   295,   269,   393,   933,   431,   377,   518,  1225,
    1628,  3089,     8,   347,   189,    25,   431,   150,    36,   152,
    3174,   431,   344,   381,   357,   332,   276,   418,  1298,   301,
    1300,   324,   526,  1650,   302,  4234,   530,  1308,   213,   369,
       8,   357,  3174,    11,    30,   308,   361,  1349,    66,   435,
    1639,   338,   339,   547,  3736,   565,   566,  1370,   344,  1275,
     988,  1344,   603,   326,  3773,   517,   725,   435,  1377,  1378,
     998,  4405,   435,   377,  1128,   357,   340,  1386,   431,  1133,
    1134,  1125,   192,  1011,   350,   607,   352,  1191,   192,  1133,
    1134,   435,  1534,   431,  1683,   384,  1944,  3324,   302,  1125,
     192,   430,   602,   603,   602,  3787,   357,   431,   427,   357,
    3497,   431,   435,  2524,   616,  1504,   618,   103,   620,   431,
     434,   434,   372,  1953,   626,   434,  3338,  1244,   429,   397,
     431,  1184,   433,   388,   434,   431,   418,  3425,  3496,   649,
     601,   630,  3566,  3505,   616,  1184,   618,  3509,   620,   603,
     427,   433,  1541,   431,   626,   627,   628,   431,   388,  3556,
     670,  1550,   845,   435,   432,  3353,   434,   677,   422,   423,
     680,   681,   682,  1227,  1278,  1466,   431,   332,   646,  4100,
     434,  1235,   714,  4292,  1475,  3045,   714,   431,  1479,   431,
     431,   422,   423,   397,  1485,  1486,   830,   431,   431,   422,
     423,   431,   429,   434,   398,  3283,   433,   841,   431,  3029,
    3030,   435,  1503,   332,   714,  3897,   716,   716,   716,   716,
     716,   716,  3904,   417,   192,  2592,  2011,  2594,   432,  1920,
     434,   357,   700,  1578,   151,  1580,  1290,   431,  2807,  1293,
    1294,   398,  3050,  1860,   357,  1590,  1350,   422,   423,  1594,
     704,  4360,   397,   435,  1949,   251,   389,  1602,  1603,  1280,
     417,   729,   422,   423,   127,  1369,   357,   901,   357,  2730,
    1615,  1616,  2733,  2734,   431,  4029,  2737,   422,   423,  3099,
     110,  1626,  2743,   251,   108,   422,   423,   679,   298,   108,
     171,   683,   786,   787,    96,  4019,    18,  1606,  1607,   103,
     151,  1992,  1356,     5,   772,    51,   154,  1860,    42,    64,
    1414,   783,   422,   423,   424,   425,   426,   427,   422,   423,
     424,   425,   426,   427,  2735,  2736,     5,   133,     5,    96,
     422,   423,   424,   425,   426,   427,  2340,  2341,   233,    51,
      18,  2345,   108,   249,   134,  3077,  1452,   389,  2949,   716,
    2450,  2952,  2953,  2954,  2955,  2956,  2957,  2958,  2959,  2960,
    2961,   716,   159,  1980,   858,   184,   716,  1471,   716,   716,
     716,  1938,  3375,  1957,   716,    74,   716,   716,  1547,  1548,
     716,  2385,  2386,  2750,   248,   879,   880,     5,   262,   716,
     716,   716,   424,   425,   426,   427,   763,   103,   120,   249,
     105,  2768,   145,    96,    96,   899,   424,   425,   426,   427,
    3011,  3012,     5,   112,  1636,    96,   308,  3869,   184,  3871,
     283,   295,   418,   419,   420,   250,   422,   423,   424,   425,
     426,   427,   418,   167,    60,   929,   930,   171,   948,   108,
     357,    60,   120,   429,   336,   431,   432,   433,    97,   435,
     960,   120,   904,   357,   422,   423,   424,   425,   426,   427,
       3,   312,   962,  1484,   962,  4189,  2173,  1511,   255,  3856,
      74,   319,  4199,    18,  4183,   209,   965,   103,   967,    24,
     969,  2848,   971,   993,   973,   974,   975,   347,   960,   194,
    2185,   980,     3,   248,     5,    96,   233,   153,  3860,    18,
     348,   418,   103,  3865,  1014,    24,  3868,   146,   112,   306,
    2127,  1802,   131,   317,   152,     5,   433,   132,   413,   321,
     326,   233,  1022,   429,   220,   174,  3787,   433,   271,   148,
     235,   435,    75,   306,   240,  3762,    74,  1510,  1472,   390,
     262,   120,  1042,   347,  1648,  1086,   105,  4301,  1476,   379,
     130,   317,    74,   377,   435,   301,   258,   172,   377,  1487,
    3984,   240,   142,   240,   263,  3604,   146,   431,   431,    74,
     261,  1499,  1072,   295,   112,   120,   401,  3765,  1088,   284,
     347,   385,   125,    76,  4293,    98,  1086,    98,  1098,   301,
     112,  1612,   255,   397,   328,   251,   154,  1280,  1108,   324,
      96,   120,   324,   393,   273,   378,    22,   112,   188,   235,
     103,   377,   324,   160,   240,  1125,   107,   295,  1128,  1129,
    4302,    52,   240,  1133,  1134,   192,   264,   431,  4080,    60,
     210,  4098,  1154,   176,   235,  4359,   171,  1169,  1170,  4363,
    1172,  1169,  1170,   143,  1172,   432,   383,   240,   435,   197,
     276,   164,   351,   164,   347,   347,  1128,   276,   297,   263,
     382,  1133,  1134,  4186,   290,  2247,   347,   247,  3528,  1169,
    1170,  3554,  1172,  1842,   253,   255,     8,  2118,  3538,    11,
    4404,   240,   249,    20,   340,  3505,   233,   275,  4112,  3509,
     431,   329,     8,   397,  3295,    11,   357,   346,   347,   115,
     191,    11,   235,    40,    36,  1331,   253,  3519,   433,   222,
      42,   222,   225,    18,   225,  4077,  3524,   262,  1186,    24,
     299,   134,  2340,  2341,   267,   263,    36,  2345,  3536,  2042,
     435,   435,   232,   115,    66,   117,   337,   233,  4372,   340,
    1956,   263,   235,   262,   262,   324,   372,   351,  2365,   282,
     295,   359,  3406,   372,  2371,  1227,    66,   222,   263,  2589,
     295,   319,  3926,  1235,   299,  1259,  2596,  2385,  2386,   432,
    1222,   359,   435,   435,   435,  3929,   295,   295,   288,   324,
    3241,   299,   213,  4238,  4239,   361,  3247,  3248,  4000,   324,
     348,   371,  3956,  2199,  4006,  2011,  1306,  3929,  1270,  1271,
    2209,  1484,   315,  1429,   315,   324,   324,  3174,   318,   367,
    4444,   399,    98,   351,  2203,   120,  2032,  4241,  1290,  1445,
     434,  1293,  1294,  1317,  1318,  1319,  1320,   370,  2098,   351,
     431,  1465,    26,    27,   262,   378,   383,   347,   381,   171,
    1474,  1309,  2155,  2156,  2157,  2158,   351,  2063,   185,   429,
     315,  1477,   432,   433,  2167,   171,    11,  1961,  1368,   160,
     192,   193,   397,   245,  1358,  1359,    83,   295,   196,     0,
    1364,  3472,  3473,  3084,  1500,   275,   192,     5,   164,  2458,
     244,   391,   192,   193,  1356,   102,   284,  2886,  1909,    83,
     105,  2193,     8,   105,  3337,    11,  2591,    75,   296,   412,
    4324,   412,    68,   278,   317,   233,   238,  2198,   102,  1543,
      76,    66,    44,   391,  1408,  1282,     5,   134,  1285,   251,
       9,  1431,   320,  2214,  2215,   379,  4381,  2218,   238,  1612,
     105,  1865,   233,  2224,   347,   251,   222,  2519,  2591,   225,
     134,  1435,  1436,  1437,  1438,  2949,   124,  4174,  2952,  2953,
    2954,  2955,  2956,  2957,  2958,  2959,  2960,  2961,  2922,   359,
    2014,   262,    94,  1330,  2309,  2672,   146,  1334,  2022,   146,
    2024,  3382,   385,  3384,   262,   103,   156,   431,  2982,   194,
    1282,   299,   194,  1285,   397,   188,   357,   152,   155,   166,
    2681,   171,  2283,   196,   295,  1489,   288,   314,   326,   399,
    4424,   204,  2106,   178,  1498,   198,   324,  3011,  3012,   155,
    1510,  1505,  1510,  2358,   103,   180,  3876,  3877,   431,   106,
     235,  2875,   431,   235,   202,   203,   318,  1955,  1330,   315,
     195,  1520,  1334,  1522,  4037,  1524,   324,  1526,   216,  1528,
    3860,  4302,   207,  1532,  2389,  3865,   213,   310,  3868,   377,
     429,   183,  1571,   220,   433,   347,   106,  1511,   233,   142,
     235,  1561,  1561,  1561,  1561,  1561,  1561,   213,  2002,   284,
     113,  3805,   284,  4300,   291,  2181,   192,  4116,  3898,  2424,
     123,   168,   383,   310,   262,   397,   398,  2529,  1556,  1599,
     422,   423,   424,   425,   426,   427,   361,   291,   361,   391,
     317,   233,   418,   419,   420,    95,   422,   423,   424,   425,
     426,   427,   422,   423,   424,   425,   426,   427,   168,   331,
    1592,  1593,     3,   317,   304,  1577,   412,   210,  1600,   115,
     347,   117,  1604,  1605,   361,   251,  1570,   106,    19,  2833,
     305,  4353,  2836,  2944,  2188,   431,   295,  1619,   253,  1621,
    2767,  2560,   361,   347,   140,  1655,  2597,   262,  3892,  1653,
    3894,   379,  2188,    78,   247,  2269,   105,  2968,   385,  3744,
    1642,   349,  1644,   351,   283,   324,  3587,  3588,  2222,  3279,
     397,   313,    60,   350,  3753,   352,   176,  1697,    66,  3764,
     295,   385,    11,   155,    75,   389,  2222,  2251,    76,   168,
     309,  4204,   117,   397,   350,   295,   352,   146,   375,  4029,
     350,   142,   352,   431,   431,   146,  3817,    36,   379,   262,
     262,   418,  3683,  3684,   196,   103,  1909,   105,   297,   375,
    1856,   221,  4092,   223,   324,  1861,   433,   431,  1864,   178,
       4,  2532,  3843,  3844,   125,     9,  2548,    66,   115,   235,
     117,   213,   295,   295,   240,   262,   398,  4077,   146,   245,
    1886,   233,   618,   619,   620,   398,  1900,   623,   624,   625,
     431,    38,   310,  1907,   115,   417,   117,   633,   166,   210,
     432,   314,   324,   435,   417,   390,    33,   312,   295,   431,
     171,  3295,    59,    40,   233,   176,   235,  3127,   431,   140,
     178,  1927,  2884,   419,   420,  2576,   422,   423,   424,   425,
     426,   427,   284,   516,    57,    58,   247,   324,   521,  1821,
    2611,   142,  2613,   361,   349,   146,   288,  2448,  1954,  3103,
     220,  2949,    84,  2604,  2952,  2953,  2954,  2955,  2956,  2957,
    2958,  2959,  2960,  2961,   220,    20,   802,  1847,  1847,  1821,
    1804,  1870,  1978,  1872,   326,    80,     8,   235,   814,    11,
     816,  2577,   240,   174,  2982,    40,     4,  2984,   235,   249,
    3470,     9,   397,   398,   254,  2817,    28,   363,   245,  2005,
     308,   309,   171,  2009,  2826,  2406,   267,   373,   350,   210,
     352,   349,    84,  3011,  3012,   397,   398,  2451,   276,   240,
     152,  2027,  2991,   317,   245,   377,   431,  2451,  1902,  1903,
    1904,  2037,   290,   375,  2705,   262,   350,  1911,   352,  1913,
    2711,  1915,  1916,  1933,  2050,   306,   247,  2643,   180,   391,
     262,   317,   430,   347,  2060,   432,     5,   435,   435,   397,
     398,    10,   361,   195,  3135,  2549,   166,   262,   295,    18,
    4051,  1919,  2907,    73,   657,   207,  2971,  2972,  3152,  3153,
     152,   347,     8,   295,   345,    11,    35,   299,  3472,  3473,
     429,   385,   431,   431,   433,   678,     8,   324,   230,    11,
     295,  4301,    28,   397,   312,   430,  3177,   391,   180,   370,
     435,    48,   324,   696,   372,   198,  3085,   378,  3959,   385,
     381,  1630,  2546,   195,  1633,   314,   295,   249,  2914,   324,
     299,  2781,   254,   237,   717,   207,   429,   431,   431,    21,
    2546,   349,   363,  3693,    26,  3695,  2020,   432,   431,  3699,
     435,  3701,   373,   432,     8,   324,   435,    11,   230,     9,
     192,  3009,  2014,   312,   431,   431,  2650,   431,  2652,   433,
    2022,    76,  2024,   305,    28,   249,  3173,   249,  3175,    48,
     432,   426,  3929,   435,   435,   397,   431,  2858,   433,   397,
     398,  2862,  2863,   431,  2865,  2085,  2867,  2868,   391,   432,
     349,   784,   435,  2093,  2078,  2876,   252,  4321,  2516,  2517,
    4001,   426,  2086,   317,   308,   309,   431,  2091,   433,   251,
      38,   432,  2706,   431,   435,   415,   416,   963,   397,  2911,
     966,   312,   968,   305,   970,   312,   972,  2908,   432,  3467,
     976,   435,  2357,   347,  2359,  2360,   130,  2731,   397,   398,
     155,  2257,   432,  2978,  3251,   435,   432,   432,   142,   435,
     435,   414,   146,  2115,  2154,   194,   192,   432,   349,   174,
     435,  2285,   349,   432,   249,  2281,   435,  2291,  3100,  3101,
     192,   385,   431,  3358,  4031,   433,  3343,  2759,  2760,  2761,
     873,   432,  2182,   397,   435,  2175,  2175,  3295,  2188,   312,
    2141,   252,  2176,   432,   188,   146,   435,   379,   213,   350,
     357,   352,   895,   896,   897,   312,   397,   398,   249,  2805,
     397,   398,  3143,    38,   312,   251,   210,   431,   432,   312,
     434,  2205,  2222,  2207,   432,   252,   349,   435,   192,   251,
     431,   414,   433,  2406,  3806,  3807,  3808,  3809,  2832,   254,
     431,   194,   349,   432,   431,  2663,   435,   350,  2782,   352,
    2784,   349,    49,   247,   432,   432,   349,   435,   435,   432,
     432,   255,   435,   435,   432,  2859,  2782,   435,  2784,   432,
     432,   414,   435,   435,   397,   398,   418,   419,   420,  3052,
     422,   423,   424,   425,   426,   427,   424,   251,   312,  2251,
     397,   398,   150,  3883,   987,  2444,  2469,   431,    95,   397,
     398,   432,   435,   434,   397,   398,   999,   432,   431,    48,
     435,  2435,   432,  2847,   432,   435,   432,  1010,  2302,   435,
    3392,  3393,  3394,  3817,   431,   349,   432,  3039,   432,   435,
     434,  2847,  3826,   431,  2928,   350,   432,   352,   431,   435,
    3042,  3043,   432,   432,   432,   435,   361,   435,   432,  3843,
    3844,   435,   432,   432,  2948,   435,   435,   372,  2389,   432,
     375,  2485,   435,   432,  3472,  3473,   435,   432,   151,   432,
     435,  2915,   435,   397,   398,   190,   173,   371,  2796,  2973,
    2798,   431,   418,   419,   420,  2501,   422,   423,   424,   425,
     426,   427,   432,  1001,  1002,   435,   418,   419,   420,  2389,
     422,   423,   424,   425,   426,   427,   432,   431,  3510,   435,
    3512,   432,   324,  2403,   435,  3009,   432,   135,   432,   435,
     432,   435,   432,   435,   221,   435,   223,  2543,   432,   397,
     398,   435,  2422,  2429,  2430,  2431,   233,   432,   400,   432,
     435,  3520,   435,   433,   432,  2435,  1139,   435,   433,   432,
     432,  2451,   435,   435,   418,   419,   420,  2488,   422,   423,
     424,   425,   426,   427,   261,   432,   432,   432,   435,   435,
     435,   432,  3551,  3234,   435,  2465,  2465,  2465,  2465,  2465,
    2465,    21,   171,   432,   431,     0,   435,  2449,  2906,  2451,
     432,  3980,   431,   435,  1187,  2485,   432,   432,  2488,   435,
     435,   432,   432,   300,   435,   435,   432,   432,   432,   435,
     435,   435,   249,   719,    54,   721,   135,   135,   249,   146,
    3478,   135,   208,   105,   379,   249,  2642,    67,     0,   431,
      18,   361,   244,   314,   391,   198,    24,  2653,   335,   281,
      80,   431,    60,   397,    31,   235,  2546,   400,   431,    38,
     235,   262,    38,   366,   146,   391,  1249,  4051,   391,    73,
     279,   135,   135,  1256,  3367,   431,   135,   135,    83,   400,
     135,  2555,   435,  2557,  2558,  2559,    64,  2750,   118,   135,
     135,   135,  3654,  3655,   249,  3657,   347,   135,   135,   129,
     135,   249,   135,  1286,   135,  2768,  1289,   431,  3379,    31,
     208,  3786,   249,   147,   146,   431,  3387,  3388,   148,  2725,
     146,    83,     5,   153,     5,   130,   146,   431,   272,  3454,
     431,   431,   431,   431,   431,   113,   431,   142,  1321,  2629,
       5,   146,   120,     5,     5,   123,   151,   431,   431,   431,
       8,   156,  1335,    11,   159,   431,   161,   431,     5,   431,
     259,   431,   431,   431,   431,  1348,   431,   431,   130,   431,
      28,  2661,   431,   431,   431,   431,   431,   431,    31,    86,
     142,   208,   435,   188,   146,    31,   146,   247,   146,   151,
     220,   245,   324,   357,   156,   357,   312,   159,   176,   161,
     433,   357,   312,   357,    76,   210,   357,   357,   357,   312,
     135,   316,   205,   249,   357,   357,   240,   357,  2708,  3817,
     378,   251,   176,    68,   249,   431,   188,   245,  3826,   357,
     357,   431,    76,   262,   135,    44,   435,    97,  3322,   357,
    2730,   379,   247,  2733,  2734,  3843,  3844,  2737,   210,   279,
     255,   357,    48,  2743,   379,   233,   357,   235,    48,   253,
    2750,   357,  3690,   357,  1447,   357,   357,   245,   357,  2875,
    1453,    37,  2886,    37,   357,   253,    85,   357,  2768,   357,
     249,   400,   312,  2889,   262,   247,   249,   192,   318,   312,
     435,   321,  2782,   255,  2784,   397,     0,   302,  2750,    31,
     109,   431,   388,  2909,    30,  2757,  2758,   431,   431,    20,
    2762,   249,  3583,   135,   235,   124,  2768,   347,   431,   128,
     103,   299,   379,   353,   135,   390,  1509,   216,   245,  3751,
    2820,   235,    31,   146,   192,    31,   366,   135,   147,   198,
     302,   150,   347,  3614,  3615,   313,   324,  2799,   135,   135,
     431,   379,   244,   162,   135,   135,  2846,  2847,  2838,  2838,
    4017,   391,   379,  3397,  1547,  1548,   371,   357,   239,  3966,
    3572,   355,   151,  3821,   393,   397,   227,  2857,  2857,    83,
     431,   431,    11,   435,   227,   347,   357,   324,   355,   394,
     431,   396,   397,   251,  3478,  2869,   151,   165,  2872,   414,
     359,   196,   165,   188,   382,  3676,  3677,   326,   250,   371,
    3318,  3319,   357,   379,   435,  3029,  3030,   431,   357,   432,
     431,   312,    75,   435,   429,   435,   130,   432,   433,   434,
     432,   240,   394,   312,   396,   397,   431,   379,   142,   248,
     196,   240,   146,  2917,   196,   357,   240,   151,   357,   357,
     431,   361,   156,  4051,   198,   159,   391,   161,   314,    38,
     249,   331,   240,  2915,   256,   435,   248,   429,   295,   357,
     432,   433,   434,   282,   312,   357,   295,   166,   284,   357,
     321,   357,   192,    31,   188,  3099,   192,   192,   248,   379,
     192,   192,   379,    30,   418,  1678,   429,   429,  3019,   135,
     357,  3585,   357,   357,  1687,  2995,   210,   357,  4070,  3030,
     148,  3174,   418,   431,   146,   245,   391,   431,  4080,   321,
    3791,   135,  3793,  3794,  3130,  4200,    31,   249,   431,  3613,
     397,   249,   163,  3804,   146,  3021,  3022,  3023,  3024,  3019,
    3968,  3542,   163,   247,    31,  3629,   135,   321,  3873,  3029,
    3030,   255,   249,   146,  3976,   249,   171,    19,   171,  3049,
     418,   419,   420,   171,   422,   423,   424,   425,   426,   427,
    4132,   435,   435,   157,   400,   224,   249,    48,   347,   244,
     198,   391,   151,   435,   361,   266,   435,   435,   151,   414,
     414,  3675,   432,   432,   394,   432,   432,   432,   302,   432,
     432,   432,   432,   432,  4052,    13,   357,   258,  3214,   432,
     431,  3217,   432,    13,   432,   432,   432,   431,   377,   394,
    1803,   418,  1805,   385,   432,   302,   249,   210,   252,   249,
     431,   174,   135,   357,   357,    21,   357,   182,   431,   400,
     240,   357,   253,   347,   135,   135,   210,  3121,  3122,  3123,
    3124,  3737,   218,   218,   357,   312,  3690,  4219,   267,  1842,
     267,   376,   357,   218,   357,   357,  3690,   371,   312,   357,
     357,   357,  4120,   357,   357,   312,  4124,  4125,   357,   312,
     135,   357,    68,   235,  3174,   324,   357,    37,   357,   431,
     394,   192,   396,   397,   192,   192,     3,   432,   429,   315,
     225,   210,   435,   432,   418,  3888,   366,  3197,    38,   297,
    3200,    97,  3202,  3963,  3196,   432,    96,   248,   431,  3325,
     432,  4143,  3174,   249,   432,   429,   435,    31,   432,   433,
     434,  4056,   118,  4122,   160,  4121,   379,  3821,   357,   379,
     312,   312,   312,   129,  3196,   435,   252,    96,   133,   133,
     192,  3241,   126,   151,   429,    11,   146,  3247,  3248,  4128,
    3250,  4130,   148,   390,   432,   432,   432,   153,   432,    58,
     151,   432,   431,   435,  4045,   431,   159,   432,   432,   146,
     432,   250,   432,   431,    31,   379,   182,   379,   366,   357,
     431,  1974,   366,   312,  3400,  3285,  3286,  3287,  3288,   357,
     357,   357,   312,  3255,  3256,  4402,   357,   357,  1991,   146,
     432,    66,   135,   199,  3266,   432,    96,   366,   196,  3293,
     192,   192,   432,   280,   397,   864,   432,   430,  4099,   430,
     432,   435,   431,  3285,   220,   431,  4264,    22,    23,   321,
     431,   400,    27,   146,   177,   432,    71,    32,    33,    34,
     435,    36,  4449,   349,    39,    40,   431,    42,   435,    44,
    4457,   321,  4133,   357,    18,  3355,   156,   151,    50,   151,
      24,  4020,  3352,  3352,   192,   192,   192,   192,   432,  3542,
     289,    48,   395,   395,     3,   432,   432,   431,   257,     8,
     432,  3505,    11,   279,   435,  3509,   432,   431,  3899,  4091,
      82,   195,   195,  4228,   431,    48,   245,   161,   432,    28,
      64,   432,    31,   435,   418,   151,   357,    36,   397,    66,
     306,   366,   357,    42,  3414,   176,   312,   240,   240,   418,
     135,   192,   318,   435,   153,   435,   151,  3938,   430,   379,
     171,   379,    31,   121,  3968,  3397,   393,    66,   397,   397,
     431,   151,   179,   431,  2137,   252,   138,   996,   151,   113,
     289,   347,   384,   349,   431,   431,   120,   432,  4052,   123,
     334,   432,   431,   195,   265,   431,   396,   249,   432,   432,
     366,   290,   432,   397,   357,   431,   146,   169,   431,   357,
     110,   240,   177,   178,   179,   180,    31,   182,  4082,   184,
    4386,   186,   240,   188,   174,   391,   191,   219,   431,   280,
     431,   196,   431,   198,   432,    31,   134,   202,  3624,   204,
     432,   253,   176,   205,   309,  3505,   309,    48,   431,  3509,
    3636,    48,   255,   379,   431,   233,  4120,   432,   249,   349,
    4124,  4125,     5,   321,   141,   280,    60,    60,   167,  3539,
     252,   116,   171,   235,    31,   383,   289,   384,   435,   151,
     394,   287,   146,   121,   176,  3564,   397,    31,   249,  3549,
    3549,   431,   249,   192,   193,    31,  3558,   252,   252,   233,
     262,   235,    48,   431,   308,   432,   431,     5,   432,   108,
     209,   245,   432,   431,   308,    17,   377,    28,   134,   253,
     280,  2139,  1333,  2451,   776,   431,  3558,  1987,   262,  4380,
    2604,   716,  3173,   295,  2054,  2748,   235,   299,  1134,   238,
    3250,   303,  4135,  3966,  4264,  3739,  4013,   309,  3610,  3316,
    3730,  4017,   251,  3999,   316,   254,  2523,  2239,  4328,  3898,
    4385,   295,   324,  4278,  4277,   299,  4344,  4184,  2527,  3308,
    2130,   333,  1191,  3169,  4240,  2130,  2624,  1432,  3610,   341,
    2124,  4390,  4457,     8,  2819,  4449,    11,  3994,  4355,  2752,
     324,  2767,  3940,  1422,  4252,  3627,  3628,  4336,  3943,    26,
    3632,  3633,  3656,  3673,  3674,   989,  4097,  3356,  3400,  1950,
    3358,    36,  4200,  3683,  3684,  2709,  3670,    42,  4368,  3805,
    3690,   566,  4451,  4175,  3694,  1804,  1245,   695,  2465,   328,
     392,  3550,  3341,  1805,  1843,  1511,  3082,  1160,  2466,  1845,
    2472,    66,   708,  1179,  2477,  1178,  1181,  1844,   382,  2493,
    3712,  2485,  3030,  3872,  3497,  4236,  3899,  3511,  3690,  1278,
    4264,  4078,   700,  2105,  3029,  2428,  3860,  3083,  4054,  2994,
    1186,  3865,  2986,  4315,  3868,  4316,  4319,  2469,  2311,  2403,
    3712,  2401,  3078,    -1,    -1,    -1,  3929,  1679,    -1,  3759,
      -1,    -1,    -1,    -1,    -1,  3938,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  3898,    -1,  3892,    -1,  3894,  3763,
      -1,    -1,    -1,    -1,    -1,  3785,    -1,    -1,    -1,   418,
     419,   420,    -1,   422,   423,   424,   425,   426,   427,    -1,
      -1,  1350,    -1,    -1,    -1,    -1,  3806,  3807,  3808,  3809,
      -1,    -1,   167,  3937,    -1,    -1,   171,    -1,    -1,    -1,
    1369,   516,    -1,    -1,    -1,    -1,   521,    -1,   523,    -1,
      -1,   526,    -1,   528,    -1,   530,    -1,   192,   193,    -1,
    1389,    -1,   537,    -1,    -1,   540,    -1,    -1,    -1,    -1,
      -1,    -1,   547,    -1,   209,    -1,  3980,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  1414,    -1,    -1,    -1,    -1,
    3860,    -1,    -1,    -1,   569,  3865,    -1,    -1,  3868,   574,
      -1,    -1,    -1,   238,   579,    -1,    -1,    -1,   583,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   251,    -1,    -1,    -1,
      -1,    -1,    -1,   598,    -1,  4029,  3885,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  3900,  3901,  3902,    -1,
      -1,    -1,  1471,    -1,    -1,    -1,    -1,    -1,    -1,  3929,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    31,    -1,    -1,    -1,    -1,
      -1,   646,    18,  4077,    -1,    -1,    -1,    -1,    24,  3959,
      -1,    -1,   657,   658,    50,    -1,    -1,  3929,  3968,    -1,
      -1,    -1,  3972,   328,  3974,    -1,    -1,  3977,  3978,    -1,
      -1,   676,    -1,   678,   679,    -1,    -1,    -1,   683,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    82,    -1,    64,    -1,
      -1,   696,    -1,    -1,    -1,   700,    -1,    -1,    -1,    -1,
      -1,   706,    -1,  4003,  4003,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   717,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   729,    -1,    -1,  4161,    -1,    -1,
      -1,    -1,    -1,    -1,  4028,    -1,    -1,   113,    -1,    -1,
      -1,    -1,   138,    -1,   120,    -1,    -1,   123,    -1,    -1,
      -1,    -1,    -1,  4236,   419,   420,    -1,   422,   423,   424,
     425,   426,   427,    -1,    -1,    -1,    -1,   772,    -1,    -1,
      -1,    -1,    -1,   169,    -1,    -1,    -1,  4077,    -1,   784,
      -1,   786,   787,    -1,    -1,  2788,  2789,    -1,    -1,  1648,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     176,  2804,   198,    -1,    -1,    -1,    -1,    -1,    -1,   205,
      -1,    -1,  4106,    -1,    -1,  2818,    -1,    -1,    -1,    -1,
      -1,    -1,  1681,    -1,  2827,   830,  4136,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  4129,   841,  4131,  2841,   235,
     845,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   858,    -1,    -1,  4290,   233,    -1,   235,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  4301,   873,   245,
      -1,    -1,    -1,    -1,   879,   880,    -1,   253,    -1,    -1,
      -1,    -1,  4182,  4182,    -1,    -1,   262,    -1,    -1,    -1,
     895,   896,   897,    -1,   899,  4321,   901,  4331,    -1,    -1,
      -1,    -1,    -1,   299,  2907,    -1,    -1,   303,    -1,    -1,
      -1,    -1,    -1,   309,    -1,    -1,    -1,    -1,    -1,   295,
     316,    -1,   927,   299,   929,   930,    -1,    -1,   324,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   333,    -1,    -1,
    4234,    -1,    -1,    -1,    -1,   341,    -1,   952,   324,    -1,
      -1,    -1,    -1,    -1,  4264,    -1,    -1,    -1,     8,    -1,
      -1,    11,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,     8,    -1,    -1,    11,   982,   983,    -1,
      -1,    -1,   987,    -1,   989,    -1,    36,    -1,    -1,    -1,
      -1,  4285,    42,    28,   999,    -1,   392,    -1,    -1,    -1,
     396,    36,  1007,    -1,    -1,  1010,   382,    42,  1013,     8,
      -1,    -1,    11,    -1,    -1,    -1,    66,    -1,    -1,  4453,
      -1,  1026,    -1,  3026,  3027,  3028,    -1,    -1,    -1,    28,
      -1,    66,    -1,    -1,    -1,    -1,    -1,    36,    -1,    -1,
      -1,    -1,    -1,    42,    -1,  4339,    -1,    -1,    -1,    -1,
    1055,    -1,    -1,    -1,    -1,    -1,  4356,  4356,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  4407,    66,  4368,  4368,
    4368,  4368,  4368,  4368,    -1,    -1,    -1,    -1,  1083,  1084,
      -1,  1086,    -1,    -1,    -1,  1944,    -1,    -1,    -1,    -1,
    1949,  1950,  4402,  4387,    -1,    -1,    -1,    -1,  1103,    -1,
      -1,    -1,  1961,    -1,    -1,    -1,    -1,  4407,  4407,  4407,
    4407,  4407,  4407,    -1,    -1,    -1,    -1,   167,    -1,    -1,
      -1,   171,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    4402,    -1,   167,    -1,  1139,    -1,   171,  1142,    -1,  4449,
      -1,    -1,   192,   193,    -1,    -1,    -1,  4457,    -1,    -1,
      -1,  4451,  4451,  4451,  4451,  4451,  4451,   192,   193,   209,
      -1,    -1,    -1,    -1,    -1,    -1,  1171,    -1,   167,    -1,
    1175,  1176,   171,    -1,   209,    -1,    -1,  4449,    -1,    -1,
      -1,  1186,  1187,  1188,    -1,  4457,    -1,    -1,   238,    -1,
      -1,    -1,    -1,   192,   193,    -1,    -1,    -1,    -1,  1204,
     235,   251,    -1,   238,    -1,    -1,    -1,    -1,    -1,    -1,
     209,    -1,    -1,    -1,    -1,    -1,   251,    -1,    -1,   254,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  1237,    -1,    -1,    -1,   235,    -1,    -1,   238,
      -1,    -1,    -1,    -1,  1249,  1250,    -1,  2106,    -1,    -1,
      -1,  1256,   251,    -1,  1259,   254,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  1280,    -1,    -1,   328,  3282,
      -1,  1286,    -1,    -1,  1289,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   328,    -1,    -1,    -1,    -1,  3301,    -1,
      -1,    -1,    -1,    -1,  1309,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  1317,  1318,  1319,  1320,  1321,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  3328,  2185,    -1,    -1,   328,
    1335,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  1346,    -1,  1348,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  1358,  1359,    -1,    -1,    -1,    -1,  1364,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   418,   419,
     420,    -1,   422,   423,   424,   425,   426,   427,    -1,    -1,
      -1,    -1,    -1,   418,   419,   420,    -1,   422,   423,   424,
     425,   426,   427,    -1,    -1,   430,    -1,    -1,    -1,    -1,
      -1,   436,    -1,  1408,    -1,    -1,    -1,    -1,    -1,    -1,
    2269,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   418,
     419,   420,    -1,   422,   423,   424,   425,   426,   427,    -1,
    1435,  1436,  1437,  1438,    -1,    -1,   435,    -1,    -1,    -1,
      -1,    -1,  1447,    -1,    -1,    -1,    -1,    -1,  1453,    -1,
      -1,  1456,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    1465,    -1,    -1,    -1,    -1,    -1,    -1,  1472,    -1,  1474,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1484,
      -1,    -1,    -1,    -1,  1489,    -1,  3489,  3490,  3491,  3492,
      -1,    -1,    -1,  1498,    -1,    -1,    -1,    -1,    -1,  1504,
    1505,    -1,    -1,    -1,  1509,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,     8,    -1,    -1,    11,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1534,
       8,    -1,    28,    11,    -1,    -1,  1541,    -1,  1543,    -1,
      36,    -1,  1547,  1548,    -1,  1550,    42,    -1,    -1,    -1,
      28,  1556,    -1,    -1,    -1,    -1,    -1,    -1,    36,    -1,
      -1,    -1,    -1,    -1,    42,  1570,  1571,    -1,    -1,  1574,
      66,    -1,    -1,  1578,    -1,  1580,    -1,    -1,  2437,  2438,
    2439,    -1,  1587,    -1,    -1,  1590,    -1,    -1,    66,  1594,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  1602,  1603,    -1,
      -1,    -1,    -1,    -1,    -1,  1610,    -1,  1612,  1613,  1614,
    1615,  1616,     8,    -1,    -1,    11,    -1,    -1,  1623,  1624,
      -1,  1626,    -1,  1628,  1629,    -1,    -1,  1632,    -1,    -1,
      -1,    -1,    28,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      36,    -1,    -1,    -1,  1649,    -1,    42,    -1,  1653,  1654,
      -1,    -1,    -1,  1658,    -1,    -1,    -1,  1662,    -1,  1664,
    1665,  1666,  1667,  1668,  1669,  1670,  1671,  1672,    -1,  1674,
      66,   167,    -1,  1678,  1679,   171,  1681,    -1,    -1,    -1,
      -1,    -1,  1687,    -1,    -1,    -1,    -1,    -1,    -1,   167,
    2549,    -1,    31,   171,    -1,    -1,   192,   193,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    50,    -1,   209,   192,   193,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   209,  2591,  2592,    -1,  2594,    -1,    -1,    -1,   235,
      -1,    -1,   238,    82,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   251,    -1,   235,   254,    -1,
     238,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   167,    -1,   251,    -1,   171,   254,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  3789,    -1,    -1,    -1,
      -1,  2650,    -1,  2652,    -1,    -1,   192,   193,  1803,   138,
    1805,    -1,  1807,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   209,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     169,    -1,   328,    -1,    -1,    -1,    -1,  1842,    -1,   235,
      -1,    -1,   238,  1848,    -1,  1850,    -1,  2706,    -1,     8,
     328,    -1,    11,    -1,    -1,   251,    -1,    -1,   254,   198,
    1865,    -1,    -1,    -1,    -1,  1870,   205,  1872,    31,    28,
      -1,    -1,  2731,    -1,    -1,    -1,    -1,    36,    -1,    -1,
      -1,    -1,    -1,    42,  1889,    -1,    -1,    50,    -1,    -1,
      -1,  2750,    -1,    -1,    -1,  1900,   235,  1902,  1903,  1904,
      -1,    -1,  1907,    -1,  1909,    -1,  1911,    66,  1913,  2768,
    1915,  1916,    -1,    -1,  1919,    -1,    -1,    -1,    -1,    82,
      -1,    -1,   418,   419,   420,    -1,   422,   423,   424,   425,
     426,   427,   328,  1938,    -1,    -1,    -1,    -1,    -1,   435,
     418,   419,   420,    -1,   422,   423,   424,   425,   426,   427,
      18,    -1,  1957,    -1,   432,    -1,    24,    -1,  1963,    -1,
     299,    -1,    -1,  1968,   303,    -1,    -1,    -1,   864,  1974,
     309,    -1,    -1,  2832,    -1,   138,    -1,   316,    -1,    -1,
    3983,    -1,    -1,    -1,    -1,   324,  1991,    -1,    -1,  2848,
    1995,  1996,    -1,    -1,   333,    -1,    64,  2002,  2003,    -1,
    2859,    -1,   341,    -1,    -1,    -1,   169,    -1,   167,    -1,
      -1,    -1,   171,    -1,    -1,  2020,    -1,  4020,    -1,    -1,
      -1,    -1,   418,   419,   420,    -1,   422,   423,   424,   425,
     426,   427,    -1,   192,   193,   198,   432,    -1,    -1,    -1,
      -1,  2046,   205,  2048,  2049,   113,    -1,    -1,    -1,    -1,
     209,    -1,   120,   392,    -1,   123,    -1,   396,   397,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2928,
      -1,    -1,   235,  2078,    -1,    -1,   235,    -1,    -1,   238,
      -1,  2086,    -1,    -1,    -1,    -1,  2091,    -1,    -1,  2948,
      -1,    -1,   251,    -1,    -1,   254,    -1,    -1,    -1,  2104,
     996,    -1,    -1,    -1,    -1,    -1,    -1,  4110,   176,    -1,
      -1,    -1,    -1,    -1,  2973,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    50,  2132,    -1,    -1,
    2135,    -1,  2137,    -1,  2139,    -1,   299,  2142,    -1,    -1,
     303,    -1,    -1,    -1,    -1,    -1,   309,    -1,    -1,    -1,
    3009,    -1,    -1,   316,    -1,    -1,    -1,    -1,    82,    -1,
      -1,   324,    -1,  2168,    -1,   233,    -1,   235,    -1,   328,
     333,  2176,  2177,    -1,    -1,    -1,    -1,   245,   341,    -1,
      -1,    -1,    -1,    -1,    -1,   253,    -1,    -1,    -1,    -1,
      -1,  3050,    -1,    -1,   262,    -1,    -1,    -1,  2203,    -1,
    2205,  2206,  2207,  2208,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   138,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  2227,    -1,    -1,    -1,    -1,   295,    -1,   392,
      -1,   299,  1128,   396,  2239,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   169,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   324,    -1,    -1,   418,
     419,   420,    -1,   422,   423,   424,   425,   426,   427,    -1,
      -1,    -1,    -1,   432,    -1,    -1,    -1,    -1,    -1,    -1,
    2285,   205,    -1,    -1,    -1,    -1,  2291,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  1191,    -1,  2302,    -1,    -1,
      -1,    -1,    -1,    -1,  2309,  2310,    -1,    -1,    -1,    -1,
    2315,   235,    -1,    -1,   382,  3174,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  2340,  2341,    -1,    -1,    -1,
    2345,    -1,    -1,    -1,     8,    -1,    -1,    11,    -1,  1245,
      -1,    -1,  2357,  2358,  2359,  2360,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  2370,    -1,    -1,  2373,    -1,
    2375,  2376,    36,    -1,    -1,   299,    -1,   301,    42,   303,
    2385,  2386,  1278,    -1,  2389,   309,    -1,    -1,    -1,    -1,
      -1,    -1,   316,    -1,    -1,    -1,    -1,  2402,    -1,  2404,
     324,  2406,    66,  2408,    -1,    -1,    -1,    -1,    -1,   333,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   341,    -1,  2424,
      -1,     0,    -1,  2428,    -1,    -1,    -1,    -1,    -1,    -1,
    2435,    -1,  2437,  2438,  2439,    14,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    24,    -1,    26,    27,  2454,
      -1,    -1,    -1,    -1,  1350,    -1,    -1,    -1,    -1,    -1,
      -1,  2466,    41,  3322,   128,    -1,  2471,    -1,   392,    -1,
      -1,    -1,  2477,  1369,    -1,    -1,    -1,    -1,     8,    -1,
    2485,    11,    61,  2488,    63,    64,    -1,  2492,    -1,    -1,
      69,    -1,    71,  1389,    -1,    -1,    -1,    -1,    28,  3358,
      -1,    -1,    81,   167,    83,    -1,    36,   171,    -1,    -1,
      -1,    -1,    42,    -1,    -1,    -1,    -1,  2522,  1414,  2524,
      99,    -1,    -1,   102,  2529,    -1,    -1,    -1,   192,   193,
      -1,    -1,    -1,    -1,    21,   114,    66,   116,    -1,    -1,
      -1,   120,    -1,    -1,    -1,   209,    33,   126,    -1,    -1,
    2555,    -1,  2557,  2558,  2559,   134,    -1,   136,    -1,    -1,
      -1,    -1,    -1,   142,    -1,    -1,    -1,    54,    -1,    -1,
      -1,    -1,    -1,    -1,   238,  1471,    -1,   156,   864,    -1,
      67,    -1,    -1,    -1,    -1,    -1,    -1,   251,    -1,    -1,
      -1,    -1,    -1,    80,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3467,    -1,
      97,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3478,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   118,   211,   212,    -1,    -1,    -1,   167,   217,    -1,
      -1,   171,   129,    -1,    -1,    -1,    -1,   226,    -1,    -1,
     137,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   237,    -1,
    3519,   148,   192,   193,   328,  3524,   153,    -1,    -1,    -1,
      -1,    -1,   159,    -1,    -1,    -1,    -1,  3536,    -1,   209,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   174,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   274,    -1,    -1,    18,    -1,
      -1,    -1,    -1,    -1,    24,   235,    -1,   286,   238,    -1,
     996,    -1,   291,   292,    -1,   294,    -1,    -1,    -1,    -1,
     299,   251,    -1,    -1,   254,   304,  3585,    -1,   307,    -1,
    2735,  2736,   311,   220,    -1,    -1,    -1,   316,   317,    -1,
      -1,    -1,    -1,    -1,    64,   324,    -1,    -1,   327,    -1,
      -1,    -1,  1648,    -1,  3613,    -1,   335,    -1,   422,   423,
     424,   425,   426,   427,   251,    -1,    -1,    -1,   347,    -1,
    3629,    -1,    -1,    -1,   261,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  2788,  2789,   364,    -1,    -1,    -1,    -1,
      -1,    -1,   279,   113,    -1,   374,    -1,    -1,   328,  2804,
     120,   380,    -1,   123,    -1,    -1,   385,    -1,    -1,    -1,
      -1,    -1,  2817,  2818,    -1,    -1,  3675,     8,   397,   306,
      11,  2826,  2827,   310,    -1,   312,    -1,    -1,    -1,    -1,
      -1,   318,    -1,    -1,   321,    -1,  2841,    28,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    36,    -1,    -1,    -1,    -1,
      -1,    42,   431,    -1,    -1,   434,   176,    -1,    -1,    -1,
     347,    -1,   349,    -1,  2869,    -1,   353,  2872,    -1,    -1,
      -1,    -1,    -1,    -1,   361,    66,    -1,    -1,    -1,   366,
      -1,  2886,    -1,    -1,    -1,    -1,    -1,    -1,   418,   419,
     420,   378,   422,   423,   424,   425,   426,   427,    -1,    -1,
     430,    -1,  2907,    -1,   391,  1191,    -1,    -1,    -1,    -1,
      -1,    -1,  2917,   233,    -1,   235,    -1,    -1,    -1,    -1,
    2925,    -1,    -1,    -1,    -1,   245,    -1,  3786,    -1,    -1,
    2935,    -1,    -1,   253,    -1,    -1,  2941,    -1,  2943,    -1,
      -1,    -1,   262,    -1,  2949,    -1,    -1,  2952,  2953,  2954,
    2955,  2956,  2957,  2958,  2959,  2960,  2961,    -1,    -1,  1245,
    2965,  2966,  3821,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  2978,    -1,   295,   167,  2982,    -1,   299,
     171,  2986,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  2996,  1278,    -1,  2999,    -1,  3001,    -1,    -1,    -1,
      -1,   192,   193,    -1,   324,  3010,  3011,  3012,    -1,    -1,
      -1,  3016,    -1,    -1,  3019,    -1,    -1,    -1,   209,    -1,
      -1,  3026,  3027,  3028,  3029,  3030,  3031,    -1,    -1,    -1,
    3035,  3036,    -1,    -1,    -1,  3040,    18,    -1,    -1,    -1,
      -1,  3046,    24,  3048,   235,  3050,    -1,   238,  1944,    -1,
      -1,    -1,    -1,  1949,  1950,    -1,    -1,    -1,    -1,    -1,
     251,    -1,   382,   254,  1350,  1961,    18,  3072,    -1,    -1,
    3929,    -1,    24,  3078,    -1,    -1,    -1,  3082,    -1,  3084,
      -1,    -1,    64,  1369,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  3099,  3100,  3101,    -1,  3103,    -1,
      -1,    -1,    -1,  1389,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    64,    -1,    -1,    -1,  3121,  3122,  3123,  3124,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1414,    -1,
      -1,   113,    -1,    -1,    -1,    -1,    -1,   328,   120,    -1,
      -1,   123,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  3159,    -1,    -1,    -1,    -1,    -1,
      -1,   113,    -1,    -1,    -1,    -1,    -1,    -1,   120,    -1,
      -1,   123,  4031,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,     8,    -1,    -1,    11,  1471,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  4052,   176,    -1,    -1,    -1,    -1,    -1,
      -1,    28,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    36,
    2106,    -1,    -1,    -1,    -1,    42,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  4082,   176,    -1,  3231,   418,   419,   420,
      -1,   422,   423,   424,   425,   426,   427,    -1,    -1,    66,
      -1,   432,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   233,    -1,   235,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  4120,    -1,   245,    -1,  4124,  4125,    -1,    -1,     8,
      -1,   253,    11,    -1,    -1,    -1,    -1,  3282,    -1,    -1,
     262,   233,    -1,   235,    -1,    -1,    -1,    -1,  3293,  2185,
    3295,    -1,    -1,   245,    -1,    -1,  3301,    36,    -1,    -1,
      -1,   253,  3307,    42,    -1,    -1,    -1,    -1,    -1,    -1,
     262,  3316,    -1,   295,    -1,    -1,    -1,   299,    -1,    -1,
      -1,    -1,    -1,  3328,    -1,    -1,    -1,    66,    -1,    -1,
      -1,    -1,  3337,    -1,    -1,    -1,    -1,    -1,  3343,    -1,
     167,  4200,   324,   295,   171,    -1,    -1,   299,    -1,    -1,
      -1,    -1,    -1,    -1,  3359,  3360,    -1,    -1,    -1,    -1,
      -1,    -1,  1648,    -1,    -1,   192,   193,    -1,    -1,    -1,
      -1,    -1,   324,  2269,    -1,   177,    -1,  3382,    -1,  3384,
      -1,    -1,   209,    -1,   186,   187,    -1,    -1,    -1,   128,
      -1,   193,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     382,   203,    -1,    -1,    -1,    -1,    -1,    -1,   235,    -1,
      -1,   238,  3417,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   251,    -1,    -1,   254,   167,    -1,
     382,    -1,   171,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3454,
      -1,    -1,    -1,   192,   193,    -1,    -1,    -1,    -1,  3464,
    3465,    -1,    -1,    -1,    -1,    -1,    -1,  3472,  3473,    -1,
     209,    -1,  3477,    -1,    -1,    -1,    -1,    -1,  3483,  3484,
      -1,    -1,  3487,    -1,  3489,  3490,  3491,  3492,    -1,    -1,
      -1,  3496,  3497,  3498,    -1,    -1,  3501,    -1,    -1,   238,
    3505,   328,    -1,    -1,  3509,    -1,    -1,    -1,    -1,    18,
    3515,    -1,   251,    -1,  3519,    24,    -1,    -1,    -1,  3524,
      -1,    -1,    -1,    -1,    -1,  3530,    -1,    -1,    -1,    -1,
       8,  3536,    -1,    11,    -1,    -1,    -1,  3542,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  3550,    -1,    -1,    -1,  3554,
      28,    -1,    -1,    -1,    -1,    64,    -1,    -1,    36,  3564,
      -1,    -1,  3567,    -1,    42,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  3587,  3588,    -1,    -1,    -1,    -1,    66,   328,
      -1,   418,   419,   420,    -1,   422,   423,   424,   425,   426,
     427,    -1,    -1,    -1,   113,   432,  3611,    -1,    -1,    -1,
      -1,   120,    -1,    -1,   123,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  3656,    -1,  2549,    -1,    -1,    -1,    -1,  1944,    -1,
      -1,    -1,    -1,  1949,  1950,  3670,    -1,   176,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  1961,    -1,     8,    -1,    -1,
      11,    -1,    -1,   422,   423,   424,   425,   426,   427,   167,
      -1,    -1,    -1,   171,    -1,  2591,  2592,    -1,  2594,    -1,
      -1,    -1,    -1,    -1,    -1,    36,    -1,    -1,    -1,    -1,
      -1,    42,    -1,    -1,   192,   193,    -1,    -1,    -1,    -1,
      -1,   523,    -1,  3728,   233,    -1,   235,    -1,    -1,    -1,
      -1,   209,    -1,   535,  3739,    66,   245,   539,    -1,  3744,
      -1,    -1,    -1,    -1,   253,    -1,  3751,    -1,   550,    -1,
      -1,    -1,    -1,   262,  2650,    -1,  2652,   235,  3763,  3764,
     238,    -1,    -1,   565,    -1,    -1,    -1,   569,    -1,    -1,
      -1,    -1,    -1,   251,    -1,    -1,   254,   579,   580,    -1,
      -1,    -1,    -1,   585,  3789,    -1,   295,    -1,    -1,    -1,
     299,    -1,    -1,   595,    -1,    -1,    -1,   128,    -1,    -1,
      -1,   603,    -1,    18,    -1,    -1,    -1,    -1,    -1,    24,
    2706,    -1,  3817,    -1,    -1,   324,    -1,    -1,    -1,    -1,
    2106,  3826,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  2731,   167,    -1,  3843,  3844,
     171,    -1,  3847,    -1,    -1,    -1,    -1,    -1,    -1,    64,
     328,  3856,    -1,    -1,  2750,  3860,    -1,    -1,    -1,    -1,
    3865,   192,   193,  3868,  3869,    -1,  3871,    -1,  3873,  3874,
      -1,    -1,  2768,   382,   676,    -1,    -1,    -1,   209,   681,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  3898,  3899,  3900,  3901,  3902,   113,  2185,
      -1,    -1,    -1,    -1,   706,   120,    -1,   238,   123,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     251,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  3937,  3938,    -1,    -1,  2832,    -1,    -1,    -1,
     418,   419,   420,    -1,   422,   423,   424,   425,   426,   427,
      -1,    -1,  2848,    -1,   432,    -1,    -1,    -1,    -1,    -1,
      -1,   176,    -1,  2859,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  3976,    -1,    -1,    -1,  3980,    -1,    -1,  3983,    -1,
      -1,    -1,    -1,  2269,    -1,    -1,    -1,    -1,    -1,  3994,
      -1,    -1,    -1,    -1,    -1,    -1,  4001,   328,    -1,    -1,
    4005,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  4017,    -1,    -1,  4020,    -1,    -1,   233,    -1,
     235,    -1,    -1,  4028,  4029,    -1,    -1,    -1,   830,    -1,
     245,    -1,  2928,    -1,    -1,    -1,    -1,    -1,   253,   841,
      -1,    -1,    -1,    -1,    -1,    -1,  4051,   262,    -1,  4054,
      -1,  4056,  2948,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      21,    -1,   864,    -1,    -1,    -1,    -1,    -1,  4073,    -1,
      -1,    -1,  4077,    -1,    -1,  4080,    -1,  2973,    -1,    -1,
     295,  4086,     8,    -1,   299,    11,    -1,    -1,    -1,    -1,
      -1,   422,   423,   424,   425,   426,   427,    -1,    -1,   901,
      -1,  4106,    28,    -1,    -1,  4110,    67,    -1,    -1,   324,
      36,    -1,    -1,  3009,    -1,    -1,    42,    -1,    -1,    80,
      -1,    -1,    -1,  4128,  4129,  4130,  4131,    -1,    -1,    -1,
      -1,   933,    -1,    -1,    -1,    -1,    97,    -1,  4143,    -1,
      66,    -1,   103,    -1,    -1,    -1,   948,    -1,    -1,    -1,
     952,    -1,    -1,    -1,    -1,    -1,  4161,   118,   960,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   382,   129,    -1,
      -1,    -1,    -1,    -1,    -1,  4180,   137,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   988,   148,    -1,    -1,
      -1,    -1,   153,    -1,   996,    -1,   998,    18,   159,    -1,
      -1,    -1,    -1,    24,    -1,    -1,    -1,    -1,    -1,  1011,
      -1,    -1,  1014,   174,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  4228,  1026,    -1,    -1,    -1,    -1,  4234,
      -1,  4236,    -1,    -1,    -1,    -1,    -1,    -1,   199,    -1,
    4245,   167,    -1,    64,    -1,   171,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  1055,    -1,    -1,    -1,    -1,    -1,   220,
      -1,    -1,    -1,  2549,    -1,    -1,   192,   193,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3174,    -1,
    4285,  1083,  1084,   209,  1086,  4290,    -1,    -1,    -1,    -1,
     251,    -1,   113,    -1,    -1,    -1,  4301,    -1,    -1,   120,
      -1,  1103,   123,    -1,    -1,  2591,  2592,    -1,  2594,   235,
    4315,    -1,   238,  4318,  4319,    -1,    -1,    -1,   279,    -1,
      -1,    -1,    -1,  1125,    -1,   251,  4331,    -1,   254,    -1,
      -1,  1133,  1134,    -1,  4339,    -1,    -1,    -1,    -1,    -1,
    1142,  1143,    -1,    -1,    -1,   306,    -1,    -1,    -1,   310,
       8,   312,    -1,    11,    -1,   176,    -1,   318,    -1,    -1,
     321,    -1,    -1,    -1,  2650,    -1,  2652,  4372,    -1,  1171,
      28,    -1,    -1,  1175,  1176,    -1,    -1,  4382,    36,    -1,
      -1,    -1,  4387,    -1,    42,    -1,   347,    -1,   349,  1191,
      -1,    -1,   353,    -1,    -1,  1197,    -1,    -1,    -1,    -1,
     361,    -1,   328,    -1,    -1,   366,    -1,    -1,    66,    -1,
      -1,    -1,   233,    -1,   235,    -1,    -1,   378,    -1,    -1,
    2706,    -1,    -1,    18,   245,     8,  3322,    -1,    11,    24,
     391,    -1,   253,    -1,    -1,    -1,    -1,    -1,    -1,  4444,
      -1,   262,    -1,  1245,    -1,  2731,    -1,    -1,  4453,    -1,
      -1,    -1,    -1,    36,    -1,    -1,    -1,    -1,    -1,    42,
      -1,    -1,  3358,    -1,  2750,    -1,    -1,    -1,    -1,    64,
      -1,    -1,    -1,    -1,   295,    -1,  1278,    -1,   299,    -1,
      -1,    -1,  2768,    66,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   418,   419,   420,    -1,   422,   423,   424,   425,
     426,   427,    -1,   324,    -1,    -1,   432,    -1,    -1,   167,
      -1,    -1,    -1,   171,    -1,    -1,    -1,    -1,   113,    -1,
      -1,    -1,    -1,    -1,    -1,   120,    -1,    -1,   123,  1331,
      -1,    -1,    -1,    -1,   192,   193,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  2832,    -1,  1350,    -1,
      -1,   209,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   382,  2848,    -1,    -1,    -1,    -1,  1369,    -1,    -1,
      -1,  3467,     8,  2859,    -1,    11,    -1,   235,    -1,    -1,
     238,   176,  3478,    -1,   167,    -1,    -1,  1389,   171,    -1,
      -1,    -1,    28,   251,    -1,    -1,   254,    -1,    -1,    -1,
      36,    -1,    -1,    -1,    -1,    -1,    42,  1409,    -1,   192,
     193,    -1,  1414,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   209,  1429,    -1,    -1,
      66,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   233,    -1,
     235,    -1,  2928,  1445,    -1,    -1,    -1,    -1,    -1,    -1,
     245,    -1,   235,    -1,    -1,   238,    -1,    -1,   253,    -1,
      -1,    -1,  2948,  1465,    -1,    -1,    -1,   262,   251,  1471,
     328,    -1,  1474,    -1,  1476,  1477,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  1487,    -1,  2973,    -1,  3585,
      -1,    -1,    -1,    -1,    -1,    -1,   864,  1499,  1500,    -1,
     295,    -1,    -1,    -1,   299,    -1,    -1,    -1,    -1,  1511,
      -1,    -1,     8,    -1,    -1,    11,    -1,  3613,    -1,    -1,
      -1,    -1,    -1,  3009,    -1,    -1,    -1,    -1,    -1,   324,
      -1,   167,    28,  3629,    -1,   171,    -1,    -1,    -1,    -1,
      36,  1543,    -1,    -1,    -1,   328,    42,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   192,   193,    -1,    -1,
     418,   419,   420,    -1,   422,   423,   424,   425,   426,   427,
      66,    -1,    -1,   209,   432,    -1,  1578,    -1,  1580,  3675,
      -1,    -1,    -1,    -1,    -1,  1587,    -1,   382,  1590,    -1,
      -1,    -1,  1594,    -1,    -1,    -1,    -1,    -1,    -1,   235,
    1602,  1603,   238,    -1,    -1,    -1,    -1,    -1,  1610,    -1,
      -1,  1613,  1614,  1615,  1616,   251,    -1,    -1,   254,    -1,
      -1,  1623,  1624,    -1,  1626,    -1,  1628,  1629,   996,    -1,
    1632,    -1,    -1,    -1,    -1,   418,   419,   420,    -1,   422,
     423,   424,   425,   426,   427,    -1,  1648,  1649,  1650,    -1,
      -1,    -1,  1654,    -1,    -1,    -1,  1658,    -1,    -1,    -1,
    1662,    -1,  1664,  1665,  1666,  1667,  1668,  1669,  1670,  1671,
    1672,   167,  1674,    -1,    -1,   171,    -1,  1679,    -1,  1681,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3174,    -1,
      -1,    -1,   328,    -1,    -1,    -1,   192,   193,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   209,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  3821,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   235,
      -1,    -1,   238,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   251,    -1,    -1,   254,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   418,   419,   420,    -1,   422,   423,   424,   425,
     426,   427,    -1,    -1,    -1,    -1,   432,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  1807,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  1191,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   328,  3929,    -1,     8,  3322,    -1,    11,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,     8,    -1,    -1,    11,
      -1,    -1,    -1,    -1,  1856,    28,    -1,    -1,  1860,  1861,
      -1,    -1,  1864,    36,    -1,    -1,    28,    -1,    -1,    42,
      -1,    -1,  3358,    -1,    36,    -1,    -1,  1245,    -1,    -1,
      42,    -1,    -1,    -1,  1886,    -1,     8,  1889,    -1,    11,
      -1,    -1,    -1,    66,    -1,    -1,    -1,    -1,  1900,    -1,
      -1,    -1,    -1,    -1,    66,  1907,    28,    -1,    -1,    -1,
    1278,    -1,    -1,    -1,    36,    -1,    -1,    -1,    -1,    -1,
      42,    -1,   418,   419,   420,  1927,   422,   423,   424,   425,
     426,   427,    -1,    -1,    -1,  4031,   432,    -1,    -1,    -1,
      -1,    -1,  1944,    -1,    66,    -1,    -1,  1949,  1950,    -1,
      -1,    -1,  1954,  1955,    -1,    -1,  4052,    -1,    -1,  1961,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  1977,  1978,    -1,  1980,    -1,
      -1,  3467,  1350,    -1,    -1,    -1,  4082,    -1,    -1,    -1,
      -1,    -1,  3478,    -1,   167,    -1,    -1,    -1,   171,    -1,
      -1,  1369,    -1,  2005,    -1,   167,    -1,  2009,    -1,   171,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   192,
     193,  1389,    -1,    -1,  4120,  2027,    -1,    -1,  4124,  4125,
     192,   193,    -1,    -1,    -1,  2037,   209,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   167,  1414,   209,  2050,   171,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2060,    -1,
      -1,    -1,   235,    -1,    -1,   238,    -1,    -1,    -1,    -1,
     192,   193,    -1,   235,    -1,    -1,   238,    -1,   251,    -1,
      -1,   254,    -1,    -1,    -1,    -1,    -1,   209,    -1,   251,
      -1,    -1,   254,    -1,    -1,    -1,    -1,    -1,    -1,  3585,
      -1,    -1,  2104,  1471,  2106,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   235,    -1,    -1,   238,    18,    -1,    -1,
      -1,    -1,    -1,    24,    -1,  2127,    -1,  3613,    -1,   251,
      -1,    -1,   254,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  3629,    -1,    -1,    -1,    -1,    49,    -1,
      -1,    -1,    -1,    -1,    -1,   328,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    64,    -1,    -1,   328,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  2185,    -1,    -1,  2188,    -1,    -1,  3675,
      -1,    -1,    -1,    -1,    95,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   328,    -1,    -1,    -1,
      -1,    -1,   113,    -1,    -1,    -1,    -1,    -1,    -1,   120,
    2222,    -1,   123,    -1,    -1,  2227,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   418,   419,   420,    -1,   422,
     423,   424,   425,   426,   427,  2257,   418,   419,   420,   432,
     422,   423,   424,   425,   426,   427,    -1,  2269,    -1,    -1,
     432,    -1,   173,    -1,    -1,   176,    -1,    -1,    -1,  2281,
    1648,    -1,    -1,  2285,    -1,    -1,    -1,    -1,    -1,  2291,
      -1,    -1,    -1,    -1,    -1,    -1,   418,   419,   420,    -1,
     422,   423,   424,   425,   426,   427,    -1,  2309,  2310,    -1,
     432,    -1,    -1,  2315,    -1,    -1,    -1,    -1,    -1,    -1,
     221,    -1,   223,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   233,    -1,   235,  3821,    -1,    -1,  2340,  2341,
      -1,    -1,    -1,  2345,   245,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   253,    -1,    -1,  2357,  2358,  2359,  2360,    -1,
     261,   262,    -1,  2365,    -1,    -1,    -1,    -1,  2370,  2371,
      -1,  2373,    -1,  2375,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  2385,  2386,    -1,    -1,  2389,    -1,    -1,
       8,    -1,    -1,    11,   295,    -1,    -1,    -1,   299,   300,
    2402,    -1,  2404,    -1,    -1,    -1,  2408,    -1,    -1,    -1,
      28,    -1,    -1,    -1,    32,    -1,    -1,    -1,    36,    -1,
      -1,    -1,  2424,   324,    42,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  2435,   335,  2437,  2438,  2439,    -1,    -1,
      -1,    -1,    -1,  3929,    -1,    -1,    -1,    -1,    66,  2451,
      -1,    -1,  2454,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  2466,    -1,    -1,    -1,    -1,  2471,
      -1,    -1,    -1,    -1,    -1,  2477,    -1,    -1,    -1,    -1,
      -1,   382,    -1,  2485,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   111,    -1,    -1,    -1,    -1,    -1,  2501,
      -1,     8,    -1,    -1,    11,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    13,    -1,  2516,  2517,    -1,    -1,    19,    -1,
    2522,    28,    -1,    -1,    31,    -1,    -1,    28,    -1,    36,
      -1,    -1,    -1,    -1,    -1,    42,    -1,    -1,    -1,    -1,
      -1,  2543,    -1,    -1,  2546,  4031,    47,  2549,    -1,   167,
      -1,    -1,    -1,   171,    -1,    -1,    -1,    -1,    -1,    66,
      -1,    -1,    -1,    -1,    -1,    -1,  4052,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   192,   193,  1944,    -1,    -1,    -1,
      -1,  1949,  1950,    -1,    -1,    -1,    -1,    -1,    -1,  2591,
    2592,   209,  2594,  1961,    -1,    -1,  4082,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   235,    -1,    -1,
     238,  2623,  2624,  2625,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   251,  4120,    -1,   254,    -1,  4124,  4125,
    2642,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2650,    -1,
    2652,  2653,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     167,  2663,    -1,    -1,   171,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   184,    -1,   192,   193,    -1,    -1,    -1,
      -1,    -1,    -1,   194,   195,    -1,   197,    -1,   199,    -1,
     201,    -1,   209,    -1,  2706,     8,    -1,    -1,    11,    -1,
     328,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  2725,    -1,    28,    -1,    -1,   235,  2731,
      -1,   238,    -1,    36,    -1,    -1,    -1,    -1,  2106,    42,
      -1,    -1,    -1,    -1,   251,    -1,    -1,   254,  2750,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   379,    -1,    66,    -1,  2767,  2768,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    2782,    -1,  2784,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  2796,    -1,  2798,    -1,    -1,    -1,
     418,   419,   420,    -1,   422,   423,   424,   425,   426,   427,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  2185,    -1,    -1,
      -1,   328,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    2832,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   187,    -1,    -1,  2847,  2848,    -1,   193,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  2859,   203,    -1,
      -1,    -1,    -1,    -1,   167,    -1,    -1,    -1,   171,    -1,
      -1,    -1,    -1,  2875,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  2886,    -1,    -1,  2889,    -1,   192,
     193,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  2269,    -1,    -1,  2906,    -1,   209,  2909,    -1,    -1,
      -1,   418,   419,   420,    -1,   422,   423,   424,   425,   426,
     427,    -1,    -1,  2925,    -1,    -1,  2928,    -1,    -1,    -1,
      -1,    -1,   235,  2935,    -1,   238,    -1,    -1,    -1,  2941,
      -1,  2943,    -1,    -1,    -1,    -1,  2948,  2949,   251,    -1,
    2952,  2953,  2954,  2955,  2956,  2957,  2958,  2959,  2960,  2961,
      -1,    -1,    -1,  2965,  2966,    -1,    -1,    -1,    -1,    -1,
      -1,  2973,    -1,    -1,    -1,    -1,  2978,    -1,     8,    -1,
    2982,    11,  2984,    -1,  2986,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  2996,    -1,    -1,  2999,    -1,  3001,
      -1,    -1,    -1,    -1,    -1,    -1,    36,  3009,  3010,  3011,
    3012,    -1,    42,    -1,  3016,    -1,    -1,  3019,    -1,    -1,
      -1,    -1,    -1,   524,    -1,   328,    -1,  3029,  3030,     8,
      -1,   532,    11,    -1,    -1,    -1,    66,    -1,  3040,    -1,
     541,   542,    -1,    -1,    -1,   546,  3048,    -1,  3050,    28,
      -1,    -1,    -1,    -1,    -1,    -1,   557,    36,    -1,    -1,
      -1,    -1,    -1,    42,    -1,    -1,    -1,    -1,    -1,   570,
    3072,    -1,    -1,    -1,    -1,    -1,  3078,    -1,    -1,    -1,
      -1,    -1,  3084,    -1,    -1,   586,    -1,    66,   589,    -1,
     591,    -1,   593,    -1,    -1,    -1,    -1,  3099,   128,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   418,   419,   420,    -1,   422,
     423,   424,   425,   426,   427,    -1,    -1,    -1,  3130,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   167,    -1,    -1,
       8,   171,    -1,    11,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   653,    -1,   655,    -1,    -1,    -1,    -1,    -1,
      28,    -1,   192,   193,    -1,    -1,   145,  3169,    36,    -1,
      -1,  3173,  3174,  3175,    42,    -1,    -1,    -1,    -1,   209,
      -1,  2549,    -1,    -1,    -1,    -1,    -1,    -1,   167,    -1,
     535,    -1,   171,    -1,   539,    -1,    -1,    -1,    66,    -1,
      -1,    -1,    -1,    -1,    -1,   550,    -1,   708,   238,    -1,
      -1,    -1,  3214,   192,   193,  3217,    -1,    -1,    -1,    -1,
     565,   251,    -1,  2591,  2592,    -1,  2594,    -1,    -1,    -1,
     209,    -1,    -1,    -1,    -1,   580,    -1,    -1,    -1,    -1,
     585,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3251,
     595,    -1,    -1,    -1,    -1,    -1,   235,    -1,   603,   238,
      -1,    -1,    -1,    -1,    -1,    -1,   767,    -1,    -1,    -1,
      -1,    -1,   251,    -1,    -1,   254,    -1,    -1,   146,    -1,
      -1,    -1,  2650,   151,  2652,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   271,  3295,    -1,    -1,    -1,    -1,   328,   167,
      -1,    -1,    -1,   171,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  3318,  3319,   819,    -1,
    3322,    -1,    -1,  3325,   192,   193,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   834,    -1,    -1,   681,    -1,  2706,    -1,
      -1,   209,    -1,    -1,    -1,    -1,   847,    -1,    -1,   328,
      -1,    -1,    -1,   854,    -1,    -1,  3358,  3359,  3360,    -1,
      -1,    -1,    -1,  2731,    -1,   866,    -1,   235,   869,    -1,
     238,    -1,    -1,    -1,    -1,    -1,    -1,     8,    -1,    -1,
      11,    -1,  2750,   251,    -1,    -1,   254,    -1,    -1,    -1,
      -1,    -1,   422,   423,   424,   425,   426,   427,  3400,    -1,
    2768,   902,    -1,    -1,    -1,    36,    -1,    -1,    -1,    -1,
      -1,    42,   187,    -1,    -1,  3417,    -1,    -1,   193,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   203,    -1,
      -1,    -1,    -1,    -1,    -1,    66,    -1,    -1,    -1,   418,
     419,   420,    -1,   422,   423,   424,   425,   426,   427,    -1,
      -1,    -1,  3454,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     328,    -1,  3464,  3465,  2832,  3467,     8,    -1,    -1,    11,
    3472,  3473,    -1,    -1,    -1,  3477,  3478,    -1,    -1,    -1,
    2848,  3483,  3484,    -1,    -1,  3487,    28,    -1,    -1,    -1,
      -1,  2859,    -1,    -1,    36,    -1,    -1,   128,    -1,    -1,
      42,    -1,    -1,  3505,    -1,    -1,    -1,  3509,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3519,    -1,    -1,
      -1,    -1,  3524,    -1,    66,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  3536,    -1,   167,    -1,    -1,    -1,
     171,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     418,   419,   420,    -1,   422,   423,   424,   425,   426,   427,
    2928,   192,   193,    -1,    -1,  3567,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   209,    -1,
    2948,    -1,    -1,  3585,    -1,    -1,    -1,    -1,   933,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  3604,   948,    -1,  2973,    -1,   238,    -1,    -1,
      -1,  3613,    -1,    -1,    -1,   960,    -1,    -1,    -1,    -1,
     251,    -1,  3624,    -1,    -1,   167,    -1,  3629,    -1,   171,
      -1,    -1,    -1,    -1,  3636,    -1,    -1,    -1,    -1,    -1,
      -1,  3009,    -1,   988,    -1,    -1,    -1,    -1,    -1,    -1,
     192,   193,    -1,   998,    -1,    -1,    -1,    -1,    -1,  1160,
    1161,    -1,    -1,    -1,    -1,    -1,  1011,   209,    -1,  1014,
      -1,    -1,    -1,  3675,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3690,    -1,
      -1,    -1,    -1,   235,    -1,    -1,   238,   328,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   251,
      -1,    -1,   254,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  1223,    -1,    -1,    -1,  3728,    -1,    -1,    -1,
      -1,   273,    -1,    -1,    -1,    -1,    -1,  3739,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     535,    -1,    -1,    -1,   539,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   550,    -1,    -1,    -1,    -1,
    1125,   864,    -1,    -1,  3786,    -1,   328,    -1,  1133,  1134,
     565,   422,   423,   424,   425,   426,   427,    -1,  1143,    -1,
     342,    -1,    -1,  3805,    -1,   580,  3174,    -1,    -1,    -1,
     585,    -1,    -1,    -1,    -1,  3817,    -1,    -1,    -1,  3821,
     595,    -1,    -1,    -1,  3826,    -1,    -1,    -1,   603,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,     8,    -1,    -1,    11,
      -1,  3843,  3844,    -1,    -1,  3847,    -1,    -1,    -1,    -1,
      -1,    -1,  1197,    -1,    -1,    -1,    28,    -1,  3860,    -1,
      -1,    -1,    -1,  3865,    36,    -1,  3868,    -1,    -1,    -1,
      42,  3873,  3874,    -1,    -1,    -1,   418,   419,   420,    -1,
     422,   423,   424,   425,   426,   427,    -1,    -1,    -1,    -1,
    3892,    -1,  3894,    -1,    66,    -1,  3898,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   681,    -1,    -1,    -1,
      -1,    -1,    -1,   996,    -1,    -1,    -1,  1418,     8,    -1,
      -1,    11,    -1,    -1,    -1,    -1,    -1,  3929,    -1,    -1,
      -1,    -1,  1433,    -1,    -1,  3937,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    36,    -1,    -1,    -1,
      -1,    -1,    42,    -1,  3322,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  3966,    -1,  3968,    -1,    -1,    -1,
      -1,    -1,  1473,    -1,    -1,    -1,    66,    -1,  3980,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  1331,  1488,    -1,  1490,
    3358,  1492,    -1,    -1,    -1,   167,  1497,    -1,    -1,   171,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     192,   193,    -1,    -1,    -1,    -1,    -1,  4029,    -1,  4031,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   209,   128,  1540,
      -1,    -1,    -1,  1544,    -1,  1546,    -1,    -1,  1549,  4051,
    4052,    -1,  4054,    -1,  4056,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   235,  1409,    -1,   238,    -1,    -1,    -1,
      -1,  4073,    -1,    -1,    -1,  4077,    -1,   167,    -1,   251,
    4082,   171,   254,    -1,  1429,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   268,    -1,    -1,  3467,
    1445,    -1,   192,   193,    -1,    -1,    -1,    -1,  1191,    -1,
    3478,    -1,    -1,    -1,  4116,    -1,    -1,    -1,  4120,   209,
      -1,    -1,  4124,  4125,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  1476,  1477,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  1487,    -1,    -1,    -1,    -1,    -1,   238,    -1,
      -1,    -1,    -1,    -1,  1499,  1500,   328,    -1,   933,  4161,
      -1,   251,  1245,    -1,    -1,    -1,  1511,    -1,    -1,    -1,
      -1,    -1,    -1,   948,    -1,    -1,    -1,    -1,  4180,    -1,
      -1,    -1,    -1,    -1,    -1,   960,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  1278,    -1,    -1,  4200,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   988,    -1,    -1,    -1,  3585,    -1,    -1,
      -1,    -1,    -1,   998,    -1,    -1,  4228,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  1011,    -1,   328,  1014,
      -1,    -1,    -1,  4245,    -1,  3613,   418,   419,   420,    -1,
     422,   423,   424,   425,   426,   427,    -1,    -1,    -1,    -1,
      -1,  3629,  4264,    -1,    -1,    -1,    -1,  1350,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  1369,    -1,  4290,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4301,
      -1,    -1,    -1,    -1,    -1,  1650,  1389,  3675,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  4318,  4319,    -1,  4321,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4331,
      -1,  1414,   422,   423,   424,   425,   426,   427,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    1125,    -1,    -1,    -1,    -1,    -1,  1857,  1858,  1133,  1134,
      -1,  1862,  1863,    -1,    -1,  1866,    -1,    -1,  1143,    -1,
    4372,    -1,    -1,    -1,    -1,  1876,    -1,    -1,    -1,    -1,
    4382,    -1,  1883,    -1,    -1,    -1,  1887,  1888,  1471,    -1,
    1891,  1892,    -1,    -1,    -1,    -1,     8,  1898,    -1,    11,
    4402,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1910,
      -1,  1912,    -1,    -1,    -1,    -1,    28,    -1,    -1,    31,
      -1,    -1,  1197,    -1,    36,    -1,    -1,  1928,    -1,    -1,
      42,    -1,  1933,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  4444,    -1,    -1,    -1,    -1,  4449,    -1,    -1,
      -1,  4453,    -1,  3821,    66,  4457,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  1964,  1965,  1966,  1967,    -1,    -1,    -1,
    1971,  1972,    -1,    -1,    -1,    -1,    -1,    -1,  1979,    -1,
      -1,  1982,    -1,    -1,    -1,  1986,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2010,
      -1,  1856,    -1,    -1,    -1,  1860,  1861,    -1,    -1,  1864,
    2021,    -1,  2023,    -1,    -1,    -1,    -1,  2028,    -1,    -1,
      -1,    -1,  2033,  2034,  2035,  2036,    -1,  2038,    -1,    -1,
      -1,  1886,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    2051,  2052,  2053,    -1,    -1,   167,  1331,    -1,    -1,   171,
      -1,  3929,    -1,  2064,  2065,  1648,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     192,   193,  1927,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   209,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1954,
    1955,    -1,    -1,    -1,    -1,    -1,    -1,     8,    -1,    -1,
      11,    -1,    -1,   235,    -1,    -1,   238,  2128,    -1,    -1,
      -1,    -1,  1977,  1978,  1409,  1980,    -1,    28,    -1,   251,
      -1,    -1,   254,    -1,    -1,    36,    -1,    -1,    -1,    -1,
      -1,    42,    -1,    -1,  1429,    -1,    -1,    -1,    -1,    -1,
    2005,    -1,    -1,  4031,  2009,    -1,    -1,    -1,    -1,    -1,
    1445,    -1,    -1,    -1,    -1,    66,    -1,    -1,    -1,    -1,
      -1,    -1,  2027,    -1,  4052,    -1,    -1,    -1,    -1,    -1,
      -1,    18,  2037,    -1,    -1,    -1,    -1,    24,    -1,    -1,
      -1,  1476,  1477,    -1,    -1,  2050,    -1,    -1,    -1,    -1,
      -1,    -1,  1487,    -1,  4082,  2060,   328,    -1,    -1,    -1,
      -1,    -1,    49,    -1,  1499,  1500,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  1511,    64,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  2247,    -1,    -1,    -1,
      -1,    -1,  4120,    -1,    -1,    -1,  4124,  4125,    -1,    -1,
     151,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    95,    -1,
      -1,    -1,    -1,    -1,  2275,    -1,   167,    -1,    -1,    -1,
     171,    -1,  2127,    -1,    -1,    -1,   113,    -1,    -1,    -1,
      -1,    -1,    -1,   120,    -1,    -1,   123,    -1,    -1,    -1,
      -1,   192,   193,    -1,    -1,    -1,   418,   419,   420,    -1,
     422,   423,   424,   425,   426,   427,    -1,    -1,   209,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  2188,   235,    -1,   173,   238,    -1,   176,
      -1,    -1,    -1,     8,    -1,    -1,    11,    -1,    -1,    -1,
     251,  1944,    -1,   254,    -1,    -1,  1949,  1950,    -1,    -1,
      -1,    -1,    -1,    28,    -1,  1650,    31,  2222,  1961,    -1,
      -1,    36,    -1,    -1,    -1,    -1,    -1,    42,    -1,    -1,
      -1,    -1,    -1,    -1,   221,    -1,   223,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   233,    -1,   235,    -1,
      -1,    66,  2257,    -1,    -1,    -1,    -1,    -1,   245,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   253,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   261,   262,  2281,   328,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  2464,    -1,    -1,    -1,    -1,   295,    -1,
      -1,    -1,   299,   300,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   324,    -1,    -1,
      -1,  2502,  2503,    -1,    -1,    -1,    -1,    -1,   335,    -1,
      -1,    -1,   167,    -1,    -1,    -1,   171,    -1,  2519,    -1,
    2365,    -1,    -1,  2106,    -1,    -1,  2371,   418,   419,   420,
      -1,   422,   423,   424,   425,   426,   427,   192,   193,    -1,
      -1,    -1,    -1,  2544,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  2553,    -1,   209,   382,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  2568,  2569,    -1,
      -1,    -1,  2573,     8,    -1,    -1,    11,  2578,  2579,  2580,
     235,  1856,    -1,   238,    -1,  1860,  1861,    -1,    -1,  1864,
      -1,    -1,    -1,    28,    -1,    -1,   251,    -1,    -1,   254,
      -1,    36,  2185,    -1,    -1,    -1,  2451,    42,    -1,    -1,
      -1,  1886,    -1,  2614,  2615,  2616,  2617,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    66,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  2644,  2645,  2646,    -1,    -1,    -1,    -1,
      -1,    -1,  1927,  2654,    -1,    -1,  2501,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  2516,  2517,   328,    -1,    -1,    -1,    -1,    -1,  1954,
    1955,    -1,    -1,    -1,    -1,    -1,  2269,    -1,    -1,    -1,
      -1,    -1,   676,    -1,    -1,    -1,    -1,    -1,  2543,    -1,
      -1,  2546,  1977,  1978,    -1,  1980,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  2718,    -1,    -1,
      -1,    -1,   706,    -1,    -1,  2726,    -1,    -1,    -1,    -1,
    2005,    -1,   167,    -1,  2009,    -1,   171,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  2027,    -1,    -1,    -1,    -1,   192,   193,    -1,
      -1,    -1,  2037,   418,   419,   420,    -1,   422,   423,   424,
     425,   426,   427,    -1,   209,  2050,    -1,    -1,  2623,  2624,
    2625,    -1,  2783,    -1,    -1,  2060,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  2642,    -1,    -1,
     235,    -1,    -1,   238,    -1,    -1,    -1,    -1,  2653,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   251,    -1,  2663,   254,
      -1,    -1,    -1,    -1,  2825,    -1,    -1,  2828,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  2127,    -1,    -1,    -1,    -1,    -1,    -1,  2860,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  2874,    -1,    -1,    -1,    -1,    -1,    -1,
    2725,    -1,    -1,  2884,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   328,    -1,    -1,    -1,  1099,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  2188,    -1,    -1,    -1,    -1,    -1,   354,
      -1,    -1,  2767,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  2782,    -1,  2784,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  2222,    -1,    -1,
      -1,  2796,    -1,  2798,  1156,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  2549,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    21,  2257,   418,   419,   420,    -1,   422,   423,   424,
     425,   426,   427,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  2847,    -1,    -1,    -1,  2281,    -1,  2591,  2592,
      -1,  2594,    -1,    -1,    54,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    67,    68,    -1,
    2875,    -1,    -1,    -1,    -1,    -1,    76,    -1,    -1,    -1,
      80,    -1,  1026,    -1,  2889,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,     8,    -1,    -1,    11,    97,    -1,    -1,
      -1,  2906,    -1,    -1,  2909,    -1,    -1,  2650,    -1,  2652,
      -1,  1055,    -1,    28,    -1,    -1,    31,    -1,   118,    -1,
      -1,    36,    -1,    -1,    -1,    -1,    -1,    42,    -1,   129,
    2365,    -1,    -1,    -1,    -1,    -1,  2371,   137,    -1,  1083,
    1084,    -1,  1086,    -1,    -1,  3106,    -1,  3108,   148,    -1,
      -1,    66,    -1,   153,  3115,    -1,    -1,    -1,    -1,  1103,
      -1,    -1,    -1,  2706,    -1,    -1,    -1,    -1,    -1,    -1,
    3131,    -1,    -1,    -1,   174,    -1,    -1,    -1,    -1,  2984,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3148,  2731,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  3157,    -1,  1142,   199,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  2750,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  2451,    -1,    -1,    -1,
     220,    -1,    -1,    -1,    -1,  2768,    -1,  1171,    -1,    -1,
      -1,  1175,  1176,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  3203,  3204,  3205,  3206,  3207,  3208,  3209,  3210,
      -1,   251,   167,    -1,  3215,  3216,   171,  3218,  3219,  3220,
    3221,  3222,  3223,  3224,    -1,    -1,  2501,    -1,    -1,    -1,
      -1,    -1,  3233,    -1,  3235,  3236,    -1,   192,   193,   279,
      -1,  2516,  2517,    -1,    -1,    -1,    -1,    -1,    -1,  2832,
      -1,    -1,    -1,    -1,   209,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  2848,   306,    -1,  2543,    -1,
     310,  2546,   312,    -1,    -1,    -1,  2859,    -1,   318,    -1,
     235,   321,    -1,   238,    -1,  3130,    -1,    -1,  3289,  3290,
    3291,    -1,    -1,  3294,    -1,    -1,   251,    -1,    -1,   254,
      -1,    -1,    -1,    -1,    -1,  1507,    -1,   347,    -1,   349,
      -1,    -1,    -1,   353,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   361,    -1,    -1,  3169,    -1,   366,    -1,  3173,    -1,
    3175,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  2928,    -1,    -1,  2623,  2624,
    2625,   391,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  2948,    -1,  2642,    -1,  3214,
      -1,    -1,  3217,   328,  3375,    -1,    -1,    -1,  2653,    -1,
      -1,    -1,    -1,  1585,    -1,    -1,    -1,   864,  2663,    -1,
    2973,  3392,  3393,  3394,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  3251,  1609,    -1,    -1,
      -1,    -1,  1614,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   864,    -1,    -1,    -1,  3009,    -1,    -1,    -1,
      -1,    -1,  1634,  1635,    -1,  1637,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    2725,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   418,   419,   420,    -1,   422,   423,   424,
     425,   426,   427,  3318,  3319,  1677,    -1,    -1,    -1,    -1,
    3325,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  2767,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  2782,    -1,  2784,
      -1,  1713,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   996,
      -1,  2796,    -1,  2798,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   996,  3400,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  2847,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  3174,    -1,    -1,    -1,  3596,  3597,  3598,  3599,    -1,
    2875,    -1,    -1,  1587,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  2889,  1817,    -1,    -1,    -1,  3620,
    3621,  3622,  3623,    -1,  3625,  3626,  1610,  1829,    -1,  1613,
    1832,  2906,  1616,    -1,  2909,    -1,  3637,  3638,    -1,  1623,
    1624,    -1,    -1,    -1,    -1,  1629,    -1,    -1,  1632,    -1,
      -1,    -1,    -1,  3654,  3655,    -1,  3657,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  1649,    -1,    -1,    -1,    -1,
    1654,    -1,    -1,    -1,  1658,    -1,    -1,    -1,  1662,    -1,
    1664,  1665,  1666,  1667,  1668,  1669,  1670,  1671,  1672,    -1,
    1674,    -1,    -1,    -1,    -1,  1679,    -1,  1681,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2984,
      -1,    -1,    -1,    -1,  1191,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3322,
      -1,    -1,    -1,    -1,    -1,  3746,    -1,    -1,    -1,  1191,
      -1,    -1,    -1,    -1,  3755,    -1,    -1,    -1,    -1,  3604,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1245,    -1,
      -1,    -1,    -1,    -1,  3775,  3358,    -1,     8,    -1,  3624,
      11,    -1,    -1,   864,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  3636,    -1,    -1,    -1,    -1,  3797,    28,    -1,    -1,
      -1,  1278,    -1,  1245,    -1,    36,    -1,    -1,    -1,    -1,
      -1,    42,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  1807,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    66,  1278,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  3690,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  3130,    -1,  3858,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    3871,    -1,    -1,  1350,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  3467,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  1369,    -1,  3169,  3478,    -1,    -1,  3173,    -1,
    3175,    -1,    -1,    -1,    -1,  1889,    -1,    -1,  1350,    -1,
      -1,    -1,  1389,    -1,    -1,   996,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  1369,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   167,  1414,    -1,  3214,
     171,    -1,  3217,    -1,    -1,    -1,  3947,  1389,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    3805,   192,   193,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  1414,    -1,    -1,    -1,  3251,    -1,   209,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  1471,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  3585,    -1,   235,    -1,    -1,   238,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     251,    -1,    -1,   254,    -1,    -1,    -1,    -1,    -1,  1471,
    3613,    -1,    -1,    -1,    -1,    -1,  4037,    -1,    -1,    -1,
      -1,    -1,    -1,  3318,  3319,    -1,  3629,  3892,    -1,  3894,
    3325,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4070,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4080,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  3675,    -1,    -1,    -1,    -1,   328,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    1191,  2313,    -1,  4114,    -1,    -1,    -1,    -1,  4119,    -1,
    2104,  3966,    -1,  3968,    -1,  3400,    -1,    -1,    -1,    -1,
      -1,  4132,    -1,    -1,  2336,    -1,  2338,    -1,  2340,  2341,
    2342,    -1,    -1,  2345,    -1,    -1,    -1,  2349,    -1,    -1,
      -1,    -1,    -1,    -1,  2356,    -1,    -1,    -1,    -1,  2361,
      -1,    -1,    -1,    -1,  1245,  2367,    -1,    -1,    -1,    -1,
    2372,  1648,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2381,
      -1,    -1,    -1,  2385,  2386,    -1,  2388,   418,   419,   420,
      -1,   422,   423,   424,   425,   426,   427,  1278,  2400,    -1,
      -1,    -1,    -1,  4204,    -1,  2407,  1648,  2409,  2410,  2411,
    2412,  2413,  2414,  2415,  2416,  2417,  2418,    -1,  4219,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3821,    -1,
      -1,  2443,    -1,  2227,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1350,
      -1,  4116,    -1,    -1,    -1,    -1,    -1,    -1,  4279,    -1,
      -1,    -1,    -1,  4284,    -1,    -1,    -1,    -1,  1369,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1389,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  2310,    -1,    -1,  3604,
      -1,  2315,    -1,  1414,    -1,  2537,    -1,    -1,    -1,    -1,
      -1,    21,    -1,    -1,    -1,    -1,  3929,    -1,    -1,  3624,
      -1,    -1,    -1,    33,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  3636,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  2357,    54,  2359,  2360,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  2370,    67,    -1,  2373,
    1471,  2375,    -1,    -1,    -1,    -1,    76,    -1,    -1,    -1,
      80,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  3690,    -1,    97,  2402,  4264,
    2404,    -1,    -1,   103,  2408,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   118,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4031,   129,
      -1,    -1,    -1,  2437,  2438,  2439,    -1,   137,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  1944,   148,  4052,
    2454,    -1,  1949,  1950,    -1,   155,  4321,    -1,    -1,   159,
      -1,    -1,  2466,    -1,  1961,    -1,    -1,  2471,    -1,    -1,
      -1,    -1,    -1,  2477,   174,    -1,    -1,    -1,    -1,  4082,
      -1,    -1,  1944,    -1,    -1,    -1,    -1,  1949,  1950,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1961,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    3805,    -1,    -1,   213,    -1,    -1,    -1,  4120,  2522,    -1,
     220,  4124,  4125,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  2753,    -1,    -1,    -1,    -1,    -1,  4402,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  1648,    -1,    -1,
      -1,   251,    -1,    -1,   254,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  4449,    -1,    -1,    -1,   288,    -1,
      -1,    -1,  4457,    -1,    -1,    -1,    -1,  3892,    -1,  3894,
      -1,    -1,    -1,    -1,    -1,    -1,   306,    -1,    -1,  2106,
      -1,    -1,   312,    -1,    -1,    -1,    -1,    -1,   318,    -1,
      -1,   321,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  2106,    -1,    -1,   347,    -1,   349,
     350,    -1,   352,   353,    -1,    -1,  2878,    -1,    -1,    -1,
      -1,   361,    -1,    -1,    -1,    -1,   366,    -1,    -1,    -1,
      -1,  3966,   372,  3968,    -1,   375,    -1,    -1,   378,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2185,    -1,
      -1,   391,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  2924,    -1,    -1,    -1,    -1,    -1,  2930,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  2185,  2946,  2947,    -1,  2949,    -1,    -1,
    2952,  2953,  2954,  2955,  2956,  2957,  2958,  2959,  2960,  2961,
    2962,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  2987,    -1,    -1,  2990,    -1,
    2992,    -1,  2269,    -1,    -1,  2997,  2998,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3011,
    3012,  3013,    -1,  3015,    -1,    -1,  3018,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  2269,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  4116,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  3056,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  1944,    -1,  3067,    -1,    -1,  1949,  1950,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    1961,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  3096,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  2925,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  2935,    -1,    -1,    -1,    -1,    -1,  2941,    -1,  2943,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  2965,  2966,    -1,    -1,    -1,    -1,    -1,    -1,  4264,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  2986,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  2996,    -1,    -1,  2999,    -1,  3001,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  2106,  3010,    -1,    -1,    -1,
      -1,    -1,  3016,    -1,    -1,  3019,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  4321,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  3040,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  3048,    -1,  3050,    -1,    -1,    -1,
      -1,    -1,  2549,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3072,    -1,
      -1,    -1,    -1,  3295,  3078,    -1,    -1,    -1,    -1,    -1,
    3084,    -1,    -1,    -1,  2185,    -1,    -1,  2549,    -1,    -1,
      -1,    -1,    -1,    -1,  2591,  2592,    -1,  2594,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  4402,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2591,
    2592,    -1,  2594,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  2650,  4449,  2652,    -1,    -1,    -1,    -1,
      -1,    -1,  4457,    -1,    -1,    -1,    -1,    -1,  2269,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2650,    -1,
    2652,    -1,    -1,    -1,    -1,    -1,  3418,    -1,    -1,    -1,
    3422,  3423,  3424,    -1,    -1,  3427,    -1,    -1,    -1,  2706,
    3432,  3433,  3434,  3435,  3436,  3437,  3438,  3439,  3440,  3441,
    3442,  3443,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  2731,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  2706,    -1,    -1,    -1,    -1,  3471,
    3472,  3473,  3474,  2750,  3476,    -1,    -1,    -1,  3480,  3481,
    3482,    -1,    -1,  3485,    -1,    -1,  3488,    -1,    -1,  2731,
      -1,  2768,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2750,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3521,
      -1,    -1,    -1,    -1,    -1,    -1,  2768,    -1,    -1,    -1,
      -1,  3533,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  3547,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  2832,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  2848,    -1,    -1,    -1,  3359,  3360,    -1,    -1,    -1,
      -1,    -1,  2859,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    2832,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  2848,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  2859,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  3417,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  2928,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2549,    -1,
      -1,  2948,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    3464,  3465,    -1,    -1,    -1,    -1,  2928,    -1,    -1,    -1,
      -1,    -1,    -1,  3477,    -1,    -1,  2973,    -1,    -1,  3483,
    3484,    -1,    -1,  3487,    -1,    -1,  2948,    -1,    -1,    -1,
    2591,  2592,    -1,  2594,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3731,
      -1,  2973,  3009,    -1,    -1,  3519,    -1,    -1,    -1,    -1,
    3524,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  3536,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3009,    -1,  2650,
      -1,  2652,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  3783,  3784,  3567,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  3813,    -1,    -1,    -1,  3817,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  2706,    -1,    -1,    -1,  3831,
      -1,  3833,    -1,    -1,    -1,    -1,  3838,  3839,  3840,    -1,
      -1,  3843,  3844,  3845,  3846,    -1,  3848,    -1,    -1,    -1,
    2731,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2750,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  2768,    -1,    -1,
      -1,    -1,    -1,    -1,  3896,    -1,    -1,  3174,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  3174,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  3728,    -1,    -1,    -1,    -1,    -1,
      -1,  2832,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  2848,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2859,    -1,
      -1,    -1,    -1,    -1,  3986,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  3322,    -1,  2928,  4050,  4051,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  3847,  4066,  4067,  4068,  2948,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    3322,  3358,    -1,  4085,    -1,    -1,    -1,    -1,    -1,    -1,
    3874,    -1,  2973,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  3358,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3009,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    3467,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  3478,    -1,    -1,    -1,    -1,  4208,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  4218,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  3467,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  3478,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    4054,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  4289,    -1,  4073,
      -1,    -1,    -1,  3174,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3585,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4330,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  3613,    -1,    -1,    -1,
      -1,    -1,    -1,  3585,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  3629,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  3613,    -1,  4375,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3629,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  4180,    -1,  3675,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  4423,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  3675,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  3322,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  4245,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3358,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  4318,  4319,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  3821,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3821,
      -1,    -1,    -1,    -1,    -1,    -1,  3467,    -1,  4372,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3478,  4382,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  3929,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    4444,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3929,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  3585,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  3613,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3629,    -1,
      -1,    -1,    -1,    -1,  4031,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  4052,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4031,
      -1,    -1,    -1,    -1,  3675,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  4082,    -1,    -1,    -1,    -1,
    4052,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    4082,    -1,    -1,  4120,    -1,    -1,    -1,  4124,  4125,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4120,    -1,
      -1,    -1,  4124,  4125,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    3821,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3929,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    4031,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  4052,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  4082,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,     3,     4,     5,     6,     7,
       8,     9,    10,    -1,    -1,    -1,    14,    15,    16,    17,
      18,    19,    20,    21,    22,    23,    24,    25,    -1,  4120,
      -1,    -1,    30,  4124,  4125,    33,    34,    -1,    36,    37,
      38,    39,    40,    41,    42,    43,    44,    45,    46,    -1,
      48,    49,    50,    51,    52,    53,    54,    55,    56,    57,
      58,    59,    -1,    61,    62,    63,    64,    65,    -1,    67,
      -1,    69,    70,    71,    72,    73,    74,    75,    -1,    77,
      78,    79,    80,    81,    82,    -1,    84,    85,    86,    87,
      88,    89,    90,    91,    92,    93,    94,    95,    96,    97,
      98,    99,   100,   101,   102,    -1,   104,    -1,   106,   107,
     108,   109,   110,    -1,   112,   113,   114,   115,    -1,   117,
     118,   119,   120,   121,    -1,   123,   124,   125,    -1,   127,
     128,   129,    -1,   131,   132,   133,   134,   135,   136,   137,
     138,   139,   140,   141,    -1,   143,   144,   145,    -1,   147,
      -1,   149,   150,    -1,   152,   153,   154,   155,    -1,   157,
     158,    -1,   160,    -1,   162,   163,   164,   165,   166,   167,
     168,   169,   170,    -1,   172,   173,   174,   175,   176,   177,
      -1,   179,   180,   181,   182,   183,   184,   185,   186,   187,
      -1,   189,    -1,   191,   192,   193,   194,   195,   196,   197,
     198,   199,   200,    -1,   202,   203,    -1,   205,   206,   207,
     208,   209,    -1,   211,   212,   213,   214,   215,   216,   217,
     218,   219,   220,   221,   222,   223,   224,   225,   226,   227,
     228,   229,   230,   231,   232,   233,   234,   235,   236,   237,
     238,   239,   240,   241,   242,   243,   244,   245,   246,    -1,
     248,    -1,    -1,   251,   252,   253,    -1,    -1,   256,   257,
     258,   259,   260,   261,   262,   263,   264,   265,   266,   267,
      -1,   269,   270,   271,   272,   273,   274,   275,    -1,   277,
     278,   279,   280,   281,   282,   283,   284,   285,   286,   287,
     288,   289,    -1,   291,   292,   293,   294,   295,   296,   297,
     298,   299,   300,   301,    -1,   303,   304,   305,   306,   307,
     308,   309,   310,   311,   312,   313,   314,   315,   316,    -1,
     318,   319,   320,   321,   322,   323,   324,   325,   326,   327,
     328,   329,   330,   331,    -1,   333,   334,   335,   336,   337,
     338,   339,   340,   341,   342,   343,    -1,   345,   346,    -1,
     348,   349,   350,   351,   352,   353,    -1,   355,   356,    -1,
      -1,   359,   360,   361,   362,   363,   364,   365,   366,   367,
     368,   369,   370,    -1,   372,   373,   374,   375,   376,   377,
     378,    -1,   380,   381,   382,   383,   384,   385,   386,   387,
     388,   389,   390,   391,   392,    -1,    -1,   395,    -1,    -1,
     398,   399,   400,   401,   402,   403,   404,   405,   406,   407,
     408,   409,   410,   411,   412,   413,   414,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   422,   423,   424,    -1,    -1,    -1,
      -1,    -1,    -1,   431,   432,     3,     4,     5,     6,     7,
       8,     9,    10,    -1,    -1,    -1,    14,    15,    16,    17,
      18,    19,    20,    21,    -1,    23,    24,    25,    -1,    -1,
      -1,    -1,    30,    -1,    -1,    33,    34,    -1,    36,    37,
      38,    39,    40,    41,    42,    43,    44,    45,    46,    -1,
      48,    49,    50,    51,    52,    53,    54,    55,    56,    57,
      58,    59,    -1,    61,    62,    63,    64,    65,    -1,    67,
      -1,    69,    70,    71,    72,    73,    74,    75,    -1,    77,
      78,    79,    80,    81,    82,    -1,    84,    85,    86,    87,
      88,    89,    90,    91,    92,    93,    94,    95,    96,    97,
      98,    99,   100,   101,   102,    -1,   104,    -1,   106,   107,
     108,   109,   110,    -1,   112,   113,   114,    -1,    -1,   117,
     118,   119,   120,   121,    -1,   123,   124,   125,    -1,   127,
     128,   129,    -1,   131,   132,   133,   134,   135,   136,   137,
     138,   139,   140,   141,    -1,   143,   144,   145,    -1,   147,
      -1,   149,   150,    -1,   152,   153,   154,   155,    -1,   157,
     158,    -1,   160,    -1,   162,   163,   164,   165,   166,   167,
     168,   169,   170,    -1,   172,   173,   174,   175,   176,   177,
      -1,   179,   180,   181,   182,   183,   184,   185,   186,   187,
      -1,   189,    -1,   191,   192,   193,   194,   195,   196,   197,
     198,   199,   200,    -1,   202,   203,    -1,   205,   206,   207,
     208,   209,    -1,   211,   212,   213,   214,   215,   216,   217,
     218,   219,   220,   221,   222,   223,   224,   225,   226,   227,
     228,   229,   230,   231,   232,   233,   234,   235,   236,   237,
     238,   239,   240,   241,   242,   243,   244,   245,   246,    -1,
     248,    -1,    -1,   251,   252,   253,    -1,    -1,   256,   257,
     258,   259,   260,   261,   262,   263,   264,   265,   266,   267,
      -1,   269,   270,   271,   272,   273,   274,   275,    -1,   277,
     278,   279,   280,   281,   282,   283,   284,   285,   286,   287,
     288,   289,    -1,   291,   292,   293,   294,   295,   296,   297,
     298,   299,   300,   301,    -1,   303,   304,   305,   306,   307,
     308,   309,   310,   311,   312,   313,   314,   315,   316,    -1,
     318,   319,   320,   321,   322,   323,   324,   325,   326,   327,
     328,   329,   330,   331,    -1,   333,   334,   335,   336,   337,
     338,   339,   340,   341,   342,   343,    -1,   345,   346,    -1,
     348,   349,   350,   351,   352,   353,    -1,   355,   356,    -1,
      -1,   359,   360,   361,   362,   363,   364,   365,   366,   367,
     368,   369,   370,    -1,   372,   373,   374,   375,   376,   377,
     378,    -1,   380,   381,   382,   383,   384,   385,   386,    -1,
     388,   389,   390,   391,   392,    -1,    -1,   395,    -1,    -1,
     398,   399,   400,   401,   402,   403,   404,   405,   406,   407,
     408,   409,   410,   411,   412,   413,   414,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   422,   423,     3,    -1,    -1,    -1,
      -1,    -1,    -1,   431,   432,    -1,    -1,    14,    15,    16,
      17,    18,    19,    20,    21,    -1,    23,    24,    25,    -1,
      -1,    -1,    -1,    -1,    31,    -1,    33,    34,    -1,    36,
      37,    -1,    39,    40,    41,    42,    43,    -1,    45,    46,
      -1,    48,    49,    50,    51,    52,    -1,    -1,    55,    56,
      57,    58,    59,    -1,    61,    62,    63,    64,    65,    -1,
      -1,    -1,    69,    70,    71,    72,    -1,    74,    75,    -1,
      77,    78,    79,    80,    81,    82,    -1,    84,    85,    86,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    94,    95,    96,
      97,    98,    99,   100,   101,   102,    -1,   104,    -1,   106,
     107,   108,   109,   110,    -1,   112,   113,   114,    -1,    -1,
     117,   118,   119,   120,   121,    -1,   123,   124,   125,    -1,
     127,   128,   129,    -1,   131,   132,   133,   134,   135,   136,
     137,   138,   139,    -1,   141,    -1,   143,   144,   145,    -1,
     147,    -1,   149,    -1,    -1,   152,   153,   154,   155,    -1,
     157,   158,    -1,   160,    -1,   162,   163,   164,   165,   166,
      -1,   168,   169,   170,    -1,   172,   173,   174,   175,   176,
     177,    -1,   179,   180,   181,   182,   183,   184,   185,   186,
     187,    -1,   189,    -1,   191,    -1,    -1,   194,   195,   196,
     197,   198,   199,   200,    -1,   202,   203,    -1,   205,   206,
     207,   208,    -1,    -1,   211,   212,   213,    -1,    -1,   216,
     217,   218,   219,   220,   221,   222,   223,   224,   225,   226,
     227,   228,   229,   230,   231,   232,   233,   234,    -1,   236,
     237,    -1,   239,    -1,   241,   242,   243,   244,   245,   246,
      -1,   248,    -1,    -1,   251,   252,   253,    -1,    -1,   256,
      -1,    -1,    -1,   260,   261,   262,   263,   264,   265,   266,
     267,    -1,   269,   270,   271,   272,   273,   274,   275,    -1,
     277,   278,   279,   280,   281,   282,   283,   284,   285,   286,
     287,   288,   289,    -1,   291,   292,   293,   294,   295,   296,
     297,   298,   299,   300,   301,    -1,   303,   304,   305,   306,
     307,   308,   309,   310,   311,   312,   313,   314,   315,   316,
      -1,   318,   319,   320,   321,   322,    -1,   324,   325,   326,
     327,    -1,   329,   330,   331,    -1,   333,   334,   335,   336,
     337,   338,   339,   340,   341,   342,   343,    -1,   345,   346,
      -1,   348,   349,   350,   351,   352,   353,    -1,   355,   356,
      -1,    -1,   359,   360,   361,   362,    -1,   364,   365,   366,
     367,   368,   369,   370,    -1,    -1,   373,   374,   375,   376,
     377,    -1,    -1,   380,   381,   382,   383,   384,   385,   386,
      -1,   388,    -1,   390,   391,   392,    -1,    -1,   395,    -1,
      -1,   398,   399,   400,   401,   402,   403,   404,   405,   406,
     407,   408,   409,   410,   411,   412,   413,   414,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,     3,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   432,    14,    15,    16,    17,
      18,    19,    20,    21,    -1,    23,    24,    25,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    33,    34,    -1,    36,    37,
      38,    39,    40,    41,    -1,    43,    44,    45,    46,    -1,
      48,    49,    50,    51,    52,    -1,    -1,    55,    56,    57,
      58,    59,    -1,    61,    62,    63,    64,    -1,    -1,    67,
      -1,    69,    70,    71,    72,    73,    74,    75,    -1,    77,
      78,    79,    80,    81,    82,    -1,    84,    85,    86,    -1,
      -1,    -1,    90,    -1,    -1,    -1,    94,    95,    96,    97,
      98,    99,   100,   101,   102,    -1,   104,    -1,   106,   107,
     108,   109,   110,    -1,   112,   113,   114,    -1,    -1,   117,
     118,   119,   120,   121,    -1,   123,   124,   125,    -1,   127,
     128,   129,    -1,   131,   132,   133,   134,    -1,   136,   137,
     138,    -1,    -1,   141,    -1,   143,   144,   145,    -1,   147,
      -1,   149,   150,    -1,   152,   153,   154,   155,    -1,   157,
      -1,    -1,   160,    -1,   162,   163,   164,   165,   166,   167,
     168,   169,   170,   171,   172,   173,   174,   175,   176,   177,
      -1,   179,   180,   181,   182,   183,   184,   185,   186,   187,
      -1,   189,    -1,   191,   192,   193,   194,   195,   196,   197,
     198,   199,   200,    -1,   202,   203,    -1,   205,    -1,   207,
     208,   209,    -1,   211,   212,   213,    -1,    -1,   216,   217,
     218,   219,   220,   221,   222,   223,   224,   225,   226,   227,
     228,   229,   230,   231,   232,   233,    -1,    -1,   236,   237,
     238,   239,    -1,    -1,   242,   243,   244,   245,   246,    -1,
     248,    -1,    -1,   251,   252,   253,    -1,    -1,   256,   257,
     258,   259,    -1,   261,   262,   263,   264,   265,   266,   267,
      -1,   269,    -1,   271,    -1,   273,   274,   275,    -1,   277,
     278,   279,   280,   281,   282,   283,   284,   285,   286,   287,
     288,   289,    -1,   291,   292,   293,   294,   295,   296,   297,
     298,   299,   300,   301,    -1,   303,   304,   305,   306,   307,
      -1,   309,   310,   311,   312,   313,   314,   315,   316,    -1,
     318,   319,   320,   321,   322,    -1,   324,   325,   326,   327,
     328,   329,   330,   331,    -1,   333,   334,   335,   336,   337,
     338,   339,   340,   341,   342,    -1,    -1,   345,   346,    -1,
     348,   349,   350,   351,   352,   353,    -1,   355,   356,    -1,
      -1,   359,    -1,   361,    -1,    -1,   364,   365,   366,   367,
     368,   369,   370,    -1,    -1,   373,   374,   375,   376,   377,
      -1,    -1,   380,   381,   382,   383,   384,    -1,   386,   387,
     388,   389,   390,   391,   392,    -1,    -1,   395,    -1,    -1,
     398,   399,   400,   401,   402,    -1,     3,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   412,   413,   414,    14,    15,    16,
      17,    18,    19,    20,    21,    -1,    23,    24,    25,    -1,
      -1,    -1,    -1,    -1,   432,    -1,    33,    34,    -1,    36,
      37,    38,    39,    40,    41,    -1,    43,    44,    45,    46,
      -1,    48,    49,    50,    51,    52,    -1,    -1,    55,    56,
      57,    58,    59,    -1,    61,    62,    63,    64,    -1,    -1,
      67,    -1,    69,    70,    71,    72,    73,    74,    75,    -1,
      77,    78,    79,    80,    81,    82,    -1,    84,    85,    86,
      -1,    -1,    -1,    90,    -1,    -1,    -1,    94,    95,    96,
      97,    98,    99,   100,   101,   102,    -1,   104,    -1,   106,
     107,   108,   109,   110,    -1,   112,   113,   114,    -1,    -1,
     117,   118,   119,   120,   121,    -1,   123,   124,   125,    -1,
     127,   128,   129,    -1,   131,   132,   133,   134,    -1,   136,
     137,   138,    -1,    -1,   141,    -1,   143,   144,   145,    -1,
     147,    -1,   149,   150,    -1,   152,   153,   154,   155,    -1,
     157,    -1,    -1,   160,    -1,   162,   163,   164,   165,   166,
     167,   168,   169,   170,   171,   172,   173,   174,   175,   176,
     177,    -1,   179,   180,   181,   182,   183,   184,   185,   186,
     187,    -1,   189,    -1,   191,   192,   193,   194,   195,   196,
     197,   198,   199,   200,    -1,   202,   203,    -1,   205,    -1,
     207,   208,   209,    -1,   211,   212,   213,    -1,    -1,   216,
     217,   218,   219,   220,   221,   222,   223,   224,   225,   226,
     227,   228,   229,   230,   231,   232,   233,    -1,    -1,   236,
     237,   238,   239,    -1,    -1,   242,   243,   244,   245,   246,
      -1,   248,    -1,    -1,   251,   252,   253,    -1,    -1,   256,
     257,   258,   259,    -1,   261,   262,   263,   264,   265,   266,
     267,    -1,   269,    -1,   271,    -1,   273,   274,   275,    -1,
     277,   278,   279,   280,   281,   282,   283,   284,   285,   286,
     287,   288,   289,    -1,   291,   292,   293,   294,   295,   296,
     297,   298,   299,   300,   301,    -1,   303,   304,   305,   306,
     307,    -1,   309,   310,   311,   312,   313,   314,   315,   316,
      -1,   318,   319,   320,   321,   322,    -1,   324,   325,   326,
     327,   328,   329,   330,   331,    -1,   333,   334,   335,   336,
     337,   338,   339,   340,   341,   342,    -1,    -1,   345,   346,
      -1,   348,   349,   350,   351,   352,   353,    -1,   355,   356,
      -1,    -1,   359,    -1,   361,    -1,    -1,   364,   365,   366,
     367,   368,   369,   370,    -1,    -1,   373,   374,   375,   376,
     377,    -1,    -1,   380,   381,   382,   383,   384,    -1,   386,
     387,   388,   389,   390,   391,   392,    -1,    -1,   395,    -1,
      -1,   398,   399,   400,   401,   402,    -1,     3,     4,     5,
       6,     7,     8,     9,    10,   412,   413,   414,    14,    15,
      16,    17,    18,    19,    20,    21,    -1,    23,    24,    25,
      -1,    -1,    -1,    -1,    30,   432,    -1,    33,    34,    -1,
      36,    37,    38,    39,    40,    41,    42,    43,    44,    45,
      46,    47,    48,    49,    50,    51,    52,    53,    54,    55,
      56,    57,    58,    59,    -1,    61,    62,    63,    64,    65,
      -1,    67,    -1,    69,    70,    71,    72,    73,    74,    75,
      -1,    77,    78,    79,    80,    81,    82,    -1,    84,    85,
      86,    87,    88,    89,    90,    91,    92,    93,    94,    95,
      96,    97,    98,    99,   100,   101,   102,    -1,   104,    -1,
     106,   107,   108,   109,   110,    -1,   112,   113,   114,    -1,
      -1,   117,   118,   119,   120,   121,    -1,   123,   124,   125,
      -1,   127,   128,   129,    -1,   131,   132,   133,   134,   135,
     136,   137,   138,   139,   140,   141,    -1,   143,   144,   145,
      -1,   147,    -1,   149,   150,   151,   152,   153,   154,   155,
      -1,   157,   158,    -1,   160,    -1,   162,   163,   164,   165,
     166,   167,   168,   169,   170,    -1,   172,   173,   174,   175,
     176,   177,    -1,   179,   180,   181,   182,   183,   184,   185,
     186,   187,    -1,   189,    -1,   191,   192,   193,   194,   195,
     196,   197,   198,   199,   200,    -1,   202,   203,   204,   205,
     206,   207,   208,   209,    -1,   211,   212,   213,   214,   215,
     216,   217,   218,   219,   220,   221,   222,   223,   224,   225,
     226,   227,   228,   229,   230,   231,   232,   233,   234,   235,
     236,   237,   238,   239,   240,   241,   242,   243,   244,   245,
     246,    -1,   248,    -1,    -1,   251,   252,   253,    -1,    -1,
     256,   257,   258,   259,   260,   261,   262,   263,   264,   265,
     266,   267,    -1,   269,   270,   271,   272,   273,   274,   275,
      -1,   277,   278,   279,   280,   281,   282,   283,   284,   285,
     286,   287,   288,   289,    -1,   291,   292,   293,   294,   295,
     296,   297,   298,   299,   300,   301,    -1,   303,   304,   305,
     306,   307,   308,   309,   310,   311,   312,   313,   314,   315,
     316,    -1,   318,   319,   320,   321,   322,   323,   324,   325,
     326,   327,   328,   329,   330,   331,    -1,   333,   334,   335,
     336,   337,   338,   339,   340,   341,   342,   343,    -1,   345,
     346,    -1,   348,   349,   350,   351,   352,   353,    -1,   355,
     356,    -1,   358,   359,   360,   361,   362,   363,   364,   365,
     366,   367,   368,   369,   370,    -1,   372,   373,   374,   375,
     376,   377,   378,    -1,   380,   381,   382,   383,   384,   385,
     386,    -1,   388,   389,   390,   391,   392,    -1,    -1,   395,
      -1,    -1,   398,   399,   400,   401,   402,   403,   404,   405,
     406,   407,   408,   409,   410,   411,   412,   413,   414,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   422,   423,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   431,     3,     4,     5,     6,
       7,     8,     9,    10,    -1,    -1,    -1,    14,    15,    16,
      17,    18,    19,    20,    21,    -1,    23,    24,    25,    -1,
      -1,    -1,    -1,    30,    -1,    -1,    33,    34,    -1,    36,
      37,    38,    39,    40,    41,    42,    43,    44,    45,    46,
      -1,    48,    49,    50,    51,    52,    53,    54,    55,    56,
      57,    58,    59,    -1,    61,    62,    63,    64,    65,    -1,
      67,    -1,    69,    70,    71,    72,    73,    74,    75,    -1,
      77,    78,    79,    80,    81,    82,    -1,    84,    85,    86,
      87,    88,    89,    90,    91,    92,    93,    94,    95,    96,
      97,    98,    99,   100,   101,   102,    -1,   104,    -1,   106,
     107,   108,   109,   110,    -1,   112,   113,   114,    -1,    -1,
     117,   118,   119,   120,   121,    -1,   123,   124,   125,    -1,
     127,   128,   129,    -1,   131,   132,   133,   134,   135,   136,
     137,   138,   139,   140,   141,    -1,   143,   144,   145,    -1,
     147,    -1,   149,   150,    -1,   152,   153,   154,   155,    -1,
     157,   158,    -1,   160,    -1,   162,   163,   164,   165,   166,
     167,   168,   169,   170,    -1,   172,   173,   174,   175,   176,
     177,    -1,   179,   180,   181,   182,   183,   184,   185,   186,
     187,    -1,   189,    -1,   191,   192,   193,   194,   195,   196,
     197,   198,   199,   200,    -1,   202,   203,    -1,   205,   206,
     207,   208,   209,    -1,   211,   212,   213,   214,   215,   216,
     217,   218,   219,   220,   221,   222,   223,   224,   225,   226,
     227,   228,   229,   230,   231,   232,   233,   234,   235,   236,
     237,   238,   239,   240,   241,   242,   243,   244,   245,   246,
      -1,   248,    -1,    -1,   251,   252,   253,    -1,    -1,   256,
     257,   258,   259,   260,   261,   262,   263,   264,   265,   266,
     267,    -1,   269,   270,   271,   272,   273,   274,   275,    -1,
     277,   278,   279,   280,   281,   282,   283,   284,   285,   286,
     287,   288,   289,    -1,   291,   292,   293,   294,   295,   296,
     297,   298,   299,   300,   301,    -1,   303,   304,   305,   306,
     307,   308,   309,   310,   311,   312,   313,   314,   315,   316,
     317,   318,   319,   320,   321,   322,   323,   324,   325,   326,
     327,   328,   329,   330,   331,    -1,   333,   334,   335,   336,
     337,   338,   339,   340,   341,   342,   343,    -1,   345,   346,
     347,   348,   349,   350,   351,   352,   353,    -1,   355,   356,
      -1,    -1,   359,   360,   361,   362,   363,   364,   365,   366,
     367,   368,   369,   370,    -1,   372,   373,   374,   375,   376,
     377,   378,    -1,   380,   381,   382,   383,   384,   385,   386,
      -1,   388,   389,   390,   391,   392,    -1,    -1,   395,    -1,
     397,   398,   399,   400,   401,   402,   403,   404,   405,   406,
     407,   408,   409,   410,   411,   412,   413,   414,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   422,   423,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   431,     3,     4,     5,     6,     7,
       8,     9,    10,    -1,    -1,    -1,    14,    15,    16,    17,
      18,    19,    20,    21,    -1,    23,    24,    25,    -1,    -1,
      -1,    -1,    30,    -1,    -1,    33,    34,    -1,    36,    37,
      38,    39,    40,    41,    42,    43,    44,    45,    46,    -1,
      48,    49,    50,    51,    52,    53,    54,    55,    56,    57,
      58,    59,    -1,    61,    62,    63,    64,    65,    -1,    67,
      -1,    69,    70,    71,    72,    73,    74,    75,    -1,    77,
      78,    79,    80,    81,    82,    -1,    84,    85,    86,    87,
      88,    89,    90,    91,    92,    93,    94,    95,    96,    97,
      98,    99,   100,   101,   102,    -1,   104,    -1,   106,   107,
     108,   109,   110,    -1,   112,   113,   114,    -1,    -1,   117,
     118,   119,   120,   121,    -1,   123,   124,   125,    -1,   127,
     128,   129,    -1,   131,   132,   133,   134,   135,   136,   137,
     138,   139,   140,   141,    -1,   143,   144,   145,    -1,   147,
      -1,   149,   150,    -1,   152,   153,   154,   155,    -1,   157,
     158,    -1,   160,    -1,   162,   163,   164,   165,   166,   167,
     168,   169,   170,    -1,   172,   173,   174,   175,   176,   177,
      -1,   179,   180,   181,   182,   183,   184,   185,   186,   187,
      -1,   189,    -1,   191,   192,   193,   194,   195,   196,   197,
     198,   199,   200,    -1,   202,   203,    -1,   205,   206,   207,
     208,   209,    -1,   211,   212,   213,   214,   215,   216,   217,
     218,   219,   220,   221,   222,   223,   224,   225,   226,   227,
     228,   229,   230,   231,   232,   233,   234,   235,   236,   237,
     238,   239,   240,   241,   242,   243,   244,   245,   246,    -1,
     248,    -1,    -1,   251,   252,   253,    -1,    -1,   256,   257,
     258,   259,   260,   261,   262,   263,   264,   265,   266,   267,
      -1,   269,   270,   271,   272,   273,   274,   275,    -1,   277,
     278,   279,   280,   281,   282,   283,   284,   285,   286,   287,
     288,   289,    -1,   291,   292,   293,   294,   295,   296,   297,
     298,   299,   300,   301,    -1,   303,   304,   305,   306,   307,
     308,   309,   310,   311,   312,   313,   314,   315,   316,    -1,
     318,   319,   320,   321,   322,   323,   324,   325,   326,   327,
     328,   329,   330,   331,    -1,   333,   334,   335,   336,   337,
     338,   339,   340,   341,   342,   343,    -1,   345,   346,    -1,
     348,   349,   350,   351,   352,   353,    -1,   355,   356,    -1,
      -1,   359,   360,   361,   362,   363,   364,   365,   366,   367,
     368,   369,   370,    -1,   372,   373,   374,   375,   376,   377,
     378,    -1,   380,   381,   382,   383,   384,   385,   386,    -1,
     388,   389,   390,   391,   392,    -1,    -1,   395,    -1,    -1,
     398,   399,   400,   401,   402,   403,   404,   405,   406,   407,
     408,   409,   410,   411,   412,   413,   414,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   422,   423,    -1,    -1,    -1,    -1,
      -1,   429,   430,   431,     3,     4,     5,     6,     7,     8,
       9,    10,    -1,    -1,    -1,    14,    15,    16,    17,    18,
      19,    20,    21,    -1,    23,    24,    25,    -1,    -1,    -1,
      -1,    30,    -1,    -1,    33,    34,    -1,    36,    37,    38,
      39,    40,    41,    42,    43,    44,    45,    46,    -1,    48,
      49,    50,    51,    52,    53,    54,    55,    56,    57,    58,
      59,    -1,    61,    62,    63,    64,    65,    -1,    67,    -1,
      69,    70,    71,    72,    73,    74,    75,    -1,    77,    78,
      79,    80,    81,    82,    -1,    84,    85,    86,    87,    88,
      89,    90,    91,    92,    93,    94,    95,    96,    97,    98,
      99,   100,   101,   102,    -1,   104,    -1,   106,   107,   108,
     109,   110,    -1,   112,   113,   114,    -1,    -1,   117,   118,
     119,   120,   121,    -1,   123,   124,   125,    -1,   127,   128,
     129,    -1,   131,   132,   133,   134,   135,   136,   137,   138,
     139,   140,   141,    -1,   143,   144,   145,    -1,   147,    -1,
     149,   150,    -1,   152,   153,   154,   155,    -1,   157,   158,
      -1,   160,    -1,   162,   163,   164,   165,   166,   167,   168,
     169,   170,    -1,   172,   173,   174,   175,   176,   177,    -1,
     179,   180,   181,   182,   183,   184,   185,   186,   187,    -1,
     189,    -1,   191,   192,   193,   194,   195,   196,   197,   198,
     199,   200,    -1,   202,   203,    -1,   205,   206,   207,   208,
     209,    -1,   211,   212,   213,   214,   215,   216,   217,   218,
     219,   220,   221,   222,   223,   224,   225,   226,   227,   228,
     229,   230,   231,   232,   233,   234,   235,   236,   237,   238,
     239,   240,   241,   242,   243,   244,   245,   246,    -1,   248,
      -1,    -1,   251,   252,   253,    -1,    -1,   256,   257,   258,
     259,   260,   261,   262,   263,   264,   265,   266,   267,    -1,
     269,   270,   271,   272,   273,   274,   275,    -1,   277,   278,
     279,   280,   281,   282,   283,   284,   285,   286,   287,   288,
     289,    -1,   291,   292,   293,   294,   295,   296,   297,   298,
     299,   300,   301,    -1,   303,   304,   305,   306,   307,   308,
     309,   310,   311,   312,   313,   314,   315,   316,    -1,   318,
     319,   320,   321,   322,   323,   324,   325,   326,   327,   328,
     329,   330,   331,    -1,   333,   334,   335,   336,   337,   338,
     339,   340,   341,   342,   343,    -1,   345,   346,    -1,   348,
     349,   350,   351,   352,   353,    -1,   355,   356,    -1,    -1,
     359,   360,   361,   362,   363,   364,   365,   366,   367,   368,
     369,   370,    -1,   372,   373,   374,   375,   376,   377,   378,
      -1,   380,   381,   382,   383,   384,   385,   386,    -1,   388,
     389,   390,   391,   392,    -1,    -1,   395,    -1,    -1,   398,
     399,   400,   401,   402,   403,   404,   405,   406,   407,   408,
     409,   410,   411,   412,   413,   414,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   422,   423,   424,    -1,    -1,    -1,    -1,
      -1,    -1,   431,     3,     4,     5,     6,     7,     8,     9,
      10,    -1,    -1,    -1,    14,    15,    16,    17,    18,    19,
      20,    21,    -1,    23,    24,    25,    -1,    -1,    -1,    -1,
      30,    -1,    -1,    33,    34,    -1,    36,    37,    38,    39,
      40,    41,    42,    43,    44,    45,    46,    -1,    48,    49,
      50,    51,    52,    53,    54,    55,    56,    57,    58,    59,
      -1,    61,    62,    63,    64,    65,    -1,    67,    -1,    69,
      70,    71,    72,    73,    74,    75,    -1,    77,    78,    79,
      80,    81,    82,    -1,    84,    85,    86,    87,    88,    89,
      90,    91,    92,    93,    94,    95,    96,    97,    98,    99,
     100,   101,   102,   103,   104,    -1,   106,   107,   108,   109,
     110,    -1,   112,   113,   114,    -1,    -1,   117,   118,   119,
     120,   121,    -1,   123,   124,   125,    -1,   127,   128,   129,
      -1,   131,   132,   133,   134,   135,   136,   137,   138,   139,
     140,   141,    -1,   143,   144,   145,    -1,   147,    -1,   149,
     150,    -1,   152,   153,   154,   155,    -1,   157,   158,    -1,
     160,    -1,   162,   163,   164,   165,   166,   167,   168,   169,
     170,    -1,   172,   173,   174,   175,   176,   177,    -1,   179,
     180,   181,   182,   183,   184,   185,   186,   187,    -1,   189,
      -1,   191,   192,   193,   194,   195,   196,   197,   198,   199,
     200,    -1,   202,   203,    -1,   205,   206,   207,   208,   209,
      -1,   211,   212,   213,   214,   215,   216,   217,   218,   219,
     220,   221,   222,   223,   224,   225,   226,   227,   228,   229,
     230,   231,   232,   233,   234,   235,   236,   237,   238,   239,
     240,   241,   242,   243,   244,   245,   246,    -1,   248,    -1,
      -1,   251,   252,   253,    -1,    -1,   256,   257,   258,   259,
     260,   261,   262,   263,   264,   265,   266,   267,    -1,   269,
     270,   271,   272,   273,   274,   275,    -1,   277,   278,   279,
     280,   281,   282,   283,   284,   285,   286,   287,   288,   289,
      -1,   291,   292,   293,   294,   295,   296,   297,   298,   299,
     300,   301,    -1,   303,   304,   305,   306,   307,   308,   309,
     310,   311,   312,   313,   314,   315,   316,    -1,   318,   319,
     320,   321,   322,   323,   324,   325,   326,   327,   328,   329,
     330,   331,    -1,   333,   334,   335,   336,   337,   338,   339,
     340,   341,   342,   343,    -1,   345,   346,    -1,   348,   349,
     350,   351,   352,   353,    -1,   355,   356,    -1,    -1,   359,
     360,   361,   362,   363,   364,   365,   366,   367,   368,   369,
     370,    -1,   372,   373,   374,   375,   376,   377,   378,    -1,
     380,   381,   382,   383,   384,   385,   386,    -1,   388,   389,
     390,   391,   392,    -1,    -1,   395,    -1,    -1,   398,   399,
     400,   401,   402,   403,   404,   405,   406,   407,   408,   409,
     410,   411,   412,   413,   414,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   422,   423,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   431,     3,     4,     5,     6,     7,     8,     9,    10,
      -1,    -1,    -1,    14,    15,    16,    17,    18,    19,    20,
      21,    22,    23,    24,    25,    -1,    -1,    -1,    -1,    30,
      -1,    -1,    33,    34,    -1,    36,    37,    38,    39,    40,
      41,    42,    43,    44,    45,    46,    -1,    48,    49,    50,
      51,    52,    53,    54,    55,    56,    57,    58,    59,    -1,
      61,    62,    63,    64,    65,    -1,    67,    -1,    69,    70,
      71,    72,    73,    74,    75,    -1,    77,    78,    79,    80,
      81,    82,    -1,    84,    85,    86,    87,    88,    89,    90,
      91,    92,    93,    94,    95,    96,    97,    98,    99,   100,
     101,   102,    -1,   104,    -1,   106,   107,   108,   109,   110,
      -1,   112,   113,   114,    -1,    -1,   117,   118,   119,   120,
     121,    -1,   123,   124,   125,    -1,   127,   128,   129,    -1,
     131,   132,   133,   134,   135,   136,   137,   138,   139,   140,
     141,    -1,   143,   144,   145,    -1,   147,    -1,   149,   150,
      -1,   152,   153,   154,   155,    -1,   157,   158,    -1,   160,
      -1,   162,   163,   164,   165,   166,   167,   168,   169,   170,
      -1,   172,   173,   174,   175,   176,   177,    -1,   179,   180,
     181,   182,   183,   184,   185,   186,   187,    -1,   189,    -1,
     191,   192,   193,   194,   195,   196,   197,   198,   199,   200,
      -1,   202,   203,    -1,   205,   206,   207,   208,   209,    -1,
     211,   212,   213,   214,   215,   216,   217,   218,   219,   220,
     221,   222,   223,   224,   225,   226,   227,   228,   229,   230,
     231,   232,   233,   234,   235,   236,   237,   238,   239,   240,
     241,   242,   243,   244,   245,   246,    -1,   248,    -1,    -1,
     251,   252,   253,    -1,    -1,   256,   257,   258,   259,   260,
     261,   262,   263,   264,   265,   266,   267,    -1,   269,   270,
     271,   272,   273,   274,   275,    -1,   277,   278,   279,   280,
     281,   282,   283,   284,   285,   286,   287,   288,   289,    -1,
     291,   292,   293,   294,   295,   296,   297,   298,   299,   300,
     301,    -1,   303,   304,   305,   306,   307,   308,   309,   310,
     311,   312,   313,   314,   315,   316,    -1,   318,   319,   320,
     321,   322,   323,   324,   325,   326,   327,   328,   329,   330,
     331,    -1,   333,   334,   335,   336,   337,   338,   339,   340,
     341,   342,   343,    -1,   345,   346,    -1,   348,   349,   350,
     351,   352,   353,    -1,   355,   356,    -1,    -1,   359,   360,
     361,   362,   363,   364,   365,   366,   367,   368,   369,   370,
      -1,   372,   373,   374,   375,   376,   377,   378,    -1,   380,
     381,   382,   383,   384,   385,   386,    -1,   388,   389,   390,
     391,   392,    -1,    -1,   395,    -1,    -1,   398,   399,   400,
     401,   402,   403,   404,   405,   406,   407,   408,   409,   410,
     411,   412,   413,   414,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   422,   423,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     431,     3,     4,     5,     6,     7,     8,     9,    10,    -1,
      -1,    -1,    14,    15,    16,    17,    18,    19,    20,    21,
      -1,    23,    24,    25,    -1,    -1,    -1,    -1,    30,    -1,
      -1,    33,    34,    -1,    36,    37,    38,    39,    40,    41,
      42,    43,    44,    45,    46,    -1,    48,    49,    50,    51,
      52,    53,    54,    55,    56,    57,    58,    59,    -1,    61,
      62,    63,    64,    65,    -1,    67,    -1,    69,    70,    71,
      72,    73,    74,    75,    -1,    77,    78,    79,    80,    81,
      82,    -1,    84,    85,    86,    87,    88,    89,    90,    91,
      92,    93,    94,    95,    96,    97,    98,    99,   100,   101,
     102,    -1,   104,    -1,   106,   107,   108,   109,   110,    -1,
     112,   113,   114,    -1,    -1,   117,   118,   119,   120,   121,
      -1,   123,   124,   125,    -1,   127,   128,   129,    -1,   131,
     132,   133,   134,   135,   136,   137,   138,   139,   140,   141,
      -1,   143,   144,   145,    -1,   147,    -1,   149,   150,   151,
     152,   153,   154,   155,    -1,   157,   158,    -1,   160,    -1,
     162,   163,   164,   165,   166,   167,   168,   169,   170,    -1,
     172,   173,   174,   175,   176,   177,    -1,   179,   180,   181,
     182,   183,   184,   185,   186,   187,    -1,   189,    -1,   191,
     192,   193,   194,   195,   196,   197,   198,   199,   200,    -1,
     202,   203,    -1,   205,   206,   207,   208,   209,    -1,   211,
     212,   213,   214,   215,   216,   217,   218,   219,   220,   221,
     222,   223,   224,   225,   226,   227,   228,   229,   230,   231,
     232,   233,   234,   235,   236,   237,   238,   239,   240,   241,
     242,   243,   244,   245,   246,    -1,   248,    -1,    -1,   251,
     252,   253,    -1,    -1,   256,   257,   258,   259,   260,   261,
     262,   263,   264,   265,   266,   267,    -1,   269,   270,   271,
     272,   273,   274,   275,    -1,   277,   278,   279,   280,   281,
     282,   283,   284,   285,   286,   287,   288,   289,    -1,   291,
     292,   293,   294,   295,   296,   297,   298,   299,   300,   301,
      -1,   303,   304,   305,   306,   307,   308,   309,   310,   311,
     312,   313,   314,   315,   316,    -1,   318,   319,   320,   321,
     322,   323,   324,   325,   326,   327,   328,   329,   330,   331,
      -1,   333,   334,   335,   336,   337,   338,   339,   340,   341,
     342,   343,    -1,   345,   346,    -1,   348,   349,   350,   351,
     352,   353,    -1,   355,   356,    -1,    -1,   359,   360,   361,
     362,   363,   364,   365,   366,   367,   368,   369,   370,    -1,
     372,   373,   374,   375,   376,   377,   378,    -1,   380,   381,
     382,   383,   384,   385,   386,    -1,   388,   389,   390,   391,
     392,    -1,    -1,   395,    -1,    -1,   398,   399,   400,   401,
     402,   403,   404,   405,   406,   407,   408,   409,   410,   411,
     412,   413,   414,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     422,   423,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   431,
       3,     4,     5,     6,     7,     8,     9,    10,    -1,    -1,
      -1,    14,    15,    16,    17,    18,    19,    20,    21,    -1,
      23,    24,    25,    -1,    -1,    -1,    -1,    30,    -1,    -1,
      33,    34,    -1,    36,    37,    38,    39,    40,    41,    42,
      43,    44,    45,    46,    -1,    48,    49,    50,    51,    52,
      53,    54,    55,    56,    57,    58,    59,    -1,    61,    62,
      63,    64,    65,    -1,    67,    -1,    69,    70,    71,    72,
      73,    74,    75,    -1,    77,    78,    79,    80,    81,    82,
      -1,    84,    85,    86,    87,    88,    89,    90,    91,    92,
      93,    94,    95,    96,    97,    98,    99,   100,   101,   102,
      -1,   104,    -1,   106,   107,   108,   109,   110,    -1,   112,
     113,   114,    -1,    -1,   117,   118,   119,   120,   121,    -1,
     123,   124,   125,    -1,   127,   128,   129,    -1,   131,   132,
     133,   134,   135,   136,   137,   138,   139,   140,   141,    -1,
     143,   144,   145,    -1,   147,    -1,   149,   150,    -1,   152,
     153,   154,   155,    -1,   157,   158,    -1,   160,    -1,   162,
     163,   164,   165,   166,   167,   168,   169,   170,    -1,   172,
     173,   174,   175,   176,   177,    -1,   179,   180,   181,   182,
     183,   184,   185,   186,   187,    -1,   189,    -1,   191,   192,
     193,   194,   195,   196,   197,   198,   199,   200,    -1,   202,
     203,    -1,   205,   206,   207,   208,   209,    -1,   211,   212,
     213,   214,   215,   216,   217,   218,   219,   220,   221,   222,
     223,   224,   225,   226,   227,   228,   229,   230,   231,   232,
     233,   234,   235,   236,   237,   238,   239,   240,   241,   242,
     243,   244,   245,   246,    -1,   248,    -1,    -1,   251,   252,
     253,    -1,    -1,   256,   257,   258,   259,   260,   261,   262,
     263,   264,   265,   266,   267,    -1,   269,   270,   271,   272,
     273,   274,   275,    -1,   277,   278,   279,   280,   281,   282,
     283,   284,   285,   286,   287,   288,   289,    -1,   291,   292,
     293,   294,   295,   296,   297,   298,   299,   300,   301,    -1,
     303,   304,   305,   306,   307,   308,   309,   310,   311,   312,
     313,   314,   315,   316,    -1,   318,   319,   320,   321,   322,
     323,   324,   325,   326,   327,   328,   329,   330,   331,    -1,
     333,   334,   335,   336,   337,   338,   339,   340,   341,   342,
     343,    -1,   345,   346,    -1,   348,   349,   350,   351,   352,
     353,    -1,   355,   356,    -1,    -1,   359,   360,   361,   362,
     363,   364,   365,   366,   367,   368,   369,   370,    -1,   372,
     373,   374,   375,   376,   377,   378,    -1,   380,   381,   382,
     383,   384,   385,   386,   387,   388,   389,   390,   391,   392,
      -1,    -1,   395,    -1,    -1,   398,   399,   400,   401,   402,
     403,   404,   405,   406,   407,   408,   409,   410,   411,   412,
     413,   414,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   422,
     423,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   431,     3,
       4,     5,     6,     7,     8,     9,    10,    -1,    -1,    -1,
      14,    15,    16,    17,    18,    19,    20,    21,    -1,    23,
      24,    25,    -1,    -1,    -1,    -1,    30,    -1,    -1,    33,
      34,    -1,    36,    37,    38,    39,    40,    41,    42,    43,
      44,    45,    46,    -1,    48,    49,    50,    51,    52,    53,
      54,    55,    56,    57,    58,    59,    -1,    61,    62,    63,
      64,    65,    -1,    67,    -1,    69,    70,    71,    72,    73,
      74,    75,    -1,    77,    78,    79,    80,    81,    82,    -1,
      84,    85,    86,    87,    88,    89,    90,    91,    92,    93,
      94,    95,    96,    97,    98,    99,   100,   101,   102,    -1,
     104,    -1,   106,   107,   108,   109,   110,    -1,   112,   113,
     114,    -1,    -1,   117,   118,   119,   120,   121,    -1,   123,
     124,   125,    -1,   127,   128,   129,    -1,   131,   132,   133,
     134,   135,   136,   137,   138,   139,   140,   141,    -1,   143,
     144,   145,    -1,   147,    -1,   149,   150,    -1,   152,   153,
     154,   155,    -1,   157,   158,    -1,   160,    -1,   162,   163,
     164,   165,   166,   167,   168,   169,   170,    -1,   172,   173,
     174,   175,   176,   177,    -1,   179,   180,   181,   182,   183,
     184,   185,   186,   187,    -1,   189,    -1,   191,   192,   193,
     194,   195,   196,   197,   198,   199,   200,    -1,   202,   203,
      -1,   205,   206,   207,   208,   209,    -1,   211,   212,   213,
     214,   215,   216,   217,   218,   219,   220,   221,   222,   223,
     224,   225,   226,   227,   228,   229,   230,   231,   232,   233,
     234,   235,   236,   237,   238,   239,   240,   241,   242,   243,
     244,   245,   246,    -1,   248,    -1,    -1,   251,   252,   253,
      -1,    -1,   256,   257,   258,   259,   260,   261,   262,   263,
     264,   265,   266,   267,    -1,   269,   270,   271,   272,   273,
     274,   275,    -1,   277,   278,   279,   280,   281,   282,   283,
     284,   285,   286,   287,   288,   289,    -1,   291,   292,   293,
     294,   295,   296,   297,   298,   299,   300,   301,    -1,   303,
     304,   305,   306,   307,   308,   309,   310,   311,   312,   313,
     314,   315,   316,    -1,   318,   319,   320,   321,   322,   323,
     324,   325,   326,   327,   328,   329,   330,   331,    -1,   333,
     334,   335,   336,   337,   338,   339,   340,   341,   342,   343,
      -1,   345,   346,    -1,   348,   349,   350,   351,   352,   353,
      -1,   355,   356,    -1,    -1,   359,   360,   361,   362,   363,
     364,   365,   366,   367,   368,   369,   370,    -1,   372,   373,
     374,   375,   376,   377,   378,    -1,   380,   381,   382,   383,
     384,   385,   386,    -1,   388,   389,   390,   391,   392,    -1,
      -1,   395,    -1,    -1,   398,   399,   400,   401,   402,   403,
     404,   405,   406,   407,   408,   409,   410,   411,   412,   413,
     414,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   422,   423,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   431,     3,     4,
       5,     6,     7,     8,     9,    10,    -1,    -1,    -1,    14,
      15,    16,    17,    18,    19,    20,    21,    -1,    23,    24,
      25,    -1,    -1,    -1,    -1,    30,    -1,    -1,    33,    34,
      -1,    36,    37,    38,    39,    40,    41,    42,    43,    44,
      45,    46,    -1,    48,    49,    50,    51,    52,    53,    54,
      55,    56,    57,    58,    59,    -1,    61,    62,    63,    64,
      65,    -1,    67,    -1,    69,    70,    71,    72,    73,    74,
      75,    -1,    77,    78,    79,    80,    81,    82,    -1,    84,
      85,    86,    87,    88,    89,    90,    91,    92,    93,    94,
      95,    96,    97,    98,    99,   100,   101,   102,    -1,   104,
      -1,   106,   107,   108,   109,   110,    -1,   112,   113,   114,
      -1,    -1,   117,   118,   119,   120,   121,    -1,   123,   124,
     125,    -1,   127,   128,   129,    -1,   131,   132,   133,   134,
     135,   136,   137,   138,   139,   140,   141,    -1,   143,   144,
     145,    -1,   147,    -1,   149,   150,    -1,   152,   153,   154,
     155,    -1,   157,   158,    -1,   160,    -1,   162,   163,   164,
     165,   166,   167,   168,   169,   170,    -1,   172,   173,   174,
     175,   176,   177,    -1,   179,   180,   181,   182,   183,   184,
     185,   186,   187,    -1,   189,    -1,   191,   192,   193,   194,
     195,   196,   197,   198,   199,   200,    -1,   202,   203,    -1,
     205,   206,   207,   208,   209,    -1,   211,   212,   213,   214,
     215,   216,   217,   218,   219,   220,   221,   222,   223,   224,
     225,   226,   227,   228,   229,   230,   231,   232,   233,   234,
     235,   236,   237,   238,   239,   240,   241,   242,   243,   244,
     245,   246,    -1,   248,    -1,    -1,   251,   252,   253,    -1,
      -1,   256,   257,   258,   259,   260,   261,   262,   263,   264,
     265,   266,   267,    -1,   269,   270,   271,   272,   273,   274,
     275,    -1,   277,   278,   279,   280,   281,   282,   283,   284,
     285,   286,   287,   288,   289,    -1,   291,   292,   293,   294,
     295,   296,   297,   298,   299,   300,   301,    -1,   303,   304,
     305,   306,   307,   308,   309,   310,   311,   312,   313,   314,
     315,   316,    -1,   318,   319,   320,   321,   322,   323,   324,
     325,   326,   327,   328,   329,   330,   331,    -1,   333,   334,
     335,   336,   337,   338,   339,   340,   341,   342,   343,    -1,
     345,   346,    -1,   348,   349,   350,   351,   352,   353,    -1,
     355,   356,    -1,    -1,   359,   360,   361,   362,   363,   364,
     365,   366,   367,   368,   369,   370,    -1,   372,   373,   374,
     375,   376,   377,   378,    -1,   380,   381,   382,   383,   384,
     385,   386,    -1,   388,   389,   390,   391,   392,    -1,    -1,
     395,    -1,    -1,   398,   399,   400,   401,   402,   403,   404,
     405,   406,   407,   408,   409,   410,   411,   412,   413,   414,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   422,   423,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   431,     3,     4,     5,
       6,     7,     8,     9,    10,    -1,    -1,    -1,    14,    15,
      16,    17,    18,    19,    20,    21,    -1,    23,    24,    25,
      -1,    -1,    -1,    -1,    30,    -1,    -1,    33,    34,    -1,
      36,    37,    38,    39,    40,    41,    42,    43,    44,    45,
      46,    -1,    48,    49,    50,    51,    52,    53,    54,    55,
      56,    57,    58,    59,    -1,    61,    62,    63,    64,    65,
      -1,    67,    -1,    69,    70,    71,    72,    73,    74,    75,
      -1,    77,    78,    79,    80,    81,    82,    -1,    84,    85,
      86,    87,    88,    89,    90,    91,    92,    93,    94,    95,
      96,    97,    98,    99,   100,   101,   102,    -1,   104,    -1,
     106,   107,   108,   109,   110,    -1,   112,   113,   114,    -1,
      -1,   117,   118,   119,   120,   121,    -1,   123,   124,   125,
      -1,   127,   128,   129,    -1,   131,   132,   133,   134,   135,
     136,   137,   138,   139,   140,   141,    -1,   143,   144,   145,
      -1,   147,    -1,   149,   150,    -1,   152,   153,   154,   155,
      -1,   157,   158,    -1,   160,    -1,   162,   163,   164,   165,
     166,   167,   168,   169,   170,    -1,   172,   173,   174,   175,
     176,   177,    -1,   179,   180,   181,   182,   183,   184,   185,
     186,   187,    -1,   189,    -1,   191,   192,   193,   194,   195,
     196,   197,   198,   199,   200,    -1,   202,   203,    -1,   205,
     206,   207,   208,   209,    -1,   211,   212,   213,   214,   215,
     216,   217,   218,   219,   220,   221,   222,   223,   224,   225,
     226,   227,   228,   229,   230,   231,   232,   233,   234,   235,
     236,   237,   238,   239,   240,   241,   242,   243,   244,   245,
     246,    -1,   248,    -1,    -1,   251,   252,   253,    -1,    -1,
     256,   257,   258,   259,   260,   261,   262,   263,   264,   265,
     266,   267,    -1,   269,   270,   271,   272,   273,   274,   275,
      -1,   277,   278,   279,   280,   281,   282,   283,   284,   285,
     286,   287,   288,   289,    -1,   291,   292,   293,   294,   295,
     296,   297,   298,   299,   300,   301,    -1,   303,   304,   305,
     306,   307,   308,   309,   310,   311,   312,   313,   314,   315,
     316,    -1,   318,   319,   320,   321,   322,   323,   324,   325,
     326,   327,   328,   329,   330,   331,    -1,   333,   334,   335,
     336,   337,   338,   339,   340,   341,   342,   343,    -1,   345,
     346,    -1,   348,   349,   350,   351,   352,   353,    -1,   355,
     356,    -1,    -1,   359,   360,   361,   362,   363,   364,   365,
     366,   367,   368,   369,   370,    -1,   372,   373,   374,   375,
     376,   377,   378,    -1,   380,   381,   382,   383,   384,   385,
     386,    -1,   388,   389,   390,   391,   392,    -1,    -1,   395,
      -1,    -1,   398,   399,   400,   401,   402,   403,   404,   405,
     406,   407,   408,   409,   410,   411,   412,   413,   414,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   422,   423,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   431,     3,     4,     5,     6,
       7,     8,     9,    10,    -1,    -1,    -1,    14,    15,    16,
      17,    18,    19,    20,    21,    -1,    23,    24,    25,    -1,
      -1,    -1,    -1,    30,    -1,    -1,    33,    34,    -1,    36,
      37,    38,    39,    40,    41,    42,    43,    44,    45,    46,
      -1,    48,    49,    50,    51,    52,    53,    54,    55,    56,
      57,    58,    59,    -1,    61,    62,    63,    64,    65,    -1,
      67,    -1,    69,    70,    71,    72,    73,    74,    75,    -1,
      77,    78,    79,    80,    81,    82,    -1,    84,    85,    86,
      87,    88,    89,    90,    91,    92,    93,    94,    95,    96,
      97,    98,    99,   100,   101,   102,    -1,   104,    -1,   106,
     107,   108,   109,   110,    -1,   112,   113,   114,    -1,    -1,
     117,   118,   119,   120,   121,    -1,   123,   124,   125,    -1,
     127,   128,   129,    -1,   131,   132,   133,   134,   135,   136,
     137,   138,   139,   140,   141,    -1,   143,   144,   145,    -1,
     147,    -1,   149,   150,    -1,   152,   153,   154,   155,    -1,
     157,   158,    -1,   160,    -1,   162,   163,   164,   165,   166,
     167,   168,   169,   170,    -1,   172,   173,   174,   175,   176,
     177,    -1,   179,   180,   181,   182,   183,   184,   185,   186,
     187,    -1,   189,    -1,   191,   192,   193,   194,   195,   196,
     197,   198,   199,   200,    -1,   202,   203,    -1,   205,   206,
     207,   208,   209,    -1,   211,   212,   213,   214,   215,   216,
     217,   218,   219,   220,   221,   222,   223,   224,   225,   226,
     227,   228,   229,   230,   231,   232,   233,   234,   235,   236,
     237,   238,   239,   240,   241,   242,   243,   244,   245,   246,
      -1,   248,    -1,    -1,   251,   252,   253,    -1,    -1,   256,
     257,   258,   259,   260,   261,   262,   263,   264,   265,   266,
     267,    -1,   269,   270,   271,   272,   273,   274,   275,    -1,
     277,   278,   279,   280,   281,   282,   283,   284,   285,   286,
     287,   288,   289,    -1,   291,   292,   293,   294,   295,   296,
     297,   298,   299,   300,   301,    -1,   303,   304,   305,   306,
     307,   308,   309,   310,   311,   312,   313,   314,   315,   316,
      -1,   318,   319,   320,   321,   322,   323,   324,   325,   326,
     327,   328,   329,   330,   331,    -1,   333,   334,   335,   336,
     337,   338,   339,   340,   341,   342,   343,    -1,   345,   346,
      -1,   348,   349,   350,   351,   352,   353,    -1,   355,   356,
      -1,    -1,   359,   360,   361,   362,   363,   364,   365,   366,
     367,   368,   369,   370,    -1,   372,   373,   374,   375,   376,
     377,   378,    -1,   380,   381,   382,   383,   384,   385,   386,
      -1,   388,   389,   390,   391,   392,    -1,    -1,   395,    -1,
      -1,   398,   399,   400,   401,   402,   403,   404,   405,   406,
     407,   408,   409,   410,   411,   412,   413,   414,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   422,   423,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   431,     3,     4,     5,     6,     7,
       8,     9,    10,    -1,    -1,    -1,    14,    15,    16,    17,
      18,    19,    20,    21,    -1,    23,    24,    25,    -1,    -1,
      -1,    -1,    30,    -1,    -1,    33,    34,    -1,    36,    37,
      38,    39,    40,    41,    42,    43,    44,    45,    46,    -1,
      48,    49,    50,    51,    52,    53,    54,    55,    56,    57,
      58,    59,    -1,    61,    62,    63,    64,    65,    -1,    67,
      -1,    69,    70,    71,    72,    73,    74,    75,    -1,    77,
      78,    79,    80,    81,    82,    -1,    84,    85,    86,    87,
      88,    89,    90,    91,    92,    93,    94,    95,    96,    97,
      98,    99,   100,   101,   102,    -1,   104,    -1,   106,   107,
     108,   109,   110,    -1,   112,   113,   114,    -1,    -1,   117,
     118,   119,   120,   121,    -1,   123,   124,   125,    -1,   127,
     128,   129,    -1,   131,   132,   133,   134,   135,   136,   137,
     138,   139,   140,   141,    -1,   143,   144,   145,    -1,   147,
      -1,   149,   150,    -1,   152,   153,   154,   155,    -1,   157,
     158,    -1,   160,    -1,   162,   163,   164,   165,   166,   167,
     168,   169,   170,    -1,   172,   173,   174,   175,   176,   177,
      -1,   179,   180,   181,   182,   183,   184,   185,   186,   187,
      -1,   189,    -1,   191,   192,   193,   194,   195,   196,   197,
     198,   199,   200,    -1,   202,   203,    -1,   205,   206,   207,
     208,   209,    -1,   211,   212,   213,   214,   215,   216,   217,
     218,   219,   220,   221,   222,   223,   224,   225,   226,   227,
     228,   229,   230,   231,   232,   233,   234,   235,   236,   237,
     238,   239,   240,   241,   242,   243,   244,   245,   246,    -1,
     248,    -1,    -1,   251,   252,   253,    -1,    -1,   256,   257,
     258,   259,   260,   261,   262,   263,   264,   265,   266,   267,
      -1,   269,   270,   271,   272,   273,   274,   275,    -1,   277,
     278,   279,   280,   281,   282,   283,   284,   285,   286,   287,
     288,   289,    -1,   291,   292,   293,   294,   295,   296,   297,
     298,   299,   300,   301,    -1,   303,   304,   305,   306,   307,
     308,   309,   310,   311,   312,   313,   314,   315,   316,    -1,
     318,   319,   320,   321,   322,   323,   324,   325,   326,   327,
     328,   329,   330,   331,    -1,   333,   334,   335,   336,   337,
     338,   339,   340,   341,   342,   343,    -1,   345,   346,    -1,
     348,   349,   350,   351,   352,   353,    -1,   355,   356,    -1,
      -1,   359,   360,   361,   362,   363,   364,   365,   366,   367,
     368,   369,   370,    -1,   372,   373,   374,   375,   376,   377,
     378,    -1,   380,   381,   382,   383,   384,   385,   386,    -1,
     388,   389,   390,   391,   392,    -1,    -1,   395,    -1,    -1,
     398,   399,   400,   401,   402,   403,   404,   405,   406,   407,
     408,   409,   410,   411,   412,   413,   414,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   422,   423,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   431,     3,     4,     5,     6,     7,     8,
       9,    10,    -1,    -1,    -1,    14,    15,    16,    17,    18,
      19,    20,    21,    -1,    23,    24,    25,    -1,    -1,    -1,
      -1,    30,    -1,    -1,    33,    34,    -1,    36,    37,    38,
      39,    40,    41,    42,    43,    44,    45,    46,    -1,    48,
      49,    50,    51,    52,    53,    54,    55,    56,    57,    58,
      59,    -1,    61,    62,    63,    64,    65,    -1,    67,    -1,
      69,    70,    71,    72,    73,    74,    75,    -1,    77,    78,
      79,    80,    81,    82,    -1,    84,    85,    86,    87,    88,
      89,    90,    91,    92,    93,    94,    95,    96,    97,    98,
      99,   100,   101,   102,    -1,   104,    -1,   106,   107,   108,
     109,   110,    -1,   112,   113,   114,    -1,    -1,   117,   118,
     119,   120,   121,    -1,   123,   124,   125,    -1,   127,   128,
     129,    -1,   131,   132,   133,   134,   135,   136,   137,   138,
     139,   140,   141,    -1,   143,   144,   145,    -1,   147,    -1,
     149,   150,    -1,   152,   153,   154,   155,    -1,   157,   158,
      -1,   160,    -1,   162,   163,   164,   165,   166,   167,   168,
     169,   170,    -1,   172,   173,   174,   175,   176,   177,    -1,
     179,   180,   181,   182,   183,   184,   185,   186,   187,    -1,
     189,    -1,   191,   192,   193,   194,   195,   196,   197,   198,
     199,   200,    -1,   202,   203,    -1,   205,   206,   207,   208,
     209,    -1,   211,   212,   213,   214,   215,   216,   217,   218,
     219,   220,   221,   222,   223,   224,   225,   226,   227,   228,
     229,   230,   231,   232,   233,   234,   235,   236,   237,   238,
     239,   240,   241,   242,   243,   244,   245,   246,    -1,   248,
      -1,    -1,   251,   252,   253,    -1,    -1,   256,   257,   258,
     259,   260,   261,   262,   263,   264,   265,   266,   267,    -1,
     269,   270,   271,   272,   273,   274,   275,    -1,   277,   278,
     279,   280,   281,   282,   283,   284,   285,   286,   287,   288,
     289,    -1,   291,   292,   293,   294,   295,   296,   297,   298,
     299,   300,   301,    -1,   303,   304,   305,   306,   307,   308,
     309,   310,   311,   312,   313,   314,   315,   316,    -1,   318,
     319,   320,   321,   322,   323,   324,   325,   326,   327,   328,
     329,   330,   331,    -1,   333,   334,   335,   336,   337,   338,
     339,   340,   341,   342,   343,    -1,   345,   346,    -1,   348,
     349,   350,   351,   352,   353,    -1,   355,   356,    -1,    -1,
     359,   360,   361,   362,   363,   364,   365,   366,   367,   368,
     369,   370,    -1,   372,   373,   374,   375,   376,   377,   378,
      -1,   380,   381,   382,   383,   384,   385,   386,    -1,   388,
     389,   390,   391,   392,    -1,    -1,   395,    -1,    -1,   398,
     399,   400,   401,   402,   403,   404,   405,   406,   407,   408,
     409,   410,   411,   412,   413,   414,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   422,   423,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   431,     3,     4,     5,     6,     7,     8,     9,
      10,    -1,    -1,    -1,    14,    15,    16,    17,    18,    19,
      20,    21,    -1,    23,    24,    25,    -1,    -1,    -1,    -1,
      30,    -1,    -1,    33,    34,    -1,    36,    37,    38,    39,
      40,    41,    42,    43,    44,    45,    46,    -1,    48,    49,
      50,    51,    52,    53,    54,    55,    56,    57,    58,    59,
      -1,    61,    62,    63,    64,    65,    -1,    67,    -1,    69,
      70,    71,    72,    73,    74,    75,    -1,    77,    78,    79,
      80,    81,    82,    -1,    84,    85,    86,    87,    88,    89,
      90,    91,    92,    93,    94,    95,    96,    97,    98,    99,
     100,   101,   102,    -1,   104,    -1,   106,   107,   108,   109,
     110,    -1,   112,   113,   114,    -1,    -1,   117,   118,   119,
     120,   121,    -1,   123,   124,   125,    -1,   127,   128,   129,
      -1,   131,   132,   133,   134,   135,   136,   137,   138,   139,
     140,   141,    -1,   143,   144,   145,    -1,   147,    -1,   149,
     150,    -1,   152,   153,   154,   155,    -1,   157,   158,    -1,
     160,    -1,   162,   163,   164,   165,   166,   167,   168,   169,
     170,    -1,   172,   173,   174,   175,   176,   177,    -1,   179,
     180,   181,   182,   183,   184,   185,   186,   187,    -1,   189,
      -1,   191,   192,   193,   194,   195,   196,   197,   198,   199,
     200,    -1,   202,   203,    -1,   205,   206,   207,   208,   209,
      -1,   211,   212,   213,   214,   215,   216,   217,   218,   219,
     220,   221,   222,   223,   224,   225,   226,   227,   228,   229,
     230,   231,   232,   233,   234,    -1,   236,   237,   238,   239,
     240,   241,   242,   243,   244,   245,   246,    -1,   248,    -1,
      -1,   251,   252,   253,    -1,    -1,   256,   257,   258,   259,
     260,   261,   262,   263,   264,   265,   266,   267,    -1,   269,
     270,   271,   272,   273,   274,   275,    -1,   277,   278,   279,
     280,   281,   282,   283,   284,   285,   286,   287,   288,   289,
      -1,   291,   292,   293,   294,   295,   296,   297,   298,   299,
     300,   301,    -1,   303,   304,   305,   306,   307,   308,   309,
     310,   311,   312,   313,   314,   315,   316,    -1,   318,   319,
     320,   321,   322,   323,   324,   325,   326,   327,   328,   329,
     330,   331,    -1,   333,   334,   335,   336,   337,   338,   339,
     340,   341,   342,   343,    -1,   345,   346,    -1,   348,   349,
     350,   351,   352,   353,    -1,   355,   356,    -1,    -1,   359,
     360,   361,   362,   363,   364,   365,   366,   367,   368,   369,
     370,    -1,    -1,   373,   374,   375,   376,   377,   378,    -1,
     380,   381,   382,   383,   384,   385,   386,    -1,   388,   389,
     390,   391,   392,    -1,    -1,   395,    -1,    -1,   398,   399,
     400,   401,   402,   403,   404,   405,   406,   407,   408,   409,
     410,   411,   412,   413,   414,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   422,   423,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   431,     3,     4,     5,     6,     7,     8,     9,    10,
      -1,    -1,    -1,    14,    15,    16,    17,    18,    19,    20,
      21,    -1,    23,    24,    25,    -1,    -1,    -1,    -1,    30,
      -1,    -1,    33,    34,    -1,    36,    37,    38,    39,    40,
      41,    42,    43,    44,    45,    46,    -1,    48,    49,    50,
      51,    52,    53,    54,    55,    56,    57,    58,    59,    -1,
      61,    62,    63,    64,    65,    -1,    67,    -1,    69,    70,
      71,    72,    73,    74,    75,    -1,    77,    78,    79,    80,
      81,    82,    -1,    84,    85,    86,    87,    88,    89,    90,
      91,    92,    93,    94,    95,    96,    97,    98,    99,   100,
     101,   102,    -1,   104,    -1,   106,   107,   108,   109,   110,
      -1,   112,   113,   114,    -1,    -1,   117,   118,   119,   120,
     121,    -1,   123,   124,   125,    -1,   127,   128,   129,    -1,
     131,   132,   133,   134,   135,   136,   137,   138,   139,   140,
     141,    -1,   143,   144,   145,    -1,   147,    -1,   149,   150,
      -1,   152,   153,   154,   155,    -1,   157,   158,    -1,   160,
      -1,   162,   163,   164,   165,   166,    -1,   168,   169,   170,
      -1,   172,   173,   174,   175,   176,   177,    -1,   179,   180,
     181,   182,   183,   184,   185,   186,   187,    -1,   189,    -1,
     191,   192,   193,   194,   195,   196,   197,   198,   199,   200,
      -1,   202,   203,    -1,   205,   206,   207,   208,    -1,    -1,
     211,   212,   213,   214,   215,   216,   217,   218,   219,   220,
     221,   222,   223,   224,   225,   226,   227,   228,   229,   230,
     231,   232,   233,   234,    -1,   236,   237,   238,   239,   240,
     241,   242,   243,   244,   245,   246,    -1,   248,    -1,    -1,
     251,   252,   253,    -1,    -1,   256,   257,   258,   259,   260,
     261,   262,   263,   264,   265,   266,   267,    -1,   269,   270,
     271,   272,   273,   274,   275,    -1,   277,   278,   279,   280,
     281,   282,   283,   284,   285,   286,   287,   288,   289,    -1,
     291,   292,   293,   294,   295,   296,   297,   298,   299,   300,
     301,    -1,   303,   304,   305,   306,   307,   308,   309,   310,
     311,   312,   313,   314,   315,   316,    -1,   318,   319,   320,
     321,   322,   323,   324,   325,   326,   327,    -1,   329,   330,
     331,    -1,   333,   334,   335,   336,   337,   338,   339,   340,
     341,   342,   343,    -1,   345,   346,    -1,   348,   349,   350,
     351,   352,   353,    -1,   355,   356,    -1,    -1,   359,   360,
     361,   362,   363,   364,   365,   366,   367,   368,   369,   370,
      -1,   372,   373,   374,   375,   376,   377,   378,    -1,   380,
     381,   382,   383,   384,   385,   386,    -1,   388,   389,   390,
     391,   392,    -1,    -1,   395,    -1,    -1,   398,   399,   400,
     401,   402,   403,   404,   405,   406,   407,   408,   409,   410,
     411,   412,   413,   414,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   422,   423,    -1,    -1,     3,     4,     5,     6,     7,
     431,     9,    10,    -1,    -1,    -1,    14,    15,    16,    17,
      18,    19,    20,    21,    -1,    23,    24,    25,    -1,    -1,
      -1,    -1,    30,    -1,    -1,    33,    34,    -1,    36,    37,
      38,    39,    40,    41,    42,    43,    44,    45,    46,    -1,
      48,    49,    50,    51,    52,    53,    54,    55,    56,    57,
      58,    59,    -1,    61,    62,    63,    64,    65,    -1,    67,
      -1,    69,    70,    71,    72,    73,    74,    75,    -1,    77,
      78,    79,    80,    81,    82,    -1,    84,    85,    86,    87,
      88,    89,    90,    91,    92,    93,    94,    95,    96,    97,
      98,    99,   100,   101,   102,    -1,   104,    -1,   106,   107,
     108,   109,   110,    -1,   112,   113,   114,    -1,    -1,   117,
     118,   119,   120,   121,    -1,   123,   124,   125,    -1,   127,
     128,   129,    -1,   131,   132,   133,   134,   135,   136,   137,
     138,   139,   140,   141,    -1,   143,   144,   145,    -1,   147,
      -1,   149,   150,    -1,   152,   153,   154,   155,    -1,   157,
     158,    -1,   160,    -1,   162,   163,   164,   165,   166,   167,
     168,   169,   170,    -1,   172,   173,   174,   175,   176,   177,
      -1,   179,   180,   181,   182,   183,   184,   185,   186,   187,
      -1,   189,    -1,   191,   192,   193,   194,   195,   196,   197,
     198,   199,   200,    -1,   202,   203,    -1,   205,   206,   207,
     208,   209,    -1,   211,   212,   213,   214,   215,   216,   217,
     218,   219,   220,   221,   222,   223,   224,   225,   226,   227,
     228,   229,   230,   231,   232,   233,   234,    -1,   236,   237,
     238,   239,   240,   241,   242,   243,   244,   245,   246,    -1,
     248,    -1,    -1,   251,   252,   253,    -1,    -1,   256,   257,
     258,   259,   260,   261,   262,   263,   264,   265,   266,   267,
      -1,   269,   270,   271,   272,   273,   274,   275,    -1,   277,
     278,   279,   280,   281,   282,   283,   284,   285,   286,   287,
     288,   289,    -1,   291,   292,   293,   294,   295,   296,   297,
     298,   299,   300,   301,    -1,   303,   304,   305,   306,   307,
     308,   309,   310,   311,   312,   313,   314,   315,   316,    -1,
     318,   319,   320,   321,   322,   323,   324,   325,   326,   327,
     328,   329,   330,   331,    -1,   333,   334,   335,   336,   337,
     338,   339,   340,   341,   342,   343,    -1,   345,   346,    -1,
     348,   349,   350,   351,   352,   353,    -1,   355,   356,    -1,
      -1,   359,   360,   361,   362,   363,   364,   365,   366,   367,
     368,   369,   370,    -1,    -1,   373,   374,   375,   376,   377,
     378,    -1,   380,   381,   382,   383,   384,   385,   386,    -1,
     388,   389,   390,   391,   392,    -1,    -1,   395,    -1,    -1,
     398,   399,   400,   401,   402,   403,   404,   405,   406,   407,
     408,   409,   410,   411,   412,   413,   414,    -1,    -1,    -1,
      -1,    -1,    -1,     3,     4,     5,     6,     7,    -1,     9,
      10,    -1,    -1,   431,    14,    15,    16,    17,    18,    19,
      20,    21,    -1,    23,    24,    25,    -1,    -1,    -1,    -1,
      30,    -1,    -1,    33,    34,    -1,    36,    37,    38,    39,
      40,    41,    42,    43,    44,    45,    46,    -1,    48,    49,
      50,    51,    52,    53,    54,    55,    56,    57,    58,    59,
      -1,    61,    62,    63,    64,    65,    -1,    67,    -1,    69,
      70,    71,    72,    73,    74,    75,    -1,    77,    78,    79,
      80,    81,    82,    -1,    84,    85,    86,    87,    88,    89,
      90,    91,    92,    93,    94,    95,    96,    97,    98,    99,
     100,   101,   102,    -1,   104,    -1,   106,   107,   108,   109,
     110,    -1,   112,   113,   114,    -1,    -1,   117,   118,   119,
     120,   121,    -1,   123,   124,   125,    -1,   127,   128,   129,
      -1,   131,   132,   133,   134,   135,   136,   137,   138,   139,
     140,   141,    -1,   143,   144,   145,    -1,   147,    -1,   149,
     150,    -1,   152,   153,   154,   155,    -1,   157,   158,    -1,
     160,    -1,   162,   163,   164,   165,   166,   167,   168,   169,
     170,    -1,   172,   173,   174,   175,   176,   177,    -1,   179,
     180,   181,   182,   183,   184,   185,   186,   187,    -1,   189,
      -1,   191,   192,   193,   194,   195,   196,   197,   198,   199,
     200,    -1,   202,   203,    -1,   205,   206,   207,   208,   209,
      -1,   211,   212,   213,   214,   215,   216,   217,   218,   219,
     220,   221,   222,   223,   224,   225,   226,   227,   228,   229,
     230,   231,   232,   233,   234,    -1,   236,   237,   238,   239,
     240,   241,   242,   243,   244,   245,   246,    -1,   248,    -1,
      -1,   251,   252,   253,    -1,    -1,   256,   257,   258,   259,
     260,   261,   262,   263,   264,   265,   266,   267,    -1,   269,
     270,   271,   272,   273,   274,   275,    -1,   277,   278,   279,
     280,   281,   282,   283,   284,   285,   286,   287,   288,   289,
      -1,   291,   292,   293,   294,   295,   296,   297,   298,   299,
     300,   301,    -1,   303,   304,   305,   306,   307,   308,   309,
     310,   311,   312,   313,   314,   315,   316,    -1,   318,   319,
     320,   321,   322,   323,   324,   325,   326,   327,   328,   329,
     330,   331,    -1,   333,   334,   335,   336,   337,   338,   339,
     340,   341,   342,   343,    -1,   345,   346,    -1,   348,   349,
     350,   351,   352,   353,    -1,   355,   356,    -1,    -1,   359,
     360,   361,   362,   363,   364,   365,   366,   367,   368,   369,
     370,    -1,    -1,   373,   374,   375,   376,   377,   378,    -1,
     380,   381,   382,   383,   384,   385,   386,    -1,   388,   389,
     390,   391,   392,    -1,    -1,   395,    -1,    -1,   398,   399,
     400,   401,   402,   403,   404,   405,   406,   407,   408,   409,
     410,   411,   412,   413,   414,    -1,    -1,    -1,    -1,    -1,
      -1,     3,     4,     5,     6,     7,     8,     9,    10,    -1,
      -1,   431,    14,    15,    16,    17,    18,    19,    20,    21,
      -1,    23,    24,    25,    -1,    -1,    -1,    -1,    30,    -1,
      -1,    33,    34,    -1,    36,    37,    38,    39,    40,    41,
      -1,    43,    44,    45,    46,    -1,    48,    49,    50,    51,
      52,    53,    54,    55,    56,    57,    58,    59,    -1,    61,
      62,    63,    64,    65,    -1,    67,    -1,    69,    70,    71,
      72,    73,    74,    75,    -1,    77,    78,    79,    80,    81,
      82,    -1,    84,    85,    86,    87,    88,    89,    90,    91,
      92,    93,    94,    95,    96,    97,    98,    99,   100,   101,
     102,    -1,   104,    -1,   106,   107,   108,   109,   110,    -1,
     112,   113,   114,    -1,    -1,   117,   118,   119,   120,   121,
      -1,   123,   124,   125,    -1,   127,    -1,   129,    -1,   131,
     132,   133,   134,   135,   136,   137,   138,   139,   140,   141,
      -1,   143,   144,   145,    -1,   147,    -1,   149,   150,    -1,
     152,   153,   154,   155,    -1,   157,   158,    -1,   160,    -1,
     162,   163,   164,   165,   166,    -1,   168,   169,   170,    -1,
     172,   173,   174,   175,   176,   177,    -1,   179,   180,   181,
     182,   183,   184,   185,   186,   187,    -1,   189,    -1,   191,
     192,   193,   194,   195,   196,   197,   198,   199,   200,    -1,
     202,   203,    -1,   205,   206,   207,   208,    -1,    -1,   211,
     212,   213,   214,   215,   216,   217,   218,   219,   220,   221,
     222,   223,   224,   225,   226,   227,   228,   229,   230,   231,
     232,   233,   234,    -1,   236,   237,   238,   239,   240,   241,
     242,   243,   244,   245,   246,    -1,   248,    -1,    -1,   251,
     252,   253,    -1,    -1,   256,   257,   258,   259,   260,   261,
     262,   263,   264,   265,   266,   267,    -1,   269,   270,   271,
     272,   273,   274,   275,    -1,   277,   278,   279,   280,   281,
     282,   283,   284,   285,   286,   287,   288,   289,    -1,   291,
     292,   293,   294,   295,   296,   297,   298,   299,   300,   301,
      -1,   303,   304,   305,   306,   307,   308,   309,   310,   311,
     312,   313,   314,   315,   316,    -1,   318,   319,   320,   321,
     322,   323,   324,   325,   326,   327,    -1,   329,   330,   331,
      -1,   333,   334,   335,   336,   337,   338,   339,   340,   341,
     342,   343,    -1,   345,   346,    -1,   348,   349,   350,   351,
     352,   353,    -1,   355,   356,    -1,    -1,   359,   360,   361,
     362,   363,   364,   365,   366,   367,   368,   369,   370,    -1,
     372,   373,   374,   375,   376,   377,   378,    -1,   380,   381,
     382,   383,   384,   385,   386,    -1,   388,   389,   390,   391,
     392,    -1,    -1,   395,    -1,    -1,   398,   399,   400,   401,
     402,   403,   404,   405,   406,   407,   408,   409,   410,   411,
     412,   413,   414,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     422,   423,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   431,
       3,     4,     5,     6,     7,     8,     9,    10,    -1,    -1,
      -1,    14,    15,    16,    17,    18,    19,    20,    21,    -1,
      23,    24,    25,    -1,    -1,    -1,    -1,    30,    -1,    -1,
      33,    34,    -1,    36,    37,    38,    39,    40,    41,    -1,
      43,    44,    45,    46,    -1,    48,    49,    50,    51,    52,
      53,    54,    55,    56,    57,    58,    59,    -1,    61,    62,
      63,    64,    65,    -1,    67,    -1,    69,    70,    71,    72,
      73,    74,    75,    -1,    77,    78,    79,    80,    81,    82,
      -1,    84,    85,    86,    87,    88,    89,    90,    91,    92,
      93,    94,    95,    96,    97,    98,    99,   100,   101,   102,
      -1,   104,    -1,   106,   107,   108,   109,   110,    -1,   112,
     113,   114,    -1,    -1,   117,   118,   119,   120,   121,    -1,
     123,   124,   125,    -1,   127,    -1,   129,    -1,   131,   132,
     133,   134,   135,   136,   137,   138,   139,   140,   141,    -1,
     143,   144,   145,    -1,   147,    -1,   149,   150,    -1,   152,
     153,   154,   155,    -1,   157,   158,    -1,   160,    -1,   162,
     163,   164,   165,   166,    -1,   168,   169,   170,    -1,   172,
     173,   174,   175,   176,   177,    -1,   179,   180,   181,   182,
     183,   184,   185,   186,   187,    -1,   189,    -1,   191,   192,
     193,   194,   195,   196,   197,   198,   199,   200,    -1,   202,
     203,    -1,   205,   206,   207,   208,    -1,    -1,   211,   212,
     213,   214,   215,   216,   217,   218,   219,   220,   221,   222,
     223,   224,   225,   226,   227,   228,   229,   230,   231,   232,
     233,   234,    -1,   236,   237,   238,   239,   240,   241,   242,
     243,   244,   245,   246,    -1,   248,    -1,    -1,   251,   252,
     253,    -1,    -1,   256,   257,   258,   259,   260,   261,   262,
     263,   264,   265,   266,   267,    -1,   269,   270,   271,   272,
     273,   274,   275,    -1,   277,   278,   279,   280,   281,   282,
     283,   284,   285,   286,   287,   288,   289,    -1,   291,   292,
     293,   294,   295,   296,   297,   298,   299,   300,   301,    -1,
     303,   304,   305,   306,   307,   308,   309,   310,   311,   312,
     313,   314,   315,   316,    -1,   318,   319,   320,   321,   322,
     323,   324,   325,   326,   327,    -1,   329,   330,   331,    -1,
     333,   334,   335,   336,   337,   338,   339,   340,   341,   342,
     343,    -1,   345,   346,    -1,   348,   349,   350,   351,   352,
     353,    -1,   355,   356,    -1,    -1,   359,   360,   361,   362,
     363,   364,   365,   366,   367,   368,   369,   370,    -1,    -1,
     373,   374,   375,   376,   377,   378,    -1,   380,   381,   382,
     383,   384,   385,   386,    -1,   388,   389,   390,   391,   392,
      -1,    -1,   395,    -1,    -1,   398,   399,   400,   401,   402,
     403,   404,   405,   406,   407,   408,   409,   410,   411,   412,
     413,   414,    -1,    -1,    -1,    -1,    -1,    -1,     3,   422,
     423,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   431,    14,
      15,    16,    17,    18,    19,    20,    21,    -1,    23,    24,
      25,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    33,    34,
      -1,    36,    37,    38,    39,    40,    41,    42,    43,    44,
      45,    46,    -1,    48,    49,    50,    51,    52,    -1,    54,
      55,    56,    57,    58,    59,    -1,    61,    62,    63,    64,
      65,    -1,    67,    -1,    69,    70,    71,    72,    73,    74,
      75,    -1,    77,    78,    79,    80,    81,    82,    -1,    84,
      85,    86,    87,    88,    89,    90,    91,    92,    93,    94,
      95,    96,    97,    98,    99,   100,   101,   102,    -1,   104,
      -1,   106,   107,   108,   109,   110,    -1,   112,   113,   114,
      -1,    -1,   117,   118,   119,   120,   121,    -1,   123,   124,
     125,    -1,   127,   128,   129,    -1,   131,   132,   133,   134,
     135,   136,   137,   138,   139,    -1,   141,    -1,   143,   144,
     145,    -1,   147,    -1,   149,   150,    -1,   152,   153,   154,
     155,    -1,   157,   158,    -1,   160,    -1,   162,   163,   164,
     165,   166,   167,   168,   169,   170,    -1,   172,   173,   174,
     175,   176,   177,    -1,   179,   180,   181,   182,   183,   184,
     185,   186,   187,    -1,   189,    -1,   191,   192,   193,   194,
     195,   196,   197,   198,   199,   200,   201,   202,   203,    -1,
     205,   206,   207,   208,   209,    -1,   211,   212,   213,   214,
     215,   216,   217,   218,   219,   220,   221,   222,   223,   224,
     225,   226,   227,   228,   229,   230,   231,   232,   233,   234,
      -1,   236,   237,   238,   239,    -1,   241,   242,   243,   244,
     245,   246,    -1,   248,    -1,   250,   251,   252,   253,    -1,
      -1,   256,   257,   258,   259,   260,   261,   262,   263,   264,
     265,   266,   267,    -1,   269,   270,   271,   272,   273,   274,
     275,    -1,   277,   278,   279,   280,   281,   282,   283,   284,
     285,   286,   287,   288,   289,    -1,   291,   292,   293,   294,
     295,   296,   297,   298,   299,   300,   301,    -1,   303,   304,
     305,   306,   307,   308,   309,   310,   311,   312,   313,   314,
     315,   316,   317,   318,   319,   320,   321,   322,   323,   324,
     325,   326,   327,   328,   329,   330,   331,    -1,   333,   334,
     335,   336,   337,   338,   339,   340,   341,   342,   343,    -1,
     345,   346,   347,   348,   349,   350,   351,   352,   353,    -1,
     355,   356,    -1,    -1,   359,   360,   361,   362,    -1,   364,
     365,   366,   367,   368,   369,   370,    -1,    -1,   373,   374,
     375,   376,   377,   378,    -1,   380,   381,   382,   383,   384,
     385,   386,    -1,   388,   389,   390,   391,   392,    -1,    -1,
     395,    -1,   397,   398,   399,   400,   401,   402,   403,   404,
     405,   406,   407,   408,   409,   410,   411,   412,   413,   414,
      -1,    -1,    -1,    -1,    -1,    -1,     3,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   431,    14,    15,    16,
      17,    18,    19,    20,    21,    -1,    23,    24,    25,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    33,    34,    -1,    36,
      37,    38,    39,    40,    41,    42,    43,    44,    45,    46,
      -1,    48,    49,    50,    51,    52,    -1,    54,    55,    56,
      57,    58,    59,    -1,    61,    62,    63,    64,    65,    -1,
      67,    -1,    69,    70,    71,    72,    73,    74,    75,    -1,
      77,    78,    79,    80,    81,    82,    -1,    84,    85,    86,
      87,    88,    89,    90,    91,    92,    93,    94,    95,    96,
      97,    98,    99,   100,   101,   102,    -1,   104,    -1,   106,
     107,   108,   109,   110,    -1,   112,   113,   114,    -1,    -1,
     117,   118,   119,   120,   121,    -1,   123,   124,   125,    -1,
     127,   128,   129,    -1,   131,   132,   133,   134,   135,   136,
     137,   138,   139,    -1,   141,    -1,   143,   144,   145,    -1,
     147,    -1,   149,   150,    -1,   152,   153,   154,   155,    -1,
     157,   158,    -1,   160,    -1,   162,   163,   164,   165,   166,
     167,   168,   169,   170,    -1,   172,   173,   174,   175,   176,
     177,    -1,   179,   180,   181,   182,   183,   184,   185,   186,
     187,    -1,   189,    -1,   191,   192,   193,   194,   195,   196,
     197,   198,   199,   200,   201,   202,   203,    -1,   205,   206,
     207,   208,   209,    -1,   211,   212,   213,   214,   215,   216,
     217,   218,   219,   220,   221,   222,   223,   224,   225,   226,
     227,   228,   229,   230,   231,   232,   233,   234,    -1,   236,
     237,   238,   239,    -1,   241,   242,   243,   244,   245,   246,
      -1,   248,    -1,   250,   251,   252,   253,    -1,    -1,   256,
     257,   258,   259,   260,   261,   262,   263,   264,   265,   266,
     267,    -1,   269,   270,   271,   272,   273,   274,   275,    -1,
     277,   278,   279,   280,   281,   282,   283,   284,   285,   286,
     287,   288,   289,    -1,   291,   292,   293,   294,   295,   296,
     297,   298,   299,   300,   301,    -1,   303,   304,   305,   306,
     307,   308,   309,   310,   311,   312,   313,   314,   315,   316,
      -1,   318,   319,   320,   321,   322,   323,   324,   325,   326,
     327,   328,   329,   330,   331,    -1,   333,   334,   335,   336,
     337,   338,   339,   340,   341,   342,   343,    -1,   345,   346,
      -1,   348,   349,   350,   351,   352,   353,    -1,   355,   356,
      -1,    -1,   359,   360,   361,   362,    -1,   364,   365,   366,
     367,   368,   369,   370,    -1,    -1,   373,   374,   375,   376,
     377,   378,    -1,   380,   381,   382,   383,   384,   385,   386,
      -1,   388,   389,   390,   391,   392,    -1,    -1,   395,    -1,
      -1,   398,   399,   400,   401,   402,   403,   404,   405,   406,
     407,   408,   409,   410,   411,   412,   413,   414,    -1,    -1,
      -1,    -1,    -1,    -1,     3,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   431,    14,    15,    16,    17,    18,
      19,    20,    21,    -1,    23,    24,    25,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    33,    34,    -1,    36,    37,    38,
      39,    40,    41,    42,    43,    44,    45,    46,    -1,    48,
      49,    50,    51,    52,    -1,    54,    55,    56,    57,    58,
      59,    -1,    61,    62,    63,    64,    65,    -1,    67,    -1,
      69,    70,    71,    72,    73,    74,    75,    -1,    77,    78,
      79,    80,    81,    82,    -1,    84,    85,    86,    87,    88,
      89,    90,    91,    92,    93,    94,    95,    96,    97,    98,
      99,   100,   101,   102,    -1,   104,    -1,   106,   107,   108,
     109,   110,    -1,   112,   113,   114,    -1,    -1,   117,   118,
     119,   120,   121,    -1,   123,   124,   125,    -1,   127,   128,
     129,    -1,   131,   132,   133,   134,   135,   136,   137,   138,
     139,    -1,   141,    -1,   143,   144,   145,    -1,   147,    -1,
     149,   150,    -1,   152,   153,   154,   155,    -1,   157,   158,
      -1,   160,    -1,   162,   163,   164,   165,   166,   167,   168,
     169,   170,    -1,   172,   173,   174,   175,   176,   177,    -1,
     179,   180,   181,   182,   183,   184,   185,   186,   187,    -1,
     189,    -1,   191,   192,   193,   194,   195,   196,   197,   198,
     199,   200,    -1,   202,   203,    -1,   205,   206,   207,   208,
     209,    -1,   211,   212,   213,   214,   215,   216,   217,   218,
     219,   220,   221,   222,   223,   224,   225,   226,   227,   228,
     229,   230,   231,   232,   233,   234,    -1,   236,   237,   238,
     239,    -1,   241,   242,   243,   244,   245,   246,    -1,   248,
      -1,    -1,   251,   252,   253,    -1,    -1,   256,   257,   258,
     259,   260,   261,   262,   263,   264,   265,   266,   267,    -1,
     269,   270,   271,   272,   273,   274,   275,    -1,   277,   278,
     279,   280,   281,   282,   283,   284,   285,   286,   287,   288,
     289,    -1,   291,   292,   293,   294,   295,   296,   297,   298,
     299,   300,   301,    -1,   303,   304,   305,   306,   307,   308,
     309,   310,   311,   312,   313,   314,   315,   316,    -1,   318,
     319,   320,   321,   322,   323,   324,   325,   326,   327,   328,
     329,   330,   331,    -1,   333,   334,   335,   336,   337,   338,
     339,   340,   341,   342,   343,    -1,   345,   346,    -1,   348,
     349,   350,   351,   352,   353,    -1,   355,   356,    -1,    -1,
     359,   360,   361,   362,    -1,   364,   365,   366,   367,   368,
     369,   370,    -1,    -1,   373,   374,   375,   376,   377,   378,
      -1,   380,   381,   382,   383,   384,   385,   386,    -1,   388,
     389,   390,   391,   392,    -1,    -1,   395,    -1,    -1,   398,
     399,   400,   401,   402,   403,   404,   405,   406,   407,   408,
     409,   410,   411,   412,   413,   414,    -1,    -1,    -1,    -1,
      -1,    -1,     3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   431,    14,    15,    16,    17,    18,    19,    20,
      21,    -1,    23,    24,    25,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    33,    34,    -1,    36,    37,    38,    39,    40,
      41,    42,    43,    44,    45,    46,    -1,    48,    49,    50,
      51,    52,    -1,    54,    55,    56,    57,    58,    59,    -1,
      61,    62,    63,    64,    65,    -1,    67,    -1,    69,    70,
      71,    72,    73,    74,    75,    -1,    77,    78,    79,    80,
      81,    82,    -1,    84,    85,    86,    87,    88,    89,    90,
      91,    92,    93,    94,    95,    96,    97,    98,    99,   100,
     101,   102,    -1,   104,    -1,   106,   107,   108,   109,   110,
      -1,   112,   113,   114,    -1,    -1,   117,   118,   119,   120,
     121,    -1,   123,   124,   125,    -1,   127,   128,   129,    -1,
     131,   132,   133,   134,   135,   136,   137,   138,   139,    -1,
     141,    -1,   143,   144,   145,    -1,   147,    -1,   149,   150,
      -1,   152,   153,   154,   155,    -1,   157,   158,    -1,   160,
      -1,   162,   163,   164,   165,   166,   167,   168,   169,   170,
      -1,   172,   173,   174,   175,   176,   177,    -1,   179,   180,
     181,   182,   183,   184,   185,   186,   187,    -1,   189,    -1,
     191,   192,   193,   194,   195,   196,   197,   198,   199,   200,
      -1,   202,   203,    -1,   205,   206,   207,   208,   209,    -1,
     211,   212,   213,   214,   215,   216,   217,   218,   219,   220,
     221,   222,   223,   224,   225,   226,   227,   228,   229,   230,
     231,   232,   233,   234,    -1,   236,   237,   238,   239,    -1,
     241,   242,   243,   244,   245,   246,    -1,   248,    -1,    -1,
     251,   252,   253,    -1,    -1,   256,   257,   258,   259,   260,
     261,   262,   263,   264,   265,   266,   267,    -1,   269,   270,
     271,   272,   273,   274,   275,    -1,   277,   278,   279,   280,
     281,   282,   283,   284,   285,   286,   287,   288,   289,    -1,
     291,   292,   293,   294,   295,   296,   297,   298,   299,   300,
     301,    -1,   303,   304,   305,   306,   307,   308,   309,   310,
     311,   312,   313,   314,   315,   316,    -1,   318,   319,   320,
     321,   322,   323,   324,   325,   326,   327,   328,   329,   330,
     331,    -1,   333,   334,   335,   336,   337,   338,   339,   340,
     341,   342,   343,    -1,   345,   346,    -1,   348,   349,   350,
     351,   352,   353,    -1,   355,   356,    -1,    -1,   359,   360,
     361,   362,    -1,   364,   365,   366,   367,   368,   369,   370,
      -1,    -1,   373,   374,   375,   376,   377,   378,    -1,   380,
     381,   382,   383,   384,   385,   386,    -1,   388,   389,   390,
     391,   392,    -1,    -1,   395,    -1,    -1,   398,   399,   400,
     401,   402,   403,   404,   405,   406,   407,   408,   409,   410,
     411,   412,   413,   414,    -1,    -1,    -1,    -1,    -1,    -1,
       3,     4,     5,    -1,    -1,    -1,     9,    -1,    -1,    -1,
     431,    14,    15,    16,    17,    18,    19,    20,    21,    -1,
      23,    24,    25,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      33,    34,    -1,    36,    37,    38,    39,    40,    41,    42,
      43,    44,    45,    46,    -1,    48,    49,    50,    51,    52,
      -1,    -1,    55,    56,    57,    58,    59,    -1,    61,    62,
      63,    64,    65,    -1,    67,    -1,    69,    70,    71,    72,
      73,    74,    75,    -1,    77,    78,    79,    80,    81,    82,
      -1,    84,    85,    86,    -1,    -1,    -1,    90,    -1,    -1,
      -1,    94,    95,    96,    97,    98,    99,   100,   101,   102,
      -1,   104,    -1,   106,   107,   108,   109,   110,    -1,   112,
     113,   114,    -1,    -1,   117,   118,   119,   120,   121,    -1,
     123,   124,   125,    -1,   127,   128,   129,    -1,   131,   132,
     133,   134,   135,   136,   137,   138,   139,   140,   141,    -1,
     143,   144,   145,    -1,   147,    -1,   149,   150,    -1,   152,
     153,   154,   155,    -1,   157,   158,    -1,   160,    -1,   162,
     163,   164,   165,   166,   167,   168,   169,   170,    -1,   172,
     173,   174,   175,   176,   177,    -1,   179,   180,   181,   182,
     183,   184,   185,   186,   187,    -1,   189,    -1,   191,   192,
     193,   194,   195,   196,   197,   198,   199,   200,    -1,   202,
     203,    -1,   205,   206,   207,   208,   209,    -1,   211,   212,
     213,    -1,    -1,   216,   217,   218,   219,   220,   221,   222,
     223,   224,   225,   226,   227,   228,   229,   230,   231,   232,
     233,   234,    -1,   236,   237,   238,   239,    -1,   241,   242,
     243,   244,   245,   246,    -1,   248,   249,    -1,   251,   252,
     253,    -1,    -1,   256,   257,   258,   259,   260,   261,   262,
     263,   264,   265,   266,   267,    -1,   269,   270,   271,   272,
     273,   274,   275,    -1,   277,   278,   279,   280,   281,   282,
     283,   284,   285,   286,   287,   288,   289,    -1,   291,   292,
     293,   294,   295,   296,   297,   298,   299,   300,   301,    -1,
     303,   304,   305,   306,   307,   308,   309,   310,   311,   312,
     313,   314,   315,   316,    -1,   318,   319,   320,   321,   322,
      -1,   324,   325,   326,   327,   328,   329,   330,   331,    -1,
     333,   334,   335,   336,   337,   338,   339,   340,   341,   342,
     343,    -1,   345,   346,    -1,   348,   349,   350,   351,   352,
     353,    -1,   355,   356,    -1,    -1,   359,   360,   361,   362,
     363,   364,   365,   366,   367,   368,   369,   370,    -1,    -1,
     373,   374,   375,   376,   377,    -1,    -1,   380,   381,   382,
     383,   384,   385,   386,    -1,   388,   389,   390,   391,   392,
      -1,    -1,   395,    -1,    -1,   398,   399,   400,   401,   402,
     403,   404,   405,   406,   407,   408,   409,   410,   411,   412,
     413,   414,    -1,    -1,    -1,    -1,    -1,    -1,     3,   422,
     423,   424,    -1,    -1,    -1,    -1,    -1,    -1,   431,    14,
      15,    16,    17,    18,    19,    20,    21,    -1,    23,    24,
      25,    26,    27,    -1,    -1,    -1,    -1,    -1,    33,    34,
      -1,    36,    37,    38,    39,    40,    41,    42,    43,    44,
      45,    46,    -1,    48,    49,    50,    51,    52,    -1,    -1,
      55,    56,    57,    58,    59,    -1,    61,    62,    63,    64,
      65,    -1,    67,    -1,    69,    70,    71,    72,    73,    74,
      75,    -1,    77,    78,    79,    80,    81,    82,    -1,    84,
      85,    86,    -1,    -1,    -1,    90,    -1,    -1,    -1,    94,
      95,    96,    97,    98,    99,   100,   101,   102,    -1,   104,
      -1,   106,   107,   108,   109,   110,    -1,   112,   113,   114,
      -1,    -1,   117,   118,   119,   120,   121,    -1,   123,   124,
     125,    -1,   127,   128,   129,    -1,   131,   132,   133,   134,
     135,   136,   137,   138,   139,    -1,   141,    -1,   143,   144,
     145,    -1,   147,    -1,   149,   150,    -1,   152,   153,   154,
     155,    -1,   157,   158,    -1,   160,    -1,   162,   163,   164,
     165,   166,   167,   168,   169,   170,    -1,   172,   173,   174,
     175,   176,   177,    -1,   179,   180,   181,   182,   183,   184,
     185,   186,   187,    -1,   189,    -1,   191,   192,   193,   194,
     195,   196,   197,   198,   199,   200,    -1,   202,   203,    -1,
     205,   206,   207,   208,   209,    -1,   211,   212,   213,    -1,
      -1,   216,   217,   218,   219,   220,   221,   222,   223,   224,
     225,   226,   227,   228,   229,   230,   231,   232,   233,   234,
      -1,   236,   237,   238,   239,    -1,   241,   242,   243,   244,
     245,   246,    -1,   248,    -1,    -1,   251,   252,   253,    -1,
      -1,   256,   257,   258,   259,   260,   261,   262,   263,   264,
     265,   266,   267,    -1,   269,   270,   271,   272,   273,   274,
     275,    -1,   277,   278,   279,   280,   281,   282,   283,   284,
     285,   286,   287,   288,   289,    -1,   291,   292,   293,   294,
     295,   296,   297,   298,   299,   300,   301,    -1,   303,   304,
     305,   306,   307,   308,   309,   310,   311,   312,   313,   314,
     315,   316,   317,   318,   319,   320,   321,   322,    -1,   324,
     325,   326,   327,   328,   329,   330,   331,    -1,   333,   334,
     335,   336,   337,   338,   339,   340,   341,   342,   343,    -1,
     345,   346,   347,   348,   349,   350,   351,   352,   353,    -1,
     355,   356,    -1,    -1,   359,   360,   361,   362,    -1,   364,
     365,   366,   367,   368,   369,   370,    -1,    -1,   373,   374,
     375,   376,   377,    -1,    -1,   380,   381,   382,   383,   384,
     385,   386,    -1,   388,   389,   390,   391,   392,    -1,    -1,
     395,    -1,   397,   398,   399,   400,   401,   402,   403,   404,
     405,   406,   407,   408,   409,   410,   411,   412,   413,   414,
      -1,    -1,    -1,    -1,    -1,    -1,     3,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   431,    14,    15,    16,
      17,    18,    19,    20,    21,    -1,    23,    24,    25,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    33,    34,    -1,    36,
      37,    38,    39,    40,    41,    42,    43,    44,    45,    46,
      -1,    48,    49,    50,    51,    52,    -1,    -1,    55,    56,
      57,    58,    59,    -1,    61,    62,    63,    64,    65,    -1,
      67,    -1,    69,    70,    71,    72,    73,    74,    75,    -1,
      77,    78,    79,    80,    81,    82,    -1,    84,    85,    86,
      -1,    -1,    -1,    90,    -1,    -1,    -1,    94,    95,    96,
      97,    98,    99,   100,   101,   102,    -1,   104,    -1,   106,
     107,   108,   109,   110,    -1,   112,   113,   114,    -1,    -1,
     117,   118,   119,   120,   121,    -1,   123,   124,   125,    -1,
     127,   128,   129,    -1,   131,   132,   133,   134,   135,   136,
     137,   138,   139,    -1,   141,    -1,   143,   144,   145,    -1,
     147,    -1,   149,   150,    -1,   152,   153,   154,   155,    -1,
     157,   158,    -1,   160,    -1,   162,   163,   164,   165,   166,
     167,   168,   169,   170,    -1,   172,   173,   174,   175,   176,
     177,    -1,   179,   180,   181,   182,   183,   184,   185,   186,
     187,    -1,   189,    -1,   191,   192,   193,   194,   195,   196,
     197,   198,   199,   200,    -1,   202,   203,    -1,   205,   206,
     207,   208,   209,    -1,   211,   212,   213,    -1,    -1,   216,
     217,   218,   219,   220,   221,   222,   223,   224,   225,   226,
     227,   228,   229,   230,   231,   232,   233,   234,    -1,   236,
     237,   238,   239,    -1,   241,   242,   243,   244,   245,   246,
      -1,   248,    -1,    -1,   251,   252,   253,    -1,    -1,   256,
     257,   258,   259,   260,   261,   262,   263,   264,   265,   266,
     267,    -1,   269,   270,   271,   272,   273,   274,   275,    -1,
     277,   278,   279,   280,   281,   282,   283,   284,   285,   286,
     287,   288,   289,    -1,   291,   292,   293,   294,   295,   296,
     297,   298,   299,   300,   301,    -1,   303,   304,   305,   306,
     307,   308,   309,   310,   311,   312,   313,   314,   315,   316,
      -1,   318,   319,   320,   321,   322,    -1,   324,   325,   326,
     327,   328,   329,   330,   331,    -1,   333,   334,   335,   336,
     337,   338,   339,   340,   341,   342,   343,    -1,   345,   346,
      -1,   348,   349,   350,   351,   352,   353,    -1,   355,   356,
      -1,    -1,   359,   360,   361,   362,    -1,   364,   365,   366,
     367,   368,   369,   370,    -1,    -1,   373,   374,   375,   376,
     377,    -1,    -1,   380,   381,   382,   383,   384,   385,   386,
      -1,   388,   389,   390,   391,   392,    -1,    -1,   395,    -1,
      -1,   398,   399,   400,   401,   402,   403,   404,   405,   406,
     407,   408,   409,   410,   411,   412,   413,   414,    -1,    -1,
      -1,    -1,    -1,    -1,     3,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   431,    14,    15,    16,    17,    18,
      19,    20,    21,    -1,    23,    24,    25,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    33,    34,    -1,    36,    37,    -1,
      39,    40,    41,    42,    43,    -1,    45,    46,    -1,    48,
      49,    50,    51,    52,    -1,    -1,    55,    56,    57,    58,
      59,    -1,    61,    62,    63,    64,    65,    -1,    -1,    -1,
      69,    70,    71,    72,    -1,    74,    75,    -1,    77,    78,
      79,    80,    81,    82,    -1,    -1,    85,    86,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    94,    95,    96,    97,    98,
      99,   100,   101,   102,    -1,   104,    -1,   106,   107,   108,
     109,   110,    -1,   112,   113,   114,    -1,    -1,   117,   118,
     119,   120,   121,    -1,   123,   124,   125,    -1,   127,   128,
     129,    -1,   131,   132,   133,   134,   135,   136,   137,   138,
     139,    -1,   141,    -1,   143,   144,   145,    -1,   147,    -1,
     149,    -1,    -1,    -1,   153,   154,   155,    -1,   157,   158,
      -1,   160,    -1,   162,   163,   164,   165,   166,    -1,   168,
     169,   170,    -1,   172,   173,   174,   175,   176,   177,    -1,
     179,    -1,   181,   182,   183,   184,   185,   186,   187,    -1,
     189,    -1,   191,    -1,    -1,   194,    -1,   196,   197,   198,
     199,   200,    -1,   202,   203,    -1,   205,   206,    -1,   208,
      -1,    -1,   211,   212,   213,    -1,    -1,   216,   217,   218,
     219,   220,   221,   222,   223,   224,   225,   226,   227,   228,
     229,    -1,   231,   232,   233,   234,    -1,   236,   237,    -1,
     239,    -1,   241,   242,   243,   244,   245,   246,    -1,   248,
      -1,    -1,   251,   252,   253,    -1,    -1,   256,    -1,    -1,
      -1,   260,   261,   262,   263,   264,   265,   266,   267,    -1,
     269,   270,   271,   272,   273,   274,   275,    -1,   277,   278,
     279,   280,   281,   282,   283,   284,   285,   286,   287,   288,
     289,    -1,   291,   292,   293,   294,   295,   296,   297,   298,
     299,   300,   301,    -1,   303,   304,    -1,   306,   307,   308,
     309,   310,   311,   312,   313,   314,   315,   316,   317,   318,
     319,   320,   321,   322,    -1,   324,   325,   326,   327,    -1,
     329,   330,   331,    -1,   333,   334,   335,   336,   337,   338,
     339,   340,   341,   342,   343,    -1,   345,   346,   347,   348,
     349,   350,   351,   352,   353,    -1,   355,   356,    -1,    -1,
     359,   360,   361,   362,    -1,   364,   365,   366,   367,   368,
     369,   370,    -1,    -1,   373,   374,   375,   376,   377,    -1,
      -1,   380,   381,   382,   383,   384,   385,   386,    -1,   388,
      -1,   390,   391,   392,    -1,    -1,   395,    -1,   397,   398,
     399,   400,   401,   402,   403,   404,   405,   406,   407,   408,
     409,   410,   411,   412,   413,   414,    -1,    -1,    -1,    -1,
      -1,    -1,     3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   431,    14,    15,    16,    17,    18,    19,    20,
      21,    -1,    23,    24,    25,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    33,    34,    -1,    36,    37,    -1,    39,    40,
      41,    42,    43,    -1,    45,    46,    -1,    48,    49,    50,
      51,    52,    -1,    -1,    55,    56,    57,    58,    59,    -1,
      61,    62,    63,    64,    65,    -1,    -1,    -1,    69,    70,
      71,    72,    -1,    74,    75,    -1,    77,    78,    79,    80,
      81,    82,    -1,    -1,    85,    86,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    94,    95,    96,    97,    98,    99,   100,
     101,   102,    -1,   104,    -1,   106,   107,   108,   109,   110,
      -1,   112,   113,   114,    -1,    -1,   117,   118,   119,   120,
     121,    -1,   123,   124,   125,    -1,   127,   128,   129,    -1,
     131,   132,   133,   134,   135,   136,   137,   138,   139,    -1,
     141,    -1,   143,   144,   145,    -1,   147,    -1,   149,    -1,
      -1,    -1,   153,   154,   155,    -1,   157,   158,    -1,   160,
      -1,   162,   163,   164,   165,   166,    -1,   168,   169,   170,
      -1,   172,   173,   174,   175,   176,   177,    -1,   179,    -1,
     181,   182,   183,   184,   185,   186,   187,    -1,   189,    -1,
     191,    -1,    -1,   194,    -1,   196,   197,   198,   199,   200,
      -1,   202,   203,    -1,   205,   206,    -1,   208,    -1,    -1,
     211,   212,   213,    -1,    -1,   216,   217,   218,   219,   220,
     221,   222,   223,   224,   225,   226,   227,   228,   229,    -1,
     231,   232,   233,   234,    -1,   236,   237,    -1,   239,    -1,
     241,   242,   243,   244,   245,   246,    -1,   248,    -1,    -1,
     251,   252,   253,    -1,    -1,   256,    -1,    -1,    -1,   260,
     261,   262,   263,   264,   265,   266,   267,    -1,   269,   270,
     271,   272,   273,   274,   275,    -1,   277,   278,   279,   280,
     281,   282,   283,   284,   285,   286,   287,   288,   289,    -1,
     291,   292,   293,   294,   295,   296,   297,   298,   299,   300,
     301,    -1,   303,   304,    -1,   306,   307,   308,   309,   310,
     311,   312,   313,   314,   315,   316,    -1,   318,   319,   320,
     321,   322,    -1,   324,   325,   326,   327,    -1,   329,   330,
     331,    -1,   333,   334,   335,   336,   337,   338,   339,   340,
     341,   342,   343,    -1,   345,   346,    -1,   348,   349,   350,
     351,   352,   353,    -1,   355,   356,    -1,    -1,   359,   360,
     361,   362,    -1,   364,   365,   366,   367,   368,   369,   370,
      -1,    -1,   373,   374,   375,   376,   377,    -1,    -1,   380,
     381,   382,   383,   384,   385,   386,    -1,   388,    -1,   390,
     391,   392,    -1,    -1,   395,    -1,    -1,   398,   399,   400,
     401,   402,   403,   404,   405,   406,   407,   408,   409,   410,
     411,   412,   413,   414,    -1,    -1,    -1,    -1,    -1,    -1,
       3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     431,    14,    15,    16,    17,    18,    19,    20,    21,    -1,
      23,    24,    25,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      33,    34,    -1,    36,    37,    -1,    39,    40,    41,    42,
      43,    -1,    45,    46,    -1,    48,    49,    50,    51,    52,
      -1,    -1,    55,    56,    57,    58,    59,    -1,    61,    62,
      63,    64,    65,    -1,    -1,    -1,    69,    70,    71,    72,
      -1,    74,    75,    -1,    77,    78,    79,    80,    81,    82,
      -1,    -1,    85,    86,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    94,    95,    96,    97,    98,    99,   100,   101,   102,
      -1,   104,    -1,   106,   107,   108,   109,   110,    -1,   112,
     113,   114,    -1,    -1,   117,   118,   119,   120,   121,    -1,
     123,   124,   125,    -1,   127,   128,   129,    -1,   131,   132,
     133,   134,   135,   136,   137,   138,   139,    -1,   141,    -1,
     143,   144,   145,    -1,   147,    -1,   149,    -1,    -1,    -1,
     153,   154,   155,    -1,   157,   158,    -1,   160,    -1,   162,
     163,   164,   165,   166,    -1,   168,   169,   170,    -1,   172,
     173,   174,   175,   176,   177,    -1,   179,    -1,   181,   182,
     183,   184,   185,   186,   187,    -1,   189,    -1,   191,    -1,
      -1,   194,    -1,   196,   197,   198,   199,   200,    -1,   202,
     203,    -1,   205,   206,    -1,   208,    -1,    -1,   211,   212,
     213,    -1,    -1,   216,   217,   218,   219,   220,   221,   222,
     223,   224,   225,   226,   227,   228,   229,    -1,   231,   232,
     233,   234,    -1,   236,   237,    -1,   239,    -1,   241,   242,
     243,   244,   245,   246,    -1,   248,    -1,    -1,   251,   252,
     253,    -1,    -1,   256,    -1,    -1,    -1,   260,   261,   262,
     263,   264,   265,   266,   267,    -1,   269,   270,   271,   272,
     273,   274,   275,    -1,   277,   278,   279,   280,   281,   282,
     283,   284,   285,   286,   287,   288,   289,    -1,   291,   292,
     293,   294,   295,   296,   297,   298,   299,   300,   301,    -1,
     303,   304,    -1,   306,   307,   308,   309,   310,   311,   312,
     313,   314,   315,   316,    -1,   318,   319,   320,   321,   322,
      -1,   324,   325,   326,   327,    -1,   329,   330,   331,    -1,
     333,   334,   335,   336,   337,   338,   339,   340,   341,   342,
     343,    -1,   345,   346,    -1,   348,   349,   350,   351,   352,
     353,    -1,   355,   356,    -1,    -1,   359,   360,   361,   362,
      -1,   364,   365,   366,   367,   368,   369,   370,    -1,    -1,
     373,   374,   375,   376,   377,    -1,    -1,   380,   381,   382,
     383,   384,   385,   386,    -1,   388,    -1,   390,   391,   392,
      -1,    -1,   395,    -1,    -1,   398,   399,   400,   401,   402,
     403,   404,   405,   406,   407,   408,   409,   410,   411,   412,
     413,   414,    -1,    -1,    -1,    -1,    -1,    -1,     3,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   431,    14,
      15,    16,    17,    18,    19,    20,    21,    -1,    23,    24,
      25,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    33,    34,
      -1,    36,    37,    -1,    39,    40,    41,    42,    43,    -1,
      45,    46,    -1,    48,    49,    50,    51,    52,    -1,    -1,
      55,    56,    57,    58,    59,    -1,    61,    62,    63,    64,
      65,    -1,    -1,    -1,    69,    70,    71,    72,    -1,    74,
      75,    -1,    77,    78,    79,    80,    81,    82,    -1,    -1,
      85,    86,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    94,
      95,    96,    97,    98,    99,   100,   101,   102,    -1,   104,
      -1,   106,   107,   108,   109,   110,    -1,   112,   113,   114,
      -1,    -1,   117,   118,   119,   120,   121,    -1,   123,   124,
     125,    -1,   127,   128,   129,    -1,   131,   132,   133,   134,
     135,   136,   137,   138,   139,    -1,   141,    -1,   143,   144,
     145,    -1,   147,    -1,   149,    -1,    -1,    -1,   153,   154,
     155,    -1,   157,   158,    -1,   160,    -1,   162,   163,   164,
     165,   166,    -1,   168,   169,   170,    -1,   172,   173,   174,
     175,   176,   177,    -1,   179,    -1,   181,   182,   183,   184,
     185,   186,   187,    -1,   189,    -1,   191,    -1,    -1,   194,
      -1,   196,   197,   198,   199,   200,    -1,   202,   203,    -1,
     205,   206,    -1,   208,    -1,    -1,   211,   212,   213,    -1,
      -1,   216,   217,   218,   219,   220,   221,   222,   223,   224,
     225,   226,   227,   228,   229,    -1,   231,   232,   233,   234,
      -1,   236,   237,    -1,   239,    -1,   241,   242,   243,   244,
     245,   246,    -1,   248,    -1,    -1,   251,   252,   253,    -1,
      -1,   256,    -1,    -1,    -1,   260,   261,   262,   263,   264,
     265,   266,   267,    -1,   269,   270,   271,   272,   273,   274,
     275,    -1,   277,   278,   279,   280,   281,   282,   283,   284,
     285,   286,   287,   288,   289,    -1,   291,   292,   293,   294,
     295,   296,   297,   298,   299,   300,   301,    -1,   303,   304,
      -1,   306,   307,   308,   309,   310,   311,   312,   313,   314,
     315,   316,    -1,   318,   319,   320,   321,   322,    -1,   324,
     325,   326,   327,    -1,   329,   330,   331,    -1,   333,   334,
     335,   336,   337,   338,   339,   340,   341,   342,   343,    -1,
     345,   346,    -1,   348,   349,   350,   351,   352,   353,    -1,
     355,   356,    -1,    -1,   359,   360,   361,   362,    -1,   364,
     365,   366,   367,   368,   369,   370,    -1,    -1,   373,   374,
     375,   376,   377,    -1,    -1,   380,   381,   382,   383,   384,
     385,   386,    -1,   388,    -1,   390,   391,   392,    -1,    -1,
     395,    -1,    -1,   398,   399,   400,   401,   402,   403,   404,
     405,   406,   407,   408,   409,   410,   411,   412,   413,   414,
      -1,    -1,    -1,    -1,    -1,    -1,     3,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   431,    14,    15,    16,
      17,    18,    19,    20,    21,    -1,    23,    24,    25,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    33,    34,    -1,    36,
      37,    -1,    39,    40,    41,    42,    43,    -1,    45,    46,
      -1,    48,    49,    50,    51,    52,    -1,    -1,    55,    56,
      57,    58,    59,    -1,    61,    62,    63,    64,    65,    -1,
      -1,    -1,    69,    70,    71,    72,    -1,    74,    75,    -1,
      77,    78,    79,    80,    81,    82,    -1,    -1,    85,    86,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    94,    95,    96,
      97,    98,    99,   100,   101,   102,    -1,   104,    -1,   106,
     107,   108,   109,   110,    -1,   112,   113,   114,    -1,    -1,
     117,   118,   119,   120,   121,    -1,   123,   124,   125,    -1,
     127,   128,   129,    -1,   131,   132,   133,   134,   135,   136,
     137,   138,   139,    -1,   141,    -1,   143,   144,   145,    -1,
     147,    -1,   149,    -1,    -1,    -1,   153,   154,   155,    -1,
     157,   158,    -1,   160,    -1,   162,   163,   164,   165,   166,
      -1,   168,   169,   170,    -1,   172,   173,   174,   175,   176,
     177,    -1,   179,    -1,   181,   182,   183,   184,   185,   186,
     187,    -1,   189,    -1,   191,    -1,    -1,   194,    -1,   196,
     197,   198,   199,   200,    -1,   202,   203,    -1,   205,   206,
      -1,   208,    -1,    -1,   211,   212,   213,    -1,    -1,   216,
     217,   218,   219,   220,   221,   222,   223,   224,   225,   226,
     227,   228,   229,    -1,   231,   232,   233,   234,    -1,   236,
     237,    -1,   239,    -1,   241,   242,   243,   244,   245,   246,
      -1,   248,    -1,    -1,   251,   252,   253,    -1,    -1,   256,
      -1,    -1,    -1,   260,   261,   262,   263,   264,   265,   266,
     267,    -1,   269,   270,   271,   272,   273,   274,   275,    -1,
     277,   278,   279,   280,   281,   282,   283,   284,   285,   286,
     287,   288,   289,    -1,   291,   292,   293,   294,   295,   296,
     297,   298,   299,   300,   301,    -1,   303,   304,    -1,   306,
     307,   308,   309,   310,   311,   312,   313,   314,   315,   316,
      -1,   318,   319,   320,   321,   322,    -1,   324,   325,   326,
     327,    -1,   329,   330,   331,    -1,   333,   334,   335,   336,
     337,   338,   339,   340,   341,   342,   343,    -1,   345,   346,
      -1,   348,   349,   350,   351,   352,   353,    -1,   355,   356,
      -1,    -1,   359,   360,   361,   362,    -1,   364,   365,   366,
     367,   368,   369,   370,    -1,    -1,   373,   374,   375,   376,
     377,    -1,    -1,   380,   381,   382,   383,   384,   385,   386,
      -1,   388,    -1,   390,   391,   392,    -1,    -1,   395,    -1,
      -1,   398,   399,   400,   401,   402,   403,   404,   405,   406,
     407,   408,   409,   410,   411,   412,   413,   414,    -1,    -1,
      -1,    -1,    -1,    -1,     3,     4,     5,    -1,    -1,     8,
       9,    -1,    -1,    -1,   431,    14,    15,    16,    17,    18,
      19,    20,    21,    22,    23,    24,    25,    26,    27,    28,
      29,    30,    31,    32,    33,    34,    35,    36,    37,    38,
      39,    40,    41,    -1,    43,    44,    45,    46,    47,    48,
      49,    50,    51,    52,    53,    54,    55,    56,    57,    58,
      59,    60,    61,    62,    63,    64,    -1,    66,    67,    68,
      69,    70,    71,    72,    73,    74,    75,    76,    77,    78,
      79,    80,    81,    82,    83,    84,    85,    86,    87,    88,
      89,    90,    91,    92,    93,    94,    95,    96,    97,    98,
      99,   100,   101,   102,   103,   104,   105,   106,   107,   108,
     109,   110,   111,   112,   113,   114,   115,   116,   117,   118,
     119,   120,   121,   122,   123,   124,   125,   126,   127,   128,
     129,   130,   131,   132,   133,   134,    -1,   136,   137,   138,
      -1,   140,   141,   142,   143,   144,   145,   146,   147,   148,
     149,   150,   151,   152,   153,   154,   155,   156,   157,    -1,
     159,   160,   161,   162,   163,   164,   165,   166,   167,   168,
     169,   170,   171,   172,   173,   174,   175,   176,   177,   178,
     179,   180,    -1,   182,   183,   184,   185,   186,   187,   188,
     189,   190,   191,   192,   193,   194,   195,   196,   197,   198,
     199,   200,   201,   202,   203,   204,   205,    -1,   207,   208,
     209,   210,   211,   212,   213,   214,   215,   216,   217,   218,
     219,   220,   221,   222,   223,   224,   225,   226,   227,   228,
     229,   230,   231,   232,   233,    -1,   235,   236,   237,   238,
     239,   240,    -1,   242,   243,   244,   245,   246,   247,   248,
     249,   250,   251,   252,   253,   254,   255,    -1,   257,   258,
     259,    -1,   261,   262,   263,   264,   265,   266,   267,   268,
     269,    -1,   271,    -1,   273,   274,   275,   276,   277,   278,
     279,   280,   281,   282,   283,   284,   285,   286,   287,   288,
     289,   290,   291,   292,   293,   294,   295,   296,   297,   298,
     299,   300,   301,   302,   303,   304,   305,   306,   307,    -1,
     309,   310,   311,   312,   313,   314,   315,   316,   317,   318,
     319,   320,   321,   322,   323,   324,   325,   326,   327,   328,
     329,   330,   331,   332,   333,   334,   335,   336,   337,   338,
     339,   340,   341,   342,    -1,   344,   345,   346,   347,   348,
     349,   350,   351,   352,   353,   354,   355,   356,   357,   358,
     359,    -1,   361,    -1,   363,   364,   365,   366,   367,   368,
     369,   370,   371,   372,   373,   374,   375,   376,   377,   378,
     379,   380,   381,   382,   383,   384,    -1,   386,   387,   388,
     389,   390,   391,   392,   393,   394,   395,   396,   397,   398,
     399,   400,   401,   402,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   412,   413,   414,    -1,    -1,    -1,   418,
     419,   420,    -1,   422,   423,   424,   425,   426,   427,     3,
      -1,    -1,    -1,    -1,     8,    -1,    -1,    -1,    -1,    -1,
      14,    15,    16,    17,    18,    19,    20,    21,    -1,    23,
      24,    25,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    33,
      34,    -1,    36,    37,    -1,    39,    40,    41,    42,    43,
      -1,    45,    46,    -1,    48,    49,    50,    51,    52,    -1,
      -1,    55,    56,    57,    58,    59,    -1,    61,    62,    63,
      64,    65,    -1,    -1,    -1,    69,    70,    71,    72,    -1,
      74,    75,    -1,    77,    78,    79,    80,    81,    82,    -1,
      -1,    85,    86,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      94,    95,    96,    97,    98,    99,   100,   101,   102,    -1,
     104,    -1,   106,   107,   108,   109,   110,    -1,   112,   113,
     114,    -1,    -1,   117,   118,   119,   120,   121,    -1,   123,
     124,   125,    -1,   127,   128,   129,    -1,   131,   132,   133,
     134,   135,   136,   137,   138,   139,    -1,   141,    -1,   143,
     144,   145,    -1,   147,    -1,   149,    -1,    -1,    -1,   153,
     154,   155,    -1,   157,   158,    -1,   160,    -1,   162,   163,
     164,   165,   166,    -1,   168,   169,   170,    -1,   172,   173,
     174,   175,   176,   177,    -1,   179,    -1,   181,   182,   183,
     184,   185,   186,   187,    -1,   189,    -1,   191,    -1,    -1,
     194,    -1,   196,   197,   198,   199,   200,    -1,   202,   203,
      -1,   205,   206,    -1,   208,    -1,    -1,   211,   212,   213,
      -1,    -1,   216,   217,   218,   219,   220,   221,   222,   223,
     224,   225,   226,   227,   228,   229,    -1,   231,   232,   233,
     234,    -1,   236,   237,    -1,   239,    -1,   241,   242,   243,
     244,   245,   246,    -1,   248,    -1,    -1,   251,   252,   253,
      -1,    -1,   256,    -1,    -1,    -1,   260,   261,   262,   263,
     264,   265,   266,   267,    -1,   269,   270,   271,   272,   273,
     274,   275,    -1,   277,   278,   279,   280,   281,   282,   283,
     284,   285,   286,   287,   288,   289,    -1,   291,   292,   293,
     294,   295,   296,   297,   298,   299,   300,   301,    -1,   303,
     304,    -1,   306,   307,   308,   309,   310,   311,   312,   313,
     314,   315,   316,    -1,   318,   319,   320,   321,   322,    -1,
     324,   325,   326,   327,    -1,   329,   330,   331,    -1,   333,
     334,   335,   336,   337,   338,   339,   340,   341,   342,   343,
      -1,   345,   346,    -1,   348,   349,   350,   351,   352,   353,
      -1,   355,   356,    -1,    -1,   359,   360,   361,   362,    -1,
     364,   365,   366,   367,   368,   369,   370,    -1,    -1,   373,
     374,   375,   376,   377,    -1,    -1,   380,   381,   382,   383,
     384,   385,   386,    -1,   388,    -1,   390,   391,   392,    -1,
      -1,   395,    -1,    -1,   398,   399,   400,   401,   402,   403,
     404,   405,   406,   407,   408,   409,   410,   411,   412,   413,
     414,    -1,    -1,    -1,   418,   419,   420,    -1,   422,   423,
     424,   425,   426,   427,     3,    -1,    -1,    -1,    -1,     8,
      -1,    -1,    -1,    -1,    -1,    14,    15,    16,    17,    18,
      19,    20,    21,    -1,    23,    24,    25,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    33,    34,    -1,    36,    37,    -1,
      39,    40,    41,    42,    43,    -1,    45,    46,    -1,    48,
      49,    50,    51,    52,    -1,    -1,    55,    56,    57,    58,
      59,    -1,    61,    62,    63,    64,    65,    -1,    -1,    -1,
      69,    70,    71,    72,    -1,    74,    75,    -1,    77,    78,
      79,    80,    81,    82,    -1,    -1,    85,    86,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    94,    95,    96,    97,    98,
      99,   100,   101,   102,    -1,   104,    -1,   106,   107,   108,
     109,   110,    -1,   112,   113,   114,    -1,    -1,   117,   118,
     119,   120,   121,    -1,   123,   124,   125,    -1,   127,   128,
     129,    -1,   131,   132,   133,   134,   135,   136,   137,   138,
     139,    -1,   141,    -1,   143,   144,   145,    -1,   147,    -1,
     149,    -1,    -1,    -1,   153,   154,   155,    -1,   157,   158,
      -1,   160,    -1,   162,   163,   164,   165,   166,    -1,   168,
     169,   170,    -1,   172,   173,   174,   175,   176,   177,    -1,
     179,    -1,   181,   182,   183,   184,   185,   186,   187,    -1,
     189,    -1,   191,    -1,    -1,   194,    -1,   196,   197,   198,
     199,   200,    -1,   202,   203,    -1,   205,   206,    -1,   208,
      -1,    -1,   211,   212,   213,    -1,    -1,   216,   217,   218,
     219,   220,   221,   222,   223,   224,   225,   226,   227,   228,
     229,    -1,   231,   232,   233,   234,    -1,   236,   237,    -1,
     239,    -1,   241,   242,   243,   244,   245,   246,    -1,   248,
      -1,    -1,   251,   252,   253,    -1,    -1,   256,    -1,    -1,
      -1,   260,   261,   262,   263,   264,   265,   266,   267,    -1,
     269,   270,   271,   272,   273,   274,   275,    -1,   277,   278,
     279,   280,   281,   282,   283,   284,   285,   286,   287,   288,
     289,    -1,   291,   292,   293,   294,   295,   296,   297,   298,
     299,   300,   301,    -1,   303,   304,    -1,   306,   307,   308,
     309,   310,   311,   312,   313,   314,   315,   316,    -1,   318,
     319,   320,   321,   322,    -1,   324,   325,   326,   327,    -1,
     329,   330,   331,    -1,   333,   334,   335,   336,   337,   338,
     339,   340,   341,   342,   343,    -1,   345,   346,    -1,   348,
     349,   350,   351,   352,   353,    -1,   355,   356,    -1,    -1,
     359,   360,   361,   362,    -1,   364,   365,   366,   367,   368,
     369,   370,    -1,    -1,   373,   374,   375,   376,   377,    -1,
      -1,   380,   381,   382,   383,   384,   385,   386,    -1,   388,
      -1,   390,   391,   392,    -1,    -1,   395,    -1,    -1,   398,
     399,   400,   401,   402,   403,   404,   405,   406,   407,   408,
     409,   410,   411,   412,   413,   414,    -1,    -1,    -1,   418,
     419,   420,    -1,   422,   423,   424,   425,   426,   427,     3,
      -1,    -1,    -1,    -1,     8,    -1,    -1,    -1,    -1,    -1,
      14,    15,    16,    17,    18,    19,    20,    21,    -1,    23,
      24,    25,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    33,
      34,    -1,    36,    37,    -1,    39,    40,    41,    42,    43,
      -1,    45,    46,    -1,    48,    49,    50,    51,    52,    -1,
      -1,    55,    56,    57,    58,    59,    -1,    61,    62,    63,
      64,    65,    -1,    -1,    -1,    69,    70,    71,    72,    -1,
      74,    75,    -1,    77,    78,    79,    80,    81,    82,    -1,
      -1,    85,    86,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      94,    95,    96,    97,    98,    99,   100,   101,   102,    -1,
     104,    -1,   106,   107,   108,   109,   110,    -1,   112,   113,
     114,    -1,    -1,   117,   118,   119,   120,   121,    -1,   123,
     124,   125,    -1,   127,   128,   129,    -1,   131,   132,   133,
     134,   135,   136,   137,   138,   139,    -1,   141,    -1,   143,
     144,   145,    -1,   147,    -1,   149,    -1,    -1,    -1,   153,
     154,   155,    -1,   157,   158,    -1,   160,    -1,   162,   163,
     164,   165,   166,    -1,   168,   169,   170,    -1,   172,   173,
     174,   175,   176,   177,    -1,   179,    -1,   181,   182,   183,
     184,   185,   186,   187,    -1,   189,    -1,   191,    -1,    -1,
     194,    -1,   196,   197,   198,   199,   200,    -1,   202,   203,
      -1,   205,   206,    -1,   208,    -1,    -1,   211,   212,   213,
      -1,    -1,   216,   217,   218,   219,   220,   221,   222,   223,
     224,   225,   226,   227,   228,   229,    -1,   231,   232,   233,
     234,    -1,   236,   237,    -1,   239,    -1,   241,   242,   243,
     244,   245,   246,    -1,   248,    -1,    -1,   251,   252,   253,
      -1,    -1,   256,    -1,    -1,    -1,   260,   261,   262,   263,
     264,   265,   266,   267,    -1,   269,   270,   271,   272,   273,
     274,   275,    -1,   277,   278,   279,   280,   281,   282,   283,
     284,   285,   286,   287,   288,   289,    -1,   291,   292,   293,
     294,   295,   296,   297,   298,   299,   300,   301,    -1,   303,
     304,    -1,   306,   307,   308,   309,   310,   311,   312,   313,
     314,   315,   316,    -1,   318,   319,   320,   321,   322,    -1,
     324,   325,   326,   327,    -1,   329,   330,   331,    -1,   333,
     334,   335,   336,   337,   338,   339,   340,   341,   342,   343,
      -1,   345,   346,    -1,   348,   349,   350,   351,   352,   353,
      -1,   355,   356,    -1,    -1,   359,   360,   361,   362,    -1,
     364,   365,   366,   367,   368,   369,   370,    -1,    -1,   373,
     374,   375,   376,   377,    -1,    -1,   380,   381,   382,   383,
     384,   385,   386,    -1,   388,    -1,   390,   391,   392,    -1,
      -1,   395,    -1,    -1,   398,   399,   400,   401,   402,   403,
     404,   405,   406,   407,   408,   409,   410,   411,   412,   413,
     414,    -1,    -1,    -1,   418,   419,   420,    -1,   422,   423,
     424,   425,   426,   427,     3,    -1,    -1,    -1,    -1,     8,
      -1,    -1,    -1,    -1,    -1,    14,    15,    16,    17,    18,
      19,    20,    21,    -1,    23,    24,    25,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    33,    34,    -1,    36,    37,    -1,
      39,    40,    41,    42,    43,    -1,    45,    46,    -1,    48,
      49,    50,    51,    52,    -1,    -1,    55,    56,    57,    58,
      59,    -1,    61,    62,    63,    64,    65,    -1,    -1,    -1,
      69,    70,    71,    72,    -1,    74,    75,    -1,    77,    78,
      79,    80,    81,    82,    -1,    -1,    85,    86,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    94,    95,    96,    97,    98,
      99,   100,   101,   102,    -1,   104,    -1,   106,   107,   108,
     109,   110,    -1,   112,   113,   114,    -1,    -1,   117,   118,
     119,   120,   121,    -1,   123,   124,   125,    -1,   127,   128,
     129,    -1,   131,   132,   133,   134,   135,   136,   137,   138,
     139,    -1,   141,    -1,   143,   144,   145,    -1,   147,    -1,
     149,    -1,    -1,    -1,   153,   154,   155,    -1,   157,   158,
      -1,   160,    -1,   162,   163,   164,   165,   166,    -1,   168,
     169,   170,    -1,   172,   173,   174,   175,   176,   177,    -1,
     179,    -1,   181,   182,   183,   184,   185,   186,   187,    -1,
     189,    -1,   191,    -1,    -1,   194,    -1,   196,   197,   198,
     199,   200,    -1,   202,   203,    -1,   205,   206,    -1,   208,
      -1,    -1,   211,   212,   213,    -1,    -1,   216,   217,   218,
     219,   220,   221,   222,   223,   224,   225,   226,   227,   228,
     229,    -1,   231,   232,   233,   234,    -1,   236,   237,    -1,
     239,    -1,   241,   242,   243,   244,   245,   246,    -1,   248,
      -1,    -1,   251,   252,   253,    -1,    -1,   256,    -1,    -1,
      -1,   260,   261,   262,   263,   264,   265,   266,   267,    -1,
     269,   270,   271,   272,   273,   274,   275,    -1,   277,   278,
     279,   280,   281,   282,   283,   284,   285,   286,   287,   288,
     289,    -1,   291,   292,   293,   294,   295,   296,   297,   298,
     299,   300,   301,    -1,   303,   304,    -1,   306,   307,   308,
     309,   310,   311,   312,   313,   314,   315,   316,    -1,   318,
     319,   320,   321,   322,    -1,   324,   325,   326,   327,    -1,
     329,   330,   331,    -1,   333,   334,   335,   336,   337,   338,
     339,   340,   341,   342,   343,    -1,   345,   346,    -1,   348,
     349,   350,   351,   352,   353,    -1,   355,   356,    -1,    -1,
     359,   360,   361,   362,    -1,   364,   365,   366,   367,   368,
     369,   370,    -1,    -1,   373,   374,   375,   376,   377,    -1,
      -1,   380,   381,   382,   383,   384,   385,   386,    -1,   388,
      -1,   390,   391,   392,    -1,    -1,   395,    -1,    -1,   398,
     399,   400,   401,   402,   403,   404,   405,   406,   407,   408,
     409,   410,   411,   412,   413,   414,    -1,    -1,    -1,   418,
     419,   420,    -1,   422,   423,   424,   425,   426,   427,     3,
      -1,    -1,    -1,    -1,     8,    -1,    -1,    -1,    -1,    -1,
      14,    15,    16,    17,    18,    19,    20,    21,    -1,    23,
      24,    25,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    33,
      34,    -1,    36,    37,    -1,    39,    40,    41,    42,    43,
      -1,    45,    46,    -1,    48,    49,    50,    51,    52,    -1,
      -1,    55,    56,    57,    58,    59,    -1,    61,    62,    63,
      64,    65,    -1,    -1,    -1,    69,    70,    71,    72,    -1,
      74,    75,    -1,    77,    78,    79,    80,    81,    82,    -1,
      -1,    85,    86,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      94,    95,    96,    97,    98,    99,   100,   101,   102,    -1,
     104,    -1,   106,   107,   108,   109,   110,    -1,   112,   113,
     114,    -1,    -1,   117,   118,   119,   120,   121,    -1,   123,
     124,   125,    -1,   127,   128,   129,    -1,   131,   132,   133,
     134,   135,   136,   137,   138,   139,    -1,   141,    -1,   143,
     144,   145,    -1,   147,    -1,   149,    -1,    -1,    -1,   153,
     154,   155,    -1,   157,   158,    -1,   160,    -1,   162,   163,
     164,   165,   166,    -1,   168,   169,   170,    -1,   172,   173,
     174,   175,   176,   177,    -1,   179,    -1,   181,   182,   183,
     184,   185,   186,   187,    -1,   189,    -1,   191,    -1,    -1,
     194,    -1,   196,   197,   198,   199,   200,    -1,   202,   203,
      -1,   205,   206,    -1,   208,    -1,    -1,   211,   212,   213,
      -1,    -1,   216,   217,   218,   219,   220,   221,   222,   223,
     224,   225,   226,   227,   228,   229,    -1,   231,   232,   233,
     234,    -1,   236,   237,    -1,   239,    -1,   241,   242,   243,
     244,   245,   246,    -1,   248,    -1,    -1,   251,   252,   253,
      -1,    -1,   256,    -1,    -1,    -1,   260,   261,   262,   263,
     264,   265,   266,   267,    -1,   269,   270,   271,   272,   273,
     274,   275,    -1,   277,   278,   279,   280,   281,   282,   283,
     284,   285,   286,   287,   288,   289,    -1,   291,   292,   293,
     294,   295,   296,   297,   298,   299,   300,   301,    -1,   303,
     304,    -1,   306,   307,   308,   309,   310,   311,   312,   313,
     314,   315,   316,    -1,   318,   319,   320,   321,   322,    -1,
     324,   325,   326,   327,    -1,   329,   330,   331,    -1,   333,
     334,   335,   336,   337,   338,   339,   340,   341,   342,   343,
      -1,   345,   346,    -1,   348,   349,   350,   351,   352,   353,
      -1,   355,   356,    -1,    -1,   359,   360,   361,   362,    -1,
     364,   365,   366,   367,   368,   369,   370,    -1,    -1,   373,
     374,   375,   376,   377,    -1,    -1,   380,   381,   382,   383,
     384,   385,   386,    -1,   388,    -1,   390,   391,   392,    -1,
      -1,   395,    -1,    -1,   398,   399,   400,   401,   402,   403,
     404,   405,   406,   407,   408,   409,   410,   411,   412,   413,
     414,    -1,    -1,    -1,   418,   419,   420,    -1,   422,   423,
     424,   425,   426,   427,     3,    -1,    -1,    -1,    -1,     8,
      -1,    -1,    -1,    -1,    -1,    14,    15,    16,    17,    18,
      19,    20,    21,    -1,    23,    24,    25,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    33,    34,    -1,    36,    37,    -1,
      39,    40,    41,    42,    43,    -1,    45,    46,    -1,    48,
      49,    50,    51,    52,    -1,    -1,    55,    56,    57,    58,
      59,    -1,    61,    62,    63,    64,    65,    -1,    -1,    -1,
      69,    70,    71,    72,    -1,    74,    75,    -1,    77,    78,
      79,    80,    81,    82,    -1,    -1,    85,    86,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    94,    95,    96,    97,    98,
      99,   100,   101,   102,    -1,   104,    -1,   106,   107,   108,
     109,   110,    -1,   112,   113,   114,    -1,    -1,   117,   118,
     119,   120,   121,    -1,   123,   124,   125,    -1,   127,   128,
     129,    -1,   131,   132,   133,   134,   135,   136,   137,   138,
     139,    -1,   141,    -1,   143,   144,   145,    -1,   147,    -1,
     149,    -1,    -1,    -1,   153,   154,   155,    -1,   157,   158,
      -1,   160,    -1,   162,   163,   164,   165,   166,    -1,   168,
     169,   170,    -1,   172,   173,   174,   175,   176,   177,    -1,
     179,    -1,   181,   182,   183,   184,   185,   186,   187,    -1,
     189,    -1,   191,    -1,    -1,   194,    -1,   196,   197,   198,
     199,   200,    -1,   202,   203,    -1,   205,   206,    -1,   208,
      -1,    -1,   211,   212,   213,    -1,    -1,   216,   217,   218,
     219,   220,   221,   222,   223,   224,   225,   226,   227,   228,
     229,    -1,   231,   232,   233,   234,    -1,   236,   237,    -1,
     239,    -1,   241,   242,   243,   244,   245,   246,    -1,   248,
      -1,    -1,   251,   252,   253,    -1,    -1,   256,    -1,    -1,
      -1,   260,   261,   262,   263,   264,   265,   266,   267,    -1,
     269,   270,   271,   272,   273,   274,   275,    -1,   277,   278,
     279,   280,   281,   282,   283,   284,   285,   286,   287,   288,
     289,    -1,   291,   292,   293,   294,   295,   296,   297,   298,
     299,   300,   301,    -1,   303,   304,    -1,   306,   307,   308,
     309,   310,   311,   312,   313,   314,   315,   316,    -1,   318,
     319,   320,   321,   322,    -1,   324,   325,   326,   327,    -1,
     329,   330,   331,    -1,   333,   334,   335,   336,   337,   338,
     339,   340,   341,   342,   343,    -1,   345,   346,    -1,   348,
     349,   350,   351,   352,   353,    -1,   355,   356,    -1,    -1,
     359,   360,   361,   362,    -1,   364,   365,   366,   367,   368,
     369,   370,    -1,    -1,   373,   374,   375,   376,   377,    -1,
      -1,   380,   381,   382,   383,   384,   385,   386,    -1,   388,
      -1,   390,   391,   392,    -1,    -1,   395,    -1,    -1,   398,
     399,   400,   401,   402,   403,   404,   405,   406,   407,   408,
     409,   410,   411,   412,   413,   414,    -1,    -1,    -1,   418,
     419,   420,    -1,   422,   423,   424,   425,   426,   427,     3,
      -1,    -1,    -1,    -1,     8,    -1,    -1,    -1,    -1,    -1,
      14,    15,    16,    17,    18,    19,    20,    21,    -1,    23,
      24,    25,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    33,
      34,    -1,    36,    37,    -1,    39,    40,    41,    42,    43,
      -1,    45,    46,    -1,    48,    49,    50,    51,    52,    -1,
      -1,    55,    56,    57,    58,    59,    -1,    61,    62,    63,
      64,    65,    -1,    -1,    -1,    69,    70,    71,    72,    -1,
      74,    75,    -1,    77,    78,    79,    80,    81,    82,    -1,
      -1,    85,    86,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      94,    95,    96,    97,    98,    99,   100,   101,   102,    -1,
     104,    -1,   106,   107,   108,   109,   110,    -1,   112,   113,
     114,    -1,    -1,   117,   118,   119,   120,   121,    -1,   123,
     124,   125,    -1,   127,   128,   129,    -1,   131,   132,   133,
     134,   135,   136,   137,   138,   139,    -1,   141,    -1,   143,
     144,   145,    -1,   147,    -1,   149,    -1,    -1,    -1,   153,
     154,   155,    -1,   157,   158,    -1,   160,    -1,   162,   163,
     164,   165,   166,    -1,   168,   169,   170,    -1,   172,   173,
     174,   175,   176,   177,    -1,   179,    -1,   181,   182,   183,
     184,   185,   186,   187,    -1,   189,    -1,   191,    -1,    -1,
     194,    -1,   196,   197,   198,   199,   200,    -1,   202,   203,
      -1,   205,   206,    -1,   208,    -1,    -1,   211,   212,   213,
      -1,    -1,   216,   217,   218,   219,   220,   221,   222,   223,
     224,   225,   226,   227,   228,   229,    -1,   231,   232,   233,
     234,    -1,   236,   237,    -1,   239,    -1,   241,   242,   243,
     244,   245,   246,    -1,   248,    -1,    -1,   251,   252,   253,
      -1,    -1,   256,    -1,    -1,    -1,   260,   261,   262,   263,
     264,   265,   266,   267,    -1,   269,   270,   271,   272,   273,
     274,   275,    -1,   277,   278,   279,   280,   281,   282,   283,
     284,   285,   286,   287,   288,   289,    -1,   291,   292,   293,
     294,   295,   296,   297,   298,   299,   300,   301,    -1,   303,
     304,    -1,   306,   307,   308,   309,   310,   311,   312,   313,
     314,   315,   316,    -1,   318,   319,   320,   321,   322,    -1,
     324,   325,   326,   327,    -1,   329,   330,   331,    -1,   333,
     334,   335,   336,   337,   338,   339,   340,   341,   342,   343,
      -1,   345,   346,    -1,   348,   349,   350,   351,   352,   353,
      -1,   355,   356,    -1,    -1,   359,   360,   361,   362,    -1,
     364,   365,   366,   367,   368,   369,   370,    -1,    -1,   373,
     374,   375,   376,   377,    -1,    -1,   380,   381,   382,   383,
     384,   385,   386,    -1,   388,    -1,   390,   391,   392,    -1,
      -1,   395,    -1,    -1,   398,   399,   400,   401,   402,   403,
     404,   405,   406,   407,   408,   409,   410,   411,   412,   413,
     414,    -1,    -1,     3,   418,   419,   420,    -1,   422,   423,
     424,   425,   426,   427,    14,    15,    16,    17,    18,    19,
      20,    21,    22,    23,    24,    25,    26,    27,    28,    29,
      30,    31,    32,    33,    34,    35,    36,    37,    38,    39,
      40,    41,    42,    43,    44,    45,    46,    47,    48,    49,
      50,    51,    52,    53,    54,    55,    56,    57,    58,    59,
      60,    61,    62,    63,    64,    65,    66,    67,    68,    69,
      70,    71,    72,    73,    74,    75,    76,    77,    78,    79,
      80,    81,    82,    83,    84,    85,    86,    87,    88,    89,
      90,    91,    92,    93,    94,    95,    96,    97,    98,    99,
     100,   101,   102,   103,   104,   105,   106,   107,   108,   109,
     110,   111,   112,   113,   114,   115,   116,   117,   118,   119,
     120,   121,   122,   123,   124,   125,   126,   127,   128,   129,
     130,   131,   132,   133,   134,   135,   136,   137,   138,   139,
     140,   141,   142,   143,   144,   145,   146,   147,   148,   149,
     150,   151,   152,   153,   154,   155,   156,   157,   158,   159,
     160,   161,   162,   163,   164,   165,   166,   167,   168,   169,
     170,   171,   172,   173,   174,   175,   176,   177,   178,   179,
     180,   181,   182,   183,   184,   185,   186,   187,   188,   189,
     190,   191,   192,   193,   194,   195,   196,   197,   198,   199,
     200,   201,   202,   203,   204,   205,   206,   207,   208,   209,
     210,   211,   212,   213,   214,   215,   216,   217,   218,   219,
     220,   221,   222,   223,   224,   225,   226,   227,   228,   229,
     230,   231,   232,   233,   234,   235,   236,   237,   238,   239,
     240,   241,   242,   243,   244,   245,   246,   247,   248,   249,
     250,   251,   252,   253,   254,   255,   256,   257,   258,   259,
     260,   261,   262,   263,   264,   265,   266,   267,   268,   269,
     270,   271,   272,   273,   274,   275,   276,   277,   278,   279,
     280,   281,   282,   283,   284,   285,   286,   287,   288,   289,
     290,   291,   292,   293,   294,   295,   296,   297,   298,   299,
     300,   301,   302,   303,   304,   305,   306,   307,   308,   309,
     310,   311,   312,   313,   314,   315,   316,   317,   318,   319,
     320,   321,   322,   323,   324,   325,   326,   327,   328,   329,
     330,   331,   332,   333,   334,   335,   336,   337,   338,   339,
     340,   341,   342,   343,   344,   345,   346,   347,   348,   349,
     350,   351,   352,   353,   354,   355,   356,   357,   358,   359,
     360,   361,   362,   363,   364,   365,   366,   367,   368,   369,
     370,   371,   372,   373,   374,   375,   376,   377,   378,   379,
     380,   381,   382,   383,   384,   385,   386,   387,   388,   389,
     390,   391,   392,   393,   394,   395,   396,   397,   398,   399,
     400,   401,   402,   403,   404,   405,   406,   407,   408,   409,
     410,   411,   412,   413,   414,     3,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   424,    -1,    14,    15,    16,    17,
      18,    19,    20,    21,    -1,    23,    24,    25,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    33,    34,    -1,    36,    37,
      -1,    39,    40,    41,    42,    43,    -1,    45,    46,    -1,
      48,    49,    50,    51,    52,    -1,    -1,    55,    56,    57,
      58,    59,    -1,    61,    62,    63,    64,    65,    -1,    -1,
      -1,    69,    70,    71,    72,    -1,    74,    75,    -1,    77,
      78,    79,    80,    81,    82,    -1,    -1,    85,    86,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    94,    95,    96,    97,
      98,    99,   100,   101,   102,    -1,   104,    -1,   106,   107,
     108,   109,   110,    -1,   112,   113,   114,    -1,    -1,   117,
     118,   119,   120,   121,    -1,   123,   124,   125,    -1,   127,
     128,   129,    -1,   131,   132,   133,   134,   135,   136,   137,
     138,   139,    -1,   141,    -1,   143,   144,   145,    -1,   147,
      -1,   149,    -1,    -1,    -1,   153,   154,   155,    -1,   157,
     158,    -1,   160,    -1,   162,   163,   164,   165,   166,    -1,
     168,   169,   170,    -1,   172,   173,   174,   175,   176,   177,
      -1,   179,    -1,   181,   182,   183,   184,   185,   186,   187,
      -1,   189,    -1,   191,    -1,    -1,   194,    -1,   196,   197,
     198,   199,   200,    -1,   202,   203,    -1,   205,   206,    -1,
     208,    -1,    -1,   211,   212,   213,    -1,    -1,   216,   217,
     218,   219,   220,   221,   222,   223,   224,   225,   226,   227,
     228,   229,    -1,   231,   232,   233,   234,    -1,   236,   237,
      -1,   239,    -1,   241,   242,   243,   244,   245,   246,    -1,
     248,    -1,    -1,   251,   252,   253,    -1,    -1,   256,    -1,
      -1,    -1,   260,   261,   262,   263,   264,   265,   266,   267,
      -1,   269,   270,   271,   272,   273,   274,   275,    -1,   277,
     278,   279,   280,   281,   282,   283,   284,   285,   286,   287,
     288,   289,    -1,   291,   292,   293,   294,   295,   296,   297,
     298,   299,   300,   301,    -1,   303,   304,    -1,   306,   307,
     308,   309,   310,   311,   312,   313,   314,   315,   316,    -1,
     318,   319,   320,   321,   322,    -1,   324,   325,   326,   327,
      -1,   329,   330,   331,    -1,   333,   334,   335,   336,   337,
     338,   339,   340,   341,   342,   343,    -1,   345,   346,    -1,
     348,   349,   350,   351,   352,   353,    -1,   355,   356,    -1,
      -1,   359,   360,   361,   362,    -1,   364,   365,   366,   367,
     368,   369,   370,    -1,    -1,   373,   374,   375,   376,   377,
      -1,    -1,   380,   381,   382,   383,   384,   385,   386,    -1,
     388,    -1,   390,   391,   392,    -1,    -1,   395,    -1,    -1,
     398,   399,   400,   401,   402,   403,   404,   405,   406,   407,
     408,   409,   410,   411,   412,   413,   414,     3,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   424,    -1,    14,    15,
      16,    17,    18,    19,    20,    21,    -1,    23,    24,    25,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    33,    34,    -1,
      36,    37,    -1,    39,    40,    41,    42,    43,    -1,    45,
      46,    -1,    48,    49,    50,    51,    52,    -1,    -1,    55,
      56,    57,    58,    59,    -1,    61,    62,    63,    64,    65,
      -1,    -1,    -1,    69,    70,    71,    72,    -1,    74,    75,
      -1,    77,    78,    79,    80,    81,    82,    -1,    -1,    85,
      86,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    94,    95,
      96,    97,    98,    99,   100,   101,   102,    -1,   104,    -1,
     106,   107,   108,   109,   110,    -1,   112,   113,   114,    -1,
      -1,   117,   118,   119,   120,   121,    -1,   123,   124,   125,
      -1,   127,   128,   129,    -1,   131,   132,   133,   134,   135,
     136,   137,   138,   139,    -1,   141,    -1,   143,   144,   145,
      -1,   147,    -1,   149,    -1,    -1,    -1,   153,   154,   155,
      -1,   157,   158,    -1,   160,    -1,   162,   163,   164,   165,
     166,    -1,   168,   169,   170,    -1,   172,   173,   174,   175,
     176,   177,    -1,   179,    -1,   181,   182,   183,   184,   185,
     186,   187,    -1,   189,    -1,   191,    -1,    -1,   194,    -1,
     196,   197,   198,   199,   200,    -1,   202,   203,    -1,   205,
     206,    -1,   208,    -1,    -1,   211,   212,   213,    -1,    -1,
     216,   217,   218,   219,   220,   221,   222,   223,   224,   225,
     226,   227,   228,   229,    -1,   231,   232,   233,   234,    -1,
     236,   237,    -1,   239,    -1,   241,   242,   243,   244,   245,
     246,    -1,   248,    -1,    -1,   251,   252,   253,    -1,    -1,
     256,    -1,    -1,    -1,   260,   261,   262,   263,   264,   265,
     266,   267,    -1,   269,   270,   271,   272,   273,   274,   275,
      -1,   277,   278,   279,   280,   281,   282,   283,   284,   285,
     286,   287,   288,   289,    -1,   291,   292,   293,   294,   295,
     296,   297,   298,   299,   300,   301,    -1,   303,   304,    -1,
     306,   307,   308,   309,   310,   311,   312,   313,   314,   315,
     316,    -1,   318,   319,   320,   321,   322,    -1,   324,   325,
     326,   327,    -1,   329,   330,   331,    -1,   333,   334,   335,
     336,   337,   338,   339,   340,   341,   342,   343,    -1,   345,
     346,    -1,   348,   349,   350,   351,   352,   353,    -1,   355,
     356,    -1,    -1,   359,   360,   361,   362,    -1,   364,   365,
     366,   367,   368,   369,   370,    -1,    -1,   373,   374,   375,
     376,   377,    -1,    -1,   380,   381,   382,   383,   384,   385,
     386,    -1,   388,    -1,   390,   391,   392,    -1,    -1,   395,
      -1,    -1,   398,   399,   400,   401,   402,   403,   404,   405,
     406,   407,   408,   409,   410,   411,   412,   413,   414,     3,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   424,    -1,
      14,    15,    16,    17,    18,    19,    20,    21,    -1,    23,
      24,    25,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    33,
      34,    -1,    36,    37,    38,    39,    40,    41,    -1,    43,
      44,    45,    46,    -1,    48,    49,    50,    51,    52,    -1,
      -1,    55,    56,    57,    58,    59,    -1,    61,    62,    63,
      64,    -1,    -1,    67,    -1,    69,    70,    71,    72,    73,
      74,    75,    -1,    77,    78,    79,    80,    81,    82,    -1,
      84,    85,    86,    -1,    -1,    -1,    90,    -1,    -1,    -1,
      94,    95,    96,    97,    98,    99,   100,   101,   102,    -1,
     104,    -1,   106,   107,   108,   109,   110,    -1,   112,   113,
     114,    -1,    -1,   117,   118,   119,   120,   121,    -1,   123,
     124,   125,    -1,   127,   128,   129,    -1,   131,   132,   133,
     134,    -1,   136,   137,   138,    -1,    -1,   141,    -1,   143,
     144,   145,    -1,   147,    -1,   149,   150,    -1,   152,   153,
     154,   155,    -1,   157,    -1,    -1,   160,    -1,   162,   163,
     164,   165,   166,   167,   168,   169,   170,    -1,   172,   173,
     174,   175,   176,   177,    -1,   179,   180,    -1,   182,   183,
     184,   185,   186,   187,    -1,   189,    -1,   191,   192,   193,
     194,   195,   196,   197,   198,   199,   200,    -1,   202,   203,
      -1,   205,    -1,   207,   208,   209,    -1,   211,   212,   213,
      -1,    -1,   216,   217,   218,   219,   220,   221,   222,   223,
     224,   225,   226,   227,   228,   229,   230,   231,   232,   233,
      -1,    -1,   236,   237,   238,   239,    -1,    -1,   242,   243,
     244,   245,   246,    -1,   248,    -1,    -1,   251,   252,   253,
      -1,    -1,    -1,   257,   258,   259,    -1,   261,   262,   263,
     264,   265,   266,   267,    -1,   269,    -1,   271,    -1,   273,
     274,   275,    -1,   277,   278,   279,   280,   281,   282,   283,
     284,   285,   286,   287,   288,   289,    -1,   291,   292,   293,
     294,   295,   296,   297,   298,   299,   300,   301,    -1,   303,
     304,   305,   306,   307,    -1,   309,   310,   311,   312,   313,
     314,   315,   316,    -1,   318,   319,   320,   321,   322,    -1,
     324,   325,   326,   327,   328,   329,   330,   331,    -1,   333,
     334,   335,   336,   337,   338,   339,   340,   341,   342,    -1,
      -1,   345,   346,    -1,   348,   349,   350,   351,   352,   353,
      -1,   355,   356,    -1,    -1,   359,    -1,   361,    -1,    -1,
     364,   365,   366,   367,   368,   369,   370,    -1,    -1,   373,
     374,   375,   376,   377,    -1,    -1,   380,   381,   382,   383,
     384,    -1,   386,    -1,   388,   389,   390,   391,   392,    -1,
      -1,   395,    -1,    -1,   398,   399,   400,   401,   402,    -1,
      -1,     3,    -1,    -1,    -1,    -1,    -1,    -1,   412,   413,
     414,    -1,    14,    15,    16,    17,    18,    19,    20,    21,
     424,    23,    24,    25,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    33,    34,    -1,    36,    37,    38,    39,    40,    41,
      -1,    43,    44,    45,    46,    -1,    48,    49,    50,    51,
      52,    -1,    -1,    55,    56,    57,    58,    59,    -1,    61,
      62,    63,    64,    -1,    -1,    67,    -1,    69,    70,    71,
      72,    73,    74,    75,    -1,    77,    78,    79,    80,    81,
      82,    -1,    84,    85,    86,    -1,    -1,    -1,    90,    -1,
      -1,    -1,    94,    95,    96,    97,    98,    99,   100,   101,
     102,    -1,   104,    -1,   106,   107,   108,   109,   110,    -1,
     112,   113,   114,    -1,    -1,   117,   118,   119,   120,   121,
      -1,   123,   124,   125,    -1,   127,   128,   129,    -1,   131,
     132,   133,   134,    -1,   136,   137,   138,    -1,    -1,   141,
      -1,   143,   144,   145,    -1,   147,    -1,   149,   150,    -1,
     152,   153,   154,   155,    -1,   157,    -1,    -1,   160,    -1,
     162,   163,   164,   165,   166,   167,   168,   169,   170,    -1,
     172,   173,   174,   175,   176,   177,    -1,   179,   180,    -1,
     182,   183,   184,   185,   186,   187,    -1,   189,    -1,   191,
     192,   193,   194,   195,   196,   197,   198,   199,   200,    -1,
     202,   203,    -1,   205,    -1,   207,   208,   209,    -1,   211,
     212,   213,    -1,    -1,   216,   217,   218,   219,   220,   221,
     222,   223,   224,   225,   226,   227,   228,   229,   230,   231,
     232,   233,    -1,    -1,   236,   237,   238,   239,    -1,    -1,
     242,   243,   244,   245,   246,    -1,   248,    -1,    -1,   251,
     252,   253,    -1,    -1,    -1,   257,   258,   259,    -1,   261,
     262,   263,   264,   265,   266,   267,    -1,   269,    -1,   271,
      -1,   273,   274,   275,    -1,   277,   278,   279,   280,   281,
     282,   283,   284,   285,   286,   287,   288,   289,    -1,   291,
     292,   293,   294,   295,   296,   297,   298,   299,   300,   301,
      -1,   303,   304,   305,   306,   307,    -1,   309,   310,   311,
     312,   313,   314,   315,   316,    -1,   318,   319,   320,   321,
     322,    -1,   324,   325,   326,   327,   328,   329,   330,   331,
      -1,   333,   334,   335,   336,   337,   338,   339,   340,   341,
     342,    -1,    -1,   345,   346,    -1,   348,   349,   350,   351,
     352,   353,    -1,   355,   356,    -1,    -1,   359,    -1,   361,
      -1,    -1,   364,   365,   366,   367,   368,   369,   370,    -1,
      -1,   373,   374,   375,   376,   377,    -1,    -1,   380,   381,
     382,   383,   384,    -1,   386,    -1,   388,   389,   390,   391,
     392,    -1,    -1,   395,    -1,    -1,   398,   399,   400,   401,
     402,    -1,    -1,     3,     4,     5,    -1,    -1,    -1,     9,
     412,   413,   414,    -1,    14,    15,    16,    17,    18,    19,
      20,    21,   424,    23,    24,    25,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    33,    34,    -1,    36,    37,    38,    39,
      40,    41,    42,    43,    44,    45,    46,    -1,    48,    49,
      50,    51,    52,    -1,    -1,    55,    56,    57,    58,    59,
      -1,    61,    62,    63,    64,    65,    -1,    67,    -1,    69,
      70,    71,    72,    73,    74,    75,    -1,    77,    78,    79,
      80,    81,    82,    -1,    84,    85,    86,    -1,    -1,    -1,
      90,    -1,    -1,    -1,    94,    95,    96,    97,    98,    99,
     100,   101,   102,   103,   104,    -1,   106,   107,   108,   109,
     110,    -1,   112,   113,   114,    -1,    -1,   117,   118,   119,
     120,   121,    -1,   123,   124,   125,    -1,   127,   128,   129,
      -1,   131,   132,   133,   134,   135,   136,   137,   138,   139,
     140,   141,    -1,   143,   144,   145,    -1,   147,    -1,   149,
     150,    -1,   152,   153,   154,   155,    -1,   157,   158,    -1,
     160,    -1,   162,   163,   164,   165,   166,   167,   168,   169,
     170,    -1,   172,   173,   174,   175,   176,   177,    -1,   179,
     180,   181,   182,   183,   184,   185,   186,   187,    -1,   189,
      -1,   191,   192,   193,   194,   195,   196,   197,   198,   199,
     200,    -1,   202,   203,    -1,   205,   206,   207,   208,   209,
      -1,   211,   212,   213,    -1,    -1,   216,   217,   218,   219,
     220,   221,   222,   223,   224,   225,   226,   227,   228,   229,
     230,   231,   232,   233,   234,    -1,   236,   237,   238,   239,
      -1,   241,   242,   243,   244,   245,   246,    -1,   248,   249,
      -1,   251,   252,   253,    -1,    -1,   256,   257,   258,   259,
     260,   261,   262,   263,   264,   265,   266,   267,    -1,   269,
     270,   271,   272,   273,   274,   275,    -1,   277,   278,   279,
     280,   281,   282,   283,   284,   285,   286,   287,   288,   289,
      -1,   291,   292,   293,   294,   295,   296,   297,   298,   299,
     300,   301,    -1,   303,   304,   305,   306,   307,   308,   309,
     310,   311,   312,   313,   314,   315,   316,    -1,   318,   319,
     320,   321,   322,    -1,   324,   325,   326,   327,   328,   329,
     330,   331,    -1,   333,   334,   335,   336,   337,   338,   339,
     340,   341,   342,   343,    -1,   345,   346,    -1,   348,   349,
     350,   351,   352,   353,    -1,   355,   356,    -1,    -1,   359,
     360,   361,   362,   363,   364,   365,   366,   367,   368,   369,
     370,    -1,    -1,   373,   374,   375,   376,   377,    -1,    -1,
     380,   381,   382,   383,   384,   385,   386,    -1,   388,   389,
     390,   391,   392,    -1,    -1,   395,    -1,    -1,   398,   399,
     400,   401,   402,   403,   404,   405,   406,   407,   408,   409,
     410,   411,   412,   413,   414,     3,     4,     5,    -1,    -1,
      -1,     9,   422,   423,    -1,    -1,    14,    15,    16,    17,
      18,    19,    20,    21,    -1,    23,    24,    25,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    33,    34,    -1,    36,    37,
      38,    39,    40,    41,    42,    43,    44,    45,    46,    -1,
      48,    49,    50,    51,    52,    -1,    -1,    55,    56,    57,
      58,    59,    -1,    61,    62,    63,    64,    65,    -1,    67,
      -1,    69,    70,    71,    72,    73,    74,    75,    -1,    77,
      78,    79,    80,    81,    82,    -1,    84,    85,    86,    -1,
      -1,    -1,    90,    -1,    -1,    -1,    94,    95,    96,    97,
      98,    99,   100,   101,   102,   103,   104,    -1,   106,   107,
     108,   109,   110,    -1,   112,   113,   114,    -1,    -1,   117,
     118,   119,   120,   121,    -1,   123,   124,   125,    -1,   127,
     128,   129,    -1,   131,   132,   133,   134,   135,   136,   137,
     138,   139,   140,   141,    -1,   143,   144,   145,    -1,   147,
      -1,   149,   150,    -1,   152,   153,   154,   155,    -1,   157,
     158,    -1,   160,    -1,   162,   163,   164,   165,   166,   167,
     168,   169,   170,    -1,   172,   173,   174,   175,   176,   177,
      -1,   179,   180,   181,   182,   183,   184,   185,   186,   187,
      -1,   189,    -1,   191,   192,   193,   194,   195,   196,   197,
     198,   199,   200,    -1,   202,   203,    -1,   205,   206,   207,
     208,   209,    -1,   211,   212,   213,    -1,    -1,   216,   217,
     218,   219,   220,   221,   222,   223,   224,   225,   226,   227,
     228,   229,   230,   231,   232,   233,   234,    -1,   236,   237,
     238,   239,    -1,   241,   242,   243,   244,   245,   246,    -1,
     248,   249,    -1,   251,   252,   253,    -1,    -1,   256,   257,
     258,   259,   260,   261,   262,   263,   264,   265,   266,   267,
      -1,   269,   270,   271,   272,   273,   274,   275,    -1,   277,
     278,   279,   280,   281,   282,   283,   284,   285,   286,   287,
     288,   289,    -1,   291,   292,   293,   294,   295,   296,   297,
     298,   299,   300,   301,    -1,   303,   304,   305,   306,   307,
     308,   309,   310,   311,   312,   313,   314,   315,   316,    -1,
     318,   319,   320,   321,   322,    -1,   324,   325,   326,   327,
     328,   329,   330,   331,    -1,   333,   334,   335,   336,   337,
     338,   339,   340,   341,   342,   343,    -1,   345,   346,    -1,
     348,   349,   350,   351,   352,   353,    -1,   355,   356,    -1,
      -1,   359,   360,   361,   362,   363,   364,   365,   366,   367,
     368,   369,   370,    -1,    -1,   373,   374,   375,   376,   377,
      -1,    -1,   380,   381,   382,   383,   384,   385,   386,    -1,
     388,   389,   390,   391,   392,    -1,    -1,   395,    -1,    -1,
     398,   399,   400,   401,   402,   403,   404,   405,   406,   407,
     408,   409,   410,   411,   412,   413,   414,     3,     4,     5,
      -1,    -1,    -1,     9,   422,   423,    -1,    -1,    14,    15,
      16,    17,    18,    19,    20,    21,    -1,    23,    24,    25,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    33,    34,    -1,
      36,    37,    38,    39,    40,    41,    42,    43,    44,    45,
      46,    -1,    48,    49,    50,    51,    52,    -1,    -1,    55,
      56,    57,    58,    59,    -1,    61,    62,    63,    64,    65,
      -1,    67,    -1,    69,    70,    71,    72,    73,    74,    75,
      -1,    77,    78,    79,    80,    81,    82,    -1,    84,    85,
      86,    -1,    -1,    -1,    90,    -1,    -1,    -1,    94,    95,
      96,    97,    98,    99,   100,   101,   102,    -1,   104,    -1,
     106,   107,   108,   109,   110,    -1,   112,   113,   114,    -1,
      -1,   117,   118,   119,   120,   121,    -1,   123,   124,   125,
      -1,   127,   128,   129,    -1,   131,   132,   133,   134,   135,
     136,   137,   138,   139,   140,   141,    -1,   143,   144,   145,
      -1,   147,    -1,   149,   150,    -1,   152,   153,   154,   155,
      -1,   157,   158,    -1,   160,    -1,   162,   163,   164,   165,
     166,   167,   168,   169,   170,    -1,   172,   173,   174,   175,
     176,   177,    -1,   179,   180,   181,   182,   183,   184,   185,
     186,   187,    -1,   189,    -1,   191,   192,   193,   194,   195,
     196,   197,   198,   199,   200,    -1,   202,   203,    -1,   205,
     206,   207,   208,   209,    -1,   211,   212,   213,    -1,    -1,
     216,   217,   218,   219,   220,   221,   222,   223,   224,   225,
     226,   227,   228,   229,   230,   231,   232,   233,   234,    -1,
     236,   237,   238,   239,    -1,   241,   242,   243,   244,   245,
     246,    -1,   248,   249,    -1,   251,   252,   253,    -1,    -1,
     256,   257,   258,   259,   260,   261,   262,   263,   264,   265,
     266,   267,    -1,   269,   270,   271,   272,   273,   274,   275,
      -1,   277,   278,   279,   280,   281,   282,   283,   284,   285,
     286,   287,   288,   289,    -1,   291,   292,   293,   294,   295,
     296,   297,   298,   299,   300,   301,    -1,   303,   304,   305,
     306,   307,   308,   309,   310,   311,   312,   313,   314,   315,
     316,    -1,   318,   319,   320,   321,   322,    -1,   324,   325,
     326,   327,   328,   329,   330,   331,    -1,   333,   334,   335,
     336,   337,   338,   339,   340,   341,   342,   343,    -1,   345,
     346,    -1,   348,   349,   350,   351,   352,   353,    -1,   355,
     356,    -1,    -1,   359,   360,   361,   362,   363,   364,   365,
     366,   367,   368,   369,   370,    -1,    -1,   373,   374,   375,
     376,   377,    -1,    -1,   380,   381,   382,   383,   384,   385,
     386,    -1,   388,   389,   390,   391,   392,    -1,    -1,   395,
      -1,    -1,   398,   399,   400,   401,   402,   403,   404,   405,
     406,   407,   408,   409,   410,   411,   412,   413,   414,     3,
      -1,    -1,    -1,    -1,    -1,     9,   422,   423,    -1,    -1,
      14,    15,    16,    17,    18,    19,    20,    21,    22,    23,
      24,    25,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    33,
      34,    -1,    36,    37,    -1,    39,    40,    41,    42,    43,
      -1,    45,    46,    -1,    48,    49,    50,    51,    52,    -1,
      -1,    55,    56,    57,    58,    59,    -1,    61,    62,    63,
      64,    65,    -1,    -1,    -1,    69,    70,    71,    72,    -1,
      74,    75,    -1,    77,    78,    79,    80,    81,    82,    -1,
      -1,    85,    86,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      94,    95,    96,    97,    98,    99,   100,   101,   102,    -1,
     104,    -1,   106,   107,   108,   109,   110,    -1,   112,   113,
     114,    -1,    -1,   117,   118,   119,   120,   121,    -1,   123,
     124,   125,    -1,   127,   128,   129,    -1,   131,   132,   133,
     134,   135,   136,   137,   138,   139,    -1,   141,    -1,   143,
     144,   145,    -1,   147,    -1,   149,    -1,   151,    -1,   153,
     154,   155,    -1,   157,   158,    -1,   160,    -1,   162,   163,
     164,   165,   166,    -1,   168,   169,   170,   171,   172,   173,
     174,   175,   176,   177,    -1,   179,    -1,   181,   182,   183,
     184,   185,   186,   187,    -1,   189,    -1,   191,    -1,    -1,
     194,    -1,   196,   197,   198,   199,   200,    -1,   202,   203,
      -1,   205,   206,    -1,   208,    -1,    -1,   211,   212,   213,
      -1,    -1,   216,   217,   218,   219,   220,   221,   222,   223,
     224,   225,   226,   227,   228,   229,    -1,   231,   232,   233,
     234,    -1,   236,   237,    -1,   239,    -1,   241,   242,   243,
     244,   245,   246,    -1,   248,    -1,    -1,   251,   252,   253,
      -1,    -1,   256,    -1,    -1,    -1,   260,   261,   262,   263,
     264,   265,   266,   267,    -1,   269,   270,   271,   272,   273,
     274,   275,    -1,   277,   278,   279,   280,   281,   282,   283,
     284,   285,   286,   287,   288,   289,    -1,   291,   292,   293,
     294,   295,   296,   297,   298,   299,   300,   301,    -1,   303,
     304,    -1,   306,   307,   308,   309,   310,   311,   312,   313,
     314,   315,   316,    -1,   318,   319,   320,   321,   322,    -1,
     324,   325,   326,   327,    -1,   329,   330,   331,    -1,   333,
     334,   335,   336,   337,   338,   339,   340,   341,   342,   343,
      -1,   345,   346,    -1,   348,   349,   350,   351,   352,   353,
      -1,   355,   356,    -1,    -1,   359,   360,   361,   362,    -1,
     364,   365,   366,   367,   368,   369,   370,    -1,    -1,   373,
     374,   375,   376,   377,    -1,    -1,   380,   381,   382,   383,
     384,   385,   386,    -1,   388,    -1,   390,   391,   392,    -1,
      -1,   395,    -1,    -1,   398,   399,   400,   401,   402,   403,
     404,   405,   406,   407,   408,   409,   410,   411,   412,   413,
     414,     3,     4,     5,    -1,    -1,    -1,     9,   422,   423,
      -1,    -1,    14,    15,    16,    17,    18,    19,    20,    21,
      22,    23,    24,    25,    26,    27,    28,    29,    30,    31,
      32,    33,    34,    35,    36,    37,    38,    39,    40,    41,
      42,    43,    44,    45,    46,    47,    48,    49,    50,    51,
      52,    53,    54,    55,    56,    57,    58,    59,    60,    61,
      62,    63,    64,    65,    66,    67,    68,    69,    70,    71,
      72,    73,    74,    75,    76,    77,    78,    79,    80,    81,
      82,    83,    84,    85,    86,    87,    88,    89,    90,    91,
      92,    93,    94,    95,    96,    97,    98,    99,   100,   101,
     102,   103,   104,   105,   106,   107,   108,   109,   110,   111,
     112,   113,   114,   115,   116,   117,   118,   119,   120,   121,
     122,   123,   124,   125,   126,   127,   128,   129,   130,   131,
     132,   133,   134,   135,   136,   137,   138,   139,   140,   141,
     142,   143,   144,   145,   146,   147,   148,   149,   150,   151,
     152,   153,   154,   155,   156,   157,   158,   159,   160,   161,
     162,   163,   164,   165,   166,   167,   168,   169,   170,   171,
     172,   173,   174,   175,   176,   177,   178,   179,   180,   181,
     182,   183,   184,   185,   186,   187,   188,   189,   190,   191,
     192,   193,   194,   195,   196,   197,   198,   199,   200,   201,
     202,   203,   204,   205,   206,   207,   208,   209,   210,   211,
     212,   213,   214,   215,   216,   217,   218,   219,   220,   221,
     222,   223,   224,   225,   226,   227,   228,   229,   230,   231,
     232,   233,   234,   235,   236,   237,   238,   239,   240,   241,
     242,   243,   244,   245,   246,   247,   248,   249,   250,   251,
     252,   253,   254,   255,   256,   257,   258,   259,   260,   261,
     262,   263,   264,   265,   266,   267,   268,   269,   270,   271,
     272,   273,   274,   275,   276,   277,   278,   279,   280,   281,
     282,   283,   284,   285,   286,   287,   288,   289,   290,   291,
     292,   293,   294,   295,   296,   297,   298,   299,   300,   301,
     302,   303,   304,   305,   306,   307,   308,   309,   310,   311,
     312,   313,   314,   315,   316,   317,   318,   319,   320,   321,
     322,   323,   324,   325,   326,   327,   328,   329,   330,   331,
     332,   333,   334,   335,   336,   337,   338,   339,   340,   341,
     342,   343,   344,   345,   346,   347,   348,   349,   350,   351,
     352,   353,   354,   355,   356,   357,   358,   359,   360,   361,
     362,   363,   364,   365,   366,   367,   368,   369,   370,   371,
     372,   373,   374,   375,   376,   377,   378,   379,   380,   381,
     382,   383,   384,   385,   386,   387,   388,   389,   390,   391,
     392,   393,   394,   395,   396,   397,   398,   399,   400,   401,
     402,   403,   404,   405,   406,   407,   408,   409,   410,   411,
     412,   413,   414,     3,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    14,    15,    16,    17,    18,    19,
      20,    21,    22,    23,    24,    25,    26,    27,    28,    29,
      30,    31,    32,    33,    34,    35,    36,    37,    38,    39,
      40,    41,    42,    43,    44,    45,    46,    47,    48,    49,
      50,    51,    52,    53,    54,    55,    56,    57,    58,    59,
      60,    61,    62,    63,    64,    65,    66,    67,    68,    69,
      70,    71,    72,    73,    74,    75,    76,    77,    78,    79,
      80,    81,    82,    83,    84,    85,    86,    87,    88,    89,
      90,    91,    92,    93,    94,    95,    96,    97,    98,    99,
     100,   101,   102,   103,   104,   105,   106,   107,   108,   109,
     110,   111,   112,   113,   114,   115,   116,   117,   118,   119,
     120,   121,   122,   123,   124,   125,   126,   127,   128,   129,
     130,   131,   132,   133,   134,   135,   136,   137,   138,   139,
     140,   141,   142,   143,   144,   145,   146,   147,   148,   149,
     150,   151,   152,   153,   154,   155,   156,   157,   158,   159,
     160,   161,   162,   163,   164,   165,   166,   167,   168,   169,
     170,   171,   172,   173,   174,   175,   176,   177,   178,   179,
     180,   181,   182,   183,   184,   185,   186,   187,   188,   189,
     190,   191,   192,   193,   194,   195,   196,   197,   198,   199,
     200,   201,   202,   203,   204,   205,   206,   207,   208,   209,
     210,   211,   212,   213,   214,   215,   216,   217,   218,   219,
     220,   221,   222,   223,   224,   225,   226,   227,   228,   229,
     230,   231,   232,   233,   234,   235,   236,   237,   238,   239,
     240,   241,   242,   243,   244,   245,   246,   247,   248,   249,
     250,   251,   252,   253,   254,   255,   256,   257,   258,   259,
     260,   261,   262,   263,   264,   265,   266,   267,   268,   269,
     270,   271,   272,   273,   274,   275,   276,   277,   278,   279,
     280,   281,   282,   283,   284,   285,   286,   287,   288,   289,
     290,   291,   292,   293,   294,   295,   296,   297,   298,   299,
     300,   301,   302,   303,   304,   305,   306,   307,   308,   309,
     310,   311,   312,   313,   314,   315,   316,   317,   318,   319,
     320,   321,   322,   323,   324,   325,   326,   327,   328,   329,
     330,   331,   332,   333,   334,   335,   336,   337,   338,   339,
     340,   341,   342,   343,   344,   345,   346,   347,   348,   349,
     350,   351,   352,   353,   354,   355,   356,   357,   358,   359,
     360,   361,   362,   363,   364,   365,   366,   367,   368,   369,
     370,   371,   372,   373,   374,   375,   376,   377,   378,   379,
     380,   381,   382,   383,   384,   385,   386,   387,   388,   389,
     390,   391,   392,   393,   394,   395,   396,   397,   398,   399,
     400,   401,   402,   403,   404,   405,   406,   407,   408,   409,
     410,   411,   412,   413,   414,     3,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    14,    15,    16,    17,
      18,    19,    20,    21,    22,    23,    24,    25,    26,    27,
      28,    29,    30,    31,    32,    33,    34,    35,    36,    37,
      38,    39,    40,    41,    42,    43,    44,    45,    46,    47,
      48,    49,    50,    51,    52,    53,    54,    55,    56,    57,
      58,    59,    60,    61,    62,    63,    64,    65,    66,    67,
      68,    69,    70,    71,    72,    73,    74,    75,    76,    77,
      78,    79,    80,    81,    82,    83,    84,    85,    86,    87,
      88,    89,    90,    91,    92,    93,    94,    95,    96,    97,
      98,    99,   100,   101,   102,   103,   104,   105,   106,   107,
     108,   109,   110,   111,   112,   113,   114,   115,   116,   117,
     118,   119,   120,   121,   122,   123,   124,   125,   126,   127,
     128,   129,   130,   131,   132,   133,   134,   135,   136,   137,
     138,   139,   140,   141,   142,   143,   144,   145,   146,   147,
     148,   149,   150,   151,   152,   153,   154,   155,   156,   157,
     158,   159,   160,   161,   162,   163,   164,   165,   166,   167,
     168,   169,   170,   171,   172,   173,   174,   175,   176,   177,
     178,   179,   180,   181,   182,   183,   184,   185,   186,   187,
     188,   189,   190,   191,   192,   193,   194,   195,   196,   197,
     198,   199,   200,   201,   202,   203,   204,   205,   206,   207,
     208,   209,   210,   211,   212,   213,   214,   215,   216,   217,
     218,   219,   220,   221,   222,   223,   224,   225,   226,   227,
     228,   229,   230,   231,   232,   233,   234,   235,   236,   237,
     238,   239,   240,   241,   242,   243,   244,   245,   246,   247,
     248,   249,   250,   251,   252,   253,   254,   255,   256,   257,
     258,   259,   260,   261,   262,   263,   264,   265,   266,   267,
     268,   269,   270,   271,   272,   273,   274,   275,   276,   277,
     278,   279,   280,   281,   282,   283,   284,   285,   286,   287,
     288,   289,   290,   291,   292,   293,   294,   295,   296,   297,
     298,   299,   300,   301,   302,   303,   304,   305,   306,   307,
     308,   309,   310,   311,   312,   313,   314,   315,   316,   317,
     318,   319,   320,   321,   322,   323,   324,   325,   326,   327,
     328,   329,   330,   331,   332,   333,   334,   335,   336,   337,
     338,   339,   340,   341,   342,   343,   344,   345,   346,   347,
     348,   349,   350,   351,   352,   353,   354,   355,   356,   357,
     358,   359,   360,   361,   362,   363,   364,   365,   366,   367,
     368,   369,   370,   371,   372,   373,   374,   375,   376,   377,
     378,   379,   380,   381,   382,   383,   384,   385,   386,   387,
     388,   389,   390,   391,   392,   393,   394,   395,   396,   397,
     398,   399,   400,   401,   402,   403,   404,   405,   406,   407,
     408,   409,   410,   411,   412,   413,   414,     3,    -1,     5,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    14,    15,
      16,    17,    18,    19,    20,    21,    -1,    23,    24,    25,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    33,    34,    -1,
      36,    37,    38,    39,    40,    41,    42,    43,    44,    45,
      46,    -1,    48,    49,    50,    51,    52,    -1,    -1,    55,
      56,    57,    58,    59,    -1,    61,    62,    63,    64,    65,
      -1,    67,    -1,    69,    70,    71,    72,    73,    74,    75,
      -1,    77,    78,    79,    80,    81,    82,    -1,    84,    85,
      86,    -1,    -1,    -1,    90,    -1,    -1,    -1,    94,    95,
      96,    97,    98,    99,   100,   101,   102,    -1,   104,    -1,
     106,   107,   108,   109,   110,    -1,   112,   113,   114,    -1,
      -1,   117,   118,   119,   120,   121,    -1,   123,   124,   125,
      -1,   127,   128,   129,    -1,   131,   132,   133,   134,   135,
     136,   137,   138,   139,   140,   141,    -1,   143,   144,   145,
      -1,   147,    -1,   149,   150,    -1,   152,   153,   154,   155,
      -1,   157,   158,    -1,   160,    -1,   162,   163,   164,   165,
     166,   167,   168,   169,   170,    -1,   172,   173,   174,   175,
     176,   177,    -1,   179,   180,   181,   182,   183,   184,   185,
     186,   187,    -1,   189,    -1,   191,   192,   193,   194,   195,
     196,   197,   198,   199,   200,    -1,   202,   203,    -1,   205,
     206,   207,   208,   209,    -1,   211,   212,   213,    -1,    -1,
     216,   217,   218,   219,   220,   221,   222,   223,   224,   225,
     226,   227,   228,   229,   230,   231,   232,   233,   234,    -1,
     236,   237,   238,   239,    -1,   241,   242,   243,   244,   245,
     246,    -1,   248,   249,    -1,   251,   252,   253,    -1,    -1,
     256,   257,   258,   259,   260,   261,   262,   263,   264,   265,
     266,   267,    -1,   269,   270,   271,   272,   273,   274,   275,
      -1,   277,   278,   279,   280,   281,   282,   283,   284,   285,
     286,   287,   288,   289,    -1,   291,   292,   293,   294,   295,
     296,   297,   298,   299,   300,   301,    -1,   303,   304,   305,
     306,   307,   308,   309,   310,   311,   312,   313,   314,   315,
     316,    -1,   318,   319,   320,   321,   322,    -1,   324,   325,
     326,   327,   328,   329,   330,   331,    -1,   333,   334,   335,
     336,   337,   338,   339,   340,   341,   342,   343,    -1,   345,
     346,    -1,   348,   349,   350,   351,   352,   353,    -1,   355,
     356,    -1,    -1,   359,   360,   361,   362,   363,   364,   365,
     366,   367,   368,   369,   370,    -1,    -1,   373,   374,   375,
     376,   377,    -1,    -1,   380,   381,   382,   383,   384,   385,
     386,    -1,   388,   389,   390,   391,   392,    -1,    -1,   395,
      -1,    -1,   398,   399,   400,   401,   402,   403,   404,   405,
     406,   407,   408,   409,   410,   411,   412,   413,   414,     3,
      -1,     5,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      14,    15,    16,    17,    18,    19,    20,    21,    -1,    23,
      24,    25,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    33,
      34,    -1,    36,    37,    38,    39,    40,    41,    42,    43,
      44,    45,    46,    -1,    48,    49,    50,    51,    52,    -1,
      -1,    55,    56,    57,    58,    59,    -1,    61,    62,    63,
      64,    65,    -1,    67,    -1,    69,    70,    71,    72,    73,
      74,    75,    -1,    77,    78,    79,    80,    81,    82,    -1,
      84,    85,    86,    -1,    -1,    -1,    90,    -1,    -1,    -1,
      94,    95,    96,    97,    98,    99,   100,   101,   102,   103,
     104,    -1,   106,   107,   108,   109,   110,    -1,   112,   113,
     114,    -1,    -1,   117,   118,   119,   120,   121,    -1,   123,
     124,   125,    -1,   127,   128,   129,    -1,   131,   132,   133,
     134,   135,   136,   137,   138,   139,    -1,   141,    -1,   143,
     144,   145,    -1,   147,    -1,   149,   150,    -1,   152,   153,
     154,   155,    -1,   157,   158,    -1,   160,    -1,   162,   163,
     164,   165,   166,   167,   168,   169,   170,    -1,   172,   173,
     174,   175,   176,   177,    -1,   179,   180,   181,   182,   183,
     184,   185,   186,   187,    -1,   189,    -1,   191,   192,   193,
     194,   195,   196,   197,   198,   199,   200,    -1,   202,   203,
      -1,   205,   206,   207,   208,   209,    -1,   211,   212,   213,
      -1,    -1,   216,   217,   218,   219,   220,   221,   222,   223,
     224,   225,   226,   227,   228,   229,   230,   231,   232,   233,
     234,    -1,   236,   237,   238,   239,    -1,   241,   242,   243,
     244,   245,   246,    -1,   248,    -1,    -1,   251,   252,   253,
      -1,    -1,   256,   257,   258,   259,   260,   261,   262,   263,
     264,   265,   266,   267,    -1,   269,   270,   271,   272,   273,
     274,   275,    -1,   277,   278,   279,   280,   281,   282,   283,
     284,   285,   286,   287,   288,   289,    -1,   291,   292,   293,
     294,   295,   296,   297,   298,   299,   300,   301,    -1,   303,
     304,   305,   306,   307,   308,   309,   310,   311,   312,   313,
     314,   315,   316,    -1,   318,   319,   320,   321,   322,    -1,
     324,   325,   326,   327,   328,   329,   330,   331,    -1,   333,
     334,   335,   336,   337,   338,   339,   340,   341,   342,   343,
      -1,   345,   346,    -1,   348,   349,   350,   351,   352,   353,
      -1,   355,   356,    -1,    -1,   359,   360,   361,   362,    -1,
     364,   365,   366,   367,   368,   369,   370,    -1,    -1,   373,
     374,   375,   376,   377,    -1,    -1,   380,   381,   382,   383,
     384,   385,   386,    -1,   388,   389,   390,   391,   392,    -1,
      -1,   395,    -1,    -1,   398,   399,   400,   401,   402,   403,
     404,   405,   406,   407,   408,   409,   410,   411,   412,   413,
     414,     3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    14,    15,    16,    17,    18,    19,    20,    21,
      -1,    23,    24,    25,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    33,    34,    -1,    36,    37,    38,    39,    40,    41,
      42,    43,    44,    45,    46,    -1,    48,    49,    50,    51,
      52,    -1,    -1,    55,    56,    57,    58,    59,    -1,    61,
      62,    63,    64,    65,    -1,    67,    -1,    69,    70,    71,
      72,    73,    74,    75,    -1,    77,    78,    79,    80,    81,
      82,    -1,    84,    85,    86,    -1,    -1,    -1,    90,    -1,
      -1,    93,    94,    95,    96,    97,    98,    99,   100,   101,
     102,    -1,   104,    -1,   106,   107,   108,   109,   110,    -1,
     112,   113,   114,    -1,    -1,   117,   118,   119,   120,   121,
      -1,   123,   124,   125,    -1,   127,   128,   129,    -1,   131,
     132,   133,   134,   135,   136,   137,   138,   139,    -1,   141,
      -1,   143,   144,   145,    -1,   147,    -1,   149,   150,    -1,
     152,   153,   154,   155,    -1,   157,   158,    -1,   160,    -1,
     162,   163,   164,   165,   166,   167,   168,   169,   170,    -1,
     172,   173,   174,   175,   176,   177,    -1,   179,   180,   181,
     182,   183,   184,   185,   186,   187,    -1,   189,    -1,   191,
     192,   193,   194,   195,   196,   197,   198,   199,   200,    -1,
     202,   203,    -1,   205,   206,   207,   208,   209,    -1,   211,
     212,   213,    -1,    -1,   216,   217,   218,   219,   220,   221,
     222,   223,   224,   225,   226,   227,   228,   229,   230,   231,
     232,   233,   234,    -1,   236,   237,   238,   239,    -1,   241,
     242,   243,   244,   245,   246,    -1,   248,    -1,    -1,   251,
     252,   253,    -1,    -1,   256,   257,   258,   259,   260,   261,
     262,   263,   264,   265,   266,   267,    -1,   269,   270,   271,
     272,   273,   274,   275,    -1,   277,   278,   279,   280,   281,
     282,   283,   284,   285,   286,   287,   288,   289,    -1,   291,
     292,   293,   294,   295,   296,   297,   298,   299,   300,   301,
      -1,   303,   304,   305,   306,   307,   308,   309,   310,   311,
     312,   313,   314,   315,   316,    -1,   318,   319,   320,   321,
     322,    -1,   324,   325,   326,   327,   328,   329,   330,   331,
      -1,   333,   334,   335,   336,   337,   338,   339,   340,   341,
     342,   343,    -1,   345,   346,    -1,   348,   349,   350,   351,
     352,   353,    -1,   355,   356,    -1,    -1,   359,   360,   361,
     362,    -1,   364,   365,   366,   367,   368,   369,   370,    -1,
      -1,   373,   374,   375,   376,   377,   378,    -1,   380,   381,
     382,   383,   384,   385,   386,    -1,   388,   389,   390,   391,
     392,    -1,    -1,   395,    -1,    -1,   398,   399,   400,   401,
     402,   403,   404,   405,   406,   407,   408,   409,   410,   411,
     412,   413,   414,     3,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    14,    15,    16,    17,    18,    19,
      20,    21,    -1,    23,    24,    25,    26,    27,    -1,    -1,
      -1,    -1,    -1,    33,    34,    -1,    36,    37,    38,    39,
      40,    41,    42,    43,    44,    45,    46,    -1,    48,    49,
      50,    51,    52,    -1,    -1,    55,    56,    57,    58,    59,
      -1,    61,    62,    63,    64,    65,    -1,    67,    -1,    69,
      70,    71,    72,    73,    74,    75,    -1,    77,    78,    79,
      80,    81,    82,    -1,    84,    85,    86,    -1,    -1,    -1,
      90,    -1,    -1,    -1,    94,    95,    96,    97,    98,    99,
     100,   101,   102,    -1,   104,    -1,   106,   107,   108,   109,
     110,    -1,   112,   113,   114,    -1,    -1,   117,   118,   119,
     120,   121,    -1,   123,   124,   125,    -1,   127,   128,   129,
      -1,   131,   132,   133,   134,   135,   136,   137,   138,   139,
      -1,   141,    -1,   143,   144,   145,    -1,   147,    -1,   149,
     150,    -1,   152,   153,   154,   155,    -1,   157,   158,    -1,
     160,    -1,   162,   163,   164,   165,   166,   167,   168,   169,
     170,    -1,   172,   173,   174,   175,   176,   177,    -1,   179,
     180,   181,   182,   183,   184,   185,   186,   187,    -1,   189,
      -1,   191,   192,   193,   194,   195,   196,   197,   198,   199,
     200,    -1,   202,   203,    -1,   205,   206,   207,   208,   209,
      -1,   211,   212,   213,    -1,    -1,   216,   217,   218,   219,
     220,   221,   222,   223,   224,   225,   226,   227,   228,   229,
     230,   231,   232,   233,   234,    -1,   236,   237,   238,   239,
      -1,   241,   242,   243,   244,   245,   246,    -1,   248,    -1,
      -1,   251,   252,   253,    -1,    -1,   256,   257,   258,   259,
     260,   261,   262,   263,   264,   265,   266,   267,    -1,   269,
     270,   271,   272,   273,   274,   275,    -1,   277,   278,   279,
     280,   281,   282,   283,   284,   285,   286,   287,   288,   289,
      -1,   291,   292,   293,   294,   295,   296,   297,   298,   299,
     300,   301,    -1,   303,   304,   305,   306,   307,   308,   309,
     310,   311,   312,   313,   314,   315,   316,    -1,   318,   319,
     320,   321,   322,    -1,   324,   325,   326,   327,   328,   329,
     330,   331,    -1,   333,   334,   335,   336,   337,   338,   339,
     340,   341,   342,   343,    -1,   345,   346,    -1,   348,   349,
     350,   351,   352,   353,    -1,   355,   356,    -1,    -1,   359,
     360,   361,   362,    -1,   364,   365,   366,   367,   368,   369,
     370,    -1,    -1,   373,   374,   375,   376,   377,    -1,    -1,
     380,   381,   382,   383,   384,   385,   386,    -1,   388,   389,
     390,   391,   392,    -1,    -1,   395,    -1,    -1,   398,   399,
     400,   401,   402,   403,   404,   405,   406,   407,   408,   409,
     410,   411,   412,   413,   414,     3,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    14,    15,    16,    17,
      18,    19,    20,    21,    22,    23,    24,    25,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    33,    34,    -1,    36,    37,
      38,    39,    40,    41,    42,    43,    44,    45,    46,    -1,
      48,    49,    50,    51,    52,    -1,    -1,    55,    56,    57,
      58,    59,    -1,    61,    62,    63,    64,    65,    -1,    67,
      -1,    69,    70,    71,    72,    73,    74,    75,    -1,    77,
      78,    79,    80,    81,    82,    -1,    84,    85,    86,    -1,
      -1,    -1,    90,    -1,    -1,    -1,    94,    95,    96,    97,
      98,    99,   100,   101,   102,    -1,   104,    -1,   106,   107,
     108,   109,   110,    -1,   112,   113,   114,    -1,    -1,   117,
     118,   119,   120,   121,    -1,   123,   124,   125,    -1,   127,
     128,   129,    -1,   131,   132,   133,   134,   135,   136,   137,
     138,   139,    -1,   141,    -1,   143,   144,   145,    -1,   147,
      -1,   149,   150,    -1,   152,   153,   154,   155,    -1,   157,
     158,    -1,   160,    -1,   162,   163,   164,   165,   166,   167,
     168,   169,   170,    -1,   172,   173,   174,   175,   176,   177,
      -1,   179,   180,   181,   182,   183,   184,   185,   186,   187,
      -1,   189,    -1,   191,   192,   193,   194,   195,   196,   197,
     198,   199,   200,    -1,   202,   203,    -1,   205,   206,   207,
     208,   209,    -1,   211,   212,   213,    -1,    -1,   216,   217,
     218,   219,   220,   221,   222,   223,   224,   225,   226,   227,
     228,   229,   230,   231,   232,   233,   234,    -1,   236,   237,
     238,   239,    -1,   241,   242,   243,   244,   245,   246,    -1,
     248,    -1,    -1,   251,   252,   253,    -1,    -1,   256,   257,
     258,   259,   260,   261,   262,   263,   264,   265,   266,   267,
      -1,   269,   270,   271,   272,   273,   274,   275,    -1,   277,
     278,   279,   280,   281,   282,   283,   284,   285,   286,   287,
     288,   289,    -1,   291,   292,   293,   294,   295,   296,   297,
     298,   299,   300,   301,    -1,   303,   304,   305,   306,   307,
     308,   309,   310,   311,   312,   313,   314,   315,   316,    -1,
     318,   319,   320,   321,   322,    -1,   324,   325,   326,   327,
     328,   329,   330,   331,    -1,   333,   334,   335,   336,   337,
     338,   339,   340,   341,   342,   343,    -1,   345,   346,    -1,
     348,   349,   350,   351,   352,   353,    -1,   355,   356,    -1,
      -1,   359,   360,   361,   362,    -1,   364,   365,   366,   367,
     368,   369,   370,    -1,    -1,   373,   374,   375,   376,   377,
      -1,    -1,   380,   381,   382,   383,   384,   385,   386,    -1,
     388,   389,   390,   391,   392,    -1,    -1,   395,    -1,    -1,
     398,   399,   400,   401,   402,   403,   404,   405,   406,   407,
     408,   409,   410,   411,   412,   413,   414,     3,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    14,    15,
      16,    17,    18,    19,    20,    21,    22,    23,    24,    25,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    33,    34,    -1,
      36,    37,    38,    39,    40,    41,    42,    43,    44,    45,
      46,    -1,    48,    49,    50,    51,    52,    -1,    -1,    55,
      56,    57,    58,    59,    -1,    61,    62,    63,    64,    65,
      -1,    67,    -1,    69,    70,    71,    72,    73,    74,    75,
      -1,    77,    78,    79,    80,    81,    82,    -1,    84,    85,
      86,    -1,    -1,    -1,    90,    -1,    -1,    -1,    94,    95,
      96,    97,    98,    99,   100,   101,   102,    -1,   104,    -1,
     106,   107,   108,   109,   110,    -1,   112,   113,   114,    -1,
      -1,   117,   118,   119,   120,   121,    -1,   123,   124,   125,
      -1,   127,   128,   129,    -1,   131,   132,   133,   134,   135,
     136,   137,   138,   139,    -1,   141,    -1,   143,   144,   145,
      -1,   147,    -1,   149,   150,    -1,   152,   153,   154,   155,
      -1,   157,   158,    -1,   160,    -1,   162,   163,   164,   165,
     166,   167,   168,   169,   170,    -1,   172,   173,   174,   175,
     176,   177,    -1,   179,   180,   181,   182,   183,   184,   185,
     186,   187,    -1,   189,    -1,   191,   192,   193,   194,   195,
     196,   197,   198,   199,   200,    -1,   202,   203,    -1,   205,
     206,   207,   208,   209,    -1,   211,   212,   213,    -1,    -1,
     216,   217,   218,   219,   220,   221,   222,   223,   224,   225,
     226,   227,   228,   229,   230,   231,   232,   233,   234,    -1,
     236,   237,   238,   239,    -1,   241,   242,   243,   244,   245,
     246,    -1,   248,    -1,    -1,   251,   252,   253,    -1,    -1,
     256,   257,   258,   259,   260,   261,   262,   263,   264,   265,
     266,   267,    -1,   269,   270,   271,   272,   273,   274,   275,
      -1,   277,   278,   279,   280,   281,   282,   283,   284,   285,
     286,   287,   288,   289,    -1,   291,   292,   293,   294,   295,
     296,   297,   298,   299,   300,   301,    -1,   303,   304,   305,
     306,   307,   308,   309,   310,   311,   312,   313,   314,   315,
     316,    -1,   318,   319,   320,   321,   322,    -1,   324,   325,
     326,   327,   328,   329,   330,   331,    -1,   333,   334,   335,
     336,   337,   338,   339,   340,   341,   342,   343,    -1,   345,
     346,    -1,   348,   349,   350,   351,   352,   353,    -1,   355,
     356,    -1,    -1,   359,   360,   361,   362,    -1,   364,   365,
     366,   367,   368,   369,   370,    -1,    -1,   373,   374,   375,
     376,   377,    -1,    -1,   380,   381,   382,   383,   384,   385,
     386,    -1,   388,   389,   390,   391,   392,    -1,    -1,   395,
      -1,    -1,   398,   399,   400,   401,   402,   403,   404,   405,
     406,   407,   408,   409,   410,   411,   412,   413,   414,     3,
      -1,     5,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      14,    15,    16,    17,    18,    19,    20,    21,    -1,    23,
      24,    25,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    33,
      34,    -1,    36,    37,    38,    39,    40,    41,    42,    43,
      44,    45,    46,    -1,    48,    49,    50,    51,    52,    -1,
      -1,    55,    56,    57,    58,    59,    -1,    61,    62,    63,
      64,    65,    -1,    67,    -1,    69,    70,    71,    72,    73,
      74,    75,    -1,    77,    78,    79,    80,    81,    82,    -1,
      84,    85,    86,    -1,    -1,    -1,    90,    -1,    -1,    -1,
      94,    95,    96,    97,    98,    99,   100,   101,   102,    -1,
     104,    -1,   106,   107,   108,   109,   110,    -1,   112,   113,
     114,    -1,    -1,   117,   118,   119,   120,   121,    -1,   123,
     124,   125,    -1,   127,   128,   129,    -1,   131,   132,   133,
     134,   135,   136,   137,   138,   139,    -1,   141,    -1,   143,
     144,   145,    -1,   147,    -1,   149,   150,    -1,   152,   153,
     154,   155,    -1,   157,   158,    -1,   160,    -1,   162,   163,
     164,   165,   166,   167,   168,   169,   170,    -1,   172,   173,
     174,   175,   176,   177,    -1,   179,   180,   181,   182,   183,
     184,   185,   186,   187,    -1,   189,    -1,   191,   192,   193,
     194,   195,   196,   197,   198,   199,   200,    -1,   202,   203,
      -1,   205,   206,   207,   208,   209,    -1,   211,   212,   213,
      -1,    -1,   216,   217,   218,   219,   220,   221,   222,   223,
     224,   225,   226,   227,   228,   229,   230,   231,   232,   233,
     234,    -1,   236,   237,   238,   239,    -1,   241,   242,   243,
     244,   245,   246,    -1,   248,    -1,    -1,   251,   252,   253,
      -1,    -1,   256,   257,   258,   259,   260,   261,   262,   263,
     264,   265,   266,   267,    -1,   269,   270,   271,   272,   273,
     274,   275,    -1,   277,   278,   279,   280,   281,   282,   283,
     284,   285,   286,   287,   288,   289,    -1,   291,   292,   293,
     294,   295,   296,   297,   298,   299,   300,   301,    -1,   303,
     304,   305,   306,   307,   308,   309,   310,   311,   312,   313,
     314,   315,   316,    -1,   318,   319,   320,   321,   322,    -1,
     324,   325,   326,   327,   328,   329,   330,   331,    -1,   333,
     334,   335,   336,   337,   338,   339,   340,   341,   342,   343,
      -1,   345,   346,    -1,   348,   349,   350,   351,   352,   353,
      -1,   355,   356,    -1,    -1,   359,   360,   361,   362,    -1,
     364,   365,   366,   367,   368,   369,   370,    -1,    -1,   373,
     374,   375,   376,   377,    -1,    -1,   380,   381,   382,   383,
     384,   385,   386,    -1,   388,   389,   390,   391,   392,    -1,
      -1,   395,    -1,    -1,   398,   399,   400,   401,   402,   403,
     404,   405,   406,   407,   408,   409,   410,   411,   412,   413,
     414,     3,    -1,     5,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    14,    15,    16,    17,    18,    19,    20,    21,
      -1,    23,    24,    25,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    33,    34,    -1,    36,    37,    38,    39,    40,    41,
      42,    43,    44,    45,    46,    -1,    48,    49,    50,    51,
      52,    -1,    -1,    55,    56,    57,    58,    59,    -1,    61,
      62,    63,    64,    65,    -1,    67,    -1,    69,    70,    71,
      72,    73,    74,    75,    -1,    77,    78,    79,    80,    81,
      82,    -1,    84,    85,    86,    -1,    -1,    -1,    90,    -1,
      -1,    -1,    94,    95,    96,    97,    98,    99,   100,   101,
     102,    -1,   104,    -1,   106,   107,   108,   109,   110,    -1,
     112,   113,   114,    -1,    -1,   117,   118,   119,   120,   121,
      -1,   123,   124,   125,    -1,   127,   128,   129,    -1,   131,
     132,   133,   134,   135,   136,   137,   138,   139,    -1,   141,
      -1,   143,   144,   145,    -1,   147,    -1,   149,   150,    -1,
     152,   153,   154,   155,    -1,   157,   158,    -1,   160,    -1,
     162,   163,   164,   165,   166,   167,   168,   169,   170,    -1,
     172,   173,   174,   175,   176,   177,    -1,   179,   180,   181,
     182,   183,   184,   185,   186,   187,    -1,   189,    -1,   191,
     192,   193,   194,   195,   196,   197,   198,   199,   200,    -1,
     202,   203,    -1,   205,   206,   207,   208,   209,    -1,   211,
     212,   213,    -1,    -1,   216,   217,   218,   219,   220,   221,
     222,   223,   224,   225,   226,   227,   228,   229,   230,   231,
     232,   233,   234,    -1,   236,   237,   238,   239,    -1,   241,
     242,   243,   244,   245,   246,    -1,   248,    -1,    -1,   251,
     252,   253,    -1,    -1,   256,   257,   258,   259,   260,   261,
     262,   263,   264,   265,   266,   267,    -1,   269,   270,   271,
     272,   273,   274,   275,    -1,   277,   278,   279,   280,   281,
     282,   283,   284,   285,   286,   287,   288,   289,    -1,   291,
     292,   293,   294,   295,   296,   297,   298,   299,   300,   301,
      -1,   303,   304,   305,   306,   307,   308,   309,   310,   311,
     312,   313,   314,   315,   316,    -1,   318,   319,   320,   321,
     322,    -1,   324,   325,   326,   327,   328,   329,   330,   331,
      -1,   333,   334,   335,   336,   337,   338,   339,   340,   341,
     342,   343,    -1,   345,   346,    -1,   348,   349,   350,   351,
     352,   353,    -1,   355,   356,    -1,    -1,   359,   360,   361,
     362,    -1,   364,   365,   366,   367,   368,   369,   370,    -1,
      -1,   373,   374,   375,   376,   377,    -1,    -1,   380,   381,
     382,   383,   384,   385,   386,    -1,   388,   389,   390,   391,
     392,    -1,    -1,   395,    -1,    -1,   398,   399,   400,   401,
     402,   403,   404,   405,   406,   407,   408,   409,   410,   411,
     412,   413,   414,     3,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    14,    15,    16,    17,    18,    19,
      20,    21,    -1,    23,    24,    25,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    33,    34,    -1,    36,    37,    38,    39,
      40,    41,    42,    43,    44,    45,    46,    -1,    48,    49,
      50,    51,    52,    -1,    -1,    55,    56,    57,    58,    59,
      -1,    61,    62,    63,    64,    65,    -1,    67,    -1,    69,
      70,    71,    72,    73,    74,    75,    -1,    77,    78,    79,
      80,    81,    82,    -1,    84,    85,    86,    -1,    -1,    -1,
      90,    -1,    -1,    -1,    94,    95,    96,    97,    98,    99,
     100,   101,   102,    -1,   104,    -1,   106,   107,   108,   109,
     110,    -1,   112,   113,   114,    -1,    -1,   117,   118,   119,
     120,   121,    -1,   123,   124,   125,    -1,   127,   128,   129,
      -1,   131,   132,   133,   134,   135,   136,   137,   138,   139,
      -1,   141,    -1,   143,   144,   145,    -1,   147,    -1,   149,
     150,    -1,   152,   153,   154,   155,    -1,   157,   158,   159,
     160,    -1,   162,   163,   164,   165,   166,   167,   168,   169,
     170,    -1,   172,   173,   174,   175,   176,   177,    -1,   179,
     180,   181,   182,   183,   184,   185,   186,   187,    -1,   189,
      -1,   191,   192,   193,   194,   195,   196,   197,   198,   199,
     200,    -1,   202,   203,    -1,   205,   206,   207,   208,   209,
      -1,   211,   212,   213,    -1,    -1,   216,   217,   218,   219,
     220,   221,   222,   223,   224,   225,   226,   227,   228,   229,
     230,   231,   232,   233,   234,    -1,   236,   237,   238,   239,
      -1,   241,   242,   243,   244,   245,   246,    -1,   248,    -1,
      -1,   251,   252,   253,    -1,    -1,   256,   257,   258,   259,
     260,   261,   262,   263,   264,   265,   266,   267,    -1,   269,
     270,   271,   272,   273,   274,   275,    -1,   277,   278,   279,
     280,   281,   282,   283,   284,   285,   286,   287,   288,   289,
      -1,   291,   292,   293,   294,   295,   296,   297,   298,   299,
     300,   301,    -1,   303,   304,   305,   306,   307,   308,   309,
     310,   311,   312,   313,   314,   315,   316,    -1,   318,   319,
     320,   321,   322,    -1,   324,   325,   326,   327,   328,   329,
     330,   331,    -1,   333,   334,   335,   336,   337,   338,   339,
     340,   341,   342,   343,    -1,   345,   346,    -1,   348,   349,
     350,   351,   352,   353,    -1,   355,   356,    -1,    -1,   359,
     360,   361,   362,    -1,   364,   365,   366,   367,   368,   369,
     370,    -1,    -1,   373,   374,   375,   376,   377,    -1,    -1,
     380,   381,   382,   383,   384,   385,   386,    -1,   388,   389,
     390,   391,   392,    -1,    -1,   395,    -1,    -1,   398,   399,
     400,   401,   402,   403,   404,   405,   406,   407,   408,   409,
     410,   411,   412,   413,   414,     3,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    14,    15,    16,    17,
      18,    19,    20,    21,    -1,    23,    24,    25,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    33,    34,    -1,    36,    37,
      38,    39,    40,    41,    42,    43,    44,    45,    46,    -1,
      48,    49,    50,    51,    52,    -1,    -1,    55,    56,    57,
      58,    59,    -1,    61,    62,    63,    64,    65,    -1,    67,
      -1,    69,    70,    71,    72,    73,    74,    75,    -1,    77,
      78,    79,    80,    81,    82,    -1,    84,    85,    86,    -1,
      -1,    -1,    90,    -1,    -1,    -1,    94,    95,    96,    97,
      98,    99,   100,   101,   102,    -1,   104,    -1,   106,   107,
     108,   109,   110,    -1,   112,   113,   114,    -1,    -1,   117,
     118,   119,   120,   121,    -1,   123,   124,   125,    -1,   127,
     128,   129,    -1,   131,   132,   133,   134,   135,   136,   137,
     138,   139,    -1,   141,    -1,   143,   144,   145,    -1,   147,
      -1,   149,   150,    -1,   152,   153,   154,   155,    -1,   157,
     158,    -1,   160,    -1,   162,   163,   164,   165,   166,   167,
     168,   169,   170,    -1,   172,   173,   174,   175,   176,   177,
      -1,   179,   180,   181,   182,   183,   184,   185,   186,   187,
      -1,   189,    -1,   191,   192,   193,   194,   195,   196,   197,
     198,   199,   200,    -1,   202,   203,    -1,   205,   206,   207,
     208,   209,    -1,   211,   212,   213,    -1,    -1,   216,   217,
     218,   219,   220,   221,   222,   223,   224,   225,   226,   227,
     228,   229,   230,   231,   232,   233,   234,    -1,   236,   237,
     238,   239,    -1,   241,   242,   243,   244,   245,   246,    -1,
     248,    -1,    -1,   251,   252,   253,    -1,    -1,   256,   257,
     258,   259,   260,   261,   262,   263,   264,   265,   266,   267,
      -1,   269,   270,   271,   272,   273,   274,   275,    -1,   277,
     278,   279,   280,   281,   282,   283,   284,   285,   286,   287,
     288,   289,    -1,   291,   292,   293,   294,   295,   296,   297,
     298,   299,   300,   301,    -1,   303,   304,   305,   306,   307,
     308,   309,   310,   311,   312,   313,   314,   315,   316,    -1,
     318,   319,   320,   321,   322,    -1,   324,   325,   326,   327,
     328,   329,   330,   331,    -1,   333,   334,   335,   336,   337,
     338,   339,   340,   341,   342,   343,    -1,   345,   346,    -1,
     348,   349,   350,   351,   352,   353,    -1,   355,   356,    -1,
      -1,   359,   360,   361,   362,    -1,   364,   365,   366,   367,
     368,   369,   370,    -1,    -1,   373,   374,   375,   376,   377,
      -1,    -1,   380,   381,   382,   383,   384,   385,   386,    -1,
     388,   389,   390,   391,   392,    -1,    -1,   395,    -1,    -1,
     398,   399,   400,   401,   402,   403,   404,   405,   406,   407,
     408,   409,   410,   411,   412,   413,   414,     3,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    14,    15,
      16,    17,    18,    19,    20,    21,    -1,    23,    24,    25,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    33,    34,    -1,
      36,    37,    38,    39,    40,    41,    42,    43,    44,    45,
      46,    -1,    48,    49,    50,    51,    52,    -1,    -1,    55,
      56,    57,    58,    59,    -1,    61,    62,    63,    64,    65,
      -1,    67,    -1,    69,    70,    71,    72,    73,    74,    75,
      -1,    77,    78,    79,    80,    81,    82,    -1,    84,    85,
      86,    -1,    -1,    -1,    90,    -1,    -1,    -1,    94,    95,
      96,    97,    98,    99,   100,   101,   102,    -1,   104,    -1,
     106,   107,   108,   109,   110,    -1,   112,   113,   114,    -1,
      -1,   117,   118,   119,   120,   121,    -1,   123,   124,   125,
      -1,   127,   128,   129,    -1,   131,   132,   133,   134,   135,
     136,   137,   138,   139,    -1,   141,    -1,   143,   144,   145,
      -1,   147,    -1,   149,   150,    -1,   152,   153,   154,   155,
      -1,   157,   158,    -1,   160,    -1,   162,   163,   164,   165,
     166,   167,   168,   169,   170,    -1,   172,   173,   174,   175,
     176,   177,    -1,   179,   180,   181,   182,   183,   184,   185,
     186,   187,    -1,   189,    -1,   191,   192,   193,   194,   195,
     196,   197,   198,   199,   200,    -1,   202,   203,    -1,   205,
     206,   207,   208,   209,    -1,   211,   212,   213,    -1,    -1,
     216,   217,   218,   219,   220,   221,   222,   223,   224,   225,
     226,   227,   228,   229,   230,   231,   232,   233,   234,    -1,
     236,   237,   238,   239,    -1,   241,   242,   243,   244,   245,
     246,    -1,   248,    -1,    -1,   251,   252,   253,    -1,    -1,
     256,   257,   258,   259,   260,   261,   262,   263,   264,   265,
     266,   267,    -1,   269,   270,   271,   272,   273,   274,   275,
      -1,   277,   278,   279,   280,   281,   282,   283,   284,   285,
     286,   287,   288,   289,    -1,   291,   292,   293,   294,   295,
     296,   297,   298,   299,   300,   301,    -1,   303,   304,   305,
     306,   307,   308,   309,   310,   311,   312,   313,   314,   315,
     316,    -1,   318,   319,   320,   321,   322,    -1,   324,   325,
     326,   327,   328,   329,   330,   331,    -1,   333,   334,   335,
     336,   337,   338,   339,   340,   341,   342,   343,    -1,   345,
     346,    -1,   348,   349,   350,   351,   352,   353,    -1,   355,
     356,    -1,    -1,   359,   360,   361,   362,    -1,   364,   365,
     366,   367,   368,   369,   370,    -1,    -1,   373,   374,   375,
     376,   377,    -1,    -1,   380,   381,   382,   383,   384,   385,
     386,    -1,   388,   389,   390,   391,   392,    -1,    -1,   395,
      -1,    -1,   398,   399,   400,   401,   402,   403,   404,   405,
     406,   407,   408,   409,   410,   411,   412,   413,   414,     3,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      14,    15,    16,    17,    18,    19,    20,    21,    -1,    23,
      24,    25,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    33,
      34,    -1,    36,    37,    38,    39,    40,    41,    42,    43,
      44,    45,    46,    -1,    48,    49,    50,    51,    52,    -1,
      -1,    55,    56,    57,    58,    59,    -1,    61,    62,    63,
      64,    65,    -1,    67,    -1,    69,    70,    71,    72,    73,
      74,    75,    -1,    77,    78,    79,    80,    81,    82,    -1,
      84,    85,    86,    -1,    -1,    -1,    90,    -1,    -1,    -1,
      94,    95,    96,    97,    98,    99,   100,   101,   102,    -1,
     104,    -1,   106,   107,   108,   109,   110,    -1,   112,   113,
     114,    -1,    -1,   117,   118,   119,   120,   121,    -1,   123,
     124,   125,    -1,   127,   128,   129,    -1,   131,   132,   133,
     134,   135,   136,   137,   138,   139,    -1,   141,    -1,   143,
     144,   145,    -1,   147,    -1,   149,   150,    -1,   152,   153,
     154,   155,    -1,   157,   158,    -1,   160,    -1,   162,   163,
     164,   165,   166,   167,   168,   169,   170,    -1,   172,   173,
     174,   175,   176,   177,    -1,   179,   180,   181,   182,   183,
     184,   185,   186,   187,    -1,   189,    -1,   191,   192,   193,
     194,   195,   196,   197,   198,   199,   200,    -1,   202,   203,
      -1,   205,   206,   207,   208,   209,    -1,   211,   212,   213,
      -1,    -1,   216,   217,   218,   219,   220,   221,   222,   223,
     224,   225,   226,   227,   228,   229,   230,   231,   232,   233,
     234,    -1,   236,   237,   238,   239,    -1,   241,   242,   243,
     244,   245,   246,    -1,   248,    -1,    -1,   251,   252,   253,
      -1,    -1,   256,   257,   258,   259,   260,   261,   262,   263,
     264,   265,   266,   267,    -1,   269,   270,   271,   272,   273,
     274,   275,    -1,   277,   278,   279,   280,   281,   282,   283,
     284,   285,   286,   287,   288,   289,    -1,   291,   292,   293,
     294,   295,   296,   297,   298,   299,   300,   301,    -1,   303,
     304,   305,   306,   307,   308,   309,   310,   311,   312,   313,
     314,   315,   316,    -1,   318,   319,   320,   321,   322,    -1,
     324,   325,   326,   327,   328,   329,   330,   331,    -1,   333,
     334,   335,   336,   337,   338,   339,   340,   341,   342,   343,
      -1,   345,   346,    -1,   348,   349,   350,   351,   352,   353,
      -1,   355,   356,    -1,    -1,   359,   360,   361,   362,    -1,
     364,   365,   366,   367,   368,   369,   370,    -1,    -1,   373,
     374,   375,   376,   377,    -1,    -1,   380,   381,   382,   383,
     384,   385,   386,    -1,   388,   389,   390,   391,   392,    -1,
      -1,   395,    -1,    -1,   398,   399,   400,   401,   402,   403,
     404,   405,   406,   407,   408,   409,   410,   411,   412,   413,
     414,     3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    14,    15,    16,    17,    18,    19,    20,    21,
      -1,    23,    24,    25,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    33,    34,    -1,    36,    37,    38,    39,    40,    41,
      42,    43,    44,    45,    46,    -1,    48,    49,    50,    51,
      52,    -1,    -1,    55,    56,    57,    58,    59,    -1,    61,
      62,    63,    64,    65,    -1,    67,    -1,    69,    70,    71,
      72,    73,    74,    75,    -1,    77,    78,    79,    80,    81,
      82,    -1,    84,    85,    86,    -1,    -1,    -1,    90,    -1,
      -1,    -1,    94,    95,    96,    97,    98,    99,   100,   101,
     102,    -1,   104,    -1,   106,   107,   108,   109,   110,    -1,
     112,   113,   114,    -1,    -1,   117,   118,   119,   120,   121,
      -1,   123,   124,   125,    -1,   127,   128,   129,    -1,   131,
     132,   133,   134,   135,   136,   137,   138,   139,    -1,   141,
      -1,   143,   144,   145,    -1,   147,    -1,   149,   150,    -1,
     152,   153,   154,   155,    -1,   157,   158,    -1,   160,    -1,
     162,   163,   164,   165,   166,   167,   168,   169,   170,    -1,
     172,   173,   174,   175,   176,   177,    -1,   179,   180,   181,
     182,   183,   184,   185,   186,   187,    -1,   189,    -1,   191,
     192,   193,   194,   195,   196,   197,   198,   199,   200,    -1,
     202,   203,    -1,   205,   206,   207,   208,   209,    -1,   211,
     212,   213,    -1,    -1,   216,   217,   218,   219,   220,   221,
     222,   223,   224,   225,   226,   227,   228,   229,   230,   231,
     232,   233,   234,    -1,   236,   237,   238,   239,    -1,   241,
     242,   243,   244,   245,   246,    -1,   248,    -1,    -1,   251,
     252,   253,    -1,    -1,   256,   257,   258,   259,   260,   261,
     262,   263,   264,   265,   266,   267,    -1,   269,   270,   271,
     272,   273,   274,   275,    -1,   277,   278,   279,   280,   281,
     282,   283,   284,   285,   286,   287,   288,   289,    -1,   291,
     292,   293,   294,   295,   296,   297,   298,   299,   300,   301,
      -1,   303,   304,   305,   306,   307,   308,   309,   310,   311,
     312,   313,   314,   315,   316,    -1,   318,   319,   320,   321,
     322,    -1,   324,   325,   326,   327,   328,   329,   330,   331,
      -1,   333,   334,   335,   336,   337,   338,   339,   340,   341,
     342,   343,    -1,   345,   346,    -1,   348,   349,   350,   351,
     352,   353,    -1,   355,   356,    -1,    -1,   359,   360,   361,
     362,    -1,   364,   365,   366,   367,   368,   369,   370,    -1,
      -1,   373,   374,   375,   376,   377,    -1,    -1,   380,   381,
     382,   383,   384,   385,   386,    -1,   388,   389,   390,   391,
     392,    -1,    -1,   395,    -1,    -1,   398,   399,   400,   401,
     402,   403,   404,   405,   406,   407,   408,   409,   410,   411,
     412,   413,   414,     3,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    14,    15,    16,    17,    18,    19,
      20,    21,    -1,    23,    24,    25,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    33,    34,    -1,    36,    37,    38,    39,
      40,    41,    42,    43,    44,    45,    46,    -1,    48,    49,
      50,    51,    52,    -1,    -1,    55,    56,    57,    58,    59,
      -1,    61,    62,    63,    64,    65,    -1,    67,    -1,    69,
      70,    71,    72,    73,    74,    75,    -1,    77,    78,    79,
      80,    81,    82,    -1,    84,    85,    86,    -1,    -1,    -1,
      90,    -1,    -1,    -1,    94,    95,    96,    97,    98,    99,
     100,   101,   102,    -1,   104,    -1,   106,   107,   108,   109,
     110,    -1,   112,   113,   114,    -1,    -1,   117,   118,   119,
     120,   121,    -1,   123,   124,   125,    -1,   127,   128,   129,
      -1,   131,   132,   133,   134,   135,   136,   137,   138,   139,
      -1,   141,    -1,   143,   144,   145,    -1,   147,    -1,   149,
     150,    -1,   152,   153,   154,   155,    -1,   157,   158,    -1,
     160,    -1,   162,   163,   164,   165,   166,   167,   168,   169,
     170,    -1,   172,   173,   174,   175,   176,   177,    -1,   179,
     180,   181,   182,   183,   184,   185,   186,   187,    -1,   189,
      -1,   191,   192,   193,   194,   195,   196,   197,   198,   199,
     200,    -1,   202,   203,    -1,   205,   206,   207,   208,   209,
      -1,   211,   212,   213,    -1,    -1,   216,   217,   218,   219,
     220,   221,   222,   223,   224,   225,   226,   227,   228,   229,
     230,   231,   232,   233,   234,    -1,   236,   237,   238,   239,
      -1,   241,   242,   243,   244,   245,   246,    -1,   248,    -1,
      -1,   251,   252,   253,    -1,    -1,   256,   257,   258,   259,
     260,   261,   262,   263,   264,   265,   266,   267,    -1,   269,
     270,   271,   272,   273,   274,   275,    -1,   277,   278,   279,
     280,   281,   282,   283,   284,   285,   286,   287,   288,   289,
      -1,   291,   292,   293,   294,   295,   296,   297,   298,   299,
     300,   301,    -1,   303,   304,   305,   306,   307,   308,   309,
     310,   311,   312,   313,   314,   315,   316,    -1,   318,   319,
     320,   321,   322,    -1,   324,   325,   326,   327,   328,   329,
     330,   331,    -1,   333,   334,   335,   336,   337,   338,   339,
     340,   341,   342,   343,    -1,   345,   346,    -1,   348,   349,
     350,   351,   352,   353,    -1,   355,   356,    -1,    -1,   359,
     360,   361,   362,    -1,   364,   365,   366,   367,   368,   369,
     370,    -1,    -1,   373,   374,   375,   376,   377,    -1,    -1,
     380,   381,   382,   383,   384,   385,   386,    -1,   388,   389,
     390,   391,   392,    -1,    -1,   395,    -1,    -1,   398,   399,
     400,   401,   402,   403,   404,   405,   406,   407,   408,   409,
     410,   411,   412,   413,   414,     3,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    14,    15,    16,    17,
      18,    19,    20,    21,    -1,    23,    24,    25,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    33,    34,    -1,    36,    37,
      38,    39,    40,    41,    42,    43,    44,    45,    46,    -1,
      48,    49,    50,    51,    52,    -1,    -1,    55,    56,    57,
      58,    59,    -1,    61,    62,    63,    64,    65,    -1,    67,
      -1,    69,    70,    71,    72,    73,    74,    75,    -1,    77,
      78,    79,    80,    81,    82,    -1,    84,    85,    86,    -1,
      -1,    -1,    90,    -1,    -1,    -1,    94,    95,    96,    97,
      98,    99,   100,   101,   102,    -1,   104,    -1,   106,   107,
     108,   109,   110,    -1,   112,   113,   114,    -1,    -1,   117,
     118,   119,   120,   121,    -1,   123,   124,   125,    -1,   127,
     128,   129,    -1,   131,   132,   133,   134,   135,   136,   137,
     138,   139,    -1,   141,    -1,   143,   144,   145,    -1,   147,
      -1,   149,   150,    -1,   152,   153,   154,   155,    -1,   157,
     158,    -1,   160,    -1,   162,   163,   164,   165,   166,   167,
     168,   169,   170,    -1,   172,   173,   174,   175,   176,   177,
      -1,   179,   180,   181,   182,   183,   184,   185,   186,   187,
      -1,   189,    -1,   191,   192,   193,   194,   195,   196,   197,
     198,   199,   200,    -1,   202,   203,    -1,   205,   206,   207,
     208,   209,    -1,   211,   212,   213,    -1,    -1,   216,   217,
     218,   219,   220,   221,   222,   223,   224,   225,   226,   227,
     228,   229,   230,   231,   232,   233,   234,    -1,   236,   237,
     238,   239,    -1,   241,   242,   243,   244,   245,   246,    -1,
     248,    -1,    -1,   251,   252,   253,    -1,    -1,   256,   257,
     258,   259,   260,   261,   262,   263,   264,   265,   266,   267,
      -1,   269,   270,   271,   272,   273,   274,   275,    -1,   277,
     278,   279,   280,   281,   282,   283,   284,   285,   286,   287,
     288,   289,    -1,   291,   292,   293,   294,   295,   296,   297,
     298,   299,   300,   301,    -1,   303,   304,   305,   306,   307,
     308,   309,   310,   311,   312,   313,   314,   315,   316,    -1,
     318,   319,   320,   321,   322,    -1,   324,   325,   326,   327,
     328,   329,   330,   331,    -1,   333,   334,   335,   336,   337,
     338,   339,   340,   341,   342,   343,    -1,   345,   346,    -1,
     348,   349,   350,   351,   352,   353,    -1,   355,   356,    -1,
      -1,   359,   360,   361,   362,    -1,   364,   365,   366,   367,
     368,   369,   370,    -1,    -1,   373,   374,   375,   376,   377,
      -1,    -1,   380,   381,   382,   383,   384,   385,   386,    -1,
     388,   389,   390,   391,   392,    -1,    -1,   395,    -1,    -1,
     398,   399,   400,   401,   402,   403,   404,   405,   406,   407,
     408,   409,   410,   411,   412,   413,   414,     3,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    14,    15,
      16,    17,    18,    19,    20,    21,    -1,    23,    24,    25,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    33,    34,    -1,
      36,    37,    38,    39,    40,    41,    42,    43,    44,    45,
      46,    -1,    48,    49,    50,    51,    52,    -1,    -1,    55,
      56,    57,    58,    59,    -1,    61,    62,    63,    64,    65,
      -1,    67,    -1,    69,    70,    71,    72,    73,    74,    75,
      -1,    77,    78,    79,    80,    81,    82,    -1,    84,    85,
      86,    -1,    -1,    -1,    90,    -1,    -1,    -1,    94,    95,
      96,    97,    98,    99,   100,   101,   102,    -1,   104,    -1,
     106,   107,   108,   109,   110,    -1,   112,   113,   114,    -1,
      -1,   117,   118,   119,   120,   121,    -1,   123,   124,   125,
      -1,   127,   128,   129,    -1,   131,   132,   133,   134,   135,
     136,   137,   138,   139,    -1,   141,    -1,   143,   144,   145,
      -1,   147,    -1,   149,   150,    -1,   152,   153,   154,   155,
      -1,   157,   158,    -1,   160,    -1,   162,   163,   164,   165,
     166,   167,   168,   169,   170,    -1,   172,   173,   174,   175,
     176,   177,    -1,   179,   180,   181,   182,   183,   184,   185,
     186,   187,    -1,   189,    -1,   191,   192,   193,   194,   195,
     196,   197,   198,   199,   200,    -1,   202,   203,    -1,   205,
     206,   207,   208,   209,    -1,   211,   212,   213,    -1,    -1,
     216,   217,   218,   219,   220,   221,   222,   223,   224,   225,
     226,   227,   228,   229,   230,   231,   232,   233,   234,    -1,
     236,   237,   238,   239,    -1,   241,   242,   243,   244,   245,
     246,    -1,   248,    -1,    -1,   251,   252,   253,    -1,    -1,
     256,   257,   258,   259,   260,   261,   262,   263,   264,   265,
     266,   267,    -1,   269,   270,   271,   272,   273,   274,   275,
      -1,   277,   278,   279,   280,   281,   282,   283,   284,   285,
     286,   287,   288,   289,    -1,   291,   292,   293,   294,   295,
     296,   297,   298,   299,   300,   301,    -1,   303,   304,   305,
     306,   307,   308,   309,   310,   311,   312,   313,   314,   315,
     316,    -1,   318,   319,   320,   321,   322,    -1,   324,   325,
     326,   327,   328,   329,   330,   331,    -1,   333,   334,   335,
     336,   337,   338,   339,   340,   341,   342,   343,    -1,   345,
     346,    -1,   348,   349,   350,   351,   352,   353,    -1,   355,
     356,    -1,    -1,   359,   360,   361,   362,    -1,   364,   365,
     366,   367,   368,   369,   370,    -1,    -1,   373,   374,   375,
     376,   377,    -1,    -1,   380,   381,   382,   383,   384,   385,
     386,    -1,   388,   389,   390,   391,   392,    -1,    -1,   395,
      -1,    -1,   398,   399,   400,   401,   402,   403,   404,   405,
     406,   407,   408,   409,   410,   411,   412,   413,   414,     3,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      14,    15,    16,    17,    18,    19,    20,    21,    -1,    23,
      24,    25,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    33,
      34,    -1,    36,    37,    38,    39,    40,    41,    42,    43,
      44,    45,    46,    -1,    48,    49,    50,    51,    52,    -1,
      -1,    55,    56,    57,    58,    59,    -1,    61,    62,    63,
      64,    65,    -1,    67,    -1,    69,    70,    71,    72,    73,
      74,    75,    -1,    77,    78,    79,    80,    81,    82,    -1,
      84,    85,    86,    -1,    -1,    -1,    90,    -1,    -1,    -1,
      94,    95,    96,    97,    98,    99,   100,   101,   102,    -1,
     104,    -1,   106,   107,   108,   109,   110,    -1,   112,   113,
     114,    -1,    -1,   117,   118,   119,   120,   121,    -1,   123,
     124,   125,    -1,   127,   128,   129,    -1,   131,   132,   133,
     134,   135,   136,   137,   138,   139,    -1,   141,    -1,   143,
     144,   145,    -1,   147,    -1,   149,   150,    -1,   152,   153,
     154,   155,    -1,   157,   158,    -1,   160,    -1,   162,   163,
     164,   165,   166,   167,   168,   169,   170,    -1,   172,   173,
     174,   175,   176,   177,    -1,   179,   180,   181,   182,   183,
     184,   185,   186,   187,    -1,   189,    -1,   191,   192,   193,
     194,   195,   196,   197,   198,   199,   200,    -1,   202,   203,
      -1,   205,   206,   207,   208,   209,    -1,   211,   212,   213,
      -1,    -1,   216,   217,   218,   219,   220,   221,   222,   223,
     224,   225,   226,   227,   228,   229,   230,   231,   232,   233,
     234,    -1,   236,   237,   238,   239,    -1,   241,   242,   243,
     244,   245,   246,    -1,   248,    -1,    -1,   251,   252,   253,
      -1,    -1,   256,   257,   258,   259,   260,   261,   262,   263,
     264,   265,   266,   267,    -1,   269,   270,   271,   272,   273,
     274,   275,    -1,   277,   278,   279,   280,   281,   282,   283,
     284,   285,   286,   287,   288,   289,    -1,   291,   292,   293,
     294,   295,   296,   297,   298,   299,   300,   301,    -1,   303,
     304,   305,   306,   307,   308,   309,   310,   311,   312,   313,
     314,   315,   316,    -1,   318,   319,   320,   321,   322,    -1,
     324,   325,   326,   327,   328,   329,   330,   331,    -1,   333,
     334,   335,   336,   337,   338,   339,   340,   341,   342,   343,
      -1,   345,   346,    -1,   348,   349,   350,   351,   352,   353,
      -1,   355,   356,    -1,    -1,   359,   360,   361,   362,    -1,
     364,   365,   366,   367,   368,   369,   370,    -1,    -1,   373,
     374,   375,   376,   377,    -1,    -1,   380,   381,   382,   383,
     384,   385,   386,    -1,   388,   389,   390,   391,   392,    -1,
      -1,   395,    -1,    -1,   398,   399,   400,   401,   402,   403,
     404,   405,   406,   407,   408,   409,   410,   411,   412,   413,
     414,     3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    14,    15,    16,    17,    18,    19,    20,    21,
      -1,    23,    24,    25,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    33,    34,    -1,    36,    37,    -1,    39,    40,    41,
      42,    43,    -1,    45,    46,    -1,    48,    49,    50,    51,
      52,    -1,    -1,    55,    56,    57,    58,    59,    60,    61,
      62,    63,    64,    65,    -1,    -1,    68,    69,    70,    71,
      72,    -1,    74,    75,    76,    77,    78,    79,    80,    81,
      82,    -1,    -1,    85,    86,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    94,    95,    96,    97,    98,    99,   100,   101,
     102,    -1,   104,    -1,   106,   107,   108,   109,   110,    -1,
     112,   113,   114,    -1,    -1,   117,   118,   119,   120,   121,
      -1,   123,   124,   125,    -1,   127,   128,   129,    -1,   131,
     132,   133,   134,   135,   136,   137,   138,   139,    -1,   141,
      -1,   143,   144,   145,    -1,   147,   148,   149,    -1,    -1,
      -1,   153,   154,   155,    -1,   157,   158,    -1,   160,    -1,
     162,   163,   164,   165,   166,    -1,   168,   169,   170,    -1,
     172,   173,   174,   175,   176,   177,    -1,   179,    -1,   181,
     182,   183,   184,   185,   186,   187,    -1,   189,    -1,   191,
      -1,    -1,   194,    -1,   196,   197,   198,   199,   200,    -1,
     202,   203,    -1,   205,   206,    -1,   208,    -1,    -1,   211,
     212,   213,    -1,    -1,   216,   217,   218,   219,   220,   221,
     222,   223,   224,   225,   226,   227,   228,   229,    -1,   231,
     232,   233,   234,    -1,   236,   237,    -1,   239,    -1,   241,
     242,   243,   244,   245,   246,    -1,   248,    -1,    -1,   251,
     252,   253,    -1,    -1,   256,    -1,    -1,    -1,   260,   261,
     262,   263,   264,   265,   266,   267,    -1,   269,   270,   271,
     272,   273,   274,   275,   276,   277,   278,   279,   280,   281,
     282,   283,   284,   285,   286,   287,   288,   289,    -1,   291,
     292,   293,   294,   295,   296,   297,   298,   299,   300,   301,
      -1,   303,   304,    -1,   306,   307,   308,   309,   310,   311,
     312,   313,   314,   315,   316,    -1,   318,   319,   320,   321,
     322,    -1,   324,   325,   326,   327,    -1,   329,   330,   331,
      -1,   333,   334,   335,   336,   337,   338,   339,   340,   341,
     342,   343,    -1,   345,   346,    -1,   348,   349,   350,   351,
     352,   353,    -1,   355,   356,    -1,    -1,   359,   360,   361,
     362,    -1,   364,   365,   366,   367,   368,   369,   370,    -1,
     372,   373,   374,   375,   376,   377,    -1,    -1,   380,   381,
     382,   383,   384,   385,   386,    -1,   388,    -1,   390,   391,
     392,    -1,    -1,   395,    -1,    -1,   398,   399,   400,   401,
     402,   403,   404,   405,   406,   407,   408,   409,   410,   411,
     412,   413,   414,     3,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    14,    15,    16,    17,    18,    19,
      20,    21,    -1,    23,    24,    25,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    33,    34,    -1,    36,    37,    -1,    39,
      40,    41,    42,    43,    -1,    45,    46,    -1,    48,    49,
      50,    51,    52,    -1,    -1,    55,    56,    57,    58,    59,
      60,    61,    62,    63,    64,    65,    -1,    -1,    -1,    69,
      70,    71,    72,    -1,    74,    75,    76,    77,    78,    79,
      80,    81,    82,    -1,    -1,    85,    86,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    94,    95,    96,    97,    98,    99,
     100,   101,   102,    -1,   104,    -1,   106,   107,   108,   109,
     110,    -1,   112,   113,   114,    -1,    -1,   117,   118,   119,
     120,   121,    -1,   123,   124,   125,    -1,   127,   128,   129,
      -1,   131,   132,   133,   134,   135,   136,   137,   138,   139,
      -1,   141,    -1,   143,   144,   145,    -1,   147,   148,   149,
      -1,    -1,    -1,   153,   154,   155,    -1,   157,   158,    -1,
     160,    -1,   162,   163,   164,   165,   166,    -1,   168,   169,
     170,    -1,   172,   173,   174,   175,   176,   177,    -1,   179,
      -1,   181,   182,   183,   184,   185,   186,   187,    -1,   189,
      -1,   191,    -1,    -1,   194,    -1,   196,   197,   198,   199,
     200,    -1,   202,   203,    -1,   205,   206,    -1,   208,   209,
      -1,   211,   212,   213,    -1,    -1,   216,   217,   218,   219,
     220,   221,   222,   223,   224,   225,   226,   227,   228,   229,
      -1,   231,   232,   233,   234,    -1,   236,   237,    -1,   239,
      -1,   241,   242,   243,   244,   245,   246,    -1,   248,    -1,
      -1,   251,   252,   253,    -1,    -1,   256,    -1,    -1,    -1,
     260,   261,   262,   263,   264,   265,   266,   267,    -1,   269,
     270,   271,   272,   273,   274,   275,   276,   277,   278,   279,
     280,   281,   282,   283,   284,   285,   286,   287,   288,   289,
      -1,   291,   292,   293,   294,   295,   296,   297,   298,   299,
     300,   301,    -1,   303,   304,    -1,   306,   307,   308,   309,
     310,   311,   312,   313,   314,   315,   316,    -1,   318,   319,
     320,   321,   322,    -1,   324,   325,   326,   327,    -1,   329,
     330,   331,    -1,   333,   334,   335,   336,   337,   338,   339,
     340,   341,   342,   343,    -1,   345,   346,    -1,   348,   349,
     350,   351,   352,   353,    -1,   355,   356,    -1,    -1,   359,
     360,   361,   362,    -1,   364,   365,   366,   367,   368,   369,
     370,    -1,   372,   373,   374,   375,   376,   377,    -1,    -1,
     380,   381,   382,   383,   384,   385,   386,    -1,   388,    -1,
     390,   391,   392,    -1,    -1,   395,    -1,    -1,   398,   399,
     400,   401,   402,   403,   404,   405,   406,   407,   408,   409,
     410,   411,   412,   413,   414,     3,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    14,    15,    16,    17,
      18,    19,    20,    21,    22,    23,    24,    25,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    33,    34,    -1,    36,    37,
      -1,    39,    40,    41,    42,    43,    -1,    45,    46,    -1,
      48,    49,    50,    51,    52,    -1,    -1,    55,    56,    57,
      58,    59,    -1,    61,    62,    63,    64,    65,    -1,    -1,
      -1,    69,    70,    71,    72,    -1,    74,    75,    -1,    77,
      78,    79,    80,    81,    82,    83,    -1,    85,    86,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    94,    95,    96,    97,
      98,    99,   100,   101,   102,    -1,   104,    -1,   106,   107,
     108,   109,   110,    -1,   112,   113,   114,    -1,    -1,   117,
     118,   119,   120,   121,    -1,   123,   124,   125,    -1,   127,
     128,   129,    -1,   131,   132,   133,   134,   135,   136,   137,
     138,   139,    -1,   141,    -1,   143,   144,   145,    -1,   147,
      -1,   149,    -1,    -1,    -1,   153,   154,   155,   156,   157,
     158,    -1,   160,    -1,   162,   163,   164,   165,   166,    -1,
     168,   169,   170,    -1,   172,   173,   174,   175,   176,   177,
      -1,   179,    -1,   181,   182,   183,   184,   185,   186,   187,
      -1,   189,    -1,   191,    -1,    -1,   194,    -1,   196,   197,
     198,   199,   200,    -1,   202,   203,    -1,   205,   206,    -1,
     208,    -1,    -1,   211,   212,   213,    -1,    -1,   216,   217,
     218,   219,   220,   221,   222,   223,   224,   225,   226,   227,
     228,   229,    -1,   231,   232,   233,   234,    -1,   236,   237,
      -1,   239,    -1,   241,   242,   243,   244,   245,   246,    -1,
     248,    -1,    -1,   251,   252,   253,    -1,    -1,   256,    -1,
      -1,    -1,   260,   261,   262,   263,   264,   265,   266,   267,
      -1,   269,   270,   271,   272,   273,   274,   275,    -1,   277,
     278,   279,   280,   281,   282,   283,   284,   285,   286,   287,
     288,   289,   290,   291,   292,   293,   294,   295,   296,   297,
     298,   299,   300,   301,    -1,   303,   304,    -1,   306,   307,
     308,   309,   310,   311,   312,   313,   314,   315,   316,   317,
     318,   319,   320,   321,   322,    -1,   324,   325,   326,   327,
      -1,   329,   330,   331,    -1,   333,   334,   335,   336,   337,
     338,   339,   340,   341,   342,   343,    -1,   345,   346,    -1,
     348,   349,   350,   351,   352,   353,    -1,   355,   356,    -1,
      -1,   359,   360,   361,   362,    -1,   364,   365,   366,   367,
     368,   369,   370,    -1,    -1,   373,   374,   375,   376,   377,
      -1,    -1,   380,   381,   382,   383,   384,   385,   386,    -1,
     388,    -1,   390,   391,   392,    -1,    -1,   395,    -1,    -1,
     398,   399,   400,   401,   402,   403,   404,   405,   406,   407,
     408,   409,   410,   411,   412,   413,   414,     3,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    14,    15,
      16,    17,    18,    19,    20,    21,    22,    23,    24,    25,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    33,    34,    -1,
      36,    37,    -1,    39,    40,    41,    42,    43,    -1,    45,
      46,    -1,    48,    49,    50,    51,    52,    -1,    -1,    55,
      56,    57,    58,    59,    -1,    61,    62,    63,    64,    65,
      -1,    -1,    -1,    69,    70,    71,    72,    -1,    74,    75,
      -1,    77,    78,    79,    80,    81,    82,    83,    -1,    85,
      86,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    94,    95,
      96,    97,    98,    99,   100,   101,   102,    -1,   104,    -1,
     106,   107,   108,   109,   110,    -1,   112,   113,   114,    -1,
      -1,   117,   118,   119,   120,   121,    -1,   123,   124,   125,
      -1,   127,   128,   129,    -1,   131,   132,   133,   134,   135,
     136,   137,   138,   139,    -1,   141,    -1,   143,   144,   145,
      -1,   147,    -1,   149,    -1,    -1,    -1,   153,   154,   155,
     156,   157,   158,    -1,   160,    -1,   162,   163,   164,   165,
     166,    -1,   168,   169,   170,    -1,   172,   173,   174,   175,
     176,   177,    -1,   179,    -1,   181,   182,   183,   184,   185,
     186,   187,    -1,   189,    -1,   191,    -1,    -1,   194,    -1,
     196,   197,   198,   199,   200,    -1,   202,   203,    -1,   205,
     206,    -1,   208,    -1,    -1,   211,   212,   213,    -1,    -1,
     216,   217,   218,   219,   220,   221,   222,   223,   224,   225,
     226,   227,   228,   229,    -1,   231,   232,   233,   234,    -1,
     236,   237,    -1,   239,    -1,   241,   242,   243,   244,   245,
     246,    -1,   248,    -1,    -1,   251,   252,   253,    -1,    -1,
     256,    -1,    -1,    -1,   260,   261,   262,   263,   264,   265,
     266,   267,    -1,   269,   270,   271,   272,   273,   274,   275,
      -1,   277,   278,   279,   280,   281,   282,   283,   284,   285,
     286,   287,   288,   289,   290,   291,   292,   293,   294,   295,
     296,   297,   298,   299,   300,   301,    -1,   303,   304,    -1,
     306,   307,   308,   309,   310,   311,   312,   313,   314,   315,
     316,   317,   318,   319,   320,   321,   322,    -1,   324,   325,
     326,   327,    -1,   329,   330,   331,    -1,   333,   334,   335,
     336,   337,   338,   339,   340,   341,   342,   343,    -1,   345,
     346,    -1,   348,   349,   350,   351,   352,   353,    -1,   355,
     356,    -1,    -1,   359,   360,   361,   362,    -1,   364,   365,
     366,   367,   368,   369,   370,    -1,    -1,   373,   374,   375,
     376,   377,    -1,    -1,   380,   381,   382,   383,   384,   385,
     386,    -1,   388,    -1,   390,   391,   392,    -1,    -1,   395,
      -1,    -1,   398,   399,   400,   401,   402,   403,   404,   405,
     406,   407,   408,   409,   410,   411,   412,   413,   414,     3,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      14,    15,    16,    17,    18,    19,    20,    21,    -1,    23,
      24,    25,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    33,
      34,    -1,    36,    37,    -1,    39,    40,    41,    42,    43,
      -1,    45,    46,    -1,    48,    49,    50,    51,    52,    -1,
      -1,    55,    56,    57,    58,    59,    60,    61,    62,    63,
      64,    65,    -1,    -1,    -1,    69,    70,    71,    72,    -1,
      74,    75,    76,    77,    78,    79,    80,    81,    82,    -1,
      -1,    85,    86,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      94,    95,    96,    97,    98,    99,   100,   101,   102,    -1,
     104,    -1,   106,   107,   108,   109,   110,    -1,   112,   113,
     114,    -1,    -1,   117,   118,   119,   120,   121,    -1,   123,
     124,   125,    -1,   127,   128,   129,    -1,   131,   132,   133,
     134,   135,   136,   137,   138,   139,    -1,   141,    -1,   143,
     144,   145,    -1,   147,   148,   149,    -1,    -1,    -1,   153,
     154,   155,    -1,   157,   158,    -1,   160,    -1,   162,   163,
     164,   165,   166,    -1,   168,   169,   170,    -1,   172,   173,
     174,   175,   176,   177,    -1,   179,    -1,   181,   182,   183,
     184,   185,   186,   187,    -1,   189,    -1,   191,    -1,    -1,
     194,    -1,   196,   197,   198,   199,   200,    -1,   202,   203,
      -1,   205,   206,    -1,   208,    -1,    -1,   211,   212,   213,
      -1,    -1,   216,   217,   218,   219,   220,   221,   222,   223,
     224,   225,   226,   227,   228,   229,    -1,   231,   232,   233,
     234,    -1,   236,   237,    -1,   239,    -1,   241,   242,   243,
     244,   245,   246,    -1,   248,    -1,    -1,   251,   252,   253,
      -1,    -1,   256,    -1,    -1,    -1,   260,   261,   262,   263,
     264,   265,   266,   267,    -1,   269,   270,   271,   272,   273,
     274,   275,   276,   277,   278,   279,   280,   281,   282,   283,
     284,   285,   286,   287,   288,   289,    -1,   291,   292,   293,
     294,   295,   296,   297,   298,   299,   300,   301,    -1,   303,
     304,    -1,   306,   307,   308,   309,   310,   311,   312,   313,
     314,   315,   316,    -1,   318,   319,   320,   321,   322,    -1,
     324,   325,   326,   327,    -1,   329,   330,   331,    -1,   333,
     334,   335,   336,   337,   338,   339,   340,   341,   342,   343,
      -1,   345,   346,    -1,   348,   349,   350,   351,   352,   353,
      -1,   355,   356,    -1,    -1,   359,   360,   361,   362,    -1,
     364,   365,   366,   367,   368,   369,   370,    -1,   372,   373,
     374,   375,   376,   377,    -1,    -1,   380,   381,   382,   383,
     384,   385,   386,    -1,   388,    -1,   390,   391,   392,    -1,
      -1,   395,    -1,    -1,   398,   399,   400,   401,   402,   403,
     404,   405,   406,   407,   408,   409,   410,   411,   412,   413,
     414,     3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    14,    15,    16,    17,    18,    19,    20,    21,
      22,    23,    24,    25,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    33,    34,    -1,    36,    37,    -1,    39,    40,    41,
      42,    43,    -1,    45,    46,    -1,    48,    49,    50,    51,
      52,    -1,    -1,    55,    56,    57,    58,    59,    -1,    61,
      62,    63,    64,    65,    -1,    -1,    -1,    69,    70,    71,
      72,    -1,    74,    75,    -1,    77,    78,    79,    80,    81,
      82,    83,    -1,    85,    86,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    94,    95,    96,    97,    98,    99,   100,   101,
     102,    -1,   104,    -1,   106,   107,   108,   109,   110,    -1,
     112,   113,   114,    -1,    -1,   117,   118,   119,   120,   121,
      -1,   123,   124,   125,    -1,   127,   128,   129,    -1,   131,
     132,   133,   134,   135,   136,   137,   138,   139,    -1,   141,
      -1,   143,   144,   145,    -1,   147,    -1,   149,    -1,    -1,
      -1,   153,   154,   155,    -1,   157,   158,    -1,   160,    -1,
     162,   163,   164,   165,   166,    -1,   168,   169,   170,    -1,
     172,   173,   174,   175,   176,   177,    -1,   179,    -1,   181,
     182,   183,   184,   185,   186,   187,    -1,   189,    -1,   191,
      -1,    -1,   194,    -1,   196,   197,   198,   199,   200,    -1,
     202,   203,    -1,   205,   206,    -1,   208,    -1,    -1,   211,
     212,   213,    -1,    -1,   216,   217,   218,   219,   220,   221,
     222,   223,   224,   225,   226,   227,   228,   229,    -1,   231,
     232,   233,   234,    -1,   236,   237,    -1,   239,    -1,   241,
     242,   243,   244,   245,   246,    -1,   248,    -1,    -1,   251,
     252,   253,    -1,    -1,   256,    -1,    -1,    -1,   260,   261,
     262,   263,   264,   265,   266,   267,    -1,   269,   270,   271,
     272,   273,   274,   275,    -1,   277,   278,   279,   280,   281,
     282,   283,   284,   285,   286,   287,   288,   289,   290,   291,
     292,   293,   294,   295,   296,   297,   298,   299,   300,   301,
      -1,   303,   304,    -1,   306,   307,   308,   309,   310,   311,
     312,   313,   314,   315,   316,   317,   318,   319,   320,   321,
     322,    -1,   324,   325,   326,   327,    -1,   329,   330,   331,
      -1,   333,   334,   335,   336,   337,   338,   339,   340,   341,
     342,   343,    -1,   345,   346,    -1,   348,   349,   350,   351,
     352,   353,    -1,   355,   356,    -1,    -1,   359,   360,   361,
     362,    -1,   364,   365,   366,   367,   368,   369,   370,    -1,
      -1,   373,   374,   375,   376,   377,    -1,    -1,   380,   381,
     382,   383,   384,   385,   386,    -1,   388,    -1,   390,   391,
     392,    -1,    -1,   395,    -1,    -1,   398,   399,   400,   401,
     402,   403,   404,   405,   406,   407,   408,   409,   410,   411,
     412,   413,   414,     3,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    14,    15,    16,    17,    18,    19,
      20,    21,    22,    23,    24,    25,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    33,    34,    -1,    36,    37,    -1,    39,
      40,    41,    42,    43,    -1,    45,    46,    -1,    48,    49,
      50,    51,    52,    -1,    -1,    55,    56,    57,    58,    59,
      -1,    61,    62,    63,    64,    65,    -1,    -1,    -1,    69,
      70,    71,    72,    -1,    74,    75,    -1,    77,    78,    79,
      80,    81,    82,    -1,    -1,    85,    86,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    94,    95,    96,    97,    98,    99,
     100,   101,   102,    -1,   104,    -1,   106,   107,   108,   109,
     110,    -1,   112,   113,   114,    -1,    -1,   117,   118,   119,
     120,   121,    -1,   123,   124,   125,    -1,   127,   128,   129,
      -1,   131,   132,   133,   134,   135,   136,   137,   138,   139,
      -1,   141,    -1,   143,   144,   145,    -1,   147,   148,   149,
      -1,    -1,    -1,   153,   154,   155,    -1,   157,   158,    -1,
     160,    -1,   162,   163,   164,   165,   166,    -1,   168,   169,
     170,    -1,   172,   173,   174,   175,   176,   177,    -1,   179,
      -1,   181,   182,   183,   184,   185,   186,   187,    -1,   189,
      -1,   191,    -1,    -1,   194,    -1,   196,   197,   198,   199,
     200,    -1,   202,   203,    -1,   205,   206,    -1,   208,    -1,
      -1,   211,   212,   213,    -1,    -1,   216,   217,   218,   219,
     220,   221,   222,   223,   224,   225,   226,   227,   228,   229,
      -1,   231,   232,   233,   234,    -1,   236,   237,    -1,   239,
      -1,   241,   242,   243,   244,   245,   246,    -1,   248,    -1,
      -1,   251,   252,   253,    -1,    -1,   256,    -1,    -1,    -1,
     260,   261,   262,   263,   264,   265,   266,   267,    -1,   269,
     270,   271,   272,   273,   274,   275,    -1,   277,   278,   279,
     280,   281,   282,   283,   284,   285,   286,   287,   288,   289,
      -1,   291,   292,   293,   294,   295,   296,   297,   298,   299,
     300,   301,    -1,   303,   304,    -1,   306,   307,   308,   309,
     310,   311,   312,   313,   314,   315,   316,    -1,   318,   319,
     320,   321,   322,    -1,   324,   325,   326,   327,    -1,   329,
     330,   331,    -1,   333,   334,   335,   336,   337,   338,   339,
     340,   341,   342,   343,    -1,   345,   346,   347,   348,   349,
     350,   351,   352,   353,    -1,   355,   356,    -1,    -1,   359,
     360,   361,   362,    -1,   364,   365,   366,   367,   368,   369,
     370,    -1,    -1,   373,   374,   375,   376,   377,    -1,    -1,
     380,   381,   382,   383,   384,   385,   386,    -1,   388,    -1,
     390,   391,   392,    -1,    -1,   395,    -1,    -1,   398,   399,
     400,   401,   402,   403,   404,   405,   406,   407,   408,   409,
     410,   411,   412,   413,   414,     3,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    14,    15,    16,    17,
      18,    19,    20,    21,    -1,    23,    24,    25,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    33,    34,    -1,    36,    37,
      -1,    39,    40,    41,    42,    43,    -1,    45,    46,    -1,
      48,    49,    50,    51,    52,    -1,    -1,    55,    56,    57,
      58,    59,    -1,    61,    62,    63,    64,    65,    -1,    -1,
      -1,    69,    70,    71,    72,    -1,    74,    75,    -1,    77,
      78,    79,    80,    81,    82,    83,    -1,    85,    86,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    94,    95,    96,    97,
      98,    99,   100,   101,   102,    -1,   104,    -1,   106,   107,
     108,   109,   110,    -1,   112,   113,   114,    -1,    -1,   117,
     118,   119,   120,   121,    -1,   123,   124,   125,    -1,   127,
     128,   129,    -1,   131,   132,   133,   134,   135,   136,   137,
     138,   139,    -1,   141,    -1,   143,   144,   145,    -1,   147,
      -1,   149,    -1,    -1,    -1,   153,   154,   155,    -1,   157,
     158,    -1,   160,    -1,   162,   163,   164,   165,   166,    -1,
     168,   169,   170,    -1,   172,   173,   174,   175,   176,   177,
      -1,   179,    -1,   181,   182,   183,   184,   185,   186,   187,
      -1,   189,    -1,   191,    -1,    -1,   194,    -1,   196,   197,
     198,   199,   200,    -1,   202,   203,    -1,   205,   206,    -1,
     208,    -1,    -1,   211,   212,   213,    -1,    -1,   216,   217,
     218,   219,   220,   221,   222,   223,   224,   225,   226,   227,
     228,   229,    -1,   231,   232,   233,   234,    -1,   236,   237,
      -1,   239,    -1,   241,   242,   243,   244,   245,   246,    -1,
     248,    -1,    -1,   251,   252,   253,    -1,    -1,   256,    -1,
      -1,    -1,   260,   261,   262,   263,   264,   265,   266,   267,
      -1,   269,   270,   271,   272,   273,   274,   275,    -1,   277,
     278,   279,   280,   281,   282,   283,   284,   285,   286,   287,
     288,   289,   290,   291,   292,   293,   294,   295,   296,   297,
     298,   299,   300,   301,    -1,   303,   304,    -1,   306,   307,
     308,   309,   310,   311,   312,   313,   314,   315,   316,   317,
     318,   319,   320,   321,   322,    -1,   324,   325,   326,   327,
      -1,   329,   330,   331,    -1,   333,   334,   335,   336,   337,
     338,   339,   340,   341,   342,   343,    -1,   345,   346,    -1,
     348,   349,   350,   351,   352,   353,    -1,   355,   356,    -1,
      -1,   359,   360,   361,   362,    -1,   364,   365,   366,   367,
     368,   369,   370,    -1,    -1,   373,   374,   375,   376,   377,
      -1,    -1,   380,   381,   382,   383,   384,   385,   386,    -1,
     388,    -1,   390,   391,   392,    -1,    -1,   395,    -1,    -1,
     398,   399,   400,   401,   402,   403,   404,   405,   406,   407,
     408,   409,   410,   411,   412,   413,   414,     3,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    14,    15,
      16,    17,    18,    19,    20,    21,    -1,    23,    24,    25,
      26,    27,    -1,    -1,    -1,    -1,    -1,    33,    34,    -1,
      36,    37,    -1,    39,    40,    41,    42,    43,    -1,    45,
      46,    -1,    48,    49,    50,    51,    52,    -1,    -1,    55,
      56,    57,    58,    59,    -1,    61,    62,    63,    64,    65,
      -1,    -1,    -1,    69,    70,    71,    72,    -1,    74,    75,
      -1,    77,    78,    79,    80,    81,    82,    -1,    -1,    85,
      86,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    94,    95,
      96,    97,    98,    99,   100,   101,   102,    -1,   104,    -1,
     106,   107,   108,   109,   110,    -1,   112,   113,   114,    -1,
      -1,   117,   118,   119,   120,   121,    -1,   123,   124,   125,
      -1,   127,   128,   129,    -1,   131,   132,   133,   134,   135,
     136,   137,   138,   139,    -1,   141,    -1,   143,   144,   145,
      -1,   147,    -1,   149,    -1,    -1,    -1,   153,   154,   155,
      -1,   157,   158,    -1,   160,    -1,   162,   163,   164,   165,
     166,    -1,   168,   169,   170,    -1,   172,   173,   174,   175,
     176,   177,    -1,   179,    -1,   181,   182,   183,   184,   185,
     186,   187,    -1,   189,    -1,   191,    -1,    -1,   194,    -1,
     196,   197,   198,   199,   200,    -1,   202,   203,    -1,   205,
     206,    -1,   208,    -1,    -1,   211,   212,   213,    -1,    -1,
     216,   217,   218,   219,   220,   221,   222,   223,   224,   225,
     226,   227,   228,   229,    -1,   231,   232,   233,   234,    -1,
     236,   237,    -1,   239,    -1,   241,   242,   243,   244,   245,
     246,    -1,   248,    -1,    -1,   251,   252,   253,    -1,    -1,
     256,    -1,    -1,    -1,   260,   261,   262,   263,   264,   265,
     266,   267,    -1,   269,   270,   271,   272,   273,   274,   275,
      -1,   277,   278,   279,   280,   281,   282,   283,   284,   285,
     286,   287,   288,   289,    -1,   291,   292,   293,   294,   295,
     296,   297,   298,   299,   300,   301,    -1,   303,   304,    -1,
     306,   307,   308,   309,   310,   311,   312,   313,   314,   315,
     316,    -1,   318,   319,   320,   321,   322,    -1,   324,   325,
     326,   327,    -1,   329,   330,   331,    -1,   333,   334,   335,
     336,   337,   338,   339,   340,   341,   342,   343,    -1,   345,
     346,    -1,   348,   349,   350,   351,   352,   353,    -1,   355,
     356,    -1,    -1,   359,   360,   361,   362,    -1,   364,   365,
     366,   367,   368,   369,   370,    -1,    -1,   373,   374,   375,
     376,   377,    -1,    -1,   380,   381,   382,   383,   384,   385,
     386,    -1,   388,    -1,   390,   391,   392,    -1,    -1,   395,
      -1,    -1,   398,   399,   400,   401,   402,   403,   404,   405,
     406,   407,   408,   409,   410,   411,   412,   413,   414,     3,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      14,    15,    16,    17,    18,    19,    20,    21,    22,    23,
      24,    25,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    33,
      34,    -1,    36,    37,    -1,    39,    40,    41,    42,    43,
      -1,    45,    46,    -1,    48,    49,    50,    51,    52,    -1,
      -1,    55,    56,    57,    58,    59,    -1,    61,    62,    63,
      64,    65,    -1,    -1,    -1,    69,    70,    71,    72,    -1,
      74,    75,    -1,    77,    78,    79,    80,    81,    82,    -1,
      -1,    85,    86,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      94,    95,    96,    97,    98,    99,   100,   101,   102,    -1,
     104,    -1,   106,   107,   108,   109,   110,    -1,   112,   113,
     114,    -1,    -1,   117,   118,   119,   120,   121,    -1,   123,
     124,   125,    -1,   127,   128,   129,    -1,   131,   132,   133,
     134,   135,   136,   137,   138,   139,    -1,   141,    -1,   143,
     144,   145,    -1,   147,    -1,   149,    -1,    -1,    -1,   153,
     154,   155,    -1,   157,   158,    -1,   160,    -1,   162,   163,
     164,   165,   166,    -1,   168,   169,   170,    -1,   172,   173,
     174,   175,   176,   177,    -1,   179,    -1,   181,   182,   183,
     184,   185,   186,   187,    -1,   189,    -1,   191,    -1,    -1,
     194,    -1,   196,   197,   198,   199,   200,    -1,   202,   203,
      -1,   205,   206,    -1,   208,    -1,    -1,   211,   212,   213,
      -1,    -1,   216,   217,   218,   219,   220,   221,   222,   223,
     224,   225,   226,   227,   228,   229,    -1,   231,   232,   233,
     234,    -1,   236,   237,    -1,   239,    -1,   241,   242,   243,
     244,   245,   246,    -1,   248,    -1,    -1,   251,   252,   253,
      -1,    -1,   256,    -1,    -1,    -1,   260,   261,   262,   263,
     264,   265,   266,   267,    -1,   269,   270,   271,   272,   273,
     274,   275,    -1,   277,   278,   279,   280,   281,   282,   283,
     284,   285,   286,   287,   288,   289,    -1,   291,   292,   293,
     294,   295,   296,   297,   298,   299,   300,   301,    -1,   303,
     304,    -1,   306,   307,   308,   309,   310,   311,   312,   313,
     314,   315,   316,    -1,   318,   319,   320,   321,   322,    -1,
     324,   325,   326,   327,    -1,   329,   330,   331,    -1,   333,
     334,   335,   336,   337,   338,   339,   340,   341,   342,   343,
      -1,   345,   346,    -1,   348,   349,   350,   351,   352,   353,
      -1,   355,   356,    -1,    -1,   359,   360,   361,   362,    -1,
     364,   365,   366,   367,   368,   369,   370,    -1,    -1,   373,
     374,   375,   376,   377,   378,    -1,   380,   381,   382,   383,
     384,   385,   386,    -1,   388,    -1,   390,   391,   392,    -1,
      -1,   395,    -1,    -1,   398,   399,   400,   401,   402,   403,
     404,   405,   406,   407,   408,   409,   410,   411,   412,   413,
     414,     3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    14,    15,    16,    17,    18,    19,    20,    21,
      22,    23,    24,    25,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    33,    34,    -1,    36,    37,    -1,    39,    40,    41,
      42,    43,    -1,    45,    46,    -1,    48,    49,    50,    51,
      52,    -1,    -1,    55,    56,    57,    58,    59,    -1,    61,
      62,    63,    64,    65,    -1,    -1,    -1,    69,    70,    71,
      72,    -1,    74,    75,    -1,    77,    78,    79,    80,    81,
      82,    -1,    -1,    85,    86,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    94,    95,    96,    97,    98,    99,   100,   101,
     102,    -1,   104,    -1,   106,   107,   108,   109,   110,    -1,
     112,   113,   114,    -1,    -1,   117,   118,   119,   120,   121,
      -1,   123,   124,   125,    -1,   127,   128,   129,    -1,   131,
     132,   133,   134,   135,   136,   137,   138,   139,    -1,   141,
      -1,   143,   144,   145,    -1,   147,    -1,   149,    -1,    -1,
      -1,   153,   154,   155,    -1,   157,   158,    -1,   160,    -1,
     162,   163,   164,   165,   166,    -1,   168,   169,   170,    -1,
     172,   173,   174,   175,   176,   177,    -1,   179,    -1,   181,
     182,   183,   184,   185,   186,   187,    -1,   189,    -1,   191,
      -1,    -1,   194,    -1,   196,   197,   198,   199,   200,    -1,
     202,   203,    -1,   205,   206,    -1,   208,    -1,    -1,   211,
     212,   213,    -1,    -1,   216,   217,   218,   219,   220,   221,
     222,   223,   224,   225,   226,   227,   228,   229,    -1,   231,
     232,   233,   234,    -1,   236,   237,    -1,   239,    -1,   241,
     242,   243,   244,   245,   246,    -1,   248,    -1,    -1,   251,
     252,   253,    -1,    -1,   256,    -1,    -1,    -1,   260,   261,
     262,   263,   264,   265,   266,   267,    -1,   269,   270,   271,
     272,   273,   274,   275,    -1,   277,   278,   279,   280,   281,
     282,   283,   284,   285,   286,   287,   288,   289,    -1,   291,
     292,   293,   294,   295,   296,   297,   298,   299,   300,   301,
      -1,   303,   304,    -1,   306,   307,   308,   309,   310,   311,
     312,   313,   314,   315,   316,    -1,   318,   319,   320,   321,
     322,    -1,   324,   325,   326,   327,    -1,   329,   330,   331,
      -1,   333,   334,   335,   336,   337,   338,   339,   340,   341,
     342,   343,    -1,   345,   346,    -1,   348,   349,   350,   351,
     352,   353,    -1,   355,   356,    -1,    -1,   359,   360,   361,
     362,    -1,   364,   365,   366,   367,   368,   369,   370,    -1,
      -1,   373,   374,   375,   376,   377,   378,    -1,   380,   381,
     382,   383,   384,   385,   386,    -1,   388,    -1,   390,   391,
     392,    -1,    -1,   395,    -1,    -1,   398,   399,   400,   401,
     402,   403,   404,   405,   406,   407,   408,   409,   410,   411,
     412,   413,   414,     3,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    14,    15,    16,    17,    18,    19,
      20,    21,    22,    23,    24,    25,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    33,    34,    -1,    36,    37,    -1,    39,
      40,    41,    42,    43,    -1,    45,    46,    -1,    48,    49,
      50,    51,    52,    -1,    -1,    55,    56,    57,    58,    59,
      -1,    61,    62,    63,    64,    65,    -1,    -1,    -1,    69,
      70,    71,    72,    -1,    74,    75,    -1,    77,    78,    79,
      80,    81,    82,    -1,    -1,    85,    86,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    94,    95,    96,    97,    98,    99,
     100,   101,   102,    -1,   104,    -1,   106,   107,   108,   109,
     110,    -1,   112,   113,   114,    -1,    -1,   117,   118,   119,
     120,   121,    -1,   123,   124,   125,    -1,   127,   128,   129,
      -1,   131,   132,   133,   134,   135,   136,   137,   138,   139,
      -1,   141,    -1,   143,   144,   145,    -1,   147,    -1,   149,
      -1,    -1,    -1,   153,   154,   155,    -1,   157,   158,    -1,
     160,    -1,   162,   163,   164,   165,   166,    -1,   168,   169,
     170,    -1,   172,   173,   174,   175,   176,   177,    -1,   179,
      -1,   181,   182,   183,   184,   185,   186,   187,    -1,   189,
      -1,   191,    -1,    -1,   194,    -1,   196,   197,   198,   199,
     200,    -1,   202,   203,    -1,   205,   206,    -1,   208,    -1,
      -1,   211,   212,   213,    -1,    -1,   216,   217,   218,   219,
     220,   221,   222,   223,   224,   225,   226,   227,   228,   229,
      -1,   231,   232,   233,   234,    -1,   236,   237,    -1,   239,
      -1,   241,   242,   243,   244,   245,   246,    -1,   248,    -1,
      -1,   251,   252,   253,    -1,    -1,   256,    -1,    -1,    -1,
     260,   261,   262,   263,   264,   265,   266,   267,    -1,   269,
     270,   271,   272,   273,   274,   275,    -1,   277,   278,   279,
     280,   281,   282,   283,   284,   285,   286,   287,   288,   289,
      -1,   291,   292,   293,   294,   295,   296,   297,   298,   299,
     300,   301,    -1,   303,   304,    -1,   306,   307,   308,   309,
     310,   311,   312,   313,   314,   315,   316,    -1,   318,   319,
     320,   321,   322,    -1,   324,   325,   326,   327,    -1,   329,
     330,   331,    -1,   333,   334,   335,   336,   337,   338,   339,
     340,   341,   342,   343,    -1,   345,   346,    -1,   348,   349,
     350,   351,   352,   353,    -1,   355,   356,    -1,    -1,   359,
     360,   361,   362,    -1,   364,   365,   366,   367,   368,   369,
     370,    -1,    -1,   373,   374,   375,   376,   377,    -1,    -1,
     380,   381,   382,   383,   384,   385,   386,    -1,   388,    -1,
     390,   391,   392,    -1,    -1,   395,    -1,    -1,   398,   399,
     400,   401,   402,   403,   404,   405,   406,   407,   408,   409,
     410,   411,   412,   413,   414,     3,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    14,    15,    16,    17,
      18,    19,    20,    21,    22,    23,    24,    25,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    33,    34,    -1,    36,    37,
      -1,    39,    40,    41,    42,    43,    -1,    45,    46,    -1,
      48,    49,    50,    51,    52,    -1,    -1,    55,    56,    57,
      58,    59,    -1,    61,    62,    63,    64,    65,    -1,    -1,
      -1,    69,    70,    71,    72,    -1,    74,    75,    -1,    77,
      78,    79,    80,    81,    82,    -1,    -1,    85,    86,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    94,    95,    96,    97,
      98,    99,   100,   101,   102,    -1,   104,    -1,   106,   107,
     108,   109,   110,    -1,   112,   113,   114,    -1,    -1,   117,
     118,   119,   120,   121,    -1,   123,   124,   125,    -1,   127,
     128,   129,    -1,   131,   132,   133,   134,   135,   136,   137,
     138,   139,    -1,   141,    -1,   143,   144,   145,    -1,   147,
      -1,   149,    -1,    -1,    -1,   153,   154,   155,    -1,   157,
     158,    -1,   160,    -1,   162,   163,   164,   165,   166,    -1,
     168,   169,   170,    -1,   172,   173,   174,   175,   176,   177,
      -1,   179,    -1,   181,   182,   183,   184,   185,   186,   187,
      -1,   189,    -1,   191,    -1,    -1,   194,    -1,   196,   197,
     198,   199,   200,    -1,   202,   203,    -1,   205,   206,    -1,
     208,    -1,    -1,   211,   212,   213,    -1,    -1,   216,   217,
     218,   219,   220,   221,   222,   223,   224,   225,   226,   227,
     228,   229,    -1,   231,   232,   233,   234,    -1,   236,   237,
      -1,   239,    -1,   241,   242,   243,   244,   245,   246,    -1,
     248,    -1,    -1,   251,   252,   253,    -1,    -1,   256,    -1,
      -1,    -1,   260,   261,   262,   263,   264,   265,   266,   267,
      -1,   269,   270,   271,   272,   273,   274,   275,    -1,   277,
     278,   279,   280,   281,   282,   283,   284,   285,   286,   287,
     288,   289,    -1,   291,   292,   293,   294,   295,   296,   297,
     298,   299,   300,   301,    -1,   303,   304,    -1,   306,   307,
     308,   309,   310,   311,   312,   313,   314,   315,   316,    -1,
     318,   319,   320,   321,   322,    -1,   324,   325,   326,   327,
      -1,   329,   330,   331,    -1,   333,   334,   335,   336,   337,
     338,   339,   340,   341,   342,   343,    -1,   345,   346,    -1,
     348,   349,   350,   351,   352,   353,    -1,   355,   356,    -1,
      -1,   359,   360,   361,   362,    -1,   364,   365,   366,   367,
     368,   369,   370,    -1,    -1,   373,   374,   375,   376,   377,
      -1,    -1,   380,   381,   382,   383,   384,   385,   386,    -1,
     388,    -1,   390,   391,   392,    -1,    -1,   395,    -1,    -1,
     398,   399,   400,   401,   402,   403,   404,   405,   406,   407,
     408,   409,   410,   411,   412,   413,   414,     3,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    14,    15,
      16,    17,    18,    19,    20,    21,    22,    23,    24,    25,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    33,    34,    -1,
      36,    37,    -1,    39,    40,    41,    42,    43,    -1,    45,
      46,    -1,    48,    49,    50,    51,    52,    -1,    -1,    55,
      56,    57,    58,    59,    -1,    61,    62,    63,    64,    65,
      -1,    -1,    -1,    69,    70,    71,    72,    -1,    74,    75,
      -1,    77,    78,    79,    80,    81,    82,    -1,    -1,    85,
      86,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    94,    95,
      96,    97,    98,    99,   100,   101,   102,    -1,   104,    -1,
     106,   107,   108,   109,   110,    -1,   112,   113,   114,    -1,
      -1,   117,   118,   119,   120,   121,    -1,   123,   124,   125,
      -1,   127,   128,   129,    -1,   131,   132,   133,   134,   135,
     136,   137,   138,   139,    -1,   141,    -1,   143,   144,   145,
      -1,   147,    -1,   149,    -1,    -1,    -1,   153,   154,   155,
      -1,   157,   158,    -1,   160,    -1,   162,   163,   164,   165,
     166,    -1,   168,   169,   170,    -1,   172,   173,   174,   175,
     176,   177,    -1,   179,    -1,   181,   182,   183,   184,   185,
     186,   187,    -1,   189,    -1,   191,    -1,    -1,   194,    -1,
     196,   197,   198,   199,   200,    -1,   202,   203,    -1,   205,
     206,    -1,   208,    -1,    -1,   211,   212,   213,    -1,    -1,
     216,   217,   218,   219,   220,   221,   222,   223,   224,   225,
     226,   227,   228,   229,    -1,   231,   232,   233,   234,    -1,
     236,   237,    -1,   239,    -1,   241,   242,   243,   244,   245,
     246,    -1,   248,    -1,    -1,   251,   252,   253,    -1,    -1,
     256,    -1,    -1,    -1,   260,   261,   262,   263,   264,   265,
     266,   267,    -1,   269,   270,   271,   272,   273,   274,   275,
      -1,   277,   278,   279,   280,   281,   282,   283,   284,   285,
     286,   287,   288,   289,    -1,   291,   292,   293,   294,   295,
     296,   297,   298,   299,   300,   301,    -1,   303,   304,    -1,
     306,   307,   308,   309,   310,   311,   312,   313,   314,   315,
     316,    -1,   318,   319,   320,   321,   322,    -1,   324,   325,
     326,   327,    -1,   329,   330,   331,    -1,   333,   334,   335,
     336,   337,   338,   339,   340,   341,   342,   343,    -1,   345,
     346,    -1,   348,   349,   350,   351,   352,   353,    -1,   355,
     356,    -1,    -1,   359,   360,   361,   362,    -1,   364,   365,
     366,   367,   368,   369,   370,    -1,    -1,   373,   374,   375,
     376,   377,    -1,    -1,   380,   381,   382,   383,   384,   385,
     386,    -1,   388,    -1,   390,   391,   392,    -1,    -1,   395,
      -1,    -1,   398,   399,   400,   401,   402,   403,   404,   405,
     406,   407,   408,   409,   410,   411,   412,   413,   414,     3,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      14,    15,    16,    17,    18,    19,    20,    21,    22,    23,
      24,    25,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    33,
      34,    -1,    36,    37,    -1,    39,    40,    41,    42,    43,
      -1,    45,    46,    -1,    48,    49,    50,    51,    52,    -1,
      -1,    55,    56,    57,    58,    59,    -1,    61,    62,    63,
      64,    65,    -1,    -1,    -1,    69,    70,    71,    72,    -1,
      74,    75,    -1,    77,    78,    79,    80,    81,    82,    -1,
      -1,    85,    86,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      94,    95,    96,    97,    98,    99,   100,   101,   102,    -1,
     104,    -1,   106,   107,   108,   109,   110,    -1,   112,   113,
     114,    -1,    -1,   117,   118,   119,   120,   121,    -1,   123,
     124,   125,    -1,   127,   128,   129,    -1,   131,   132,   133,
     134,   135,   136,   137,   138,   139,    -1,   141,    -1,   143,
     144,   145,    -1,   147,    -1,   149,    -1,    -1,    -1,   153,
     154,   155,    -1,   157,   158,    -1,   160,    -1,   162,   163,
     164,   165,   166,    -1,   168,   169,   170,    -1,   172,   173,
     174,   175,   176,   177,    -1,   179,    -1,   181,   182,   183,
     184,   185,   186,   187,    -1,   189,    -1,   191,    -1,    -1,
     194,    -1,   196,   197,   198,   199,   200,    -1,   202,   203,
      -1,   205,   206,    -1,   208,    -1,    -1,   211,   212,   213,
      -1,    -1,   216,   217,   218,   219,   220,   221,   222,   223,
     224,   225,   226,   227,   228,   229,    -1,   231,   232,   233,
     234,    -1,   236,   237,    -1,   239,    -1,   241,   242,   243,
     244,   245,   246,    -1,   248,    -1,    -1,   251,   252,   253,
      -1,    -1,   256,    -1,    -1,    -1,   260,   261,   262,   263,
     264,   265,   266,   267,    -1,   269,   270,   271,   272,   273,
     274,   275,    -1,   277,   278,   279,   280,   281,   282,   283,
     284,   285,   286,   287,   288,   289,    -1,   291,   292,   293,
     294,   295,   296,   297,   298,   299,   300,   301,    -1,   303,
     304,    -1,   306,   307,   308,   309,   310,   311,   312,   313,
     314,   315,   316,    -1,   318,   319,   320,   321,   322,    -1,
     324,   325,   326,   327,    -1,   329,   330,   331,    -1,   333,
     334,   335,   336,   337,   338,   339,   340,   341,   342,   343,
      -1,   345,   346,    -1,   348,   349,   350,   351,   352,   353,
      -1,   355,   356,    -1,    -1,   359,   360,   361,   362,    -1,
     364,   365,   366,   367,   368,   369,   370,    -1,    -1,   373,
     374,   375,   376,   377,    -1,    -1,   380,   381,   382,   383,
     384,   385,   386,    -1,   388,    -1,   390,   391,   392,    -1,
      -1,   395,    -1,    -1,   398,   399,   400,   401,   402,   403,
     404,   405,   406,   407,   408,   409,   410,   411,   412,   413,
     414,     3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    14,    15,    16,    17,    18,    19,    20,    21,
      -1,    23,    24,    25,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    33,    34,    -1,    36,    37,    -1,    39,    40,    41,
      42,    43,    -1,    45,    46,    -1,    48,    49,    50,    51,
      52,    -1,    -1,    55,    56,    57,    58,    59,    -1,    61,
      62,    63,    64,    65,    -1,    -1,    -1,    69,    70,    71,
      72,    -1,    74,    75,    -1,    77,    78,    79,    80,    81,
      82,    -1,    -1,    85,    86,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    94,    95,    96,    97,    98,    99,   100,   101,
     102,    -1,   104,    -1,   106,   107,   108,   109,   110,    -1,
     112,   113,   114,    -1,    -1,   117,   118,   119,   120,   121,
      -1,   123,   124,   125,    -1,   127,   128,   129,    -1,   131,
     132,   133,   134,   135,   136,   137,   138,   139,    -1,   141,
      -1,   143,   144,   145,    -1,   147,    -1,   149,    -1,    -1,
      -1,   153,   154,   155,    -1,   157,   158,    -1,   160,    -1,
     162,   163,   164,   165,   166,    -1,   168,   169,   170,    -1,
     172,   173,   174,   175,   176,   177,    -1,   179,    -1,   181,
     182,   183,   184,   185,   186,   187,    -1,   189,    -1,   191,
      -1,    -1,   194,    -1,   196,   197,   198,   199,   200,    -1,
     202,   203,    -1,   205,   206,    -1,   208,    -1,    -1,   211,
     212,   213,    -1,    -1,   216,   217,   218,   219,   220,   221,
     222,   223,   224,   225,   226,   227,   228,   229,    -1,   231,
     232,   233,   234,    -1,   236,   237,    -1,   239,    -1,   241,
     242,   243,   244,   245,   246,    -1,   248,    -1,   250,   251,
     252,   253,    -1,    -1,   256,    -1,    -1,    -1,   260,   261,
     262,   263,   264,   265,   266,   267,    -1,   269,   270,   271,
     272,   273,   274,   275,    -1,   277,   278,   279,   280,   281,
     282,   283,   284,   285,   286,   287,   288,   289,    -1,   291,
     292,   293,   294,   295,   296,   297,   298,   299,   300,   301,
      -1,   303,   304,    -1,   306,   307,   308,   309,   310,   311,
     312,   313,   314,   315,   316,    -1,   318,   319,   320,   321,
     322,    -1,   324,   325,   326,   327,    -1,   329,   330,   331,
      -1,   333,   334,   335,   336,   337,   338,   339,   340,   341,
     342,   343,    -1,   345,   346,    -1,   348,   349,   350,   351,
     352,   353,    -1,   355,   356,    -1,    -1,   359,   360,   361,
     362,    -1,   364,   365,   366,   367,   368,   369,   370,    -1,
      -1,   373,   374,   375,   376,   377,    -1,    -1,   380,   381,
     382,   383,   384,   385,   386,    -1,   388,    -1,   390,   391,
     392,    -1,    -1,   395,    -1,    -1,   398,   399,   400,   401,
     402,   403,   404,   405,   406,   407,   408,   409,   410,   411,
     412,   413,   414,     3,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    14,    15,    16,    17,    18,    19,
      20,    21,    -1,    23,    24,    25,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    33,    34,    -1,    36,    37,    -1,    39,
      40,    41,    42,    43,    -1,    45,    46,    -1,    48,    49,
      50,    51,    52,    -1,    -1,    55,    56,    57,    58,    59,
      -1,    61,    62,    63,    64,    65,    -1,    -1,    -1,    69,
      70,    71,    72,    -1,    74,    75,    -1,    77,    78,    79,
      80,    81,    82,    -1,    -1,    85,    86,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    94,    95,    96,    97,    98,    99,
     100,   101,   102,    -1,   104,    -1,   106,   107,   108,   109,
     110,    -1,   112,   113,   114,    -1,    -1,   117,   118,   119,
     120,   121,    -1,   123,   124,   125,    -1,   127,   128,   129,
      -1,   131,   132,   133,   134,   135,   136,   137,   138,   139,
      -1,   141,    -1,   143,   144,   145,    -1,   147,    -1,   149,
      -1,    -1,    -1,   153,   154,   155,    -1,   157,   158,    -1,
     160,    -1,   162,   163,   164,   165,   166,    -1,   168,   169,
     170,    -1,   172,   173,   174,   175,   176,   177,    -1,   179,
      -1,   181,   182,   183,   184,   185,   186,   187,    -1,   189,
      -1,   191,    -1,    -1,   194,    -1,   196,   197,   198,   199,
     200,    -1,   202,   203,    -1,   205,   206,    -1,   208,    -1,
      -1,   211,   212,   213,    -1,    -1,   216,   217,   218,   219,
     220,   221,   222,   223,   224,   225,   226,   227,   228,   229,
      -1,   231,   232,   233,   234,    -1,   236,   237,    -1,   239,
      -1,   241,   242,   243,   244,   245,   246,    -1,   248,    -1,
     250,   251,   252,   253,    -1,    -1,   256,    -1,    -1,    -1,
     260,   261,   262,   263,   264,   265,   266,   267,    -1,   269,
     270,   271,   272,   273,   274,   275,    -1,   277,   278,   279,
     280,   281,   282,   283,   284,   285,   286,   287,   288,   289,
      -1,   291,   292,   293,   294,   295,   296,   297,   298,   299,
     300,   301,    -1,   303,   304,    -1,   306,   307,   308,   309,
     310,   311,   312,   313,   314,   315,   316,    -1,   318,   319,
     320,   321,   322,    -1,   324,   325,   326,   327,    -1,   329,
     330,   331,    -1,   333,   334,   335,   336,   337,   338,   339,
     340,   341,   342,   343,    -1,   345,   346,    -1,   348,   349,
     350,   351,   352,   353,    -1,   355,   356,    -1,    -1,   359,
     360,   361,   362,    -1,   364,   365,   366,   367,   368,   369,
     370,    -1,    -1,   373,   374,   375,   376,   377,    -1,    -1,
     380,   381,   382,   383,   384,   385,   386,    -1,   388,    -1,
     390,   391,   392,    -1,    -1,   395,    -1,    -1,   398,   399,
     400,   401,   402,   403,   404,   405,   406,   407,   408,   409,
     410,   411,   412,   413,   414,     3,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    14,    15,    16,    17,
      18,    19,    20,    21,    22,    23,    24,    25,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    33,    34,    -1,    36,    37,
      -1,    39,    40,    41,    42,    43,    -1,    45,    46,    -1,
      48,    49,    50,    51,    52,    -1,    -1,    55,    56,    57,
      58,    59,    -1,    61,    62,    63,    64,    65,    -1,    -1,
      -1,    69,    70,    71,    72,    -1,    74,    75,    -1,    77,
      78,    79,    80,    81,    82,    -1,    -1,    85,    86,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    94,    95,    96,    97,
      98,    99,   100,   101,   102,    -1,   104,    -1,   106,   107,
     108,   109,   110,    -1,   112,   113,   114,    -1,    -1,   117,
     118,   119,   120,   121,    -1,   123,   124,   125,    -1,   127,
     128,   129,    -1,   131,   132,   133,   134,   135,   136,   137,
     138,   139,    -1,   141,    -1,   143,   144,   145,    -1,   147,
      -1,   149,    -1,    -1,    -1,   153,   154,   155,    -1,   157,
     158,    -1,   160,    -1,   162,   163,   164,   165,   166,    -1,
     168,   169,   170,    -1,   172,   173,   174,   175,   176,   177,
      -1,   179,    -1,   181,   182,   183,   184,   185,   186,   187,
      -1,   189,    -1,   191,    -1,    -1,   194,    -1,   196,   197,
     198,   199,   200,    -1,   202,   203,    -1,   205,   206,    -1,
     208,    -1,    -1,   211,   212,   213,    -1,    -1,   216,   217,
     218,   219,   220,   221,   222,   223,   224,   225,   226,   227,
     228,   229,    -1,   231,   232,   233,   234,    -1,   236,   237,
      -1,   239,    -1,   241,   242,   243,   244,   245,   246,    -1,
     248,    -1,    -1,   251,   252,   253,    -1,    -1,   256,    -1,
      -1,    -1,   260,   261,   262,   263,   264,   265,   266,   267,
      -1,   269,   270,   271,   272,   273,   274,   275,    -1,   277,
     278,   279,   280,   281,   282,   283,   284,   285,   286,   287,
     288,   289,    -1,   291,   292,   293,   294,   295,   296,   297,
     298,   299,   300,   301,    -1,   303,   304,    -1,   306,   307,
     308,   309,   310,   311,   312,   313,   314,   315,   316,    -1,
     318,   319,   320,   321,   322,    -1,   324,   325,   326,   327,
      -1,   329,   330,   331,    -1,   333,   334,   335,   336,   337,
     338,   339,   340,   341,   342,   343,    -1,   345,   346,    -1,
     348,   349,   350,   351,   352,   353,    -1,   355,   356,    -1,
      -1,   359,   360,   361,   362,    -1,   364,   365,   366,   367,
     368,   369,   370,    -1,    -1,   373,   374,   375,   376,   377,
      -1,    -1,   380,   381,   382,   383,   384,   385,   386,    -1,
     388,    -1,   390,   391,   392,    -1,    -1,   395,    -1,    -1,
     398,   399,   400,   401,   402,   403,   404,   405,   406,   407,
     408,   409,   410,   411,   412,   413,   414,     3,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    14,    15,
      16,    17,    18,    19,    20,    21,    22,    23,    24,    25,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    33,    34,    -1,
      36,    37,    -1,    39,    40,    41,    42,    43,    -1,    45,
      46,    -1,    48,    49,    50,    51,    52,    -1,    -1,    55,
      56,    57,    58,    59,    -1,    61,    62,    63,    64,    65,
      -1,    -1,    -1,    69,    70,    71,    72,    -1,    74,    75,
      -1,    77,    78,    79,    80,    81,    82,    -1,    -1,    85,
      86,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    94,    95,
      96,    97,    98,    99,   100,   101,   102,    -1,   104,    -1,
     106,   107,   108,   109,   110,    -1,   112,   113,   114,    -1,
      -1,   117,   118,   119,   120,   121,    -1,   123,   124,   125,
      -1,   127,   128,   129,    -1,   131,   132,   133,   134,   135,
     136,   137,   138,   139,    -1,   141,    -1,   143,   144,   145,
      -1,   147,    -1,   149,    -1,    -1,    -1,   153,   154,   155,
      -1,   157,   158,    -1,   160,    -1,   162,   163,   164,   165,
     166,    -1,   168,   169,   170,    -1,   172,   173,   174,   175,
     176,   177,    -1,   179,    -1,   181,   182,   183,   184,   185,
     186,   187,    -1,   189,    -1,   191,    -1,    -1,   194,    -1,
     196,   197,   198,   199,   200,    -1,   202,   203,    -1,   205,
     206,    -1,   208,    -1,    -1,   211,   212,   213,    -1,    -1,
     216,   217,   218,   219,   220,   221,   222,   223,   224,   225,
     226,   227,   228,   229,    -1,   231,   232,   233,   234,    -1,
     236,   237,    -1,   239,    -1,   241,   242,   243,   244,   245,
     246,    -1,   248,    -1,    -1,   251,   252,   253,    -1,    -1,
     256,    -1,    -1,    -1,   260,   261,   262,   263,   264,   265,
     266,   267,    -1,   269,   270,   271,   272,   273,   274,   275,
      -1,   277,   278,   279,   280,   281,   282,   283,   284,   285,
     286,   287,   288,   289,    -1,   291,   292,   293,   294,   295,
     296,   297,   298,   299,   300,   301,    -1,   303,   304,    -1,
     306,   307,   308,   309,   310,   311,   312,   313,   314,   315,
     316,    -1,   318,   319,   320,   321,   322,    -1,   324,   325,
     326,   327,    -1,   329,   330,   331,    -1,   333,   334,   335,
     336,   337,   338,   339,   340,   341,   342,   343,    -1,   345,
     346,    -1,   348,   349,   350,   351,   352,   353,    -1,   355,
     356,    -1,    -1,   359,   360,   361,   362,    -1,   364,   365,
     366,   367,   368,   369,   370,    -1,    -1,   373,   374,   375,
     376,   377,    -1,    -1,   380,   381,   382,   383,   384,   385,
     386,    -1,   388,    -1,   390,   391,   392,    -1,    -1,   395,
      -1,    -1,   398,   399,   400,   401,   402,   403,   404,   405,
     406,   407,   408,   409,   410,   411,   412,   413,   414,     3,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      14,    15,    16,    17,    18,    19,    20,    21,    -1,    23,
      24,    25,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    33,
      34,    -1,    36,    37,    38,    39,    40,    41,    42,    43,
      -1,    45,    46,    -1,    48,    49,    50,    51,    52,    -1,
      -1,    55,    56,    57,    58,    59,    -1,    61,    62,    63,
      64,    65,    -1,    -1,    -1,    69,    70,    71,    72,    -1,
      74,    75,    -1,    77,    78,    79,    80,    81,    82,    -1,
      -1,    85,    86,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      94,    95,    96,    97,    98,    99,   100,   101,   102,    -1,
     104,    -1,   106,   107,   108,   109,   110,    -1,   112,   113,
     114,    -1,    -1,   117,   118,   119,   120,   121,    -1,   123,
     124,   125,    -1,   127,   128,   129,    -1,   131,   132,   133,
     134,   135,   136,   137,   138,   139,    -1,   141,    -1,   143,
     144,   145,    -1,   147,    -1,   149,    -1,    -1,    -1,   153,
     154,   155,    -1,   157,   158,    -1,   160,    -1,   162,   163,
     164,   165,   166,    -1,   168,   169,   170,    -1,   172,   173,
     174,   175,   176,   177,    -1,   179,    -1,   181,   182,   183,
     184,   185,   186,   187,    -1,   189,    -1,   191,    -1,    -1,
     194,    -1,   196,   197,   198,   199,   200,    -1,   202,   203,
      -1,   205,   206,    -1,   208,    -1,    -1,   211,   212,   213,
      -1,    -1,   216,   217,   218,   219,   220,   221,   222,   223,
     224,   225,   226,   227,   228,   229,    -1,   231,   232,   233,
     234,    -1,   236,   237,    -1,   239,    -1,   241,   242,   243,
     244,   245,   246,    -1,   248,    -1,    -1,   251,   252,   253,
      -1,    -1,   256,    -1,    -1,    -1,   260,   261,   262,   263,
     264,   265,   266,   267,    -1,   269,   270,   271,   272,   273,
     274,   275,    -1,   277,   278,   279,   280,   281,   282,   283,
     284,   285,   286,   287,   288,   289,    -1,   291,   292,   293,
     294,   295,   296,   297,   298,   299,   300,   301,    -1,   303,
     304,    -1,   306,   307,   308,   309,   310,   311,   312,   313,
     314,   315,   316,    -1,   318,   319,   320,   321,   322,    -1,
     324,   325,   326,   327,    -1,   329,   330,   331,    -1,   333,
     334,   335,   336,   337,   338,   339,   340,   341,   342,   343,
      -1,   345,   346,    -1,   348,   349,   350,   351,   352,   353,
      -1,   355,   356,    -1,    -1,   359,   360,   361,   362,    -1,
     364,   365,   366,   367,   368,   369,   370,    -1,    -1,   373,
     374,   375,   376,   377,    -1,    -1,   380,   381,   382,   383,
     384,   385,   386,    -1,   388,    -1,   390,   391,   392,    -1,
      -1,   395,    -1,    -1,   398,   399,   400,   401,   402,   403,
     404,   405,   406,   407,   408,   409,   410,   411,   412,   413,
     414,     3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    14,    15,    16,    17,    18,    19,    20,    21,
      -1,    23,    24,    25,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    33,    34,    -1,    36,    37,    -1,    39,    40,    41,
      42,    43,    -1,    45,    46,    -1,    48,    49,    50,    51,
      52,    -1,    -1,    55,    56,    57,    58,    59,    -1,    61,
      62,    63,    64,    65,    -1,    -1,    -1,    69,    70,    71,
      72,    -1,    74,    75,    -1,    77,    78,    79,    80,    81,
      82,    -1,    -1,    85,    86,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    94,    95,    96,    97,    98,    99,   100,   101,
     102,    -1,   104,    -1,   106,   107,   108,   109,   110,    -1,
     112,   113,   114,    -1,    -1,   117,   118,   119,   120,   121,
      -1,   123,   124,   125,    -1,   127,   128,   129,    -1,   131,
     132,   133,   134,   135,   136,   137,   138,   139,    -1,   141,
      -1,   143,   144,   145,    -1,   147,    -1,   149,    -1,    -1,
      -1,   153,   154,   155,    -1,   157,   158,    -1,   160,    -1,
     162,   163,   164,   165,   166,    -1,   168,   169,   170,    -1,
     172,   173,   174,   175,   176,   177,    -1,   179,    -1,   181,
     182,   183,   184,   185,   186,   187,    -1,   189,    -1,   191,
      -1,    -1,   194,    -1,   196,   197,   198,   199,   200,    -1,
     202,   203,    -1,   205,   206,    -1,   208,    -1,    -1,   211,
     212,   213,    -1,    -1,   216,   217,   218,   219,   220,   221,
     222,   223,   224,   225,   226,   227,   228,   229,    -1,   231,
     232,   233,   234,    -1,   236,   237,    -1,   239,    -1,   241,
     242,   243,   244,   245,   246,    -1,   248,    -1,   250,   251,
     252,   253,    -1,    -1,   256,    -1,    -1,    -1,   260,   261,
     262,   263,   264,   265,   266,   267,    -1,   269,   270,   271,
     272,   273,   274,   275,    -1,   277,   278,   279,   280,   281,
     282,   283,   284,   285,   286,   287,   288,   289,    -1,   291,
     292,   293,   294,   295,   296,   297,   298,   299,   300,   301,
      -1,   303,   304,    -1,   306,   307,   308,   309,   310,   311,
     312,   313,   314,   315,   316,    -1,   318,   319,   320,   321,
     322,    -1,   324,   325,   326,   327,    -1,   329,   330,   331,
      -1,   333,   334,   335,   336,   337,   338,   339,   340,   341,
     342,   343,    -1,   345,   346,    -1,   348,   349,   350,   351,
     352,   353,    -1,   355,   356,    -1,    -1,   359,   360,   361,
     362,    -1,   364,   365,   366,   367,   368,   369,   370,    -1,
      -1,   373,   374,   375,   376,   377,    -1,    -1,   380,   381,
     382,   383,   384,   385,   386,    -1,   388,    -1,   390,   391,
     392,    -1,    -1,   395,    -1,    -1,   398,   399,   400,   401,
     402,   403,   404,   405,   406,   407,   408,   409,   410,   411,
     412,   413,   414,     3,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    14,    15,    16,    17,    18,    19,
      20,    21,    -1,    23,    24,    25,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    33,    34,    -1,    36,    37,    -1,    39,
      40,    41,    42,    43,    -1,    45,    46,    -1,    48,    49,
      50,    51,    52,    -1,    -1,    55,    56,    57,    58,    59,
      -1,    61,    62,    63,    64,    65,    -1,    -1,    -1,    69,
      70,    71,    72,    -1,    74,    75,    -1,    77,    78,    79,
      80,    81,    82,    -1,    -1,    85,    86,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    94,    95,    96,    97,    98,    99,
     100,   101,   102,    -1,   104,    -1,   106,   107,   108,   109,
     110,    -1,   112,   113,   114,    -1,    -1,   117,   118,   119,
     120,   121,    -1,   123,   124,   125,    -1,   127,   128,   129,
      -1,   131,   132,   133,   134,   135,   136,   137,   138,   139,
      -1,   141,    -1,   143,   144,   145,    -1,   147,    -1,   149,
      -1,    -1,    -1,   153,   154,   155,    -1,   157,   158,    -1,
     160,    -1,   162,   163,   164,   165,   166,    -1,   168,   169,
     170,    -1,   172,   173,   174,   175,   176,   177,    -1,   179,
      -1,   181,   182,   183,   184,   185,   186,   187,    -1,   189,
      -1,   191,    -1,    -1,   194,    -1,   196,   197,   198,   199,
     200,    -1,   202,   203,    -1,   205,   206,    -1,   208,    -1,
      -1,   211,   212,   213,    -1,    -1,   216,   217,   218,   219,
     220,   221,   222,   223,   224,   225,   226,   227,   228,   229,
      -1,   231,   232,   233,   234,    -1,   236,   237,    -1,   239,
      -1,   241,   242,   243,   244,   245,   246,    -1,   248,    -1,
      -1,   251,   252,   253,    -1,    -1,   256,    -1,    -1,    -1,
     260,   261,   262,   263,   264,   265,   266,   267,    -1,   269,
     270,   271,   272,   273,   274,   275,    -1,   277,   278,   279,
     280,   281,   282,   283,   284,   285,   286,   287,   288,   289,
      -1,   291,   292,   293,   294,   295,   296,   297,   298,   299,
     300,   301,    -1,   303,   304,    -1,   306,   307,   308,   309,
     310,   311,   312,   313,   314,   315,   316,    -1,   318,   319,
     320,   321,   322,    -1,   324,   325,   326,   327,    -1,   329,
     330,   331,    -1,   333,   334,   335,   336,   337,   338,   339,
     340,   341,   342,   343,    -1,   345,   346,   347,   348,   349,
     350,   351,   352,   353,    -1,   355,   356,    -1,    -1,   359,
     360,   361,   362,    -1,   364,   365,   366,   367,   368,   369,
     370,    -1,    -1,   373,   374,   375,   376,   377,    -1,    -1,
     380,   381,   382,   383,   384,   385,   386,    -1,   388,    -1,
     390,   391,   392,    -1,    -1,   395,    -1,    -1,   398,   399,
     400,   401,   402,   403,   404,   405,   406,   407,   408,   409,
     410,   411,   412,   413,   414,     3,    -1,     5,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    14,    15,    16,    17,
      18,    19,    20,    21,    -1,    23,    24,    25,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    33,    34,    -1,    36,    37,
      -1,    39,    40,    41,    42,    43,    -1,    45,    46,    -1,
      48,    49,    50,    51,    52,    -1,    -1,    55,    56,    57,
      58,    59,    -1,    61,    62,    63,    64,    65,    -1,    -1,
      -1,    69,    70,    71,    72,    -1,    74,    75,    -1,    77,
      78,    79,    80,    81,    82,    -1,    -1,    85,    86,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    94,    95,    96,    97,
      98,    99,   100,   101,   102,    -1,   104,    -1,   106,   107,
     108,   109,   110,    -1,   112,   113,   114,    -1,    -1,   117,
     118,   119,   120,   121,    -1,   123,   124,   125,    -1,   127,
     128,   129,    -1,   131,   132,   133,   134,   135,   136,   137,
     138,   139,    -1,   141,    -1,   143,   144,   145,    -1,   147,
      -1,   149,    -1,    -1,    -1,   153,   154,   155,    -1,   157,
     158,    -1,   160,    -1,   162,   163,   164,   165,   166,    -1,
     168,   169,   170,    -1,   172,   173,   174,   175,   176,   177,
      -1,   179,    -1,   181,   182,   183,   184,   185,   186,   187,
      -1,   189,    -1,   191,    -1,    -1,   194,    -1,   196,   197,
     198,   199,   200,    -1,   202,   203,    -1,   205,   206,    -1,
     208,    -1,    -1,   211,   212,   213,    -1,    -1,   216,   217,
     218,   219,   220,   221,   222,   223,   224,   225,   226,   227,
     228,   229,    -1,   231,   232,   233,   234,    -1,   236,   237,
      -1,   239,    -1,   241,   242,   243,   244,   245,   246,    -1,
     248,    -1,    -1,   251,   252,   253,    -1,    -1,   256,    -1,
      -1,    -1,   260,   261,   262,   263,   264,   265,   266,   267,
      -1,   269,   270,   271,   272,   273,   274,   275,    -1,   277,
     278,   279,   280,   281,   282,   283,   284,   285,   286,   287,
     288,   289,    -1,   291,   292,   293,   294,   295,   296,   297,
     298,   299,   300,   301,    -1,   303,   304,    -1,   306,   307,
     308,   309,   310,   311,   312,   313,   314,   315,   316,    -1,
     318,   319,   320,   321,   322,    -1,   324,   325,   326,   327,
      -1,   329,   330,   331,    -1,   333,   334,   335,   336,   337,
     338,   339,   340,   341,   342,   343,    -1,   345,   346,    -1,
     348,   349,   350,   351,   352,   353,    -1,   355,   356,    -1,
      -1,   359,   360,   361,   362,    -1,   364,   365,   366,   367,
     368,   369,   370,    -1,    -1,   373,   374,   375,   376,   377,
      -1,    -1,   380,   381,   382,   383,   384,   385,   386,    -1,
     388,    -1,   390,   391,   392,    -1,    -1,   395,    -1,    -1,
     398,   399,   400,   401,   402,   403,   404,   405,   406,   407,
     408,   409,   410,   411,   412,   413,   414,     3,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    14,    15,
      16,    17,    18,    19,    20,    21,    -1,    23,    24,    25,
      -1,    -1,    -1,    -1,    -1,    31,    -1,    33,    34,    -1,
      36,    37,    -1,    39,    40,    41,    42,    43,    -1,    45,
      46,    -1,    48,    49,    50,    51,    52,    -1,    -1,    55,
      56,    57,    58,    59,    -1,    61,    62,    63,    64,    65,
      -1,    -1,    -1,    69,    70,    71,    72,    -1,    74,    75,
      -1,    77,    78,    79,    80,    81,    82,    -1,    -1,    85,
      86,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    94,    95,
      96,    97,    98,    99,   100,   101,   102,    -1,   104,    -1,
     106,   107,   108,   109,   110,    -1,   112,   113,   114,    -1,
      -1,   117,   118,   119,   120,   121,    -1,   123,   124,   125,
      -1,   127,   128,   129,    -1,   131,   132,   133,   134,   135,
     136,   137,   138,   139,    -1,   141,    -1,   143,   144,   145,
      -1,   147,    -1,   149,    -1,    -1,    -1,   153,   154,   155,
      -1,   157,   158,    -1,   160,    -1,   162,   163,   164,   165,
     166,    -1,   168,   169,   170,    -1,   172,   173,   174,   175,
     176,   177,    -1,   179,    -1,   181,   182,   183,   184,   185,
     186,   187,    -1,   189,    -1,   191,    -1,    -1,   194,    -1,
     196,   197,   198,   199,   200,    -1,   202,   203,    -1,   205,
     206,    -1,   208,    -1,    -1,   211,   212,   213,    -1,    -1,
     216,   217,   218,   219,   220,   221,   222,   223,   224,   225,
     226,   227,   228,   229,    -1,   231,   232,   233,   234,    -1,
     236,   237,    -1,   239,    -1,   241,   242,   243,   244,   245,
     246,    -1,   248,    -1,    -1,   251,   252,   253,    -1,    -1,
     256,    -1,    -1,    -1,   260,   261,   262,   263,   264,   265,
     266,   267,    -1,   269,   270,   271,   272,   273,   274,   275,
      -1,   277,   278,   279,   280,   281,   282,   283,   284,   285,
     286,   287,   288,   289,    -1,   291,   292,   293,   294,   295,
     296,   297,   298,   299,   300,   301,    -1,   303,   304,    -1,
     306,   307,   308,   309,   310,   311,   312,   313,   314,   315,
     316,    -1,   318,   319,   320,   321,   322,    -1,   324,   325,
     326,   327,    -1,   329,   330,   331,    -1,   333,   334,   335,
     336,   337,   338,   339,   340,   341,   342,   343,    -1,   345,
     346,    -1,   348,   349,   350,   351,   352,   353,    -1,   355,
     356,    -1,    -1,   359,   360,   361,   362,    -1,   364,   365,
     366,   367,   368,   369,   370,    -1,    -1,   373,   374,   375,
     376,   377,    -1,    -1,   380,   381,   382,   383,   384,   385,
     386,    -1,   388,    -1,   390,   391,   392,    -1,    -1,   395,
      -1,    -1,   398,   399,   400,   401,   402,   403,   404,   405,
     406,   407,   408,   409,   410,   411,   412,   413,   414,     3,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      14,    15,    16,    17,    18,    19,    20,    21,    -1,    23,
      24,    25,    -1,    -1,    -1,    -1,    -1,    31,    -1,    33,
      34,    -1,    36,    37,    -1,    39,    40,    41,    42,    43,
      -1,    45,    46,    -1,    48,    49,    50,    51,    52,    -1,
      -1,    55,    56,    57,    58,    59,    -1,    61,    62,    63,
      64,    65,    -1,    -1,    -1,    69,    70,    71,    72,    -1,
      74,    75,    -1,    77,    78,    79,    80,    81,    82,    -1,
      -1,    85,    86,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      94,    95,    96,    97,    98,    99,   100,   101,   102,    -1,
     104,    -1,   106,   107,   108,   109,   110,    -1,   112,   113,
     114,    -1,    -1,   117,   118,   119,   120,   121,    -1,   123,
     124,   125,    -1,   127,   128,   129,    -1,   131,   132,   133,
     134,   135,   136,   137,   138,   139,    -1,   141,    -1,   143,
     144,   145,    -1,   147,    -1,   149,    -1,    -1,    -1,   153,
     154,   155,    -1,   157,   158,    -1,   160,    -1,   162,   163,
     164,   165,   166,    -1,   168,   169,   170,    -1,   172,   173,
     174,   175,   176,   177,    -1,   179,    -1,   181,   182,   183,
     184,   185,   186,   187,    -1,   189,    -1,   191,    -1,    -1,
     194,    -1,   196,   197,   198,   199,   200,    -1,   202,   203,
      -1,   205,   206,    -1,   208,    -1,    -1,   211,   212,   213,
      -1,    -1,   216,   217,   218,   219,   220,   221,   222,   223,
     224,   225,   226,   227,   228,   229,    -1,   231,   232,   233,
     234,    -1,   236,   237,    -1,   239,    -1,   241,   242,   243,
     244,   245,   246,    -1,   248,    -1,    -1,   251,   252,   253,
      -1,    -1,   256,    -1,    -1,    -1,   260,   261,   262,   263,
     264,   265,   266,   267,    -1,   269,   270,   271,   272,   273,
     274,   275,    -1,   277,   278,   279,   280,   281,   282,   283,
     284,   285,   286,   287,   288,   289,    -1,   291,   292,   293,
     294,   295,   296,   297,   298,   299,   300,   301,    -1,   303,
     304,    -1,   306,   307,   308,   309,   310,   311,   312,   313,
     314,   315,   316,    -1,   318,   319,   320,   321,   322,    -1,
     324,   325,   326,   327,    -1,   329,   330,   331,    -1,   333,
     334,   335,   336,   337,   338,   339,   340,   341,   342,   343,
      -1,   345,   346,    -1,   348,   349,   350,   351,   352,   353,
      -1,   355,   356,    -1,    -1,   359,   360,   361,   362,    -1,
     364,   365,   366,   367,   368,   369,   370,    -1,    -1,   373,
     374,   375,   376,   377,    -1,    -1,   380,   381,   382,   383,
     384,   385,   386,    -1,   388,    -1,   390,   391,   392,    -1,
      -1,   395,    -1,    -1,   398,   399,   400,   401,   402,   403,
     404,   405,   406,   407,   408,   409,   410,   411,   412,   413,
     414,     3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    14,    15,    16,    17,    18,    19,    20,    21,
      -1,    23,    24,    25,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    33,    34,    -1,    36,    37,    -1,    39,    40,    41,
      42,    43,    -1,    45,    46,    -1,    48,    49,    50,    51,
      52,    -1,    -1,    55,    56,    57,    58,    59,    -1,    61,
      62,    63,    64,    65,    -1,    -1,    -1,    69,    70,    71,
      72,    -1,    74,    75,    -1,    77,    78,    79,    80,    81,
      82,    -1,    -1,    85,    86,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    94,    95,    96,    97,    98,    99,   100,   101,
     102,   103,   104,    -1,   106,   107,   108,   109,   110,    -1,
     112,   113,   114,    -1,    -1,   117,   118,   119,   120,   121,
      -1,   123,   124,   125,    -1,   127,   128,   129,    -1,   131,
     132,   133,   134,   135,   136,   137,   138,   139,    -1,   141,
      -1,   143,   144,   145,    -1,   147,    -1,   149,    -1,    -1,
      -1,   153,   154,   155,    -1,   157,   158,    -1,   160,    -1,
     162,   163,   164,   165,   166,    -1,   168,   169,   170,    -1,
     172,   173,   174,   175,   176,   177,    -1,   179,    -1,   181,
     182,   183,   184,   185,   186,   187,    -1,   189,    -1,   191,
      -1,    -1,   194,    -1,   196,   197,   198,   199,   200,    -1,
     202,   203,    -1,   205,   206,    -1,   208,    -1,    -1,   211,
     212,   213,    -1,    -1,   216,   217,   218,   219,   220,   221,
     222,   223,   224,   225,   226,   227,   228,   229,    -1,   231,
     232,   233,   234,    -1,   236,   237,    -1,   239,    -1,   241,
     242,   243,   244,   245,   246,    -1,   248,    -1,    -1,   251,
     252,   253,    -1,    -1,   256,    -1,    -1,    -1,   260,   261,
     262,   263,   264,   265,   266,   267,    -1,   269,   270,   271,
     272,   273,   274,   275,    -1,   277,   278,   279,   280,   281,
     282,   283,   284,   285,   286,   287,   288,   289,    -1,   291,
     292,   293,   294,   295,   296,   297,   298,   299,   300,   301,
      -1,   303,   304,    -1,   306,   307,   308,   309,   310,   311,
     312,   313,   314,   315,   316,    -1,   318,   319,   320,   321,
     322,    -1,   324,   325,   326,   327,    -1,   329,   330,   331,
      -1,   333,   334,   335,   336,   337,   338,   339,   340,   341,
     342,   343,    -1,   345,   346,    -1,   348,   349,   350,   351,
     352,   353,    -1,   355,   356,    -1,    -1,   359,   360,   361,
     362,    -1,   364,   365,   366,   367,   368,   369,   370,    -1,
      -1,   373,   374,   375,   376,   377,    -1,    -1,   380,   381,
     382,   383,   384,   385,   386,    -1,   388,    -1,   390,   391,
     392,    -1,    -1,   395,    -1,    -1,   398,   399,   400,   401,
     402,   403,   404,   405,   406,   407,   408,   409,   410,   411,
     412,   413,   414,     3,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    14,    15,    16,    17,    18,    19,
      20,    21,    -1,    23,    24,    25,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    33,    34,    -1,    36,    37,    -1,    39,
      40,    41,    42,    43,    -1,    45,    46,    -1,    48,    49,
      50,    51,    52,    -1,    -1,    55,    56,    57,    58,    59,
      -1,    61,    62,    63,    64,    65,    -1,    -1,    -1,    69,
      70,    71,    72,    -1,    74,    75,    -1,    77,    78,    79,
      80,    81,    82,    -1,    -1,    85,    86,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    94,    95,    96,    97,    98,    99,
     100,   101,   102,   103,   104,    -1,   106,   107,   108,   109,
     110,    -1,   112,   113,   114,    -1,    -1,   117,   118,   119,
     120,   121,    -1,   123,   124,   125,    -1,   127,   128,   129,
      -1,   131,   132,   133,   134,   135,   136,   137,   138,   139,
      -1,   141,    -1,   143,   144,   145,    -1,   147,    -1,   149,
      -1,    -1,    -1,   153,   154,   155,    -1,   157,   158,    -1,
     160,    -1,   162,   163,   164,   165,   166,    -1,   168,   169,
     170,    -1,   172,   173,   174,   175,   176,   177,    -1,   179,
      -1,   181,   182,   183,   184,   185,   186,   187,    -1,   189,
      -1,   191,    -1,    -1,   194,    -1,   196,   197,   198,   199,
     200,    -1,   202,   203,    -1,   205,   206,    -1,   208,    -1,
      -1,   211,   212,   213,    -1,    -1,   216,   217,   218,   219,
     220,   221,   222,   223,   224,   225,   226,   227,   228,   229,
      -1,   231,   232,   233,   234,    -1,   236,   237,    -1,   239,
      -1,   241,   242,   243,   244,   245,   246,    -1,   248,    -1,
      -1,   251,   252,   253,    -1,    -1,   256,    -1,    -1,    -1,
     260,   261,   262,   263,   264,   265,   266,   267,    -1,   269,
     270,   271,   272,   273,   274,   275,    -1,   277,   278,   279,
     280,   281,   282,   283,   284,   285,   286,   287,   288,   289,
      -1,   291,   292,   293,   294,   295,   296,   297,   298,   299,
     300,   301,    -1,   303,   304,    -1,   306,   307,   308,   309,
     310,   311,   312,   313,   314,   315,   316,    -1,   318,   319,
     320,   321,   322,    -1,   324,   325,   326,   327,    -1,   329,
     330,   331,    -1,   333,   334,   335,   336,   337,   338,   339,
     340,   341,   342,   343,    -1,   345,   346,    -1,   348,   349,
     350,   351,   352,   353,    -1,   355,   356,    -1,    -1,   359,
     360,   361,   362,    -1,   364,   365,   366,   367,   368,   369,
     370,    -1,    -1,   373,   374,   375,   376,   377,    -1,    -1,
     380,   381,   382,   383,   384,   385,   386,    -1,   388,    -1,
     390,   391,   392,    -1,    -1,   395,    -1,    -1,   398,   399,
     400,   401,   402,   403,   404,   405,   406,   407,   408,   409,
     410,   411,   412,   413,   414,     3,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    14,    15,    16,    17,
      18,    19,    20,    21,    -1,    23,    24,    25,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    33,    34,    -1,    36,    37,
      -1,    39,    40,    41,    42,    43,    -1,    45,    46,    -1,
      48,    49,    50,    51,    52,    -1,    -1,    55,    56,    57,
      58,    59,    -1,    61,    62,    63,    64,    65,    -1,    -1,
      -1,    69,    70,    71,    72,    -1,    74,    75,    -1,    77,
      78,    79,    80,    81,    82,    -1,    -1,    85,    86,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    94,    95,    96,    97,
      98,    99,   100,   101,   102,   103,   104,    -1,   106,   107,
     108,   109,   110,    -1,   112,   113,   114,    -1,    -1,   117,
     118,   119,   120,   121,    -1,   123,   124,   125,    -1,   127,
     128,   129,    -1,   131,   132,   133,   134,   135,   136,   137,
     138,   139,    -1,   141,    -1,   143,   144,   145,    -1,   147,
      -1,   149,    -1,    -1,    -1,   153,   154,   155,    -1,   157,
     158,    -1,   160,    -1,   162,   163,   164,   165,   166,    -1,
     168,   169,   170,    -1,   172,   173,   174,   175,   176,   177,
      -1,   179,    -1,   181,   182,   183,   184,   185,   186,   187,
      -1,   189,    -1,   191,    -1,    -1,   194,    -1,   196,   197,
     198,   199,   200,    -1,   202,   203,    -1,   205,   206,    -1,
     208,    -1,    -1,   211,   212,   213,    -1,    -1,   216,   217,
     218,   219,   220,   221,   222,   223,   224,   225,   226,   227,
     228,   229,    -1,   231,   232,   233,   234,    -1,   236,   237,
      -1,   239,    -1,   241,   242,   243,   244,   245,   246,    -1,
     248,    -1,    -1,   251,   252,   253,    -1,    -1,   256,    -1,
      -1,    -1,   260,   261,   262,   263,   264,   265,   266,   267,
      -1,   269,   270,   271,   272,   273,   274,   275,    -1,   277,
     278,   279,   280,   281,   282,   283,   284,   285,   286,   287,
     288,   289,    -1,   291,   292,   293,   294,   295,   296,   297,
     298,   299,   300,   301,    -1,   303,   304,    -1,   306,   307,
     308,   309,   310,   311,   312,   313,   314,   315,   316,    -1,
     318,   319,   320,   321,   322,    -1,   324,   325,   326,   327,
      -1,   329,   330,   331,    -1,   333,   334,   335,   336,   337,
     338,   339,   340,   341,   342,   343,    -1,   345,   346,    -1,
     348,   349,   350,   351,   352,   353,    -1,   355,   356,    -1,
      -1,   359,   360,   361,   362,    -1,   364,   365,   366,   367,
     368,   369,   370,    -1,    -1,   373,   374,   375,   376,   377,
      -1,    -1,   380,   381,   382,   383,   384,   385,   386,    -1,
     388,    -1,   390,   391,   392,    -1,    -1,   395,    -1,    -1,
     398,   399,   400,   401,   402,   403,   404,   405,   406,   407,
     408,   409,   410,   411,   412,   413,   414,     3,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    14,    15,
      16,    17,    18,    19,    20,    21,    -1,    23,    24,    25,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    33,    34,    -1,
      36,    37,    -1,    39,    40,    41,    42,    43,    -1,    45,
      46,    -1,    48,    49,    50,    51,    52,    -1,    -1,    55,
      56,    57,    58,    59,    -1,    61,    62,    63,    64,    65,
      -1,    -1,    -1,    69,    70,    71,    72,    -1,    74,    75,
      -1,    77,    78,    79,    80,    81,    82,    -1,    -1,    85,
      86,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    94,    95,
      96,    97,    98,    99,   100,   101,   102,    -1,   104,    -1,
     106,   107,   108,   109,   110,    -1,   112,   113,   114,    -1,
      -1,   117,   118,   119,   120,   121,    -1,   123,   124,   125,
      -1,   127,   128,   129,    -1,   131,   132,   133,   134,   135,
     136,   137,   138,   139,    -1,   141,    -1,   143,   144,   145,
      -1,   147,    -1,   149,    -1,    -1,    -1,   153,   154,   155,
      -1,   157,   158,    -1,   160,    -1,   162,   163,   164,   165,
     166,    -1,   168,   169,   170,    -1,   172,   173,   174,   175,
     176,   177,    -1,   179,    -1,   181,   182,   183,   184,   185,
     186,   187,    -1,   189,    -1,   191,    -1,    -1,   194,    -1,
     196,   197,   198,   199,   200,    -1,   202,   203,    -1,   205,
     206,    -1,   208,    -1,    -1,   211,   212,   213,    -1,    -1,
     216,   217,   218,   219,   220,   221,   222,   223,   224,   225,
     226,   227,   228,   229,    -1,   231,   232,   233,   234,    -1,
     236,   237,    -1,   239,    -1,   241,   242,   243,   244,   245,
     246,    -1,   248,    -1,    -1,   251,   252,   253,    -1,    -1,
     256,    -1,    -1,    -1,   260,   261,   262,   263,   264,   265,
     266,   267,    -1,   269,   270,   271,   272,   273,   274,   275,
      -1,   277,   278,   279,   280,   281,   282,   283,   284,   285,
     286,   287,   288,   289,    -1,   291,   292,   293,   294,   295,
     296,   297,   298,   299,   300,   301,    -1,   303,   304,    -1,
     306,   307,   308,   309,   310,   311,   312,   313,   314,   315,
     316,    -1,   318,   319,   320,   321,   322,    -1,   324,   325,
     326,   327,    -1,   329,   330,   331,    -1,   333,   334,   335,
     336,   337,   338,   339,   340,   341,   342,   343,    -1,   345,
     346,    -1,   348,   349,   350,   351,   352,   353,    -1,   355,
     356,    -1,    -1,   359,   360,   361,   362,    -1,   364,   365,
     366,   367,   368,   369,   370,    -1,    -1,   373,   374,   375,
     376,   377,    -1,   379,   380,   381,   382,   383,   384,   385,
     386,    -1,   388,    -1,   390,   391,   392,    -1,    -1,   395,
      -1,    -1,   398,   399,   400,   401,   402,   403,   404,   405,
     406,   407,   408,   409,   410,   411,   412,   413,   414,     3,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      14,    15,    16,    17,    18,    19,    20,    21,    -1,    23,
      24,    25,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    33,
      34,    -1,    36,    37,    -1,    39,    40,    41,    42,    43,
      -1,    45,    46,    -1,    48,    49,    50,    51,    52,    -1,
      -1,    55,    56,    57,    58,    59,    -1,    61,    62,    63,
      64,    65,    -1,    -1,    -1,    69,    70,    71,    72,    -1,
      74,    75,    -1,    77,    78,    79,    80,    81,    82,    -1,
      -1,    85,    86,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      94,    95,    96,    97,    98,    99,   100,   101,   102,    -1,
     104,    -1,   106,   107,   108,   109,   110,    -1,   112,   113,
     114,    -1,    -1,   117,   118,   119,   120,   121,    -1,   123,
     124,   125,    -1,   127,   128,   129,    -1,   131,   132,   133,
     134,   135,   136,   137,   138,   139,    -1,   141,    -1,   143,
     144,   145,    -1,   147,    -1,   149,    -1,    -1,    -1,   153,
     154,   155,    -1,   157,   158,    -1,   160,    -1,   162,   163,
     164,   165,   166,    -1,   168,   169,   170,    -1,   172,   173,
     174,   175,   176,   177,    -1,   179,    -1,   181,   182,   183,
     184,   185,   186,   187,    -1,   189,    -1,   191,    -1,    -1,
     194,    -1,   196,   197,   198,   199,   200,    -1,   202,   203,
      -1,   205,   206,    -1,   208,    -1,    -1,   211,   212,   213,
      -1,    -1,   216,   217,   218,   219,   220,   221,   222,   223,
     224,   225,   226,   227,   228,   229,    -1,   231,   232,   233,
     234,    -1,   236,   237,    -1,   239,    -1,   241,   242,   243,
     244,   245,   246,    -1,   248,    -1,    -1,   251,   252,   253,
      -1,    -1,   256,    -1,    -1,    -1,   260,   261,   262,   263,
     264,   265,   266,   267,    -1,   269,   270,   271,   272,   273,
     274,   275,    -1,   277,   278,   279,   280,   281,   282,   283,
     284,   285,   286,   287,   288,   289,    -1,   291,   292,   293,
     294,   295,   296,   297,   298,   299,   300,   301,    -1,   303,
     304,    -1,   306,   307,   308,   309,   310,   311,   312,   313,
     314,   315,   316,    -1,   318,   319,   320,   321,   322,    -1,
     324,   325,   326,   327,    -1,   329,   330,   331,    -1,   333,
     334,   335,   336,   337,   338,   339,   340,   341,   342,   343,
      -1,   345,   346,    -1,   348,   349,   350,   351,   352,   353,
      -1,   355,   356,    -1,    -1,   359,   360,   361,   362,    -1,
     364,   365,   366,   367,   368,   369,   370,    -1,    -1,   373,
     374,   375,   376,   377,    -1,    -1,   380,   381,   382,   383,
     384,   385,   386,    -1,   388,    -1,   390,   391,   392,    -1,
      -1,   395,    -1,    -1,   398,   399,   400,   401,   402,   403,
     404,   405,   406,   407,   408,   409,   410,   411,   412,   413,
     414,     3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    14,    15,    16,    17,    18,    19,    20,    21,
      -1,    23,    24,    25,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    33,    34,    -1,    36,    37,    -1,    39,    40,    41,
      42,    43,    -1,    45,    46,    -1,    48,    49,    50,    51,
      52,    -1,    -1,    55,    56,    57,    58,    59,    -1,    61,
      62,    63,    64,    65,    -1,    -1,    -1,    69,    70,    71,
      72,    -1,    74,    75,    -1,    77,    78,    79,    80,    81,
      82,    -1,    -1,    85,    86,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    94,    95,    96,    97,    98,    99,   100,   101,
     102,    -1,   104,    -1,   106,   107,   108,   109,   110,    -1,
     112,   113,   114,    -1,    -1,   117,   118,   119,   120,   121,
      -1,   123,   124,   125,    -1,   127,   128,   129,    -1,   131,
     132,   133,   134,   135,   136,   137,   138,   139,    -1,   141,
      -1,   143,   144,   145,    -1,   147,    -1,   149,    -1,    -1,
      -1,   153,   154,   155,    -1,   157,   158,    -1,   160,    -1,
     162,   163,   164,   165,   166,    -1,   168,   169,   170,    -1,
     172,   173,   174,   175,   176,   177,    -1,   179,    -1,   181,
     182,   183,   184,   185,   186,   187,    -1,   189,    -1,   191,
      -1,    -1,   194,    -1,   196,   197,   198,   199,   200,    -1,
     202,   203,    -1,   205,   206,    -1,   208,    -1,    -1,   211,
     212,   213,    -1,    -1,   216,   217,   218,   219,   220,   221,
     222,   223,   224,   225,   226,   227,   228,   229,    -1,   231,
     232,   233,   234,    -1,   236,   237,    -1,   239,    -1,   241,
     242,   243,   244,   245,   246,    -1,   248,    -1,    -1,   251,
     252,   253,    -1,    -1,   256,    -1,    -1,    -1,   260,   261,
     262,   263,   264,   265,   266,   267,    -1,   269,   270,   271,
     272,   273,   274,   275,    -1,   277,   278,   279,   280,   281,
     282,   283,   284,   285,   286,   287,   288,   289,    -1,   291,
     292,   293,   294,   295,   296,   297,   298,   299,   300,   301,
      -1,   303,   304,    -1,   306,   307,   308,   309,   310,   311,
     312,   313,   314,   315,   316,    -1,   318,   319,   320,   321,
     322,    -1,   324,   325,   326,   327,    -1,   329,   330,   331,
      -1,   333,   334,   335,   336,   337,   338,   339,   340,   341,
     342,   343,    -1,   345,   346,    -1,   348,   349,   350,   351,
     352,   353,    -1,   355,   356,    -1,    -1,   359,   360,   361,
     362,    -1,   364,   365,   366,   367,   368,   369,   370,    -1,
      -1,   373,   374,   375,   376,   377,    -1,    -1,   380,   381,
     382,   383,   384,   385,   386,    -1,   388,    -1,   390,   391,
     392,    -1,    -1,   395,    -1,    -1,   398,   399,   400,   401,
     402,   403,   404,   405,   406,   407,   408,   409,   410,   411,
     412,   413,   414,     3,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    14,    15,    16,    17,    18,    19,
      20,    21,    -1,    23,    24,    25,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    33,    34,    -1,    36,    37,    -1,    39,
      40,    41,    42,    43,    -1,    45,    46,    -1,    48,    49,
      50,    51,    52,    -1,    -1,    55,    56,    57,    58,    59,
      -1,    61,    62,    63,    64,    65,    -1,    -1,    -1,    69,
      70,    71,    72,    -1,    74,    75,    -1,    77,    78,    79,
      80,    81,    82,    -1,    -1,    85,    86,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    94,    95,    96,    97,    98,    99,
     100,   101,   102,    -1,   104,    -1,   106,   107,   108,   109,
     110,    -1,   112,   113,   114,    -1,    -1,   117,   118,   119,
     120,   121,    -1,   123,   124,   125,    -1,   127,   128,   129,
      -1,   131,   132,   133,   134,   135,   136,   137,   138,   139,
      -1,   141,    -1,   143,   144,   145,    -1,   147,    -1,   149,
      -1,    -1,    -1,   153,   154,   155,    -1,   157,   158,    -1,
     160,    -1,   162,   163,   164,   165,   166,    -1,   168,   169,
     170,    -1,   172,   173,   174,   175,   176,   177,    -1,   179,
      -1,   181,   182,   183,   184,   185,   186,   187,    -1,   189,
      -1,   191,    -1,    -1,   194,    -1,   196,   197,   198,   199,
     200,    -1,   202,   203,    -1,   205,   206,    -1,   208,    -1,
      -1,   211,   212,   213,    -1,    -1,   216,   217,   218,   219,
     220,   221,   222,   223,   224,   225,   226,   227,   228,   229,
      -1,   231,   232,   233,   234,    -1,   236,   237,    -1,   239,
      -1,   241,   242,   243,   244,   245,   246,    -1,   248,    -1,
      -1,   251,   252,   253,    -1,    -1,   256,    -1,    -1,    -1,
     260,   261,   262,   263,   264,   265,   266,   267,    -1,   269,
     270,   271,   272,   273,   274,   275,    -1,   277,   278,   279,
     280,   281,   282,   283,   284,   285,   286,   287,   288,   289,
      -1,   291,   292,   293,   294,   295,   296,   297,   298,   299,
     300,   301,    -1,   303,   304,    -1,   306,   307,   308,   309,
     310,   311,   312,   313,   314,   315,   316,    -1,   318,   319,
     320,   321,   322,    -1,   324,   325,   326,   327,    -1,   329,
     330,   331,    -1,   333,   334,   335,   336,   337,   338,   339,
     340,   341,   342,   343,    -1,   345,   346,    -1,   348,   349,
     350,   351,   352,   353,    -1,   355,   356,    -1,    -1,   359,
     360,   361,   362,    -1,   364,   365,   366,   367,   368,   369,
     370,    -1,    -1,   373,   374,   375,   376,   377,    -1,    -1,
     380,   381,   382,   383,   384,   385,   386,    -1,   388,    -1,
     390,   391,   392,    -1,    -1,   395,    -1,    -1,   398,   399,
     400,   401,   402,   403,   404,   405,   406,   407,   408,   409,
     410,   411,   412,   413,   414,     3,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    14,    15,    16,    17,
      18,    19,    20,    21,    -1,    23,    24,    25,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    33,    34,    -1,    36,    37,
      -1,    39,    40,    41,    42,    43,    -1,    45,    46,    -1,
      48,    49,    50,    51,    52,    -1,    -1,    55,    56,    57,
      58,    59,    -1,    61,    62,    63,    64,    65,    -1,    -1,
      -1,    69,    70,    71,    72,    -1,    74,    75,    -1,    77,
      78,    79,    80,    81,    82,    -1,    -1,    85,    86,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    94,    95,    96,    97,
      98,    99,   100,   101,   102,    -1,   104,    -1,   106,   107,
     108,   109,   110,    -1,   112,   113,   114,    -1,    -1,   117,
     118,   119,   120,   121,    -1,   123,   124,   125,    -1,   127,
     128,   129,    -1,   131,   132,   133,   134,   135,   136,   137,
     138,   139,    -1,   141,    -1,   143,   144,   145,    -1,   147,
      -1,   149,    -1,    -1,    -1,   153,   154,   155,    -1,   157,
     158,    -1,   160,    -1,   162,   163,   164,   165,   166,    -1,
     168,   169,   170,    -1,   172,   173,   174,   175,   176,   177,
      -1,   179,    -1,   181,   182,   183,   184,   185,   186,   187,
      -1,   189,    -1,   191,    -1,    -1,   194,    -1,   196,   197,
     198,   199,   200,    -1,   202,   203,    -1,   205,   206,    -1,
     208,    -1,    -1,   211,   212,   213,    -1,    -1,   216,   217,
     218,   219,   220,   221,   222,   223,   224,   225,   226,   227,
     228,   229,    -1,   231,   232,   233,   234,    -1,   236,   237,
      -1,   239,    -1,   241,   242,   243,   244,   245,   246,    -1,
     248,    -1,    -1,   251,   252,   253,    -1,    -1,   256,    -1,
      -1,    -1,   260,   261,   262,   263,   264,   265,   266,   267,
      -1,   269,   270,   271,   272,   273,   274,   275,    -1,   277,
     278,   279,   280,   281,   282,   283,   284,   285,   286,   287,
     288,   289,    -1,   291,   292,   293,   294,   295,   296,   297,
     298,   299,   300,   301,    -1,   303,   304,    -1,   306,   307,
     308,   309,   310,   311,   312,   313,   314,   315,   316,    -1,
     318,   319,   320,   321,   322,    -1,   324,   325,   326,   327,
      -1,   329,   330,   331,    -1,   333,   334,   335,   336,   337,
     338,   339,   340,   341,   342,   343,    -1,   345,   346,    -1,
     348,   349,   350,   351,   352,   353,    -1,   355,   356,    -1,
      -1,   359,   360,   361,   362,    -1,   364,   365,   366,   367,
     368,   369,   370,    -1,    -1,   373,   374,   375,   376,   377,
      -1,    -1,   380,   381,   382,   383,   384,   385,   386,    -1,
     388,    -1,   390,   391,   392,    -1,    -1,   395,    -1,    -1,
     398,   399,   400,   401,   402,   403,   404,   405,   406,   407,
     408,   409,   410,   411,   412,   413,   414,     3,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    14,    15,
      16,    17,    18,    19,    20,    21,    -1,    23,    24,    25,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    33,    34,    -1,
      36,    37,    -1,    39,    40,    41,    42,    43,    -1,    45,
      46,    -1,    48,    49,    50,    51,    52,    -1,    -1,    55,
      56,    57,    58,    59,    -1,    61,    62,    63,    64,    65,
      -1,    -1,    -1,    69,    70,    71,    72,    -1,    74,    75,
      -1,    77,    78,    79,    80,    81,    82,    -1,    -1,    85,
      86,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    94,    95,
      96,    97,    98,    99,   100,   101,   102,    -1,   104,    -1,
     106,   107,   108,   109,   110,    -1,   112,   113,   114,    -1,
      -1,   117,   118,   119,   120,   121,    -1,   123,   124,   125,
      -1,   127,   128,   129,    -1,   131,   132,   133,   134,   135,
     136,   137,   138,   139,    -1,   141,    -1,   143,   144,   145,
      -1,   147,    -1,   149,    -1,    -1,    -1,   153,   154,   155,
      -1,   157,   158,    -1,   160,    -1,   162,   163,   164,   165,
     166,    -1,   168,   169,   170,    -1,   172,   173,   174,   175,
     176,   177,    -1,   179,    -1,   181,   182,   183,   184,   185,
     186,   187,    -1,   189,    -1,   191,    -1,    -1,   194,    -1,
     196,   197,   198,   199,   200,    -1,   202,   203,    -1,   205,
     206,    -1,   208,    -1,    -1,   211,   212,   213,    -1,    -1,
     216,   217,   218,   219,   220,   221,   222,   223,   224,   225,
     226,   227,   228,   229,    -1,   231,   232,   233,   234,    -1,
     236,   237,    -1,   239,    -1,   241,   242,   243,   244,   245,
     246,    -1,   248,    -1,    -1,   251,   252,   253,    -1,    -1,
     256,    -1,    -1,    -1,   260,   261,   262,   263,   264,   265,
     266,   267,    -1,   269,   270,   271,   272,   273,   274,   275,
      -1,   277,   278,   279,   280,   281,   282,   283,   284,   285,
     286,   287,   288,   289,    -1,   291,   292,   293,   294,   295,
     296,   297,   298,   299,   300,   301,    -1,   303,   304,    -1,
     306,   307,   308,   309,   310,   311,   312,   313,   314,   315,
     316,    -1,   318,   319,   320,   321,   322,    -1,   324,   325,
     326,   327,    -1,   329,   330,   331,    -1,   333,   334,   335,
     336,   337,   338,   339,   340,   341,   342,   343,    -1,   345,
     346,    -1,   348,   349,   350,   351,   352,   353,    -1,   355,
     356,    -1,    -1,   359,   360,   361,   362,    -1,   364,   365,
     366,   367,   368,   369,   370,    -1,    -1,   373,   374,   375,
     376,   377,    -1,    -1,   380,   381,   382,   383,   384,   385,
     386,    -1,   388,    -1,   390,   391,   392,    -1,    -1,   395,
      -1,    -1,   398,   399,   400,   401,   402,   403,   404,   405,
     406,   407,   408,   409,   410,   411,   412,   413,   414,     3,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      14,    15,    16,    17,    18,    19,    20,    21,    -1,    23,
      24,    25,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    33,
      34,    -1,    36,    37,    -1,    39,    40,    41,    42,    43,
      -1,    45,    46,    -1,    48,    49,    50,    51,    52,    -1,
      -1,    55,    56,    57,    58,    59,    -1,    61,    62,    63,
      64,    65,    -1,    -1,    -1,    69,    70,    71,    72,    -1,
      74,    75,    -1,    77,    78,    79,    80,    81,    82,    -1,
      -1,    85,    86,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      94,    95,    96,    97,    98,    99,   100,   101,   102,    -1,
     104,    -1,   106,   107,   108,   109,   110,    -1,   112,   113,
     114,    -1,    -1,   117,   118,   119,   120,   121,    -1,   123,
     124,   125,    -1,   127,   128,   129,    -1,   131,   132,   133,
     134,   135,   136,   137,   138,   139,    -1,   141,    -1,   143,
     144,   145,    -1,   147,    -1,   149,    -1,    -1,    -1,   153,
     154,   155,    -1,   157,   158,    -1,   160,    -1,   162,   163,
     164,   165,   166,    -1,   168,   169,   170,    -1,   172,   173,
     174,   175,   176,   177,    -1,   179,    -1,   181,   182,   183,
     184,   185,   186,   187,    -1,   189,    -1,   191,    -1,    -1,
     194,    -1,   196,   197,   198,   199,   200,    -1,   202,   203,
      -1,   205,   206,    -1,   208,    -1,    -1,   211,   212,   213,
      -1,    -1,   216,   217,   218,   219,   220,   221,   222,   223,
     224,   225,   226,   227,   228,   229,    -1,   231,   232,   233,
     234,    -1,   236,   237,    -1,   239,    -1,   241,   242,   243,
     244,   245,   246,    -1,   248,    -1,    -1,   251,   252,   253,
      -1,    -1,   256,    -1,    -1,    -1,   260,   261,   262,   263,
     264,   265,   266,   267,    -1,   269,   270,   271,   272,   273,
     274,   275,    -1,   277,   278,   279,   280,   281,   282,   283,
     284,   285,   286,   287,   288,   289,    -1,   291,   292,   293,
     294,   295,   296,   297,   298,   299,   300,   301,    -1,   303,
     304,    -1,   306,   307,   308,   309,   310,   311,   312,   313,
     314,   315,   316,    -1,   318,   319,   320,   321,   322,    -1,
     324,   325,   326,   327,    -1,   329,   330,   331,    -1,   333,
     334,   335,   336,   337,   338,   339,   340,   341,   342,   343,
      -1,   345,   346,    -1,   348,   349,   350,   351,   352,   353,
      -1,   355,   356,    -1,    -1,   359,   360,   361,   362,    -1,
     364,   365,   366,   367,   368,   369,   370,    -1,    -1,   373,
     374,   375,   376,   377,    -1,    -1,   380,   381,   382,   383,
     384,   385,   386,    -1,   388,    -1,   390,   391,   392,    -1,
      -1,   395,    -1,    -1,   398,   399,   400,   401,   402,   403,
     404,   405,   406,   407,   408,   409,   410,   411,   412,   413,
     414,     3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    14,    15,    16,    17,    18,    19,    20,    21,
      -1,    23,    24,    25,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    33,    34,    -1,    36,    37,    -1,    39,    40,    41,
      42,    43,    -1,    45,    46,    -1,    48,    49,    50,    51,
      52,    -1,    -1,    55,    56,    57,    58,    59,    -1,    61,
      62,    63,    64,    65,    -1,    -1,    -1,    69,    70,    71,
      72,    -1,    74,    75,    -1,    77,    78,    79,    80,    81,
      82,    -1,    -1,    85,    86,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    94,    95,    96,    97,    98,    99,   100,   101,
     102,    -1,   104,    -1,   106,   107,   108,   109,   110,    -1,
     112,   113,   114,    -1,    -1,   117,   118,   119,   120,   121,
      -1,   123,   124,   125,    -1,   127,   128,   129,    -1,   131,
     132,   133,   134,   135,   136,   137,   138,   139,    -1,   141,
      -1,   143,   144,   145,    -1,   147,    -1,   149,    -1,    -1,
      -1,   153,   154,   155,    -1,   157,   158,    -1,   160,    -1,
     162,   163,   164,   165,   166,    -1,   168,   169,   170,    -1,
     172,   173,   174,   175,   176,   177,    -1,   179,    -1,   181,
     182,   183,   184,   185,   186,   187,    -1,   189,    -1,   191,
      -1,    -1,   194,    -1,   196,   197,   198,   199,   200,    -1,
     202,   203,    -1,   205,   206,    -1,   208,    -1,    -1,   211,
     212,   213,    -1,    -1,   216,   217,   218,   219,   220,   221,
     222,   223,   224,   225,   226,   227,   228,   229,    -1,   231,
     232,   233,   234,    -1,   236,   237,    -1,   239,    -1,   241,
     242,   243,   244,   245,   246,    -1,   248,    -1,    -1,   251,
     252,   253,    -1,    -1,   256,    -1,    -1,    -1,   260,   261,
     262,   263,   264,   265,   266,   267,    -1,   269,   270,   271,
     272,   273,   274,   275,    -1,   277,   278,   279,   280,   281,
     282,   283,   284,   285,   286,   287,   288,   289,    -1,   291,
     292,   293,   294,   295,   296,   297,   298,   299,   300,   301,
      -1,   303,   304,    -1,   306,   307,   308,   309,   310,   311,
     312,   313,   314,   315,   316,    -1,   318,   319,   320,   321,
     322,    -1,   324,   325,   326,   327,    -1,   329,   330,   331,
      -1,   333,   334,   335,   336,   337,   338,   339,   340,   341,
     342,   343,    -1,   345,   346,    -1,   348,   349,   350,   351,
     352,   353,    -1,   355,   356,    -1,    -1,   359,   360,   361,
     362,    -1,   364,   365,   366,   367,   368,   369,   370,    -1,
      -1,   373,   374,   375,   376,   377,    -1,    -1,   380,   381,
     382,   383,   384,   385,   386,    -1,   388,    -1,   390,   391,
     392,    -1,    -1,   395,    -1,    -1,   398,   399,   400,   401,
     402,   403,   404,   405,   406,   407,   408,   409,   410,   411,
     412,   413,   414,     3,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    14,    15,    16,    17,    18,    19,
      20,    21,    -1,    23,    24,    25,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    33,    34,    -1,    36,    37,    -1,    39,
      40,    41,    42,    43,    -1,    45,    46,    -1,    48,    49,
      50,    51,    52,    -1,    -1,    55,    56,    57,    58,    59,
      -1,    61,    62,    63,    64,    65,    -1,    -1,    -1,    69,
      70,    71,    72,    -1,    74,    75,    -1,    77,    78,    79,
      80,    81,    82,    -1,    -1,    85,    86,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    94,    95,    96,    97,    98,    99,
     100,   101,   102,    -1,   104,    -1,   106,   107,   108,   109,
     110,    -1,   112,   113,   114,    -1,    -1,   117,   118,   119,
     120,   121,    -1,   123,   124,   125,    -1,   127,   128,   129,
      -1,   131,   132,   133,   134,   135,   136,   137,   138,   139,
      -1,   141,    -1,   143,   144,   145,    -1,   147,    -1,   149,
      -1,    -1,    -1,   153,   154,   155,    -1,   157,   158,    -1,
     160,    -1,   162,   163,   164,   165,   166,    -1,   168,   169,
     170,    -1,   172,   173,   174,   175,   176,   177,    -1,   179,
      -1,   181,   182,   183,   184,   185,   186,   187,    -1,   189,
      -1,   191,    -1,    -1,   194,    -1,   196,   197,   198,   199,
     200,    -1,   202,   203,    -1,   205,   206,    -1,   208,    -1,
      -1,   211,   212,   213,    -1,    -1,   216,   217,   218,   219,
     220,   221,   222,   223,   224,   225,   226,   227,   228,   229,
      -1,   231,   232,   233,   234,    -1,   236,   237,    -1,   239,
      -1,   241,   242,   243,   244,   245,   246,    -1,   248,    -1,
      -1,   251,   252,   253,    -1,    -1,   256,    -1,    -1,    -1,
     260,   261,   262,   263,   264,   265,   266,   267,    -1,   269,
     270,   271,   272,   273,   274,   275,    -1,   277,   278,   279,
     280,   281,   282,   283,   284,   285,   286,   287,   288,   289,
      -1,   291,   292,   293,   294,   295,   296,   297,   298,   299,
     300,   301,    -1,   303,   304,    -1,   306,   307,   308,   309,
     310,   311,   312,   313,   314,   315,   316,    -1,   318,   319,
     320,   321,   322,    -1,   324,   325,   326,   327,    -1,   329,
     330,   331,    -1,   333,   334,   335,   336,   337,   338,   339,
     340,   341,   342,   343,    -1,   345,   346,    -1,   348,   349,
     350,   351,   352,   353,    -1,   355,   356,    -1,    -1,   359,
     360,   361,   362,    -1,   364,   365,   366,   367,   368,   369,
     370,    -1,    -1,   373,   374,   375,   376,   377,    -1,    -1,
     380,   381,   382,   383,   384,   385,   386,    -1,   388,    -1,
     390,   391,   392,    -1,    -1,   395,    -1,    -1,   398,   399,
     400,   401,   402,   403,   404,   405,   406,   407,   408,   409,
     410,   411,   412,   413,   414,     3,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    14,    15,    16,    17,
      18,    19,    20,    21,    -1,    23,    24,    25,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    33,    34,    -1,    36,    37,
      -1,    39,    40,    41,    42,    43,    -1,    45,    46,    -1,
      48,    49,    50,    51,    52,    -1,    -1,    55,    56,    57,
      58,    59,    -1,    61,    62,    63,    64,    65,    -1,    -1,
      -1,    69,    70,    71,    72,    -1,    74,    75,    -1,    77,
      78,    79,    80,    81,    82,    -1,    -1,    85,    86,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    94,    95,    96,    97,
      98,    99,   100,   101,   102,    -1,   104,    -1,   106,   107,
     108,   109,   110,    -1,   112,   113,   114,    -1,    -1,   117,
     118,   119,   120,   121,    -1,   123,   124,   125,    -1,   127,
     128,   129,    -1,   131,   132,   133,   134,   135,   136,   137,
     138,   139,    -1,   141,    -1,   143,   144,   145,    -1,   147,
      -1,   149,    -1,    -1,    -1,   153,   154,   155,    -1,   157,
     158,    -1,   160,    -1,   162,   163,   164,   165,   166,    -1,
     168,   169,   170,    -1,   172,   173,   174,   175,   176,   177,
      -1,   179,    -1,   181,   182,   183,   184,   185,   186,   187,
      -1,   189,    -1,   191,    -1,    -1,   194,    -1,   196,   197,
     198,   199,   200,    -1,   202,   203,    -1,   205,   206,    -1,
     208,    -1,    -1,   211,   212,   213,    -1,    -1,   216,   217,
     218,   219,   220,   221,   222,   223,   224,   225,   226,   227,
     228,   229,    -1,   231,   232,   233,   234,    -1,   236,   237,
      -1,   239,    -1,   241,   242,   243,   244,   245,   246,    -1,
     248,    -1,    -1,   251,   252,   253,    -1,    -1,   256,    -1,
      -1,    -1,   260,   261,   262,   263,   264,   265,   266,   267,
      -1,   269,   270,   271,   272,   273,   274,   275,    -1,   277,
     278,   279,   280,   281,   282,   283,   284,   285,   286,   287,
     288,   289,    -1,   291,   292,   293,   294,   295,   296,   297,
     298,   299,   300,   301,    -1,   303,   304,    -1,   306,   307,
     308,   309,   310,   311,   312,   313,   314,   315,   316,    -1,
     318,   319,   320,   321,   322,    -1,   324,   325,   326,   327,
      -1,   329,   330,   331,    -1,   333,   334,   335,   336,   337,
     338,   339,   340,   341,   342,   343,    -1,   345,   346,    -1,
     348,   349,   350,   351,   352,   353,    -1,   355,   356,    -1,
      -1,   359,   360,   361,   362,    -1,   364,   365,   366,   367,
     368,   369,   370,    -1,    -1,   373,   374,   375,   376,   377,
      -1,    -1,   380,   381,   382,   383,   384,   385,   386,    -1,
     388,    -1,   390,   391,   392,    -1,    -1,   395,    -1,    -1,
     398,   399,   400,   401,   402,   403,   404,   405,   406,   407,
     408,   409,   410,   411,   412,   413,   414,     3,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    14,    15,
      16,    17,    18,    19,    20,    21,    -1,    23,    24,    25,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    33,    34,    -1,
      36,    37,    -1,    39,    40,    41,    42,    43,    -1,    45,
      46,    -1,    48,    49,    50,    51,    52,    -1,    -1,    55,
      56,    57,    58,    59,    -1,    61,    62,    63,    64,    65,
      -1,    -1,    -1,    69,    70,    71,    72,    -1,    74,    75,
      -1,    77,    78,    79,    80,    81,    82,    -1,    -1,    85,
      86,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    94,    95,
      96,    97,    98,    99,   100,   101,   102,    -1,   104,    -1,
     106,   107,   108,   109,   110,    -1,   112,   113,   114,    -1,
      -1,   117,   118,   119,   120,   121,    -1,   123,   124,   125,
      -1,   127,   128,   129,    -1,   131,   132,   133,   134,   135,
     136,   137,   138,   139,    -1,   141,    -1,   143,   144,   145,
      -1,   147,    -1,   149,    -1,    -1,    -1,   153,   154,   155,
      -1,   157,   158,    -1,   160,    -1,   162,   163,   164,   165,
     166,    -1,   168,   169,   170,    -1,   172,   173,   174,   175,
     176,   177,    -1,   179,    -1,   181,   182,   183,   184,   185,
     186,   187,    -1,   189,    -1,   191,    -1,    -1,   194,    -1,
     196,   197,   198,   199,   200,    -1,   202,   203,    -1,   205,
     206,    -1,   208,    -1,    -1,   211,   212,   213,    -1,    -1,
     216,   217,   218,   219,   220,   221,   222,   223,   224,   225,
     226,   227,   228,   229,    -1,   231,   232,   233,   234,    -1,
     236,   237,    -1,   239,    -1,   241,   242,   243,   244,   245,
     246,    -1,   248,    -1,    -1,   251,   252,   253,    -1,    -1,
     256,    -1,    -1,    -1,   260,   261,   262,   263,   264,   265,
     266,   267,    -1,   269,   270,   271,   272,   273,   274,   275,
      -1,   277,   278,   279,   280,   281,   282,   283,   284,   285,
     286,   287,   288,   289,    -1,   291,   292,   293,   294,   295,
     296,   297,   298,   299,   300,   301,    -1,   303,   304,    -1,
     306,   307,   308,   309,   310,   311,   312,   313,   314,   315,
     316,    -1,   318,   319,   320,   321,   322,    -1,   324,   325,
     326,   327,    -1,   329,   330,   331,    -1,   333,   334,   335,
     336,   337,   338,   339,   340,   341,   342,   343,    -1,   345,
     346,    -1,   348,   349,   350,   351,   352,   353,    -1,   355,
     356,    -1,    -1,   359,   360,   361,   362,    -1,   364,   365,
     366,   367,   368,   369,   370,    -1,    -1,   373,   374,   375,
     376,   377,    -1,    -1,   380,   381,   382,   383,   384,   385,
     386,    -1,   388,    -1,   390,   391,   392,    -1,    -1,   395,
      -1,    -1,   398,   399,   400,   401,   402,   403,   404,   405,
     406,   407,   408,   409,   410,   411,   412,   413,   414,     3,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      14,    15,    16,    17,    18,    19,    20,    21,    -1,    23,
      24,    25,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    33,
      34,    -1,    36,    37,    -1,    39,    40,    41,    42,    43,
      -1,    45,    46,    -1,    48,    49,    50,    51,    52,    -1,
      -1,    55,    56,    57,    58,    59,    -1,    61,    62,    63,
      64,    65,    -1,    -1,    -1,    69,    70,    71,    72,    -1,
      74,    75,    -1,    77,    78,    79,    80,    81,    82,    -1,
      -1,    85,    86,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      94,    95,    96,    97,    98,    99,   100,   101,   102,    -1,
     104,    -1,   106,   107,   108,   109,   110,    -1,   112,   113,
     114,    -1,    -1,   117,   118,   119,   120,   121,    -1,   123,
     124,   125,    -1,   127,   128,   129,    -1,   131,   132,   133,
     134,   135,   136,   137,   138,   139,    -1,   141,    -1,   143,
     144,   145,    -1,   147,    -1,   149,    -1,    -1,    -1,   153,
     154,   155,    -1,   157,   158,    -1,   160,    -1,   162,   163,
     164,   165,   166,    -1,   168,   169,   170,    -1,   172,   173,
     174,   175,   176,   177,    -1,   179,    -1,   181,   182,   183,
     184,   185,   186,   187,    -1,   189,    -1,   191,    -1,    -1,
     194,    -1,   196,   197,   198,   199,   200,    -1,   202,   203,
      -1,   205,   206,    -1,   208,    -1,    -1,   211,   212,   213,
      -1,    -1,   216,   217,   218,   219,   220,   221,   222,   223,
     224,   225,   226,   227,   228,   229,    -1,   231,   232,   233,
     234,    -1,   236,   237,    -1,   239,    -1,   241,   242,   243,
     244,   245,   246,    -1,   248,    -1,    -1,   251,   252,   253,
      -1,    -1,   256,    -1,    -1,    -1,   260,   261,   262,   263,
     264,   265,   266,   267,    -1,   269,   270,   271,   272,   273,
     274,   275,    -1,   277,   278,   279,   280,   281,   282,   283,
     284,   285,   286,   287,   288,   289,    -1,   291,   292,   293,
     294,   295,   296,   297,   298,   299,   300,   301,    -1,   303,
     304,    -1,   306,   307,   308,   309,   310,   311,   312,   313,
     314,   315,   316,    -1,   318,   319,   320,   321,   322,    -1,
     324,   325,   326,   327,    -1,   329,   330,   331,    -1,   333,
     334,   335,   336,   337,   338,   339,   340,   341,   342,   343,
      -1,   345,   346,    -1,   348,   349,   350,   351,   352,   353,
      -1,   355,   356,    -1,    -1,   359,   360,   361,   362,    -1,
     364,   365,   366,   367,   368,   369,   370,    -1,    -1,   373,
     374,   375,   376,   377,    -1,    -1,   380,   381,   382,   383,
     384,   385,   386,    -1,   388,    -1,   390,   391,   392,    -1,
      -1,   395,    -1,    -1,   398,   399,   400,   401,   402,   403,
     404,   405,   406,   407,   408,   409,   410,   411,   412,   413,
     414,     3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    14,    15,    16,    17,    18,    19,    20,    21,
      -1,    23,    24,    25,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    33,    34,    -1,    36,    37,    -1,    39,    40,    41,
      42,    43,    -1,    45,    46,    -1,    48,    49,    50,    51,
      52,    -1,    -1,    55,    56,    57,    58,    59,    -1,    61,
      62,    63,    64,    65,    -1,    -1,    -1,    69,    70,    71,
      72,    -1,    74,    75,    -1,    77,    78,    79,    80,    81,
      82,    -1,    -1,    85,    86,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    94,    95,    96,    97,    98,    99,   100,   101,
     102,    -1,   104,    -1,   106,   107,   108,   109,   110,    -1,
     112,   113,   114,    -1,    -1,   117,   118,   119,   120,   121,
      -1,   123,   124,   125,    -1,   127,   128,   129,    -1,   131,
     132,   133,   134,   135,   136,   137,   138,   139,    -1,   141,
      -1,   143,   144,   145,    -1,   147,    -1,   149,    -1,    -1,
      -1,   153,   154,   155,    -1,   157,   158,    -1,   160,    -1,
     162,   163,   164,   165,   166,    -1,   168,   169,   170,    -1,
     172,   173,   174,   175,   176,   177,    -1,   179,    -1,   181,
     182,   183,   184,   185,   186,   187,    -1,   189,    -1,   191,
      -1,    -1,   194,    -1,   196,   197,   198,   199,   200,    -1,
     202,   203,    -1,   205,   206,    -1,   208,    -1,    -1,   211,
     212,   213,    -1,    -1,   216,   217,   218,   219,   220,   221,
     222,   223,   224,   225,   226,   227,   228,   229,    -1,   231,
     232,   233,   234,    -1,   236,   237,    -1,   239,    -1,   241,
     242,   243,   244,   245,   246,    -1,   248,    -1,    -1,   251,
     252,   253,    -1,    -1,   256,    -1,    -1,    -1,   260,   261,
     262,   263,   264,   265,   266,   267,    -1,   269,   270,   271,
     272,   273,   274,   275,    -1,   277,   278,   279,   280,   281,
     282,   283,   284,   285,   286,   287,   288,   289,    -1,   291,
     292,   293,   294,   295,   296,   297,   298,   299,   300,   301,
      -1,   303,   304,    -1,   306,   307,   308,   309,   310,   311,
     312,   313,   314,   315,   316,    -1,   318,   319,   320,   321,
     322,    -1,   324,   325,   326,   327,    -1,   329,   330,   331,
      -1,   333,   334,   335,   336,   337,   338,   339,   340,   341,
     342,   343,    -1,   345,   346,    -1,   348,   349,   350,   351,
     352,   353,    -1,   355,   356,    -1,    -1,   359,   360,   361,
     362,    -1,   364,   365,   366,   367,   368,   369,   370,    -1,
      -1,   373,   374,   375,   376,   377,    -1,    -1,   380,   381,
     382,   383,   384,   385,   386,    -1,   388,    -1,   390,   391,
     392,    -1,    -1,   395,    -1,    -1,   398,   399,   400,   401,
     402,   403,   404,   405,   406,   407,   408,   409,   410,   411,
     412,   413,   414,     3,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    14,    15,    16,    17,    18,    19,
      20,    21,    -1,    23,    24,    25,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    33,    34,    -1,    36,    37,    -1,    39,
      40,    41,    42,    43,    -1,    45,    46,    -1,    48,    49,
      50,    51,    52,    -1,    -1,    55,    56,    57,    58,    59,
      -1,    61,    62,    63,    64,    65,    -1,    -1,    -1,    69,
      70,    71,    72,    -1,    74,    75,    -1,    77,    78,    79,
      80,    81,    82,    -1,    -1,    85,    86,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    94,    95,    96,    97,    98,    99,
     100,   101,   102,    -1,   104,    -1,   106,   107,   108,   109,
     110,    -1,   112,   113,   114,    -1,    -1,   117,   118,   119,
     120,   121,    -1,   123,   124,   125,    -1,   127,   128,   129,
      -1,   131,   132,   133,   134,   135,   136,   137,   138,   139,
      -1,   141,    -1,   143,   144,   145,    -1,   147,    -1,   149,
      -1,    -1,    -1,   153,   154,   155,    -1,   157,   158,    -1,
     160,    -1,   162,   163,   164,   165,   166,    -1,   168,   169,
     170,    -1,   172,   173,   174,   175,   176,   177,    -1,   179,
      -1,   181,   182,   183,   184,   185,   186,   187,    -1,   189,
      -1,   191,    -1,    -1,   194,    -1,   196,   197,   198,   199,
     200,    -1,   202,   203,    -1,   205,   206,    -1,   208,    -1,
      -1,   211,   212,   213,    -1,    -1,   216,   217,   218,   219,
     220,   221,   222,   223,   224,   225,   226,   227,   228,   229,
      -1,   231,   232,   233,   234,    -1,   236,   237,    -1,   239,
      -1,   241,   242,   243,   244,   245,   246,    -1,   248,    -1,
      -1,   251,   252,   253,    -1,    -1,   256,    -1,    -1,    -1,
     260,   261,   262,   263,   264,   265,   266,   267,    -1,   269,
     270,   271,   272,   273,   274,   275,    -1,   277,   278,   279,
     280,   281,   282,   283,   284,   285,   286,   287,   288,   289,
      -1,   291,   292,   293,   294,   295,   296,   297,   298,   299,
     300,   301,    -1,   303,   304,    -1,   306,   307,   308,   309,
     310,   311,   312,   313,   314,   315,   316,    -1,   318,   319,
     320,   321,   322,    -1,   324,   325,   326,   327,    -1,   329,
     330,   331,    -1,   333,   334,   335,   336,   337,   338,   339,
     340,   341,   342,   343,    -1,   345,   346,    -1,   348,   349,
     350,   351,   352,   353,    -1,   355,   356,    -1,    -1,   359,
     360,   361,   362,    -1,   364,   365,   366,   367,   368,   369,
     370,    -1,    -1,   373,   374,   375,   376,   377,    -1,    -1,
     380,   381,   382,   383,   384,   385,   386,    -1,   388,    -1,
     390,   391,   392,    -1,    -1,   395,    -1,    -1,   398,   399,
     400,   401,   402,   403,   404,   405,   406,   407,   408,   409,
     410,   411,   412,   413,   414,     3,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    14,    15,    16,    17,
      18,    19,    20,    21,    -1,    23,    24,    25,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    33,    34,    -1,    36,    37,
      -1,    39,    40,    41,    42,    43,    -1,    45,    46,    -1,
      48,    49,    50,    51,    52,    -1,    -1,    55,    56,    57,
      58,    59,    -1,    61,    62,    63,    64,    65,    -1,    -1,
      -1,    69,    70,    71,    72,    -1,    74,    75,    -1,    77,
      78,    79,    80,    81,    82,    -1,    -1,    85,    86,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    94,    95,    96,    97,
      98,    99,   100,   101,   102,    -1,   104,    -1,   106,   107,
     108,   109,   110,    -1,   112,   113,   114,    -1,    -1,   117,
     118,   119,   120,   121,    -1,   123,   124,   125,    -1,   127,
     128,   129,    -1,   131,   132,   133,   134,   135,   136,   137,
     138,   139,    -1,   141,    -1,   143,   144,   145,    -1,   147,
      -1,   149,    -1,    -1,    -1,   153,   154,   155,    -1,   157,
     158,    -1,   160,    -1,   162,   163,   164,   165,   166,    -1,
     168,   169,   170,    -1,   172,   173,   174,   175,   176,   177,
      -1,   179,    -1,   181,   182,   183,   184,   185,   186,   187,
      -1,   189,    -1,   191,    -1,    -1,   194,    -1,   196,   197,
     198,   199,   200,    -1,   202,   203,    -1,   205,   206,    -1,
     208,    -1,    -1,   211,   212,   213,    -1,    -1,   216,   217,
     218,   219,   220,   221,   222,   223,   224,   225,   226,   227,
     228,   229,    -1,   231,   232,   233,   234,    -1,   236,   237,
      -1,   239,    -1,   241,   242,   243,   244,   245,   246,    -1,
     248,    -1,    -1,   251,   252,   253,    -1,    -1,   256,    -1,
      -1,    -1,   260,   261,   262,   263,   264,   265,   266,   267,
      -1,   269,   270,   271,   272,   273,   274,   275,    -1,   277,
     278,   279,   280,   281,   282,   283,   284,   285,   286,   287,
     288,   289,    -1,   291,   292,   293,   294,   295,   296,   297,
     298,   299,   300,   301,    -1,   303,   304,    -1,   306,   307,
     308,   309,   310,   311,   312,   313,   314,   315,   316,    -1,
     318,   319,   320,   321,   322,    -1,   324,   325,   326,   327,
      -1,   329,   330,   331,    -1,   333,   334,   335,   336,   337,
     338,   339,   340,   341,   342,   343,    -1,   345,   346,    -1,
     348,   349,   350,   351,   352,   353,    -1,   355,   356,    -1,
      -1,   359,   360,   361,   362,    -1,   364,   365,   366,   367,
     368,   369,   370,    -1,    -1,   373,   374,   375,   376,   377,
      -1,    -1,   380,   381,   382,   383,   384,   385,   386,    -1,
     388,    -1,   390,   391,   392,    -1,    -1,   395,    -1,    -1,
     398,   399,   400,   401,   402,   403,   404,   405,   406,   407,
     408,   409,   410,   411,   412,   413,   414,     3,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    14,    15,
      16,    17,    18,    19,    20,    21,    -1,    23,    24,    25,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    33,    34,    -1,
      36,    37,    -1,    39,    40,    41,    42,    43,    -1,    45,
      46,    -1,    48,    49,    50,    51,    52,    -1,    -1,    55,
      56,    57,    58,    59,    -1,    61,    62,    63,    64,    65,
      -1,    -1,    -1,    69,    70,    71,    72,    -1,    74,    75,
      -1,    77,    78,    79,    80,    81,    82,    -1,    -1,    85,
      86,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    94,    95,
      96,    97,    98,    99,   100,   101,   102,    -1,   104,    -1,
     106,   107,   108,   109,   110,    -1,   112,   113,   114,    -1,
      -1,   117,   118,   119,   120,   121,    -1,   123,   124,   125,
      -1,   127,   128,   129,    -1,   131,   132,   133,   134,   135,
     136,   137,   138,   139,    -1,   141,    -1,   143,   144,   145,
      -1,   147,    -1,   149,    -1,    -1,    -1,   153,   154,   155,
      -1,   157,   158,    -1,   160,    -1,   162,   163,   164,   165,
     166,    -1,   168,   169,   170,    -1,   172,   173,   174,   175,
     176,   177,    -1,   179,    -1,   181,   182,   183,   184,   185,
     186,   187,    -1,   189,    -1,   191,    -1,    -1,   194,    -1,
     196,   197,   198,   199,   200,    -1,   202,   203,    -1,   205,
     206,    -1,   208,    -1,    -1,   211,   212,   213,    -1,    -1,
     216,   217,   218,   219,   220,   221,   222,   223,   224,   225,
     226,   227,   228,   229,    -1,   231,   232,   233,   234,    -1,
     236,   237,    -1,   239,    -1,   241,   242,   243,   244,   245,
     246,    -1,   248,    -1,    -1,   251,   252,   253,    -1,    -1,
     256,    -1,    -1,    -1,   260,   261,   262,   263,   264,   265,
     266,   267,    -1,   269,   270,   271,   272,   273,   274,   275,
      -1,   277,   278,   279,   280,   281,   282,   283,   284,   285,
     286,   287,   288,   289,    -1,   291,   292,   293,   294,   295,
     296,   297,   298,   299,   300,   301,    -1,   303,   304,    -1,
     306,   307,   308,   309,   310,   311,   312,   313,   314,   315,
     316,    -1,   318,   319,   320,   321,   322,    -1,   324,   325,
     326,   327,    -1,   329,   330,   331,    -1,   333,   334,   335,
     336,   337,   338,   339,   340,   341,   342,   343,    -1,   345,
     346,    -1,   348,   349,   350,   351,   352,   353,    -1,   355,
     356,    -1,    -1,   359,   360,   361,   362,    -1,   364,   365,
     366,   367,   368,   369,   370,    -1,    -1,   373,   374,   375,
     376,   377,    -1,    -1,   380,   381,   382,   383,   384,   385,
     386,    -1,   388,    -1,   390,   391,   392,    -1,    -1,   395,
      -1,    -1,   398,   399,   400,   401,   402,   403,   404,   405,
     406,   407,   408,   409,   410,   411,   412,   413,   414,     3,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      14,    15,    16,    17,    18,    19,    20,    21,    -1,    23,
      24,    25,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    33,
      34,    -1,    36,    37,    -1,    39,    40,    41,    42,    43,
      -1,    45,    46,    -1,    48,    49,    50,    51,    52,    -1,
      -1,    55,    56,    57,    58,    59,    -1,    61,    62,    63,
      64,    65,    -1,    -1,    -1,    69,    70,    71,    72,    -1,
      74,    75,    -1,    77,    78,    79,    80,    81,    82,    -1,
      -1,    85,    86,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      94,    95,    96,    97,    98,    99,   100,   101,   102,    -1,
     104,    -1,   106,   107,   108,   109,   110,    -1,   112,   113,
     114,    -1,    -1,   117,   118,   119,   120,   121,    -1,   123,
     124,   125,    -1,   127,   128,   129,    -1,   131,   132,   133,
     134,   135,   136,   137,   138,   139,    -1,   141,    -1,   143,
     144,   145,    -1,   147,    -1,   149,    -1,    -1,    -1,   153,
     154,   155,    -1,   157,   158,    -1,   160,    -1,   162,   163,
     164,   165,   166,    -1,   168,   169,   170,    -1,   172,   173,
     174,   175,   176,   177,    -1,   179,    -1,   181,   182,   183,
     184,   185,   186,   187,    -1,   189,    -1,   191,    -1,    -1,
     194,    -1,   196,   197,   198,   199,   200,    -1,   202,   203,
      -1,   205,   206,    -1,   208,    -1,    -1,   211,   212,   213,
      -1,    -1,   216,   217,   218,   219,   220,   221,   222,   223,
     224,   225,   226,   227,   228,   229,    -1,   231,   232,   233,
     234,    -1,   236,   237,    -1,   239,    -1,   241,   242,   243,
     244,   245,   246,    -1,   248,    -1,    -1,   251,   252,   253,
      -1,    -1,   256,    -1,    -1,    -1,   260,   261,   262,   263,
     264,   265,   266,   267,    -1,   269,   270,   271,   272,   273,
     274,   275,    -1,   277,   278,   279,   280,   281,   282,   283,
     284,   285,   286,   287,   288,   289,    -1,   291,   292,   293,
     294,   295,   296,   297,   298,   299,   300,   301,    -1,   303,
     304,    -1,   306,   307,   308,   309,   310,   311,   312,   313,
     314,   315,   316,    -1,   318,   319,   320,   321,   322,    -1,
     324,   325,   326,   327,    -1,   329,   330,   331,    -1,   333,
     334,   335,   336,   337,   338,   339,   340,   341,   342,   343,
      -1,   345,   346,    -1,   348,   349,   350,   351,   352,   353,
      -1,   355,   356,    -1,    -1,   359,   360,   361,   362,    -1,
     364,   365,   366,   367,   368,   369,   370,    -1,    -1,   373,
     374,   375,   376,   377,    -1,    -1,   380,   381,   382,   383,
     384,   385,   386,    -1,   388,    -1,   390,   391,   392,    -1,
      -1,   395,    -1,    -1,   398,   399,   400,   401,   402,   403,
     404,   405,   406,   407,   408,   409,   410,   411,   412,   413,
     414,     3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    14,    15,    16,    17,    18,    19,    20,    21,
      -1,    23,    24,    25,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    33,    34,    -1,    36,    37,    -1,    39,    40,    41,
      42,    43,    -1,    45,    46,    -1,    48,    49,    50,    51,
      52,    -1,    -1,    55,    56,    57,    58,    59,    -1,    61,
      62,    63,    64,    65,    -1,    -1,    -1,    69,    70,    71,
      72,    -1,    74,    75,    -1,    77,    78,    79,    80,    81,
      82,    -1,    -1,    85,    86,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    94,    95,    96,    97,    98,    99,   100,   101,
     102,    -1,   104,    -1,   106,   107,   108,   109,   110,    -1,
     112,   113,   114,    -1,    -1,   117,   118,   119,   120,   121,
      -1,   123,   124,   125,    -1,   127,   128,   129,    -1,   131,
     132,   133,   134,   135,   136,   137,   138,   139,    -1,   141,
      -1,   143,   144,   145,    -1,   147,    -1,   149,    -1,    -1,
      -1,   153,   154,   155,    -1,   157,   158,    -1,   160,    -1,
     162,   163,   164,   165,   166,    -1,   168,   169,   170,    -1,
     172,   173,   174,   175,   176,   177,    -1,   179,    -1,   181,
     182,   183,   184,   185,   186,   187,    -1,   189,    -1,   191,
      -1,    -1,   194,    -1,   196,   197,   198,   199,   200,    -1,
     202,   203,    -1,   205,   206,    -1,   208,    -1,    -1,   211,
     212,   213,    -1,    -1,   216,   217,   218,   219,   220,   221,
     222,   223,   224,   225,   226,   227,   228,   229,    -1,   231,
     232,   233,   234,    -1,   236,   237,    -1,   239,    -1,   241,
     242,   243,   244,   245,   246,    -1,   248,    -1,    -1,   251,
     252,   253,    -1,    -1,   256,    -1,    -1,    -1,   260,   261,
     262,   263,   264,   265,   266,   267,    -1,   269,   270,   271,
     272,   273,   274,   275,    -1,   277,   278,   279,   280,   281,
     282,   283,   284,   285,   286,   287,   288,   289,    -1,   291,
     292,   293,   294,   295,   296,   297,   298,   299,   300,   301,
      -1,   303,   304,    -1,   306,   307,   308,   309,   310,   311,
     312,   313,   314,   315,   316,    -1,   318,   319,   320,   321,
     322,    -1,   324,   325,   326,   327,    -1,   329,   330,   331,
      -1,   333,   334,   335,   336,   337,   338,   339,   340,   341,
     342,   343,    -1,   345,   346,    -1,   348,   349,   350,   351,
     352,   353,    -1,   355,   356,    -1,    -1,   359,   360,   361,
     362,    -1,   364,   365,   366,   367,   368,   369,   370,    -1,
      -1,   373,   374,   375,   376,   377,    -1,    -1,   380,   381,
     382,   383,   384,   385,   386,    -1,   388,    -1,   390,   391,
     392,    -1,    -1,   395,    -1,    -1,   398,   399,   400,   401,
     402,   403,   404,   405,   406,   407,   408,   409,   410,   411,
     412,   413,   414,     3,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    14,    15,    16,    17,    18,    19,
      20,    21,    -1,    23,    24,    25,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    33,    34,    -1,    36,    37,    -1,    39,
      40,    41,    42,    43,    -1,    45,    46,    -1,    48,    49,
      50,    51,    52,    -1,    -1,    55,    56,    57,    58,    59,
      -1,    61,    62,    63,    64,    65,    -1,    -1,    -1,    69,
      70,    71,    72,    -1,    74,    75,    -1,    77,    78,    79,
      80,    81,    82,    -1,    -1,    85,    86,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    94,    95,    96,    97,    98,    99,
     100,   101,   102,    -1,   104,    -1,   106,   107,   108,   109,
     110,    -1,   112,   113,   114,    -1,    -1,   117,   118,   119,
     120,   121,    -1,   123,   124,   125,    -1,   127,   128,   129,
      -1,   131,   132,   133,   134,   135,   136,   137,   138,   139,
      -1,   141,    -1,   143,   144,   145,    -1,   147,    -1,   149,
      -1,    -1,    -1,   153,   154,   155,    -1,   157,   158,    -1,
     160,    -1,   162,   163,   164,   165,   166,    -1,   168,   169,
     170,    -1,   172,   173,   174,   175,   176,   177,    -1,   179,
      -1,   181,   182,   183,   184,   185,   186,   187,    -1,   189,
      -1,   191,    -1,    -1,   194,    -1,   196,   197,   198,   199,
     200,    -1,   202,   203,    -1,   205,   206,    -1,   208,    -1,
      -1,   211,   212,   213,    -1,    -1,   216,   217,   218,   219,
     220,   221,   222,   223,   224,   225,   226,   227,   228,   229,
      -1,   231,   232,   233,   234,    -1,   236,   237,    -1,   239,
      -1,   241,   242,   243,   244,   245,   246,    -1,   248,    -1,
      -1,   251,   252,   253,    -1,    -1,   256,    -1,    -1,    -1,
     260,   261,   262,   263,   264,   265,   266,   267,    -1,   269,
     270,   271,   272,   273,   274,   275,    -1,   277,   278,   279,
     280,   281,   282,   283,   284,   285,   286,   287,   288,   289,
      -1,   291,   292,   293,   294,   295,   296,   297,   298,   299,
     300,   301,    -1,   303,   304,    -1,   306,   307,   308,   309,
     310,   311,   312,   313,   314,   315,   316,    -1,   318,   319,
     320,   321,   322,    -1,   324,   325,   326,   327,    -1,   329,
     330,   331,    -1,   333,   334,   335,   336,   337,   338,   339,
     340,   341,   342,   343,    -1,   345,   346,    -1,   348,   349,
     350,   351,   352,   353,    -1,   355,   356,    -1,    -1,   359,
     360,   361,   362,    -1,   364,   365,   366,   367,   368,   369,
     370,    -1,    -1,   373,   374,   375,   376,   377,    -1,    -1,
     380,   381,   382,   383,   384,   385,   386,    -1,   388,    -1,
     390,   391,   392,    -1,    -1,   395,    -1,    -1,   398,   399,
     400,   401,   402,   403,   404,   405,   406,   407,   408,   409,
     410,   411,   412,   413,   414,     3,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    14,    15,    16,    17,
      18,    19,    20,    21,    -1,    23,    24,    25,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    33,    34,    -1,    36,    37,
      -1,    39,    40,    41,    42,    43,    -1,    45,    46,    -1,
      48,    49,    50,    51,    52,    -1,    -1,    55,    56,    57,
      58,    59,    -1,    61,    62,    63,    64,    65,    -1,    -1,
      -1,    69,    70,    71,    72,    -1,    74,    75,    -1,    77,
      78,    79,    80,    81,    82,    -1,    -1,    85,    86,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    94,    95,    96,    97,
      98,    99,   100,   101,   102,    -1,   104,    -1,   106,   107,
     108,   109,   110,    -1,   112,   113,   114,    -1,    -1,   117,
     118,   119,   120,   121,    -1,   123,   124,   125,    -1,   127,
     128,   129,    -1,   131,   132,   133,   134,   135,   136,   137,
     138,   139,    -1,   141,    -1,   143,   144,   145,    -1,   147,
      -1,   149,    -1,    -1,    -1,   153,   154,   155,    -1,   157,
     158,    -1,   160,    -1,   162,   163,   164,   165,   166,    -1,
     168,   169,   170,    -1,   172,   173,   174,   175,   176,   177,
      -1,   179,    -1,   181,   182,   183,   184,   185,   186,   187,
      -1,   189,    -1,   191,    -1,    -1,   194,    -1,   196,   197,
     198,   199,   200,    -1,   202,   203,    -1,   205,   206,    -1,
     208,    -1,    -1,   211,   212,   213,    -1,    -1,   216,   217,
     218,   219,   220,   221,   222,   223,   224,   225,   226,   227,
     228,   229,    -1,   231,   232,   233,   234,    -1,   236,   237,
      -1,   239,    -1,   241,   242,   243,   244,   245,   246,    -1,
     248,    -1,    -1,   251,   252,   253,    -1,    -1,   256,    -1,
      -1,    -1,   260,   261,   262,   263,   264,   265,   266,   267,
      -1,   269,   270,   271,   272,   273,   274,   275,    -1,   277,
     278,   279,   280,   281,   282,   283,   284,   285,   286,   287,
     288,   289,    -1,   291,   292,   293,   294,   295,   296,   297,
     298,   299,   300,   301,    -1,   303,   304,    -1,   306,   307,
     308,   309,   310,   311,   312,   313,   314,   315,   316,    -1,
     318,   319,   320,   321,   322,    -1,   324,   325,   326,   327,
      -1,   329,   330,   331,    -1,   333,   334,   335,   336,   337,
     338,   339,   340,   341,   342,   343,    -1,   345,   346,    -1,
     348,   349,   350,   351,   352,   353,    -1,   355,   356,    -1,
      -1,   359,   360,   361,   362,    -1,   364,   365,   366,   367,
     368,   369,   370,    -1,    -1,   373,   374,   375,   376,   377,
      -1,    -1,   380,   381,   382,   383,   384,   385,   386,    -1,
     388,    -1,   390,   391,   392,    -1,    -1,   395,    -1,    -1,
     398,   399,   400,   401,   402,   403,   404,   405,   406,   407,
     408,   409,   410,   411,   412,   413,   414,     3,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    14,    15,
      16,    17,    18,    19,    20,    21,    -1,    23,    24,    25,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    33,    34,    -1,
      36,    37,    -1,    39,    40,    41,    42,    43,    -1,    45,
      46,    -1,    48,    49,    50,    51,    52,    -1,    -1,    55,
      56,    57,    58,    59,    -1,    61,    62,    63,    64,    65,
      -1,    -1,    -1,    69,    70,    71,    72,    -1,    74,    75,
      -1,    77,    78,    79,    80,    81,    82,    -1,    -1,    85,
      86,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    94,    95,
      96,    97,    98,    99,   100,   101,   102,    -1,   104,    -1,
     106,   107,   108,   109,   110,    -1,   112,   113,   114,    -1,
      -1,   117,   118,   119,   120,   121,    -1,   123,   124,   125,
      -1,   127,   128,   129,    -1,   131,   132,   133,   134,   135,
     136,   137,   138,   139,    -1,   141,    -1,   143,   144,   145,
      -1,   147,    -1,   149,    -1,    -1,    -1,   153,   154,   155,
      -1,   157,   158,    -1,   160,    -1,   162,   163,   164,   165,
     166,    -1,   168,   169,   170,    -1,   172,   173,   174,   175,
     176,   177,    -1,   179,    -1,   181,   182,   183,   184,   185,
     186,   187,    -1,   189,    -1,   191,    -1,    -1,   194,    -1,
     196,   197,   198,   199,   200,    -1,   202,   203,    -1,   205,
     206,    -1,   208,    -1,    -1,   211,   212,   213,    -1,    -1,
     216,   217,   218,   219,   220,   221,   222,   223,   224,   225,
     226,   227,   228,   229,    -1,   231,   232,   233,   234,    -1,
     236,   237,    -1,   239,    -1,   241,   242,   243,   244,   245,
     246,    -1,   248,    -1,    -1,   251,   252,   253,    -1,    -1,
     256,    -1,    -1,    -1,   260,   261,   262,   263,   264,   265,
     266,   267,    -1,   269,   270,   271,   272,   273,   274,   275,
      -1,   277,   278,   279,   280,   281,   282,   283,   284,   285,
     286,   287,   288,   289,    -1,   291,   292,   293,   294,   295,
     296,   297,   298,   299,   300,   301,    -1,   303,   304,    -1,
     306,   307,   308,   309,   310,   311,   312,   313,   314,   315,
     316,    -1,   318,   319,   320,   321,   322,    -1,   324,   325,
     326,   327,    -1,   329,   330,   331,    -1,   333,   334,   335,
     336,   337,   338,   339,   340,   341,   342,   343,    -1,   345,
     346,    -1,   348,   349,   350,   351,   352,   353,    -1,   355,
     356,    -1,    -1,   359,   360,   361,   362,    -1,   364,   365,
     366,   367,   368,   369,   370,    -1,    -1,   373,   374,   375,
     376,   377,    -1,    -1,   380,   381,   382,   383,   384,   385,
     386,    -1,   388,    -1,   390,   391,   392,    -1,    -1,   395,
      -1,    -1,   398,   399,   400,   401,   402,   403,   404,   405,
     406,   407,   408,   409,   410,   411,   412,   413,   414,     3,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      14,    15,    16,    17,    18,    19,    20,    21,    -1,    23,
      24,    25,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    33,
      34,    -1,    36,    37,    -1,    39,    40,    41,    42,    43,
      -1,    45,    46,    -1,    48,    49,    50,    51,    52,    -1,
      -1,    55,    56,    57,    58,    59,    -1,    61,    62,    63,
      64,    65,    -1,    -1,    -1,    69,    70,    71,    72,    -1,
      74,    75,    -1,    77,    78,    79,    80,    81,    82,    -1,
      -1,    85,    86,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      94,    95,    96,    97,    98,    99,   100,   101,   102,    -1,
     104,    -1,   106,   107,   108,   109,   110,    -1,   112,   113,
     114,    -1,    -1,   117,   118,   119,   120,   121,    -1,   123,
     124,   125,    -1,   127,   128,   129,    -1,   131,   132,   133,
     134,   135,   136,   137,   138,   139,    -1,   141,    -1,   143,
     144,   145,    -1,   147,    -1,   149,    -1,    -1,    -1,   153,
     154,   155,    -1,   157,   158,    -1,   160,    -1,   162,   163,
     164,   165,   166,    -1,   168,   169,   170,    -1,   172,   173,
     174,   175,   176,   177,    -1,   179,    -1,   181,   182,   183,
     184,   185,   186,   187,    -1,   189,    -1,   191,    -1,    -1,
     194,    -1,   196,   197,   198,   199,   200,    -1,   202,   203,
      -1,   205,   206,    -1,   208,    -1,    -1,   211,   212,   213,
      -1,    -1,   216,   217,   218,   219,   220,   221,   222,   223,
     224,   225,   226,   227,   228,   229,    -1,   231,   232,   233,
     234,    -1,   236,   237,    -1,   239,    -1,   241,   242,   243,
     244,   245,   246,    -1,   248,    -1,    -1,   251,   252,   253,
      -1,    -1,   256,    -1,    -1,    -1,   260,   261,   262,   263,
     264,   265,   266,   267,    -1,   269,   270,   271,   272,   273,
     274,   275,    -1,   277,   278,   279,   280,   281,   282,   283,
     284,   285,   286,   287,   288,   289,    -1,   291,   292,   293,
     294,   295,   296,   297,   298,   299,   300,   301,    -1,   303,
     304,    -1,   306,   307,   308,   309,   310,   311,   312,   313,
     314,   315,   316,    -1,   318,   319,   320,   321,   322,    -1,
     324,   325,   326,   327,    -1,   329,   330,   331,    -1,   333,
     334,   335,   336,   337,   338,   339,   340,   341,   342,   343,
      -1,   345,   346,    -1,   348,   349,   350,   351,   352,   353,
      -1,   355,   356,    -1,    -1,   359,   360,   361,   362,    -1,
     364,   365,   366,   367,   368,   369,   370,    -1,    -1,   373,
     374,   375,   376,   377,    -1,    -1,   380,   381,   382,   383,
     384,   385,   386,    -1,   388,    -1,   390,   391,   392,    -1,
      -1,   395,    -1,    -1,   398,   399,   400,   401,   402,   403,
     404,   405,   406,   407,   408,   409,   410,   411,   412,   413,
     414,     3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    14,    15,    16,    17,    18,    19,    20,    21,
      -1,    23,    24,    25,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    33,    34,    -1,    36,    37,    -1,    39,    40,    41,
      42,    43,    -1,    45,    46,    -1,    48,    49,    50,    51,
      52,    -1,    -1,    55,    56,    57,    58,    59,    -1,    61,
      62,    63,    64,    65,    -1,    -1,    -1,    69,    70,    71,
      72,    -1,    74,    75,    -1,    77,    78,    79,    80,    81,
      82,    -1,    -1,    85,    86,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    94,    95,    96,    97,    98,    99,   100,   101,
     102,    -1,   104,    -1,   106,   107,   108,   109,   110,    -1,
     112,   113,   114,    -1,    -1,   117,   118,   119,   120,   121,
      -1,   123,   124,   125,    -1,   127,   128,   129,    -1,   131,
     132,   133,   134,   135,   136,   137,   138,   139,    -1,   141,
      -1,   143,   144,   145,    -1,   147,    -1,   149,    -1,    -1,
      -1,   153,   154,   155,    -1,   157,   158,    -1,   160,    -1,
     162,   163,   164,   165,   166,    -1,   168,   169,   170,    -1,
     172,   173,   174,   175,   176,   177,    -1,   179,    -1,   181,
     182,   183,   184,   185,   186,   187,    -1,   189,    -1,   191,
      -1,    -1,   194,    -1,   196,   197,   198,   199,   200,    -1,
     202,   203,    -1,   205,   206,    -1,   208,    -1,    -1,   211,
     212,   213,    -1,    -1,   216,   217,   218,   219,   220,   221,
     222,   223,   224,   225,   226,   227,   228,   229,    -1,   231,
     232,   233,   234,    -1,   236,   237,    -1,   239,    -1,   241,
     242,   243,   244,   245,   246,    -1,   248,    -1,    -1,   251,
     252,   253,    -1,    -1,   256,    -1,    -1,    -1,   260,   261,
     262,   263,   264,   265,   266,   267,    -1,   269,   270,   271,
     272,   273,   274,   275,    -1,   277,   278,   279,   280,   281,
     282,   283,   284,   285,   286,   287,   288,   289,    -1,   291,
     292,   293,   294,   295,   296,   297,   298,   299,   300,   301,
      -1,   303,   304,    -1,   306,   307,   308,   309,   310,   311,
     312,   313,   314,   315,   316,    -1,   318,   319,   320,   321,
     322,    -1,   324,   325,   326,   327,    -1,   329,   330,   331,
      -1,   333,   334,   335,   336,   337,   338,   339,   340,   341,
     342,   343,    -1,   345,   346,    -1,   348,   349,   350,   351,
     352,   353,    -1,   355,   356,    -1,    -1,   359,   360,   361,
     362,    -1,   364,   365,   366,   367,   368,   369,   370,    -1,
      -1,   373,   374,   375,   376,   377,    -1,    -1,   380,   381,
     382,   383,   384,   385,   386,    -1,   388,    -1,   390,   391,
     392,    -1,    -1,   395,    -1,    -1,   398,   399,   400,   401,
     402,   403,   404,   405,   406,   407,   408,   409,   410,   411,
     412,   413,   414,     3,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    14,    15,    16,    17,    18,    19,
      20,    21,    -1,    23,    24,    25,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    33,    34,    -1,    36,    37,    -1,    39,
      40,    41,    42,    43,    -1,    45,    46,    -1,    48,    49,
      50,    51,    52,    -1,    -1,    55,    56,    57,    58,    59,
      -1,    61,    62,    63,    64,    65,    -1,    -1,    -1,    69,
      70,    71,    72,    -1,    74,    75,    -1,    77,    78,    79,
      80,    81,    82,    -1,    -1,    85,    86,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    94,    95,    96,    97,    98,    99,
     100,   101,   102,    -1,   104,    -1,   106,   107,   108,   109,
     110,    -1,   112,   113,   114,    -1,    -1,   117,   118,   119,
     120,   121,    -1,   123,   124,   125,    -1,   127,   128,   129,
      -1,   131,   132,   133,   134,   135,   136,   137,   138,   139,
      -1,   141,    -1,   143,   144,   145,    -1,   147,    -1,   149,
      -1,    -1,    -1,   153,   154,   155,    -1,   157,   158,    -1,
     160,    -1,   162,   163,   164,   165,   166,    -1,   168,   169,
     170,    -1,   172,   173,   174,   175,   176,   177,    -1,   179,
      -1,   181,   182,   183,   184,   185,   186,   187,    -1,   189,
      -1,   191,    -1,    -1,   194,    -1,   196,   197,   198,   199,
     200,    -1,   202,   203,    -1,   205,   206,    -1,   208,    -1,
      -1,   211,   212,   213,    -1,    -1,   216,   217,   218,   219,
     220,   221,   222,   223,   224,   225,   226,   227,   228,   229,
      -1,   231,   232,   233,   234,    -1,   236,   237,    -1,   239,
      -1,   241,   242,   243,   244,   245,   246,    -1,   248,    -1,
      -1,   251,   252,   253,    -1,    -1,   256,    -1,    -1,    -1,
     260,   261,   262,   263,   264,   265,   266,   267,    -1,   269,
     270,   271,   272,   273,   274,   275,    -1,   277,   278,   279,
     280,   281,   282,   283,   284,   285,   286,   287,   288,   289,
      -1,   291,   292,   293,   294,   295,   296,   297,   298,   299,
     300,   301,    -1,   303,   304,    -1,   306,   307,   308,   309,
     310,   311,   312,   313,   314,   315,   316,    -1,   318,   319,
     320,   321,   322,    -1,   324,   325,   326,   327,    -1,   329,
     330,   331,    -1,   333,   334,   335,   336,   337,   338,   339,
     340,   341,   342,   343,    -1,   345,   346,    -1,   348,   349,
     350,   351,   352,   353,    -1,   355,   356,    -1,    -1,   359,
     360,   361,   362,    -1,   364,   365,   366,   367,   368,   369,
     370,    -1,    -1,   373,   374,   375,   376,   377,    -1,    -1,
     380,   381,   382,   383,   384,   385,   386,    -1,   388,    -1,
     390,   391,   392,    -1,    -1,   395,    -1,    -1,   398,   399,
     400,   401,   402,   403,   404,   405,   406,   407,   408,   409,
     410,   411,   412,   413,   414,     3,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    14,    15,    16,    17,
      18,    19,    20,    21,    -1,    23,    24,    25,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    33,    34,    -1,    36,    37,
      -1,    39,    40,    41,    42,    43,    -1,    45,    46,    -1,
      48,    49,    50,    51,    52,    -1,    -1,    55,    56,    57,
      58,    59,    -1,    61,    62,    63,    64,    65,    -1,    -1,
      -1,    69,    70,    71,    72,    -1,    74,    75,    -1,    77,
      78,    79,    80,    81,    82,    -1,    -1,    85,    86,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    94,    95,    96,    97,
      98,    99,   100,   101,   102,    -1,   104,    -1,   106,   107,
     108,   109,   110,    -1,   112,   113,   114,    -1,    -1,   117,
     118,   119,   120,   121,    -1,   123,   124,   125,    -1,   127,
     128,   129,    -1,   131,   132,   133,   134,   135,   136,   137,
     138,   139,    -1,   141,    -1,   143,   144,   145,    -1,   147,
      -1,   149,    -1,    -1,    -1,   153,   154,   155,    -1,   157,
     158,    -1,   160,    -1,   162,   163,   164,   165,   166,    -1,
     168,   169,   170,    -1,   172,   173,   174,   175,   176,   177,
      -1,   179,    -1,   181,   182,   183,   184,   185,   186,   187,
      -1,   189,    -1,   191,    -1,    -1,   194,    -1,   196,   197,
     198,   199,   200,    -1,   202,   203,    -1,   205,   206,    -1,
     208,    -1,    -1,   211,   212,   213,    -1,    -1,   216,   217,
     218,   219,   220,   221,   222,   223,   224,   225,   226,   227,
     228,   229,    -1,   231,   232,   233,   234,    -1,   236,   237,
      -1,   239,    -1,   241,   242,   243,   244,   245,   246,    -1,
     248,    -1,    -1,   251,   252,   253,    -1,    -1,   256,    -1,
      -1,    -1,   260,   261,   262,   263,   264,   265,   266,   267,
      -1,   269,   270,   271,   272,   273,   274,   275,    -1,   277,
     278,   279,   280,   281,   282,   283,   284,   285,   286,   287,
     288,   289,    -1,   291,   292,   293,   294,   295,   296,   297,
     298,   299,   300,   301,    -1,   303,   304,    -1,   306,   307,
     308,   309,   310,   311,   312,   313,   314,   315,   316,    -1,
     318,   319,   320,   321,   322,    -1,   324,   325,   326,   327,
      -1,   329,   330,   331,    -1,   333,   334,   335,   336,   337,
     338,   339,   340,   341,   342,   343,    -1,   345,   346,    -1,
     348,   349,   350,   351,   352,   353,    -1,   355,   356,    -1,
      -1,   359,   360,   361,   362,    -1,   364,   365,   366,   367,
     368,   369,   370,    -1,    -1,   373,   374,   375,   376,   377,
      -1,    -1,   380,   381,   382,   383,   384,   385,   386,    -1,
     388,    -1,   390,   391,   392,    -1,    -1,   395,    -1,    -1,
     398,   399,   400,   401,   402,   403,   404,   405,   406,   407,
     408,   409,   410,   411,   412,   413,   414,     3,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    14,    15,
      16,    17,    18,    19,    20,    21,    -1,    23,    24,    25,
      -1,    -1,    -1,    -1,    -1,    31,    -1,    33,    34,    -1,
      36,    37,    -1,    39,    40,    41,    42,    43,    -1,    45,
      46,    -1,    48,    49,    50,    51,    52,    -1,    -1,    55,
      56,    57,    58,    59,    -1,    61,    62,    63,    64,    65,
      -1,    -1,    -1,    69,    70,    71,    72,    -1,    74,    75,
      -1,    77,    78,    79,    80,    81,    82,    -1,    -1,    85,
      86,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    94,    95,
      96,    97,    98,    99,   100,   101,   102,    -1,   104,    -1,
     106,   107,   108,   109,   110,    -1,   112,   113,   114,    -1,
      -1,   117,   118,   119,   120,   121,    -1,   123,   124,   125,
      -1,   127,   128,   129,    -1,   131,   132,   133,   134,   135,
     136,   137,   138,   139,    -1,   141,    -1,   143,   144,   145,
      -1,   147,    -1,   149,    -1,    -1,    -1,   153,   154,   155,
      -1,   157,   158,    -1,   160,    -1,   162,   163,   164,   165,
     166,    -1,   168,   169,   170,    -1,   172,   173,   174,   175,
     176,   177,    -1,   179,    -1,   181,   182,   183,   184,   185,
     186,   187,    -1,   189,    -1,   191,    -1,    -1,   194,    -1,
     196,   197,   198,   199,   200,    -1,   202,   203,    -1,   205,
     206,    -1,   208,    -1,    -1,   211,   212,   213,    -1,    -1,
     216,   217,   218,   219,   220,   221,   222,   223,   224,   225,
     226,   227,   228,   229,    -1,   231,   232,   233,   234,    -1,
     236,   237,    -1,   239,    -1,   241,   242,   243,   244,   245,
     246,    -1,   248,    -1,    -1,   251,   252,   253,    -1,    -1,
     256,    -1,    -1,    -1,   260,   261,   262,   263,   264,   265,
     266,   267,    -1,   269,   270,   271,   272,   273,   274,   275,
      -1,   277,   278,   279,   280,   281,   282,   283,   284,   285,
     286,   287,   288,   289,    -1,   291,   292,   293,   294,   295,
     296,   297,   298,   299,   300,   301,    -1,   303,   304,    -1,
     306,   307,   308,   309,   310,   311,   312,   313,   314,   315,
     316,    -1,   318,   319,   320,   321,   322,    -1,    -1,   325,
     326,   327,    -1,   329,   330,   331,    -1,   333,   334,   335,
     336,   337,   338,   339,   340,   341,   342,   343,    -1,   345,
     346,    -1,   348,   349,   350,   351,   352,   353,    -1,   355,
     356,    -1,    -1,   359,   360,   361,   362,    -1,   364,   365,
     366,   367,   368,   369,   370,    -1,    -1,   373,   374,   375,
     376,   377,    -1,    -1,   380,   381,   382,   383,   384,   385,
     386,    -1,   388,    -1,   390,   391,   392,    -1,    -1,   395,
      -1,    -1,   398,   399,   400,   401,   402,   403,   404,   405,
     406,   407,   408,   409,   410,   411,   412,   413,   414,     3,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      14,    15,    16,    17,    18,    19,    20,    21,    -1,    23,
      24,    25,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    33,
      34,    -1,    36,    37,    -1,    39,    40,    41,    42,    43,
      -1,    45,    46,    -1,    48,    49,    50,    51,    52,    -1,
      -1,    55,    56,    57,    58,    59,    -1,    61,    62,    63,
      64,    65,    -1,    -1,    -1,    69,    70,    71,    72,    -1,
      74,    75,    -1,    77,    78,    79,    80,    81,    82,    -1,
      -1,    85,    86,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      94,    95,    96,    97,    98,    99,   100,   101,   102,    -1,
     104,    -1,   106,   107,   108,   109,   110,    -1,   112,   113,
     114,    -1,    -1,   117,   118,   119,   120,   121,    -1,   123,
     124,   125,    -1,   127,   128,   129,    -1,   131,   132,   133,
     134,   135,   136,   137,   138,   139,    -1,   141,    -1,   143,
     144,   145,    -1,   147,    -1,   149,    -1,    -1,    -1,   153,
     154,   155,    -1,   157,   158,    -1,   160,    -1,   162,   163,
     164,   165,   166,    -1,   168,   169,   170,    -1,   172,   173,
     174,   175,   176,   177,    -1,   179,    -1,   181,   182,   183,
     184,   185,   186,   187,    -1,   189,    -1,   191,    -1,    -1,
     194,    -1,   196,   197,   198,   199,   200,    -1,   202,   203,
      -1,   205,   206,    -1,   208,    -1,    -1,   211,   212,   213,
      -1,    -1,   216,   217,   218,   219,   220,   221,   222,   223,
     224,   225,   226,   227,   228,   229,    -1,   231,   232,   233,
     234,    -1,   236,   237,    -1,   239,    -1,   241,   242,   243,
     244,   245,   246,    -1,   248,    -1,    -1,   251,   252,   253,
      -1,    -1,   256,    -1,    -1,    -1,   260,   261,   262,   263,
     264,   265,   266,   267,    -1,   269,   270,   271,   272,   273,
     274,   275,    -1,   277,   278,   279,   280,   281,   282,   283,
     284,   285,   286,   287,   288,   289,    -1,   291,   292,   293,
     294,   295,   296,   297,   298,   299,   300,   301,    -1,   303,
     304,    -1,   306,   307,   308,   309,   310,   311,   312,   313,
     314,   315,   316,    -1,   318,   319,   320,   321,   322,    -1,
     324,   325,   326,   327,    -1,   329,   330,   331,    -1,   333,
     334,   335,   336,   337,   338,   339,   340,   341,   342,   343,
      -1,   345,   346,    -1,   348,   349,   350,   351,   352,   353,
      -1,   355,   356,    -1,    -1,   359,   360,   361,   362,    -1,
     364,   365,   366,   367,   368,   369,   370,    -1,    -1,   373,
     374,   375,   376,   377,    -1,    -1,   380,   381,   382,   383,
     384,   385,   386,    -1,   388,    -1,   390,   391,   392,    -1,
      -1,   395,    -1,    -1,   398,   399,   400,   401,   402,   403,
     404,   405,   406,   407,   408,   409,   410,   411,   412,   413,
     414,     3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    14,    15,    16,    17,    18,    19,    20,    21,
      -1,    23,    24,    25,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    33,    34,    -1,    36,    37,    -1,    39,    40,    41,
      42,    43,    -1,    45,    46,    -1,    48,    49,    50,    51,
      52,    -1,    -1,    55,    56,    57,    58,    59,    -1,    61,
      62,    63,    64,    65,    -1,    -1,    -1,    69,    70,    71,
      72,    -1,    74,    75,    -1,    77,    78,    79,    80,    81,
      82,    -1,    -1,    85,    86,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    94,    95,    96,    97,    98,    99,   100,   101,
     102,    -1,   104,    -1,   106,   107,   108,   109,   110,    -1,
     112,   113,   114,    -1,    -1,   117,   118,   119,   120,   121,
      -1,   123,   124,   125,    -1,   127,   128,   129,    -1,   131,
     132,   133,   134,   135,   136,   137,   138,   139,    -1,   141,
      -1,   143,   144,   145,    -1,   147,    -1,   149,    -1,    -1,
      -1,   153,   154,   155,    -1,   157,   158,    -1,   160,    -1,
     162,   163,   164,   165,   166,    -1,   168,   169,   170,    -1,
     172,   173,   174,   175,   176,   177,    -1,   179,    -1,   181,
     182,   183,   184,   185,   186,   187,    -1,   189,    -1,   191,
      -1,    -1,   194,    -1,   196,   197,   198,   199,   200,    -1,
     202,   203,    -1,   205,   206,    -1,   208,    -1,    -1,   211,
     212,   213,    -1,    -1,   216,   217,   218,   219,   220,   221,
     222,   223,   224,   225,   226,   227,   228,   229,    -1,   231,
     232,   233,   234,    -1,   236,   237,    -1,   239,    -1,   241,
     242,   243,   244,   245,   246,    -1,   248,    -1,    -1,   251,
     252,   253,    -1,    -1,   256,    -1,    -1,    -1,   260,   261,
     262,   263,   264,   265,   266,   267,    -1,   269,   270,   271,
     272,   273,   274,   275,    -1,   277,   278,   279,   280,   281,
     282,   283,   284,   285,   286,   287,   288,   289,    -1,   291,
     292,   293,   294,   295,   296,   297,   298,   299,   300,   301,
      -1,   303,   304,    -1,   306,   307,   308,   309,   310,   311,
     312,   313,   314,   315,   316,    -1,   318,   319,   320,   321,
     322,    -1,   324,   325,   326,   327,    -1,   329,   330,   331,
      -1,   333,   334,   335,   336,   337,   338,   339,   340,   341,
     342,   343,    -1,   345,   346,    -1,   348,   349,   350,   351,
     352,   353,    -1,   355,   356,    -1,    -1,   359,   360,   361,
     362,    -1,   364,   365,   366,   367,   368,   369,   370,    -1,
      -1,   373,   374,   375,   376,   377,    -1,    -1,   380,   381,
     382,   383,   384,   385,   386,    -1,   388,    -1,   390,   391,
     392,    -1,    -1,   395,    -1,    -1,   398,   399,   400,   401,
     402,   403,   404,   405,   406,   407,   408,   409,   410,   411,
     412,   413,   414,     3,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    14,    15,    16,    17,    18,    19,
      20,    21,    -1,    23,    24,    25,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    33,    34,    -1,    36,    37,    -1,    39,
      40,    41,    42,    43,    -1,    45,    46,    -1,    48,    49,
      50,    51,    52,    -1,    -1,    55,    56,    57,    58,    59,
      -1,    61,    62,    63,    64,    65,    -1,    -1,    -1,    69,
      70,    71,    72,    -1,    74,    75,    -1,    77,    78,    79,
      80,    81,    82,    -1,    -1,    85,    86,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    94,    95,    96,    97,    98,    99,
     100,   101,   102,    -1,   104,    -1,   106,   107,   108,   109,
     110,    -1,   112,   113,   114,    -1,    -1,   117,   118,   119,
     120,   121,    -1,   123,   124,   125,    -1,   127,   128,   129,
      -1,   131,   132,   133,   134,   135,   136,   137,   138,   139,
      -1,   141,    -1,   143,   144,   145,    -1,   147,    -1,   149,
      -1,    -1,    -1,   153,   154,   155,    -1,   157,   158,    -1,
     160,    -1,   162,   163,   164,   165,   166,    -1,   168,   169,
     170,    -1,   172,   173,   174,   175,   176,   177,    -1,   179,
      -1,   181,   182,   183,   184,   185,   186,   187,    -1,   189,
      -1,   191,    -1,    -1,   194,    -1,   196,   197,   198,   199,
     200,    -1,   202,   203,    -1,   205,   206,    -1,   208,    -1,
      -1,   211,   212,   213,    -1,    -1,   216,   217,   218,   219,
     220,   221,   222,   223,   224,   225,   226,   227,   228,   229,
      -1,   231,   232,   233,   234,    -1,   236,   237,    -1,   239,
      -1,   241,   242,   243,   244,   245,   246,    -1,   248,    -1,
      -1,   251,   252,   253,    -1,    -1,   256,    -1,    -1,    -1,
     260,   261,   262,   263,   264,   265,   266,   267,    -1,   269,
     270,   271,   272,   273,   274,   275,    -1,   277,   278,   279,
     280,   281,   282,   283,   284,   285,   286,   287,   288,   289,
      -1,   291,   292,   293,   294,   295,   296,   297,   298,   299,
     300,   301,    -1,   303,   304,    -1,   306,   307,   308,   309,
     310,   311,   312,   313,   314,   315,   316,    -1,   318,   319,
     320,   321,   322,    -1,   324,   325,   326,   327,    -1,   329,
     330,   331,    -1,   333,   334,   335,   336,   337,   338,   339,
     340,   341,   342,   343,    -1,   345,   346,    -1,   348,   349,
     350,   351,   352,   353,    -1,   355,   356,    -1,    -1,   359,
     360,   361,   362,    -1,   364,   365,   366,   367,   368,   369,
     370,    -1,    -1,   373,   374,   375,   376,   377,    -1,    -1,
     380,   381,   382,   383,   384,   385,   386,    -1,   388,    -1,
     390,   391,   392,    -1,    -1,   395,    -1,    -1,   398,   399,
     400,   401,   402,   403,   404,   405,   406,   407,   408,   409,
     410,   411,   412,   413,   414,     3,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    14,    15,    16,    17,
      18,    19,    20,    21,    -1,    23,    24,    25,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    33,    34,    -1,    36,    37,
      -1,    39,    40,    41,    42,    43,    -1,    45,    46,    -1,
      48,    49,    50,    51,    52,    -1,    -1,    55,    56,    57,
      58,    59,    -1,    61,    62,    63,    64,    65,    -1,    -1,
      -1,    69,    70,    71,    72,    -1,    74,    75,    -1,    77,
      78,    79,    80,    81,    82,    -1,    -1,    85,    86,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    94,    95,    96,    97,
      98,    99,   100,   101,   102,    -1,   104,    -1,   106,   107,
     108,   109,   110,    -1,   112,   113,   114,    -1,    -1,   117,
     118,   119,   120,   121,    -1,   123,   124,   125,    -1,   127,
     128,   129,    -1,   131,   132,   133,   134,   135,   136,   137,
     138,   139,    -1,   141,    -1,   143,   144,   145,    -1,   147,
      -1,   149,    -1,    -1,    -1,   153,   154,   155,    -1,   157,
     158,    -1,   160,    -1,   162,   163,   164,   165,   166,    -1,
     168,   169,   170,    -1,   172,   173,   174,   175,   176,   177,
      -1,   179,    -1,   181,   182,   183,   184,   185,   186,   187,
      -1,   189,    -1,   191,    -1,    -1,   194,    -1,   196,   197,
     198,   199,   200,    -1,   202,   203,    -1,   205,   206,    -1,
     208,    -1,    -1,   211,   212,   213,    -1,    -1,   216,   217,
     218,   219,   220,   221,   222,   223,   224,   225,   226,   227,
     228,   229,    -1,   231,   232,   233,   234,    -1,   236,   237,
      -1,   239,    -1,   241,   242,   243,   244,   245,   246,    -1,
     248,    -1,    -1,   251,   252,   253,    -1,    -1,   256,    -1,
      -1,    -1,   260,   261,   262,   263,   264,   265,   266,   267,
      -1,   269,   270,   271,   272,   273,   274,   275,    -1,   277,
     278,   279,   280,   281,   282,   283,   284,   285,   286,   287,
     288,   289,    -1,   291,   292,   293,   294,   295,   296,   297,
     298,   299,   300,   301,    -1,   303,   304,    -1,   306,   307,
     308,   309,   310,   311,   312,   313,   314,   315,   316,    -1,
     318,   319,   320,   321,   322,    -1,   324,   325,   326,   327,
      -1,   329,   330,   331,    -1,   333,   334,   335,   336,   337,
     338,   339,   340,   341,   342,   343,    -1,   345,   346,    -1,
     348,   349,   350,   351,   352,   353,    -1,   355,   356,    -1,
      -1,   359,   360,   361,   362,    -1,   364,   365,   366,   367,
     368,   369,   370,    -1,    -1,   373,   374,   375,   376,   377,
      -1,    -1,   380,   381,   382,   383,   384,   385,   386,    -1,
     388,    -1,   390,   391,   392,    -1,    -1,   395,    -1,    -1,
     398,   399,   400,   401,   402,   403,   404,   405,   406,   407,
     408,   409,   410,   411,   412,   413,   414,     3,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    14,    15,
      16,    17,    18,    19,    20,    21,    -1,    23,    24,    25,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    33,    34,    -1,
      36,    37,    -1,    39,    40,    41,    42,    43,    -1,    45,
      46,    -1,    48,    49,    50,    51,    52,    -1,    -1,    55,
      56,    57,    58,    59,    -1,    61,    62,    63,    64,    65,
      -1,    -1,    -1,    69,    70,    71,    72,    -1,    74,    75,
      -1,    77,    78,    79,    80,    81,    82,    -1,    -1,    85,
      86,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    94,    95,
      96,    97,    98,    99,   100,   101,   102,    -1,   104,    -1,
     106,   107,   108,   109,   110,    -1,   112,   113,   114,    -1,
      -1,   117,   118,   119,   120,   121,    -1,   123,   124,   125,
      -1,   127,   128,   129,    -1,   131,   132,   133,   134,   135,
     136,   137,   138,   139,    -1,   141,    -1,   143,   144,   145,
      -1,   147,    -1,   149,    -1,    -1,    -1,   153,   154,   155,
      -1,   157,   158,    -1,   160,    -1,   162,   163,   164,   165,
     166,    -1,   168,   169,   170,    -1,   172,   173,   174,   175,
     176,   177,    -1,   179,    -1,   181,   182,   183,   184,   185,
     186,   187,    -1,   189,    -1,   191,    -1,    -1,   194,    -1,
     196,   197,   198,   199,   200,    -1,   202,   203,    -1,   205,
     206,    -1,   208,    -1,    -1,   211,   212,   213,    -1,    -1,
     216,   217,   218,   219,   220,   221,   222,   223,   224,   225,
     226,   227,   228,   229,    -1,   231,   232,   233,   234,    -1,
     236,   237,    -1,   239,    -1,   241,   242,   243,   244,   245,
     246,    -1,   248,    -1,    -1,   251,   252,   253,    -1,    -1,
     256,    -1,    -1,    -1,   260,   261,   262,   263,   264,   265,
     266,   267,    -1,   269,   270,   271,   272,   273,   274,   275,
      -1,   277,   278,   279,   280,   281,   282,   283,   284,   285,
     286,   287,   288,   289,    -1,   291,   292,   293,   294,   295,
     296,   297,   298,   299,   300,   301,    -1,   303,   304,    -1,
     306,   307,   308,   309,   310,   311,   312,   313,   314,   315,
     316,    -1,   318,   319,   320,   321,   322,    -1,   324,   325,
     326,   327,    -1,   329,   330,   331,    -1,   333,   334,   335,
     336,   337,   338,   339,   340,   341,   342,   343,    -1,   345,
     346,    -1,   348,   349,   350,   351,   352,   353,    -1,   355,
     356,    -1,    -1,   359,   360,   361,   362,    -1,   364,   365,
     366,   367,   368,   369,   370,    -1,    -1,   373,   374,   375,
     376,   377,    -1,    -1,   380,   381,   382,   383,   384,   385,
     386,    -1,   388,    -1,   390,   391,   392,    -1,    -1,   395,
      -1,    -1,   398,   399,   400,   401,   402,   403,   404,   405,
     406,   407,   408,   409,   410,   411,   412,   413,   414,     3,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      14,    15,    16,    17,    18,    19,    20,    21,    -1,    23,
      24,    25,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    33,
      34,    -1,    36,    37,    38,    39,    40,    41,    -1,    43,
      44,    45,    46,    -1,    48,    49,    50,    51,    52,    -1,
      -1,    55,    56,    57,    58,    59,    -1,    61,    62,    63,
      64,    -1,    -1,    67,    -1,    69,    70,    71,    72,    73,
      74,    75,    -1,    77,    78,    79,    80,    81,    82,    -1,
      84,    85,    86,    -1,    -1,    -1,    90,    -1,    -1,    -1,
      94,    95,    96,    97,    98,    99,   100,   101,   102,    -1,
     104,    -1,   106,   107,   108,   109,   110,    -1,   112,   113,
     114,    -1,    -1,   117,   118,   119,   120,   121,    -1,   123,
     124,   125,    -1,   127,   128,   129,    -1,   131,   132,   133,
     134,    -1,   136,   137,   138,    -1,    -1,   141,    -1,   143,
     144,   145,    -1,   147,    -1,   149,   150,    -1,   152,   153,
     154,   155,    -1,   157,    -1,    -1,   160,    -1,   162,   163,
     164,   165,   166,   167,   168,   169,   170,   171,   172,   173,
     174,   175,   176,   177,    -1,   179,   180,   181,   182,   183,
     184,   185,   186,   187,    -1,   189,    -1,   191,   192,   193,
     194,   195,   196,   197,   198,   199,   200,    -1,   202,   203,
      -1,   205,    -1,   207,   208,   209,    -1,   211,   212,   213,
      -1,    -1,   216,   217,   218,   219,   220,   221,   222,   223,
     224,   225,   226,   227,   228,   229,   230,   231,   232,   233,
      -1,    -1,   236,   237,   238,   239,    -1,    -1,   242,   243,
     244,   245,   246,    -1,   248,    -1,    -1,   251,   252,   253,
      -1,    -1,   256,   257,   258,   259,    -1,   261,   262,   263,
     264,   265,   266,   267,    -1,   269,    -1,   271,    -1,   273,
     274,   275,    -1,   277,   278,   279,   280,   281,   282,   283,
     284,   285,   286,   287,   288,   289,    -1,   291,   292,   293,
     294,   295,   296,   297,   298,   299,   300,   301,    -1,   303,
     304,   305,   306,   307,    -1,   309,   310,   311,   312,   313,
     314,   315,   316,    -1,   318,   319,   320,   321,   322,    -1,
     324,   325,   326,   327,   328,   329,   330,   331,    -1,   333,
     334,   335,   336,   337,   338,   339,   340,   341,   342,    -1,
      -1,   345,   346,    -1,   348,   349,   350,   351,   352,   353,
      -1,   355,   356,    -1,    -1,   359,    -1,   361,    -1,    -1,
     364,   365,   366,   367,   368,   369,   370,    -1,    -1,   373,
     374,   375,   376,   377,    -1,    -1,   380,   381,   382,   383,
     384,    -1,   386,   387,   388,   389,   390,   391,   392,    -1,
      -1,   395,    -1,    -1,   398,   399,   400,   401,   402,    -1,
       3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   412,   413,
     414,    14,    15,    16,    17,    18,    19,    20,    21,    -1,
      23,    24,    25,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      33,    34,    -1,    36,    37,    -1,    39,    40,    41,    42,
      43,    -1,    45,    46,    -1,    48,    49,    50,    51,    52,
      -1,    -1,    55,    56,    57,    58,    59,    -1,    61,    62,
      63,    64,    65,    -1,    -1,    -1,    69,    70,    71,    72,
      -1,    74,    75,    -1,    77,    78,    79,    80,    81,    82,
      -1,    -1,    85,    86,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    94,    95,    96,    97,    98,    99,   100,   101,   102,
      -1,   104,    -1,   106,   107,   108,   109,   110,    -1,   112,
     113,   114,    -1,    -1,   117,   118,   119,   120,   121,    -1,
     123,   124,   125,    -1,   127,   128,   129,    -1,   131,   132,
     133,   134,   135,   136,   137,   138,   139,    -1,   141,    -1,
     143,   144,   145,    -1,   147,    -1,   149,    -1,    -1,    -1,
     153,   154,   155,    -1,   157,   158,    -1,   160,    -1,   162,
     163,   164,   165,   166,    -1,   168,   169,   170,    -1,   172,
     173,   174,   175,   176,   177,    -1,   179,    -1,   181,   182,
     183,   184,   185,   186,   187,    -1,   189,    -1,   191,    -1,
      -1,   194,    -1,   196,   197,   198,   199,   200,    -1,   202,
     203,    -1,   205,   206,    -1,   208,    -1,    -1,   211,   212,
     213,    -1,    -1,   216,   217,   218,   219,   220,   221,   222,
     223,   224,   225,   226,   227,   228,   229,    -1,   231,   232,
     233,   234,    -1,   236,   237,    -1,   239,    -1,   241,   242,
     243,   244,   245,   246,    -1,   248,    -1,    -1,   251,   252,
     253,    -1,    -1,   256,    -1,    -1,    -1,   260,   261,   262,
     263,   264,   265,   266,   267,    -1,   269,   270,   271,   272,
     273,   274,   275,    -1,   277,   278,   279,   280,   281,   282,
     283,   284,   285,   286,   287,   288,   289,    -1,   291,   292,
     293,   294,   295,   296,   297,   298,   299,   300,   301,    -1,
     303,   304,    -1,   306,   307,   308,   309,   310,   311,   312,
     313,   314,   315,   316,    -1,   318,   319,   320,   321,   322,
      -1,   324,   325,   326,   327,    -1,   329,   330,   331,    -1,
     333,   334,   335,   336,   337,   338,   339,   340,   341,   342,
     343,    -1,   345,   346,    -1,   348,   349,   350,   351,   352,
     353,    -1,   355,   356,    -1,    -1,   359,   360,   361,   362,
      -1,   364,   365,   366,   367,   368,   369,   370,    -1,    -1,
     373,   374,   375,   376,   377,    -1,    -1,   380,   381,   382,
     383,   384,   385,   386,    -1,   388,    -1,   390,   391,   392,
      -1,    -1,   395,    -1,    -1,   398,   399,   400,   401,   402,
     403,   404,   405,   406,   407,   408,   409,   410,   411,   412,
     413,   414,     3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    14,    15,    16,    17,    18,    19,    20,
      21,    -1,    23,    24,    25,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    33,    34,    -1,    36,    37,    -1,    39,    40,
      41,    42,    43,    -1,    45,    46,    -1,    48,    49,    50,
      51,    52,    -1,    -1,    55,    56,    57,    58,    59,    -1,
      61,    62,    63,    64,    65,    -1,    -1,    -1,    69,    70,
      71,    72,    -1,    74,    75,    -1,    77,    78,    79,    80,
      81,    82,    -1,    -1,    85,    86,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    94,    95,    96,    97,    98,    99,   100,
     101,   102,    -1,   104,    -1,   106,   107,   108,   109,   110,
      -1,   112,   113,   114,    -1,    -1,   117,   118,   119,   120,
     121,    -1,   123,   124,   125,    -1,   127,   128,   129,    -1,
     131,   132,   133,   134,   135,   136,   137,   138,   139,    -1,
     141,    -1,   143,   144,   145,    -1,   147,    -1,   149,    -1,
      -1,    -1,   153,   154,   155,    -1,   157,   158,    -1,   160,
      -1,   162,   163,   164,   165,   166,    -1,   168,   169,   170,
      -1,   172,   173,   174,   175,   176,   177,    -1,   179,    -1,
     181,   182,   183,   184,   185,   186,   187,    -1,   189,    -1,
     191,    -1,    -1,   194,    -1,   196,   197,   198,   199,   200,
      -1,   202,   203,    -1,   205,   206,    -1,   208,    -1,    -1,
     211,   212,   213,    -1,    -1,   216,   217,   218,   219,   220,
     221,   222,   223,   224,   225,   226,   227,   228,   229,    -1,
     231,   232,   233,   234,    -1,   236,   237,    -1,   239,    -1,
     241,   242,   243,   244,   245,   246,    -1,   248,    -1,    -1,
     251,   252,   253,    -1,    -1,   256,    -1,    -1,    -1,   260,
     261,   262,   263,   264,   265,   266,   267,    -1,   269,   270,
     271,   272,   273,   274,   275,    -1,   277,   278,   279,   280,
     281,   282,   283,   284,   285,   286,   287,   288,   289,    -1,
     291,   292,   293,   294,   295,   296,   297,   298,   299,   300,
     301,    -1,   303,   304,    -1,   306,   307,   308,   309,   310,
     311,   312,   313,   314,   315,   316,    -1,   318,   319,   320,
     321,   322,    -1,   324,   325,   326,   327,    -1,   329,   330,
     331,    -1,   333,   334,   335,   336,   337,   338,   339,   340,
     341,   342,   343,    -1,   345,   346,    -1,   348,   349,   350,
     351,   352,   353,    -1,   355,   356,    -1,    -1,   359,   360,
     361,   362,    -1,   364,   365,   366,   367,   368,   369,   370,
      -1,    -1,   373,   374,   375,   376,   377,    -1,    -1,   380,
     381,   382,   383,   384,   385,   386,    -1,   388,    -1,   390,
     391,   392,    -1,    -1,   395,    -1,    -1,   398,   399,   400,
     401,   402,   403,   404,   405,   406,   407,   408,   409,   410,
     411,   412,   413,   414,     3,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    14,    15,    16,    17,    18,
      19,    20,    21,    -1,    23,    24,    25,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    33,    34,    -1,    36,    37,    -1,
      39,    40,    41,    42,    43,    -1,    45,    46,    -1,    48,
      49,    50,    51,    52,    -1,    -1,    55,    56,    57,    58,
      59,    -1,    61,    62,    63,    64,    65,    -1,    -1,    -1,
      69,    70,    71,    72,    -1,    74,    75,    -1,    77,    78,
      79,    80,    81,    82,    -1,    -1,    85,    86,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    94,    95,    96,    97,    98,
      99,   100,   101,   102,    -1,   104,    -1,   106,   107,   108,
     109,   110,    -1,   112,   113,   114,    -1,    -1,   117,   118,
     119,   120,   121,    -1,   123,   124,   125,    -1,   127,   128,
     129,    -1,   131,   132,   133,   134,   135,   136,   137,   138,
     139,    -1,   141,    -1,   143,   144,   145,    -1,   147,    -1,
     149,    -1,    -1,    -1,   153,   154,   155,    -1,   157,   158,
      -1,   160,    -1,   162,   163,   164,   165,   166,    -1,   168,
     169,   170,    -1,   172,   173,   174,   175,   176,   177,    -1,
     179,    -1,   181,   182,   183,   184,   185,   186,   187,    -1,
     189,    -1,   191,    -1,    -1,   194,    -1,   196,   197,   198,
     199,   200,    -1,   202,   203,    -1,   205,   206,    -1,   208,
      -1,    -1,   211,   212,   213,    -1,    -1,   216,   217,   218,
     219,   220,   221,   222,   223,   224,   225,   226,   227,   228,
     229,    -1,   231,   232,   233,   234,    -1,   236,   237,    -1,
     239,    -1,   241,   242,   243,   244,   245,   246,    -1,   248,
      -1,    -1,   251,   252,   253,    -1,    -1,   256,    -1,    -1,
      -1,   260,   261,   262,   263,   264,   265,   266,   267,    -1,
     269,   270,   271,   272,   273,   274,   275,    -1,   277,   278,
     279,   280,   281,   282,   283,   284,   285,   286,   287,   288,
     289,    -1,   291,   292,   293,   294,   295,   296,   297,   298,
     299,   300,   301,    -1,   303,   304,    -1,   306,   307,   308,
     309,   310,   311,   312,   313,   314,   315,   316,    -1,   318,
     319,   320,   321,   322,    -1,   324,   325,   326,   327,    -1,
     329,   330,   331,    -1,   333,   334,   335,   336,   337,   338,
     339,   340,   341,   342,   343,    -1,   345,   346,    -1,   348,
     349,   350,   351,   352,   353,    -1,   355,   356,    -1,    -1,
     359,   360,   361,   362,    -1,   364,   365,   366,   367,   368,
     369,   370,    -1,    -1,   373,   374,   375,   376,   377,    -1,
      -1,   380,   381,   382,   383,   384,   385,   386,    -1,   388,
      -1,   390,   391,   392,    -1,    -1,   395,    -1,    -1,   398,
     399,   400,   401,   402,   403,   404,   405,   406,   407,   408,
     409,   410,   411,   412,   413,   414,     3,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    14,    15,    16,
      17,    18,    19,    20,    21,    -1,    23,    24,    25,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    33,    34,    -1,    36,
      37,    38,    39,    40,    41,    -1,    43,    44,    45,    46,
      -1,    48,    49,    50,    51,    52,    -1,    -1,    55,    56,
      57,    58,    59,    -1,    61,    62,    63,    64,    -1,    -1,
      67,    -1,    69,    70,    71,    72,    73,    74,    75,    -1,
      77,    78,    79,    80,    81,    82,    -1,    84,    85,    86,
      -1,    -1,    -1,    90,    -1,    -1,    -1,    94,    95,    96,
      97,    98,    99,   100,   101,   102,    -1,   104,    -1,   106,
     107,   108,   109,   110,    -1,   112,   113,   114,    -1,    -1,
     117,   118,   119,   120,   121,    -1,   123,   124,   125,    -1,
     127,   128,   129,    -1,   131,   132,   133,   134,    -1,   136,
     137,   138,    -1,    -1,   141,    -1,   143,   144,   145,    -1,
     147,    -1,   149,   150,    -1,   152,   153,   154,   155,    -1,
     157,    -1,    -1,   160,    -1,   162,   163,   164,   165,   166,
     167,   168,   169,   170,    -1,   172,   173,   174,   175,   176,
     177,    -1,   179,   180,    -1,   182,   183,   184,   185,   186,
     187,    -1,   189,    -1,   191,   192,   193,   194,   195,   196,
     197,   198,   199,   200,    -1,   202,   203,    -1,   205,    -1,
     207,   208,   209,    -1,   211,   212,   213,    -1,    -1,   216,
     217,   218,   219,   220,   221,   222,   223,   224,   225,   226,
     227,   228,   229,   230,   231,   232,   233,    -1,    -1,   236,
     237,   238,   239,   240,    -1,   242,   243,   244,   245,   246,
      -1,   248,    -1,    -1,   251,   252,   253,    -1,    -1,    -1,
     257,   258,   259,    -1,   261,   262,   263,   264,   265,   266,
     267,    -1,   269,    -1,   271,    -1,   273,   274,   275,    -1,
     277,   278,   279,   280,   281,   282,   283,   284,   285,   286,
     287,   288,   289,    -1,   291,   292,   293,   294,   295,   296,
     297,   298,   299,   300,   301,    -1,   303,   304,   305,   306,
     307,    -1,   309,   310,   311,   312,   313,   314,   315,   316,
      -1,   318,   319,   320,   321,   322,    -1,   324,   325,   326,
     327,   328,   329,   330,   331,    -1,   333,   334,   335,   336,
     337,   338,   339,   340,   341,   342,    -1,    -1,   345,   346,
     347,   348,   349,   350,   351,   352,   353,    -1,   355,   356,
      -1,    -1,   359,    -1,   361,    -1,    -1,   364,   365,   366,
     367,   368,   369,   370,    -1,    -1,   373,   374,   375,   376,
     377,    -1,    -1,   380,   381,   382,   383,   384,    -1,   386,
      -1,   388,   389,   390,   391,   392,    -1,    -1,   395,    -1,
      -1,   398,   399,   400,   401,   402,    -1,     3,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   412,   413,   414,    14,    15,
      16,    17,    18,    19,    20,    21,    -1,    23,    24,    25,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    33,    34,    -1,
      36,    37,    38,    39,    40,    41,    -1,    43,    44,    45,
      46,    -1,    48,    49,    50,    51,    52,    -1,    -1,    55,
      56,    57,    58,    59,    -1,    61,    62,    63,    64,    -1,
      -1,    67,    -1,    69,    70,    71,    72,    73,    74,    75,
      -1,    77,    78,    79,    80,    81,    82,    -1,    84,    85,
      86,    -1,    -1,    -1,    90,    -1,    -1,    -1,    94,    95,
      96,    97,    98,    99,   100,   101,   102,    -1,   104,    -1,
     106,   107,   108,   109,   110,    -1,   112,   113,   114,    -1,
      -1,   117,   118,   119,   120,   121,    -1,   123,   124,   125,
      -1,   127,   128,   129,    -1,   131,   132,   133,   134,    -1,
     136,   137,   138,    -1,    -1,   141,    -1,   143,   144,   145,
      -1,   147,    -1,   149,   150,    -1,   152,   153,   154,   155,
      -1,   157,    -1,    -1,   160,    -1,   162,   163,   164,   165,
     166,   167,   168,   169,   170,    -1,   172,   173,   174,   175,
     176,   177,    -1,   179,   180,    -1,   182,   183,   184,   185,
     186,   187,    -1,   189,    -1,   191,   192,   193,   194,   195,
     196,   197,   198,   199,   200,    -1,   202,   203,    -1,   205,
      -1,   207,   208,   209,    -1,   211,   212,   213,    -1,    -1,
     216,   217,   218,   219,   220,   221,   222,   223,   224,   225,
     226,   227,   228,   229,   230,   231,   232,   233,   234,    -1,
     236,   237,   238,   239,    -1,    -1,   242,   243,   244,   245,
     246,    -1,   248,    -1,    -1,   251,   252,   253,    -1,    -1,
      -1,   257,   258,   259,    -1,   261,   262,   263,   264,   265,
     266,   267,    -1,   269,    -1,   271,    -1,   273,   274,   275,
      -1,   277,   278,   279,   280,   281,   282,   283,   284,   285,
     286,   287,   288,   289,    -1,   291,   292,   293,   294,   295,
     296,   297,   298,   299,   300,   301,    -1,   303,   304,   305,
     306,   307,    -1,   309,   310,   311,   312,   313,   314,   315,
     316,    -1,   318,   319,   320,   321,   322,    -1,   324,   325,
     326,   327,   328,   329,   330,   331,    -1,   333,   334,   335,
     336,   337,   338,   339,   340,   341,   342,    -1,    -1,   345,
     346,    -1,   348,   349,   350,   351,   352,   353,    -1,   355,
     356,    -1,    -1,   359,    -1,   361,    -1,    -1,   364,   365,
     366,   367,   368,   369,   370,    -1,    -1,   373,   374,   375,
     376,   377,    -1,    -1,   380,   381,   382,   383,   384,    -1,
     386,    -1,   388,   389,   390,   391,   392,    -1,    -1,   395,
      -1,    -1,   398,   399,   400,   401,   402,    -1,     3,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   412,   413,   414,    14,
      15,    16,    17,    18,    19,    20,    21,    -1,    23,    24,
      25,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    33,    34,
      -1,    36,    37,    38,    39,    40,    41,    -1,    43,    44,
      45,    46,    -1,    48,    49,    50,    51,    52,    -1,    -1,
      55,    56,    57,    58,    59,    -1,    61,    62,    63,    64,
      -1,    -1,    67,    -1,    69,    70,    71,    72,    73,    74,
      75,    -1,    77,    78,    79,    80,    81,    82,    -1,    84,
      85,    86,    -1,    -1,    -1,    90,    -1,    -1,    -1,    94,
      95,    96,    97,    98,    99,   100,   101,   102,    -1,   104,
      -1,   106,   107,   108,   109,   110,    -1,   112,   113,   114,
      -1,    -1,   117,   118,   119,   120,   121,    -1,   123,   124,
     125,    -1,   127,   128,   129,    -1,   131,   132,   133,   134,
      -1,   136,   137,   138,    -1,    -1,   141,    -1,   143,   144,
     145,    -1,   147,    -1,   149,   150,    -1,   152,   153,   154,
     155,    -1,   157,    -1,    -1,   160,    -1,   162,   163,   164,
     165,   166,   167,   168,   169,   170,    -1,   172,   173,   174,
     175,   176,   177,    -1,   179,   180,    -1,   182,   183,   184,
     185,   186,   187,    -1,   189,    -1,   191,   192,   193,   194,
     195,   196,   197,   198,   199,   200,    -1,   202,   203,    -1,
     205,    -1,   207,   208,   209,    -1,   211,   212,   213,    -1,
      -1,   216,   217,   218,   219,   220,   221,   222,   223,   224,
     225,   226,   227,   228,   229,   230,   231,   232,   233,   234,
      -1,   236,   237,   238,   239,    -1,    -1,   242,   243,   244,
     245,   246,    -1,   248,    -1,    -1,   251,   252,   253,    -1,
      -1,    -1,   257,   258,   259,    -1,   261,   262,   263,   264,
     265,   266,   267,    -1,   269,    -1,   271,    -1,   273,   274,
     275,    -1,   277,   278,   279,   280,   281,   282,   283,   284,
     285,   286,   287,   288,   289,    -1,   291,   292,   293,   294,
     295,   296,   297,   298,   299,   300,   301,    -1,   303,   304,
     305,   306,   307,    -1,   309,   310,   311,   312,   313,   314,
     315,   316,    -1,   318,   319,   320,   321,   322,    -1,   324,
     325,   326,   327,   328,   329,   330,   331,    -1,   333,   334,
     335,   336,   337,   338,   339,   340,   341,   342,    -1,    -1,
     345,   346,    -1,   348,   349,   350,   351,   352,   353,    -1,
     355,   356,    -1,    -1,   359,    -1,   361,    -1,    -1,   364,
     365,   366,   367,   368,   369,   370,    -1,    -1,   373,   374,
     375,   376,   377,    -1,    -1,   380,   381,   382,   383,   384,
      -1,   386,    -1,   388,   389,   390,   391,   392,    -1,    -1,
     395,    -1,    -1,   398,   399,   400,   401,   402,    -1,     3,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   412,   413,   414,
      14,    15,    16,    17,    18,    19,    20,    21,    -1,    23,
      24,    25,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    33,
      34,    -1,    36,    37,    -1,    39,    40,    41,    42,    43,
      -1,    45,    46,    -1,    48,    49,    50,    51,    52,    -1,
      -1,    55,    56,    57,    58,    59,    -1,    61,    62,    63,
      64,    65,    -1,    -1,    -1,    69,    70,    71,    72,    -1,
      74,    75,    -1,    77,    78,    79,    80,    81,    82,    -1,
      -1,    85,    86,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      94,    95,    96,    97,    98,    99,   100,   101,   102,    -1,
     104,    -1,   106,   107,   108,   109,   110,    -1,   112,   113,
     114,    -1,    -1,   117,   118,   119,   120,   121,    -1,   123,
     124,   125,    -1,   127,   128,   129,    -1,   131,   132,   133,
     134,   135,   136,   137,   138,   139,    -1,   141,    -1,   143,
     144,   145,    -1,   147,    -1,   149,    -1,    -1,    -1,   153,
     154,   155,    -1,   157,   158,    -1,   160,    -1,   162,   163,
     164,   165,   166,    -1,   168,   169,   170,    -1,   172,   173,
     174,   175,   176,   177,    -1,   179,    -1,   181,   182,   183,
     184,   185,   186,   187,    -1,   189,    -1,   191,    -1,    -1,
     194,    -1,   196,   197,   198,   199,   200,    -1,   202,   203,
      -1,   205,   206,    -1,   208,    -1,    -1,   211,   212,   213,
      -1,    -1,   216,   217,   218,   219,   220,   221,   222,   223,
     224,   225,   226,   227,   228,   229,    -1,   231,   232,   233,
     234,    -1,   236,   237,    -1,   239,    -1,   241,   242,   243,
     244,   245,   246,    -1,   248,    -1,    -1,   251,   252,   253,
      -1,    -1,   256,    -1,    -1,    -1,   260,   261,   262,   263,
     264,    -1,   266,   267,    -1,   269,   270,   271,   272,   273,
     274,   275,    -1,   277,   278,   279,   280,   281,   282,    -1,
     284,   285,   286,   287,   288,   289,    -1,   291,   292,   293,
     294,   295,   296,   297,   298,   299,   300,   301,    -1,   303,
     304,    -1,   306,   307,   308,    -1,   310,   311,   312,   313,
     314,   315,   316,    -1,   318,   319,   320,   321,   322,    -1,
     324,   325,   326,   327,    -1,   329,   330,   331,    -1,   333,
     334,   335,   336,   337,   338,   339,   340,   341,   342,   343,
      -1,   345,   346,    -1,   348,   349,   350,   351,   352,   353,
      -1,   355,   356,    -1,    -1,   359,   360,   361,   362,    -1,
     364,   365,   366,   367,   368,   369,   370,    -1,    -1,   373,
     374,   375,   376,   377,    -1,    -1,   380,   381,   382,   383,
     384,   385,   386,    -1,   388,    -1,   390,   391,   392,    -1,
      -1,   395,    -1,    -1,   398,   399,   400,   401,   402,   403,
     404,   405,   406,   407,   408,   409,   410,   411,   412,   413,
     414,     3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    14,    15,    16,    17,    18,    19,    20,    21,
      -1,    23,    24,    25,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    33,    34,    -1,    36,    37,    38,    39,    40,    41,
      -1,    43,    44,    45,    46,    -1,    48,    49,    50,    51,
      52,    -1,    -1,    55,    56,    57,    58,    59,    -1,    61,
      62,    63,    64,    -1,    -1,    67,    -1,    69,    70,    71,
      72,    73,    74,    75,    -1,    77,    78,    79,    80,    81,
      82,    -1,    84,    85,    86,    -1,    -1,    -1,    90,    -1,
      -1,    -1,    94,    95,    96,    97,    98,    99,   100,   101,
     102,    -1,   104,    -1,   106,   107,   108,   109,   110,    -1,
     112,   113,   114,    -1,    -1,   117,   118,   119,   120,   121,
      -1,   123,   124,   125,    -1,   127,   128,   129,    -1,   131,
     132,   133,   134,    -1,   136,   137,   138,    -1,    -1,   141,
      -1,   143,   144,   145,    -1,   147,    -1,   149,   150,    -1,
     152,   153,   154,   155,    -1,   157,    -1,    -1,   160,    -1,
     162,   163,   164,   165,   166,   167,   168,   169,   170,    -1,
     172,   173,   174,   175,   176,   177,    -1,   179,   180,    -1,
     182,   183,   184,   185,   186,   187,    -1,   189,    -1,   191,
     192,   193,   194,   195,   196,   197,   198,   199,   200,    -1,
     202,   203,    -1,   205,    -1,   207,   208,   209,    -1,   211,
     212,   213,    -1,    -1,   216,   217,   218,   219,   220,   221,
     222,   223,   224,   225,   226,   227,   228,   229,   230,   231,
     232,   233,    -1,    -1,   236,   237,   238,   239,    -1,    -1,
     242,   243,   244,   245,   246,    -1,   248,    -1,    -1,   251,
     252,   253,    -1,    -1,    -1,   257,   258,   259,    -1,   261,
     262,   263,   264,   265,   266,   267,    -1,   269,    -1,   271,
      -1,   273,   274,   275,    -1,   277,   278,   279,   280,   281,
     282,   283,   284,   285,   286,   287,   288,   289,    -1,   291,
     292,   293,   294,   295,   296,   297,   298,   299,   300,   301,
      -1,   303,   304,   305,   306,   307,    -1,   309,   310,   311,
     312,   313,   314,   315,   316,    -1,   318,   319,   320,   321,
     322,    -1,   324,   325,   326,   327,   328,   329,   330,   331,
      -1,   333,   334,   335,   336,   337,   338,   339,   340,   341,
     342,    -1,    -1,   345,   346,    -1,   348,   349,   350,   351,
     352,   353,    -1,   355,   356,    -1,    -1,   359,    -1,   361,
      -1,    -1,   364,   365,   366,   367,   368,   369,   370,    -1,
      -1,   373,   374,   375,   376,   377,    -1,    -1,   380,   381,
     382,   383,   384,    -1,   386,    -1,   388,   389,   390,   391,
     392,    -1,    -1,   395,    -1,    -1,   398,   399,   400,   401,
     402,    -1,     3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     412,   413,   414,    14,    15,    16,    17,    18,    19,    20,
      21,    -1,    23,    24,    25,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    33,    34,    -1,    36,    37,    38,    39,    40,
      41,    -1,    43,    44,    45,    46,    -1,    48,    49,    50,
      51,    52,    -1,    -1,    55,    56,    57,    58,    59,    -1,
      61,    62,    63,    64,    -1,    -1,    67,    -1,    69,    70,
      71,    72,    73,    74,    75,    -1,    77,    78,    79,    80,
      81,    82,    -1,    84,    85,    86,    -1,    -1,    -1,    90,
      -1,    -1,    -1,    94,    95,    96,    97,    98,    99,   100,
     101,   102,    -1,   104,    -1,   106,   107,   108,   109,   110,
      -1,   112,   113,   114,    -1,    -1,   117,   118,   119,   120,
     121,    -1,   123,   124,   125,    -1,   127,   128,   129,    -1,
     131,   132,   133,   134,    -1,   136,   137,   138,    -1,    -1,
     141,    -1,   143,   144,   145,    -1,   147,    -1,   149,   150,
      -1,   152,   153,   154,   155,    -1,   157,    -1,    -1,   160,
      -1,   162,   163,   164,   165,   166,   167,   168,   169,   170,
      -1,   172,   173,   174,   175,   176,   177,    -1,   179,   180,
      -1,   182,   183,   184,   185,   186,   187,    -1,   189,    -1,
     191,   192,   193,   194,   195,   196,   197,   198,   199,   200,
      -1,   202,   203,    -1,   205,    -1,   207,   208,   209,    -1,
     211,   212,   213,    -1,    -1,   216,   217,   218,   219,   220,
     221,   222,   223,   224,   225,   226,   227,   228,   229,   230,
     231,   232,   233,    -1,    -1,   236,   237,   238,   239,    -1,
      -1,   242,   243,   244,   245,   246,    -1,   248,    -1,    -1,
     251,   252,   253,    -1,    -1,    -1,   257,   258,   259,    -1,
     261,   262,   263,   264,   265,   266,   267,    -1,   269,    -1,
     271,    -1,   273,   274,   275,    -1,   277,   278,   279,   280,
     281,   282,   283,   284,   285,   286,   287,   288,   289,    -1,
     291,   292,   293,   294,   295,   296,   297,   298,   299,   300,
     301,    -1,   303,   304,   305,   306,   307,    -1,   309,   310,
     311,   312,   313,   314,   315,   316,    -1,   318,   319,   320,
     321,   322,    -1,   324,   325,   326,   327,   328,   329,   330,
     331,    -1,   333,   334,   335,   336,   337,   338,   339,   340,
     341,   342,    -1,    -1,   345,   346,    -1,   348,   349,   350,
     351,   352,   353,    -1,   355,   356,    -1,    -1,   359,    -1,
     361,    -1,    -1,   364,   365,   366,   367,   368,   369,   370,
      -1,    -1,   373,   374,   375,   376,   377,    -1,    -1,   380,
     381,   382,   383,   384,    -1,   386,    -1,   388,   389,   390,
     391,   392,    -1,    -1,   395,    -1,    -1,   398,   399,   400,
     401,   402,    -1,     3,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   412,   413,   414,    14,    15,    16,    17,    18,    19,
      20,    21,    -1,    23,    24,    25,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    33,    34,    -1,    36,    37,    38,    39,
      40,    41,    -1,    43,    44,    45,    46,    -1,    48,    49,
      50,    51,    52,    -1,    -1,    55,    56,    57,    58,    59,
      -1,    61,    62,    63,    64,    -1,    -1,    67,    -1,    69,
      70,    71,    72,    73,    74,    75,    -1,    77,    78,    79,
      80,    81,    82,    -1,    84,    85,    86,    -1,    -1,    -1,
      90,    -1,    -1,    -1,    94,    95,    96,    97,    98,    99,
     100,   101,   102,    -1,   104,    -1,   106,   107,   108,   109,
     110,    -1,   112,   113,   114,    -1,    -1,   117,   118,   119,
     120,   121,    -1,   123,   124,   125,    -1,   127,   128,   129,
      -1,   131,   132,   133,   134,    -1,   136,   137,   138,    -1,
      -1,   141,    -1,   143,   144,   145,    -1,   147,    -1,   149,
     150,    -1,   152,   153,   154,   155,    -1,   157,    -1,    -1,
     160,    -1,   162,   163,   164,   165,   166,   167,   168,   169,
     170,    -1,   172,   173,   174,   175,   176,   177,    -1,   179,
     180,    -1,   182,   183,   184,   185,   186,   187,    -1,   189,
      -1,   191,   192,   193,   194,   195,   196,   197,   198,   199,
     200,    -1,   202,   203,    -1,   205,    -1,   207,   208,   209,
      -1,   211,   212,   213,    -1,    -1,   216,   217,   218,   219,
     220,   221,   222,   223,   224,   225,   226,   227,   228,   229,
     230,   231,   232,   233,    -1,    -1,   236,   237,   238,   239,
      -1,    -1,   242,   243,   244,   245,   246,    -1,   248,    -1,
      -1,   251,   252,   253,    -1,    -1,    -1,   257,   258,   259,
      -1,   261,   262,   263,   264,   265,   266,   267,    -1,   269,
      -1,   271,    -1,   273,   274,   275,    -1,   277,   278,   279,
     280,   281,   282,   283,   284,   285,   286,   287,   288,   289,
      -1,   291,   292,   293,   294,   295,   296,   297,   298,   299,
     300,   301,    -1,   303,   304,   305,   306,   307,    -1,   309,
     310,   311,   312,   313,   314,   315,   316,    -1,   318,   319,
     320,   321,   322,    -1,   324,    -1,   326,   327,   328,   329,
     330,   331,    -1,   333,   334,   335,   336,   337,   338,   339,
     340,   341,   342,    -1,    -1,   345,   346,    -1,   348,   349,
     350,   351,   352,   353,    -1,   355,   356,    -1,    -1,   359,
      -1,   361,    -1,    -1,   364,   365,   366,   367,   368,   369,
     370,    -1,    -1,   373,   374,   375,   376,   377,    -1,    -1,
     380,   381,   382,   383,   384,    -1,   386,    -1,   388,   389,
     390,   391,   392,    -1,    -1,   395,    -1,    -1,   398,   399,
     400,   401,   402,    -1,     3,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   412,   413,   414,    14,    15,    16,    17,    18,
      19,    20,    21,    -1,    23,    24,    25,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    33,    34,    -1,    36,    37,    38,
      39,    40,    41,    -1,    -1,    44,    -1,    -1,    -1,    48,
      49,    50,    51,    52,    -1,    -1,    55,    56,    -1,    -1,
      59,    -1,    61,    62,    63,    64,    -1,    -1,    67,    -1,
      69,    70,    71,    72,    73,    74,    75,    -1,    77,    78,
      79,    80,    81,    82,    -1,    84,    85,    86,    -1,    -1,
      -1,    90,    -1,    -1,    -1,    94,    95,    96,    97,    98,
      99,    -1,    -1,   102,    -1,   104,    -1,   106,   107,   108,
     109,   110,    -1,   112,   113,   114,    -1,    -1,   117,   118,
     119,   120,   121,    -1,   123,   124,   125,    -1,   127,   128,
     129,    -1,   131,   132,   133,   134,    -1,   136,   137,   138,
      -1,    -1,   141,    -1,   143,    -1,   145,    -1,   147,    -1,
     149,   150,    -1,   152,   153,   154,   155,    -1,   157,    -1,
      -1,   160,    -1,   162,   163,   164,   165,   166,   167,   168,
     169,   170,    -1,   172,   173,   174,   175,   176,   177,    -1,
     179,   180,    -1,   182,   183,   184,   185,    -1,    -1,    -1,
      -1,    -1,   191,   192,   193,   194,   195,   196,   197,   198,
     199,   200,    -1,   202,   203,    -1,   205,    -1,   207,   208,
     209,    -1,   211,   212,   213,    -1,    -1,   216,   217,   218,
     219,   220,   221,   222,   223,   224,   225,   226,   227,   228,
      -1,   230,    -1,   232,   233,    -1,    -1,   236,   237,   238,
     239,    -1,    -1,   242,    -1,   244,   245,   246,    -1,   248,
      -1,    -1,   251,   252,   253,    -1,    -1,    -1,   257,   258,
     259,    -1,   261,   262,   263,   264,   265,   266,   267,    -1,
     269,    -1,   271,    -1,   273,   274,   275,    -1,   277,   278,
     279,   280,   281,   282,   283,   284,    -1,   286,   287,   288,
     289,    -1,   291,   292,   293,   294,   295,   296,   297,   298,
     299,   300,   301,    -1,   303,   304,   305,   306,   307,    -1,
     309,   310,   311,   312,   313,   314,   315,   316,    -1,   318,
     319,   320,   321,   322,    -1,   324,    -1,   326,   327,   328,
     329,    -1,   331,    -1,   333,   334,   335,   336,   337,   338,
     339,   340,   341,   342,    -1,    -1,   345,   346,    -1,   348,
     349,   350,   351,   352,   353,    -1,    -1,    -1,    -1,    -1,
     359,    -1,   361,    -1,    -1,   364,   365,   366,   367,   368,
     369,   370,    -1,    -1,   373,   374,   375,   376,   377,    -1,
      -1,   380,   381,   382,   383,   384,    -1,    -1,    -1,   388,
     389,   390,   391,   392,    -1,    -1,   395,    -1,    -1,   398,
     399,   400,   401,   402,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   412,   413,   414
};

  /* YYSTOS[STATE-NUM] -- The (internal number of the) accessing
     symbol of state STATE-NUM.  */
static const yytype_uint16 yystos[] =
{
       0,    14,    24,    26,    27,    41,    61,    63,    64,    69,
      71,    81,    83,    99,   102,   114,   116,   120,   126,   134,
     136,   142,   156,   211,   212,   217,   226,   237,   274,   286,
     291,   292,   294,   299,   304,   307,   311,   316,   317,   324,
     327,   335,   347,   364,   374,   380,   385,   397,   431,   438,
     439,   440,   441,   447,   448,   450,   451,   452,   453,   454,
     455,   456,   458,   459,   463,   474,   477,   478,   481,   482,
     483,   494,   497,   498,   514,   551,   554,   557,   558,   559,
     566,   572,   574,   576,   577,   580,   583,   584,   588,   589,
     598,   602,   603,   604,   605,   606,   608,   609,   610,   623,
     624,   628,   630,   631,   632,   643,   645,   652,   653,   656,
     657,   658,   659,   660,   665,   667,   670,   674,   678,   679,
     689,   690,   693,   698,   709,   728,   731,   732,   733,   736,
     739,   741,   743,   746,   749,   750,   751,   758,   759,   761,
     762,   763,   768,   770,   771,   775,   776,   779,   780,   781,
     783,   784,   785,   786,   788,   791,   792,   797,   803,   806,
     808,   809,   814,   816,   820,   827,   831,   832,   833,   834,
     835,   836,   839,   867,   359,   399,   764,    21,    67,    80,
      97,   103,   118,   129,   137,   148,   153,   159,   174,   199,
     220,   251,   279,   306,   310,   312,   318,   321,   347,   349,
     353,   361,   366,   378,   391,   573,   764,     3,    14,    15,
      16,    17,    18,    19,    20,    21,    22,    23,    24,    25,
      33,    34,    36,    37,    39,    40,    41,    42,    43,    45,
      46,    48,    49,    50,    51,    52,    55,    56,    57,    58,
      59,    61,    62,    63,    64,    65,    69,    70,    71,    72,
      74,    75,    77,    78,    79,    80,    81,    82,    85,    86,
      94,    95,    96,    97,    98,    99,   100,   101,   102,   104,
     106,   107,   108,   109,   110,   112,   113,   114,   117,   118,
     119,   120,   121,   123,   124,   125,   127,   128,   129,   131,
     132,   133,   134,   135,   136,   137,   138,   139,   141,   143,
     144,   145,   147,   149,   153,   154,   155,   157,   158,   160,
     162,   163,   164,   165,   166,   168,   169,   170,   172,   173,
     174,   175,   176,   177,   179,   181,   182,   183,   184,   185,
     186,   187,   189,   191,   194,   196,   197,   198,   199,   200,
     202,   203,   205,   206,   208,   211,   212,   213,   216,   217,
     218,   219,   220,   221,   222,   223,   224,   225,   226,   227,
     228,   229,   231,   232,   233,   234,   236,   237,   239,   241,
     242,   243,   244,   245,   246,   248,   251,   252,   253,   256,
     260,   261,   262,   263,   264,   265,   266,   267,   269,   270,
     271,   272,   273,   274,   275,   277,   278,   279,   280,   281,
     282,   283,   284,   285,   286,   287,   288,   289,   291,   292,
     293,   294,   295,   296,   297,   298,   299,   300,   301,   303,
     304,   306,   307,   308,   309,   310,   311,   312,   313,   314,
     315,   316,   318,   319,   320,   321,   322,   324,   325,   326,
     327,   329,   330,   331,   333,   334,   335,   336,   337,   338,
     339,   340,   341,   342,   343,   345,   346,   348,   349,   350,
     351,   352,   353,   355,   356,   359,   360,   361,   362,   364,
     365,   366,   367,   368,   369,   370,   373,   374,   375,   376,
     377,   380,   381,   382,   383,   384,   385,   386,   388,   390,
     391,   392,   395,   398,   399,   400,   401,   402,   403,   404,
     405,   406,   407,   408,   409,   410,   411,   412,   413,   414,
     828,   974,   987,   991,   992,   389,   793,   249,   275,   764,
      44,   505,   832,    21,    33,    54,    67,    76,    97,   103,
     118,   129,   137,   148,   155,   159,   213,   251,   254,   306,
     312,   321,   349,   350,   352,   353,   361,   366,   372,   375,
     378,   515,   556,   648,   699,   710,    22,   274,   974,   828,
      22,   269,   350,   352,     5,   198,   737,   738,   983,    21,
      33,    54,    67,    80,    97,   118,   129,   137,   148,   153,
     159,   174,   220,   251,   261,   306,   310,   312,   318,   321,
     347,   349,   353,   361,   366,   378,   391,   573,   661,   764,
     974,    83,   389,   431,   551,   554,   557,   792,   798,   806,
     809,   814,   820,   827,   831,     9,    15,    22,    39,   143,
     149,   151,   171,   200,   232,   277,   293,   422,   423,   675,
     676,   828,   982,   986,    22,    83,   290,   317,   680,   681,
     682,   987,   987,   979,   983,   347,   842,   675,   987,   359,
     974,   261,   220,    97,   174,   346,   347,   744,   311,   987,
      22,   322,   355,   359,   466,   987,    19,   156,   680,   681,
     275,   764,   987,   197,    22,   115,   844,    55,    77,   213,
     228,   306,   312,   322,   355,   359,   402,   464,   465,   466,
      22,   322,   355,   359,   466,   359,   250,   878,   972,   987,
     842,   424,   987,   152,   431,   794,   431,   968,   288,   837,
     838,   974,   832,   833,   836,     0,   434,   793,   130,   188,
     255,   371,   845,   846,   832,   834,   835,   108,   184,   377,
     435,     3,    38,    44,    67,    73,    84,    90,   150,   152,
     167,   180,   192,   193,   195,   207,   209,   230,   238,   257,
     258,   259,   305,   328,   389,   980,   987,   988,   991,   993,
     663,   987,   663,   975,   987,   278,   663,   361,   663,   974,
     987,    96,   347,   688,   980,     3,   984,   989,   991,   992,
     993,   166,   972,   244,   391,     8,    62,   141,   418,   419,
     420,   422,   423,   424,   425,   426,   427,   735,   935,   936,
     987,    22,   984,   974,   974,   166,   972,   974,   166,   878,
     974,   314,   974,   663,    22,   218,   984,   166,   972,   198,
     105,   194,   235,   284,   765,   766,   767,   972,   978,   987,
      21,    54,    67,    68,    76,    80,    97,   118,   129,   137,
     148,   153,   174,   199,   220,   251,   306,   310,   312,   318,
     321,   347,   349,   353,   361,   366,   391,   573,   668,   983,
     972,   357,   980,   974,   431,   663,   361,   975,   663,   361,
     166,   974,    96,   347,   350,   352,   984,   350,   352,    62,
     141,   735,   297,   984,   166,   460,   987,   974,   974,   314,
     974,   663,   218,   984,   288,   318,   347,   391,   220,    80,
     174,   153,   310,   365,   567,    22,   974,   829,   473,   983,
     989,   738,   166,   980,   974,   166,   742,   166,   975,   361,
      96,   347,   166,   980,   166,   984,   985,    73,   391,    62,
     141,   166,   735,    48,   166,   985,   166,   974,   166,   974,
     166,   974,   314,   166,   974,   166,   218,   985,   198,   166,
     662,   663,   431,   807,   515,   798,   385,   792,   799,   800,
     801,   989,   793,   986,   676,   677,    22,   677,   986,   677,
      22,   677,   986,   677,   677,   677,   986,   982,   982,   828,
     677,   278,   431,   431,   534,   534,   534,   249,   357,   435,
     534,   878,   879,   435,   760,   983,   431,   804,    48,   391,
     974,   974,   972,   987,    38,   414,   194,   433,   252,   252,
     249,   151,   983,   357,   146,   671,   249,     4,     6,     7,
       8,    10,    30,    43,    45,    46,    53,    54,    57,    58,
      65,    67,    87,    88,    89,    90,    91,    92,    93,   100,
     101,   119,   135,   139,   140,   144,   158,   186,   187,   189,
     206,   214,   215,   229,   231,   235,   240,   241,   243,   251,
     260,   270,   285,   308,   323,   330,   343,   355,   356,   360,
     362,   363,   372,   378,   386,   404,   405,   406,   407,   408,
     409,   410,   411,   422,   423,   424,   431,   832,   890,   893,
     896,   897,   898,   900,   901,   902,   903,   906,   907,   911,
     913,   914,   933,   937,   956,   961,   969,   970,   980,   981,
     982,   983,   987,   983,    22,   479,   971,   972,   322,   464,
     103,   472,   983,   473,   983,    38,    59,   464,   414,   331,
     766,   252,   151,   357,   418,    38,   414,   194,   767,   431,
     972,   424,   429,   433,   962,   963,   879,   150,   152,   389,
     789,   790,   792,   150,   795,   103,   911,   966,   967,   837,
     435,   431,   796,   432,   432,   440,   972,    22,   115,   843,
     843,    48,   843,   142,   146,   210,   247,   849,   851,   852,
     861,   863,   864,   865,   845,   846,   151,   190,   878,   880,
     968,   431,   637,   963,   262,   295,   324,   433,   664,   262,
     295,   324,   262,   295,   324,   397,   442,   474,   475,   694,
      18,   120,   262,   295,   324,   382,   486,   974,   324,    18,
     120,   377,   457,   400,   166,   878,    50,    82,   138,   169,
     205,   235,   262,   295,   303,   309,   316,   324,   333,   341,
     392,   474,   476,   722,   729,   431,   711,   295,   457,   135,
      18,    24,    64,   113,   120,   123,   176,   233,   235,   245,
     253,   262,   295,   299,   324,   382,   484,   485,   592,     4,
     422,   423,   564,   986,   166,   972,   663,   663,   431,   734,
     433,   171,   449,   295,   442,   449,   249,   262,   295,   135,
      49,    95,   173,   221,   223,   233,   261,   295,   300,   324,
     335,   484,   561,   562,   262,   295,   390,   592,   600,   135,
     295,   324,   484,   262,   295,   299,   324,    74,   112,   263,
     351,   249,    18,    24,   120,   262,   295,   324,   495,   496,
     449,   146,   295,   442,   449,   135,   295,   324,   484,   974,
     208,   105,   250,   401,   435,   765,   379,   787,   249,   980,
     431,   974,   361,    96,   347,   980,   244,   391,    62,   141,
     735,   974,   314,   974,   198,   663,   534,   281,   500,   431,
     637,   638,    60,     3,    43,    45,    46,    57,    58,   100,
     101,   144,   186,   187,   189,   229,   231,   243,   285,   325,
     330,   355,   356,   386,   887,   889,   891,   893,   895,   897,
     898,   899,   901,   902,   906,   907,   988,   991,   151,   431,
     633,   974,   442,    31,   782,   974,   235,   442,   400,   166,
     972,   442,   663,   663,   633,   375,   515,   442,   235,    38,
     461,   366,   599,   262,   575,    74,   112,   263,   351,    20,
      40,   185,   611,    31,   633,   146,   442,   391,   972,   166,
     552,   972,   972,   391,   663,    73,   700,   980,   974,   573,
      44,    94,   183,   233,   313,   135,   637,    51,   301,   487,
     135,   431,   135,   400,   135,   711,   135,   435,   166,   662,
     166,   663,   166,   663,   135,   734,   985,   135,   135,   249,
     135,   487,   135,    74,   112,   263,   351,   135,   249,   135,
     146,   166,   166,   473,   135,   435,   487,   911,   940,   347,
     432,   435,   140,   249,   363,   470,   473,   564,   802,   798,
     677,   828,   677,   828,   677,   828,   677,   828,   677,   828,
     828,   828,   677,   828,   431,   535,   536,   987,   535,    22,
      97,   118,   148,   153,   198,   199,   312,   318,   347,   349,
     366,   683,   971,   985,   682,   171,   435,   817,   983,   887,
     943,    31,   985,   972,   147,   745,   745,   745,   208,   987,
     146,   146,   683,   985,   311,   987,   473,   249,   431,   964,
     429,   832,   944,   388,   904,   911,   960,   431,   904,   904,
     431,   146,   431,   431,   431,   892,   892,   272,   832,   431,
     431,   894,   431,   431,   431,   431,    57,    58,   904,   911,
     431,   892,   431,   431,   431,   431,   431,   398,   417,   431,
     908,   431,   908,   431,   431,   832,   431,   431,   431,   431,
     431,   431,   431,   431,   911,   911,   832,   911,   940,   963,
     983,    58,   431,   905,   431,   983,     3,     8,    11,    28,
      31,    36,    42,    66,   167,   171,   192,   193,   209,   235,
     238,   251,   254,   328,   418,   419,   420,   422,   423,   424,
     425,   426,   427,   935,   937,   939,   259,   911,   190,   435,
     840,   431,   983,   963,   106,   168,   480,   435,    59,   103,
     473,    31,     3,   103,   213,   471,   564,   907,   983,   983,
      78,   117,   920,    86,   103,   467,   468,   470,   564,   103,
     467,   208,   972,   911,     3,    22,    26,    27,    28,    29,
      30,    31,    32,    35,    47,    53,    54,    60,    66,    68,
      76,    83,    87,    88,    89,    91,    92,    93,   103,   105,
     111,   115,   116,   122,   126,   130,   140,   142,   146,   148,
     151,   156,   159,   161,   171,   178,   188,   190,   201,   204,
     210,   214,   215,   235,   240,   247,   249,   250,   254,   255,
     268,   276,   290,   302,   317,   323,   332,   344,   347,   354,
     357,   358,   363,   371,   372,   378,   379,   387,   393,   394,
     396,   397,   424,   977,   990,   991,   992,   993,   994,   962,
      79,   300,   666,   432,   435,   793,   432,   435,   838,   973,
     974,    31,   796,   834,   834,   847,   848,   911,   834,   143,
     232,   858,   196,   233,   284,   326,   377,    22,   853,   911,
     854,   856,   911,   913,   861,   862,   852,   851,   849,   850,
     146,   864,   245,   866,   849,   861,   880,   972,    31,   987,
     324,   424,   943,   262,   295,   324,   357,   357,   312,   977,
     433,   357,   357,   312,   357,   357,   349,   464,   777,   146,
     156,   171,   304,   695,   696,    60,    76,   131,   148,   276,
     372,   531,   532,    76,   103,   235,   357,    76,   357,   103,
     235,   312,    76,   113,   123,   262,   295,   629,   312,   581,
      21,    54,    67,    80,   118,   129,   148,   153,   220,   251,
     312,   318,   321,   347,   353,   366,   391,   573,   974,   135,
     295,   324,   484,   249,   564,   316,   205,   357,   357,   240,
     564,   107,   191,   312,   322,   359,   465,   301,   324,   722,
     730,   171,   181,   256,   325,   387,   432,   712,   715,   716,
     717,   719,   887,   988,   357,   378,   972,    68,   131,   522,
     531,   987,    68,   747,   249,   310,   361,    76,   747,    25,
     298,   310,   361,   972,   176,   245,   663,   431,   357,   357,
     431,   490,   349,   397,   398,   490,    76,   435,     4,     4,
     262,   135,   295,   324,   484,   379,   379,   234,   887,   262,
     324,   735,    97,   324,   475,   357,   444,   475,   972,   357,
     357,   972,   564,    48,   563,   564,   564,    95,   221,   223,
      48,   357,   442,   312,   442,   233,   562,   357,   357,   240,
     983,   592,   878,    76,   357,   747,   312,   357,   357,   490,
     490,   663,   663,   663,   663,   972,    37,   384,    37,    37,
     357,    37,   357,   312,   435,   475,    93,   378,   607,   984,
     357,   444,   475,   972,   357,   312,   262,   295,   284,   296,
     320,   469,   765,   978,   987,   972,   637,   887,   249,   400,
     711,   564,   663,   663,   734,   192,   249,    74,   112,   263,
     351,   249,   663,   192,   397,   506,   338,   339,   501,   983,
       3,   639,   640,   633,   431,   889,    31,    30,   888,    98,
     164,   222,   225,   315,   412,   431,   909,   910,   664,   892,
     663,   634,   635,   990,    20,   772,   887,   249,   135,   578,
     974,   235,   431,   443,   648,   379,   288,   391,   443,   135,
     984,    83,   156,   462,   514,   558,   610,   678,   698,   768,
     983,   600,   601,   974,   216,   663,   663,   663,   663,   245,
     108,   184,   364,   377,   612,   613,   127,   283,   431,   607,
     443,   972,   560,   561,   235,    31,   245,   431,   534,   534,
     555,   972,   146,   701,   978,   431,   713,    31,   198,   397,
     398,   830,   313,   980,   487,   887,   975,   166,   974,   980,
     487,   985,   984,   135,   487,   135,   379,   135,   379,   735,
     487,   487,   985,   974,   663,   974,   974,   974,   663,   985,
     607,   135,   135,   487,   662,   663,   432,   435,   972,   798,
     800,   828,   828,   828,   828,   828,   828,   535,   432,   435,
     432,   154,   319,   348,   973,   662,    96,   321,   687,   688,
     973,   244,   973,   971,   971,   973,   662,   357,   397,   691,
      16,   133,   308,   326,   818,   878,   239,   819,   432,   435,
     805,   809,   814,   820,   831,   357,   397,   553,   681,   680,
     681,   151,   157,   692,   987,    21,    68,    97,   118,   129,
     148,   153,   199,   220,   306,   312,   318,   347,   349,   366,
     391,   573,   672,   940,   962,   430,   940,   944,   945,   431,
     393,   957,   958,   911,   940,   431,   982,   982,   940,     3,
      98,   164,   222,   225,   315,   412,   946,   947,   983,   982,
     940,   940,   982,   982,   904,   904,   911,   735,   911,   948,
     422,   423,   912,   913,   933,   937,   950,   432,   940,   911,
     940,   951,   355,   414,   982,   982,   911,    47,   151,   204,
     358,   911,   940,   954,   940,   227,   913,   911,   918,   919,
     920,   227,   911,   920,   432,   435,   324,   982,   982,   909,
     887,   911,   990,   355,    35,   344,   965,   663,   911,   431,
     832,   955,   115,   117,   140,   235,   240,   245,   363,   373,
     911,    42,   167,   171,   209,   328,   431,   911,   357,   911,
     911,   911,   911,   911,   911,   911,   911,   911,   911,    22,
      29,   332,   934,   308,   431,   933,   155,   213,   347,   350,
     352,   375,   841,   972,   970,   151,   868,    22,   115,   387,
     424,   432,   717,   911,   941,   942,   988,   972,   359,   431,
     983,   435,   432,   430,   436,   165,   165,   487,   972,   790,
     791,   972,   966,   432,   435,   431,   435,    32,   111,   379,
     707,   431,   855,   986,   326,   196,   250,   435,   308,   309,
     857,   971,   819,   862,   850,   379,   815,   103,   431,   810,
     831,   987,   431,   821,   822,   823,   824,   825,   987,   432,
     432,   357,   357,   312,   984,   974,   974,   977,   984,   974,
     974,   984,   975,   974,    75,   778,   306,   378,   680,   312,
     156,   680,   431,   974,   379,   702,   196,   196,   379,   431,
     550,   166,   974,   240,   984,   974,   974,   911,   240,   974,
     974,    25,   298,   357,   357,   974,   357,   582,   980,   431,
     663,   663,   663,   361,    96,   347,   688,   391,    62,   141,
     735,   974,   663,   974,   663,   314,   663,   663,   198,   160,
     233,   262,   295,   383,   585,   586,   587,   878,   357,   747,
     312,   240,   107,   191,   984,   974,   249,   974,   256,   988,
     432,   435,   717,   719,   716,   719,   988,   664,   984,   985,
     295,   484,   522,   887,   987,   974,   974,    22,   378,   974,
     166,   974,   166,   987,   310,   361,   310,   361,   974,    22,
     378,   974,   972,    18,   120,   324,   593,   594,   595,   596,
     990,   984,   974,   492,   493,   990,   974,   248,    64,   248,
     974,   485,   357,   972,   357,   747,   312,   976,   987,   976,
     435,   432,   435,   357,   312,   975,   984,     3,    75,   125,
     176,   267,   370,   378,   381,   445,   295,   984,   974,   295,
     324,   484,   561,   564,   663,   974,   564,   974,   564,   984,
     974,   295,   324,   484,   974,   974,   974,   974,   984,   974,
      18,    24,   120,   262,   295,   324,   262,   295,   324,   633,
     295,   324,   295,   324,   295,   886,   987,   166,   644,   987,
     166,   987,   984,   974,   974,   974,    18,   496,   321,   984,
     295,   324,   484,   974,   974,   357,   357,    72,   369,   284,
     192,    31,   663,   192,   192,   379,   379,   192,   240,   669,
     983,   663,   663,   192,   669,   248,   151,   357,   499,   442,
     418,   432,   435,   911,    30,   888,   887,   429,   429,   357,
     357,   357,   431,   357,   982,   892,   432,   435,   418,   612,
      75,   124,   202,   203,   216,   262,   349,   351,   773,   524,
     990,   974,   151,   312,   390,   579,   586,   587,   135,   209,
     516,   518,   520,   522,   528,   531,    19,   171,   306,   345,
     445,   446,   146,   976,   391,   972,   460,   987,   461,   254,
     515,   148,   983,   633,   633,   633,   633,   245,   249,   254,
     431,   633,   884,   885,   886,   321,   431,   135,   134,   831,
     663,   516,   987,   397,   398,   546,   397,   491,    31,   534,
     983,   249,   432,   714,   715,   720,    31,   198,   303,   396,
     721,   722,   723,   249,   473,   163,   163,   146,   637,    31,
     135,   487,   711,   662,   663,   976,   663,   976,   734,   249,
     487,   487,   249,   487,   321,   146,   473,   487,   911,   432,
     536,   171,   171,   171,   400,   973,   435,   564,   565,   159,
     684,   685,   984,    19,   692,   133,   326,   133,   326,   308,
     377,   224,   887,   974,    96,   233,   151,   249,   684,    48,
     487,   980,   361,   347,   980,   244,   391,   198,   663,   432,
     430,   430,   435,   940,   911,   122,   958,   959,    31,   432,
     911,   432,   432,   432,   432,   151,   432,   432,   432,   432,
     432,   435,   432,   268,   949,   432,   912,   912,    11,   171,
     192,   251,   418,   419,   420,   422,   423,   424,   425,   426,
     427,   937,   912,   432,   432,   146,   151,   952,   953,   432,
     414,   432,   432,    31,   954,   940,   954,   954,   151,   432,
     432,   990,   266,   922,    31,   432,   435,   911,   990,   435,
     911,   964,   911,   987,   432,   432,   414,   912,   912,   128,
     940,   151,   115,   117,   140,   240,   245,   363,   373,   431,
     128,   344,   965,   911,   955,   911,   357,   735,   911,   431,
     832,   350,   352,   350,   352,   972,   842,   842,   842,   201,
     431,   832,   869,   870,   871,   878,   881,   914,   980,   987,
     394,   882,   941,   941,   942,   432,   258,   926,    13,   432,
     435,   846,   766,   982,   909,   468,   911,   796,   974,   805,
     848,   251,   935,   938,   415,   416,   708,   911,   857,   377,
     854,   869,   394,   883,   385,   811,   812,   987,   302,   813,
     825,   826,   435,   868,   418,   964,   984,   974,   974,   210,
     985,   985,   249,   973,   252,   249,   911,   532,   976,   431,
     431,   431,   550,   174,   535,   621,   135,   487,   357,   984,
     974,   473,   637,   887,   974,   400,   663,   663,   663,   663,
     734,    74,   112,   263,   351,   974,   568,   974,   160,   383,
     357,   357,   568,   585,   592,   295,   324,   484,   974,   974,
     974,   182,   240,   664,   715,   719,   719,   426,   357,   253,
     590,   120,   299,   324,   486,   592,   748,   135,   487,   135,
     487,   974,   974,   974,   974,   595,   596,   595,   432,   435,
     597,   983,   432,   435,   418,   433,   984,   295,   324,   484,
     974,   974,   974,   262,   295,   324,    18,   120,   262,   295,
     324,   887,   234,   887,   984,   974,   210,   267,   240,   983,
     267,   985,   376,   357,   357,   312,   357,   747,   312,   357,
     357,   218,   218,   218,   357,   357,   312,   357,   357,   312,
     357,   312,   357,   312,   357,   487,   887,   235,   983,   324,
     748,   135,   487,   357,   974,   357,   312,   984,   974,   669,
     887,   192,   669,   669,   976,   976,   669,   192,   192,   669,
     500,   431,   502,   503,   251,   422,   423,   564,   636,   719,
     938,   983,   994,     3,   640,   432,   429,   432,   982,   430,
     982,   164,   222,   910,   222,   910,   910,   982,   225,   432,
     635,   636,   249,   210,   418,   774,   774,   774,   774,   774,
     774,   774,    60,    66,    76,   103,   105,   178,   235,   240,
     276,   290,   372,   525,   526,   527,   134,   393,   442,   473,
     974,   473,   590,   972,   972,   432,   435,   985,   159,   306,
     985,   982,   366,   972,   534,    38,   461,   297,   347,    96,
     535,   972,   613,   641,   642,   983,   432,   435,   974,   535,
     972,   974,   553,   431,   517,   432,   248,   490,   248,   249,
     547,   490,    31,   831,   491,   357,   972,   432,   435,   103,
     418,   724,   983,   473,   347,   718,   719,   397,   723,   725,
     108,   184,   317,   377,   756,   160,   831,   487,   887,   974,
     487,   487,   379,   487,   379,   487,   487,   663,   663,   974,
     607,   487,   312,   312,   312,   973,   688,   435,   984,   397,
     435,   686,   252,   133,   133,    96,   985,   683,   487,   984,
     637,   711,   564,   663,   192,   944,   432,   354,   911,   126,
     887,   432,   911,   911,   911,   952,   887,   912,   115,   117,
     235,   245,   912,   912,   912,   912,   912,   912,   912,   912,
     912,   912,   911,   911,   953,   952,   908,   908,   887,   432,
     432,   432,   940,   432,   435,    48,   913,   432,   990,   919,
     273,   342,   921,   432,   435,   390,   915,    31,   432,   905,
     983,   911,    28,    28,   911,   432,   911,   151,   431,   943,
     911,   912,   912,   128,   128,   911,   432,   128,   911,   842,
     842,   842,   842,   972,   972,   972,   832,   881,   832,   870,
     871,    31,   872,   873,   987,   435,    84,   152,   180,   195,
     207,   230,   305,   875,   873,    31,   872,   874,   987,   431,
     963,   911,   159,   859,   435,   845,   846,   845,   432,   926,
     431,   927,   987,   911,   926,   983,   387,   942,   432,   432,
     430,   432,   431,   708,   432,   250,    86,   911,   813,   432,
     435,   964,   969,   432,   435,   822,   883,   966,   774,   154,
     319,   348,   367,   697,   146,   697,   432,   431,   538,   539,
     704,   914,   987,   535,   535,   621,   978,   432,   105,   178,
     233,   235,   622,   974,   974,    31,   974,   379,   379,   663,
     663,   663,   663,   664,   984,   974,   357,   747,   312,   357,
     182,   426,   366,   974,   431,   524,   235,   490,    96,   235,
     337,   340,   490,   366,   974,   987,   594,   493,   636,   990,
     357,   747,   312,   357,   357,   357,   312,   153,   251,   340,
     646,   647,   153,   251,   654,   655,   357,   357,   312,   432,
     432,   432,   986,   983,   983,   983,   974,   974,   974,   974,
     974,   974,   974,   974,   146,   146,   297,   146,   166,   984,
     974,   974,   984,   974,   974,   974,   974,   974,   974,   974,
      66,   488,   135,    20,    40,   366,   987,   974,   592,   974,
     974,   432,   669,   192,   192,   669,   669,   501,   509,   510,
     990,    44,    85,   109,   124,   128,   147,   150,   162,   240,
     248,   282,   504,   621,   982,   397,   398,   430,   430,   432,
     909,   972,   774,   103,   982,   983,   103,   983,   103,   983,
     103,   983,   103,   974,   103,   974,   103,   974,   431,   663,
     974,   912,   106,   168,   105,   240,   196,   972,   725,   280,
     625,   626,   987,   578,   431,   529,   321,   520,   985,   985,
     887,   431,   491,   984,   972,   400,   146,   614,   432,   435,
     886,   590,   432,   245,   431,   807,   519,   521,   523,   531,
     987,   546,   177,   545,    71,   349,   548,   831,   553,   548,
     983,   702,   720,   911,   911,   435,   431,   721,   633,   357,
     568,   432,   487,   976,   976,   487,   487,   321,   973,   973,
     973,   564,   156,   685,   692,   151,   192,   192,   192,   192,
     240,   673,   983,   911,   432,   432,   953,   151,   115,   117,
     245,   431,   432,   403,   917,   940,   289,    48,   395,   395,
     432,   911,   233,   911,   435,   916,   889,   909,   912,   912,
     911,   943,   432,    28,    28,   911,   911,   128,   911,   432,
     972,   972,   972,   972,   873,   874,   432,   987,   431,   870,
     195,   257,   876,   870,   876,   195,   875,   876,   195,   431,
     987,   431,   941,    48,   161,   860,   432,   432,   926,   928,
     987,   942,   926,   983,   735,   245,   831,   812,   418,   825,
     813,   986,   357,   680,   151,   621,   911,   432,   435,   397,
      66,   705,   705,   432,   432,   725,   106,   168,   176,   105,
     381,   487,   887,   976,   976,   974,   974,   974,   974,   366,
     591,   595,   240,   240,   986,   987,   887,   487,   487,   418,
     974,   974,   974,   974,   984,   974,   974,   982,   982,   887,
     435,   982,   982,   435,   984,   974,   974,   357,   973,   973,
     663,   973,   135,   663,   983,   983,   887,   487,   487,   192,
     669,   669,   379,   507,   508,   432,   435,   424,   431,   470,
     511,   564,   782,   983,   782,   235,   282,   782,   782,   430,
     153,   181,   153,   151,   620,   986,   911,   235,   526,   725,
     534,   379,   549,   980,    28,   134,   171,   516,   132,   172,
     974,   379,   535,    31,   461,   431,   974,   121,   615,   393,
     617,   983,   491,   663,   516,   553,   432,   435,   397,   547,
     431,   546,   108,   120,   273,   974,   397,   769,   151,   431,
     983,   717,   726,   727,   988,   725,   972,   179,   569,   487,
     487,   487,   974,   252,   487,   684,   673,   673,   673,   673,
     912,   151,   431,   943,   431,   432,   435,   432,   913,   289,
     432,   384,   334,   432,   432,   432,   912,   912,   911,   872,
     431,   973,   870,   249,   379,   877,   870,   195,   870,   885,
     431,   885,   987,   432,   940,   911,   396,   923,   926,   926,
     265,   929,   432,   909,   432,   828,   968,   684,   249,   684,
     432,   725,   539,   251,   735,   663,   379,   663,   706,   706,
     290,   725,   549,   432,   357,   432,   435,   488,   636,   357,
     431,   980,   735,   647,   431,   431,   655,   974,   397,   297,
     397,   397,   146,   488,   669,   442,   110,   510,   470,   512,
     513,   983,   983,   240,   424,   535,   983,   983,   688,    31,
     740,   740,   972,   621,   432,   549,   219,   537,   174,   431,
     626,   280,   431,   432,    22,    70,    77,   104,   175,   340,
     530,   530,   590,   976,   432,   831,   590,   308,   336,   616,
     431,   134,    31,   517,   432,   521,   253,   548,   971,   547,
     309,   309,    52,    60,   213,   663,   703,   704,   719,   432,
     435,   882,   568,   233,   383,   570,   571,   487,   912,   943,
     432,   918,   940,    48,   233,   413,   973,   432,   911,   431,
     870,   877,   432,   885,   432,   924,   925,   987,    48,   845,
     926,   686,   697,   487,   705,   549,   431,   663,   707,   707,
     972,   549,   621,   974,   595,   379,   489,   974,   943,   711,
     146,   650,   734,   943,   943,   662,   663,   662,   663,   973,
     487,   502,   983,   432,   435,   535,   740,    34,   170,   146,
     233,   533,   152,   264,   329,   249,   541,   542,   543,   349,
     432,   980,     5,   627,   321,   141,   649,   491,   769,   911,
     280,   831,   546,   545,   524,   432,   548,    60,   252,    60,
     432,   435,   721,   726,   116,   383,   568,   432,   432,   432,
     289,   384,   432,   973,   432,   435,    31,   940,   283,   309,
     930,   151,   706,   394,   540,   735,   708,   708,   534,   621,
     911,   432,   255,   314,   287,   651,   650,   432,   432,   397,
     513,   121,   176,   108,   377,   249,   543,   249,   542,   974,
     431,   432,   435,   974,   663,    31,    31,   432,   980,   547,
     546,   252,   252,   491,   704,   725,    23,   185,   757,   432,
     925,   927,    42,    86,   368,   911,   931,   932,   931,   432,
     684,   707,   431,   621,   432,   537,   980,    48,   651,   663,
     308,    51,   233,   301,   324,   544,   544,   432,     5,   590,
     646,   831,   431,   548,   547,   548,   236,   431,   752,   754,
     759,   809,   814,   820,   831,   932,   308,   145,   271,   145,
     271,   487,   708,   911,   541,   711,   663,   617,    17,   103,
     240,     4,   618,   619,   982,   983,   990,   548,   882,   753,
     754,   755,   832,   833,    28,   432,   621,   134,   432,   435,
     432,   434,   932,   280,   619,   755,   980,   431,   618,   432
};

  /* YYR1[YYN] -- Symbol number of symbol that rule YYN derives.  */
static const yytype_uint16 yyr1[] =
{
       0,   437,   438,   439,   439,   440,   440,   440,   440,   440,
     440,   440,   440,   440,   440,   440,   440,   440,   440,   440,
     440,   440,   440,   440,   440,   440,   440,   440,   440,   440,
     440,   440,   440,   440,   440,   440,   440,   440,   440,   440,
     440,   440,   440,   440,   440,   440,   440,   440,   440,   440,
     440,   440,   440,   440,   440,   440,   440,   440,   440,   440,
     440,   440,   440,   440,   440,   440,   440,   440,   440,   440,
     440,   440,   440,   440,   440,   440,   440,   440,   440,   440,
     440,   440,   440,   440,   440,   440,   440,   440,   440,   440,
     440,   440,   440,   440,   440,   440,   440,   440,   440,   440,
     440,   440,   440,   440,   440,   440,   440,   440,   440,   440,
     440,   440,   440,   440,   440,   440,   440,   440,   440,   440,
     441,   442,   442,   443,   443,   444,   444,   445,   445,   445,
     445,   445,   445,   445,   445,   445,   446,   446,   446,   446,
     446,   446,   447,   448,   449,   449,   450,   450,   451,   452,
     452,   453,   453,   454,   454,   455,   456,   457,   457,   458,
     458,   459,   459,   459,   459,   460,   460,   461,   461,   462,
     462,   462,   462,   462,   462,   463,   463,   463,   464,   464,
     464,   465,   465,   465,   465,   465,   465,   465,   465,   465,
     465,   465,   465,   465,   465,   466,   466,   467,   467,   468,
     468,   469,   469,   469,   469,   470,   470,   470,   470,   471,
     471,   471,   471,   471,   471,   471,   472,   472,   472,   473,
     473,   474,   474,   474,   474,   474,   475,   475,   476,   476,
     477,   477,   477,   477,   477,   478,   479,   479,   480,   480,
     481,   482,   482,   482,   482,   483,   483,   483,   483,   483,
     483,   483,   483,   483,   483,   484,   484,   485,   485,   485,
     485,   485,   485,   485,   485,   485,   485,   485,   485,   485,
     485,   485,   485,   485,   485,   485,   485,   485,   485,   485,
     485,   485,   485,   485,   485,   485,   485,   485,   485,   485,
     485,   485,   485,   485,   485,   485,   485,   485,   485,   486,
     486,   487,   487,   487,   488,   488,   489,   489,   490,   491,
     491,   492,   492,   493,   493,   493,   493,   494,   495,   495,
     496,   496,   496,   496,   497,   497,   498,   498,   499,   499,
     500,   500,   501,   501,   501,   502,   502,   503,   503,   504,
     504,   504,   504,   504,   504,   504,   504,   504,   504,   504,
     504,   504,   505,   505,   506,   506,   507,   507,   508,   508,
     509,   509,   510,   511,   511,   511,   511,   511,   512,   512,
     513,   514,   514,   514,   514,   515,   515,   515,   515,   515,
     515,   515,   515,   516,   516,   517,   517,   518,   518,   519,
     519,   520,   520,   520,   521,   521,   522,   523,   524,   524,
     525,   525,   525,   525,   526,   526,   526,   526,   526,   526,
     526,   527,   527,   527,   527,   528,   529,   529,   529,   530,
     530,   530,   530,   530,   530,   531,   531,   532,   532,   532,
     532,   532,   532,   532,   533,   533,   534,   534,   535,   535,
     536,   537,   537,   537,   537,   538,   538,   539,   539,   540,
     540,   541,   541,   541,   541,   541,   542,   543,   544,   544,
     544,   544,   544,   545,   545,   546,   546,   546,   546,   547,
     547,   547,   547,   548,   548,   549,   549,   550,   551,   552,
     553,   553,   553,   554,   555,   556,   556,   557,   558,   559,
     559,   560,   560,   561,   561,   562,   562,   562,   562,   562,
     562,   562,   562,   562,   562,   562,   562,   563,   563,   564,
     564,   564,   564,   565,   565,   566,   566,   567,   567,   568,
     568,   569,   569,   570,   570,   571,   571,   572,   572,   573,
     573,   574,   575,   575,   576,   576,   577,   577,   578,   578,
     579,   579,   579,   580,   581,   581,   582,   583,   583,   583,
     583,   583,   583,   583,   583,   583,   583,   583,   583,   583,
     583,   583,   583,   583,   583,   583,   583,   583,   583,   583,
     583,   584,   585,   585,   585,   585,   586,   586,   587,   587,
     588,   588,   589,   589,   590,   590,   591,   591,   592,   593,
     593,   594,   594,   594,   594,   595,   596,   597,   598,   599,
     599,   600,   600,   601,   601,   602,   602,   603,   603,   603,
     604,   604,   605,   605,   606,   607,   607,   607,   608,   608,
     609,   610,   610,   611,   611,   611,   612,   612,   613,   613,
     613,   613,   613,   614,   614,   615,   615,   616,   616,   617,
     617,   618,   618,   618,   619,   619,   619,   619,   620,   620,
     621,   621,   622,   622,   622,   622,   622,   622,   623,   623,
     624,   624,   625,   625,   626,   627,   627,   628,   629,   629,
     629,   629,   630,   631,   632,   632,   632,   632,   632,   632,
     632,   632,   632,   632,   632,   632,   632,   632,   633,   634,
     634,   635,   635,   636,   636,   636,   636,   636,   637,   637,
     638,   639,   639,   640,   641,   641,   642,   642,   643,   643,
     643,   644,   644,   645,   646,   646,   647,   647,   647,   647,
     647,   648,   648,   649,   649,   650,   650,   650,   651,   651,
     652,   653,   653,   654,   654,   655,   655,   656,   656,   657,
     657,   658,   659,   660,   660,   660,   660,   661,   661,   661,
     661,   661,   661,   661,   661,   661,   661,   661,   661,   661,
     661,   661,   661,   661,   662,   662,   663,   663,   664,   664,
     665,   666,   666,   666,   667,   667,   667,   667,   667,   667,
     667,   667,   667,   667,   667,   667,   667,   668,   668,   668,
     668,   668,   668,   668,   668,   668,   668,   668,   668,   668,
     668,   668,   668,   668,   668,   668,   668,   668,   668,   668,
     669,   669,   670,   670,   670,   670,   670,   671,   671,   672,
     672,   672,   672,   672,   672,   672,   672,   672,   672,   672,
     672,   672,   673,   673,   674,   674,   675,   675,   675,   675,
     675,   675,   675,   675,   675,   675,   675,   675,   675,   675,
     675,   675,   676,   676,   677,   677,   678,   679,   679,   680,
     680,   680,   680,   680,   681,   681,   682,   682,   682,   682,
     683,   683,   683,   683,   683,   683,   683,   683,   683,   683,
     683,   683,   683,   683,   683,   683,   684,   684,   685,   685,
     686,   686,   687,   687,   688,   689,   690,   690,   691,   691,
     692,   692,   693,   694,   694,   695,   695,   695,   696,   696,
     696,   697,   697,   697,   697,   698,   699,   699,   700,   700,
     701,   701,   702,   702,   703,   703,   704,   704,   704,   705,
     705,   706,   706,   706,   707,   707,   707,   708,   708,   708,
     709,   709,   709,   710,   710,   711,   711,   712,   712,   713,
     713,   714,   714,   715,   715,   715,   715,   715,   716,   716,
     716,   716,   716,   717,   718,   719,   719,   719,   720,   720,
     720,   721,   721,   722,   722,   722,   722,   722,   722,   722,
     722,   722,   722,   722,   722,   722,   722,   722,   723,   723,
     723,   723,   724,   724,   725,   725,   726,   727,   727,   728,
     729,   729,   730,   730,   731,   731,   732,   732,   733,   733,
     734,   734,   734,   734,   735,   735,   736,   737,   737,   738,
     738,   739,   739,   739,   740,   740,   740,   741,   742,   742,
     743,   743,   743,   744,   744,   745,   745,   746,   746,   746,
     746,   746,   746,   746,   746,   746,   746,   746,   746,   746,
     746,   746,   746,   746,   746,   746,   746,   746,   746,   746,
     746,   746,   746,   746,   746,   746,   746,   746,   746,   746,
     746,   746,   746,   746,   746,   746,   746,   746,   746,   746,
     746,   746,   746,   746,   747,   747,   748,   748,   749,   749,
     749,   749,   749,   749,   749,   749,   749,   749,   749,   749,
     749,   749,   749,   749,   749,   749,   749,   749,   749,   749,
     749,   749,   750,   750,   750,   750,   750,   750,   750,   750,
     750,   750,   750,   750,   750,   750,   750,   750,   750,   750,
     750,   751,   752,   752,   752,   753,   753,   754,   754,   754,
     754,   754,   755,   755,   756,   756,   756,   756,   757,   757,
     757,   758,   758,   759,   760,   760,   761,   762,   762,   763,
     763,   763,   763,   763,   763,   763,   763,   763,   763,   763,
     763,   763,   763,   764,   764,   764,   765,   765,   765,   765,
     765,   766,   766,   766,   767,   767,   768,   768,   768,   768,
     769,   769,   769,   769,   770,   771,   772,   772,   773,   773,
     773,   773,   773,   773,   773,   773,   773,   773,   773,   773,
     773,   773,   773,   773,   774,   774,   775,   775,   776,   777,
     777,   778,   779,   779,   780,   781,   781,   781,   781,   781,
     781,   781,   782,   782,   783,   784,   784,   784,   784,   784,
     784,   785,   786,   786,   786,   787,   787,   788,   788,   788,
     788,   788,   789,   789,   790,   790,   790,   790,   791,   791,
     792,   792,   793,   793,   794,   794,   795,   795,   796,   796,
     797,   797,   797,   797,   798,   798,   798,   798,   798,   798,
     798,   798,   798,   799,   799,   800,   801,   801,   802,   802,
     802,   803,   804,   804,   805,   805,   805,   805,   806,   806,
     807,   807,   808,   808,   808,   808,   809,   810,   810,   810,
     811,   811,   812,   813,   813,   814,   815,   815,   816,   817,
     817,   818,   818,   818,   818,   818,   818,   818,   818,   819,
     819,   820,   821,   821,   822,   822,   823,   824,   825,   826,
     826,   827,   828,   829,   829,   829,   829,   829,   830,   830,
     830,   831,   831,   832,   832,   833,   833,   833,   833,   833,
     833,   833,   833,   834,   834,   835,   835,   835,   835,   835,
     835,   836,   836,   837,   837,   838,   839,   839,   840,   840,
     841,   841,   841,   841,   841,   841,   841,   841,   841,   842,
     842,   843,   843,   843,   844,   844,   844,   844,   845,   845,
     846,   847,   847,   848,   848,   849,   849,   849,   849,   850,
     850,   851,   851,   851,   852,   852,   853,   853,   854,   855,
     855,   855,   856,   857,   857,   858,   858,   859,   859,   860,
     860,   861,   861,   862,   862,   863,   863,   864,   865,   865,
     865,   865,   866,   866,   867,   867,   868,   868,   869,   869,
     870,   870,   870,   870,   870,   870,   870,   871,   871,   871,
     871,   871,   871,   872,   872,   872,   872,   873,   873,   874,
     874,   874,   874,   874,   875,   875,   875,   875,   876,   876,
     877,   877,   878,   878,   878,   878,   879,   879,   880,   880,
     880,   881,   882,   882,   883,   883,   883,   884,   884,   885,
     885,   886,   887,   887,   887,   887,   887,   887,   888,   888,
     888,   889,   889,   889,   889,   889,   889,   889,   890,   890,
     890,   890,   891,   891,   892,   892,   893,   893,   893,   893,
     893,   893,   893,   893,   893,   893,   893,   894,   894,   895,
     895,   896,   896,   897,   898,   899,   899,   900,   900,   901,
     902,   903,   903,   903,   903,   903,   903,   904,   904,   905,
     905,   906,   906,   906,   906,   907,   908,   908,   908,   909,
     909,   909,   909,   909,   909,   909,   909,   909,   909,   909,
     909,   909,   909,   910,   910,   911,   911,   911,   911,   911,
     911,   911,   911,   911,   911,   911,   911,   911,   911,   911,
     911,   911,   911,   911,   911,   911,   911,   911,   911,   911,
     911,   911,   911,   911,   911,   911,   911,   911,   911,   911,
     911,   911,   911,   911,   911,   911,   911,   911,   911,   911,
     911,   911,   911,   911,   911,   911,   911,   911,   911,   911,
     911,   911,   911,   911,   912,   912,   912,   912,   912,   912,
     912,   912,   912,   912,   912,   912,   912,   912,   912,   912,
     912,   912,   912,   912,   912,   912,   913,   913,   913,   913,
     913,   913,   913,   913,   913,   913,   913,   913,   914,   914,
     914,   914,   914,   914,   914,   914,   914,   914,   914,   914,
     914,   914,   914,   914,   914,   914,   914,   914,   914,   914,
     914,   914,   914,   914,   914,   914,   914,   914,   914,   914,
     914,   914,   914,   914,   914,   914,   914,   914,   914,   914,
     914,   914,   914,   914,   914,   914,   914,   914,   915,   915,
     916,   916,   916,   916,   917,   918,   918,   919,   919,   920,
     920,   921,   921,   921,   922,   922,   922,   922,   923,   923,
     924,   924,   925,   926,   926,   926,   927,   928,   928,   929,
     929,   930,   930,   930,   931,   931,   932,   932,   932,   932,
     932,   933,   933,   933,   934,   934,   934,   935,   935,   936,
     936,   936,   936,   936,   936,   936,   936,   936,   937,   937,
     938,   938,   939,   939,   939,   939,   939,   939,   940,   940,
     941,   941,   942,   942,   943,   943,   944,   944,   944,   945,
     945,   946,   946,   947,   947,   947,   947,   947,   947,   947,
     947,   948,   948,   949,   950,   950,   951,   951,   951,   951,
     951,   951,   952,   953,   954,   954,   954,   955,   955,   956,
     957,   957,   958,   959,   959,   960,   960,   961,   961,   962,
     962,   962,   962,   963,   963,   964,   964,   965,   965,   966,
     966,   967,   967,   968,   969,   969,   970,   970,   970,   970,
     971,   971,   972,   972,   973,   973,   974,   975,   976,   977,
     978,   979,   980,   980,   981,   981,   981,   981,   981,   981,
     981,   981,   981,   981,   981,   981,   981,   982,   983,   984,
     985,   985,   986,   986,   986,   987,   987,   987,   988,   988,
     988,   989,   989,   989,   989,   990,   990,   990,   990,   990,
     991,   991,   991,   991,   991,   991,   991,   991,   991,   991,
     991,   991,   991,   991,   991,   991,   991,   991,   991,   991,
     991,   991,   991,   991,   991,   991,   991,   991,   991,   991,
     991,   991,   991,   991,   991,   991,   991,   991,   991,   991,
     991,   991,   991,   991,   991,   991,   991,   991,   991,   991,
     991,   991,   991,   991,   991,   991,   991,   991,   991,   991,
     991,   991,   991,   991,   991,   991,   991,   991,   991,   991,
     991,   991,   991,   991,   991,   991,   991,   991,   991,   991,
     991,   991,   991,   991,   991,   991,   991,   991,   991,   991,
     991,   991,   991,   991,   991,   991,   991,   991,   991,   991,
     991,   991,   991,   991,   991,   991,   991,   991,   991,   991,
     991,   991,   991,   991,   991,   991,   991,   991,   991,   991,
     991,   991,   991,   991,   991,   991,   991,   991,   991,   991,
     991,   991,   991,   991,   991,   991,   991,   991,   991,   991,
     991,   991,   991,   991,   991,   991,   991,   991,   991,   991,
     991,   991,   991,   991,   991,   991,   991,   991,   991,   991,
     991,   991,   991,   991,   991,   991,   991,   991,   991,   991,
     991,   991,   991,   991,   991,   991,   991,   991,   991,   991,
     991,   991,   991,   991,   991,   991,   991,   991,   991,   991,
     991,   991,   991,   991,   991,   991,   991,   991,   991,   991,
     991,   991,   991,   991,   991,   991,   991,   991,   991,   991,
     991,   991,   991,   991,   991,   991,   991,   991,   991,   991,
     991,   991,   991,   991,   991,   991,   991,   991,   991,   991,
     991,   991,   991,   991,   991,   991,   991,   991,   991,   991,
     991,   991,   991,   991,   991,   991,   991,   991,   991,   991,
     991,   991,   991,   991,   992,   992,   992,   992,   992,   992,
     992,   992,   992,   992,   992,   992,   992,   992,   992,   992,
     992,   992,   992,   992,   992,   992,   992,   992,   992,   992,
     992,   992,   992,   992,   992,   992,   992,   992,   992,   992,
     992,   992,   992,   992,   992,   992,   992,   992,   992,   992,
     992,   993,   993,   993,   993,   993,   993,   993,   993,   993,
     993,   993,   993,   993,   993,   993,   993,   993,   993,   993,
     993,   993,   993,   993,   994,   994,   994,   994,   994,   994,
     994,   994,   994,   994,   994,   994,   994,   994,   994,   994,
     994,   994,   994,   994,   994,   994,   994,   994,   994,   994,
     994,   994,   994,   994,   994,   994,   994,   994,   994,   994,
     994,   994,   994,   994,   994,   994,   994,   994,   994,   994,
     994,   994,   994,   994,   994,   994,   994,   994,   994,   994,
     994,   994,   994,   994,   994,   994,   994,   994,   994,   994,
     994,   994,   994,   994,   994,   994,   994,   994,   994,   994,
     994
};

  /* YYR2[YYN] -- Number of symbols on the right hand side of rule YYN.  */
static const yytype_uint8 yyr2[] =
{
       0,     2,     1,     3,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     0,
       5,     1,     0,     2,     0,     2,     0,     2,     2,     3,
       3,     1,     3,     3,     2,     1,     1,     2,     2,     2,
       3,     3,     5,     5,     0,     3,     5,     5,     5,     5,
       5,     3,     5,     3,     5,     5,     6,     1,     1,     3,
       5,     6,     4,     9,     7,     1,     0,     2,     0,     1,
       1,     1,     1,     1,     1,     2,     3,     3,     2,     5,
       1,     3,     3,     3,     3,     3,     3,     2,     2,     2,
       2,     3,     3,     3,     3,     1,     3,     1,     3,     1,
       1,     2,     2,     2,     1,     1,     1,     1,     1,     1,
       1,     3,     6,     1,     1,     1,     1,     1,     0,     1,
       1,     2,     3,     4,     3,     2,     2,     1,     2,     1,
       2,     3,     4,     3,     2,     4,     1,     1,     1,     1,
       1,     2,     2,     2,     2,     4,     6,     4,     6,     4,
       6,     4,     6,     5,     7,     1,     3,     2,     3,     4,
       6,     6,     6,     5,     5,     6,     6,     4,     8,     4,
       2,     3,     6,     4,     3,     3,     3,     3,     3,     4,
       4,     3,     3,     3,     3,     3,     3,     4,     4,     3,
       2,     3,     2,     2,     3,     3,     2,     2,     1,     3,
       2,     1,     1,     0,     2,     0,     2,     0,     3,     2,
       0,     1,     3,     3,     1,     5,     3,     4,     1,     3,
       4,     6,     4,     8,     2,     2,    11,     7,     1,     1,
       1,     0,     1,     1,     1,     1,     3,     2,     0,     1,
       1,     1,     3,     3,     1,     1,     3,     3,     3,     3,
       4,     2,     1,     0,     2,     0,     3,     0,     1,     0,
       1,     3,     2,     1,     1,     1,     3,     0,     1,     3,
       1,    11,    14,    10,    13,     1,     1,     2,     2,     2,
       2,     1,     0,     1,     0,     3,     0,     1,     3,     1,
       3,     1,     1,     1,     1,     1,     4,     4,     2,     0,
       3,     1,     1,     2,     2,     1,     3,     4,     5,     2,
       5,     1,     2,     2,     2,     3,     3,     3,     0,     1,
       1,     1,     1,     1,     1,     3,     1,     5,     7,     3,
       8,     4,     9,    11,     2,     0,     3,     0,     1,     3,
       1,     2,     2,     2,     0,     1,     3,     3,     6,     4,
       0,     1,     1,     2,     2,     0,     3,     3,     2,     1,
       1,     2,     2,     4,     0,     2,     2,     2,     0,     3,
       4,     4,     0,     2,     0,     4,     0,     3,     7,     5,
       2,     3,     0,     8,     4,     1,     0,     5,     5,     4,
       6,     1,     0,     1,     2,     2,     1,     2,     3,     2,
       2,     2,     2,     3,     3,     1,     3,     1,     0,     1,
       2,     2,     1,     1,     3,     6,    10,     1,     0,     1,
       2,     2,     0,     2,     2,     1,     0,     5,     7,     1,
       0,     6,     2,     0,     3,     5,     5,     8,     2,     0,
       2,     2,     2,     5,     2,     0,     2,     7,    10,     6,
       6,     6,     6,     7,     7,     9,     9,     6,     7,     6,
       8,     8,     8,     8,     6,     6,     7,     7,     8,     6,
       6,     7,     2,     2,     2,     2,     1,     2,     1,     0,
       6,     8,     7,     6,     4,     0,     1,     3,     4,     1,
       3,     1,     2,     2,     2,     2,     1,     1,    10,     2,
       0,     2,     2,     1,     0,     4,     6,     5,     4,     4,
      10,    13,     5,     7,     8,     1,     1,     1,     7,     9,
       8,    15,    20,     1,     1,     2,     1,     3,     1,     1,
       1,     3,     1,     3,     0,     1,     0,     1,     1,     4,
       0,     1,     3,     0,     1,     1,     1,     1,     2,     0,
       0,     2,     2,     1,     2,     2,     2,     2,     6,     8,
      11,    13,     1,     3,     5,     1,     3,     5,     1,     2,
       2,     1,     8,     4,     5,     4,     4,     4,     3,     7,
       8,     6,     6,     6,     6,     6,     4,     5,     3,     1,
       3,     3,     1,     1,     1,     1,     1,     1,     3,     3,
       3,     1,     3,     3,     1,     0,     1,     3,     7,     9,
       9,     3,     0,    13,     1,     3,     5,     6,     4,     7,
       2,     1,     0,     2,     0,     2,     4,     0,     1,     0,
       6,     8,     8,     1,     3,     5,     5,     7,     9,     7,
       9,     5,     6,     6,     4,     5,     7,     1,     1,     1,
       2,     1,     2,     2,     1,     1,     1,     1,     1,     1,
       3,     3,     3,     3,     1,     3,     1,     2,     2,     3,
       5,     2,     2,     0,     6,     7,     7,     7,     8,     8,
       6,     8,     9,     9,     7,    10,     7,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     2,     1,     1,     1,
       1,     1,     2,     1,     3,     2,     3,     3,     3,     3,
       1,     1,     8,     9,     9,     9,     9,     2,     0,     1,
       1,     2,     2,     1,     1,     1,     1,     1,     1,     1,
       1,     2,     1,     1,     2,     2,     1,     2,     3,     3,
       3,     3,     4,     4,     3,     3,     3,     4,     4,     3,
       4,     4,     1,     1,     1,     0,     7,     7,    10,     1,
       1,     2,     4,     5,     1,     3,     2,     2,     2,     2,
       1,     2,     2,     4,     3,     2,     2,     2,     2,     3,
       2,     2,     2,     5,     5,     5,     1,     3,     1,     2,
       3,     0,     1,     3,     2,     6,     6,     9,     3,     0,
       3,     0,     5,     2,     0,     3,     3,     3,     7,     7,
      10,     1,     1,     1,     1,    14,     1,     0,     1,     0,
       1,     0,     2,     0,     1,     3,     5,     5,     7,     2,
       0,     1,     2,     0,     1,     1,     0,     1,     1,     0,
       9,    12,     7,     2,     0,     3,     2,     1,     3,     3,
       2,     1,     3,     3,     3,     2,     2,     1,     1,     1,
       1,     2,     1,     1,     1,     1,     4,     5,     1,     3,
       3,     1,     2,     4,     5,     1,     1,     1,     1,     3,
       3,     2,     2,     1,     2,     2,     2,     1,     2,     2,
       1,     1,     1,     3,     2,     0,     2,     1,     3,     5,
       1,     2,     1,     0,     5,     7,     5,     7,     5,     7,
       3,     5,     5,     5,     1,     3,     2,     1,     2,     1,
       2,    11,    10,    10,     2,     2,     0,     9,     2,     0,
       4,     4,     4,     1,     1,     1,     0,     7,     6,     6,
       6,     6,     8,     8,     6,     6,     7,     9,     9,     6,
       6,     6,     8,     6,     8,     6,     8,     7,     9,     6,
       8,     7,     9,     8,    10,     9,    11,     8,     9,    11,
       8,     8,     7,     6,     6,     6,     5,     5,     8,     8,
       8,     8,     6,     9,     1,     0,     2,     0,     7,     6,
       6,     6,     6,     6,     7,     9,     9,     6,     8,     8,
       8,     8,     8,     6,     8,     6,     8,     7,     9,     7,
       9,     6,     7,     6,     6,     6,     6,     6,     7,     7,
       7,     9,     9,     6,     6,     6,     8,     8,     8,     6,
       7,    13,     1,     1,     3,     3,     1,     1,     1,     1,
       1,     1,     1,     0,     1,     1,     1,     1,     1,     1,
       0,     6,     8,     3,     2,     0,     2,     2,     2,     2,
       3,     3,     2,     2,     2,     2,     3,     2,     5,     4,
       3,     3,     3,     1,     1,     0,     3,     2,     2,     1,
       2,     1,     3,     2,     1,     0,     9,    11,    11,    13,
       3,     4,     4,     0,     2,     5,     2,     0,     3,     3,
       3,     3,     3,     3,     3,     3,     3,     3,     3,     3,
       3,     4,     3,     3,     1,     0,     5,     6,     4,     2,
       0,     4,     3,     5,     6,     4,     6,     6,     5,     7,
       9,     6,     1,     0,     6,    11,    11,    11,    13,     9,
      11,    10,     4,     2,     5,     2,     0,     4,     5,     5,
       4,     6,     1,     3,     1,     1,     1,     1,     2,     4,
       1,     1,     1,     0,     1,     0,     1,     0,     3,     0,
       2,     4,     3,     5,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     3,     2,     1,     1,     1,     1,
       0,     5,     3,     0,     1,     1,     1,     1,     3,     9,
       3,     0,     2,     3,     2,     3,     6,     1,     4,     2,
       1,     3,     2,     2,     0,     7,     2,     0,     5,     3,
       0,     2,     2,     2,     3,     1,     3,     1,     2,     1,
       0,     8,     1,     3,     1,     1,     3,     5,     2,     1,
       3,     7,     1,     0,     3,     2,     2,     2,     0,     2,
       2,     1,     1,     3,     3,     1,     2,     4,     4,     2,
       3,     5,     5,     1,     1,     9,     1,     2,     4,     4,
       4,     2,     3,     1,     3,     6,     1,     0,     2,     0,
       3,     3,     4,     4,     4,     4,     3,     2,     1,     1,
       0,     1,     1,     0,     1,     5,     1,     0,     1,     0,
       3,     1,     3,     4,     3,     2,     2,     1,     1,     1,
       0,     2,     4,     5,     2,     3,     1,     1,     1,     1,
       3,     0,     1,     1,     1,     1,     1,     3,     0,     2,
       0,     1,     3,     1,     0,     1,     2,     3,     2,     4,
       2,     3,     2,     0,     2,     3,     2,     0,     1,     3,
       2,     2,     3,     2,     3,     1,     4,     3,     4,     5,
       4,     5,     4,     5,     2,     4,     1,     1,     0,     1,
       4,     5,     4,     0,     2,     2,     2,     1,     1,     0,
       4,     2,     1,     2,     2,     4,     1,     3,     1,     2,
       3,     1,     2,     0,     2,     4,     0,     1,     0,     1,
       3,     3,     2,     3,     5,     6,     2,     3,     3,     4,
       0,     1,     1,     1,     1,     1,     2,     5,     1,     1,
       1,     1,     2,     3,     3,     0,     1,     1,     1,     1,
       1,     2,     2,     2,     2,     2,     1,     3,     0,     1,
       1,     1,     1,     5,     2,     1,     1,     1,     1,     5,
       2,     2,     2,     1,     3,     3,     2,     1,     0,     3,
       0,     5,     2,     5,     2,     1,     2,     3,     0,     1,
       1,     1,     1,     1,     1,     3,     3,     3,     3,     3,
       3,     3,     0,     1,     4,     1,     3,     3,     5,     2,
       2,     3,     3,     3,     3,     3,     3,     3,     3,     3,
       3,     2,     2,     3,     3,     2,     3,     5,     4,     6,
       3,     5,     4,     6,     4,     6,     5,     7,     3,     2,
       4,     2,     3,     3,     4,     3,     4,     3,     4,     5,
       6,     6,     7,     6,     7,     6,     7,     3,     4,     4,
       6,     2,     3,     4,     1,     3,     2,     2,     3,     3,
       3,     3,     3,     3,     3,     3,     3,     3,     2,     2,
       5,     6,     6,     7,     3,     4,     1,     1,     2,     4,
       1,     1,     1,     2,     2,     2,     2,     1,     4,     5,
       6,     8,     6,     7,     7,     5,     5,     1,     1,     4,
       1,     4,     1,     4,     1,     4,     1,     1,     1,     1,
       1,     1,     6,     4,     4,     4,     4,     6,     5,     5,
       5,     4,     6,     4,     4,     4,     4,     5,     7,     7,
       9,     5,     4,     6,     5,     7,     7,     7,     2,     3,
       3,     3,     4,     0,     4,     1,     3,     3,     1,     1,
       1,     2,     2,     0,     2,     4,     4,     6,     2,     0,
       1,     3,     3,     2,     2,     0,     6,     1,     0,     3,
       0,     2,     2,     0,     1,     4,     2,     2,     2,     2,
       2,     4,     3,     5,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     4,
       1,     4,     1,     4,     1,     2,     1,     2,     1,     3,
       1,     3,     1,     3,     1,     3,     3,     3,     2,     1,
       3,     3,     0,     1,     1,     1,     1,     1,     1,     1,
       1,     4,     3,     2,     3,     0,     3,     3,     2,     2,
       1,     0,     2,     2,     3,     2,     1,     1,     3,     5,
       1,     2,     4,     2,     0,     1,     0,     1,     2,     2,
       2,     3,     5,     1,     2,     0,     2,     1,     0,     1,
       1,     1,     3,     3,     1,     3,     3,     2,     1,     1,
       1,     3,     1,     2,     1,     3,     1,     1,     1,     1,
       1,     1,     1,     2,     1,     1,     1,     1,     1,     2,
       5,     2,     3,     6,     1,     1,     1,     1,     1,     1,
       1,     3,     1,     2,     2,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1
};


#define yyerrok         (yyerrstatus = 0)
#define yyclearin       (yychar = YYEMPTY)
#define YYEMPTY         (-2)
#define YYEOF           0

#define YYACCEPT        goto yyacceptlab
#define YYABORT         goto yyabortlab
#define YYERROR         goto yyerrorlab


#define YYRECOVERING()  (!!yyerrstatus)

#define YYBACKUP(Token, Value)                                  \
do                                                              \
  if (yychar == YYEMPTY)                                        \
    {                                                           \
      yychar = (Token);                                         \
      yylval = (Value);                                         \
      YYPOPSTACK (yylen);                                       \
      yystate = *yyssp;                                         \
      goto yybackup;                                            \
    }                                                           \
  else                                                          \
    {                                                           \
      yyerror (&yylloc, yyscanner, YY_("syntax error: cannot back up")); \
      YYERROR;                                                  \
    }                                                           \
while (0)

/* Error token number */
#define YYTERROR        1
#define YYERRCODE       256


/* YYLLOC_DEFAULT -- Set CURRENT to span from RHS[1] to RHS[N].
   If N is 0, then set CURRENT to the empty location which ends
   the previous symbol: RHS[0] (always defined).  */

#ifndef YYLLOC_DEFAULT
# define YYLLOC_DEFAULT(Current, Rhs, N)                                \
    do                                                                  \
      if (N)                                                            \
        {                                                               \
          (Current).first_line   = YYRHSLOC (Rhs, 1).first_line;        \
          (Current).first_column = YYRHSLOC (Rhs, 1).first_column;      \
          (Current).last_line    = YYRHSLOC (Rhs, N).last_line;         \
          (Current).last_column  = YYRHSLOC (Rhs, N).last_column;       \
        }                                                               \
      else                                                              \
        {                                                               \
          (Current).first_line   = (Current).last_line   =              \
            YYRHSLOC (Rhs, 0).last_line;                                \
          (Current).first_column = (Current).last_column =              \
            YYRHSLOC (Rhs, 0).last_column;                              \
        }                                                               \
    while (0)
#endif

#define YYRHSLOC(Rhs, K) ((Rhs)[K])


/* Enable debugging if requested.  */
#if YYDEBUG

# ifndef YYFPRINTF
#  include <stdio.h> /* INFRINGES ON USER NAME SPACE */
#  define YYFPRINTF fprintf
# endif

# define YYDPRINTF(Args)                        \
do {                                            \
  if (yydebug)                                  \
    YYFPRINTF Args;                             \
} while (0)


/* YY_LOCATION_PRINT -- Print the location on the stream.
   This macro was not mandated originally: define only if we know
   we won't break user code: when these are the locations we know.  */

#ifndef YY_LOCATION_PRINT
# if defined YYLTYPE_IS_TRIVIAL && YYLTYPE_IS_TRIVIAL

/* Print *YYLOCP on YYO.  Private, do not rely on its existence. */

YY_ATTRIBUTE_UNUSED
static unsigned
yy_location_print_ (FILE *yyo, YYLTYPE const * const yylocp)
{
  unsigned res = 0;
  int end_col = 0 != yylocp->last_column ? yylocp->last_column - 1 : 0;
  if (0 <= yylocp->first_line)
    {
      res += YYFPRINTF (yyo, "%d", yylocp->first_line);
      if (0 <= yylocp->first_column)
        res += YYFPRINTF (yyo, ".%d", yylocp->first_column);
    }
  if (0 <= yylocp->last_line)
    {
      if (yylocp->first_line < yylocp->last_line)
        {
          res += YYFPRINTF (yyo, "-%d", yylocp->last_line);
          if (0 <= end_col)
            res += YYFPRINTF (yyo, ".%d", end_col);
        }
      else if (0 <= end_col && yylocp->first_column < end_col)
        res += YYFPRINTF (yyo, "-%d", end_col);
    }
  return res;
 }

#  define YY_LOCATION_PRINT(File, Loc)          \
  yy_location_print_ (File, &(Loc))

# else
#  define YY_LOCATION_PRINT(File, Loc) ((void) 0)
# endif
#endif


# define YY_SYMBOL_PRINT(Title, Type, Value, Location)                    \
do {                                                                      \
  if (yydebug)                                                            \
    {                                                                     \
      YYFPRINTF (stderr, "%s ", Title);                                   \
      yy_symbol_print (stderr,                                            \
                  Type, Value, Location, yyscanner); \
      YYFPRINTF (stderr, "\n");                                           \
    }                                                                     \
} while (0)


/*----------------------------------------.
| Print this symbol's value on YYOUTPUT.  |
`----------------------------------------*/

static void
yy_symbol_value_print (FILE *yyoutput, int yytype, YYSTYPE const * const yyvaluep, YYLTYPE const * const yylocationp, core_yyscan_t yyscanner)
{
  FILE *yyo = yyoutput;
  YYUSE (yyo);
  YYUSE (yylocationp);
  YYUSE (yyscanner);
  if (!yyvaluep)
    return;
# ifdef YYPRINT
  if (yytype < YYNTOKENS)
    YYPRINT (yyoutput, yytoknum[yytype], *yyvaluep);
# endif
  YYUSE (yytype);
}


/*--------------------------------.
| Print this symbol on YYOUTPUT.  |
`--------------------------------*/

static void
yy_symbol_print (FILE *yyoutput, int yytype, YYSTYPE const * const yyvaluep, YYLTYPE const * const yylocationp, core_yyscan_t yyscanner)
{
  YYFPRINTF (yyoutput, "%s %s (",
             yytype < YYNTOKENS ? "token" : "nterm", yytname[yytype]);

  YY_LOCATION_PRINT (yyoutput, *yylocationp);
  YYFPRINTF (yyoutput, ": ");
  yy_symbol_value_print (yyoutput, yytype, yyvaluep, yylocationp, yyscanner);
  YYFPRINTF (yyoutput, ")");
}

/*------------------------------------------------------------------.
| yy_stack_print -- Print the state stack from its BOTTOM up to its |
| TOP (included).                                                   |
`------------------------------------------------------------------*/

static void
yy_stack_print (yytype_int16 *yybottom, yytype_int16 *yytop)
{
  YYFPRINTF (stderr, "Stack now");
  for (; yybottom <= yytop; yybottom++)
    {
      int yybot = *yybottom;
      YYFPRINTF (stderr, " %d", yybot);
    }
  YYFPRINTF (stderr, "\n");
}

# define YY_STACK_PRINT(Bottom, Top)                            \
do {                                                            \
  if (yydebug)                                                  \
    yy_stack_print ((Bottom), (Top));                           \
} while (0)


/*------------------------------------------------.
| Report that the YYRULE is going to be reduced.  |
`------------------------------------------------*/

static void
yy_reduce_print (yytype_int16 *yyssp, YYSTYPE *yyvsp, YYLTYPE *yylsp, int yyrule, core_yyscan_t yyscanner)
{
  unsigned long int yylno = yyrline[yyrule];
  int yynrhs = yyr2[yyrule];
  int yyi;
  YYFPRINTF (stderr, "Reducing stack by rule %d (line %lu):\n",
             yyrule - 1, yylno);
  /* The symbols being reduced.  */
  for (yyi = 0; yyi < yynrhs; yyi++)
    {
      YYFPRINTF (stderr, "   $%d = ", yyi + 1);
      yy_symbol_print (stderr,
                       yystos[yyssp[yyi + 1 - yynrhs]],
                       &(yyvsp[(yyi + 1) - (yynrhs)])
                       , &(yylsp[(yyi + 1) - (yynrhs)])                       , yyscanner);
      YYFPRINTF (stderr, "\n");
    }
}

# define YY_REDUCE_PRINT(Rule)          \
do {                                    \
  if (yydebug)                          \
    yy_reduce_print (yyssp, yyvsp, yylsp, Rule, yyscanner); \
} while (0)

/* Nonzero means print parse trace.  It is left uninitialized so that
   multiple parsers can coexist.  */
int yydebug;
#else /* !YYDEBUG */
# define YYDPRINTF(Args)
# define YY_SYMBOL_PRINT(Title, Type, Value, Location)
# define YY_STACK_PRINT(Bottom, Top)
# define YY_REDUCE_PRINT(Rule)
#endif /* !YYDEBUG */


/* YYINITDEPTH -- initial size of the parser's stacks.  */
#ifndef YYINITDEPTH
# define YYINITDEPTH 200
#endif

/* YYMAXDEPTH -- maximum size the stacks can grow to (effective only
   if the built-in stack extension method is used).

   Do not make this value too large; the results are undefined if
   YYSTACK_ALLOC_MAXIMUM < YYSTACK_BYTES (YYMAXDEPTH)
   evaluated with infinite-precision integer arithmetic.  */

#ifndef YYMAXDEPTH
# define YYMAXDEPTH 10000
#endif


#if YYERROR_VERBOSE

# ifndef yystrlen
#  if defined __GLIBC__ && defined _STRING_H
#   define yystrlen strlen
#  else
/* Return the length of YYSTR.  */
static YYSIZE_T
yystrlen (const char *yystr)
{
  YYSIZE_T yylen;
  for (yylen = 0; yystr[yylen]; yylen++)
    continue;
  return yylen;
}
#  endif
# endif

# ifndef yystpcpy
#  if defined __GLIBC__ && defined _STRING_H && defined _GNU_SOURCE
#   define yystpcpy stpcpy
#  else
/* Copy YYSRC to YYDEST, returning the address of the terminating '\0' in
   YYDEST.  */
static char *
yystpcpy (char *yydest, const char *yysrc)
{
  char *yyd = yydest;
  const char *yys = yysrc;

  while ((*yyd++ = *yys++) != '\0')
    continue;

  return yyd - 1;
}
#  endif
# endif

# ifndef yytnamerr
/* Copy to YYRES the contents of YYSTR after stripping away unnecessary
   quotes and backslashes, so that it's suitable for yyerror.  The
   heuristic is that double-quoting is unnecessary unless the string
   contains an apostrophe, a comma, or backslash (other than
   backslash-backslash).  YYSTR is taken from yytname.  If YYRES is
   null, do not copy; instead, return the length of what the result
   would have been.  */
static YYSIZE_T
yytnamerr (char *yyres, const char *yystr)
{
  if (*yystr == '"')
    {
      YYSIZE_T yyn = 0;
      char const *yyp = yystr;

      for (;;)
        switch (*++yyp)
          {
          case '\'':
          case ',':
            goto do_not_strip_quotes;

          case '\\':
            if (*++yyp != '\\')
              goto do_not_strip_quotes;
            /* Fall through.  */
          default:
            if (yyres)
              yyres[yyn] = *yyp;
            yyn++;
            break;

          case '"':
            if (yyres)
              yyres[yyn] = '\0';
            return yyn;
          }
    do_not_strip_quotes: ;
    }

  if (! yyres)
    return yystrlen (yystr);

  return yystpcpy (yyres, yystr) - yyres;
}
# endif

/* Copy into *YYMSG, which is of size *YYMSG_ALLOC, an error message
   about the unexpected token YYTOKEN for the state stack whose top is
   YYSSP.

   Return 0 if *YYMSG was successfully written.  Return 1 if *YYMSG is
   not large enough to hold the message.  In that case, also set
   *YYMSG_ALLOC to the required number of bytes.  Return 2 if the
   required number of bytes is too large to store.  */
static int
yysyntax_error (YYSIZE_T *yymsg_alloc, char **yymsg,
                yytype_int16 *yyssp, int yytoken)
{
  YYSIZE_T yysize0 = yytnamerr (YY_NULLPTR, yytname[yytoken]);
  YYSIZE_T yysize = yysize0;
  enum { YYERROR_VERBOSE_ARGS_MAXIMUM = 5 };
  /* Internationalized format string. */
  const char *yyformat = YY_NULLPTR;
  /* Arguments of yyformat. */
  char const *yyarg[YYERROR_VERBOSE_ARGS_MAXIMUM];
  /* Number of reported tokens (one for the "unexpected", one per
     "expected"). */
  int yycount = 0;

  /* There are many possibilities here to consider:
     - If this state is a consistent state with a default action, then
       the only way this function was invoked is if the default action
       is an error action.  In that case, don't check for expected
       tokens because there are none.
     - The only way there can be no lookahead present (in yychar) is if
       this state is a consistent state with a default action.  Thus,
       detecting the absence of a lookahead is sufficient to determine
       that there is no unexpected or expected token to report.  In that
       case, just report a simple "syntax error".
     - Don't assume there isn't a lookahead just because this state is a
       consistent state with a default action.  There might have been a
       previous inconsistent state, consistent state with a non-default
       action, or user semantic action that manipulated yychar.
     - Of course, the expected token list depends on states to have
       correct lookahead information, and it depends on the parser not
       to perform extra reductions after fetching a lookahead from the
       scanner and before detecting a syntax error.  Thus, state merging
       (from LALR or IELR) and default reductions corrupt the expected
       token list.  However, the list is correct for canonical LR with
       one exception: it will still contain any token that will not be
       accepted due to an error action in a later state.
  */
  if (yytoken != YYEMPTY)
    {
      int yyn = yypact[*yyssp];
      yyarg[yycount++] = yytname[yytoken];
      if (!yypact_value_is_default (yyn))
        {
          /* Start YYX at -YYN if negative to avoid negative indexes in
             YYCHECK.  In other words, skip the first -YYN actions for
             this state because they are default actions.  */
          int yyxbegin = yyn < 0 ? -yyn : 0;
          /* Stay within bounds of both yycheck and yytname.  */
          int yychecklim = YYLAST - yyn + 1;
          int yyxend = yychecklim < YYNTOKENS ? yychecklim : YYNTOKENS;
          int yyx;

          for (yyx = yyxbegin; yyx < yyxend; ++yyx)
            if (yycheck[yyx + yyn] == yyx && yyx != YYTERROR
                && !yytable_value_is_error (yytable[yyx + yyn]))
              {
                if (yycount == YYERROR_VERBOSE_ARGS_MAXIMUM)
                  {
                    yycount = 1;
                    yysize = yysize0;
                    break;
                  }
                yyarg[yycount++] = yytname[yyx];
                {
                  YYSIZE_T yysize1 = yysize + yytnamerr (YY_NULLPTR, yytname[yyx]);
                  if (! (yysize <= yysize1
                         && yysize1 <= YYSTACK_ALLOC_MAXIMUM))
                    return 2;
                  yysize = yysize1;
                }
              }
        }
    }

  switch (yycount)
    {
# define YYCASE_(N, S)                      \
      case N:                               \
        yyformat = S;                       \
      break
      YYCASE_(0, YY_("syntax error"));
      YYCASE_(1, YY_("syntax error, unexpected %s"));
      YYCASE_(2, YY_("syntax error, unexpected %s, expecting %s"));
      YYCASE_(3, YY_("syntax error, unexpected %s, expecting %s or %s"));
      YYCASE_(4, YY_("syntax error, unexpected %s, expecting %s or %s or %s"));
      YYCASE_(5, YY_("syntax error, unexpected %s, expecting %s or %s or %s or %s"));
# undef YYCASE_
    }

  {
    YYSIZE_T yysize1 = yysize + yystrlen (yyformat);
    if (! (yysize <= yysize1 && yysize1 <= YYSTACK_ALLOC_MAXIMUM))
      return 2;
    yysize = yysize1;
  }

  if (*yymsg_alloc < yysize)
    {
      *yymsg_alloc = 2 * yysize;
      if (! (yysize <= *yymsg_alloc
             && *yymsg_alloc <= YYSTACK_ALLOC_MAXIMUM))
        *yymsg_alloc = YYSTACK_ALLOC_MAXIMUM;
      return 1;
    }

  /* Avoid sprintf, as that infringes on the user's name space.
     Don't have undefined behavior even if the translation
     produced a string with the wrong number of "%s"s.  */
  {
    char *yyp = *yymsg;
    int yyi = 0;
    while ((*yyp = *yyformat) != '\0')
      if (*yyp == '%' && yyformat[1] == 's' && yyi < yycount)
        {
          yyp += yytnamerr (yyp, yyarg[yyi++]);
          yyformat += 2;
        }
      else
        {
          yyp++;
          yyformat++;
        }
  }
  return 0;
}
#endif /* YYERROR_VERBOSE */

/*-----------------------------------------------.
| Release the memory associated to this symbol.  |
`-----------------------------------------------*/

static void
yydestruct (const char *yymsg, int yytype, YYSTYPE *yyvaluep, YYLTYPE *yylocationp, core_yyscan_t yyscanner)
{
  YYUSE (yyvaluep);
  YYUSE (yylocationp);
  YYUSE (yyscanner);
  if (!yymsg)
    yymsg = "Deleting";
  YY_SYMBOL_PRINT (yymsg, yytype, yyvaluep, yylocationp);

  YY_IGNORE_MAYBE_UNINITIALIZED_BEGIN
  YYUSE (yytype);
  YY_IGNORE_MAYBE_UNINITIALIZED_END
}




/*----------.
| yyparse.  |
`----------*/

int
yyparse (core_yyscan_t yyscanner)
{
/* The lookahead symbol.  */
int yychar;


/* The semantic value of the lookahead symbol.  */
/* Default value used for initialization, for pacifying older GCCs
   or non-GCC compilers.  */
YY_INITIAL_VALUE (static YYSTYPE yyval_default;)
YYSTYPE yylval YY_INITIAL_VALUE (= yyval_default);

/* Location data for the lookahead symbol.  */
static YYLTYPE yyloc_default
# if defined YYLTYPE_IS_TRIVIAL && YYLTYPE_IS_TRIVIAL
  = { 1, 1, 1, 1 }
# endif
;
YYLTYPE yylloc = yyloc_default;

    /* Number of syntax errors so far.  */
    int yynerrs;

    int yystate;
    /* Number of tokens to shift before error messages enabled.  */
    int yyerrstatus;

    /* The stacks and their tools:
       'yyss': related to states.
       'yyvs': related to semantic values.
       'yyls': related to locations.

       Refer to the stacks through separate pointers, to allow yyoverflow
       to reallocate them elsewhere.  */

    /* The state stack.  */
    yytype_int16 yyssa[YYINITDEPTH];
    yytype_int16 *yyss;
    yytype_int16 *yyssp;

    /* The semantic value stack.  */
    YYSTYPE yyvsa[YYINITDEPTH];
    YYSTYPE *yyvs;
    YYSTYPE *yyvsp;

    /* The location stack.  */
    YYLTYPE yylsa[YYINITDEPTH];
    YYLTYPE *yyls;
    YYLTYPE *yylsp;

    /* The locations where the error started and ended.  */
    YYLTYPE yyerror_range[3];

    YYSIZE_T yystacksize;

  int yyn;
  int yyresult;
  /* Lookahead token as an internal (translated) token number.  */
  int yytoken = 0;
  /* The variables used to return semantic value and location from the
     action routines.  */
  YYSTYPE yyval;
  YYLTYPE yyloc;

#if YYERROR_VERBOSE
  /* Buffer for error messages, and its allocated size.  */
  char yymsgbuf[128];
  char *yymsg = yymsgbuf;
  YYSIZE_T yymsg_alloc = sizeof yymsgbuf;
#endif

#define YYPOPSTACK(N)   (yyvsp -= (N), yyssp -= (N), yylsp -= (N))

  /* The number of symbols on the RHS of the reduced rule.
     Keep to zero when no symbol should be popped.  */
  int yylen = 0;

  yyssp = yyss = yyssa;
  yyvsp = yyvs = yyvsa;
  yylsp = yyls = yylsa;
  yystacksize = YYINITDEPTH;

  YYDPRINTF ((stderr, "Starting parse\n"));

  yystate = 0;
  yyerrstatus = 0;
  yynerrs = 0;
  yychar = YYEMPTY; /* Cause a token to be read.  */
  yylsp[0] = yylloc;
  goto yysetstate;

/*------------------------------------------------------------.
| yynewstate -- Push a new state, which is found in yystate.  |
`------------------------------------------------------------*/
 yynewstate:
  /* In all cases, when you get here, the value and location stacks
     have just been pushed.  So pushing a state here evens the stacks.  */
  yyssp++;

 yysetstate:
  *yyssp = yystate;

  if (yyss + yystacksize - 1 <= yyssp)
    {
      /* Get the current used size of the three stacks, in elements.  */
      YYSIZE_T yysize = yyssp - yyss + 1;

#ifdef yyoverflow
      {
        /* Give user a chance to reallocate the stack.  Use copies of
           these so that the &'s don't force the real ones into
           memory.  */
        YYSTYPE *yyvs1 = yyvs;
        yytype_int16 *yyss1 = yyss;
        YYLTYPE *yyls1 = yyls;

        /* Each stack pointer address is followed by the size of the
           data in use in that stack, in bytes.  This used to be a
           conditional around just the two extra args, but that might
           be undefined if yyoverflow is a macro.  */
        yyoverflow (YY_("memory exhausted"),
                    &yyss1, yysize * sizeof (*yyssp),
                    &yyvs1, yysize * sizeof (*yyvsp),
                    &yyls1, yysize * sizeof (*yylsp),
                    &yystacksize);

        yyls = yyls1;
        yyss = yyss1;
        yyvs = yyvs1;
      }
#else /* no yyoverflow */
# ifndef YYSTACK_RELOCATE
      goto yyexhaustedlab;
# else
      /* Extend the stack our own way.  */
      if (YYMAXDEPTH <= yystacksize)
        goto yyexhaustedlab;
      yystacksize *= 2;
      if (YYMAXDEPTH < yystacksize)
        yystacksize = YYMAXDEPTH;

      {
        yytype_int16 *yyss1 = yyss;
        union yyalloc *yyptr =
          (union yyalloc *) YYSTACK_ALLOC (YYSTACK_BYTES (yystacksize));
        if (! yyptr)
          goto yyexhaustedlab;
        YYSTACK_RELOCATE (yyss_alloc, yyss);
        YYSTACK_RELOCATE (yyvs_alloc, yyvs);
        YYSTACK_RELOCATE (yyls_alloc, yyls);
#  undef YYSTACK_RELOCATE
        if (yyss1 != yyssa)
          YYSTACK_FREE (yyss1);
      }
# endif
#endif /* no yyoverflow */

      yyssp = yyss + yysize - 1;
      yyvsp = yyvs + yysize - 1;
      yylsp = yyls + yysize - 1;

      YYDPRINTF ((stderr, "Stack size increased to %lu\n",
                  (unsigned long int) yystacksize));

      if (yyss + yystacksize - 1 <= yyssp)
        YYABORT;
    }

  YYDPRINTF ((stderr, "Entering state %d\n", yystate));

  if (yystate == YYFINAL)
    YYACCEPT;

  goto yybackup;

/*-----------.
| yybackup.  |
`-----------*/
yybackup:

  /* Do appropriate processing given the current state.  Read a
     lookahead token if we need one and don't already have one.  */

  /* First try to decide what to do without reference to lookahead token.  */
  yyn = yypact[yystate];
  if (yypact_value_is_default (yyn))
    goto yydefault;

  /* Not known => get a lookahead token if don't already have one.  */

  /* YYCHAR is either YYEMPTY or YYEOF or a valid lookahead symbol.  */
  if (yychar == YYEMPTY)
    {
      YYDPRINTF ((stderr, "Reading a token: "));
      yychar = yylex (&yylval, &yylloc, yyscanner);
    }

  if (yychar <= YYEOF)
    {
      yychar = yytoken = YYEOF;
      YYDPRINTF ((stderr, "Now at end of input.\n"));
    }
  else
    {
      yytoken = YYTRANSLATE (yychar);
      YY_SYMBOL_PRINT ("Next token is", yytoken, &yylval, &yylloc);
    }

  /* If the proper action on seeing token YYTOKEN is to reduce or to
     detect an error, take that action.  */
  yyn += yytoken;
  if (yyn < 0 || YYLAST < yyn || yycheck[yyn] != yytoken)
    goto yydefault;
  yyn = yytable[yyn];
  if (yyn <= 0)
    {
      if (yytable_value_is_error (yyn))
        goto yyerrlab;
      yyn = -yyn;
      goto yyreduce;
    }

  /* Count tokens shifted since error; after three, turn off error
     status.  */
  if (yyerrstatus)
    yyerrstatus--;

  /* Shift the lookahead token.  */
  YY_SYMBOL_PRINT ("Shifting", yytoken, &yylval, &yylloc);

  /* Discard the shifted token.  */
  yychar = YYEMPTY;

  yystate = yyn;
  YY_IGNORE_MAYBE_UNINITIALIZED_BEGIN
  *++yyvsp = yylval;
  YY_IGNORE_MAYBE_UNINITIALIZED_END
  *++yylsp = yylloc;
  goto yynewstate;


/*-----------------------------------------------------------.
| yydefault -- do the default action for the current state.  |
`-----------------------------------------------------------*/
yydefault:
  yyn = yydefact[yystate];
  if (yyn == 0)
    goto yyerrlab;
  goto yyreduce;


/*-----------------------------.
| yyreduce -- Do a reduction.  |
`-----------------------------*/
yyreduce:
  /* yyn is the number of a rule to reduce with.  */
  yylen = yyr2[yyn];

  /* If YYLEN is nonzero, implement the default value of the action:
     '$$ = $1'.

     Otherwise, the following line sets YYVAL to garbage.
     This behavior is undocumented and Bison
     users should not rely upon it.  Assigning to YYVAL
     unconditionally makes the parser a bit smaller, and it avoids a
     GCC warning that YYVAL may be used uninitialized.  */
  yyval = yyvsp[1-yylen];

  /* Default location.  */
  YYLLOC_DEFAULT (yyloc, (yylsp - yylen), yylen);
  YY_REDUCE_PRINT (yyn);
  switch (yyn)
    {
        case 2:
#line 679 "gram.y" /* yacc.c:1646  */
    {
				pg_yyget_extra(yyscanner)->parsetree = (yyvsp[0].list);
			}
#line 19608 "gram.c" /* yacc.c:1646  */
    break;

  case 3:
#line 686 "gram.y" /* yacc.c:1646  */
    {
					if ((yyvsp[0].node) != NULL)
						(yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].node));
					else
						(yyval.list) = (yyvsp[-2].list);
				}
#line 19619 "gram.c" /* yacc.c:1646  */
    break;

  case 4:
#line 693 "gram.y" /* yacc.c:1646  */
    {
					if ((yyvsp[0].node) != NULL)
						(yyval.list) = list_make1((yyvsp[0].node));
					else
						(yyval.list) = NIL;
				}
#line 19630 "gram.c" /* yacc.c:1646  */
    break;

  case 119:
#line 817 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = NULL; }
#line 19636 "gram.c" /* yacc.c:1646  */
    break;

  case 120:
#line 828 "gram.y" /* yacc.c:1646  */
    {
					CreateRoleStmt *n = makeNode(CreateRoleStmt);
					n->stmt_type = ROLESTMT_ROLE;
					n->role = (yyvsp[-2].str);
					n->options = (yyvsp[0].list);
					(yyval.node) = (Node *)n;
				}
#line 19648 "gram.c" /* yacc.c:1646  */
    break;

  case 121:
#line 838 "gram.y" /* yacc.c:1646  */
    {}
#line 19654 "gram.c" /* yacc.c:1646  */
    break;

  case 122:
#line 839 "gram.y" /* yacc.c:1646  */
    {}
#line 19660 "gram.c" /* yacc.c:1646  */
    break;

  case 123:
#line 848 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-1].list), (yyvsp[0].defelt)); }
#line 19666 "gram.c" /* yacc.c:1646  */
    break;

  case 124:
#line 849 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 19672 "gram.c" /* yacc.c:1646  */
    break;

  case 125:
#line 853 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-1].list), (yyvsp[0].defelt)); }
#line 19678 "gram.c" /* yacc.c:1646  */
    break;

  case 126:
#line 854 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 19684 "gram.c" /* yacc.c:1646  */
    break;

  case 127:
#line 859 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("password",
									 (Node *)makeString((yyvsp[0].str)));
				}
#line 19693 "gram.c" /* yacc.c:1646  */
    break;

  case 128:
#line 864 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("password", NULL);
				}
#line 19701 "gram.c" /* yacc.c:1646  */
    break;

  case 129:
#line 868 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("encryptedPassword",
									 (Node *)makeString((yyvsp[0].str)));
				}
#line 19710 "gram.c" /* yacc.c:1646  */
    break;

  case 130:
#line 873 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("unencryptedPassword",
									 (Node *)makeString((yyvsp[0].str)));
				}
#line 19719 "gram.c" /* yacc.c:1646  */
    break;

  case 131:
#line 878 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("inherit", (Node *)makeInteger(TRUE));
				}
#line 19727 "gram.c" /* yacc.c:1646  */
    break;

  case 132:
#line 882 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("connectionlimit", (Node *)makeInteger((yyvsp[0].ival)));
				}
#line 19735 "gram.c" /* yacc.c:1646  */
    break;

  case 133:
#line 886 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("validUntil", (Node *)makeString((yyvsp[0].str)));
				}
#line 19743 "gram.c" /* yacc.c:1646  */
    break;

  case 134:
#line 891 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("rolemembers", (Node *)(yyvsp[0].list));
				}
#line 19751 "gram.c" /* yacc.c:1646  */
    break;

  case 135:
#line 895 "gram.y" /* yacc.c:1646  */
    {
					/*
					 * We handle identifiers that aren't parser keywords with
					 * the following special-case codes, to avoid bloating the
					 * size of the main parser.
					 */
					if (strcmp((yyvsp[0].str), "superuser") == 0)
						(yyval.defelt) = makeDefElem("superuser", (Node *)makeInteger(TRUE));
					else if (strcmp((yyvsp[0].str), "nosuperuser") == 0)
						(yyval.defelt) = makeDefElem("superuser", (Node *)makeInteger(FALSE));
					else if (strcmp((yyvsp[0].str), "createuser") == 0)
					{
						/* For backwards compatibility, synonym for SUPERUSER */
						(yyval.defelt) = makeDefElem("superuser", (Node *)makeInteger(TRUE));
					}
					else if (strcmp((yyvsp[0].str), "nocreateuser") == 0)
					{
						/* For backwards compatibility, synonym for SUPERUSER */
						(yyval.defelt) = makeDefElem("superuser", (Node *)makeInteger(FALSE));
					}
					else if (strcmp((yyvsp[0].str), "createrole") == 0)
						(yyval.defelt) = makeDefElem("createrole", (Node *)makeInteger(TRUE));
					else if (strcmp((yyvsp[0].str), "nocreaterole") == 0)
						(yyval.defelt) = makeDefElem("createrole", (Node *)makeInteger(FALSE));
					else if (strcmp((yyvsp[0].str), "replication") == 0)
						(yyval.defelt) = makeDefElem("isreplication", (Node *)makeInteger(TRUE));
					else if (strcmp((yyvsp[0].str), "noreplication") == 0)
						(yyval.defelt) = makeDefElem("isreplication", (Node *)makeInteger(FALSE));
					else if (strcmp((yyvsp[0].str), "createdb") == 0)
						(yyval.defelt) = makeDefElem("createdb", (Node *)makeInteger(TRUE));
					else if (strcmp((yyvsp[0].str), "nocreatedb") == 0)
						(yyval.defelt) = makeDefElem("createdb", (Node *)makeInteger(FALSE));
					else if (strcmp((yyvsp[0].str), "login") == 0)
						(yyval.defelt) = makeDefElem("canlogin", (Node *)makeInteger(TRUE));
					else if (strcmp((yyvsp[0].str), "nologin") == 0)
						(yyval.defelt) = makeDefElem("canlogin", (Node *)makeInteger(FALSE));
					else if (strcmp((yyvsp[0].str), "noinherit") == 0)
					{
						/*
						 * Note that INHERIT is a keyword, so it's handled by main parser, but
						 * NOINHERIT is handled here.
						 */
						(yyval.defelt) = makeDefElem("inherit", (Node *)makeInteger(FALSE));
					}
					else
						ereport(ERROR,
								(errcode(ERRCODE_SYNTAX_ERROR),
								 errmsg("unrecognized role option \"%s\"", (yyvsp[0].str)),
									 parser_errposition((yylsp[0]))));
				}
#line 19806 "gram.c" /* yacc.c:1646  */
    break;

  case 136:
#line 948 "gram.y" /* yacc.c:1646  */
    { (yyval.defelt) = (yyvsp[0].defelt); }
#line 19812 "gram.c" /* yacc.c:1646  */
    break;

  case 137:
#line 951 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("sysid", (Node *)makeInteger((yyvsp[0].ival)));
				}
#line 19820 "gram.c" /* yacc.c:1646  */
    break;

  case 138:
#line 955 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("adminmembers", (Node *)(yyvsp[0].list));
				}
#line 19828 "gram.c" /* yacc.c:1646  */
    break;

  case 139:
#line 959 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("rolemembers", (Node *)(yyvsp[0].list));
				}
#line 19836 "gram.c" /* yacc.c:1646  */
    break;

  case 140:
#line 963 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("addroleto", (Node *)(yyvsp[0].list));
				}
#line 19844 "gram.c" /* yacc.c:1646  */
    break;

  case 141:
#line 967 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("addroleto", (Node *)(yyvsp[0].list));
				}
#line 19852 "gram.c" /* yacc.c:1646  */
    break;

  case 142:
#line 981 "gram.y" /* yacc.c:1646  */
    {
					CreateRoleStmt *n = makeNode(CreateRoleStmt);
					n->stmt_type = ROLESTMT_USER;
					n->role = (yyvsp[-2].str);
					n->options = (yyvsp[0].list);
					(yyval.node) = (Node *)n;
				}
#line 19864 "gram.c" /* yacc.c:1646  */
    break;

  case 143:
#line 999 "gram.y" /* yacc.c:1646  */
    {
					AlterRoleStmt *n = makeNode(AlterRoleStmt);
					n->role = (yyvsp[-2].str);
					n->action = +1;	/* add, if there are members */
					n->options = (yyvsp[0].list);
					(yyval.node) = (Node *)n;
				 }
#line 19876 "gram.c" /* yacc.c:1646  */
    break;

  case 144:
#line 1009 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = NULL; }
#line 19882 "gram.c" /* yacc.c:1646  */
    break;

  case 145:
#line 1010 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 19888 "gram.c" /* yacc.c:1646  */
    break;

  case 146:
#line 1015 "gram.y" /* yacc.c:1646  */
    {
					AlterRoleSetStmt *n = makeNode(AlterRoleSetStmt);
					n->role = (yyvsp[-2].str);
					n->database = (yyvsp[-1].str);
					n->setstmt = (yyvsp[0].vsetstmt);
					(yyval.node) = (Node *)n;
				}
#line 19900 "gram.c" /* yacc.c:1646  */
    break;

  case 147:
#line 1023 "gram.y" /* yacc.c:1646  */
    {
					AlterRoleSetStmt *n = makeNode(AlterRoleSetStmt);
					n->role = NULL;
					n->database = (yyvsp[-1].str);
					n->setstmt = (yyvsp[0].vsetstmt);
					(yyval.node) = (Node *)n;
				}
#line 19912 "gram.c" /* yacc.c:1646  */
    break;

  case 148:
#line 1041 "gram.y" /* yacc.c:1646  */
    {
					AlterRoleStmt *n = makeNode(AlterRoleStmt);
					n->role = (yyvsp[-2].str);
					n->action = +1;	/* add, if there are members */
					n->options = (yyvsp[0].list);
					(yyval.node) = (Node *)n;
				 }
#line 19924 "gram.c" /* yacc.c:1646  */
    break;

  case 149:
#line 1053 "gram.y" /* yacc.c:1646  */
    {
					AlterRoleSetStmt *n = makeNode(AlterRoleSetStmt);
					n->role = (yyvsp[-2].str);
					n->database = (yyvsp[-1].str);
					n->setstmt = (yyvsp[0].vsetstmt);
					(yyval.node) = (Node *)n;
				}
#line 19936 "gram.c" /* yacc.c:1646  */
    break;

  case 150:
#line 1061 "gram.y" /* yacc.c:1646  */
    {
					AlterRoleSetStmt *n = makeNode(AlterRoleSetStmt);
					n->role = NULL;
					n->database = (yyvsp[-1].str);
					n->setstmt = (yyvsp[0].vsetstmt);
					(yyval.node) = (Node *)n;
				}
#line 19948 "gram.c" /* yacc.c:1646  */
    break;

  case 151:
#line 1082 "gram.y" /* yacc.c:1646  */
    {
					DropRoleStmt *n = makeNode(DropRoleStmt);
					n->missing_ok = FALSE;
					n->roles = (yyvsp[0].list);
					(yyval.node) = (Node *)n;
				}
#line 19959 "gram.c" /* yacc.c:1646  */
    break;

  case 152:
#line 1089 "gram.y" /* yacc.c:1646  */
    {
					DropRoleStmt *n = makeNode(DropRoleStmt);
					n->missing_ok = TRUE;
					n->roles = (yyvsp[0].list);
					(yyval.node) = (Node *)n;
				}
#line 19970 "gram.c" /* yacc.c:1646  */
    break;

  case 153:
#line 1108 "gram.y" /* yacc.c:1646  */
    {
					DropRoleStmt *n = makeNode(DropRoleStmt);
					n->missing_ok = FALSE;
					n->roles = (yyvsp[0].list);
					(yyval.node) = (Node *)n;
				}
#line 19981 "gram.c" /* yacc.c:1646  */
    break;

  case 154:
#line 1115 "gram.y" /* yacc.c:1646  */
    {
					DropRoleStmt *n = makeNode(DropRoleStmt);
					n->roles = (yyvsp[0].list);
					n->missing_ok = TRUE;
					(yyval.node) = (Node *)n;
				}
#line 19992 "gram.c" /* yacc.c:1646  */
    break;

  case 155:
#line 1132 "gram.y" /* yacc.c:1646  */
    {
					CreateRoleStmt *n = makeNode(CreateRoleStmt);
					n->stmt_type = ROLESTMT_GROUP;
					n->role = (yyvsp[-2].str);
					n->options = (yyvsp[0].list);
					(yyval.node) = (Node *)n;
				}
#line 20004 "gram.c" /* yacc.c:1646  */
    break;

  case 156:
#line 1150 "gram.y" /* yacc.c:1646  */
    {
					AlterRoleStmt *n = makeNode(AlterRoleStmt);
					n->role = (yyvsp[-3].str);
					n->action = (yyvsp[-2].ival);
					n->options = list_make1(makeDefElem("rolemembers",
														(Node *)(yyvsp[0].list)));
					(yyval.node) = (Node *)n;
				}
#line 20017 "gram.c" /* yacc.c:1646  */
    break;

  case 157:
#line 1160 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = +1; }
#line 20023 "gram.c" /* yacc.c:1646  */
    break;

  case 158:
#line 1161 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = -1; }
#line 20029 "gram.c" /* yacc.c:1646  */
    break;

  case 159:
#line 1174 "gram.y" /* yacc.c:1646  */
    {
					DropRoleStmt *n = makeNode(DropRoleStmt);
					n->missing_ok = FALSE;
					n->roles = (yyvsp[0].list);
					(yyval.node) = (Node *)n;
				}
#line 20040 "gram.c" /* yacc.c:1646  */
    break;

  case 160:
#line 1181 "gram.y" /* yacc.c:1646  */
    {
					DropRoleStmt *n = makeNode(DropRoleStmt);
					n->missing_ok = TRUE;
					n->roles = (yyvsp[0].list);
					(yyval.node) = (Node *)n;
				}
#line 20051 "gram.c" /* yacc.c:1646  */
    break;

  case 161:
#line 1198 "gram.y" /* yacc.c:1646  */
    {
					CreateSchemaStmt *n = makeNode(CreateSchemaStmt);
					/* One can omit the schema name or the authorization id. */
					if ((yyvsp[-3].str) != NULL)
						n->schemaname = (yyvsp[-3].str);
					else
						n->schemaname = (yyvsp[-1].str);
					n->authid = (yyvsp[-1].str);
					n->schemaElts = (yyvsp[0].list);
					n->if_not_exists = false;
					(yyval.node) = (Node *)n;
				}
#line 20068 "gram.c" /* yacc.c:1646  */
    break;

  case 162:
#line 1211 "gram.y" /* yacc.c:1646  */
    {
					CreateSchemaStmt *n = makeNode(CreateSchemaStmt);
					/* ...but not both */
					n->schemaname = (yyvsp[-1].str);
					n->authid = NULL;
					n->schemaElts = (yyvsp[0].list);
					n->if_not_exists = false;
					(yyval.node) = (Node *)n;
				}
#line 20082 "gram.c" /* yacc.c:1646  */
    break;

  case 163:
#line 1221 "gram.y" /* yacc.c:1646  */
    {
					CreateSchemaStmt *n = makeNode(CreateSchemaStmt);
					/* One can omit the schema name or the authorization id. */
					if ((yyvsp[-3].str) != NULL)
						n->schemaname = (yyvsp[-3].str);
					else
						n->schemaname = (yyvsp[-1].str);
					n->authid = (yyvsp[-1].str);
					if ((yyvsp[0].list) != NIL)
						ereport(ERROR,
								(errcode(ERRCODE_FEATURE_NOT_SUPPORTED),
								 errmsg("CREATE SCHEMA IF NOT EXISTS cannot include schema elements"),
								 parser_errposition((yylsp[0]))));
					n->schemaElts = (yyvsp[0].list);
					n->if_not_exists = true;
					(yyval.node) = (Node *)n;
				}
#line 20104 "gram.c" /* yacc.c:1646  */
    break;

  case 164:
#line 1239 "gram.y" /* yacc.c:1646  */
    {
					CreateSchemaStmt *n = makeNode(CreateSchemaStmt);
					/* ...but not both */
					n->schemaname = (yyvsp[-1].str);
					n->authid = NULL;
					if ((yyvsp[0].list) != NIL)
						ereport(ERROR,
								(errcode(ERRCODE_FEATURE_NOT_SUPPORTED),
								 errmsg("CREATE SCHEMA IF NOT EXISTS cannot include schema elements"),
								 parser_errposition((yylsp[0]))));
					n->schemaElts = (yyvsp[0].list);
					n->if_not_exists = true;
					(yyval.node) = (Node *)n;
				}
#line 20123 "gram.c" /* yacc.c:1646  */
    break;

  case 165:
#line 1256 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 20129 "gram.c" /* yacc.c:1646  */
    break;

  case 166:
#line 1257 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = NULL; }
#line 20135 "gram.c" /* yacc.c:1646  */
    break;

  case 167:
#line 1262 "gram.y" /* yacc.c:1646  */
    {
					if ((yyloc) < 0)			/* see comments for YYLLOC_DEFAULT */
						(yyloc) = (yylsp[0]);
					(yyval.list) = lappend((yyvsp[-1].list), (yyvsp[0].node));
				}
#line 20145 "gram.c" /* yacc.c:1646  */
    break;

  case 168:
#line 1268 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 20151 "gram.c" /* yacc.c:1646  */
    break;

  case 175:
#line 1296 "gram.y" /* yacc.c:1646  */
    {
					VariableSetStmt *n = (yyvsp[0].vsetstmt);
					n->is_local = false;
					(yyval.node) = (Node *) n;
				}
#line 20161 "gram.c" /* yacc.c:1646  */
    break;

  case 176:
#line 1302 "gram.y" /* yacc.c:1646  */
    {
					VariableSetStmt *n = (yyvsp[0].vsetstmt);
					n->is_local = true;
					(yyval.node) = (Node *) n;
				}
#line 20171 "gram.c" /* yacc.c:1646  */
    break;

  case 177:
#line 1308 "gram.y" /* yacc.c:1646  */
    {
					VariableSetStmt *n = (yyvsp[0].vsetstmt);
					n->is_local = false;
					(yyval.node) = (Node *) n;
				}
#line 20181 "gram.c" /* yacc.c:1646  */
    break;

  case 178:
#line 1317 "gram.y" /* yacc.c:1646  */
    {
					VariableSetStmt *n = makeNode(VariableSetStmt);
					n->kind = VAR_SET_MULTI;
					n->name = "TRANSACTION";
					n->args = (yyvsp[0].list);
					(yyval.vsetstmt) = n;
				}
#line 20193 "gram.c" /* yacc.c:1646  */
    break;

  case 179:
#line 1325 "gram.y" /* yacc.c:1646  */
    {
					VariableSetStmt *n = makeNode(VariableSetStmt);
					n->kind = VAR_SET_MULTI;
					n->name = "SESSION CHARACTERISTICS";
					n->args = (yyvsp[0].list);
					(yyval.vsetstmt) = n;
				}
#line 20205 "gram.c" /* yacc.c:1646  */
    break;

  case 181:
#line 1337 "gram.y" /* yacc.c:1646  */
    {
					VariableSetStmt *n = makeNode(VariableSetStmt);
					n->kind = VAR_SET_VALUE;
					n->name = (yyvsp[-2].str);
					n->args = (yyvsp[0].list);
					(yyval.vsetstmt) = n;
				}
#line 20217 "gram.c" /* yacc.c:1646  */
    break;

  case 182:
#line 1345 "gram.y" /* yacc.c:1646  */
    {
					VariableSetStmt *n = makeNode(VariableSetStmt);
					n->kind = VAR_SET_VALUE;
					n->name = (yyvsp[-2].str);
					n->args = (yyvsp[0].list);
					(yyval.vsetstmt) = n;
				}
#line 20229 "gram.c" /* yacc.c:1646  */
    break;

  case 183:
#line 1353 "gram.y" /* yacc.c:1646  */
    {
					VariableSetStmt *n = makeNode(VariableSetStmt);
					n->kind = VAR_SET_DEFAULT;
					n->name = (yyvsp[-2].str);
					(yyval.vsetstmt) = n;
				}
#line 20240 "gram.c" /* yacc.c:1646  */
    break;

  case 184:
#line 1360 "gram.y" /* yacc.c:1646  */
    {
					VariableSetStmt *n = makeNode(VariableSetStmt);
					n->kind = VAR_SET_DEFAULT;
					n->name = (yyvsp[-2].str);
					(yyval.vsetstmt) = n;
				}
#line 20251 "gram.c" /* yacc.c:1646  */
    break;

  case 185:
#line 1367 "gram.y" /* yacc.c:1646  */
    {
					VariableSetStmt *n = makeNode(VariableSetStmt);
					n->kind = VAR_SET_CURRENT;
					n->name = (yyvsp[-2].str);
					(yyval.vsetstmt) = n;
				}
#line 20262 "gram.c" /* yacc.c:1646  */
    break;

  case 186:
#line 1375 "gram.y" /* yacc.c:1646  */
    {
					VariableSetStmt *n = makeNode(VariableSetStmt);
					n->kind = VAR_SET_VALUE;
					n->name = "timezone";
					if ((yyvsp[0].node) != NULL)
						n->args = list_make1((yyvsp[0].node));
					else
						n->kind = VAR_SET_DEFAULT;
					(yyval.vsetstmt) = n;
				}
#line 20277 "gram.c" /* yacc.c:1646  */
    break;

  case 187:
#line 1386 "gram.y" /* yacc.c:1646  */
    {
					ereport(ERROR,
							(errcode(ERRCODE_FEATURE_NOT_SUPPORTED),
							 errmsg("current database cannot be changed"),
							 parser_errposition((yylsp[0]))));
					(yyval.vsetstmt) = NULL; /*not reached*/
				}
#line 20289 "gram.c" /* yacc.c:1646  */
    break;

  case 188:
#line 1394 "gram.y" /* yacc.c:1646  */
    {
					VariableSetStmt *n = makeNode(VariableSetStmt);
					n->kind = VAR_SET_VALUE;
					n->name = "search_path";
					n->args = list_make1(makeStringConst((yyvsp[0].str), (yylsp[0])));
					(yyval.vsetstmt) = n;
				}
#line 20301 "gram.c" /* yacc.c:1646  */
    break;

  case 189:
#line 1402 "gram.y" /* yacc.c:1646  */
    {
					VariableSetStmt *n = makeNode(VariableSetStmt);
					n->kind = VAR_SET_VALUE;
					n->name = "client_encoding";
					if ((yyvsp[0].str) != NULL)
						n->args = list_make1(makeStringConst((yyvsp[0].str), (yylsp[0])));
					else
						n->kind = VAR_SET_DEFAULT;
					(yyval.vsetstmt) = n;
				}
#line 20316 "gram.c" /* yacc.c:1646  */
    break;

  case 190:
#line 1413 "gram.y" /* yacc.c:1646  */
    {
					VariableSetStmt *n = makeNode(VariableSetStmt);
					n->kind = VAR_SET_VALUE;
					n->name = "role";
					n->args = list_make1(makeStringConst((yyvsp[0].str), (yylsp[0])));
					(yyval.vsetstmt) = n;
				}
#line 20328 "gram.c" /* yacc.c:1646  */
    break;

  case 191:
#line 1421 "gram.y" /* yacc.c:1646  */
    {
					VariableSetStmt *n = makeNode(VariableSetStmt);
					n->kind = VAR_SET_VALUE;
					n->name = "session_authorization";
					n->args = list_make1(makeStringConst((yyvsp[0].str), (yylsp[0])));
					(yyval.vsetstmt) = n;
				}
#line 20340 "gram.c" /* yacc.c:1646  */
    break;

  case 192:
#line 1429 "gram.y" /* yacc.c:1646  */
    {
					VariableSetStmt *n = makeNode(VariableSetStmt);
					n->kind = VAR_SET_DEFAULT;
					n->name = "session_authorization";
					(yyval.vsetstmt) = n;
				}
#line 20351 "gram.c" /* yacc.c:1646  */
    break;

  case 193:
#line 1436 "gram.y" /* yacc.c:1646  */
    {
					VariableSetStmt *n = makeNode(VariableSetStmt);
					n->kind = VAR_SET_VALUE;
					n->name = "xmloption";
					n->args = list_make1(makeStringConst((yyvsp[0].ival) == XMLOPTION_DOCUMENT ? "DOCUMENT" : "CONTENT", (yylsp[0])));
					(yyval.vsetstmt) = n;
				}
#line 20363 "gram.c" /* yacc.c:1646  */
    break;

  case 194:
#line 1445 "gram.y" /* yacc.c:1646  */
    {
					VariableSetStmt *n = makeNode(VariableSetStmt);
					n->kind = VAR_SET_MULTI;
					n->name = "TRANSACTION SNAPSHOT";
					n->args = list_make1(makeStringConst((yyvsp[0].str), (yylsp[0])));
					(yyval.vsetstmt) = n;
				}
#line 20375 "gram.c" /* yacc.c:1646  */
    break;

  case 195:
#line 1454 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 20381 "gram.c" /* yacc.c:1646  */
    break;

  case 196:
#line 1456 "gram.y" /* yacc.c:1646  */
    {
					(yyval.str) = palloc(strlen((yyvsp[-2].str)) + strlen((yyvsp[0].str)) + 2);
					sprintf((yyval.str), "%s.%s", (yyvsp[-2].str), (yyvsp[0].str));
				}
#line 20390 "gram.c" /* yacc.c:1646  */
    break;

  case 197:
#line 1462 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].node)); }
#line 20396 "gram.c" /* yacc.c:1646  */
    break;

  case 198:
#line 1463 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].node)); }
#line 20402 "gram.c" /* yacc.c:1646  */
    break;

  case 199:
#line 1467 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = makeStringConst((yyvsp[0].str), (yylsp[0])); }
#line 20408 "gram.c" /* yacc.c:1646  */
    break;

  case 200:
#line 1469 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = makeAConst((yyvsp[0].value), (yylsp[0])); }
#line 20414 "gram.c" /* yacc.c:1646  */
    break;

  case 201:
#line 1472 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = "read uncommitted"; }
#line 20420 "gram.c" /* yacc.c:1646  */
    break;

  case 202:
#line 1473 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = "read committed"; }
#line 20426 "gram.c" /* yacc.c:1646  */
    break;

  case 203:
#line 1474 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = "repeatable read"; }
#line 20432 "gram.c" /* yacc.c:1646  */
    break;

  case 204:
#line 1475 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = "serializable"; }
#line 20438 "gram.c" /* yacc.c:1646  */
    break;

  case 205:
#line 1479 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = "true"; }
#line 20444 "gram.c" /* yacc.c:1646  */
    break;

  case 206:
#line 1480 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = "false"; }
#line 20450 "gram.c" /* yacc.c:1646  */
    break;

  case 207:
#line 1481 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = "on"; }
#line 20456 "gram.c" /* yacc.c:1646  */
    break;

  case 208:
#line 1487 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 20462 "gram.c" /* yacc.c:1646  */
    break;

  case 209:
#line 1500 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = makeStringConst((yyvsp[0].str), (yylsp[0]));
				}
#line 20470 "gram.c" /* yacc.c:1646  */
    break;

  case 210:
#line 1504 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = makeStringConst((yyvsp[0].str), (yylsp[0]));
				}
#line 20478 "gram.c" /* yacc.c:1646  */
    break;

  case 211:
#line 1508 "gram.y" /* yacc.c:1646  */
    {
					TypeName *t = (yyvsp[-2].typnam);
					if ((yyvsp[0].list) != NIL)
					{
						A_Const *n = (A_Const *) linitial((yyvsp[0].list));
						if ((n->val.val.ival & ~(INTERVAL_MASK(HOUR) | INTERVAL_MASK(MINUTE))) != 0)
							ereport(ERROR,
									(errcode(ERRCODE_SYNTAX_ERROR),
									 errmsg("time zone interval must be HOUR or HOUR TO MINUTE"),
									 parser_errposition((yylsp[0]))));
					}
					t->typmods = (yyvsp[0].list);
					(yyval.node) = makeStringConstCast((yyvsp[-1].str), (yylsp[-1]), t);
				}
#line 20497 "gram.c" /* yacc.c:1646  */
    break;

  case 212:
#line 1523 "gram.y" /* yacc.c:1646  */
    {
					TypeName *t = (yyvsp[-5].typnam);
					if ((yyvsp[0].list) != NIL)
					{
						A_Const *n = (A_Const *) linitial((yyvsp[0].list));
						if ((n->val.val.ival & ~(INTERVAL_MASK(HOUR) | INTERVAL_MASK(MINUTE))) != 0)
							ereport(ERROR,
									(errcode(ERRCODE_SYNTAX_ERROR),
									 errmsg("time zone interval must be HOUR or HOUR TO MINUTE"),
									 parser_errposition((yylsp[0]))));
						if (list_length((yyvsp[0].list)) != 1)
							ereport(ERROR,
									(errcode(ERRCODE_SYNTAX_ERROR),
									 errmsg("interval precision specified twice"),
									 parser_errposition((yylsp[-5]))));
						t->typmods = lappend((yyvsp[0].list), makeIntConst((yyvsp[-3].ival), (yylsp[-3])));
					}
					else
						t->typmods = list_make2(makeIntConst(INTERVAL_FULL_RANGE, -1),
												makeIntConst((yyvsp[-3].ival), (yylsp[-3])));
					(yyval.node) = makeStringConstCast((yyvsp[-1].str), (yylsp[-1]), t);
				}
#line 20524 "gram.c" /* yacc.c:1646  */
    break;

  case 213:
#line 1545 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = makeAConst((yyvsp[0].value), (yylsp[0])); }
#line 20530 "gram.c" /* yacc.c:1646  */
    break;

  case 214:
#line 1546 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = NULL; }
#line 20536 "gram.c" /* yacc.c:1646  */
    break;

  case 215:
#line 1547 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = NULL; }
#line 20542 "gram.c" /* yacc.c:1646  */
    break;

  case 216:
#line 1551 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 20548 "gram.c" /* yacc.c:1646  */
    break;

  case 217:
#line 1552 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = NULL; }
#line 20554 "gram.c" /* yacc.c:1646  */
    break;

  case 218:
#line 1553 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = NULL; }
#line 20560 "gram.c" /* yacc.c:1646  */
    break;

  case 219:
#line 1557 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 20566 "gram.c" /* yacc.c:1646  */
    break;

  case 220:
#line 1558 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 20572 "gram.c" /* yacc.c:1646  */
    break;

  case 221:
#line 1563 "gram.y" /* yacc.c:1646  */
    {
					VariableSetStmt *n = makeNode(VariableSetStmt);
					n->kind = VAR_RESET;
					n->name = (yyvsp[0].str);
					(yyval.node) = (Node *) n;
				}
#line 20583 "gram.c" /* yacc.c:1646  */
    break;

  case 222:
#line 1570 "gram.y" /* yacc.c:1646  */
    {
					VariableSetStmt *n = makeNode(VariableSetStmt);
					n->kind = VAR_RESET;
					n->name = "timezone";
					(yyval.node) = (Node *) n;
				}
#line 20594 "gram.c" /* yacc.c:1646  */
    break;

  case 223:
#line 1577 "gram.y" /* yacc.c:1646  */
    {
					VariableSetStmt *n = makeNode(VariableSetStmt);
					n->kind = VAR_RESET;
					n->name = "transaction_isolation";
					(yyval.node) = (Node *) n;
				}
#line 20605 "gram.c" /* yacc.c:1646  */
    break;

  case 224:
#line 1584 "gram.y" /* yacc.c:1646  */
    {
					VariableSetStmt *n = makeNode(VariableSetStmt);
					n->kind = VAR_RESET;
					n->name = "session_authorization";
					(yyval.node) = (Node *) n;
				}
#line 20616 "gram.c" /* yacc.c:1646  */
    break;

  case 225:
#line 1591 "gram.y" /* yacc.c:1646  */
    {
					VariableSetStmt *n = makeNode(VariableSetStmt);
					n->kind = VAR_RESET_ALL;
					(yyval.node) = (Node *) n;
				}
#line 20626 "gram.c" /* yacc.c:1646  */
    break;

  case 226:
#line 1600 "gram.y" /* yacc.c:1646  */
    { (yyval.vsetstmt) = (yyvsp[0].vsetstmt); }
#line 20632 "gram.c" /* yacc.c:1646  */
    break;

  case 227:
#line 1601 "gram.y" /* yacc.c:1646  */
    { (yyval.vsetstmt) = (VariableSetStmt *) (yyvsp[0].node); }
#line 20638 "gram.c" /* yacc.c:1646  */
    break;

  case 228:
#line 1606 "gram.y" /* yacc.c:1646  */
    { (yyval.vsetstmt) = (yyvsp[0].vsetstmt); }
#line 20644 "gram.c" /* yacc.c:1646  */
    break;

  case 229:
#line 1607 "gram.y" /* yacc.c:1646  */
    { (yyval.vsetstmt) = (VariableSetStmt *) (yyvsp[0].node); }
#line 20650 "gram.c" /* yacc.c:1646  */
    break;

  case 230:
#line 1613 "gram.y" /* yacc.c:1646  */
    {
					VariableShowStmt *n = makeNode(VariableShowStmt);
					n->name = (yyvsp[0].str);
					(yyval.node) = (Node *) n;
				}
#line 20660 "gram.c" /* yacc.c:1646  */
    break;

  case 231:
#line 1619 "gram.y" /* yacc.c:1646  */
    {
					VariableShowStmt *n = makeNode(VariableShowStmt);
					n->name = "timezone";
					(yyval.node) = (Node *) n;
				}
#line 20670 "gram.c" /* yacc.c:1646  */
    break;

  case 232:
#line 1625 "gram.y" /* yacc.c:1646  */
    {
					VariableShowStmt *n = makeNode(VariableShowStmt);
					n->name = "transaction_isolation";
					(yyval.node) = (Node *) n;
				}
#line 20680 "gram.c" /* yacc.c:1646  */
    break;

  case 233:
#line 1631 "gram.y" /* yacc.c:1646  */
    {
					VariableShowStmt *n = makeNode(VariableShowStmt);
					n->name = "session_authorization";
					(yyval.node) = (Node *) n;
				}
#line 20690 "gram.c" /* yacc.c:1646  */
    break;

  case 234:
#line 1637 "gram.y" /* yacc.c:1646  */
    {
					VariableShowStmt *n = makeNode(VariableShowStmt);
					n->name = "all";
					(yyval.node) = (Node *) n;
				}
#line 20700 "gram.c" /* yacc.c:1646  */
    break;

  case 235:
#line 1647 "gram.y" /* yacc.c:1646  */
    {
					ConstraintsSetStmt *n = makeNode(ConstraintsSetStmt);
					n->constraints = (yyvsp[-1].list);
					n->deferred = (yyvsp[0].boolean);
					(yyval.node) = (Node *) n;
				}
#line 20711 "gram.c" /* yacc.c:1646  */
    break;

  case 236:
#line 1656 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 20717 "gram.c" /* yacc.c:1646  */
    break;

  case 237:
#line 1657 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[0].list); }
#line 20723 "gram.c" /* yacc.c:1646  */
    break;

  case 238:
#line 1661 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = TRUE; }
#line 20729 "gram.c" /* yacc.c:1646  */
    break;

  case 239:
#line 1662 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = FALSE; }
#line 20735 "gram.c" /* yacc.c:1646  */
    break;

  case 240:
#line 1671 "gram.y" /* yacc.c:1646  */
    {
					CheckPointStmt *n = makeNode(CheckPointStmt);
					(yyval.node) = (Node *)n;
				}
#line 20744 "gram.c" /* yacc.c:1646  */
    break;

  case 241:
#line 1686 "gram.y" /* yacc.c:1646  */
    {
					DiscardStmt *n = makeNode(DiscardStmt);
					n->target = DISCARD_ALL;
					(yyval.node) = (Node *) n;
				}
#line 20754 "gram.c" /* yacc.c:1646  */
    break;

  case 242:
#line 1692 "gram.y" /* yacc.c:1646  */
    {
					DiscardStmt *n = makeNode(DiscardStmt);
					n->target = DISCARD_TEMP;
					(yyval.node) = (Node *) n;
				}
#line 20764 "gram.c" /* yacc.c:1646  */
    break;

  case 243:
#line 1698 "gram.y" /* yacc.c:1646  */
    {
					DiscardStmt *n = makeNode(DiscardStmt);
					n->target = DISCARD_TEMP;
					(yyval.node) = (Node *) n;
				}
#line 20774 "gram.c" /* yacc.c:1646  */
    break;

  case 244:
#line 1704 "gram.y" /* yacc.c:1646  */
    {
					DiscardStmt *n = makeNode(DiscardStmt);
					n->target = DISCARD_PLANS;
					(yyval.node) = (Node *) n;
				}
#line 20784 "gram.c" /* yacc.c:1646  */
    break;

  case 245:
#line 1722 "gram.y" /* yacc.c:1646  */
    {
					AlterTableStmt *n = makeNode(AlterTableStmt);
					n->relation = (yyvsp[-1].range);
					n->cmds = (yyvsp[0].list);
					n->relkind = OBJECT_TABLE;
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 20797 "gram.c" /* yacc.c:1646  */
    break;

  case 246:
#line 1731 "gram.y" /* yacc.c:1646  */
    {
					AlterTableStmt *n = makeNode(AlterTableStmt);
					n->relation = (yyvsp[-1].range);
					n->cmds = (yyvsp[0].list);
					n->relkind = OBJECT_TABLE;
					n->missing_ok = true;
					(yyval.node) = (Node *)n;
				}
#line 20810 "gram.c" /* yacc.c:1646  */
    break;

  case 247:
#line 1740 "gram.y" /* yacc.c:1646  */
    {
					AlterTableStmt *n = makeNode(AlterTableStmt);
					n->relation = (yyvsp[-1].range);
					n->cmds = (yyvsp[0].list);
					n->relkind = OBJECT_INDEX;
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 20823 "gram.c" /* yacc.c:1646  */
    break;

  case 248:
#line 1749 "gram.y" /* yacc.c:1646  */
    {
					AlterTableStmt *n = makeNode(AlterTableStmt);
					n->relation = (yyvsp[-1].range);
					n->cmds = (yyvsp[0].list);
					n->relkind = OBJECT_INDEX;
					n->missing_ok = true;
					(yyval.node) = (Node *)n;
				}
#line 20836 "gram.c" /* yacc.c:1646  */
    break;

  case 249:
#line 1758 "gram.y" /* yacc.c:1646  */
    {
					AlterTableStmt *n = makeNode(AlterTableStmt);
					n->relation = (yyvsp[-1].range);
					n->cmds = (yyvsp[0].list);
					n->relkind = OBJECT_SEQUENCE;
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 20849 "gram.c" /* yacc.c:1646  */
    break;

  case 250:
#line 1767 "gram.y" /* yacc.c:1646  */
    {
					AlterTableStmt *n = makeNode(AlterTableStmt);
					n->relation = (yyvsp[-1].range);
					n->cmds = (yyvsp[0].list);
					n->relkind = OBJECT_SEQUENCE;
					n->missing_ok = true;
					(yyval.node) = (Node *)n;
				}
#line 20862 "gram.c" /* yacc.c:1646  */
    break;

  case 251:
#line 1776 "gram.y" /* yacc.c:1646  */
    {
					AlterTableStmt *n = makeNode(AlterTableStmt);
					n->relation = (yyvsp[-1].range);
					n->cmds = (yyvsp[0].list);
					n->relkind = OBJECT_VIEW;
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 20875 "gram.c" /* yacc.c:1646  */
    break;

  case 252:
#line 1785 "gram.y" /* yacc.c:1646  */
    {
					AlterTableStmt *n = makeNode(AlterTableStmt);
					n->relation = (yyvsp[-1].range);
					n->cmds = (yyvsp[0].list);
					n->relkind = OBJECT_VIEW;
					n->missing_ok = true;
					(yyval.node) = (Node *)n;
				}
#line 20888 "gram.c" /* yacc.c:1646  */
    break;

  case 253:
#line 1794 "gram.y" /* yacc.c:1646  */
    {
					AlterTableStmt *n = makeNode(AlterTableStmt);
					n->relation = (yyvsp[-1].range);
					n->cmds = (yyvsp[0].list);
					n->relkind = OBJECT_MATVIEW;
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 20901 "gram.c" /* yacc.c:1646  */
    break;

  case 254:
#line 1803 "gram.y" /* yacc.c:1646  */
    {
					AlterTableStmt *n = makeNode(AlterTableStmt);
					n->relation = (yyvsp[-1].range);
					n->cmds = (yyvsp[0].list);
					n->relkind = OBJECT_MATVIEW;
					n->missing_ok = true;
					(yyval.node) = (Node *)n;
				}
#line 20914 "gram.c" /* yacc.c:1646  */
    break;

  case 255:
#line 1814 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].node)); }
#line 20920 "gram.c" /* yacc.c:1646  */
    break;

  case 256:
#line 1815 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].node)); }
#line 20926 "gram.c" /* yacc.c:1646  */
    break;

  case 257:
#line 1821 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_AddColumn;
					n->def = (yyvsp[0].node);
					(yyval.node) = (Node *)n;
				}
#line 20937 "gram.c" /* yacc.c:1646  */
    break;

  case 258:
#line 1829 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_AddColumn;
					n->def = (yyvsp[0].node);
					(yyval.node) = (Node *)n;
				}
#line 20948 "gram.c" /* yacc.c:1646  */
    break;

  case 259:
#line 1837 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_ColumnDefault;
					n->name = (yyvsp[-1].str);
					n->def = (yyvsp[0].node);
					(yyval.node) = (Node *)n;
				}
#line 20960 "gram.c" /* yacc.c:1646  */
    break;

  case 260:
#line 1846 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_DropNotNull;
					n->name = (yyvsp[-3].str);
					(yyval.node) = (Node *)n;
				}
#line 20971 "gram.c" /* yacc.c:1646  */
    break;

  case 261:
#line 1854 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_SetNotNull;
					n->name = (yyvsp[-3].str);
					(yyval.node) = (Node *)n;
				}
#line 20982 "gram.c" /* yacc.c:1646  */
    break;

  case 262:
#line 1862 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_SetStatistics;
					n->name = (yyvsp[-3].str);
					n->def = (Node *) makeInteger((yyvsp[0].ival));
					(yyval.node) = (Node *)n;
				}
#line 20994 "gram.c" /* yacc.c:1646  */
    break;

  case 263:
#line 1871 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_SetOptions;
					n->name = (yyvsp[-2].str);
					n->def = (Node *) (yyvsp[0].list);
					(yyval.node) = (Node *)n;
				}
#line 21006 "gram.c" /* yacc.c:1646  */
    break;

  case 264:
#line 1880 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_ResetOptions;
					n->name = (yyvsp[-2].str);
					n->def = (Node *) (yyvsp[0].list);
					(yyval.node) = (Node *)n;
				}
#line 21018 "gram.c" /* yacc.c:1646  */
    break;

  case 265:
#line 1889 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_SetStorage;
					n->name = (yyvsp[-3].str);
					n->def = (Node *) makeString((yyvsp[0].str));
					(yyval.node) = (Node *)n;
				}
#line 21030 "gram.c" /* yacc.c:1646  */
    break;

  case 266:
#line 1898 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_DropColumn;
					n->name = (yyvsp[-1].str);
					n->behavior = (yyvsp[0].dbehavior);
					n->missing_ok = TRUE;
					(yyval.node) = (Node *)n;
				}
#line 21043 "gram.c" /* yacc.c:1646  */
    break;

  case 267:
#line 1908 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_DropColumn;
					n->name = (yyvsp[-1].str);
					n->behavior = (yyvsp[0].dbehavior);
					n->missing_ok = FALSE;
					(yyval.node) = (Node *)n;
				}
#line 21056 "gram.c" /* yacc.c:1646  */
    break;

  case 268:
#line 1921 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					ColumnDef *def = makeNode(ColumnDef);
					n->subtype = AT_AlterColumnType;
					n->name = (yyvsp[-5].str);
					n->def = (Node *) def;
					/* We only use these three fields of the ColumnDef node */
					def->typeName = (yyvsp[-2].typnam);
					def->collClause = (CollateClause *) (yyvsp[-1].node);
					def->raw_default = (yyvsp[0].node);
					(yyval.node) = (Node *)n;
				}
#line 21073 "gram.c" /* yacc.c:1646  */
    break;

  case 269:
#line 1935 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_AlterColumnGenericOptions;
					n->name = (yyvsp[-1].str);
					n->def = (Node *) (yyvsp[0].list);
					(yyval.node) = (Node *)n;
				}
#line 21085 "gram.c" /* yacc.c:1646  */
    break;

  case 270:
#line 1944 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_AddConstraint;
					n->def = (yyvsp[0].node);
					(yyval.node) = (Node *)n;
				}
#line 21096 "gram.c" /* yacc.c:1646  */
    break;

  case 271:
#line 1952 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_ValidateConstraint;
					n->name = (yyvsp[0].str);
					(yyval.node) = (Node *)n;
				}
#line 21107 "gram.c" /* yacc.c:1646  */
    break;

  case 272:
#line 1960 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_DropConstraint;
					n->name = (yyvsp[-1].str);
					n->behavior = (yyvsp[0].dbehavior);
					n->missing_ok = TRUE;
					(yyval.node) = (Node *)n;
				}
#line 21120 "gram.c" /* yacc.c:1646  */
    break;

  case 273:
#line 1970 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_DropConstraint;
					n->name = (yyvsp[-1].str);
					n->behavior = (yyvsp[0].dbehavior);
					n->missing_ok = FALSE;
					(yyval.node) = (Node *)n;
				}
#line 21133 "gram.c" /* yacc.c:1646  */
    break;

  case 274:
#line 1980 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_AddOids;
					(yyval.node) = (Node *)n;
				}
#line 21143 "gram.c" /* yacc.c:1646  */
    break;

  case 275:
#line 1987 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_DropOids;
					(yyval.node) = (Node *)n;
				}
#line 21153 "gram.c" /* yacc.c:1646  */
    break;

  case 276:
#line 1994 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_ClusterOn;
					n->name = (yyvsp[0].str);
					(yyval.node) = (Node *)n;
				}
#line 21164 "gram.c" /* yacc.c:1646  */
    break;

  case 277:
#line 2002 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_DropCluster;
					n->name = NULL;
					(yyval.node) = (Node *)n;
				}
#line 21175 "gram.c" /* yacc.c:1646  */
    break;

  case 278:
#line 2010 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_EnableTrig;
					n->name = (yyvsp[0].str);
					(yyval.node) = (Node *)n;
				}
#line 21186 "gram.c" /* yacc.c:1646  */
    break;

  case 279:
#line 2018 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_EnableAlwaysTrig;
					n->name = (yyvsp[0].str);
					(yyval.node) = (Node *)n;
				}
#line 21197 "gram.c" /* yacc.c:1646  */
    break;

  case 280:
#line 2026 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_EnableReplicaTrig;
					n->name = (yyvsp[0].str);
					(yyval.node) = (Node *)n;
				}
#line 21208 "gram.c" /* yacc.c:1646  */
    break;

  case 281:
#line 2034 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_EnableTrigAll;
					(yyval.node) = (Node *)n;
				}
#line 21218 "gram.c" /* yacc.c:1646  */
    break;

  case 282:
#line 2041 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_EnableTrigUser;
					(yyval.node) = (Node *)n;
				}
#line 21228 "gram.c" /* yacc.c:1646  */
    break;

  case 283:
#line 2048 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_DisableTrig;
					n->name = (yyvsp[0].str);
					(yyval.node) = (Node *)n;
				}
#line 21239 "gram.c" /* yacc.c:1646  */
    break;

  case 284:
#line 2056 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_DisableTrigAll;
					(yyval.node) = (Node *)n;
				}
#line 21249 "gram.c" /* yacc.c:1646  */
    break;

  case 285:
#line 2063 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_DisableTrigUser;
					(yyval.node) = (Node *)n;
				}
#line 21259 "gram.c" /* yacc.c:1646  */
    break;

  case 286:
#line 2070 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_EnableRule;
					n->name = (yyvsp[0].str);
					(yyval.node) = (Node *)n;
				}
#line 21270 "gram.c" /* yacc.c:1646  */
    break;

  case 287:
#line 2078 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_EnableAlwaysRule;
					n->name = (yyvsp[0].str);
					(yyval.node) = (Node *)n;
				}
#line 21281 "gram.c" /* yacc.c:1646  */
    break;

  case 288:
#line 2086 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_EnableReplicaRule;
					n->name = (yyvsp[0].str);
					(yyval.node) = (Node *)n;
				}
#line 21292 "gram.c" /* yacc.c:1646  */
    break;

  case 289:
#line 2094 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_DisableRule;
					n->name = (yyvsp[0].str);
					(yyval.node) = (Node *)n;
				}
#line 21303 "gram.c" /* yacc.c:1646  */
    break;

  case 290:
#line 2102 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_AddInherit;
					n->def = (Node *) (yyvsp[0].range);
					(yyval.node) = (Node *)n;
				}
#line 21314 "gram.c" /* yacc.c:1646  */
    break;

  case 291:
#line 2110 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_DropInherit;
					n->def = (Node *) (yyvsp[0].range);
					(yyval.node) = (Node *)n;
				}
#line 21325 "gram.c" /* yacc.c:1646  */
    break;

  case 292:
#line 2118 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					TypeName *def = makeTypeNameFromNameList((yyvsp[0].list));
					def->location = (yylsp[0]);
					n->subtype = AT_AddOf;
					n->def = (Node *) def;
					(yyval.node) = (Node *)n;
				}
#line 21338 "gram.c" /* yacc.c:1646  */
    break;

  case 293:
#line 2128 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_DropOf;
					(yyval.node) = (Node *)n;
				}
#line 21348 "gram.c" /* yacc.c:1646  */
    break;

  case 294:
#line 2135 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_ChangeOwner;
					n->name = (yyvsp[0].str);
					(yyval.node) = (Node *)n;
				}
#line 21359 "gram.c" /* yacc.c:1646  */
    break;

  case 295:
#line 2143 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_SetTableSpace;
					n->name = (yyvsp[0].str);
					(yyval.node) = (Node *)n;
				}
#line 21370 "gram.c" /* yacc.c:1646  */
    break;

  case 296:
#line 2151 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_SetRelOptions;
					n->def = (Node *)(yyvsp[0].list);
					(yyval.node) = (Node *)n;
				}
#line 21381 "gram.c" /* yacc.c:1646  */
    break;

  case 297:
#line 2159 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_ResetRelOptions;
					n->def = (Node *)(yyvsp[0].list);
					(yyval.node) = (Node *)n;
				}
#line 21392 "gram.c" /* yacc.c:1646  */
    break;

  case 298:
#line 2166 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_GenericOptions;
					n->def = (Node *)(yyvsp[0].list);
					(yyval.node) = (Node *) n;
				}
#line 21403 "gram.c" /* yacc.c:1646  */
    break;

  case 299:
#line 2175 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[0].node); }
#line 21409 "gram.c" /* yacc.c:1646  */
    break;

  case 300:
#line 2176 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = NULL; }
#line 21415 "gram.c" /* yacc.c:1646  */
    break;

  case 301:
#line 2180 "gram.y" /* yacc.c:1646  */
    { (yyval.dbehavior) = DROP_CASCADE; }
#line 21421 "gram.c" /* yacc.c:1646  */
    break;

  case 302:
#line 2181 "gram.y" /* yacc.c:1646  */
    { (yyval.dbehavior) = DROP_RESTRICT; }
#line 21427 "gram.c" /* yacc.c:1646  */
    break;

  case 303:
#line 2182 "gram.y" /* yacc.c:1646  */
    { (yyval.dbehavior) = DROP_RESTRICT; /* default */ }
#line 21433 "gram.c" /* yacc.c:1646  */
    break;

  case 304:
#line 2187 "gram.y" /* yacc.c:1646  */
    {
					CollateClause *n = makeNode(CollateClause);
					n->arg = NULL;
					n->collname = (yyvsp[0].list);
					n->location = (yylsp[-1]);
					(yyval.node) = (Node *) n;
				}
#line 21445 "gram.c" /* yacc.c:1646  */
    break;

  case 305:
#line 2194 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = NULL; }
#line 21451 "gram.c" /* yacc.c:1646  */
    break;

  case 306:
#line 2198 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[0].node); }
#line 21457 "gram.c" /* yacc.c:1646  */
    break;

  case 307:
#line 2199 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = NULL; }
#line 21463 "gram.c" /* yacc.c:1646  */
    break;

  case 308:
#line 2203 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[-1].list); }
#line 21469 "gram.c" /* yacc.c:1646  */
    break;

  case 309:
#line 2206 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[0].list); }
#line 21475 "gram.c" /* yacc.c:1646  */
    break;

  case 310:
#line 2207 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 21481 "gram.c" /* yacc.c:1646  */
    break;

  case 311:
#line 2211 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].defelt)); }
#line 21487 "gram.c" /* yacc.c:1646  */
    break;

  case 312:
#line 2212 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].defelt)); }
#line 21493 "gram.c" /* yacc.c:1646  */
    break;

  case 313:
#line 2218 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem((yyvsp[-2].str), (Node *) (yyvsp[0].node));
				}
#line 21501 "gram.c" /* yacc.c:1646  */
    break;

  case 314:
#line 2222 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem((yyvsp[0].str), NULL);
				}
#line 21509 "gram.c" /* yacc.c:1646  */
    break;

  case 315:
#line 2226 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElemExtended((yyvsp[-4].str), (yyvsp[-2].str), (Node *) (yyvsp[0].node),
											 DEFELEM_UNSPEC);
				}
#line 21518 "gram.c" /* yacc.c:1646  */
    break;

  case 316:
#line 2231 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElemExtended((yyvsp[-2].str), (yyvsp[0].str), NULL, DEFELEM_UNSPEC);
				}
#line 21526 "gram.c" /* yacc.c:1646  */
    break;

  case 317:
#line 2246 "gram.y" /* yacc.c:1646  */
    {
					AlterTableStmt *n = makeNode(AlterTableStmt);

					/* can't use qualified_name, sigh */
					n->relation = makeRangeVarFromAnyName((yyvsp[-1].list), (yylsp[-1]), yyscanner);
					n->cmds = (yyvsp[0].list);
					n->relkind = OBJECT_TYPE;
					(yyval.node) = (Node *)n;
				}
#line 21540 "gram.c" /* yacc.c:1646  */
    break;

  case 318:
#line 2258 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].node)); }
#line 21546 "gram.c" /* yacc.c:1646  */
    break;

  case 319:
#line 2259 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].node)); }
#line 21552 "gram.c" /* yacc.c:1646  */
    break;

  case 320:
#line 2265 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_AddColumn;
					n->def = (yyvsp[-1].node);
					n->behavior = (yyvsp[0].dbehavior);
					(yyval.node) = (Node *)n;
				}
#line 21564 "gram.c" /* yacc.c:1646  */
    break;

  case 321:
#line 2274 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_DropColumn;
					n->name = (yyvsp[-1].str);
					n->behavior = (yyvsp[0].dbehavior);
					n->missing_ok = TRUE;
					(yyval.node) = (Node *)n;
				}
#line 21577 "gram.c" /* yacc.c:1646  */
    break;

  case 322:
#line 2284 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_DropColumn;
					n->name = (yyvsp[-1].str);
					n->behavior = (yyvsp[0].dbehavior);
					n->missing_ok = FALSE;
					(yyval.node) = (Node *)n;
				}
#line 21590 "gram.c" /* yacc.c:1646  */
    break;

  case 323:
#line 2294 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					ColumnDef *def = makeNode(ColumnDef);
					n->subtype = AT_AlterColumnType;
					n->name = (yyvsp[-5].str);
					n->def = (Node *) def;
					n->behavior = (yyvsp[0].dbehavior);
					/* We only use these three fields of the ColumnDef node */
					def->typeName = (yyvsp[-2].typnam);
					def->collClause = (CollateClause *) (yyvsp[-1].node);
					def->raw_default = NULL;
					(yyval.node) = (Node *)n;
				}
#line 21608 "gram.c" /* yacc.c:1646  */
    break;

  case 324:
#line 2319 "gram.y" /* yacc.c:1646  */
    {
					ClosePortalStmt *n = makeNode(ClosePortalStmt);
					n->portalname = (yyvsp[0].str);
					(yyval.node) = (Node *)n;
				}
#line 21618 "gram.c" /* yacc.c:1646  */
    break;

  case 325:
#line 2325 "gram.y" /* yacc.c:1646  */
    {
					ClosePortalStmt *n = makeNode(ClosePortalStmt);
					n->portalname = NULL;
					(yyval.node) = (Node *)n;
				}
#line 21628 "gram.c" /* yacc.c:1646  */
    break;

  case 326:
#line 2356 "gram.y" /* yacc.c:1646  */
    {
					CopyStmt *n = makeNode(CopyStmt);
					n->relation = (yyvsp[-8].range);
					n->query = NULL;
					n->attlist = (yyvsp[-7].list);
					n->is_from = (yyvsp[-5].boolean);
					n->is_program = (yyvsp[-4].boolean);
					n->filename = (yyvsp[-3].str);

					if (n->is_program && n->filename == NULL)
						ereport(ERROR,
								(errcode(ERRCODE_SYNTAX_ERROR),
								 errmsg("STDIN/STDOUT not allowed with PROGRAM"),
								 parser_errposition((yylsp[-3]))));

					n->options = NIL;
					/* Concatenate user-supplied flags */
					if ((yyvsp[-9].defelt))
						n->options = lappend(n->options, (yyvsp[-9].defelt));
					if ((yyvsp[-6].defelt))
						n->options = lappend(n->options, (yyvsp[-6].defelt));
					if ((yyvsp[-2].defelt))
						n->options = lappend(n->options, (yyvsp[-2].defelt));
					if ((yyvsp[0].list))
						n->options = list_concat(n->options, (yyvsp[0].list));
					(yyval.node) = (Node *)n;
				}
#line 21660 "gram.c" /* yacc.c:1646  */
    break;

  case 327:
#line 2384 "gram.y" /* yacc.c:1646  */
    {
					CopyStmt *n = makeNode(CopyStmt);
					n->relation = NULL;
					n->query = (yyvsp[-5].node);
					n->attlist = NIL;
					n->is_from = false;
					n->is_program = (yyvsp[-3].boolean);
					n->filename = (yyvsp[-2].str);
					n->options = (yyvsp[0].list);

					if (n->is_program && n->filename == NULL)
						ereport(ERROR,
								(errcode(ERRCODE_SYNTAX_ERROR),
								 errmsg("STDIN/STDOUT not allowed with PROGRAM"),
								 parser_errposition((yylsp[-2]))));

					(yyval.node) = (Node *)n;
				}
#line 21683 "gram.c" /* yacc.c:1646  */
    break;

  case 328:
#line 2405 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = TRUE; }
#line 21689 "gram.c" /* yacc.c:1646  */
    break;

  case 329:
#line 2406 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = FALSE; }
#line 21695 "gram.c" /* yacc.c:1646  */
    break;

  case 330:
#line 2410 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = TRUE; }
#line 21701 "gram.c" /* yacc.c:1646  */
    break;

  case 331:
#line 2411 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = FALSE; }
#line 21707 "gram.c" /* yacc.c:1646  */
    break;

  case 332:
#line 2420 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 21713 "gram.c" /* yacc.c:1646  */
    break;

  case 333:
#line 2421 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = NULL; }
#line 21719 "gram.c" /* yacc.c:1646  */
    break;

  case 334:
#line 2422 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = NULL; }
#line 21725 "gram.c" /* yacc.c:1646  */
    break;

  case 335:
#line 2425 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[0].list); }
#line 21731 "gram.c" /* yacc.c:1646  */
    break;

  case 336:
#line 2426 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[-1].list); }
#line 21737 "gram.c" /* yacc.c:1646  */
    break;

  case 337:
#line 2431 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-1].list), (yyvsp[0].defelt)); }
#line 21743 "gram.c" /* yacc.c:1646  */
    break;

  case 338:
#line 2432 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 21749 "gram.c" /* yacc.c:1646  */
    break;

  case 339:
#line 2437 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("format", (Node *)makeString("binary"));
				}
#line 21757 "gram.c" /* yacc.c:1646  */
    break;

  case 340:
#line 2441 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("oids", (Node *)makeInteger(TRUE));
				}
#line 21765 "gram.c" /* yacc.c:1646  */
    break;

  case 341:
#line 2445 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("freeze", (Node *)makeInteger(TRUE));
				}
#line 21773 "gram.c" /* yacc.c:1646  */
    break;

  case 342:
#line 2449 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("delimiter", (Node *)makeString((yyvsp[0].str)));
				}
#line 21781 "gram.c" /* yacc.c:1646  */
    break;

  case 343:
#line 2453 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("null", (Node *)makeString((yyvsp[0].str)));
				}
#line 21789 "gram.c" /* yacc.c:1646  */
    break;

  case 344:
#line 2457 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("format", (Node *)makeString("csv"));
				}
#line 21797 "gram.c" /* yacc.c:1646  */
    break;

  case 345:
#line 2461 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("header", (Node *)makeInteger(TRUE));
				}
#line 21805 "gram.c" /* yacc.c:1646  */
    break;

  case 346:
#line 2465 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("quote", (Node *)makeString((yyvsp[0].str)));
				}
#line 21813 "gram.c" /* yacc.c:1646  */
    break;

  case 347:
#line 2469 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("escape", (Node *)makeString((yyvsp[0].str)));
				}
#line 21821 "gram.c" /* yacc.c:1646  */
    break;

  case 348:
#line 2473 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("force_quote", (Node *)(yyvsp[0].list));
				}
#line 21829 "gram.c" /* yacc.c:1646  */
    break;

  case 349:
#line 2477 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("force_quote", (Node *)makeNode(A_Star));
				}
#line 21837 "gram.c" /* yacc.c:1646  */
    break;

  case 350:
#line 2481 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("force_not_null", (Node *)(yyvsp[0].list));
				}
#line 21845 "gram.c" /* yacc.c:1646  */
    break;

  case 351:
#line 2485 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("encoding", (Node *)makeString((yyvsp[0].str)));
				}
#line 21853 "gram.c" /* yacc.c:1646  */
    break;

  case 352:
#line 2494 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("format", (Node *)makeString("binary"));
				}
#line 21861 "gram.c" /* yacc.c:1646  */
    break;

  case 353:
#line 2497 "gram.y" /* yacc.c:1646  */
    { (yyval.defelt) = NULL; }
#line 21867 "gram.c" /* yacc.c:1646  */
    break;

  case 354:
#line 2502 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("oids", (Node *)makeInteger(TRUE));
				}
#line 21875 "gram.c" /* yacc.c:1646  */
    break;

  case 355:
#line 2505 "gram.y" /* yacc.c:1646  */
    { (yyval.defelt) = NULL; }
#line 21881 "gram.c" /* yacc.c:1646  */
    break;

  case 356:
#line 2510 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("delimiter", (Node *)makeString((yyvsp[0].str)));
				}
#line 21889 "gram.c" /* yacc.c:1646  */
    break;

  case 357:
#line 2513 "gram.y" /* yacc.c:1646  */
    { (yyval.defelt) = NULL; }
#line 21895 "gram.c" /* yacc.c:1646  */
    break;

  case 358:
#line 2517 "gram.y" /* yacc.c:1646  */
    {}
#line 21901 "gram.c" /* yacc.c:1646  */
    break;

  case 359:
#line 2518 "gram.y" /* yacc.c:1646  */
    {}
#line 21907 "gram.c" /* yacc.c:1646  */
    break;

  case 360:
#line 2524 "gram.y" /* yacc.c:1646  */
    {
					(yyval.list) = list_make1((yyvsp[0].defelt));
				}
#line 21915 "gram.c" /* yacc.c:1646  */
    break;

  case 361:
#line 2528 "gram.y" /* yacc.c:1646  */
    {
					(yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].defelt));
				}
#line 21923 "gram.c" /* yacc.c:1646  */
    break;

  case 362:
#line 2535 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem((yyvsp[-1].str), (yyvsp[0].node));
				}
#line 21931 "gram.c" /* yacc.c:1646  */
    break;

  case 363:
#line 2541 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *) makeString((yyvsp[0].str)); }
#line 21937 "gram.c" /* yacc.c:1646  */
    break;

  case 364:
#line 2542 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *) (yyvsp[0].value); }
#line 21943 "gram.c" /* yacc.c:1646  */
    break;

  case 365:
#line 2543 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *) makeNode(A_Star); }
#line 21949 "gram.c" /* yacc.c:1646  */
    break;

  case 366:
#line 2544 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *) (yyvsp[-1].list); }
#line 21955 "gram.c" /* yacc.c:1646  */
    break;

  case 367:
#line 2545 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = NULL; }
#line 21961 "gram.c" /* yacc.c:1646  */
    break;

  case 368:
#line 2550 "gram.y" /* yacc.c:1646  */
    {
					(yyval.list) = list_make1((yyvsp[0].node));
				}
#line 21969 "gram.c" /* yacc.c:1646  */
    break;

  case 369:
#line 2554 "gram.y" /* yacc.c:1646  */
    {
					(yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].node));
				}
#line 21977 "gram.c" /* yacc.c:1646  */
    break;

  case 370:
#line 2561 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *) makeString((yyvsp[0].str)); }
#line 21983 "gram.c" /* yacc.c:1646  */
    break;

  case 371:
#line 2574 "gram.y" /* yacc.c:1646  */
    {
					CreateStmt *n = makeNode(CreateStmt);
					(yyvsp[-7].range)->relpersistence = (yyvsp[-9].ival);
					n->relation = (yyvsp[-7].range);
					n->tableElts = (yyvsp[-5].list);
					n->inhRelations = (yyvsp[-3].list);
					n->constraints = NIL;
					n->options = (yyvsp[-2].list);
					n->oncommit = (yyvsp[-1].oncommit);
					n->tablespacename = (yyvsp[0].str);
					n->if_not_exists = false;
					(yyval.node) = (Node *)n;
				}
#line 22001 "gram.c" /* yacc.c:1646  */
    break;

  case 372:
#line 2590 "gram.y" /* yacc.c:1646  */
    {
					CreateStmt *n = makeNode(CreateStmt);
					(yyvsp[-7].range)->relpersistence = (yyvsp[-12].ival);
					n->relation = (yyvsp[-7].range);
					n->tableElts = (yyvsp[-5].list);
					n->inhRelations = (yyvsp[-3].list);
					n->constraints = NIL;
					n->options = (yyvsp[-2].list);
					n->oncommit = (yyvsp[-1].oncommit);
					n->tablespacename = (yyvsp[0].str);
					n->if_not_exists = true;
					(yyval.node) = (Node *)n;
				}
#line 22019 "gram.c" /* yacc.c:1646  */
    break;

  case 373:
#line 2605 "gram.y" /* yacc.c:1646  */
    {
					CreateStmt *n = makeNode(CreateStmt);
					(yyvsp[-6].range)->relpersistence = (yyvsp[-8].ival);
					n->relation = (yyvsp[-6].range);
					n->tableElts = (yyvsp[-3].list);
					n->ofTypename = makeTypeNameFromNameList((yyvsp[-4].list));
					n->ofTypename->location = (yylsp[-4]);
					n->constraints = NIL;
					n->options = (yyvsp[-2].list);
					n->oncommit = (yyvsp[-1].oncommit);
					n->tablespacename = (yyvsp[0].str);
					n->if_not_exists = false;
					(yyval.node) = (Node *)n;
				}
#line 22038 "gram.c" /* yacc.c:1646  */
    break;

  case 374:
#line 2621 "gram.y" /* yacc.c:1646  */
    {
					CreateStmt *n = makeNode(CreateStmt);
					(yyvsp[-6].range)->relpersistence = (yyvsp[-11].ival);
					n->relation = (yyvsp[-6].range);
					n->tableElts = (yyvsp[-3].list);
					n->ofTypename = makeTypeNameFromNameList((yyvsp[-4].list));
					n->ofTypename->location = (yylsp[-4]);
					n->constraints = NIL;
					n->options = (yyvsp[-2].list);
					n->oncommit = (yyvsp[-1].oncommit);
					n->tablespacename = (yyvsp[0].str);
					n->if_not_exists = true;
					(yyval.node) = (Node *)n;
				}
#line 22057 "gram.c" /* yacc.c:1646  */
    break;

  case 375:
#line 2648 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = RELPERSISTENCE_TEMP; }
#line 22063 "gram.c" /* yacc.c:1646  */
    break;

  case 376:
#line 2649 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = RELPERSISTENCE_TEMP; }
#line 22069 "gram.c" /* yacc.c:1646  */
    break;

  case 377:
#line 2650 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = RELPERSISTENCE_TEMP; }
#line 22075 "gram.c" /* yacc.c:1646  */
    break;

  case 378:
#line 2651 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = RELPERSISTENCE_TEMP; }
#line 22081 "gram.c" /* yacc.c:1646  */
    break;

  case 379:
#line 2653 "gram.y" /* yacc.c:1646  */
    {
					ereport(WARNING,
							(errmsg("GLOBAL is deprecated in temporary table creation"),
							 parser_errposition((yylsp[-1]))));
					(yyval.ival) = RELPERSISTENCE_TEMP;
				}
#line 22092 "gram.c" /* yacc.c:1646  */
    break;

  case 380:
#line 2660 "gram.y" /* yacc.c:1646  */
    {
					ereport(WARNING,
							(errmsg("GLOBAL is deprecated in temporary table creation"),
							 parser_errposition((yylsp[-1]))));
					(yyval.ival) = RELPERSISTENCE_TEMP;
				}
#line 22103 "gram.c" /* yacc.c:1646  */
    break;

  case 381:
#line 2666 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = RELPERSISTENCE_UNLOGGED; }
#line 22109 "gram.c" /* yacc.c:1646  */
    break;

  case 382:
#line 2667 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = RELPERSISTENCE_PERMANENT; }
#line 22115 "gram.c" /* yacc.c:1646  */
    break;

  case 383:
#line 2671 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[0].list); }
#line 22121 "gram.c" /* yacc.c:1646  */
    break;

  case 384:
#line 2672 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 22127 "gram.c" /* yacc.c:1646  */
    break;

  case 385:
#line 2676 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[-1].list); }
#line 22133 "gram.c" /* yacc.c:1646  */
    break;

  case 386:
#line 2677 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 22139 "gram.c" /* yacc.c:1646  */
    break;

  case 387:
#line 2682 "gram.y" /* yacc.c:1646  */
    {
					(yyval.list) = list_make1((yyvsp[0].node));
				}
#line 22147 "gram.c" /* yacc.c:1646  */
    break;

  case 388:
#line 2686 "gram.y" /* yacc.c:1646  */
    {
					(yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].node));
				}
#line 22155 "gram.c" /* yacc.c:1646  */
    break;

  case 389:
#line 2693 "gram.y" /* yacc.c:1646  */
    {
					(yyval.list) = list_make1((yyvsp[0].node));
				}
#line 22163 "gram.c" /* yacc.c:1646  */
    break;

  case 390:
#line 2697 "gram.y" /* yacc.c:1646  */
    {
					(yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].node));
				}
#line 22171 "gram.c" /* yacc.c:1646  */
    break;

  case 391:
#line 2703 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[0].node); }
#line 22177 "gram.c" /* yacc.c:1646  */
    break;

  case 392:
#line 2704 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[0].node); }
#line 22183 "gram.c" /* yacc.c:1646  */
    break;

  case 393:
#line 2705 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[0].node); }
#line 22189 "gram.c" /* yacc.c:1646  */
    break;

  case 394:
#line 2709 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[0].node); }
#line 22195 "gram.c" /* yacc.c:1646  */
    break;

  case 395:
#line 2710 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[0].node); }
#line 22201 "gram.c" /* yacc.c:1646  */
    break;

  case 396:
#line 2714 "gram.y" /* yacc.c:1646  */
    {
					ColumnDef *n = makeNode(ColumnDef);
					n->colname = (yyvsp[-3].str);
					n->typeName = (yyvsp[-2].typnam);
					n->inhcount = 0;
					n->is_local = true;
					n->is_not_null = false;
					n->is_from_type = false;
					n->storage = 0;
					n->raw_default = NULL;
					n->cooked_default = NULL;
					n->collOid = InvalidOid;
					n->fdwoptions = (yyvsp[-1].list);
					SplitColQualList((yyvsp[0].list), &n->constraints, &n->collClause,
									 yyscanner);
					(yyval.node) = (Node *)n;
				}
#line 22223 "gram.c" /* yacc.c:1646  */
    break;

  case 397:
#line 2734 "gram.y" /* yacc.c:1646  */
    {
					ColumnDef *n = makeNode(ColumnDef);
					n->colname = (yyvsp[-3].str);
					n->typeName = NULL;
					n->inhcount = 0;
					n->is_local = true;
					n->is_not_null = false;
					n->is_from_type = false;
					n->storage = 0;
					n->raw_default = NULL;
					n->cooked_default = NULL;
					n->collOid = InvalidOid;
					SplitColQualList((yyvsp[0].list), &n->constraints, &n->collClause,
									 yyscanner);
					(yyval.node) = (Node *)n;
				}
#line 22244 "gram.c" /* yacc.c:1646  */
    break;

  case 398:
#line 2753 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-1].list), (yyvsp[0].node)); }
#line 22250 "gram.c" /* yacc.c:1646  */
    break;

  case 399:
#line 2754 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 22256 "gram.c" /* yacc.c:1646  */
    break;

  case 400:
#line 2759 "gram.y" /* yacc.c:1646  */
    {
					Constraint *n = (Constraint *) (yyvsp[0].node);
					Assert(IsA(n, Constraint));
					n->conname = (yyvsp[-1].str);
					n->location = (yylsp[-2]);
					(yyval.node) = (Node *) n;
				}
#line 22268 "gram.c" /* yacc.c:1646  */
    break;

  case 401:
#line 2766 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[0].node); }
#line 22274 "gram.c" /* yacc.c:1646  */
    break;

  case 402:
#line 2767 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[0].node); }
#line 22280 "gram.c" /* yacc.c:1646  */
    break;

  case 403:
#line 2769 "gram.y" /* yacc.c:1646  */
    {
					/*
					 * Note: the CollateClause is momentarily included in
					 * the list built by ColQualList, but we split it out
					 * again in SplitColQualList.
					 */
					CollateClause *n = makeNode(CollateClause);
					n->arg = NULL;
					n->collname = (yyvsp[0].list);
					n->location = (yylsp[-1]);
					(yyval.node) = (Node *) n;
				}
#line 22297 "gram.c" /* yacc.c:1646  */
    break;

  case 404:
#line 2800 "gram.y" /* yacc.c:1646  */
    {
					Constraint *n = makeNode(Constraint);
					n->contype = CONSTR_NOTNULL;
					n->location = (yylsp[-1]);
					(yyval.node) = (Node *)n;
				}
#line 22308 "gram.c" /* yacc.c:1646  */
    break;

  case 405:
#line 2807 "gram.y" /* yacc.c:1646  */
    {
					Constraint *n = makeNode(Constraint);
					n->contype = CONSTR_NULL;
					n->location = (yylsp[0]);
					(yyval.node) = (Node *)n;
				}
#line 22319 "gram.c" /* yacc.c:1646  */
    break;

  case 406:
#line 2814 "gram.y" /* yacc.c:1646  */
    {
					Constraint *n = makeNode(Constraint);
					n->contype = CONSTR_UNIQUE;
					n->location = (yylsp[-2]);
					n->keys = NULL;
					n->options = (yyvsp[-1].list);
					n->indexname = NULL;
					n->indexspace = (yyvsp[0].str);
					(yyval.node) = (Node *)n;
				}
#line 22334 "gram.c" /* yacc.c:1646  */
    break;

  case 407:
#line 2825 "gram.y" /* yacc.c:1646  */
    {
					Constraint *n = makeNode(Constraint);
					n->contype = CONSTR_PRIMARY;
					n->location = (yylsp[-3]);
					n->keys = NULL;
					n->options = (yyvsp[-1].list);
					n->indexname = NULL;
					n->indexspace = (yyvsp[0].str);
					(yyval.node) = (Node *)n;
				}
#line 22349 "gram.c" /* yacc.c:1646  */
    break;

  case 408:
#line 2836 "gram.y" /* yacc.c:1646  */
    {
					Constraint *n = makeNode(Constraint);
					n->contype = CONSTR_CHECK;
					n->location = (yylsp[-4]);
					n->is_no_inherit = (yyvsp[0].boolean);
					n->raw_expr = (yyvsp[-2].node);
					n->cooked_expr = NULL;
					(yyval.node) = (Node *)n;
				}
#line 22363 "gram.c" /* yacc.c:1646  */
    break;

  case 409:
#line 2846 "gram.y" /* yacc.c:1646  */
    {
					Constraint *n = makeNode(Constraint);
					n->contype = CONSTR_DEFAULT;
					n->location = (yylsp[-1]);
					n->raw_expr = (yyvsp[0].node);
					n->cooked_expr = NULL;
					(yyval.node) = (Node *)n;
				}
#line 22376 "gram.c" /* yacc.c:1646  */
    break;

  case 410:
#line 2855 "gram.y" /* yacc.c:1646  */
    {
					Constraint *n = makeNode(Constraint);
					n->contype = CONSTR_FOREIGN;
					n->location = (yylsp[-4]);
					n->pktable			= (yyvsp[-3].range);
					n->fk_attrs			= NIL;
					n->pk_attrs			= (yyvsp[-2].list);
					n->fk_matchtype		= (yyvsp[-1].ival);
					n->fk_upd_action	= (char) ((yyvsp[0].ival) >> 8);
					n->fk_del_action	= (char) ((yyvsp[0].ival) & 0xFF);
					n->skip_validation  = false;
					n->initially_valid  = true;
					(yyval.node) = (Node *)n;
				}
#line 22395 "gram.c" /* yacc.c:1646  */
    break;

  case 411:
#line 2888 "gram.y" /* yacc.c:1646  */
    {
					Constraint *n = makeNode(Constraint);
					n->contype = CONSTR_ATTR_DEFERRABLE;
					n->location = (yylsp[0]);
					(yyval.node) = (Node *)n;
				}
#line 22406 "gram.c" /* yacc.c:1646  */
    break;

  case 412:
#line 2895 "gram.y" /* yacc.c:1646  */
    {
					Constraint *n = makeNode(Constraint);
					n->contype = CONSTR_ATTR_NOT_DEFERRABLE;
					n->location = (yylsp[-1]);
					(yyval.node) = (Node *)n;
				}
#line 22417 "gram.c" /* yacc.c:1646  */
    break;

  case 413:
#line 2902 "gram.y" /* yacc.c:1646  */
    {
					Constraint *n = makeNode(Constraint);
					n->contype = CONSTR_ATTR_DEFERRED;
					n->location = (yylsp[-1]);
					(yyval.node) = (Node *)n;
				}
#line 22428 "gram.c" /* yacc.c:1646  */
    break;

  case 414:
#line 2909 "gram.y" /* yacc.c:1646  */
    {
					Constraint *n = makeNode(Constraint);
					n->contype = CONSTR_ATTR_IMMEDIATE;
					n->location = (yylsp[-1]);
					(yyval.node) = (Node *)n;
				}
#line 22439 "gram.c" /* yacc.c:1646  */
    break;

  case 415:
#line 2920 "gram.y" /* yacc.c:1646  */
    {
					TableLikeClause *n = makeNode(TableLikeClause);
					n->relation = (yyvsp[-1].range);
					n->options = (yyvsp[0].ival);
					(yyval.node) = (Node *)n;
				}
#line 22450 "gram.c" /* yacc.c:1646  */
    break;

  case 416:
#line 2929 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = (yyvsp[-2].ival) | (yyvsp[0].ival); }
#line 22456 "gram.c" /* yacc.c:1646  */
    break;

  case 417:
#line 2930 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = (yyvsp[-2].ival) & ~(yyvsp[0].ival); }
#line 22462 "gram.c" /* yacc.c:1646  */
    break;

  case 418:
#line 2931 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = 0; }
#line 22468 "gram.c" /* yacc.c:1646  */
    break;

  case 419:
#line 2935 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = CREATE_TABLE_LIKE_DEFAULTS; }
#line 22474 "gram.c" /* yacc.c:1646  */
    break;

  case 420:
#line 2936 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = CREATE_TABLE_LIKE_CONSTRAINTS; }
#line 22480 "gram.c" /* yacc.c:1646  */
    break;

  case 421:
#line 2937 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = CREATE_TABLE_LIKE_INDEXES; }
#line 22486 "gram.c" /* yacc.c:1646  */
    break;

  case 422:
#line 2938 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = CREATE_TABLE_LIKE_STORAGE; }
#line 22492 "gram.c" /* yacc.c:1646  */
    break;

  case 423:
#line 2939 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = CREATE_TABLE_LIKE_COMMENTS; }
#line 22498 "gram.c" /* yacc.c:1646  */
    break;

  case 424:
#line 2940 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = CREATE_TABLE_LIKE_ALL; }
#line 22504 "gram.c" /* yacc.c:1646  */
    break;

  case 425:
#line 2950 "gram.y" /* yacc.c:1646  */
    {
					Constraint *n = (Constraint *) (yyvsp[0].node);
					Assert(IsA(n, Constraint));
					n->conname = (yyvsp[-1].str);
					n->location = (yylsp[-2]);
					(yyval.node) = (Node *) n;
				}
#line 22516 "gram.c" /* yacc.c:1646  */
    break;

  case 426:
#line 2957 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[0].node); }
#line 22522 "gram.c" /* yacc.c:1646  */
    break;

  case 427:
#line 2962 "gram.y" /* yacc.c:1646  */
    {
					Constraint *n = makeNode(Constraint);
					n->contype = CONSTR_CHECK;
					n->location = (yylsp[-4]);
					n->raw_expr = (yyvsp[-2].node);
					n->cooked_expr = NULL;
					processCASbits((yyvsp[0].ival), (yylsp[0]), "CHECK",
								   NULL, NULL, &n->skip_validation,
								   &n->is_no_inherit, yyscanner);
					n->initially_valid = !n->skip_validation;
					(yyval.node) = (Node *)n;
				}
#line 22539 "gram.c" /* yacc.c:1646  */
    break;

  case 428:
#line 2976 "gram.y" /* yacc.c:1646  */
    {
					Constraint *n = makeNode(Constraint);
					n->contype = CONSTR_UNIQUE;
					n->location = (yylsp[-6]);
					n->keys = (yyvsp[-4].list);
					n->options = (yyvsp[-2].list);
					n->indexname = NULL;
					n->indexspace = (yyvsp[-1].str);
					processCASbits((yyvsp[0].ival), (yylsp[0]), "UNIQUE",
								   &n->deferrable, &n->initdeferred, NULL,
								   NULL, yyscanner);
					(yyval.node) = (Node *)n;
				}
#line 22557 "gram.c" /* yacc.c:1646  */
    break;

  case 429:
#line 2990 "gram.y" /* yacc.c:1646  */
    {
					Constraint *n = makeNode(Constraint);
					n->contype = CONSTR_UNIQUE;
					n->location = (yylsp[-2]);
					n->keys = NIL;
					n->options = NIL;
					n->indexname = (yyvsp[-1].str);
					n->indexspace = NULL;
					processCASbits((yyvsp[0].ival), (yylsp[0]), "UNIQUE",
								   &n->deferrable, &n->initdeferred, NULL,
								   NULL, yyscanner);
					(yyval.node) = (Node *)n;
				}
#line 22575 "gram.c" /* yacc.c:1646  */
    break;

  case 430:
#line 3005 "gram.y" /* yacc.c:1646  */
    {
					Constraint *n = makeNode(Constraint);
					n->contype = CONSTR_PRIMARY;
					n->location = (yylsp[-7]);
					n->keys = (yyvsp[-4].list);
					n->options = (yyvsp[-2].list);
					n->indexname = NULL;
					n->indexspace = (yyvsp[-1].str);
					processCASbits((yyvsp[0].ival), (yylsp[0]), "PRIMARY KEY",
								   &n->deferrable, &n->initdeferred, NULL,
								   NULL, yyscanner);
					(yyval.node) = (Node *)n;
				}
#line 22593 "gram.c" /* yacc.c:1646  */
    break;

  case 431:
#line 3019 "gram.y" /* yacc.c:1646  */
    {
					Constraint *n = makeNode(Constraint);
					n->contype = CONSTR_PRIMARY;
					n->location = (yylsp[-3]);
					n->keys = NIL;
					n->options = NIL;
					n->indexname = (yyvsp[-1].str);
					n->indexspace = NULL;
					processCASbits((yyvsp[0].ival), (yylsp[0]), "PRIMARY KEY",
								   &n->deferrable, &n->initdeferred, NULL,
								   NULL, yyscanner);
					(yyval.node) = (Node *)n;
				}
#line 22611 "gram.c" /* yacc.c:1646  */
    break;

  case 432:
#line 3035 "gram.y" /* yacc.c:1646  */
    {
					Constraint *n = makeNode(Constraint);
					n->contype = CONSTR_EXCLUSION;
					n->location = (yylsp[-8]);
					n->access_method	= (yyvsp[-7].str);
					n->exclusions		= (yyvsp[-5].list);
					n->options			= (yyvsp[-3].list);
					n->indexname		= NULL;
					n->indexspace		= (yyvsp[-2].str);
					n->where_clause		= (yyvsp[-1].node);
					processCASbits((yyvsp[0].ival), (yylsp[0]), "EXCLUDE",
								   &n->deferrable, &n->initdeferred, NULL,
								   NULL, yyscanner);
					(yyval.node) = (Node *)n;
				}
#line 22631 "gram.c" /* yacc.c:1646  */
    break;

  case 433:
#line 3052 "gram.y" /* yacc.c:1646  */
    {
					Constraint *n = makeNode(Constraint);
					n->contype = CONSTR_FOREIGN;
					n->location = (yylsp[-10]);
					n->pktable			= (yyvsp[-4].range);
					n->fk_attrs			= (yyvsp[-7].list);
					n->pk_attrs			= (yyvsp[-3].list);
					n->fk_matchtype		= (yyvsp[-2].ival);
					n->fk_upd_action	= (char) ((yyvsp[-1].ival) >> 8);
					n->fk_del_action	= (char) ((yyvsp[-1].ival) & 0xFF);
					processCASbits((yyvsp[0].ival), (yylsp[0]), "FOREIGN KEY",
								   &n->deferrable, &n->initdeferred,
								   &n->skip_validation, NULL,
								   yyscanner);
					n->initially_valid = !n->skip_validation;
					(yyval.node) = (Node *)n;
				}
#line 22653 "gram.c" /* yacc.c:1646  */
    break;

  case 434:
#line 3071 "gram.y" /* yacc.c:1646  */
    {  (yyval.boolean) = TRUE; }
#line 22659 "gram.c" /* yacc.c:1646  */
    break;

  case 435:
#line 3072 "gram.y" /* yacc.c:1646  */
    {  (yyval.boolean) = FALSE; }
#line 22665 "gram.c" /* yacc.c:1646  */
    break;

  case 436:
#line 3076 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[-1].list); }
#line 22671 "gram.c" /* yacc.c:1646  */
    break;

  case 437:
#line 3077 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 22677 "gram.c" /* yacc.c:1646  */
    break;

  case 438:
#line 3081 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].node)); }
#line 22683 "gram.c" /* yacc.c:1646  */
    break;

  case 439:
#line 3082 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].node)); }
#line 22689 "gram.c" /* yacc.c:1646  */
    break;

  case 440:
#line 3086 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = (Node *) makeString((yyvsp[0].str));
				}
#line 22697 "gram.c" /* yacc.c:1646  */
    break;

  case 441:
#line 3092 "gram.y" /* yacc.c:1646  */
    {
				(yyval.ival) = FKCONSTR_MATCH_FULL;
			}
#line 22705 "gram.c" /* yacc.c:1646  */
    break;

  case 442:
#line 3096 "gram.y" /* yacc.c:1646  */
    {
				ereport(ERROR,
						(errcode(ERRCODE_FEATURE_NOT_SUPPORTED),
						 errmsg("MATCH PARTIAL not yet implemented"),
						 parser_errposition((yylsp[-1]))));
				(yyval.ival) = FKCONSTR_MATCH_PARTIAL;
			}
#line 22717 "gram.c" /* yacc.c:1646  */
    break;

  case 443:
#line 3104 "gram.y" /* yacc.c:1646  */
    {
				(yyval.ival) = FKCONSTR_MATCH_SIMPLE;
			}
#line 22725 "gram.c" /* yacc.c:1646  */
    break;

  case 444:
#line 3108 "gram.y" /* yacc.c:1646  */
    {
				(yyval.ival) = FKCONSTR_MATCH_SIMPLE;
			}
#line 22733 "gram.c" /* yacc.c:1646  */
    break;

  case 445:
#line 3114 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].list)); }
#line 22739 "gram.c" /* yacc.c:1646  */
    break;

  case 446:
#line 3116 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].list)); }
#line 22745 "gram.c" /* yacc.c:1646  */
    break;

  case 447:
#line 3120 "gram.y" /* yacc.c:1646  */
    {
				(yyval.list) = list_make2((yyvsp[-2].ielem), (yyvsp[0].list));
			}
#line 22753 "gram.c" /* yacc.c:1646  */
    break;

  case 448:
#line 3125 "gram.y" /* yacc.c:1646  */
    {
				(yyval.list) = list_make2((yyvsp[-5].ielem), (yyvsp[-1].list));
			}
#line 22761 "gram.c" /* yacc.c:1646  */
    break;

  case 449:
#line 3131 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[-1].node); }
#line 22767 "gram.c" /* yacc.c:1646  */
    break;

  case 450:
#line 3132 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = NULL; }
#line 22773 "gram.c" /* yacc.c:1646  */
    break;

  case 451:
#line 3143 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = ((yyvsp[0].ival) << 8) | (FKCONSTR_ACTION_NOACTION & 0xFF); }
#line 22779 "gram.c" /* yacc.c:1646  */
    break;

  case 452:
#line 3145 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = (FKCONSTR_ACTION_NOACTION << 8) | ((yyvsp[0].ival) & 0xFF); }
#line 22785 "gram.c" /* yacc.c:1646  */
    break;

  case 453:
#line 3147 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = ((yyvsp[-1].ival) << 8) | ((yyvsp[0].ival) & 0xFF); }
#line 22791 "gram.c" /* yacc.c:1646  */
    break;

  case 454:
#line 3149 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = ((yyvsp[0].ival) << 8) | ((yyvsp[-1].ival) & 0xFF); }
#line 22797 "gram.c" /* yacc.c:1646  */
    break;

  case 455:
#line 3151 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = (FKCONSTR_ACTION_NOACTION << 8) | (FKCONSTR_ACTION_NOACTION & 0xFF); }
#line 22803 "gram.c" /* yacc.c:1646  */
    break;

  case 456:
#line 3154 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = (yyvsp[0].ival); }
#line 22809 "gram.c" /* yacc.c:1646  */
    break;

  case 457:
#line 3157 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = (yyvsp[0].ival); }
#line 22815 "gram.c" /* yacc.c:1646  */
    break;

  case 458:
#line 3161 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = FKCONSTR_ACTION_NOACTION; }
#line 22821 "gram.c" /* yacc.c:1646  */
    break;

  case 459:
#line 3162 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = FKCONSTR_ACTION_RESTRICT; }
#line 22827 "gram.c" /* yacc.c:1646  */
    break;

  case 460:
#line 3163 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = FKCONSTR_ACTION_CASCADE; }
#line 22833 "gram.c" /* yacc.c:1646  */
    break;

  case 461:
#line 3164 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = FKCONSTR_ACTION_SETNULL; }
#line 22839 "gram.c" /* yacc.c:1646  */
    break;

  case 462:
#line 3165 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = FKCONSTR_ACTION_SETDEFAULT; }
#line 22845 "gram.c" /* yacc.c:1646  */
    break;

  case 463:
#line 3168 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[-1].list); }
#line 22851 "gram.c" /* yacc.c:1646  */
    break;

  case 464:
#line 3169 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 22857 "gram.c" /* yacc.c:1646  */
    break;

  case 465:
#line 3174 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[0].list); }
#line 22863 "gram.c" /* yacc.c:1646  */
    break;

  case 466:
#line 3175 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1(defWithOids(true)); }
#line 22869 "gram.c" /* yacc.c:1646  */
    break;

  case 467:
#line 3176 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1(defWithOids(false)); }
#line 22875 "gram.c" /* yacc.c:1646  */
    break;

  case 468:
#line 3177 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 22881 "gram.c" /* yacc.c:1646  */
    break;

  case 469:
#line 3180 "gram.y" /* yacc.c:1646  */
    { (yyval.oncommit) = ONCOMMIT_DROP; }
#line 22887 "gram.c" /* yacc.c:1646  */
    break;

  case 470:
#line 3181 "gram.y" /* yacc.c:1646  */
    { (yyval.oncommit) = ONCOMMIT_DELETE_ROWS; }
#line 22893 "gram.c" /* yacc.c:1646  */
    break;

  case 471:
#line 3182 "gram.y" /* yacc.c:1646  */
    { (yyval.oncommit) = ONCOMMIT_PRESERVE_ROWS; }
#line 22899 "gram.c" /* yacc.c:1646  */
    break;

  case 472:
#line 3183 "gram.y" /* yacc.c:1646  */
    { (yyval.oncommit) = ONCOMMIT_NOOP; }
#line 22905 "gram.c" /* yacc.c:1646  */
    break;

  case 473:
#line 3186 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 22911 "gram.c" /* yacc.c:1646  */
    break;

  case 474:
#line 3187 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = NULL; }
#line 22917 "gram.c" /* yacc.c:1646  */
    break;

  case 475:
#line 3190 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 22923 "gram.c" /* yacc.c:1646  */
    break;

  case 476:
#line 3191 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = NULL; }
#line 22929 "gram.c" /* yacc.c:1646  */
    break;

  case 477:
#line 3194 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 22935 "gram.c" /* yacc.c:1646  */
    break;

  case 478:
#line 3210 "gram.y" /* yacc.c:1646  */
    {
					CreateTableAsStmt *ctas = makeNode(CreateTableAsStmt);
					ctas->query = (yyvsp[-1].node);
					ctas->into = (yyvsp[-3].into);
					ctas->relkind = OBJECT_TABLE;
					ctas->is_select_into = false;
					/* cram additional flags into the IntoClause */
					(yyvsp[-3].into)->rel->relpersistence = (yyvsp[-5].ival);
					(yyvsp[-3].into)->skipData = !((yyvsp[0].boolean));
					(yyval.node) = (Node *) ctas;
				}
#line 22951 "gram.c" /* yacc.c:1646  */
    break;

  case 479:
#line 3225 "gram.y" /* yacc.c:1646  */
    {
					(yyval.into) = makeNode(IntoClause);
					(yyval.into)->rel = (yyvsp[-4].range);
					(yyval.into)->colNames = (yyvsp[-3].list);
					(yyval.into)->options = (yyvsp[-2].list);
					(yyval.into)->onCommit = (yyvsp[-1].oncommit);
					(yyval.into)->tableSpaceName = (yyvsp[0].str);
					(yyval.into)->viewQuery = NULL;
					(yyval.into)->skipData = false;		/* might get changed later */
				}
#line 22966 "gram.c" /* yacc.c:1646  */
    break;

  case 480:
#line 3238 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = TRUE; }
#line 22972 "gram.c" /* yacc.c:1646  */
    break;

  case 481:
#line 3239 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = FALSE; }
#line 22978 "gram.c" /* yacc.c:1646  */
    break;

  case 482:
#line 3240 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = TRUE; }
#line 22984 "gram.c" /* yacc.c:1646  */
    break;

  case 483:
#line 3253 "gram.y" /* yacc.c:1646  */
    {
					CreateTableAsStmt *ctas = makeNode(CreateTableAsStmt);
					ctas->query = (yyvsp[-1].node);
					ctas->into = (yyvsp[-3].into);
					ctas->relkind = OBJECT_MATVIEW;
					ctas->is_select_into = false;
					/* cram additional flags into the IntoClause */
					(yyvsp[-3].into)->rel->relpersistence = (yyvsp[-6].ival);
					(yyvsp[-3].into)->skipData = !((yyvsp[0].boolean));
					(yyval.node) = (Node *) ctas;
				}
#line 23000 "gram.c" /* yacc.c:1646  */
    break;

  case 484:
#line 3268 "gram.y" /* yacc.c:1646  */
    {
					(yyval.into) = makeNode(IntoClause);
					(yyval.into)->rel = (yyvsp[-3].range);
					(yyval.into)->colNames = (yyvsp[-2].list);
					(yyval.into)->options = (yyvsp[-1].list);
					(yyval.into)->onCommit = ONCOMMIT_NOOP;
					(yyval.into)->tableSpaceName = (yyvsp[0].str);
					(yyval.into)->viewQuery = NULL;		/* filled at analysis time */
					(yyval.into)->skipData = false;		/* might get changed later */
				}
#line 23015 "gram.c" /* yacc.c:1646  */
    break;

  case 485:
#line 3280 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = RELPERSISTENCE_UNLOGGED; }
#line 23021 "gram.c" /* yacc.c:1646  */
    break;

  case 486:
#line 3281 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = RELPERSISTENCE_PERMANENT; }
#line 23027 "gram.c" /* yacc.c:1646  */
    break;

  case 487:
#line 3294 "gram.y" /* yacc.c:1646  */
    {
					RefreshMatViewStmt *n = makeNode(RefreshMatViewStmt);
					n->relation = (yyvsp[-1].range);
					n->skipData = !((yyvsp[0].boolean));
					(yyval.node) = (Node *) n;
				}
#line 23038 "gram.c" /* yacc.c:1646  */
    break;

  case 488:
#line 3313 "gram.y" /* yacc.c:1646  */
    {
					CreateSeqStmt *n = makeNode(CreateSeqStmt);
					(yyvsp[-1].range)->relpersistence = (yyvsp[-3].ival);
					n->sequence = (yyvsp[-1].range);
					n->options = (yyvsp[0].list);
					n->ownerId = InvalidOid;
					(yyval.node) = (Node *)n;
				}
#line 23051 "gram.c" /* yacc.c:1646  */
    break;

  case 489:
#line 3325 "gram.y" /* yacc.c:1646  */
    {
					AlterSeqStmt *n = makeNode(AlterSeqStmt);
					n->sequence = (yyvsp[-1].range);
					n->options = (yyvsp[0].list);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 23063 "gram.c" /* yacc.c:1646  */
    break;

  case 490:
#line 3333 "gram.y" /* yacc.c:1646  */
    {
					AlterSeqStmt *n = makeNode(AlterSeqStmt);
					n->sequence = (yyvsp[-1].range);
					n->options = (yyvsp[0].list);
					n->missing_ok = true;
					(yyval.node) = (Node *)n;
				}
#line 23075 "gram.c" /* yacc.c:1646  */
    break;

  case 491:
#line 3343 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[0].list); }
#line 23081 "gram.c" /* yacc.c:1646  */
    break;

  case 492:
#line 3344 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 23087 "gram.c" /* yacc.c:1646  */
    break;

  case 493:
#line 3347 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].defelt)); }
#line 23093 "gram.c" /* yacc.c:1646  */
    break;

  case 494:
#line 3348 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-1].list), (yyvsp[0].defelt)); }
#line 23099 "gram.c" /* yacc.c:1646  */
    break;

  case 495:
#line 3352 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("cache", (Node *)(yyvsp[0].value));
				}
#line 23107 "gram.c" /* yacc.c:1646  */
    break;

  case 496:
#line 3356 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("cycle", (Node *)makeInteger(TRUE));
				}
#line 23115 "gram.c" /* yacc.c:1646  */
    break;

  case 497:
#line 3360 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("cycle", (Node *)makeInteger(FALSE));
				}
#line 23123 "gram.c" /* yacc.c:1646  */
    break;

  case 498:
#line 3364 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("increment", (Node *)(yyvsp[0].value));
				}
#line 23131 "gram.c" /* yacc.c:1646  */
    break;

  case 499:
#line 3368 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("maxvalue", (Node *)(yyvsp[0].value));
				}
#line 23139 "gram.c" /* yacc.c:1646  */
    break;

  case 500:
#line 3372 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("minvalue", (Node *)(yyvsp[0].value));
				}
#line 23147 "gram.c" /* yacc.c:1646  */
    break;

  case 501:
#line 3376 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("maxvalue", NULL);
				}
#line 23155 "gram.c" /* yacc.c:1646  */
    break;

  case 502:
#line 3380 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("minvalue", NULL);
				}
#line 23163 "gram.c" /* yacc.c:1646  */
    break;

  case 503:
#line 3384 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("owned_by", (Node *)(yyvsp[0].list));
				}
#line 23171 "gram.c" /* yacc.c:1646  */
    break;

  case 504:
#line 3388 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("start", (Node *)(yyvsp[0].value));
				}
#line 23179 "gram.c" /* yacc.c:1646  */
    break;

  case 505:
#line 3392 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("restart", NULL);
				}
#line 23187 "gram.c" /* yacc.c:1646  */
    break;

  case 506:
#line 3396 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("restart", (Node *)(yyvsp[0].value));
				}
#line 23195 "gram.c" /* yacc.c:1646  */
    break;

  case 507:
#line 3401 "gram.y" /* yacc.c:1646  */
    {}
#line 23201 "gram.c" /* yacc.c:1646  */
    break;

  case 508:
#line 3402 "gram.y" /* yacc.c:1646  */
    {}
#line 23207 "gram.c" /* yacc.c:1646  */
    break;

  case 509:
#line 3406 "gram.y" /* yacc.c:1646  */
    { (yyval.value) = makeFloat((yyvsp[0].str)); }
#line 23213 "gram.c" /* yacc.c:1646  */
    break;

  case 510:
#line 3407 "gram.y" /* yacc.c:1646  */
    { (yyval.value) = makeFloat((yyvsp[0].str)); }
#line 23219 "gram.c" /* yacc.c:1646  */
    break;

  case 511:
#line 3409 "gram.y" /* yacc.c:1646  */
    {
					(yyval.value) = makeFloat((yyvsp[0].str));
					doNegateFloat((yyval.value));
				}
#line 23228 "gram.c" /* yacc.c:1646  */
    break;

  case 512:
#line 3413 "gram.y" /* yacc.c:1646  */
    { (yyval.value) = makeInteger((yyvsp[0].ival)); }
#line 23234 "gram.c" /* yacc.c:1646  */
    break;

  case 513:
#line 3416 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].value)); }
#line 23240 "gram.c" /* yacc.c:1646  */
    break;

  case 514:
#line 3417 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].value)); }
#line 23246 "gram.c" /* yacc.c:1646  */
    break;

  case 515:
#line 3430 "gram.y" /* yacc.c:1646  */
    {
				CreatePLangStmt *n = makeNode(CreatePLangStmt);
				n->replace = (yyvsp[-4].boolean);
				n->plname = (yyvsp[0].str);
				/* parameters are all to be supplied by system */
				n->plhandler = NIL;
				n->plinline = NIL;
				n->plvalidator = NIL;
				n->pltrusted = false;
				(yyval.node) = (Node *)n;
			}
#line 23262 "gram.c" /* yacc.c:1646  */
    break;

  case 516:
#line 3443 "gram.y" /* yacc.c:1646  */
    {
				CreatePLangStmt *n = makeNode(CreatePLangStmt);
				n->replace = (yyvsp[-8].boolean);
				n->plname = (yyvsp[-4].str);
				n->plhandler = (yyvsp[-2].list);
				n->plinline = (yyvsp[-1].list);
				n->plvalidator = (yyvsp[0].list);
				n->pltrusted = (yyvsp[-7].boolean);
				(yyval.node) = (Node *)n;
			}
#line 23277 "gram.c" /* yacc.c:1646  */
    break;

  case 517:
#line 3456 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = TRUE; }
#line 23283 "gram.c" /* yacc.c:1646  */
    break;

  case 518:
#line 3457 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = FALSE; }
#line 23289 "gram.c" /* yacc.c:1646  */
    break;

  case 519:
#line 3465 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1(makeString((yyvsp[0].str))); }
#line 23295 "gram.c" /* yacc.c:1646  */
    break;

  case 520:
#line 3466 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lcons(makeString((yyvsp[-1].str)), (yyvsp[0].list)); }
#line 23301 "gram.c" /* yacc.c:1646  */
    break;

  case 521:
#line 3470 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[0].list); }
#line 23307 "gram.c" /* yacc.c:1646  */
    break;

  case 522:
#line 3471 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 23313 "gram.c" /* yacc.c:1646  */
    break;

  case 523:
#line 3475 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[0].list); }
#line 23319 "gram.c" /* yacc.c:1646  */
    break;

  case 524:
#line 3476 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 23325 "gram.c" /* yacc.c:1646  */
    break;

  case 525:
#line 3480 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[0].list); }
#line 23331 "gram.c" /* yacc.c:1646  */
    break;

  case 526:
#line 3481 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 23337 "gram.c" /* yacc.c:1646  */
    break;

  case 527:
#line 3486 "gram.y" /* yacc.c:1646  */
    {
					DropStmt *n = makeNode(DropStmt);
					n->removeType = OBJECT_LANGUAGE;
					n->objects = list_make1(list_make1(makeString((yyvsp[-1].str))));
					n->arguments = NIL;
					n->behavior = (yyvsp[0].dbehavior);
					n->missing_ok = false;
					n->concurrent = false;
					(yyval.node) = (Node *)n;
				}
#line 23352 "gram.c" /* yacc.c:1646  */
    break;

  case 528:
#line 3497 "gram.y" /* yacc.c:1646  */
    {
					DropStmt *n = makeNode(DropStmt);
					n->removeType = OBJECT_LANGUAGE;
					n->objects = list_make1(list_make1(makeString((yyvsp[-1].str))));
					n->behavior = (yyvsp[0].dbehavior);
					n->missing_ok = true;
					n->concurrent = false;
					(yyval.node) = (Node *)n;
				}
#line 23366 "gram.c" /* yacc.c:1646  */
    break;

  case 529:
#line 3509 "gram.y" /* yacc.c:1646  */
    {}
#line 23372 "gram.c" /* yacc.c:1646  */
    break;

  case 530:
#line 3510 "gram.y" /* yacc.c:1646  */
    {}
#line 23378 "gram.c" /* yacc.c:1646  */
    break;

  case 531:
#line 3521 "gram.y" /* yacc.c:1646  */
    {
					CreateTableSpaceStmt *n = makeNode(CreateTableSpaceStmt);
					n->tablespacename = (yyvsp[-3].str);
					n->owner = (yyvsp[-2].str);
					n->location = (yyvsp[0].str);
					(yyval.node) = (Node *) n;
				}
#line 23390 "gram.c" /* yacc.c:1646  */
    break;

  case 532:
#line 3530 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 23396 "gram.c" /* yacc.c:1646  */
    break;

  case 533:
#line 3531 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = NULL; }
#line 23402 "gram.c" /* yacc.c:1646  */
    break;

  case 534:
#line 3545 "gram.y" /* yacc.c:1646  */
    {
					DropTableSpaceStmt *n = makeNode(DropTableSpaceStmt);
					n->tablespacename = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *) n;
				}
#line 23413 "gram.c" /* yacc.c:1646  */
    break;

  case 535:
#line 3552 "gram.y" /* yacc.c:1646  */
    {
					DropTableSpaceStmt *n = makeNode(DropTableSpaceStmt);
					n->tablespacename = (yyvsp[0].str);
					n->missing_ok = true;
					(yyval.node) = (Node *) n;
				}
#line 23424 "gram.c" /* yacc.c:1646  */
    break;

  case 536:
#line 3569 "gram.y" /* yacc.c:1646  */
    {
					CreateExtensionStmt *n = makeNode(CreateExtensionStmt);
					n->extname = (yyvsp[-2].str);
					n->if_not_exists = false;
					n->options = (yyvsp[0].list);
					(yyval.node) = (Node *) n;
				}
#line 23436 "gram.c" /* yacc.c:1646  */
    break;

  case 537:
#line 3577 "gram.y" /* yacc.c:1646  */
    {
					CreateExtensionStmt *n = makeNode(CreateExtensionStmt);
					n->extname = (yyvsp[-2].str);
					n->if_not_exists = true;
					n->options = (yyvsp[0].list);
					(yyval.node) = (Node *) n;
				}
#line 23448 "gram.c" /* yacc.c:1646  */
    break;

  case 538:
#line 3588 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-1].list), (yyvsp[0].defelt)); }
#line 23454 "gram.c" /* yacc.c:1646  */
    break;

  case 539:
#line 3590 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 23460 "gram.c" /* yacc.c:1646  */
    break;

  case 540:
#line 3595 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("schema", (Node *)makeString((yyvsp[0].str)));
				}
#line 23468 "gram.c" /* yacc.c:1646  */
    break;

  case 541:
#line 3599 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("new_version", (Node *)makeString((yyvsp[0].str)));
				}
#line 23476 "gram.c" /* yacc.c:1646  */
    break;

  case 542:
#line 3603 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("old_version", (Node *)makeString((yyvsp[0].str)));
				}
#line 23484 "gram.c" /* yacc.c:1646  */
    break;

  case 543:
#line 3615 "gram.y" /* yacc.c:1646  */
    {
					AlterExtensionStmt *n = makeNode(AlterExtensionStmt);
					n->extname = (yyvsp[-2].str);
					n->options = (yyvsp[0].list);
					(yyval.node) = (Node *) n;
				}
#line 23495 "gram.c" /* yacc.c:1646  */
    break;

  case 544:
#line 3625 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-1].list), (yyvsp[0].defelt)); }
#line 23501 "gram.c" /* yacc.c:1646  */
    break;

  case 545:
#line 3627 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 23507 "gram.c" /* yacc.c:1646  */
    break;

  case 546:
#line 3632 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("new_version", (Node *)makeString((yyvsp[0].str)));
				}
#line 23515 "gram.c" /* yacc.c:1646  */
    break;

  case 547:
#line 3645 "gram.y" /* yacc.c:1646  */
    {
					AlterExtensionContentsStmt *n = makeNode(AlterExtensionContentsStmt);
					n->extname = (yyvsp[-4].str);
					n->action = (yyvsp[-3].ival);
					n->objtype = OBJECT_AGGREGATE;
					n->objname = (yyvsp[-1].list);
					n->objargs = (yyvsp[0].list);
					(yyval.node) = (Node *)n;
				}
#line 23529 "gram.c" /* yacc.c:1646  */
    break;

  case 548:
#line 3655 "gram.y" /* yacc.c:1646  */
    {
					AlterExtensionContentsStmt *n = makeNode(AlterExtensionContentsStmt);
					n->extname = (yyvsp[-7].str);
					n->action = (yyvsp[-6].ival);
					n->objtype = OBJECT_CAST;
					n->objname = list_make1((yyvsp[-3].typnam));
					n->objargs = list_make1((yyvsp[-1].typnam));
					(yyval.node) = (Node *) n;
				}
#line 23543 "gram.c" /* yacc.c:1646  */
    break;

  case 549:
#line 3665 "gram.y" /* yacc.c:1646  */
    {
					AlterExtensionContentsStmt *n = makeNode(AlterExtensionContentsStmt);
					n->extname = (yyvsp[-3].str);
					n->action = (yyvsp[-2].ival);
					n->objtype = OBJECT_COLLATION;
					n->objname = (yyvsp[0].list);
					(yyval.node) = (Node *)n;
				}
#line 23556 "gram.c" /* yacc.c:1646  */
    break;

  case 550:
#line 3674 "gram.y" /* yacc.c:1646  */
    {
					AlterExtensionContentsStmt *n = makeNode(AlterExtensionContentsStmt);
					n->extname = (yyvsp[-3].str);
					n->action = (yyvsp[-2].ival);
					n->objtype = OBJECT_CONVERSION;
					n->objname = (yyvsp[0].list);
					(yyval.node) = (Node *)n;
				}
#line 23569 "gram.c" /* yacc.c:1646  */
    break;

  case 551:
#line 3683 "gram.y" /* yacc.c:1646  */
    {
					AlterExtensionContentsStmt *n = makeNode(AlterExtensionContentsStmt);
					n->extname = (yyvsp[-3].str);
					n->action = (yyvsp[-2].ival);
					n->objtype = OBJECT_DOMAIN;
					n->objname = (yyvsp[0].list);
					(yyval.node) = (Node *)n;
				}
#line 23582 "gram.c" /* yacc.c:1646  */
    break;

  case 552:
#line 3692 "gram.y" /* yacc.c:1646  */
    {
					AlterExtensionContentsStmt *n = makeNode(AlterExtensionContentsStmt);
					n->extname = (yyvsp[-3].str);
					n->action = (yyvsp[-2].ival);
					n->objtype = OBJECT_FUNCTION;
					n->objname = (yyvsp[0].funwithargs)->funcname;
					n->objargs = (yyvsp[0].funwithargs)->funcargs;
					(yyval.node) = (Node *)n;
				}
#line 23596 "gram.c" /* yacc.c:1646  */
    break;

  case 553:
#line 3702 "gram.y" /* yacc.c:1646  */
    {
					AlterExtensionContentsStmt *n = makeNode(AlterExtensionContentsStmt);
					n->extname = (yyvsp[-4].str);
					n->action = (yyvsp[-3].ival);
					n->objtype = OBJECT_LANGUAGE;
					n->objname = list_make1(makeString((yyvsp[0].str)));
					(yyval.node) = (Node *)n;
				}
#line 23609 "gram.c" /* yacc.c:1646  */
    break;

  case 554:
#line 3711 "gram.y" /* yacc.c:1646  */
    {
					AlterExtensionContentsStmt *n = makeNode(AlterExtensionContentsStmt);
					n->extname = (yyvsp[-4].str);
					n->action = (yyvsp[-3].ival);
					n->objtype = OBJECT_OPERATOR;
					n->objname = (yyvsp[-1].list);
					n->objargs = (yyvsp[0].list);
					(yyval.node) = (Node *)n;
				}
#line 23623 "gram.c" /* yacc.c:1646  */
    break;

  case 555:
#line 3721 "gram.y" /* yacc.c:1646  */
    {
					AlterExtensionContentsStmt *n = makeNode(AlterExtensionContentsStmt);
					n->extname = (yyvsp[-6].str);
					n->action = (yyvsp[-5].ival);
					n->objtype = OBJECT_OPCLASS;
					n->objname = (yyvsp[-2].list);
					n->objargs = list_make1(makeString((yyvsp[0].str)));
					(yyval.node) = (Node *)n;
				}
#line 23637 "gram.c" /* yacc.c:1646  */
    break;

  case 556:
#line 3731 "gram.y" /* yacc.c:1646  */
    {
					AlterExtensionContentsStmt *n = makeNode(AlterExtensionContentsStmt);
					n->extname = (yyvsp[-6].str);
					n->action = (yyvsp[-5].ival);
					n->objtype = OBJECT_OPFAMILY;
					n->objname = (yyvsp[-2].list);
					n->objargs = list_make1(makeString((yyvsp[0].str)));
					(yyval.node) = (Node *)n;
				}
#line 23651 "gram.c" /* yacc.c:1646  */
    break;

  case 557:
#line 3741 "gram.y" /* yacc.c:1646  */
    {
					AlterExtensionContentsStmt *n = makeNode(AlterExtensionContentsStmt);
					n->extname = (yyvsp[-3].str);
					n->action = (yyvsp[-2].ival);
					n->objtype = OBJECT_SCHEMA;
					n->objname = list_make1(makeString((yyvsp[0].str)));
					(yyval.node) = (Node *)n;
				}
#line 23664 "gram.c" /* yacc.c:1646  */
    break;

  case 558:
#line 3750 "gram.y" /* yacc.c:1646  */
    {
					AlterExtensionContentsStmt *n = makeNode(AlterExtensionContentsStmt);
					n->extname = (yyvsp[-4].str);
					n->action = (yyvsp[-3].ival);
					n->objtype = OBJECT_EVENT_TRIGGER;
					n->objname = list_make1(makeString((yyvsp[0].str)));
					(yyval.node) = (Node *)n;
				}
#line 23677 "gram.c" /* yacc.c:1646  */
    break;

  case 559:
#line 3759 "gram.y" /* yacc.c:1646  */
    {
					AlterExtensionContentsStmt *n = makeNode(AlterExtensionContentsStmt);
					n->extname = (yyvsp[-3].str);
					n->action = (yyvsp[-2].ival);
					n->objtype = OBJECT_TABLE;
					n->objname = (yyvsp[0].list);
					(yyval.node) = (Node *)n;
				}
#line 23690 "gram.c" /* yacc.c:1646  */
    break;

  case 560:
#line 3768 "gram.y" /* yacc.c:1646  */
    {
					AlterExtensionContentsStmt *n = makeNode(AlterExtensionContentsStmt);
					n->extname = (yyvsp[-5].str);
					n->action = (yyvsp[-4].ival);
					n->objtype = OBJECT_TSPARSER;
					n->objname = (yyvsp[0].list);
					(yyval.node) = (Node *)n;
				}
#line 23703 "gram.c" /* yacc.c:1646  */
    break;

  case 561:
#line 3777 "gram.y" /* yacc.c:1646  */
    {
					AlterExtensionContentsStmt *n = makeNode(AlterExtensionContentsStmt);
					n->extname = (yyvsp[-5].str);
					n->action = (yyvsp[-4].ival);
					n->objtype = OBJECT_TSDICTIONARY;
					n->objname = (yyvsp[0].list);
					(yyval.node) = (Node *)n;
				}
#line 23716 "gram.c" /* yacc.c:1646  */
    break;

  case 562:
#line 3786 "gram.y" /* yacc.c:1646  */
    {
					AlterExtensionContentsStmt *n = makeNode(AlterExtensionContentsStmt);
					n->extname = (yyvsp[-5].str);
					n->action = (yyvsp[-4].ival);
					n->objtype = OBJECT_TSTEMPLATE;
					n->objname = (yyvsp[0].list);
					(yyval.node) = (Node *)n;
				}
#line 23729 "gram.c" /* yacc.c:1646  */
    break;

  case 563:
#line 3795 "gram.y" /* yacc.c:1646  */
    {
					AlterExtensionContentsStmt *n = makeNode(AlterExtensionContentsStmt);
					n->extname = (yyvsp[-5].str);
					n->action = (yyvsp[-4].ival);
					n->objtype = OBJECT_TSCONFIGURATION;
					n->objname = (yyvsp[0].list);
					(yyval.node) = (Node *)n;
				}
#line 23742 "gram.c" /* yacc.c:1646  */
    break;

  case 564:
#line 3804 "gram.y" /* yacc.c:1646  */
    {
					AlterExtensionContentsStmt *n = makeNode(AlterExtensionContentsStmt);
					n->extname = (yyvsp[-3].str);
					n->action = (yyvsp[-2].ival);
					n->objtype = OBJECT_SEQUENCE;
					n->objname = (yyvsp[0].list);
					(yyval.node) = (Node *)n;
				}
#line 23755 "gram.c" /* yacc.c:1646  */
    break;

  case 565:
#line 3813 "gram.y" /* yacc.c:1646  */
    {
					AlterExtensionContentsStmt *n = makeNode(AlterExtensionContentsStmt);
					n->extname = (yyvsp[-3].str);
					n->action = (yyvsp[-2].ival);
					n->objtype = OBJECT_VIEW;
					n->objname = (yyvsp[0].list);
					(yyval.node) = (Node *)n;
				}
#line 23768 "gram.c" /* yacc.c:1646  */
    break;

  case 566:
#line 3822 "gram.y" /* yacc.c:1646  */
    {
					AlterExtensionContentsStmt *n = makeNode(AlterExtensionContentsStmt);
					n->extname = (yyvsp[-4].str);
					n->action = (yyvsp[-3].ival);
					n->objtype = OBJECT_MATVIEW;
					n->objname = (yyvsp[0].list);
					(yyval.node) = (Node *)n;
				}
#line 23781 "gram.c" /* yacc.c:1646  */
    break;

  case 567:
#line 3831 "gram.y" /* yacc.c:1646  */
    {
					AlterExtensionContentsStmt *n = makeNode(AlterExtensionContentsStmt);
					n->extname = (yyvsp[-4].str);
					n->action = (yyvsp[-3].ival);
					n->objtype = OBJECT_FOREIGN_TABLE;
					n->objname = (yyvsp[0].list);
					(yyval.node) = (Node *)n;
				}
#line 23794 "gram.c" /* yacc.c:1646  */
    break;

  case 568:
#line 3840 "gram.y" /* yacc.c:1646  */
    {
					AlterExtensionContentsStmt *n = makeNode(AlterExtensionContentsStmt);
					n->extname = (yyvsp[-5].str);
					n->action = (yyvsp[-4].ival);
					n->objtype = OBJECT_FDW;
					n->objname = list_make1(makeString((yyvsp[0].str)));
					(yyval.node) = (Node *)n;
				}
#line 23807 "gram.c" /* yacc.c:1646  */
    break;

  case 569:
#line 3849 "gram.y" /* yacc.c:1646  */
    {
					AlterExtensionContentsStmt *n = makeNode(AlterExtensionContentsStmt);
					n->extname = (yyvsp[-3].str);
					n->action = (yyvsp[-2].ival);
					n->objtype = OBJECT_FOREIGN_SERVER;
					n->objname = list_make1(makeString((yyvsp[0].str)));
					(yyval.node) = (Node *)n;
				}
#line 23820 "gram.c" /* yacc.c:1646  */
    break;

  case 570:
#line 3858 "gram.y" /* yacc.c:1646  */
    {
					AlterExtensionContentsStmt *n = makeNode(AlterExtensionContentsStmt);
					n->extname = (yyvsp[-3].str);
					n->action = (yyvsp[-2].ival);
					n->objtype = OBJECT_TYPE;
					n->objname = (yyvsp[0].list);
					(yyval.node) = (Node *)n;
				}
#line 23833 "gram.c" /* yacc.c:1646  */
    break;

  case 571:
#line 3876 "gram.y" /* yacc.c:1646  */
    {
					CreateFdwStmt *n = makeNode(CreateFdwStmt);
					n->fdwname = (yyvsp[-2].str);
					n->func_options = (yyvsp[-1].list);
					n->options = (yyvsp[0].list);
					(yyval.node) = (Node *) n;
				}
#line 23845 "gram.c" /* yacc.c:1646  */
    break;

  case 572:
#line 3886 "gram.y" /* yacc.c:1646  */
    { (yyval.defelt) = makeDefElem("handler", (Node *)(yyvsp[0].list)); }
#line 23851 "gram.c" /* yacc.c:1646  */
    break;

  case 573:
#line 3887 "gram.y" /* yacc.c:1646  */
    { (yyval.defelt) = makeDefElem("handler", NULL); }
#line 23857 "gram.c" /* yacc.c:1646  */
    break;

  case 574:
#line 3888 "gram.y" /* yacc.c:1646  */
    { (yyval.defelt) = makeDefElem("validator", (Node *)(yyvsp[0].list)); }
#line 23863 "gram.c" /* yacc.c:1646  */
    break;

  case 575:
#line 3889 "gram.y" /* yacc.c:1646  */
    { (yyval.defelt) = makeDefElem("validator", NULL); }
#line 23869 "gram.c" /* yacc.c:1646  */
    break;

  case 576:
#line 3893 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].defelt)); }
#line 23875 "gram.c" /* yacc.c:1646  */
    break;

  case 577:
#line 3894 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-1].list), (yyvsp[0].defelt)); }
#line 23881 "gram.c" /* yacc.c:1646  */
    break;

  case 578:
#line 3898 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[0].list); }
#line 23887 "gram.c" /* yacc.c:1646  */
    break;

  case 579:
#line 3899 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 23893 "gram.c" /* yacc.c:1646  */
    break;

  case 580:
#line 3910 "gram.y" /* yacc.c:1646  */
    {
					DropStmt *n = makeNode(DropStmt);
					n->removeType = OBJECT_FDW;
					n->objects = list_make1(list_make1(makeString((yyvsp[-1].str))));
					n->arguments = NIL;
					n->missing_ok = false;
					n->behavior = (yyvsp[0].dbehavior);
					n->concurrent = false;
					(yyval.node) = (Node *) n;
				}
#line 23908 "gram.c" /* yacc.c:1646  */
    break;

  case 581:
#line 3921 "gram.y" /* yacc.c:1646  */
    {
					DropStmt *n = makeNode(DropStmt);
					n->removeType = OBJECT_FDW;
					n->objects = list_make1(list_make1(makeString((yyvsp[-1].str))));
					n->arguments = NIL;
					n->missing_ok = true;
					n->behavior = (yyvsp[0].dbehavior);
					n->concurrent = false;
					(yyval.node) = (Node *) n;
				}
#line 23923 "gram.c" /* yacc.c:1646  */
    break;

  case 582:
#line 3941 "gram.y" /* yacc.c:1646  */
    {
					AlterFdwStmt *n = makeNode(AlterFdwStmt);
					n->fdwname = (yyvsp[-2].str);
					n->func_options = (yyvsp[-1].list);
					n->options = (yyvsp[0].list);
					(yyval.node) = (Node *) n;
				}
#line 23935 "gram.c" /* yacc.c:1646  */
    break;

  case 583:
#line 3949 "gram.y" /* yacc.c:1646  */
    {
					AlterFdwStmt *n = makeNode(AlterFdwStmt);
					n->fdwname = (yyvsp[-1].str);
					n->func_options = (yyvsp[0].list);
					n->options = NIL;
					(yyval.node) = (Node *) n;
				}
#line 23947 "gram.c" /* yacc.c:1646  */
    break;

  case 584:
#line 3960 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[-1].list); }
#line 23953 "gram.c" /* yacc.c:1646  */
    break;

  case 585:
#line 3961 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 23959 "gram.c" /* yacc.c:1646  */
    break;

  case 586:
#line 3966 "gram.y" /* yacc.c:1646  */
    {
					(yyval.list) = list_make1((yyvsp[0].defelt));
				}
#line 23967 "gram.c" /* yacc.c:1646  */
    break;

  case 587:
#line 3970 "gram.y" /* yacc.c:1646  */
    {
					(yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].defelt));
				}
#line 23975 "gram.c" /* yacc.c:1646  */
    break;

  case 588:
#line 3977 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[-1].list); }
#line 23981 "gram.c" /* yacc.c:1646  */
    break;

  case 589:
#line 3982 "gram.y" /* yacc.c:1646  */
    {
					(yyval.list) = list_make1((yyvsp[0].defelt));
				}
#line 23989 "gram.c" /* yacc.c:1646  */
    break;

  case 590:
#line 3986 "gram.y" /* yacc.c:1646  */
    {
					(yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].defelt));
				}
#line 23997 "gram.c" /* yacc.c:1646  */
    break;

  case 591:
#line 3993 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = (yyvsp[0].defelt);
				}
#line 24005 "gram.c" /* yacc.c:1646  */
    break;

  case 592:
#line 3997 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = (yyvsp[0].defelt);
					(yyval.defelt)->defaction = DEFELEM_SET;
				}
#line 24014 "gram.c" /* yacc.c:1646  */
    break;

  case 593:
#line 4002 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = (yyvsp[0].defelt);
					(yyval.defelt)->defaction = DEFELEM_ADD;
				}
#line 24023 "gram.c" /* yacc.c:1646  */
    break;

  case 594:
#line 4007 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElemExtended(NULL, (yyvsp[0].str), NULL, DEFELEM_DROP);
				}
#line 24031 "gram.c" /* yacc.c:1646  */
    break;

  case 595:
#line 4014 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem((yyvsp[-1].str), (yyvsp[0].node));
				}
#line 24039 "gram.c" /* yacc.c:1646  */
    break;

  case 596:
#line 4020 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 24045 "gram.c" /* yacc.c:1646  */
    break;

  case 597:
#line 4025 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *) makeString((yyvsp[0].str)); }
#line 24051 "gram.c" /* yacc.c:1646  */
    break;

  case 598:
#line 4037 "gram.y" /* yacc.c:1646  */
    {
					CreateForeignServerStmt *n = makeNode(CreateForeignServerStmt);
					n->servername = (yyvsp[-7].str);
					n->servertype = (yyvsp[-6].str);
					n->version = (yyvsp[-5].str);
					n->fdwname = (yyvsp[-1].str);
					n->options = (yyvsp[0].list);
					(yyval.node) = (Node *) n;
				}
#line 24065 "gram.c" /* yacc.c:1646  */
    break;

  case 599:
#line 4049 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 24071 "gram.c" /* yacc.c:1646  */
    break;

  case 600:
#line 4050 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = NULL; }
#line 24077 "gram.c" /* yacc.c:1646  */
    break;

  case 601:
#line 4055 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 24083 "gram.c" /* yacc.c:1646  */
    break;

  case 602:
#line 4056 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = NULL; }
#line 24089 "gram.c" /* yacc.c:1646  */
    break;

  case 603:
#line 4060 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 24095 "gram.c" /* yacc.c:1646  */
    break;

  case 604:
#line 4061 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = NULL; }
#line 24101 "gram.c" /* yacc.c:1646  */
    break;

  case 605:
#line 4072 "gram.y" /* yacc.c:1646  */
    {
					DropStmt *n = makeNode(DropStmt);
					n->removeType = OBJECT_FOREIGN_SERVER;
					n->objects = list_make1(list_make1(makeString((yyvsp[-1].str))));
					n->arguments = NIL;
					n->missing_ok = false;
					n->behavior = (yyvsp[0].dbehavior);
					n->concurrent = false;
					(yyval.node) = (Node *) n;
				}
#line 24116 "gram.c" /* yacc.c:1646  */
    break;

  case 606:
#line 4083 "gram.y" /* yacc.c:1646  */
    {
					DropStmt *n = makeNode(DropStmt);
					n->removeType = OBJECT_FOREIGN_SERVER;
					n->objects = list_make1(list_make1(makeString((yyvsp[-1].str))));
					n->arguments = NIL;
					n->missing_ok = true;
					n->behavior = (yyvsp[0].dbehavior);
					n->concurrent = false;
					(yyval.node) = (Node *) n;
				}
#line 24131 "gram.c" /* yacc.c:1646  */
    break;

  case 607:
#line 4103 "gram.y" /* yacc.c:1646  */
    {
					AlterForeignServerStmt *n = makeNode(AlterForeignServerStmt);
					n->servername = (yyvsp[-2].str);
					n->version = (yyvsp[-1].str);
					n->options = (yyvsp[0].list);
					n->has_version = true;
					(yyval.node) = (Node *) n;
				}
#line 24144 "gram.c" /* yacc.c:1646  */
    break;

  case 608:
#line 4112 "gram.y" /* yacc.c:1646  */
    {
					AlterForeignServerStmt *n = makeNode(AlterForeignServerStmt);
					n->servername = (yyvsp[-1].str);
					n->version = (yyvsp[0].str);
					n->has_version = true;
					(yyval.node) = (Node *) n;
				}
#line 24156 "gram.c" /* yacc.c:1646  */
    break;

  case 609:
#line 4120 "gram.y" /* yacc.c:1646  */
    {
					AlterForeignServerStmt *n = makeNode(AlterForeignServerStmt);
					n->servername = (yyvsp[-1].str);
					n->options = (yyvsp[0].list);
					(yyval.node) = (Node *) n;
				}
#line 24167 "gram.c" /* yacc.c:1646  */
    break;

  case 610:
#line 4139 "gram.y" /* yacc.c:1646  */
    {
					CreateForeignTableStmt *n = makeNode(CreateForeignTableStmt);
					(yyvsp[-6].range)->relpersistence = RELPERSISTENCE_PERMANENT;
					n->base.relation = (yyvsp[-6].range);
					n->base.tableElts = (yyvsp[-4].list);
					n->base.inhRelations = NIL;
					n->base.if_not_exists = false;
					/* FDW-specific data */
					n->servername = (yyvsp[-1].str);
					n->options = (yyvsp[0].list);
					(yyval.node) = (Node *) n;
				}
#line 24184 "gram.c" /* yacc.c:1646  */
    break;

  case 611:
#line 4154 "gram.y" /* yacc.c:1646  */
    {
					CreateForeignTableStmt *n = makeNode(CreateForeignTableStmt);
					(yyvsp[-6].range)->relpersistence = RELPERSISTENCE_PERMANENT;
					n->base.relation = (yyvsp[-6].range);
					n->base.tableElts = (yyvsp[-4].list);
					n->base.inhRelations = NIL;
					n->base.if_not_exists = true;
					/* FDW-specific data */
					n->servername = (yyvsp[-1].str);
					n->options = (yyvsp[0].list);
					(yyval.node) = (Node *) n;
				}
#line 24201 "gram.c" /* yacc.c:1646  */
    break;

  case 612:
#line 4177 "gram.y" /* yacc.c:1646  */
    {
					AlterTableStmt *n = makeNode(AlterTableStmt);
					n->relation = (yyvsp[-1].range);
					n->cmds = (yyvsp[0].list);
					n->relkind = OBJECT_FOREIGN_TABLE;
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 24214 "gram.c" /* yacc.c:1646  */
    break;

  case 613:
#line 4186 "gram.y" /* yacc.c:1646  */
    {
					AlterTableStmt *n = makeNode(AlterTableStmt);
					n->relation = (yyvsp[-1].range);
					n->cmds = (yyvsp[0].list);
					n->relkind = OBJECT_FOREIGN_TABLE;
					n->missing_ok = true;
					(yyval.node) = (Node *)n;
				}
#line 24227 "gram.c" /* yacc.c:1646  */
    break;

  case 614:
#line 4204 "gram.y" /* yacc.c:1646  */
    {
					CreateUserMappingStmt *n = makeNode(CreateUserMappingStmt);
					n->username = (yyvsp[-3].str);
					n->servername = (yyvsp[-1].str);
					n->options = (yyvsp[0].list);
					(yyval.node) = (Node *) n;
				}
#line 24239 "gram.c" /* yacc.c:1646  */
    break;

  case 615:
#line 4215 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = "current_user"; }
#line 24245 "gram.c" /* yacc.c:1646  */
    break;

  case 616:
#line 4216 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = "current_user"; }
#line 24251 "gram.c" /* yacc.c:1646  */
    break;

  case 617:
#line 4217 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = (strcmp((yyvsp[0].str), "public") == 0) ? NULL : (yyvsp[0].str); }
#line 24257 "gram.c" /* yacc.c:1646  */
    break;

  case 618:
#line 4228 "gram.y" /* yacc.c:1646  */
    {
					DropUserMappingStmt *n = makeNode(DropUserMappingStmt);
					n->username = (yyvsp[-2].str);
					n->servername = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *) n;
				}
#line 24269 "gram.c" /* yacc.c:1646  */
    break;

  case 619:
#line 4236 "gram.y" /* yacc.c:1646  */
    {
					DropUserMappingStmt *n = makeNode(DropUserMappingStmt);
					n->username = (yyvsp[-2].str);
					n->servername = (yyvsp[0].str);
					n->missing_ok = true;
					(yyval.node) = (Node *) n;
				}
#line 24281 "gram.c" /* yacc.c:1646  */
    break;

  case 620:
#line 4253 "gram.y" /* yacc.c:1646  */
    {
					AlterUserMappingStmt *n = makeNode(AlterUserMappingStmt);
					n->username = (yyvsp[-3].str);
					n->servername = (yyvsp[-1].str);
					n->options = (yyvsp[0].list);
					(yyval.node) = (Node *) n;
				}
#line 24293 "gram.c" /* yacc.c:1646  */
    break;

  case 621:
#line 4274 "gram.y" /* yacc.c:1646  */
    {
					CreateTrigStmt *n = makeNode(CreateTrigStmt);
					n->trigname = (yyvsp[-12].str);
					n->relation = (yyvsp[-8].range);
					n->funcname = (yyvsp[-3].list);
					n->args = (yyvsp[-1].list);
					n->row = (yyvsp[-7].boolean);
					n->timing = (yyvsp[-11].ival);
					n->events = intVal(linitial((yyvsp[-10].list)));
					n->columns = (List *) lsecond((yyvsp[-10].list));
					n->whenClause = (yyvsp[-6].node);
					n->isconstraint  = FALSE;
					n->deferrable	 = FALSE;
					n->initdeferred  = FALSE;
					n->constrrel = NULL;
					(yyval.node) = (Node *)n;
				}
#line 24315 "gram.c" /* yacc.c:1646  */
    break;

  case 622:
#line 4295 "gram.y" /* yacc.c:1646  */
    {
					CreateTrigStmt *n = makeNode(CreateTrigStmt);
					n->trigname = (yyvsp[-16].str);
					n->relation = (yyvsp[-12].range);
					n->funcname = (yyvsp[-3].list);
					n->args = (yyvsp[-1].list);
					n->row = TRUE;
					n->timing = TRIGGER_TYPE_AFTER;
					n->events = intVal(linitial((yyvsp[-14].list)));
					n->columns = (List *) lsecond((yyvsp[-14].list));
					n->whenClause = (yyvsp[-6].node);
					n->isconstraint  = TRUE;
					processCASbits((yyvsp[-10].ival), (yylsp[-10]), "TRIGGER",
								   &n->deferrable, &n->initdeferred, NULL,
								   NULL, yyscanner);
					n->constrrel = (yyvsp[-11].range);
					(yyval.node) = (Node *)n;
				}
#line 24338 "gram.c" /* yacc.c:1646  */
    break;

  case 623:
#line 4316 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = TRIGGER_TYPE_BEFORE; }
#line 24344 "gram.c" /* yacc.c:1646  */
    break;

  case 624:
#line 4317 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = TRIGGER_TYPE_AFTER; }
#line 24350 "gram.c" /* yacc.c:1646  */
    break;

  case 625:
#line 4318 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = TRIGGER_TYPE_INSTEAD; }
#line 24356 "gram.c" /* yacc.c:1646  */
    break;

  case 626:
#line 4323 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[0].list); }
#line 24362 "gram.c" /* yacc.c:1646  */
    break;

  case 627:
#line 4325 "gram.y" /* yacc.c:1646  */
    {
					int		events1 = intVal(linitial((yyvsp[-2].list)));
					int		events2 = intVal(linitial((yyvsp[0].list)));
					List   *columns1 = (List *) lsecond((yyvsp[-2].list));
					List   *columns2 = (List *) lsecond((yyvsp[0].list));

					if (events1 & events2)
						parser_yyerror("duplicate trigger events specified");
					/*
					 * concat'ing the columns lists loses information about
					 * which columns went with which event, but so long as
					 * only UPDATE carries columns and we disallow multiple
					 * UPDATE items, it doesn't matter.  Command execution
					 * should just ignore the columns for non-UPDATE events.
					 */
					(yyval.list) = list_make2(makeInteger(events1 | events2),
									list_concat(columns1, columns2));
				}
#line 24385 "gram.c" /* yacc.c:1646  */
    break;

  case 628:
#line 4347 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make2(makeInteger(TRIGGER_TYPE_INSERT), NIL); }
#line 24391 "gram.c" /* yacc.c:1646  */
    break;

  case 629:
#line 4349 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make2(makeInteger(TRIGGER_TYPE_DELETE), NIL); }
#line 24397 "gram.c" /* yacc.c:1646  */
    break;

  case 630:
#line 4351 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make2(makeInteger(TRIGGER_TYPE_UPDATE), NIL); }
#line 24403 "gram.c" /* yacc.c:1646  */
    break;

  case 631:
#line 4353 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make2(makeInteger(TRIGGER_TYPE_UPDATE), (yyvsp[0].list)); }
#line 24409 "gram.c" /* yacc.c:1646  */
    break;

  case 632:
#line 4355 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make2(makeInteger(TRIGGER_TYPE_TRUNCATE), NIL); }
#line 24415 "gram.c" /* yacc.c:1646  */
    break;

  case 633:
#line 4360 "gram.y" /* yacc.c:1646  */
    {
					(yyval.boolean) = (yyvsp[0].boolean);
				}
#line 24423 "gram.c" /* yacc.c:1646  */
    break;

  case 634:
#line 4364 "gram.y" /* yacc.c:1646  */
    {
					/*
					 * If ROW/STATEMENT not specified, default to
					 * STATEMENT, per SQL
					 */
					(yyval.boolean) = FALSE;
				}
#line 24435 "gram.c" /* yacc.c:1646  */
    break;

  case 635:
#line 4374 "gram.y" /* yacc.c:1646  */
    {}
#line 24441 "gram.c" /* yacc.c:1646  */
    break;

  case 636:
#line 4375 "gram.y" /* yacc.c:1646  */
    {}
#line 24447 "gram.c" /* yacc.c:1646  */
    break;

  case 637:
#line 4379 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = TRUE; }
#line 24453 "gram.c" /* yacc.c:1646  */
    break;

  case 638:
#line 4380 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = FALSE; }
#line 24459 "gram.c" /* yacc.c:1646  */
    break;

  case 639:
#line 4384 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[-1].node); }
#line 24465 "gram.c" /* yacc.c:1646  */
    break;

  case 640:
#line 4385 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = NULL; }
#line 24471 "gram.c" /* yacc.c:1646  */
    break;

  case 641:
#line 4389 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].value)); }
#line 24477 "gram.c" /* yacc.c:1646  */
    break;

  case 642:
#line 4390 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].value)); }
#line 24483 "gram.c" /* yacc.c:1646  */
    break;

  case 643:
#line 4391 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 24489 "gram.c" /* yacc.c:1646  */
    break;

  case 644:
#line 4396 "gram.y" /* yacc.c:1646  */
    {
					char buf[64];
					snprintf(buf, sizeof(buf), "%d", (yyvsp[0].ival));
					(yyval.value) = makeString(pstrdup(buf));
				}
#line 24499 "gram.c" /* yacc.c:1646  */
    break;

  case 645:
#line 4401 "gram.y" /* yacc.c:1646  */
    { (yyval.value) = makeString((yyvsp[0].str)); }
#line 24505 "gram.c" /* yacc.c:1646  */
    break;

  case 646:
#line 4402 "gram.y" /* yacc.c:1646  */
    { (yyval.value) = makeString((yyvsp[0].str)); }
#line 24511 "gram.c" /* yacc.c:1646  */
    break;

  case 647:
#line 4403 "gram.y" /* yacc.c:1646  */
    { (yyval.value) = makeString((yyvsp[0].str)); }
#line 24517 "gram.c" /* yacc.c:1646  */
    break;

  case 648:
#line 4407 "gram.y" /* yacc.c:1646  */
    { (yyval.range) = (yyvsp[0].range); }
#line 24523 "gram.c" /* yacc.c:1646  */
    break;

  case 649:
#line 4408 "gram.y" /* yacc.c:1646  */
    { (yyval.range) = NULL; }
#line 24529 "gram.c" /* yacc.c:1646  */
    break;

  case 650:
#line 4413 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = 0; }
#line 24535 "gram.c" /* yacc.c:1646  */
    break;

  case 651:
#line 4415 "gram.y" /* yacc.c:1646  */
    {
					/*
					 * We must complain about conflicting options.
					 * We could, but choose not to, complain about redundant
					 * options (ie, where $2's bit is already set in $1).
					 */
					int		newspec = (yyvsp[-1].ival) | (yyvsp[0].ival);

					/* special message for this case */
					if ((newspec & (CAS_NOT_DEFERRABLE | CAS_INITIALLY_DEFERRED)) == (CAS_NOT_DEFERRABLE | CAS_INITIALLY_DEFERRED))
						ereport(ERROR,
								(errcode(ERRCODE_SYNTAX_ERROR),
								 errmsg("constraint declared INITIALLY DEFERRED must be DEFERRABLE"),
								 parser_errposition((yylsp[0]))));
					/* generic message for other conflicts */
					if ((newspec & (CAS_NOT_DEFERRABLE | CAS_DEFERRABLE)) == (CAS_NOT_DEFERRABLE | CAS_DEFERRABLE) ||
						(newspec & (CAS_INITIALLY_IMMEDIATE | CAS_INITIALLY_DEFERRED)) == (CAS_INITIALLY_IMMEDIATE | CAS_INITIALLY_DEFERRED))
						ereport(ERROR,
								(errcode(ERRCODE_SYNTAX_ERROR),
								 errmsg("conflicting constraint properties"),
								 parser_errposition((yylsp[0]))));
					(yyval.ival) = newspec;
				}
#line 24563 "gram.c" /* yacc.c:1646  */
    break;

  case 652:
#line 4441 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = CAS_NOT_DEFERRABLE; }
#line 24569 "gram.c" /* yacc.c:1646  */
    break;

  case 653:
#line 4442 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = CAS_DEFERRABLE; }
#line 24575 "gram.c" /* yacc.c:1646  */
    break;

  case 654:
#line 4443 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = CAS_INITIALLY_IMMEDIATE; }
#line 24581 "gram.c" /* yacc.c:1646  */
    break;

  case 655:
#line 4444 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = CAS_INITIALLY_DEFERRED; }
#line 24587 "gram.c" /* yacc.c:1646  */
    break;

  case 656:
#line 4445 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = CAS_NOT_VALID; }
#line 24593 "gram.c" /* yacc.c:1646  */
    break;

  case 657:
#line 4446 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = CAS_NO_INHERIT; }
#line 24599 "gram.c" /* yacc.c:1646  */
    break;

  case 658:
#line 4452 "gram.y" /* yacc.c:1646  */
    {
					DropStmt *n = makeNode(DropStmt);
					n->removeType = OBJECT_TRIGGER;
					n->objects = list_make1(lappend((yyvsp[-1].list), makeString((yyvsp[-3].str))));
					n->arguments = NIL;
					n->behavior = (yyvsp[0].dbehavior);
					n->missing_ok = false;
					n->concurrent = false;
					(yyval.node) = (Node *) n;
				}
#line 24614 "gram.c" /* yacc.c:1646  */
    break;

  case 659:
#line 4463 "gram.y" /* yacc.c:1646  */
    {
					DropStmt *n = makeNode(DropStmt);
					n->removeType = OBJECT_TRIGGER;
					n->objects = list_make1(lappend((yyvsp[-1].list), makeString((yyvsp[-3].str))));
					n->arguments = NIL;
					n->behavior = (yyvsp[0].dbehavior);
					n->missing_ok = true;
					n->concurrent = false;
					(yyval.node) = (Node *) n;
				}
#line 24629 "gram.c" /* yacc.c:1646  */
    break;

  case 660:
#line 4487 "gram.y" /* yacc.c:1646  */
    {
					CreateEventTrigStmt *n = makeNode(CreateEventTrigStmt);
					n->trigname = (yyvsp[-7].str);
					n->eventname = (yyvsp[-5].str);
					n->whenclause = NULL;
					n->funcname = (yyvsp[-2].list);
					(yyval.node) = (Node *)n;
				}
#line 24642 "gram.c" /* yacc.c:1646  */
    break;

  case 661:
#line 4498 "gram.y" /* yacc.c:1646  */
    {
					CreateEventTrigStmt *n = makeNode(CreateEventTrigStmt);
					n->trigname = (yyvsp[-9].str);
					n->eventname = (yyvsp[-7].str);
					n->whenclause = (yyvsp[-5].list);
					n->funcname = (yyvsp[-2].list);
					(yyval.node) = (Node *)n;
				}
#line 24655 "gram.c" /* yacc.c:1646  */
    break;

  case 662:
#line 4510 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].defelt)); }
#line 24661 "gram.c" /* yacc.c:1646  */
    break;

  case 663:
#line 4512 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].defelt)); }
#line 24667 "gram.c" /* yacc.c:1646  */
    break;

  case 664:
#line 4517 "gram.y" /* yacc.c:1646  */
    { (yyval.defelt) = makeDefElem((yyvsp[-4].str), (Node *) (yyvsp[-1].list)); }
#line 24673 "gram.c" /* yacc.c:1646  */
    break;

  case 665:
#line 4522 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1(makeString((yyvsp[0].str))); }
#line 24679 "gram.c" /* yacc.c:1646  */
    break;

  case 666:
#line 4524 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-2].list), makeString((yyvsp[0].str))); }
#line 24685 "gram.c" /* yacc.c:1646  */
    break;

  case 667:
#line 4529 "gram.y" /* yacc.c:1646  */
    {
					AlterEventTrigStmt *n = makeNode(AlterEventTrigStmt);
					n->trigname = (yyvsp[-1].str);
					n->tgenabled = (yyvsp[0].chr);
					(yyval.node) = (Node *) n;
				}
#line 24696 "gram.c" /* yacc.c:1646  */
    break;

  case 668:
#line 4538 "gram.y" /* yacc.c:1646  */
    { (yyval.chr) = TRIGGER_FIRES_ON_ORIGIN; }
#line 24702 "gram.c" /* yacc.c:1646  */
    break;

  case 669:
#line 4539 "gram.y" /* yacc.c:1646  */
    { (yyval.chr) = TRIGGER_FIRES_ON_REPLICA; }
#line 24708 "gram.c" /* yacc.c:1646  */
    break;

  case 670:
#line 4540 "gram.y" /* yacc.c:1646  */
    { (yyval.chr) = TRIGGER_FIRES_ALWAYS; }
#line 24714 "gram.c" /* yacc.c:1646  */
    break;

  case 671:
#line 4541 "gram.y" /* yacc.c:1646  */
    { (yyval.chr) = TRIGGER_DISABLED; }
#line 24720 "gram.c" /* yacc.c:1646  */
    break;

  case 672:
#line 4555 "gram.y" /* yacc.c:1646  */
    {
					CreateTrigStmt *n = makeNode(CreateTrigStmt);
					n->trigname = (yyvsp[-5].str);
					n->args = list_make1((yyvsp[-2].node));
					n->isconstraint  = TRUE;
					processCASbits((yyvsp[0].ival), (yylsp[0]), "ASSERTION",
								   &n->deferrable, &n->initdeferred, NULL,
								   NULL, yyscanner);

					ereport(ERROR,
							(errcode(ERRCODE_FEATURE_NOT_SUPPORTED),
							 errmsg("CREATE ASSERTION is not yet implemented")));

					(yyval.node) = (Node *)n;
				}
#line 24740 "gram.c" /* yacc.c:1646  */
    break;

  case 673:
#line 4574 "gram.y" /* yacc.c:1646  */
    {
					DropStmt *n = makeNode(DropStmt);
					n->objects = NIL;
					n->arguments = NIL;
					n->behavior = (yyvsp[0].dbehavior);
					n->removeType = OBJECT_TRIGGER; /* XXX */
					ereport(ERROR,
							(errcode(ERRCODE_FEATURE_NOT_SUPPORTED),
							 errmsg("DROP ASSERTION is not yet implemented")));
					(yyval.node) = (Node *) n;
				}
#line 24756 "gram.c" /* yacc.c:1646  */
    break;

  case 674:
#line 4597 "gram.y" /* yacc.c:1646  */
    {
					DefineStmt *n = makeNode(DefineStmt);
					n->kind = OBJECT_AGGREGATE;
					n->oldstyle = false;
					n->defnames = (yyvsp[-2].list);
					n->args = (yyvsp[-1].list);
					n->definition = (yyvsp[0].list);
					(yyval.node) = (Node *)n;
				}
#line 24770 "gram.c" /* yacc.c:1646  */
    break;

  case 675:
#line 4607 "gram.y" /* yacc.c:1646  */
    {
					/* old-style (pre-8.2) syntax for CREATE AGGREGATE */
					DefineStmt *n = makeNode(DefineStmt);
					n->kind = OBJECT_AGGREGATE;
					n->oldstyle = true;
					n->defnames = (yyvsp[-1].list);
					n->args = NIL;
					n->definition = (yyvsp[0].list);
					(yyval.node) = (Node *)n;
				}
#line 24785 "gram.c" /* yacc.c:1646  */
    break;

  case 676:
#line 4618 "gram.y" /* yacc.c:1646  */
    {
					DefineStmt *n = makeNode(DefineStmt);
					n->kind = OBJECT_OPERATOR;
					n->oldstyle = false;
					n->defnames = (yyvsp[-1].list);
					n->args = NIL;
					n->definition = (yyvsp[0].list);
					(yyval.node) = (Node *)n;
				}
#line 24799 "gram.c" /* yacc.c:1646  */
    break;

  case 677:
#line 4628 "gram.y" /* yacc.c:1646  */
    {
					DefineStmt *n = makeNode(DefineStmt);
					n->kind = OBJECT_TYPE;
					n->oldstyle = false;
					n->defnames = (yyvsp[-1].list);
					n->args = NIL;
					n->definition = (yyvsp[0].list);
					(yyval.node) = (Node *)n;
				}
#line 24813 "gram.c" /* yacc.c:1646  */
    break;

  case 678:
#line 4638 "gram.y" /* yacc.c:1646  */
    {
					/* Shell type (identified by lack of definition) */
					DefineStmt *n = makeNode(DefineStmt);
					n->kind = OBJECT_TYPE;
					n->oldstyle = false;
					n->defnames = (yyvsp[0].list);
					n->args = NIL;
					n->definition = NIL;
					(yyval.node) = (Node *)n;
				}
#line 24828 "gram.c" /* yacc.c:1646  */
    break;

  case 679:
#line 4649 "gram.y" /* yacc.c:1646  */
    {
					CompositeTypeStmt *n = makeNode(CompositeTypeStmt);

					/* can't use qualified_name, sigh */
					n->typevar = makeRangeVarFromAnyName((yyvsp[-4].list), (yylsp[-4]), yyscanner);
					n->coldeflist = (yyvsp[-1].list);
					(yyval.node) = (Node *)n;
				}
#line 24841 "gram.c" /* yacc.c:1646  */
    break;

  case 680:
#line 4658 "gram.y" /* yacc.c:1646  */
    {
					CreateEnumStmt *n = makeNode(CreateEnumStmt);
					n->typeName = (yyvsp[-5].list);
					n->vals = (yyvsp[-1].list);
					(yyval.node) = (Node *)n;
				}
#line 24852 "gram.c" /* yacc.c:1646  */
    break;

  case 681:
#line 4665 "gram.y" /* yacc.c:1646  */
    {
					CreateRangeStmt *n = makeNode(CreateRangeStmt);
					n->typeName = (yyvsp[-3].list);
					n->params	= (yyvsp[0].list);
					(yyval.node) = (Node *)n;
				}
#line 24863 "gram.c" /* yacc.c:1646  */
    break;

  case 682:
#line 4672 "gram.y" /* yacc.c:1646  */
    {
					DefineStmt *n = makeNode(DefineStmt);
					n->kind = OBJECT_TSPARSER;
					n->args = NIL;
					n->defnames = (yyvsp[-1].list);
					n->definition = (yyvsp[0].list);
					(yyval.node) = (Node *)n;
				}
#line 24876 "gram.c" /* yacc.c:1646  */
    break;

  case 683:
#line 4681 "gram.y" /* yacc.c:1646  */
    {
					DefineStmt *n = makeNode(DefineStmt);
					n->kind = OBJECT_TSDICTIONARY;
					n->args = NIL;
					n->defnames = (yyvsp[-1].list);
					n->definition = (yyvsp[0].list);
					(yyval.node) = (Node *)n;
				}
#line 24889 "gram.c" /* yacc.c:1646  */
    break;

  case 684:
#line 4690 "gram.y" /* yacc.c:1646  */
    {
					DefineStmt *n = makeNode(DefineStmt);
					n->kind = OBJECT_TSTEMPLATE;
					n->args = NIL;
					n->defnames = (yyvsp[-1].list);
					n->definition = (yyvsp[0].list);
					(yyval.node) = (Node *)n;
				}
#line 24902 "gram.c" /* yacc.c:1646  */
    break;

  case 685:
#line 4699 "gram.y" /* yacc.c:1646  */
    {
					DefineStmt *n = makeNode(DefineStmt);
					n->kind = OBJECT_TSCONFIGURATION;
					n->args = NIL;
					n->defnames = (yyvsp[-1].list);
					n->definition = (yyvsp[0].list);
					(yyval.node) = (Node *)n;
				}
#line 24915 "gram.c" /* yacc.c:1646  */
    break;

  case 686:
#line 4708 "gram.y" /* yacc.c:1646  */
    {
					DefineStmt *n = makeNode(DefineStmt);
					n->kind = OBJECT_COLLATION;
					n->args = NIL;
					n->defnames = (yyvsp[-1].list);
					n->definition = (yyvsp[0].list);
					(yyval.node) = (Node *)n;
				}
#line 24928 "gram.c" /* yacc.c:1646  */
    break;

  case 687:
#line 4717 "gram.y" /* yacc.c:1646  */
    {
					DefineStmt *n = makeNode(DefineStmt);
					n->kind = OBJECT_COLLATION;
					n->args = NIL;
					n->defnames = (yyvsp[-2].list);
					n->definition = list_make1(makeDefElem("from", (Node *) (yyvsp[0].list)));
					(yyval.node) = (Node *)n;
				}
#line 24941 "gram.c" /* yacc.c:1646  */
    break;

  case 688:
#line 4727 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[-1].list); }
#line 24947 "gram.c" /* yacc.c:1646  */
    break;

  case 689:
#line 4730 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].defelt)); }
#line 24953 "gram.c" /* yacc.c:1646  */
    break;

  case 690:
#line 4731 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].defelt)); }
#line 24959 "gram.c" /* yacc.c:1646  */
    break;

  case 691:
#line 4735 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem((yyvsp[-2].str), (Node *) (yyvsp[0].node));
				}
#line 24967 "gram.c" /* yacc.c:1646  */
    break;

  case 692:
#line 4739 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem((yyvsp[0].str), NULL);
				}
#line 24975 "gram.c" /* yacc.c:1646  */
    break;

  case 693:
#line 4745 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *)(yyvsp[0].typnam); }
#line 24981 "gram.c" /* yacc.c:1646  */
    break;

  case 694:
#line 4746 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *)makeString(pstrdup((yyvsp[0].keyword))); }
#line 24987 "gram.c" /* yacc.c:1646  */
    break;

  case 695:
#line 4747 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *)(yyvsp[0].list); }
#line 24993 "gram.c" /* yacc.c:1646  */
    break;

  case 696:
#line 4748 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *)(yyvsp[0].value); }
#line 24999 "gram.c" /* yacc.c:1646  */
    break;

  case 697:
#line 4749 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *)makeString((yyvsp[0].str)); }
#line 25005 "gram.c" /* yacc.c:1646  */
    break;

  case 698:
#line 4752 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[-1].list); }
#line 25011 "gram.c" /* yacc.c:1646  */
    break;

  case 699:
#line 4753 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 25017 "gram.c" /* yacc.c:1646  */
    break;

  case 700:
#line 4756 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[-1].list); }
#line 25023 "gram.c" /* yacc.c:1646  */
    break;

  case 701:
#line 4759 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].defelt)); }
#line 25029 "gram.c" /* yacc.c:1646  */
    break;

  case 702:
#line 4760 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].defelt)); }
#line 25035 "gram.c" /* yacc.c:1646  */
    break;

  case 703:
#line 4769 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem((yyvsp[-2].str), (Node *)(yyvsp[0].node));
				}
#line 25043 "gram.c" /* yacc.c:1646  */
    break;

  case 704:
#line 4775 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[0].list); }
#line 25049 "gram.c" /* yacc.c:1646  */
    break;

  case 705:
#line 4776 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 25055 "gram.c" /* yacc.c:1646  */
    break;

  case 706:
#line 4780 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1(makeString((yyvsp[0].str))); }
#line 25061 "gram.c" /* yacc.c:1646  */
    break;

  case 707:
#line 4782 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-2].list), makeString((yyvsp[0].str))); }
#line 25067 "gram.c" /* yacc.c:1646  */
    break;

  case 708:
#line 4793 "gram.y" /* yacc.c:1646  */
    {
				AlterEnumStmt *n = makeNode(AlterEnumStmt);
				n->typeName = (yyvsp[-4].list);
				n->newVal = (yyvsp[0].str);
				n->newValNeighbor = NULL;
				n->newValIsAfter = true;
				n->skipIfExists = (yyvsp[-1].boolean);
				(yyval.node) = (Node *) n;
			}
#line 25081 "gram.c" /* yacc.c:1646  */
    break;

  case 709:
#line 4803 "gram.y" /* yacc.c:1646  */
    {
				AlterEnumStmt *n = makeNode(AlterEnumStmt);
				n->typeName = (yyvsp[-6].list);
				n->newVal = (yyvsp[-2].str);
				n->newValNeighbor = (yyvsp[0].str);
				n->newValIsAfter = false;
				n->skipIfExists = (yyvsp[-3].boolean);
				(yyval.node) = (Node *) n;
			}
#line 25095 "gram.c" /* yacc.c:1646  */
    break;

  case 710:
#line 4813 "gram.y" /* yacc.c:1646  */
    {
				AlterEnumStmt *n = makeNode(AlterEnumStmt);
				n->typeName = (yyvsp[-6].list);
				n->newVal = (yyvsp[-2].str);
				n->newValNeighbor = (yyvsp[0].str);
				n->newValIsAfter = true;
				n->skipIfExists = (yyvsp[-3].boolean);
				(yyval.node) = (Node *) n;
			}
#line 25109 "gram.c" /* yacc.c:1646  */
    break;

  case 711:
#line 4824 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = true; }
#line 25115 "gram.c" /* yacc.c:1646  */
    break;

  case 712:
#line 4825 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = false; }
#line 25121 "gram.c" /* yacc.c:1646  */
    break;

  case 713:
#line 4843 "gram.y" /* yacc.c:1646  */
    {
					CreateOpClassStmt *n = makeNode(CreateOpClassStmt);
					n->opclassname = (yyvsp[-9].list);
					n->isDefault = (yyvsp[-8].boolean);
					n->datatype = (yyvsp[-5].typnam);
					n->amname = (yyvsp[-3].str);
					n->opfamilyname = (yyvsp[-2].list);
					n->items = (yyvsp[0].list);
					(yyval.node) = (Node *) n;
				}
#line 25136 "gram.c" /* yacc.c:1646  */
    break;

  case 714:
#line 4856 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].node)); }
#line 25142 "gram.c" /* yacc.c:1646  */
    break;

  case 715:
#line 4857 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].node)); }
#line 25148 "gram.c" /* yacc.c:1646  */
    break;

  case 716:
#line 4862 "gram.y" /* yacc.c:1646  */
    {
					CreateOpClassItem *n = makeNode(CreateOpClassItem);
					n->itemtype = OPCLASS_ITEM_OPERATOR;
					n->name = (yyvsp[-2].list);
					n->args = NIL;
					n->number = (yyvsp[-3].ival);
					n->order_family = (yyvsp[-1].list);
					(yyval.node) = (Node *) n;
				}
#line 25162 "gram.c" /* yacc.c:1646  */
    break;

  case 717:
#line 4873 "gram.y" /* yacc.c:1646  */
    {
					CreateOpClassItem *n = makeNode(CreateOpClassItem);
					n->itemtype = OPCLASS_ITEM_OPERATOR;
					n->name = (yyvsp[-3].list);
					n->args = (yyvsp[-2].list);
					n->number = (yyvsp[-4].ival);
					n->order_family = (yyvsp[-1].list);
					(yyval.node) = (Node *) n;
				}
#line 25176 "gram.c" /* yacc.c:1646  */
    break;

  case 718:
#line 4883 "gram.y" /* yacc.c:1646  */
    {
					CreateOpClassItem *n = makeNode(CreateOpClassItem);
					n->itemtype = OPCLASS_ITEM_FUNCTION;
					n->name = (yyvsp[-1].list);
					n->args = extractArgTypes((yyvsp[0].list));
					n->number = (yyvsp[-2].ival);
					(yyval.node) = (Node *) n;
				}
#line 25189 "gram.c" /* yacc.c:1646  */
    break;

  case 719:
#line 4892 "gram.y" /* yacc.c:1646  */
    {
					CreateOpClassItem *n = makeNode(CreateOpClassItem);
					n->itemtype = OPCLASS_ITEM_FUNCTION;
					n->name = (yyvsp[-1].list);
					n->args = extractArgTypes((yyvsp[0].list));
					n->number = (yyvsp[-5].ival);
					n->class_args = (yyvsp[-3].list);
					(yyval.node) = (Node *) n;
				}
#line 25203 "gram.c" /* yacc.c:1646  */
    break;

  case 720:
#line 4902 "gram.y" /* yacc.c:1646  */
    {
					CreateOpClassItem *n = makeNode(CreateOpClassItem);
					n->itemtype = OPCLASS_ITEM_STORAGETYPE;
					n->storedtype = (yyvsp[0].typnam);
					(yyval.node) = (Node *) n;
				}
#line 25214 "gram.c" /* yacc.c:1646  */
    break;

  case 721:
#line 4910 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = TRUE; }
#line 25220 "gram.c" /* yacc.c:1646  */
    break;

  case 722:
#line 4911 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = FALSE; }
#line 25226 "gram.c" /* yacc.c:1646  */
    break;

  case 723:
#line 4914 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[0].list); }
#line 25232 "gram.c" /* yacc.c:1646  */
    break;

  case 724:
#line 4915 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 25238 "gram.c" /* yacc.c:1646  */
    break;

  case 725:
#line 4918 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 25244 "gram.c" /* yacc.c:1646  */
    break;

  case 726:
#line 4919 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[0].list); }
#line 25250 "gram.c" /* yacc.c:1646  */
    break;

  case 727:
#line 4920 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 25256 "gram.c" /* yacc.c:1646  */
    break;

  case 728:
#line 4924 "gram.y" /* yacc.c:1646  */
    {
					/*
					 * RECHECK no longer does anything in opclass definitions,
					 * but we still accept it to ease porting of old database
					 * dumps.
					 */
					ereport(NOTICE,
							(errcode(ERRCODE_FEATURE_NOT_SUPPORTED),
							 errmsg("RECHECK is no longer required"),
							 errhint("Update your data type."),
							 parser_errposition((yylsp[0]))));
					(yyval.boolean) = TRUE;
				}
#line 25274 "gram.c" /* yacc.c:1646  */
    break;

  case 729:
#line 4937 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = FALSE; }
#line 25280 "gram.c" /* yacc.c:1646  */
    break;

  case 730:
#line 4943 "gram.y" /* yacc.c:1646  */
    {
					CreateOpFamilyStmt *n = makeNode(CreateOpFamilyStmt);
					n->opfamilyname = (yyvsp[-2].list);
					n->amname = (yyvsp[0].str);
					(yyval.node) = (Node *) n;
				}
#line 25291 "gram.c" /* yacc.c:1646  */
    break;

  case 731:
#line 4953 "gram.y" /* yacc.c:1646  */
    {
					AlterOpFamilyStmt *n = makeNode(AlterOpFamilyStmt);
					n->opfamilyname = (yyvsp[-4].list);
					n->amname = (yyvsp[-2].str);
					n->isDrop = false;
					n->items = (yyvsp[0].list);
					(yyval.node) = (Node *) n;
				}
#line 25304 "gram.c" /* yacc.c:1646  */
    break;

  case 732:
#line 4962 "gram.y" /* yacc.c:1646  */
    {
					AlterOpFamilyStmt *n = makeNode(AlterOpFamilyStmt);
					n->opfamilyname = (yyvsp[-4].list);
					n->amname = (yyvsp[-2].str);
					n->isDrop = true;
					n->items = (yyvsp[0].list);
					(yyval.node) = (Node *) n;
				}
#line 25317 "gram.c" /* yacc.c:1646  */
    break;

  case 733:
#line 4973 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].node)); }
#line 25323 "gram.c" /* yacc.c:1646  */
    break;

  case 734:
#line 4974 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].node)); }
#line 25329 "gram.c" /* yacc.c:1646  */
    break;

  case 735:
#line 4979 "gram.y" /* yacc.c:1646  */
    {
					CreateOpClassItem *n = makeNode(CreateOpClassItem);
					n->itemtype = OPCLASS_ITEM_OPERATOR;
					n->number = (yyvsp[-3].ival);
					n->args = (yyvsp[-1].list);
					(yyval.node) = (Node *) n;
				}
#line 25341 "gram.c" /* yacc.c:1646  */
    break;

  case 736:
#line 4987 "gram.y" /* yacc.c:1646  */
    {
					CreateOpClassItem *n = makeNode(CreateOpClassItem);
					n->itemtype = OPCLASS_ITEM_FUNCTION;
					n->number = (yyvsp[-3].ival);
					n->args = (yyvsp[-1].list);
					(yyval.node) = (Node *) n;
				}
#line 25353 "gram.c" /* yacc.c:1646  */
    break;

  case 737:
#line 4999 "gram.y" /* yacc.c:1646  */
    {
					DropStmt *n = makeNode(DropStmt);
					n->objects = list_make1((yyvsp[-3].list));
					n->arguments = list_make1(list_make1(makeString((yyvsp[-1].str))));
					n->removeType = OBJECT_OPCLASS;
					n->behavior = (yyvsp[0].dbehavior);
					n->missing_ok = false;
					n->concurrent = false;
					(yyval.node) = (Node *) n;
				}
#line 25368 "gram.c" /* yacc.c:1646  */
    break;

  case 738:
#line 5010 "gram.y" /* yacc.c:1646  */
    {
					DropStmt *n = makeNode(DropStmt);
					n->objects = list_make1((yyvsp[-3].list));
					n->arguments = list_make1(list_make1(makeString((yyvsp[-1].str))));
					n->removeType = OBJECT_OPCLASS;
					n->behavior = (yyvsp[0].dbehavior);
					n->missing_ok = true;
					n->concurrent = false;
					(yyval.node) = (Node *) n;
				}
#line 25383 "gram.c" /* yacc.c:1646  */
    break;

  case 739:
#line 5024 "gram.y" /* yacc.c:1646  */
    {
					DropStmt *n = makeNode(DropStmt);
					n->objects = list_make1((yyvsp[-3].list));
					n->arguments = list_make1(list_make1(makeString((yyvsp[-1].str))));
					n->removeType = OBJECT_OPFAMILY;
					n->behavior = (yyvsp[0].dbehavior);
					n->missing_ok = false;
					n->concurrent = false;
					(yyval.node) = (Node *) n;
				}
#line 25398 "gram.c" /* yacc.c:1646  */
    break;

  case 740:
#line 5035 "gram.y" /* yacc.c:1646  */
    {
					DropStmt *n = makeNode(DropStmt);
					n->objects = list_make1((yyvsp[-3].list));
					n->arguments = list_make1(list_make1(makeString((yyvsp[-1].str))));
					n->removeType = OBJECT_OPFAMILY;
					n->behavior = (yyvsp[0].dbehavior);
					n->missing_ok = true;
					n->concurrent = false;
					(yyval.node) = (Node *) n;
				}
#line 25413 "gram.c" /* yacc.c:1646  */
    break;

  case 741:
#line 5058 "gram.y" /* yacc.c:1646  */
    {
					DropOwnedStmt *n = makeNode(DropOwnedStmt);
					n->roles = (yyvsp[-1].list);
					n->behavior = (yyvsp[0].dbehavior);
					(yyval.node) = (Node *)n;
				}
#line 25424 "gram.c" /* yacc.c:1646  */
    break;

  case 742:
#line 5068 "gram.y" /* yacc.c:1646  */
    {
					ReassignOwnedStmt *n = makeNode(ReassignOwnedStmt);
					n->roles = (yyvsp[-2].list);
					n->newrole = (yyvsp[0].str);
					(yyval.node) = (Node *)n;
				}
#line 25435 "gram.c" /* yacc.c:1646  */
    break;

  case 743:
#line 5086 "gram.y" /* yacc.c:1646  */
    {
					DropStmt *n = makeNode(DropStmt);
					n->removeType = (yyvsp[-4].objtype);
					n->missing_ok = TRUE;
					n->objects = (yyvsp[-1].list);
					n->arguments = NIL;
					n->behavior = (yyvsp[0].dbehavior);
					n->concurrent = false;
					(yyval.node) = (Node *)n;
				}
#line 25450 "gram.c" /* yacc.c:1646  */
    break;

  case 744:
#line 5097 "gram.y" /* yacc.c:1646  */
    {
					DropStmt *n = makeNode(DropStmt);
					n->removeType = (yyvsp[-2].objtype);
					n->missing_ok = FALSE;
					n->objects = (yyvsp[-1].list);
					n->arguments = NIL;
					n->behavior = (yyvsp[0].dbehavior);
					n->concurrent = false;
					(yyval.node) = (Node *)n;
				}
#line 25465 "gram.c" /* yacc.c:1646  */
    break;

  case 745:
#line 5108 "gram.y" /* yacc.c:1646  */
    {
					DropStmt *n = makeNode(DropStmt);
					n->removeType = OBJECT_INDEX;
					n->missing_ok = FALSE;
					n->objects = (yyvsp[-1].list);
					n->arguments = NIL;
					n->behavior = (yyvsp[0].dbehavior);
					n->concurrent = true;
					(yyval.node) = (Node *)n;
				}
#line 25480 "gram.c" /* yacc.c:1646  */
    break;

  case 746:
#line 5119 "gram.y" /* yacc.c:1646  */
    {
					DropStmt *n = makeNode(DropStmt);
					n->removeType = OBJECT_INDEX;
					n->missing_ok = TRUE;
					n->objects = (yyvsp[-1].list);
					n->arguments = NIL;
					n->behavior = (yyvsp[0].dbehavior);
					n->concurrent = true;
					(yyval.node) = (Node *)n;
				}
#line 25495 "gram.c" /* yacc.c:1646  */
    break;

  case 747:
#line 5132 "gram.y" /* yacc.c:1646  */
    { (yyval.objtype) = OBJECT_TABLE; }
#line 25501 "gram.c" /* yacc.c:1646  */
    break;

  case 748:
#line 5133 "gram.y" /* yacc.c:1646  */
    { (yyval.objtype) = OBJECT_SEQUENCE; }
#line 25507 "gram.c" /* yacc.c:1646  */
    break;

  case 749:
#line 5134 "gram.y" /* yacc.c:1646  */
    { (yyval.objtype) = OBJECT_VIEW; }
#line 25513 "gram.c" /* yacc.c:1646  */
    break;

  case 750:
#line 5135 "gram.y" /* yacc.c:1646  */
    { (yyval.objtype) = OBJECT_MATVIEW; }
#line 25519 "gram.c" /* yacc.c:1646  */
    break;

  case 751:
#line 5136 "gram.y" /* yacc.c:1646  */
    { (yyval.objtype) = OBJECT_INDEX; }
#line 25525 "gram.c" /* yacc.c:1646  */
    break;

  case 752:
#line 5137 "gram.y" /* yacc.c:1646  */
    { (yyval.objtype) = OBJECT_FOREIGN_TABLE; }
#line 25531 "gram.c" /* yacc.c:1646  */
    break;

  case 753:
#line 5138 "gram.y" /* yacc.c:1646  */
    { (yyval.objtype) = OBJECT_EVENT_TRIGGER; }
#line 25537 "gram.c" /* yacc.c:1646  */
    break;

  case 754:
#line 5139 "gram.y" /* yacc.c:1646  */
    { (yyval.objtype) = OBJECT_TYPE; }
#line 25543 "gram.c" /* yacc.c:1646  */
    break;

  case 755:
#line 5140 "gram.y" /* yacc.c:1646  */
    { (yyval.objtype) = OBJECT_DOMAIN; }
#line 25549 "gram.c" /* yacc.c:1646  */
    break;

  case 756:
#line 5141 "gram.y" /* yacc.c:1646  */
    { (yyval.objtype) = OBJECT_COLLATION; }
#line 25555 "gram.c" /* yacc.c:1646  */
    break;

  case 757:
#line 5142 "gram.y" /* yacc.c:1646  */
    { (yyval.objtype) = OBJECT_CONVERSION; }
#line 25561 "gram.c" /* yacc.c:1646  */
    break;

  case 758:
#line 5143 "gram.y" /* yacc.c:1646  */
    { (yyval.objtype) = OBJECT_SCHEMA; }
#line 25567 "gram.c" /* yacc.c:1646  */
    break;

  case 759:
#line 5144 "gram.y" /* yacc.c:1646  */
    { (yyval.objtype) = OBJECT_EXTENSION; }
#line 25573 "gram.c" /* yacc.c:1646  */
    break;

  case 760:
#line 5145 "gram.y" /* yacc.c:1646  */
    { (yyval.objtype) = OBJECT_TSPARSER; }
#line 25579 "gram.c" /* yacc.c:1646  */
    break;

  case 761:
#line 5146 "gram.y" /* yacc.c:1646  */
    { (yyval.objtype) = OBJECT_TSDICTIONARY; }
#line 25585 "gram.c" /* yacc.c:1646  */
    break;

  case 762:
#line 5147 "gram.y" /* yacc.c:1646  */
    { (yyval.objtype) = OBJECT_TSTEMPLATE; }
#line 25591 "gram.c" /* yacc.c:1646  */
    break;

  case 763:
#line 5148 "gram.y" /* yacc.c:1646  */
    { (yyval.objtype) = OBJECT_TSCONFIGURATION; }
#line 25597 "gram.c" /* yacc.c:1646  */
    break;

  case 764:
#line 5152 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].list)); }
#line 25603 "gram.c" /* yacc.c:1646  */
    break;

  case 765:
#line 5153 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].list)); }
#line 25609 "gram.c" /* yacc.c:1646  */
    break;

  case 766:
#line 5156 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1(makeString((yyvsp[0].str))); }
#line 25615 "gram.c" /* yacc.c:1646  */
    break;

  case 767:
#line 5157 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lcons(makeString((yyvsp[-1].str)), (yyvsp[0].list)); }
#line 25621 "gram.c" /* yacc.c:1646  */
    break;

  case 768:
#line 5161 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1(makeString((yyvsp[0].str))); }
#line 25627 "gram.c" /* yacc.c:1646  */
    break;

  case 769:
#line 5163 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-2].list), makeString((yyvsp[0].str))); }
#line 25633 "gram.c" /* yacc.c:1646  */
    break;

  case 770:
#line 5176 "gram.y" /* yacc.c:1646  */
    {
					TruncateStmt *n = makeNode(TruncateStmt);
					n->relations = (yyvsp[-2].list);
					n->restart_seqs = (yyvsp[-1].boolean);
					n->behavior = (yyvsp[0].dbehavior);
					(yyval.node) = (Node *)n;
				}
#line 25645 "gram.c" /* yacc.c:1646  */
    break;

  case 771:
#line 5186 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = false; }
#line 25651 "gram.c" /* yacc.c:1646  */
    break;

  case 772:
#line 5187 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = true; }
#line 25657 "gram.c" /* yacc.c:1646  */
    break;

  case 773:
#line 5188 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = false; }
#line 25663 "gram.c" /* yacc.c:1646  */
    break;

  case 774:
#line 5221 "gram.y" /* yacc.c:1646  */
    {
					CommentStmt *n = makeNode(CommentStmt);
					n->objtype = (yyvsp[-3].objtype);
					n->objname = (yyvsp[-2].list);
					n->objargs = NIL;
					n->comment = (yyvsp[0].str);
					(yyval.node) = (Node *) n;
				}
#line 25676 "gram.c" /* yacc.c:1646  */
    break;

  case 775:
#line 5230 "gram.y" /* yacc.c:1646  */
    {
					CommentStmt *n = makeNode(CommentStmt);
					n->objtype = OBJECT_AGGREGATE;
					n->objname = (yyvsp[-3].list);
					n->objargs = (yyvsp[-2].list);
					n->comment = (yyvsp[0].str);
					(yyval.node) = (Node *) n;
				}
#line 25689 "gram.c" /* yacc.c:1646  */
    break;

  case 776:
#line 5239 "gram.y" /* yacc.c:1646  */
    {
					CommentStmt *n = makeNode(CommentStmt);
					n->objtype = OBJECT_FUNCTION;
					n->objname = (yyvsp[-3].list);
					n->objargs = extractArgTypes((yyvsp[-2].list));
					n->comment = (yyvsp[0].str);
					(yyval.node) = (Node *) n;
				}
#line 25702 "gram.c" /* yacc.c:1646  */
    break;

  case 777:
#line 5248 "gram.y" /* yacc.c:1646  */
    {
					CommentStmt *n = makeNode(CommentStmt);
					n->objtype = OBJECT_OPERATOR;
					n->objname = (yyvsp[-3].list);
					n->objargs = (yyvsp[-2].list);
					n->comment = (yyvsp[0].str);
					(yyval.node) = (Node *) n;
				}
#line 25715 "gram.c" /* yacc.c:1646  */
    break;

  case 778:
#line 5257 "gram.y" /* yacc.c:1646  */
    {
					CommentStmt *n = makeNode(CommentStmt);
					n->objtype = OBJECT_CONSTRAINT;
					n->objname = lappend((yyvsp[-2].list), makeString((yyvsp[-4].str)));
					n->objargs = NIL;
					n->comment = (yyvsp[0].str);
					(yyval.node) = (Node *) n;
				}
#line 25728 "gram.c" /* yacc.c:1646  */
    break;

  case 779:
#line 5266 "gram.y" /* yacc.c:1646  */
    {
					CommentStmt *n = makeNode(CommentStmt);
					n->objtype = OBJECT_RULE;
					n->objname = lappend((yyvsp[-2].list), makeString((yyvsp[-4].str)));
					n->objargs = NIL;
					n->comment = (yyvsp[0].str);
					(yyval.node) = (Node *) n;
				}
#line 25741 "gram.c" /* yacc.c:1646  */
    break;

  case 780:
#line 5275 "gram.y" /* yacc.c:1646  */
    {
					/* Obsolete syntax supported for awhile for compatibility */
					CommentStmt *n = makeNode(CommentStmt);
					n->objtype = OBJECT_RULE;
					n->objname = list_make1(makeString((yyvsp[-2].str)));
					n->objargs = NIL;
					n->comment = (yyvsp[0].str);
					(yyval.node) = (Node *) n;
				}
#line 25755 "gram.c" /* yacc.c:1646  */
    break;

  case 781:
#line 5285 "gram.y" /* yacc.c:1646  */
    {
					CommentStmt *n = makeNode(CommentStmt);
					n->objtype = OBJECT_TRIGGER;
					n->objname = lappend((yyvsp[-2].list), makeString((yyvsp[-4].str)));
					n->objargs = NIL;
					n->comment = (yyvsp[0].str);
					(yyval.node) = (Node *) n;
				}
#line 25768 "gram.c" /* yacc.c:1646  */
    break;

  case 782:
#line 5294 "gram.y" /* yacc.c:1646  */
    {
					CommentStmt *n = makeNode(CommentStmt);
					n->objtype = OBJECT_OPCLASS;
					n->objname = (yyvsp[-4].list);
					n->objargs = list_make1(makeString((yyvsp[-2].str)));
					n->comment = (yyvsp[0].str);
					(yyval.node) = (Node *) n;
				}
#line 25781 "gram.c" /* yacc.c:1646  */
    break;

  case 783:
#line 5303 "gram.y" /* yacc.c:1646  */
    {
					CommentStmt *n = makeNode(CommentStmt);
					n->objtype = OBJECT_OPFAMILY;
					n->objname = (yyvsp[-4].list);
					n->objargs = list_make1(makeString((yyvsp[-2].str)));
					n->comment = (yyvsp[0].str);
					(yyval.node) = (Node *) n;
				}
#line 25794 "gram.c" /* yacc.c:1646  */
    break;

  case 784:
#line 5312 "gram.y" /* yacc.c:1646  */
    {
					CommentStmt *n = makeNode(CommentStmt);
					n->objtype = OBJECT_LARGEOBJECT;
					n->objname = list_make1((yyvsp[-2].value));
					n->objargs = NIL;
					n->comment = (yyvsp[0].str);
					(yyval.node) = (Node *) n;
				}
#line 25807 "gram.c" /* yacc.c:1646  */
    break;

  case 785:
#line 5321 "gram.y" /* yacc.c:1646  */
    {
					CommentStmt *n = makeNode(CommentStmt);
					n->objtype = OBJECT_CAST;
					n->objname = list_make1((yyvsp[-5].typnam));
					n->objargs = list_make1((yyvsp[-3].typnam));
					n->comment = (yyvsp[0].str);
					(yyval.node) = (Node *) n;
				}
#line 25820 "gram.c" /* yacc.c:1646  */
    break;

  case 786:
#line 5330 "gram.y" /* yacc.c:1646  */
    {
					CommentStmt *n = makeNode(CommentStmt);
					n->objtype = OBJECT_LANGUAGE;
					n->objname = (yyvsp[-2].list);
					n->objargs = NIL;
					n->comment = (yyvsp[0].str);
					(yyval.node) = (Node *) n;
				}
#line 25833 "gram.c" /* yacc.c:1646  */
    break;

  case 787:
#line 5341 "gram.y" /* yacc.c:1646  */
    { (yyval.objtype) = OBJECT_COLUMN; }
#line 25839 "gram.c" /* yacc.c:1646  */
    break;

  case 788:
#line 5342 "gram.y" /* yacc.c:1646  */
    { (yyval.objtype) = OBJECT_DATABASE; }
#line 25845 "gram.c" /* yacc.c:1646  */
    break;

  case 789:
#line 5343 "gram.y" /* yacc.c:1646  */
    { (yyval.objtype) = OBJECT_SCHEMA; }
#line 25851 "gram.c" /* yacc.c:1646  */
    break;

  case 790:
#line 5344 "gram.y" /* yacc.c:1646  */
    { (yyval.objtype) = OBJECT_INDEX; }
#line 25857 "gram.c" /* yacc.c:1646  */
    break;

  case 791:
#line 5345 "gram.y" /* yacc.c:1646  */
    { (yyval.objtype) = OBJECT_SEQUENCE; }
#line 25863 "gram.c" /* yacc.c:1646  */
    break;

  case 792:
#line 5346 "gram.y" /* yacc.c:1646  */
    { (yyval.objtype) = OBJECT_TABLE; }
#line 25869 "gram.c" /* yacc.c:1646  */
    break;

  case 793:
#line 5347 "gram.y" /* yacc.c:1646  */
    { (yyval.objtype) = OBJECT_DOMAIN; }
#line 25875 "gram.c" /* yacc.c:1646  */
    break;

  case 794:
#line 5348 "gram.y" /* yacc.c:1646  */
    { (yyval.objtype) = OBJECT_TYPE; }
#line 25881 "gram.c" /* yacc.c:1646  */
    break;

  case 795:
#line 5349 "gram.y" /* yacc.c:1646  */
    { (yyval.objtype) = OBJECT_VIEW; }
#line 25887 "gram.c" /* yacc.c:1646  */
    break;

  case 796:
#line 5350 "gram.y" /* yacc.c:1646  */
    { (yyval.objtype) = OBJECT_MATVIEW; }
#line 25893 "gram.c" /* yacc.c:1646  */
    break;

  case 797:
#line 5351 "gram.y" /* yacc.c:1646  */
    { (yyval.objtype) = OBJECT_COLLATION; }
#line 25899 "gram.c" /* yacc.c:1646  */
    break;

  case 798:
#line 5352 "gram.y" /* yacc.c:1646  */
    { (yyval.objtype) = OBJECT_CONVERSION; }
#line 25905 "gram.c" /* yacc.c:1646  */
    break;

  case 799:
#line 5353 "gram.y" /* yacc.c:1646  */
    { (yyval.objtype) = OBJECT_TABLESPACE; }
#line 25911 "gram.c" /* yacc.c:1646  */
    break;

  case 800:
#line 5354 "gram.y" /* yacc.c:1646  */
    { (yyval.objtype) = OBJECT_EXTENSION; }
#line 25917 "gram.c" /* yacc.c:1646  */
    break;

  case 801:
#line 5355 "gram.y" /* yacc.c:1646  */
    { (yyval.objtype) = OBJECT_ROLE; }
#line 25923 "gram.c" /* yacc.c:1646  */
    break;

  case 802:
#line 5356 "gram.y" /* yacc.c:1646  */
    { (yyval.objtype) = OBJECT_FOREIGN_TABLE; }
#line 25929 "gram.c" /* yacc.c:1646  */
    break;

  case 803:
#line 5357 "gram.y" /* yacc.c:1646  */
    { (yyval.objtype) = OBJECT_FOREIGN_SERVER; }
#line 25935 "gram.c" /* yacc.c:1646  */
    break;

  case 804:
#line 5358 "gram.y" /* yacc.c:1646  */
    { (yyval.objtype) = OBJECT_FDW; }
#line 25941 "gram.c" /* yacc.c:1646  */
    break;

  case 805:
#line 5359 "gram.y" /* yacc.c:1646  */
    { (yyval.objtype) = OBJECT_EVENT_TRIGGER; }
#line 25947 "gram.c" /* yacc.c:1646  */
    break;

  case 806:
#line 5360 "gram.y" /* yacc.c:1646  */
    { (yyval.objtype) = OBJECT_TSCONFIGURATION; }
#line 25953 "gram.c" /* yacc.c:1646  */
    break;

  case 807:
#line 5361 "gram.y" /* yacc.c:1646  */
    { (yyval.objtype) = OBJECT_TSDICTIONARY; }
#line 25959 "gram.c" /* yacc.c:1646  */
    break;

  case 808:
#line 5362 "gram.y" /* yacc.c:1646  */
    { (yyval.objtype) = OBJECT_TSPARSER; }
#line 25965 "gram.c" /* yacc.c:1646  */
    break;

  case 809:
#line 5363 "gram.y" /* yacc.c:1646  */
    { (yyval.objtype) = OBJECT_TSTEMPLATE; }
#line 25971 "gram.c" /* yacc.c:1646  */
    break;

  case 810:
#line 5367 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 25977 "gram.c" /* yacc.c:1646  */
    break;

  case 811:
#line 5368 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = NULL; }
#line 25983 "gram.c" /* yacc.c:1646  */
    break;

  case 812:
#line 5384 "gram.y" /* yacc.c:1646  */
    {
					SecLabelStmt *n = makeNode(SecLabelStmt);
					n->provider = (yyvsp[-5].str);
					n->objtype = (yyvsp[-3].objtype);
					n->objname = (yyvsp[-2].list);
					n->objargs = NIL;
					n->label = (yyvsp[0].str);
					(yyval.node) = (Node *) n;
				}
#line 25997 "gram.c" /* yacc.c:1646  */
    break;

  case 813:
#line 5395 "gram.y" /* yacc.c:1646  */
    {
					SecLabelStmt *n = makeNode(SecLabelStmt);
					n->provider = (yyvsp[-6].str);
					n->objtype = OBJECT_AGGREGATE;
					n->objname = (yyvsp[-3].list);
					n->objargs = (yyvsp[-2].list);
					n->label = (yyvsp[0].str);
					(yyval.node) = (Node *) n;
				}
#line 26011 "gram.c" /* yacc.c:1646  */
    break;

  case 814:
#line 5406 "gram.y" /* yacc.c:1646  */
    {
					SecLabelStmt *n = makeNode(SecLabelStmt);
					n->provider = (yyvsp[-6].str);
					n->objtype = OBJECT_FUNCTION;
					n->objname = (yyvsp[-3].list);
					n->objargs = extractArgTypes((yyvsp[-2].list));
					n->label = (yyvsp[0].str);
					(yyval.node) = (Node *) n;
				}
#line 26025 "gram.c" /* yacc.c:1646  */
    break;

  case 815:
#line 5417 "gram.y" /* yacc.c:1646  */
    {
					SecLabelStmt *n = makeNode(SecLabelStmt);
					n->provider = (yyvsp[-6].str);
					n->objtype = OBJECT_LARGEOBJECT;
					n->objname = list_make1((yyvsp[-2].value));
					n->objargs = NIL;
					n->label = (yyvsp[0].str);
					(yyval.node) = (Node *) n;
				}
#line 26039 "gram.c" /* yacc.c:1646  */
    break;

  case 816:
#line 5428 "gram.y" /* yacc.c:1646  */
    {
					SecLabelStmt *n = makeNode(SecLabelStmt);
					n->provider = (yyvsp[-6].str);
					n->objtype = OBJECT_LANGUAGE;
					n->objname = (yyvsp[-2].list);
					n->objargs = NIL;
					n->label = (yyvsp[0].str);
					(yyval.node) = (Node *) n;
				}
#line 26053 "gram.c" /* yacc.c:1646  */
    break;

  case 817:
#line 5439 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 26059 "gram.c" /* yacc.c:1646  */
    break;

  case 818:
#line 5440 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = NULL; }
#line 26065 "gram.c" /* yacc.c:1646  */
    break;

  case 819:
#line 5444 "gram.y" /* yacc.c:1646  */
    { (yyval.objtype) = OBJECT_COLUMN; }
#line 26071 "gram.c" /* yacc.c:1646  */
    break;

  case 820:
#line 5445 "gram.y" /* yacc.c:1646  */
    { (yyval.objtype) = OBJECT_DATABASE; }
#line 26077 "gram.c" /* yacc.c:1646  */
    break;

  case 821:
#line 5446 "gram.y" /* yacc.c:1646  */
    { (yyval.objtype) = OBJECT_EVENT_TRIGGER; }
#line 26083 "gram.c" /* yacc.c:1646  */
    break;

  case 822:
#line 5447 "gram.y" /* yacc.c:1646  */
    { (yyval.objtype) = OBJECT_FOREIGN_TABLE; }
#line 26089 "gram.c" /* yacc.c:1646  */
    break;

  case 823:
#line 5448 "gram.y" /* yacc.c:1646  */
    { (yyval.objtype) = OBJECT_SCHEMA; }
#line 26095 "gram.c" /* yacc.c:1646  */
    break;

  case 824:
#line 5449 "gram.y" /* yacc.c:1646  */
    { (yyval.objtype) = OBJECT_SEQUENCE; }
#line 26101 "gram.c" /* yacc.c:1646  */
    break;

  case 825:
#line 5450 "gram.y" /* yacc.c:1646  */
    { (yyval.objtype) = OBJECT_TABLE; }
#line 26107 "gram.c" /* yacc.c:1646  */
    break;

  case 826:
#line 5451 "gram.y" /* yacc.c:1646  */
    { (yyval.objtype) = OBJECT_TYPE; }
#line 26113 "gram.c" /* yacc.c:1646  */
    break;

  case 827:
#line 5452 "gram.y" /* yacc.c:1646  */
    { (yyval.objtype) = OBJECT_ROLE; }
#line 26119 "gram.c" /* yacc.c:1646  */
    break;

  case 828:
#line 5453 "gram.y" /* yacc.c:1646  */
    { (yyval.objtype) = OBJECT_TABLESPACE; }
#line 26125 "gram.c" /* yacc.c:1646  */
    break;

  case 829:
#line 5454 "gram.y" /* yacc.c:1646  */
    { (yyval.objtype) = OBJECT_TYPE; }
#line 26131 "gram.c" /* yacc.c:1646  */
    break;

  case 830:
#line 5455 "gram.y" /* yacc.c:1646  */
    { (yyval.objtype) = OBJECT_VIEW; }
#line 26137 "gram.c" /* yacc.c:1646  */
    break;

  case 831:
#line 5456 "gram.y" /* yacc.c:1646  */
    { (yyval.objtype) = OBJECT_MATVIEW; }
#line 26143 "gram.c" /* yacc.c:1646  */
    break;

  case 832:
#line 5459 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 26149 "gram.c" /* yacc.c:1646  */
    break;

  case 833:
#line 5460 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = NULL; }
#line 26155 "gram.c" /* yacc.c:1646  */
    break;

  case 834:
#line 5471 "gram.y" /* yacc.c:1646  */
    {
					FetchStmt *n = (FetchStmt *) (yyvsp[0].node);
					n->ismove = FALSE;
					(yyval.node) = (Node *)n;
				}
#line 26165 "gram.c" /* yacc.c:1646  */
    break;

  case 835:
#line 5477 "gram.y" /* yacc.c:1646  */
    {
					FetchStmt *n = (FetchStmt *) (yyvsp[0].node);
					n->ismove = TRUE;
					(yyval.node) = (Node *)n;
				}
#line 26175 "gram.c" /* yacc.c:1646  */
    break;

  case 836:
#line 5485 "gram.y" /* yacc.c:1646  */
    {
					FetchStmt *n = makeNode(FetchStmt);
					n->portalname = (yyvsp[0].str);
					n->direction = FETCH_FORWARD;
					n->howMany = 1;
					(yyval.node) = (Node *)n;
				}
#line 26187 "gram.c" /* yacc.c:1646  */
    break;

  case 837:
#line 5493 "gram.y" /* yacc.c:1646  */
    {
					FetchStmt *n = makeNode(FetchStmt);
					n->portalname = (yyvsp[0].str);
					n->direction = FETCH_FORWARD;
					n->howMany = 1;
					(yyval.node) = (Node *)n;
				}
#line 26199 "gram.c" /* yacc.c:1646  */
    break;

  case 838:
#line 5501 "gram.y" /* yacc.c:1646  */
    {
					FetchStmt *n = makeNode(FetchStmt);
					n->portalname = (yyvsp[0].str);
					n->direction = FETCH_FORWARD;
					n->howMany = 1;
					(yyval.node) = (Node *)n;
				}
#line 26211 "gram.c" /* yacc.c:1646  */
    break;

  case 839:
#line 5509 "gram.y" /* yacc.c:1646  */
    {
					FetchStmt *n = makeNode(FetchStmt);
					n->portalname = (yyvsp[0].str);
					n->direction = FETCH_BACKWARD;
					n->howMany = 1;
					(yyval.node) = (Node *)n;
				}
#line 26223 "gram.c" /* yacc.c:1646  */
    break;

  case 840:
#line 5517 "gram.y" /* yacc.c:1646  */
    {
					FetchStmt *n = makeNode(FetchStmt);
					n->portalname = (yyvsp[0].str);
					n->direction = FETCH_ABSOLUTE;
					n->howMany = 1;
					(yyval.node) = (Node *)n;
				}
#line 26235 "gram.c" /* yacc.c:1646  */
    break;

  case 841:
#line 5525 "gram.y" /* yacc.c:1646  */
    {
					FetchStmt *n = makeNode(FetchStmt);
					n->portalname = (yyvsp[0].str);
					n->direction = FETCH_ABSOLUTE;
					n->howMany = -1;
					(yyval.node) = (Node *)n;
				}
#line 26247 "gram.c" /* yacc.c:1646  */
    break;

  case 842:
#line 5533 "gram.y" /* yacc.c:1646  */
    {
					FetchStmt *n = makeNode(FetchStmt);
					n->portalname = (yyvsp[0].str);
					n->direction = FETCH_ABSOLUTE;
					n->howMany = (yyvsp[-2].ival);
					(yyval.node) = (Node *)n;
				}
#line 26259 "gram.c" /* yacc.c:1646  */
    break;

  case 843:
#line 5541 "gram.y" /* yacc.c:1646  */
    {
					FetchStmt *n = makeNode(FetchStmt);
					n->portalname = (yyvsp[0].str);
					n->direction = FETCH_RELATIVE;
					n->howMany = (yyvsp[-2].ival);
					(yyval.node) = (Node *)n;
				}
#line 26271 "gram.c" /* yacc.c:1646  */
    break;

  case 844:
#line 5549 "gram.y" /* yacc.c:1646  */
    {
					FetchStmt *n = makeNode(FetchStmt);
					n->portalname = (yyvsp[0].str);
					n->direction = FETCH_FORWARD;
					n->howMany = (yyvsp[-2].ival);
					(yyval.node) = (Node *)n;
				}
#line 26283 "gram.c" /* yacc.c:1646  */
    break;

  case 845:
#line 5557 "gram.y" /* yacc.c:1646  */
    {
					FetchStmt *n = makeNode(FetchStmt);
					n->portalname = (yyvsp[0].str);
					n->direction = FETCH_FORWARD;
					n->howMany = FETCH_ALL;
					(yyval.node) = (Node *)n;
				}
#line 26295 "gram.c" /* yacc.c:1646  */
    break;

  case 846:
#line 5565 "gram.y" /* yacc.c:1646  */
    {
					FetchStmt *n = makeNode(FetchStmt);
					n->portalname = (yyvsp[0].str);
					n->direction = FETCH_FORWARD;
					n->howMany = 1;
					(yyval.node) = (Node *)n;
				}
#line 26307 "gram.c" /* yacc.c:1646  */
    break;

  case 847:
#line 5573 "gram.y" /* yacc.c:1646  */
    {
					FetchStmt *n = makeNode(FetchStmt);
					n->portalname = (yyvsp[0].str);
					n->direction = FETCH_FORWARD;
					n->howMany = (yyvsp[-2].ival);
					(yyval.node) = (Node *)n;
				}
#line 26319 "gram.c" /* yacc.c:1646  */
    break;

  case 848:
#line 5581 "gram.y" /* yacc.c:1646  */
    {
					FetchStmt *n = makeNode(FetchStmt);
					n->portalname = (yyvsp[0].str);
					n->direction = FETCH_FORWARD;
					n->howMany = FETCH_ALL;
					(yyval.node) = (Node *)n;
				}
#line 26331 "gram.c" /* yacc.c:1646  */
    break;

  case 849:
#line 5589 "gram.y" /* yacc.c:1646  */
    {
					FetchStmt *n = makeNode(FetchStmt);
					n->portalname = (yyvsp[0].str);
					n->direction = FETCH_BACKWARD;
					n->howMany = 1;
					(yyval.node) = (Node *)n;
				}
#line 26343 "gram.c" /* yacc.c:1646  */
    break;

  case 850:
#line 5597 "gram.y" /* yacc.c:1646  */
    {
					FetchStmt *n = makeNode(FetchStmt);
					n->portalname = (yyvsp[0].str);
					n->direction = FETCH_BACKWARD;
					n->howMany = (yyvsp[-2].ival);
					(yyval.node) = (Node *)n;
				}
#line 26355 "gram.c" /* yacc.c:1646  */
    break;

  case 851:
#line 5605 "gram.y" /* yacc.c:1646  */
    {
					FetchStmt *n = makeNode(FetchStmt);
					n->portalname = (yyvsp[0].str);
					n->direction = FETCH_BACKWARD;
					n->howMany = FETCH_ALL;
					(yyval.node) = (Node *)n;
				}
#line 26367 "gram.c" /* yacc.c:1646  */
    break;

  case 852:
#line 5614 "gram.y" /* yacc.c:1646  */
    {}
#line 26373 "gram.c" /* yacc.c:1646  */
    break;

  case 853:
#line 5615 "gram.y" /* yacc.c:1646  */
    {}
#line 26379 "gram.c" /* yacc.c:1646  */
    break;

  case 854:
#line 5618 "gram.y" /* yacc.c:1646  */
    {}
#line 26385 "gram.c" /* yacc.c:1646  */
    break;

  case 855:
#line 5619 "gram.y" /* yacc.c:1646  */
    {}
#line 26391 "gram.c" /* yacc.c:1646  */
    break;

  case 856:
#line 5631 "gram.y" /* yacc.c:1646  */
    {
					GrantStmt *n = makeNode(GrantStmt);
					n->is_grant = true;
					n->privileges = (yyvsp[-5].list);
					n->targtype = ((yyvsp[-3].privtarget))->targtype;
					n->objtype = ((yyvsp[-3].privtarget))->objtype;
					n->objects = ((yyvsp[-3].privtarget))->objs;
					n->grantees = (yyvsp[-1].list);
					n->grant_option = (yyvsp[0].boolean);
					(yyval.node) = (Node*)n;
				}
#line 26407 "gram.c" /* yacc.c:1646  */
    break;

  case 857:
#line 5647 "gram.y" /* yacc.c:1646  */
    {
					GrantStmt *n = makeNode(GrantStmt);
					n->is_grant = false;
					n->grant_option = false;
					n->privileges = (yyvsp[-5].list);
					n->targtype = ((yyvsp[-3].privtarget))->targtype;
					n->objtype = ((yyvsp[-3].privtarget))->objtype;
					n->objects = ((yyvsp[-3].privtarget))->objs;
					n->grantees = (yyvsp[-1].list);
					n->behavior = (yyvsp[0].dbehavior);
					(yyval.node) = (Node *)n;
				}
#line 26424 "gram.c" /* yacc.c:1646  */
    break;

  case 858:
#line 5661 "gram.y" /* yacc.c:1646  */
    {
					GrantStmt *n = makeNode(GrantStmt);
					n->is_grant = false;
					n->grant_option = true;
					n->privileges = (yyvsp[-5].list);
					n->targtype = ((yyvsp[-3].privtarget))->targtype;
					n->objtype = ((yyvsp[-3].privtarget))->objtype;
					n->objects = ((yyvsp[-3].privtarget))->objs;
					n->grantees = (yyvsp[-1].list);
					n->behavior = (yyvsp[0].dbehavior);
					(yyval.node) = (Node *)n;
				}
#line 26441 "gram.c" /* yacc.c:1646  */
    break;

  case 859:
#line 5686 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[0].list); }
#line 26447 "gram.c" /* yacc.c:1646  */
    break;

  case 860:
#line 5688 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 26453 "gram.c" /* yacc.c:1646  */
    break;

  case 861:
#line 5690 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 26459 "gram.c" /* yacc.c:1646  */
    break;

  case 862:
#line 5692 "gram.y" /* yacc.c:1646  */
    {
					AccessPriv *n = makeNode(AccessPriv);
					n->priv_name = NULL;
					n->cols = (yyvsp[-1].list);
					(yyval.list) = list_make1(n);
				}
#line 26470 "gram.c" /* yacc.c:1646  */
    break;

  case 863:
#line 5699 "gram.y" /* yacc.c:1646  */
    {
					AccessPriv *n = makeNode(AccessPriv);
					n->priv_name = NULL;
					n->cols = (yyvsp[-1].list);
					(yyval.list) = list_make1(n);
				}
#line 26481 "gram.c" /* yacc.c:1646  */
    break;

  case 864:
#line 5707 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].accesspriv)); }
#line 26487 "gram.c" /* yacc.c:1646  */
    break;

  case 865:
#line 5708 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].accesspriv)); }
#line 26493 "gram.c" /* yacc.c:1646  */
    break;

  case 866:
#line 5712 "gram.y" /* yacc.c:1646  */
    {
				AccessPriv *n = makeNode(AccessPriv);
				n->priv_name = pstrdup((yyvsp[-1].keyword));
				n->cols = (yyvsp[0].list);
				(yyval.accesspriv) = n;
			}
#line 26504 "gram.c" /* yacc.c:1646  */
    break;

  case 867:
#line 5719 "gram.y" /* yacc.c:1646  */
    {
				AccessPriv *n = makeNode(AccessPriv);
				n->priv_name = pstrdup((yyvsp[-1].keyword));
				n->cols = (yyvsp[0].list);
				(yyval.accesspriv) = n;
			}
#line 26515 "gram.c" /* yacc.c:1646  */
    break;

  case 868:
#line 5726 "gram.y" /* yacc.c:1646  */
    {
				AccessPriv *n = makeNode(AccessPriv);
				n->priv_name = pstrdup((yyvsp[-1].keyword));
				n->cols = (yyvsp[0].list);
				(yyval.accesspriv) = n;
			}
#line 26526 "gram.c" /* yacc.c:1646  */
    break;

  case 869:
#line 5733 "gram.y" /* yacc.c:1646  */
    {
				AccessPriv *n = makeNode(AccessPriv);
				n->priv_name = (yyvsp[-1].str);
				n->cols = (yyvsp[0].list);
				(yyval.accesspriv) = n;
			}
#line 26537 "gram.c" /* yacc.c:1646  */
    break;

  case 870:
#line 5747 "gram.y" /* yacc.c:1646  */
    {
					PrivTarget *n = (PrivTarget *) palloc(sizeof(PrivTarget));
					n->targtype = ACL_TARGET_OBJECT;
					n->objtype = ACL_OBJECT_RELATION;
					n->objs = (yyvsp[0].list);
					(yyval.privtarget) = n;
				}
#line 26549 "gram.c" /* yacc.c:1646  */
    break;

  case 871:
#line 5755 "gram.y" /* yacc.c:1646  */
    {
					PrivTarget *n = (PrivTarget *) palloc(sizeof(PrivTarget));
					n->targtype = ACL_TARGET_OBJECT;
					n->objtype = ACL_OBJECT_RELATION;
					n->objs = (yyvsp[0].list);
					(yyval.privtarget) = n;
				}
#line 26561 "gram.c" /* yacc.c:1646  */
    break;

  case 872:
#line 5763 "gram.y" /* yacc.c:1646  */
    {
					PrivTarget *n = (PrivTarget *) palloc(sizeof(PrivTarget));
					n->targtype = ACL_TARGET_OBJECT;
					n->objtype = ACL_OBJECT_SEQUENCE;
					n->objs = (yyvsp[0].list);
					(yyval.privtarget) = n;
				}
#line 26573 "gram.c" /* yacc.c:1646  */
    break;

  case 873:
#line 5771 "gram.y" /* yacc.c:1646  */
    {
					PrivTarget *n = (PrivTarget *) palloc(sizeof(PrivTarget));
					n->targtype = ACL_TARGET_OBJECT;
					n->objtype = ACL_OBJECT_FDW;
					n->objs = (yyvsp[0].list);
					(yyval.privtarget) = n;
				}
#line 26585 "gram.c" /* yacc.c:1646  */
    break;

  case 874:
#line 5779 "gram.y" /* yacc.c:1646  */
    {
					PrivTarget *n = (PrivTarget *) palloc(sizeof(PrivTarget));
					n->targtype = ACL_TARGET_OBJECT;
					n->objtype = ACL_OBJECT_FOREIGN_SERVER;
					n->objs = (yyvsp[0].list);
					(yyval.privtarget) = n;
				}
#line 26597 "gram.c" /* yacc.c:1646  */
    break;

  case 875:
#line 5787 "gram.y" /* yacc.c:1646  */
    {
					PrivTarget *n = (PrivTarget *) palloc(sizeof(PrivTarget));
					n->targtype = ACL_TARGET_OBJECT;
					n->objtype = ACL_OBJECT_FUNCTION;
					n->objs = (yyvsp[0].list);
					(yyval.privtarget) = n;
				}
#line 26609 "gram.c" /* yacc.c:1646  */
    break;

  case 876:
#line 5795 "gram.y" /* yacc.c:1646  */
    {
					PrivTarget *n = (PrivTarget *) palloc(sizeof(PrivTarget));
					n->targtype = ACL_TARGET_OBJECT;
					n->objtype = ACL_OBJECT_DATABASE;
					n->objs = (yyvsp[0].list);
					(yyval.privtarget) = n;
				}
#line 26621 "gram.c" /* yacc.c:1646  */
    break;

  case 877:
#line 5803 "gram.y" /* yacc.c:1646  */
    {
					PrivTarget *n = (PrivTarget *) palloc(sizeof(PrivTarget));
					n->targtype = ACL_TARGET_OBJECT;
					n->objtype = ACL_OBJECT_DOMAIN;
					n->objs = (yyvsp[0].list);
					(yyval.privtarget) = n;
				}
#line 26633 "gram.c" /* yacc.c:1646  */
    break;

  case 878:
#line 5811 "gram.y" /* yacc.c:1646  */
    {
					PrivTarget *n = (PrivTarget *) palloc(sizeof(PrivTarget));
					n->targtype = ACL_TARGET_OBJECT;
					n->objtype = ACL_OBJECT_LANGUAGE;
					n->objs = (yyvsp[0].list);
					(yyval.privtarget) = n;
				}
#line 26645 "gram.c" /* yacc.c:1646  */
    break;

  case 879:
#line 5819 "gram.y" /* yacc.c:1646  */
    {
					PrivTarget *n = (PrivTarget *) palloc(sizeof(PrivTarget));
					n->targtype = ACL_TARGET_OBJECT;
					n->objtype = ACL_OBJECT_LARGEOBJECT;
					n->objs = (yyvsp[0].list);
					(yyval.privtarget) = n;
				}
#line 26657 "gram.c" /* yacc.c:1646  */
    break;

  case 880:
#line 5827 "gram.y" /* yacc.c:1646  */
    {
					PrivTarget *n = (PrivTarget *) palloc(sizeof(PrivTarget));
					n->targtype = ACL_TARGET_OBJECT;
					n->objtype = ACL_OBJECT_NAMESPACE;
					n->objs = (yyvsp[0].list);
					(yyval.privtarget) = n;
				}
#line 26669 "gram.c" /* yacc.c:1646  */
    break;

  case 881:
#line 5835 "gram.y" /* yacc.c:1646  */
    {
					PrivTarget *n = (PrivTarget *) palloc(sizeof(PrivTarget));
					n->targtype = ACL_TARGET_OBJECT;
					n->objtype = ACL_OBJECT_TABLESPACE;
					n->objs = (yyvsp[0].list);
					(yyval.privtarget) = n;
				}
#line 26681 "gram.c" /* yacc.c:1646  */
    break;

  case 882:
#line 5843 "gram.y" /* yacc.c:1646  */
    {
					PrivTarget *n = (PrivTarget *) palloc(sizeof(PrivTarget));
					n->targtype = ACL_TARGET_OBJECT;
					n->objtype = ACL_OBJECT_TYPE;
					n->objs = (yyvsp[0].list);
					(yyval.privtarget) = n;
				}
#line 26693 "gram.c" /* yacc.c:1646  */
    break;

  case 883:
#line 5851 "gram.y" /* yacc.c:1646  */
    {
					PrivTarget *n = (PrivTarget *) palloc(sizeof(PrivTarget));
					n->targtype = ACL_TARGET_ALL_IN_SCHEMA;
					n->objtype = ACL_OBJECT_RELATION;
					n->objs = (yyvsp[0].list);
					(yyval.privtarget) = n;
				}
#line 26705 "gram.c" /* yacc.c:1646  */
    break;

  case 884:
#line 5859 "gram.y" /* yacc.c:1646  */
    {
					PrivTarget *n = (PrivTarget *) palloc(sizeof(PrivTarget));
					n->targtype = ACL_TARGET_ALL_IN_SCHEMA;
					n->objtype = ACL_OBJECT_SEQUENCE;
					n->objs = (yyvsp[0].list);
					(yyval.privtarget) = n;
				}
#line 26717 "gram.c" /* yacc.c:1646  */
    break;

  case 885:
#line 5867 "gram.y" /* yacc.c:1646  */
    {
					PrivTarget *n = (PrivTarget *) palloc(sizeof(PrivTarget));
					n->targtype = ACL_TARGET_ALL_IN_SCHEMA;
					n->objtype = ACL_OBJECT_FUNCTION;
					n->objs = (yyvsp[0].list);
					(yyval.privtarget) = n;
				}
#line 26729 "gram.c" /* yacc.c:1646  */
    break;

  case 886:
#line 5878 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].node)); }
#line 26735 "gram.c" /* yacc.c:1646  */
    break;

  case 887:
#line 5879 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].node)); }
#line 26741 "gram.c" /* yacc.c:1646  */
    break;

  case 888:
#line 5883 "gram.y" /* yacc.c:1646  */
    {
					PrivGrantee *n = makeNode(PrivGrantee);
					/* This hack lets us avoid reserving PUBLIC as a keyword*/
					if (strcmp((yyvsp[0].str), "public") == 0)
						n->rolname = NULL;
					else
						n->rolname = (yyvsp[0].str);
					(yyval.node) = (Node *)n;
				}
#line 26755 "gram.c" /* yacc.c:1646  */
    break;

  case 889:
#line 5893 "gram.y" /* yacc.c:1646  */
    {
					PrivGrantee *n = makeNode(PrivGrantee);
					/* Treat GROUP PUBLIC as a synonym for PUBLIC */
					if (strcmp((yyvsp[0].str), "public") == 0)
						n->rolname = NULL;
					else
						n->rolname = (yyvsp[0].str);
					(yyval.node) = (Node *)n;
				}
#line 26769 "gram.c" /* yacc.c:1646  */
    break;

  case 890:
#line 5906 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = TRUE; }
#line 26775 "gram.c" /* yacc.c:1646  */
    break;

  case 891:
#line 5907 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = FALSE; }
#line 26781 "gram.c" /* yacc.c:1646  */
    break;

  case 892:
#line 5911 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].funwithargs)); }
#line 26787 "gram.c" /* yacc.c:1646  */
    break;

  case 893:
#line 5913 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].funwithargs)); }
#line 26793 "gram.c" /* yacc.c:1646  */
    break;

  case 894:
#line 5918 "gram.y" /* yacc.c:1646  */
    {
					FuncWithArgs *n = makeNode(FuncWithArgs);
					n->funcname = (yyvsp[-1].list);
					n->funcargs = extractArgTypes((yyvsp[0].list));
					(yyval.funwithargs) = n;
				}
#line 26804 "gram.c" /* yacc.c:1646  */
    break;

  case 895:
#line 5934 "gram.y" /* yacc.c:1646  */
    {
					GrantRoleStmt *n = makeNode(GrantRoleStmt);
					n->is_grant = true;
					n->granted_roles = (yyvsp[-4].list);
					n->grantee_roles = (yyvsp[-2].list);
					n->admin_opt = (yyvsp[-1].boolean);
					n->grantor = (yyvsp[0].str);
					(yyval.node) = (Node*)n;
				}
#line 26818 "gram.c" /* yacc.c:1646  */
    break;

  case 896:
#line 5947 "gram.y" /* yacc.c:1646  */
    {
					GrantRoleStmt *n = makeNode(GrantRoleStmt);
					n->is_grant = false;
					n->admin_opt = false;
					n->granted_roles = (yyvsp[-4].list);
					n->grantee_roles = (yyvsp[-2].list);
					n->behavior = (yyvsp[0].dbehavior);
					(yyval.node) = (Node*)n;
				}
#line 26832 "gram.c" /* yacc.c:1646  */
    break;

  case 897:
#line 5957 "gram.y" /* yacc.c:1646  */
    {
					GrantRoleStmt *n = makeNode(GrantRoleStmt);
					n->is_grant = false;
					n->admin_opt = true;
					n->granted_roles = (yyvsp[-4].list);
					n->grantee_roles = (yyvsp[-2].list);
					n->behavior = (yyvsp[0].dbehavior);
					(yyval.node) = (Node*)n;
				}
#line 26846 "gram.c" /* yacc.c:1646  */
    break;

  case 898:
#line 5968 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = TRUE; }
#line 26852 "gram.c" /* yacc.c:1646  */
    break;

  case 899:
#line 5969 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = FALSE; }
#line 26858 "gram.c" /* yacc.c:1646  */
    break;

  case 900:
#line 5972 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 26864 "gram.c" /* yacc.c:1646  */
    break;

  case 901:
#line 5973 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = NULL; }
#line 26870 "gram.c" /* yacc.c:1646  */
    break;

  case 902:
#line 5984 "gram.y" /* yacc.c:1646  */
    {
					AlterDefaultPrivilegesStmt *n = makeNode(AlterDefaultPrivilegesStmt);
					n->options = (yyvsp[-1].list);
					n->action = (GrantStmt *) (yyvsp[0].node);
					(yyval.node) = (Node*)n;
				}
#line 26881 "gram.c" /* yacc.c:1646  */
    break;

  case 903:
#line 5993 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-1].list), (yyvsp[0].defelt)); }
#line 26887 "gram.c" /* yacc.c:1646  */
    break;

  case 904:
#line 5994 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 26893 "gram.c" /* yacc.c:1646  */
    break;

  case 905:
#line 5999 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("schemas", (Node *)(yyvsp[0].list));
				}
#line 26901 "gram.c" /* yacc.c:1646  */
    break;

  case 906:
#line 6003 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("roles", (Node *)(yyvsp[0].list));
				}
#line 26909 "gram.c" /* yacc.c:1646  */
    break;

  case 907:
#line 6007 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("roles", (Node *)(yyvsp[0].list));
				}
#line 26917 "gram.c" /* yacc.c:1646  */
    break;

  case 908:
#line 6019 "gram.y" /* yacc.c:1646  */
    {
					GrantStmt *n = makeNode(GrantStmt);
					n->is_grant = true;
					n->privileges = (yyvsp[-5].list);
					n->targtype = ACL_TARGET_DEFAULTS;
					n->objtype = (yyvsp[-3].ival);
					n->objects = NIL;
					n->grantees = (yyvsp[-1].list);
					n->grant_option = (yyvsp[0].boolean);
					(yyval.node) = (Node*)n;
				}
#line 26933 "gram.c" /* yacc.c:1646  */
    break;

  case 909:
#line 6032 "gram.y" /* yacc.c:1646  */
    {
					GrantStmt *n = makeNode(GrantStmt);
					n->is_grant = false;
					n->grant_option = false;
					n->privileges = (yyvsp[-5].list);
					n->targtype = ACL_TARGET_DEFAULTS;
					n->objtype = (yyvsp[-3].ival);
					n->objects = NIL;
					n->grantees = (yyvsp[-1].list);
					n->behavior = (yyvsp[0].dbehavior);
					(yyval.node) = (Node *)n;
				}
#line 26950 "gram.c" /* yacc.c:1646  */
    break;

  case 910:
#line 6046 "gram.y" /* yacc.c:1646  */
    {
					GrantStmt *n = makeNode(GrantStmt);
					n->is_grant = false;
					n->grant_option = true;
					n->privileges = (yyvsp[-5].list);
					n->targtype = ACL_TARGET_DEFAULTS;
					n->objtype = (yyvsp[-3].ival);
					n->objects = NIL;
					n->grantees = (yyvsp[-1].list);
					n->behavior = (yyvsp[0].dbehavior);
					(yyval.node) = (Node *)n;
				}
#line 26967 "gram.c" /* yacc.c:1646  */
    break;

  case 911:
#line 6061 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = ACL_OBJECT_RELATION; }
#line 26973 "gram.c" /* yacc.c:1646  */
    break;

  case 912:
#line 6062 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = ACL_OBJECT_FUNCTION; }
#line 26979 "gram.c" /* yacc.c:1646  */
    break;

  case 913:
#line 6063 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = ACL_OBJECT_SEQUENCE; }
#line 26985 "gram.c" /* yacc.c:1646  */
    break;

  case 914:
#line 6064 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = ACL_OBJECT_TYPE; }
#line 26991 "gram.c" /* yacc.c:1646  */
    break;

  case 915:
#line 6079 "gram.y" /* yacc.c:1646  */
    {
					IndexStmt *n = makeNode(IndexStmt);
					n->unique = (yyvsp[-12].boolean);
					n->concurrent = (yyvsp[-10].boolean);
					n->idxname = (yyvsp[-9].str);
					n->relation = (yyvsp[-7].range);
					n->accessMethod = (yyvsp[-6].str);
					n->indexParams = (yyvsp[-4].list);
					n->options = (yyvsp[-2].list);
					n->tableSpace = (yyvsp[-1].str);
					n->whereClause = (yyvsp[0].node);
					n->excludeOpNames = NIL;
					n->idxcomment = NULL;
					n->indexOid = InvalidOid;
					n->oldNode = InvalidOid;
					n->primary = false;
					n->isconstraint = false;
					n->deferrable = false;
					n->initdeferred = false;
					(yyval.node) = (Node *)n;
				}
#line 27017 "gram.c" /* yacc.c:1646  */
    break;

  case 916:
#line 6103 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = TRUE; }
#line 27023 "gram.c" /* yacc.c:1646  */
    break;

  case 917:
#line 6104 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = FALSE; }
#line 27029 "gram.c" /* yacc.c:1646  */
    break;

  case 918:
#line 6108 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = TRUE; }
#line 27035 "gram.c" /* yacc.c:1646  */
    break;

  case 919:
#line 6109 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = FALSE; }
#line 27041 "gram.c" /* yacc.c:1646  */
    break;

  case 920:
#line 6113 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 27047 "gram.c" /* yacc.c:1646  */
    break;

  case 921:
#line 6114 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = NULL; }
#line 27053 "gram.c" /* yacc.c:1646  */
    break;

  case 922:
#line 6118 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 27059 "gram.c" /* yacc.c:1646  */
    break;

  case 923:
#line 6119 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = DEFAULT_INDEX_TYPE; }
#line 27065 "gram.c" /* yacc.c:1646  */
    break;

  case 924:
#line 6122 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].ielem)); }
#line 27071 "gram.c" /* yacc.c:1646  */
    break;

  case 925:
#line 6123 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].ielem)); }
#line 27077 "gram.c" /* yacc.c:1646  */
    break;

  case 926:
#line 6132 "gram.y" /* yacc.c:1646  */
    {
					(yyval.ielem) = makeNode(IndexElem);
					(yyval.ielem)->name = (yyvsp[-4].str);
					(yyval.ielem)->expr = NULL;
					(yyval.ielem)->indexcolname = NULL;
					(yyval.ielem)->collation = (yyvsp[-3].list);
					(yyval.ielem)->opclass = (yyvsp[-2].list);
					(yyval.ielem)->ordering = (yyvsp[-1].ival);
					(yyval.ielem)->nulls_ordering = (yyvsp[0].ival);
				}
#line 27092 "gram.c" /* yacc.c:1646  */
    break;

  case 927:
#line 6143 "gram.y" /* yacc.c:1646  */
    {
					(yyval.ielem) = makeNode(IndexElem);
					(yyval.ielem)->name = NULL;
					(yyval.ielem)->expr = (yyvsp[-4].node);
					(yyval.ielem)->indexcolname = NULL;
					(yyval.ielem)->collation = (yyvsp[-3].list);
					(yyval.ielem)->opclass = (yyvsp[-2].list);
					(yyval.ielem)->ordering = (yyvsp[-1].ival);
					(yyval.ielem)->nulls_ordering = (yyvsp[0].ival);
				}
#line 27107 "gram.c" /* yacc.c:1646  */
    break;

  case 928:
#line 6154 "gram.y" /* yacc.c:1646  */
    {
					(yyval.ielem) = makeNode(IndexElem);
					(yyval.ielem)->name = NULL;
					(yyval.ielem)->expr = (yyvsp[-5].node);
					(yyval.ielem)->indexcolname = NULL;
					(yyval.ielem)->collation = (yyvsp[-3].list);
					(yyval.ielem)->opclass = (yyvsp[-2].list);
					(yyval.ielem)->ordering = (yyvsp[-1].ival);
					(yyval.ielem)->nulls_ordering = (yyvsp[0].ival);
				}
#line 27122 "gram.c" /* yacc.c:1646  */
    break;

  case 929:
#line 6166 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[0].list); }
#line 27128 "gram.c" /* yacc.c:1646  */
    break;

  case 930:
#line 6167 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 27134 "gram.c" /* yacc.c:1646  */
    break;

  case 931:
#line 6170 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[0].list); }
#line 27140 "gram.c" /* yacc.c:1646  */
    break;

  case 932:
#line 6171 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[0].list); }
#line 27146 "gram.c" /* yacc.c:1646  */
    break;

  case 933:
#line 6172 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 27152 "gram.c" /* yacc.c:1646  */
    break;

  case 934:
#line 6175 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = SORTBY_ASC; }
#line 27158 "gram.c" /* yacc.c:1646  */
    break;

  case 935:
#line 6176 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = SORTBY_DESC; }
#line 27164 "gram.c" /* yacc.c:1646  */
    break;

  case 936:
#line 6177 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = SORTBY_DEFAULT; }
#line 27170 "gram.c" /* yacc.c:1646  */
    break;

  case 937:
#line 6180 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = SORTBY_NULLS_FIRST; }
#line 27176 "gram.c" /* yacc.c:1646  */
    break;

  case 938:
#line 6181 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = SORTBY_NULLS_LAST; }
#line 27182 "gram.c" /* yacc.c:1646  */
    break;

  case 939:
#line 6182 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = SORTBY_NULLS_DEFAULT; }
#line 27188 "gram.c" /* yacc.c:1646  */
    break;

  case 940:
#line 6200 "gram.y" /* yacc.c:1646  */
    {
					CreateFunctionStmt *n = makeNode(CreateFunctionStmt);
					n->replace = (yyvsp[-7].boolean);
					n->funcname = (yyvsp[-5].list);
					n->parameters = (yyvsp[-4].list);
					n->returnType = (yyvsp[-2].typnam);
					n->options = (yyvsp[-1].list);
					n->withClause = (yyvsp[0].list);
					(yyval.node) = (Node *)n;
				}
#line 27203 "gram.c" /* yacc.c:1646  */
    break;

  case 941:
#line 6212 "gram.y" /* yacc.c:1646  */
    {
					CreateFunctionStmt *n = makeNode(CreateFunctionStmt);
					n->replace = (yyvsp[-10].boolean);
					n->funcname = (yyvsp[-8].list);
					n->parameters = mergeTableFuncParameters((yyvsp[-7].list), (yyvsp[-3].list));
					n->returnType = TableFuncTypeName((yyvsp[-3].list));
					n->returnType->location = (yylsp[-5]);
					n->options = (yyvsp[-1].list);
					n->withClause = (yyvsp[0].list);
					(yyval.node) = (Node *)n;
				}
#line 27219 "gram.c" /* yacc.c:1646  */
    break;

  case 942:
#line 6225 "gram.y" /* yacc.c:1646  */
    {
					CreateFunctionStmt *n = makeNode(CreateFunctionStmt);
					n->replace = (yyvsp[-5].boolean);
					n->funcname = (yyvsp[-3].list);
					n->parameters = (yyvsp[-2].list);
					n->returnType = NULL;
					n->options = (yyvsp[-1].list);
					n->withClause = (yyvsp[0].list);
					(yyval.node) = (Node *)n;
				}
#line 27234 "gram.c" /* yacc.c:1646  */
    break;

  case 943:
#line 6238 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = TRUE; }
#line 27240 "gram.c" /* yacc.c:1646  */
    break;

  case 944:
#line 6239 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = FALSE; }
#line 27246 "gram.c" /* yacc.c:1646  */
    break;

  case 945:
#line 6242 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[-1].list); }
#line 27252 "gram.c" /* yacc.c:1646  */
    break;

  case 946:
#line 6243 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 27258 "gram.c" /* yacc.c:1646  */
    break;

  case 947:
#line 6247 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].fun_param)); }
#line 27264 "gram.c" /* yacc.c:1646  */
    break;

  case 948:
#line 6248 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].fun_param)); }
#line 27270 "gram.c" /* yacc.c:1646  */
    break;

  case 949:
#line 6256 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[-1].list); }
#line 27276 "gram.c" /* yacc.c:1646  */
    break;

  case 950:
#line 6257 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 27282 "gram.c" /* yacc.c:1646  */
    break;

  case 951:
#line 6261 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].fun_param)); }
#line 27288 "gram.c" /* yacc.c:1646  */
    break;

  case 952:
#line 6263 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].fun_param)); }
#line 27294 "gram.c" /* yacc.c:1646  */
    break;

  case 953:
#line 6278 "gram.y" /* yacc.c:1646  */
    {
					FunctionParameter *n = makeNode(FunctionParameter);
					n->name = (yyvsp[-1].str);
					n->argType = (yyvsp[0].typnam);
					n->mode = (yyvsp[-2].fun_param_mode);
					n->defexpr = NULL;
					(yyval.fun_param) = n;
				}
#line 27307 "gram.c" /* yacc.c:1646  */
    break;

  case 954:
#line 6287 "gram.y" /* yacc.c:1646  */
    {
					FunctionParameter *n = makeNode(FunctionParameter);
					n->name = (yyvsp[-2].str);
					n->argType = (yyvsp[0].typnam);
					n->mode = (yyvsp[-1].fun_param_mode);
					n->defexpr = NULL;
					(yyval.fun_param) = n;
				}
#line 27320 "gram.c" /* yacc.c:1646  */
    break;

  case 955:
#line 6296 "gram.y" /* yacc.c:1646  */
    {
					FunctionParameter *n = makeNode(FunctionParameter);
					n->name = (yyvsp[-1].str);
					n->argType = (yyvsp[0].typnam);
					n->mode = FUNC_PARAM_IN;
					n->defexpr = NULL;
					(yyval.fun_param) = n;
				}
#line 27333 "gram.c" /* yacc.c:1646  */
    break;

  case 956:
#line 6305 "gram.y" /* yacc.c:1646  */
    {
					FunctionParameter *n = makeNode(FunctionParameter);
					n->name = NULL;
					n->argType = (yyvsp[0].typnam);
					n->mode = (yyvsp[-1].fun_param_mode);
					n->defexpr = NULL;
					(yyval.fun_param) = n;
				}
#line 27346 "gram.c" /* yacc.c:1646  */
    break;

  case 957:
#line 6314 "gram.y" /* yacc.c:1646  */
    {
					FunctionParameter *n = makeNode(FunctionParameter);
					n->name = NULL;
					n->argType = (yyvsp[0].typnam);
					n->mode = FUNC_PARAM_IN;
					n->defexpr = NULL;
					(yyval.fun_param) = n;
				}
#line 27359 "gram.c" /* yacc.c:1646  */
    break;

  case 958:
#line 6325 "gram.y" /* yacc.c:1646  */
    { (yyval.fun_param_mode) = FUNC_PARAM_IN; }
#line 27365 "gram.c" /* yacc.c:1646  */
    break;

  case 959:
#line 6326 "gram.y" /* yacc.c:1646  */
    { (yyval.fun_param_mode) = FUNC_PARAM_OUT; }
#line 27371 "gram.c" /* yacc.c:1646  */
    break;

  case 960:
#line 6327 "gram.y" /* yacc.c:1646  */
    { (yyval.fun_param_mode) = FUNC_PARAM_INOUT; }
#line 27377 "gram.c" /* yacc.c:1646  */
    break;

  case 961:
#line 6328 "gram.y" /* yacc.c:1646  */
    { (yyval.fun_param_mode) = FUNC_PARAM_INOUT; }
#line 27383 "gram.c" /* yacc.c:1646  */
    break;

  case 962:
#line 6329 "gram.y" /* yacc.c:1646  */
    { (yyval.fun_param_mode) = FUNC_PARAM_VARIADIC; }
#line 27389 "gram.c" /* yacc.c:1646  */
    break;

  case 964:
#line 6340 "gram.y" /* yacc.c:1646  */
    {
					/* We can catch over-specified results here if we want to,
					 * but for now better to silently swallow typmod, etc.
					 * - thomas 2000-03-22
					 */
					(yyval.typnam) = (yyvsp[0].typnam);
				}
#line 27401 "gram.c" /* yacc.c:1646  */
    break;

  case 965:
#line 6354 "gram.y" /* yacc.c:1646  */
    { (yyval.typnam) = (yyvsp[0].typnam); }
#line 27407 "gram.c" /* yacc.c:1646  */
    break;

  case 966:
#line 6356 "gram.y" /* yacc.c:1646  */
    {
					(yyval.typnam) = makeTypeNameFromNameList(lcons(makeString((yyvsp[-3].str)), (yyvsp[-2].list)));
					(yyval.typnam)->pct_type = true;
					(yyval.typnam)->location = (yylsp[-3]);
				}
#line 27417 "gram.c" /* yacc.c:1646  */
    break;

  case 967:
#line 6362 "gram.y" /* yacc.c:1646  */
    {
					(yyval.typnam) = makeTypeNameFromNameList(lcons(makeString((yyvsp[-3].str)), (yyvsp[-2].list)));
					(yyval.typnam)->pct_type = true;
					(yyval.typnam)->setof = TRUE;
					(yyval.typnam)->location = (yylsp[-3]);
				}
#line 27428 "gram.c" /* yacc.c:1646  */
    break;

  case 968:
#line 6372 "gram.y" /* yacc.c:1646  */
    {
					(yyval.fun_param) = (yyvsp[0].fun_param);
				}
#line 27436 "gram.c" /* yacc.c:1646  */
    break;

  case 969:
#line 6376 "gram.y" /* yacc.c:1646  */
    {
					(yyval.fun_param) = (yyvsp[-2].fun_param);
					(yyval.fun_param)->defexpr = (yyvsp[0].node);
				}
#line 27445 "gram.c" /* yacc.c:1646  */
    break;

  case 970:
#line 6381 "gram.y" /* yacc.c:1646  */
    {
					(yyval.fun_param) = (yyvsp[-2].fun_param);
					(yyval.fun_param)->defexpr = (yyvsp[0].node);
				}
#line 27454 "gram.c" /* yacc.c:1646  */
    break;

  case 971:
#line 6390 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].defelt)); }
#line 27460 "gram.c" /* yacc.c:1646  */
    break;

  case 972:
#line 6391 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-1].list), (yyvsp[0].defelt)); }
#line 27466 "gram.c" /* yacc.c:1646  */
    break;

  case 973:
#line 6399 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("strict", (Node *)makeInteger(FALSE));
				}
#line 27474 "gram.c" /* yacc.c:1646  */
    break;

  case 974:
#line 6403 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("strict", (Node *)makeInteger(TRUE));
				}
#line 27482 "gram.c" /* yacc.c:1646  */
    break;

  case 975:
#line 6407 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("strict", (Node *)makeInteger(TRUE));
				}
#line 27490 "gram.c" /* yacc.c:1646  */
    break;

  case 976:
#line 6411 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("volatility", (Node *)makeString("immutable"));
				}
#line 27498 "gram.c" /* yacc.c:1646  */
    break;

  case 977:
#line 6415 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("volatility", (Node *)makeString("stable"));
				}
#line 27506 "gram.c" /* yacc.c:1646  */
    break;

  case 978:
#line 6419 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("volatility", (Node *)makeString("volatile"));
				}
#line 27514 "gram.c" /* yacc.c:1646  */
    break;

  case 979:
#line 6423 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("security", (Node *)makeInteger(TRUE));
				}
#line 27522 "gram.c" /* yacc.c:1646  */
    break;

  case 980:
#line 6427 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("security", (Node *)makeInteger(FALSE));
				}
#line 27530 "gram.c" /* yacc.c:1646  */
    break;

  case 981:
#line 6431 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("security", (Node *)makeInteger(TRUE));
				}
#line 27538 "gram.c" /* yacc.c:1646  */
    break;

  case 982:
#line 6435 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("security", (Node *)makeInteger(FALSE));
				}
#line 27546 "gram.c" /* yacc.c:1646  */
    break;

  case 983:
#line 6439 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("leakproof", (Node *)makeInteger(TRUE));
				}
#line 27554 "gram.c" /* yacc.c:1646  */
    break;

  case 984:
#line 6443 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("leakproof", (Node *)makeInteger(FALSE));
				}
#line 27562 "gram.c" /* yacc.c:1646  */
    break;

  case 985:
#line 6447 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("cost", (Node *)(yyvsp[0].value));
				}
#line 27570 "gram.c" /* yacc.c:1646  */
    break;

  case 986:
#line 6451 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("rows", (Node *)(yyvsp[0].value));
				}
#line 27578 "gram.c" /* yacc.c:1646  */
    break;

  case 987:
#line 6455 "gram.y" /* yacc.c:1646  */
    {
					/* we abuse the normal content of a DefElem here */
					(yyval.defelt) = makeDefElem("set", (Node *)(yyvsp[0].vsetstmt));
				}
#line 27587 "gram.c" /* yacc.c:1646  */
    break;

  case 988:
#line 6463 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("as", (Node *)(yyvsp[0].list));
				}
#line 27595 "gram.c" /* yacc.c:1646  */
    break;

  case 989:
#line 6467 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("language", (Node *)makeString((yyvsp[0].str)));
				}
#line 27603 "gram.c" /* yacc.c:1646  */
    break;

  case 990:
#line 6471 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("window", (Node *)makeInteger(TRUE));
				}
#line 27611 "gram.c" /* yacc.c:1646  */
    break;

  case 991:
#line 6475 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = (yyvsp[0].defelt);
				}
#line 27619 "gram.c" /* yacc.c:1646  */
    break;

  case 992:
#line 6480 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1(makeString((yyvsp[0].str))); }
#line 27625 "gram.c" /* yacc.c:1646  */
    break;

  case 993:
#line 6482 "gram.y" /* yacc.c:1646  */
    {
					(yyval.list) = list_make2(makeString((yyvsp[-2].str)), makeString((yyvsp[0].str)));
				}
#line 27633 "gram.c" /* yacc.c:1646  */
    break;

  case 994:
#line 6488 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[0].list); }
#line 27639 "gram.c" /* yacc.c:1646  */
    break;

  case 995:
#line 6489 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 27645 "gram.c" /* yacc.c:1646  */
    break;

  case 996:
#line 6493 "gram.y" /* yacc.c:1646  */
    {
					FunctionParameter *n = makeNode(FunctionParameter);
					n->name = (yyvsp[-1].str);
					n->argType = (yyvsp[0].typnam);
					n->mode = FUNC_PARAM_TABLE;
					n->defexpr = NULL;
					(yyval.fun_param) = n;
				}
#line 27658 "gram.c" /* yacc.c:1646  */
    break;

  case 997:
#line 6505 "gram.y" /* yacc.c:1646  */
    {
					(yyval.list) = list_make1((yyvsp[0].fun_param));
				}
#line 27666 "gram.c" /* yacc.c:1646  */
    break;

  case 998:
#line 6509 "gram.y" /* yacc.c:1646  */
    {
					(yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].fun_param));
				}
#line 27674 "gram.c" /* yacc.c:1646  */
    break;

  case 999:
#line 6524 "gram.y" /* yacc.c:1646  */
    {
					AlterFunctionStmt *n = makeNode(AlterFunctionStmt);
					n->func = (yyvsp[-2].funwithargs);
					n->actions = (yyvsp[-1].list);
					(yyval.node) = (Node *) n;
				}
#line 27685 "gram.c" /* yacc.c:1646  */
    break;

  case 1000:
#line 6534 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].defelt)); }
#line 27691 "gram.c" /* yacc.c:1646  */
    break;

  case 1001:
#line 6535 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-1].list), (yyvsp[0].defelt)); }
#line 27697 "gram.c" /* yacc.c:1646  */
    break;

  case 1004:
#line 6557 "gram.y" /* yacc.c:1646  */
    {
					DropStmt *n = makeNode(DropStmt);
					n->removeType = OBJECT_FUNCTION;
					n->objects = list_make1((yyvsp[-2].list));
					n->arguments = list_make1(extractArgTypes((yyvsp[-1].list)));
					n->behavior = (yyvsp[0].dbehavior);
					n->missing_ok = false;
					n->concurrent = false;
					(yyval.node) = (Node *)n;
				}
#line 27712 "gram.c" /* yacc.c:1646  */
    break;

  case 1005:
#line 6568 "gram.y" /* yacc.c:1646  */
    {
					DropStmt *n = makeNode(DropStmt);
					n->removeType = OBJECT_FUNCTION;
					n->objects = list_make1((yyvsp[-2].list));
					n->arguments = list_make1(extractArgTypes((yyvsp[-1].list)));
					n->behavior = (yyvsp[0].dbehavior);
					n->missing_ok = true;
					n->concurrent = false;
					(yyval.node) = (Node *)n;
				}
#line 27727 "gram.c" /* yacc.c:1646  */
    break;

  case 1006:
#line 6582 "gram.y" /* yacc.c:1646  */
    {
					DropStmt *n = makeNode(DropStmt);
					n->removeType = OBJECT_AGGREGATE;
					n->objects = list_make1((yyvsp[-2].list));
					n->arguments = list_make1((yyvsp[-1].list));
					n->behavior = (yyvsp[0].dbehavior);
					n->missing_ok = false;
					n->concurrent = false;
					(yyval.node) = (Node *)n;
				}
#line 27742 "gram.c" /* yacc.c:1646  */
    break;

  case 1007:
#line 6593 "gram.y" /* yacc.c:1646  */
    {
					DropStmt *n = makeNode(DropStmt);
					n->removeType = OBJECT_AGGREGATE;
					n->objects = list_make1((yyvsp[-2].list));
					n->arguments = list_make1((yyvsp[-1].list));
					n->behavior = (yyvsp[0].dbehavior);
					n->missing_ok = true;
					n->concurrent = false;
					(yyval.node) = (Node *)n;
				}
#line 27757 "gram.c" /* yacc.c:1646  */
    break;

  case 1008:
#line 6607 "gram.y" /* yacc.c:1646  */
    {
					DropStmt *n = makeNode(DropStmt);
					n->removeType = OBJECT_OPERATOR;
					n->objects = list_make1((yyvsp[-2].list));
					n->arguments = list_make1((yyvsp[-1].list));
					n->behavior = (yyvsp[0].dbehavior);
					n->missing_ok = false;
					n->concurrent = false;
					(yyval.node) = (Node *)n;
				}
#line 27772 "gram.c" /* yacc.c:1646  */
    break;

  case 1009:
#line 6618 "gram.y" /* yacc.c:1646  */
    {
					DropStmt *n = makeNode(DropStmt);
					n->removeType = OBJECT_OPERATOR;
					n->objects = list_make1((yyvsp[-2].list));
					n->arguments = list_make1((yyvsp[-1].list));
					n->behavior = (yyvsp[0].dbehavior);
					n->missing_ok = true;
					n->concurrent = false;
					(yyval.node) = (Node *)n;
				}
#line 27787 "gram.c" /* yacc.c:1646  */
    break;

  case 1010:
#line 6632 "gram.y" /* yacc.c:1646  */
    {
				   ereport(ERROR,
						   (errcode(ERRCODE_SYNTAX_ERROR),
							errmsg("missing argument"),
							errhint("Use NONE to denote the missing argument of a unary operator."),
							parser_errposition((yylsp[0]))));
				}
#line 27799 "gram.c" /* yacc.c:1646  */
    break;

  case 1011:
#line 6640 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make2((yyvsp[-3].typnam), (yyvsp[-1].typnam)); }
#line 27805 "gram.c" /* yacc.c:1646  */
    break;

  case 1012:
#line 6642 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make2(NULL, (yyvsp[-1].typnam)); }
#line 27811 "gram.c" /* yacc.c:1646  */
    break;

  case 1013:
#line 6644 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make2((yyvsp[-3].typnam), NULL); }
#line 27817 "gram.c" /* yacc.c:1646  */
    break;

  case 1014:
#line 6649 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1(makeString((yyvsp[0].str))); }
#line 27823 "gram.c" /* yacc.c:1646  */
    break;

  case 1015:
#line 6651 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lcons(makeString((yyvsp[-2].str)), (yyvsp[0].list)); }
#line 27829 "gram.c" /* yacc.c:1646  */
    break;

  case 1016:
#line 6664 "gram.y" /* yacc.c:1646  */
    {
					DoStmt *n = makeNode(DoStmt);
					n->args = (yyvsp[0].list);
					(yyval.node) = (Node *)n;
				}
#line 27839 "gram.c" /* yacc.c:1646  */
    break;

  case 1017:
#line 6672 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].defelt)); }
#line 27845 "gram.c" /* yacc.c:1646  */
    break;

  case 1018:
#line 6673 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-1].list), (yyvsp[0].defelt)); }
#line 27851 "gram.c" /* yacc.c:1646  */
    break;

  case 1019:
#line 6678 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("as", (Node *)makeString((yyvsp[0].str)));
				}
#line 27859 "gram.c" /* yacc.c:1646  */
    break;

  case 1020:
#line 6682 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("language", (Node *)makeString((yyvsp[0].str)));
				}
#line 27867 "gram.c" /* yacc.c:1646  */
    break;

  case 1021:
#line 6695 "gram.y" /* yacc.c:1646  */
    {
					CreateCastStmt *n = makeNode(CreateCastStmt);
					n->sourcetype = (yyvsp[-7].typnam);
					n->targettype = (yyvsp[-5].typnam);
					n->func = (yyvsp[-1].funwithargs);
					n->context = (CoercionContext) (yyvsp[0].ival);
					n->inout = false;
					(yyval.node) = (Node *)n;
				}
#line 27881 "gram.c" /* yacc.c:1646  */
    break;

  case 1022:
#line 6706 "gram.y" /* yacc.c:1646  */
    {
					CreateCastStmt *n = makeNode(CreateCastStmt);
					n->sourcetype = (yyvsp[-6].typnam);
					n->targettype = (yyvsp[-4].typnam);
					n->func = NULL;
					n->context = (CoercionContext) (yyvsp[0].ival);
					n->inout = false;
					(yyval.node) = (Node *)n;
				}
#line 27895 "gram.c" /* yacc.c:1646  */
    break;

  case 1023:
#line 6717 "gram.y" /* yacc.c:1646  */
    {
					CreateCastStmt *n = makeNode(CreateCastStmt);
					n->sourcetype = (yyvsp[-6].typnam);
					n->targettype = (yyvsp[-4].typnam);
					n->func = NULL;
					n->context = (CoercionContext) (yyvsp[0].ival);
					n->inout = true;
					(yyval.node) = (Node *)n;
				}
#line 27909 "gram.c" /* yacc.c:1646  */
    break;

  case 1024:
#line 6728 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = COERCION_IMPLICIT; }
#line 27915 "gram.c" /* yacc.c:1646  */
    break;

  case 1025:
#line 6729 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = COERCION_ASSIGNMENT; }
#line 27921 "gram.c" /* yacc.c:1646  */
    break;

  case 1026:
#line 6730 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = COERCION_EXPLICIT; }
#line 27927 "gram.c" /* yacc.c:1646  */
    break;

  case 1027:
#line 6735 "gram.y" /* yacc.c:1646  */
    {
					DropStmt *n = makeNode(DropStmt);
					n->removeType = OBJECT_CAST;
					n->objects = list_make1(list_make1((yyvsp[-4].typnam)));
					n->arguments = list_make1(list_make1((yyvsp[-2].typnam)));
					n->behavior = (yyvsp[0].dbehavior);
					n->missing_ok = (yyvsp[-6].boolean);
					n->concurrent = false;
					(yyval.node) = (Node *)n;
				}
#line 27942 "gram.c" /* yacc.c:1646  */
    break;

  case 1028:
#line 6747 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = TRUE; }
#line 27948 "gram.c" /* yacc.c:1646  */
    break;

  case 1029:
#line 6748 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = FALSE; }
#line 27954 "gram.c" /* yacc.c:1646  */
    break;

  case 1030:
#line 6763 "gram.y" /* yacc.c:1646  */
    {
					ReindexStmt *n = makeNode(ReindexStmt);
					n->kind = (yyvsp[-2].objtype);
					n->relation = (yyvsp[-1].range);
					n->name = NULL;
					(yyval.node) = (Node *)n;
				}
#line 27966 "gram.c" /* yacc.c:1646  */
    break;

  case 1031:
#line 6771 "gram.y" /* yacc.c:1646  */
    {
					ReindexStmt *n = makeNode(ReindexStmt);
					n->kind = OBJECT_DATABASE;
					n->name = (yyvsp[-1].str);
					n->relation = NULL;
					n->do_system = true;
					n->do_user = false;
					(yyval.node) = (Node *)n;
				}
#line 27980 "gram.c" /* yacc.c:1646  */
    break;

  case 1032:
#line 6781 "gram.y" /* yacc.c:1646  */
    {
					ReindexStmt *n = makeNode(ReindexStmt);
					n->kind = OBJECT_DATABASE;
					n->name = (yyvsp[-1].str);
					n->relation = NULL;
					n->do_system = true;
					n->do_user = true;
					(yyval.node) = (Node *)n;
				}
#line 27994 "gram.c" /* yacc.c:1646  */
    break;

  case 1033:
#line 6793 "gram.y" /* yacc.c:1646  */
    { (yyval.objtype) = OBJECT_INDEX; }
#line 28000 "gram.c" /* yacc.c:1646  */
    break;

  case 1034:
#line 6794 "gram.y" /* yacc.c:1646  */
    { (yyval.objtype) = OBJECT_TABLE; }
#line 28006 "gram.c" /* yacc.c:1646  */
    break;

  case 1035:
#line 6797 "gram.y" /* yacc.c:1646  */
    {  (yyval.boolean) = TRUE; }
#line 28012 "gram.c" /* yacc.c:1646  */
    break;

  case 1036:
#line 6798 "gram.y" /* yacc.c:1646  */
    {  (yyval.boolean) = FALSE; }
#line 28018 "gram.c" /* yacc.c:1646  */
    break;

  case 1037:
#line 6809 "gram.y" /* yacc.c:1646  */
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_AGGREGATE;
					n->object = (yyvsp[-4].list);
					n->objarg = (yyvsp[-3].list);
					n->newname = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 28032 "gram.c" /* yacc.c:1646  */
    break;

  case 1038:
#line 6819 "gram.y" /* yacc.c:1646  */
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_COLLATION;
					n->object = (yyvsp[-3].list);
					n->newname = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 28045 "gram.c" /* yacc.c:1646  */
    break;

  case 1039:
#line 6828 "gram.y" /* yacc.c:1646  */
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_CONVERSION;
					n->object = (yyvsp[-3].list);
					n->newname = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 28058 "gram.c" /* yacc.c:1646  */
    break;

  case 1040:
#line 6837 "gram.y" /* yacc.c:1646  */
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_DATABASE;
					n->subname = (yyvsp[-3].str);
					n->newname = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 28071 "gram.c" /* yacc.c:1646  */
    break;

  case 1041:
#line 6846 "gram.y" /* yacc.c:1646  */
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_DOMAIN;
					n->object = (yyvsp[-3].list);
					n->newname = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 28084 "gram.c" /* yacc.c:1646  */
    break;

  case 1042:
#line 6855 "gram.y" /* yacc.c:1646  */
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_CONSTRAINT;
					n->relationType = OBJECT_DOMAIN;
					n->object = (yyvsp[-5].list);
					n->subname = (yyvsp[-2].str);
					n->newname = (yyvsp[0].str);
					(yyval.node) = (Node *)n;
				}
#line 28098 "gram.c" /* yacc.c:1646  */
    break;

  case 1043:
#line 6865 "gram.y" /* yacc.c:1646  */
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_FDW;
					n->object = list_make1(makeString((yyvsp[-3].str)));
					n->newname = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 28111 "gram.c" /* yacc.c:1646  */
    break;

  case 1044:
#line 6874 "gram.y" /* yacc.c:1646  */
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_FUNCTION;
					n->object = (yyvsp[-3].funwithargs)->funcname;
					n->objarg = (yyvsp[-3].funwithargs)->funcargs;
					n->newname = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 28125 "gram.c" /* yacc.c:1646  */
    break;

  case 1045:
#line 6884 "gram.y" /* yacc.c:1646  */
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_ROLE;
					n->subname = (yyvsp[-3].str);
					n->newname = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 28138 "gram.c" /* yacc.c:1646  */
    break;

  case 1046:
#line 6893 "gram.y" /* yacc.c:1646  */
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_LANGUAGE;
					n->object = list_make1(makeString((yyvsp[-3].str)));
					n->newname = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 28151 "gram.c" /* yacc.c:1646  */
    break;

  case 1047:
#line 6902 "gram.y" /* yacc.c:1646  */
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_OPCLASS;
					n->object = (yyvsp[-5].list);
					n->objarg = list_make1(makeString((yyvsp[-3].str)));
					n->newname = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 28165 "gram.c" /* yacc.c:1646  */
    break;

  case 1048:
#line 6912 "gram.y" /* yacc.c:1646  */
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_OPFAMILY;
					n->object = (yyvsp[-5].list);
					n->objarg = list_make1(makeString((yyvsp[-3].str)));
					n->newname = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 28179 "gram.c" /* yacc.c:1646  */
    break;

  case 1049:
#line 6922 "gram.y" /* yacc.c:1646  */
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_SCHEMA;
					n->subname = (yyvsp[-3].str);
					n->newname = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 28192 "gram.c" /* yacc.c:1646  */
    break;

  case 1050:
#line 6931 "gram.y" /* yacc.c:1646  */
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_FOREIGN_SERVER;
					n->object = list_make1(makeString((yyvsp[-3].str)));
					n->newname = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 28205 "gram.c" /* yacc.c:1646  */
    break;

  case 1051:
#line 6940 "gram.y" /* yacc.c:1646  */
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_TABLE;
					n->relation = (yyvsp[-3].range);
					n->subname = NULL;
					n->newname = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 28219 "gram.c" /* yacc.c:1646  */
    break;

  case 1052:
#line 6950 "gram.y" /* yacc.c:1646  */
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_TABLE;
					n->relation = (yyvsp[-3].range);
					n->subname = NULL;
					n->newname = (yyvsp[0].str);
					n->missing_ok = true;
					(yyval.node) = (Node *)n;
				}
#line 28233 "gram.c" /* yacc.c:1646  */
    break;

  case 1053:
#line 6960 "gram.y" /* yacc.c:1646  */
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_SEQUENCE;
					n->relation = (yyvsp[-3].range);
					n->subname = NULL;
					n->newname = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 28247 "gram.c" /* yacc.c:1646  */
    break;

  case 1054:
#line 6970 "gram.y" /* yacc.c:1646  */
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_SEQUENCE;
					n->relation = (yyvsp[-3].range);
					n->subname = NULL;
					n->newname = (yyvsp[0].str);
					n->missing_ok = true;
					(yyval.node) = (Node *)n;
				}
#line 28261 "gram.c" /* yacc.c:1646  */
    break;

  case 1055:
#line 6980 "gram.y" /* yacc.c:1646  */
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_VIEW;
					n->relation = (yyvsp[-3].range);
					n->subname = NULL;
					n->newname = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 28275 "gram.c" /* yacc.c:1646  */
    break;

  case 1056:
#line 6990 "gram.y" /* yacc.c:1646  */
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_VIEW;
					n->relation = (yyvsp[-3].range);
					n->subname = NULL;
					n->newname = (yyvsp[0].str);
					n->missing_ok = true;
					(yyval.node) = (Node *)n;
				}
#line 28289 "gram.c" /* yacc.c:1646  */
    break;

  case 1057:
#line 7000 "gram.y" /* yacc.c:1646  */
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_MATVIEW;
					n->relation = (yyvsp[-3].range);
					n->subname = NULL;
					n->newname = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 28303 "gram.c" /* yacc.c:1646  */
    break;

  case 1058:
#line 7010 "gram.y" /* yacc.c:1646  */
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_MATVIEW;
					n->relation = (yyvsp[-3].range);
					n->subname = NULL;
					n->newname = (yyvsp[0].str);
					n->missing_ok = true;
					(yyval.node) = (Node *)n;
				}
#line 28317 "gram.c" /* yacc.c:1646  */
    break;

  case 1059:
#line 7020 "gram.y" /* yacc.c:1646  */
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_INDEX;
					n->relation = (yyvsp[-3].range);
					n->subname = NULL;
					n->newname = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 28331 "gram.c" /* yacc.c:1646  */
    break;

  case 1060:
#line 7030 "gram.y" /* yacc.c:1646  */
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_INDEX;
					n->relation = (yyvsp[-3].range);
					n->subname = NULL;
					n->newname = (yyvsp[0].str);
					n->missing_ok = true;
					(yyval.node) = (Node *)n;
				}
#line 28345 "gram.c" /* yacc.c:1646  */
    break;

  case 1061:
#line 7040 "gram.y" /* yacc.c:1646  */
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_FOREIGN_TABLE;
					n->relation = (yyvsp[-3].range);
					n->subname = NULL;
					n->newname = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 28359 "gram.c" /* yacc.c:1646  */
    break;

  case 1062:
#line 7050 "gram.y" /* yacc.c:1646  */
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_FOREIGN_TABLE;
					n->relation = (yyvsp[-3].range);
					n->subname = NULL;
					n->newname = (yyvsp[0].str);
					n->missing_ok = true;
					(yyval.node) = (Node *)n;
				}
#line 28373 "gram.c" /* yacc.c:1646  */
    break;

  case 1063:
#line 7060 "gram.y" /* yacc.c:1646  */
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_COLUMN;
					n->relationType = OBJECT_TABLE;
					n->relation = (yyvsp[-5].range);
					n->subname = (yyvsp[-2].str);
					n->newname = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 28388 "gram.c" /* yacc.c:1646  */
    break;

  case 1064:
#line 7071 "gram.y" /* yacc.c:1646  */
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_COLUMN;
					n->relationType = OBJECT_TABLE;
					n->relation = (yyvsp[-5].range);
					n->subname = (yyvsp[-2].str);
					n->newname = (yyvsp[0].str);
					n->missing_ok = true;
					(yyval.node) = (Node *)n;
				}
#line 28403 "gram.c" /* yacc.c:1646  */
    break;

  case 1065:
#line 7082 "gram.y" /* yacc.c:1646  */
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_COLUMN;
					n->relationType = OBJECT_MATVIEW;
					n->relation = (yyvsp[-5].range);
					n->subname = (yyvsp[-2].str);
					n->newname = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 28418 "gram.c" /* yacc.c:1646  */
    break;

  case 1066:
#line 7093 "gram.y" /* yacc.c:1646  */
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_COLUMN;
					n->relationType = OBJECT_MATVIEW;
					n->relation = (yyvsp[-5].range);
					n->subname = (yyvsp[-2].str);
					n->newname = (yyvsp[0].str);
					n->missing_ok = true;
					(yyval.node) = (Node *)n;
				}
#line 28433 "gram.c" /* yacc.c:1646  */
    break;

  case 1067:
#line 7104 "gram.y" /* yacc.c:1646  */
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_CONSTRAINT;
					n->relationType = OBJECT_TABLE;
					n->relation = (yyvsp[-5].range);
					n->subname = (yyvsp[-2].str);
					n->newname = (yyvsp[0].str);
					(yyval.node) = (Node *)n;
				}
#line 28447 "gram.c" /* yacc.c:1646  */
    break;

  case 1068:
#line 7114 "gram.y" /* yacc.c:1646  */
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_COLUMN;
					n->relationType = OBJECT_FOREIGN_TABLE;
					n->relation = (yyvsp[-5].range);
					n->subname = (yyvsp[-2].str);
					n->newname = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 28462 "gram.c" /* yacc.c:1646  */
    break;

  case 1069:
#line 7125 "gram.y" /* yacc.c:1646  */
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_COLUMN;
					n->relationType = OBJECT_FOREIGN_TABLE;
					n->relation = (yyvsp[-5].range);
					n->subname = (yyvsp[-2].str);
					n->newname = (yyvsp[0].str);
					n->missing_ok = true;
					(yyval.node) = (Node *)n;
				}
#line 28477 "gram.c" /* yacc.c:1646  */
    break;

  case 1070:
#line 7136 "gram.y" /* yacc.c:1646  */
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_RULE;
					n->relation = (yyvsp[-3].range);
					n->subname = (yyvsp[-5].str);
					n->newname = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 28491 "gram.c" /* yacc.c:1646  */
    break;

  case 1071:
#line 7146 "gram.y" /* yacc.c:1646  */
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_TRIGGER;
					n->relation = (yyvsp[-3].range);
					n->subname = (yyvsp[-5].str);
					n->newname = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 28505 "gram.c" /* yacc.c:1646  */
    break;

  case 1072:
#line 7156 "gram.y" /* yacc.c:1646  */
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_EVENT_TRIGGER;
					n->object = list_make1(makeString((yyvsp[-3].str)));
					n->newname = (yyvsp[0].str);
					(yyval.node) = (Node *)n;
				}
#line 28517 "gram.c" /* yacc.c:1646  */
    break;

  case 1073:
#line 7164 "gram.y" /* yacc.c:1646  */
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_ROLE;
					n->subname = (yyvsp[-3].str);
					n->newname = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 28530 "gram.c" /* yacc.c:1646  */
    break;

  case 1074:
#line 7173 "gram.y" /* yacc.c:1646  */
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_ROLE;
					n->subname = (yyvsp[-3].str);
					n->newname = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 28543 "gram.c" /* yacc.c:1646  */
    break;

  case 1075:
#line 7182 "gram.y" /* yacc.c:1646  */
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_TABLESPACE;
					n->subname = (yyvsp[-3].str);
					n->newname = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 28556 "gram.c" /* yacc.c:1646  */
    break;

  case 1076:
#line 7191 "gram.y" /* yacc.c:1646  */
    {
					AlterTableSpaceOptionsStmt *n =
						makeNode(AlterTableSpaceOptionsStmt);
					n->tablespacename = (yyvsp[-2].str);
					n->options = (yyvsp[0].list);
					n->isReset = FALSE;
					(yyval.node) = (Node *)n;
				}
#line 28569 "gram.c" /* yacc.c:1646  */
    break;

  case 1077:
#line 7200 "gram.y" /* yacc.c:1646  */
    {
					AlterTableSpaceOptionsStmt *n =
						makeNode(AlterTableSpaceOptionsStmt);
					n->tablespacename = (yyvsp[-2].str);
					n->options = (yyvsp[0].list);
					n->isReset = TRUE;
					(yyval.node) = (Node *)n;
				}
#line 28582 "gram.c" /* yacc.c:1646  */
    break;

  case 1078:
#line 7209 "gram.y" /* yacc.c:1646  */
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_TSPARSER;
					n->object = (yyvsp[-3].list);
					n->newname = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 28595 "gram.c" /* yacc.c:1646  */
    break;

  case 1079:
#line 7218 "gram.y" /* yacc.c:1646  */
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_TSDICTIONARY;
					n->object = (yyvsp[-3].list);
					n->newname = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 28608 "gram.c" /* yacc.c:1646  */
    break;

  case 1080:
#line 7227 "gram.y" /* yacc.c:1646  */
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_TSTEMPLATE;
					n->object = (yyvsp[-3].list);
					n->newname = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 28621 "gram.c" /* yacc.c:1646  */
    break;

  case 1081:
#line 7236 "gram.y" /* yacc.c:1646  */
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_TSCONFIGURATION;
					n->object = (yyvsp[-3].list);
					n->newname = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 28634 "gram.c" /* yacc.c:1646  */
    break;

  case 1082:
#line 7245 "gram.y" /* yacc.c:1646  */
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_TYPE;
					n->object = (yyvsp[-3].list);
					n->newname = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 28647 "gram.c" /* yacc.c:1646  */
    break;

  case 1083:
#line 7254 "gram.y" /* yacc.c:1646  */
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_ATTRIBUTE;
					n->relationType = OBJECT_TYPE;
					n->relation = makeRangeVarFromAnyName((yyvsp[-6].list), (yylsp[-6]), yyscanner);
					n->subname = (yyvsp[-3].str);
					n->newname = (yyvsp[-1].str);
					n->behavior = (yyvsp[0].dbehavior);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 28663 "gram.c" /* yacc.c:1646  */
    break;

  case 1084:
#line 7267 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = COLUMN; }
#line 28669 "gram.c" /* yacc.c:1646  */
    break;

  case 1085:
#line 7268 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = 0; }
#line 28675 "gram.c" /* yacc.c:1646  */
    break;

  case 1086:
#line 7271 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = 1; }
#line 28681 "gram.c" /* yacc.c:1646  */
    break;

  case 1087:
#line 7272 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = 0; }
#line 28687 "gram.c" /* yacc.c:1646  */
    break;

  case 1088:
#line 7283 "gram.y" /* yacc.c:1646  */
    {
					AlterObjectSchemaStmt *n = makeNode(AlterObjectSchemaStmt);
					n->objectType = OBJECT_AGGREGATE;
					n->object = (yyvsp[-4].list);
					n->objarg = (yyvsp[-3].list);
					n->newschema = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 28701 "gram.c" /* yacc.c:1646  */
    break;

  case 1089:
#line 7293 "gram.y" /* yacc.c:1646  */
    {
					AlterObjectSchemaStmt *n = makeNode(AlterObjectSchemaStmt);
					n->objectType = OBJECT_COLLATION;
					n->object = (yyvsp[-3].list);
					n->newschema = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 28714 "gram.c" /* yacc.c:1646  */
    break;

  case 1090:
#line 7302 "gram.y" /* yacc.c:1646  */
    {
					AlterObjectSchemaStmt *n = makeNode(AlterObjectSchemaStmt);
					n->objectType = OBJECT_CONVERSION;
					n->object = (yyvsp[-3].list);
					n->newschema = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 28727 "gram.c" /* yacc.c:1646  */
    break;

  case 1091:
#line 7311 "gram.y" /* yacc.c:1646  */
    {
					AlterObjectSchemaStmt *n = makeNode(AlterObjectSchemaStmt);
					n->objectType = OBJECT_DOMAIN;
					n->object = (yyvsp[-3].list);
					n->newschema = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 28740 "gram.c" /* yacc.c:1646  */
    break;

  case 1092:
#line 7320 "gram.y" /* yacc.c:1646  */
    {
					AlterObjectSchemaStmt *n = makeNode(AlterObjectSchemaStmt);
					n->objectType = OBJECT_EXTENSION;
					n->object = (yyvsp[-3].list);
					n->newschema = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 28753 "gram.c" /* yacc.c:1646  */
    break;

  case 1093:
#line 7329 "gram.y" /* yacc.c:1646  */
    {
					AlterObjectSchemaStmt *n = makeNode(AlterObjectSchemaStmt);
					n->objectType = OBJECT_FUNCTION;
					n->object = (yyvsp[-3].funwithargs)->funcname;
					n->objarg = (yyvsp[-3].funwithargs)->funcargs;
					n->newschema = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 28767 "gram.c" /* yacc.c:1646  */
    break;

  case 1094:
#line 7339 "gram.y" /* yacc.c:1646  */
    {
					AlterObjectSchemaStmt *n = makeNode(AlterObjectSchemaStmt);
					n->objectType = OBJECT_OPERATOR;
					n->object = (yyvsp[-4].list);
					n->objarg = (yyvsp[-3].list);
					n->newschema = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 28781 "gram.c" /* yacc.c:1646  */
    break;

  case 1095:
#line 7349 "gram.y" /* yacc.c:1646  */
    {
					AlterObjectSchemaStmt *n = makeNode(AlterObjectSchemaStmt);
					n->objectType = OBJECT_OPCLASS;
					n->object = (yyvsp[-5].list);
					n->objarg = list_make1(makeString((yyvsp[-3].str)));
					n->newschema = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 28795 "gram.c" /* yacc.c:1646  */
    break;

  case 1096:
#line 7359 "gram.y" /* yacc.c:1646  */
    {
					AlterObjectSchemaStmt *n = makeNode(AlterObjectSchemaStmt);
					n->objectType = OBJECT_OPFAMILY;
					n->object = (yyvsp[-5].list);
					n->objarg = list_make1(makeString((yyvsp[-3].str)));
					n->newschema = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 28809 "gram.c" /* yacc.c:1646  */
    break;

  case 1097:
#line 7369 "gram.y" /* yacc.c:1646  */
    {
					AlterObjectSchemaStmt *n = makeNode(AlterObjectSchemaStmt);
					n->objectType = OBJECT_TABLE;
					n->relation = (yyvsp[-3].range);
					n->newschema = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 28822 "gram.c" /* yacc.c:1646  */
    break;

  case 1098:
#line 7378 "gram.y" /* yacc.c:1646  */
    {
					AlterObjectSchemaStmt *n = makeNode(AlterObjectSchemaStmt);
					n->objectType = OBJECT_TABLE;
					n->relation = (yyvsp[-3].range);
					n->newschema = (yyvsp[0].str);
					n->missing_ok = true;
					(yyval.node) = (Node *)n;
				}
#line 28835 "gram.c" /* yacc.c:1646  */
    break;

  case 1099:
#line 7387 "gram.y" /* yacc.c:1646  */
    {
					AlterObjectSchemaStmt *n = makeNode(AlterObjectSchemaStmt);
					n->objectType = OBJECT_TSPARSER;
					n->object = (yyvsp[-3].list);
					n->newschema = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 28848 "gram.c" /* yacc.c:1646  */
    break;

  case 1100:
#line 7396 "gram.y" /* yacc.c:1646  */
    {
					AlterObjectSchemaStmt *n = makeNode(AlterObjectSchemaStmt);
					n->objectType = OBJECT_TSDICTIONARY;
					n->object = (yyvsp[-3].list);
					n->newschema = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 28861 "gram.c" /* yacc.c:1646  */
    break;

  case 1101:
#line 7405 "gram.y" /* yacc.c:1646  */
    {
					AlterObjectSchemaStmt *n = makeNode(AlterObjectSchemaStmt);
					n->objectType = OBJECT_TSTEMPLATE;
					n->object = (yyvsp[-3].list);
					n->newschema = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 28874 "gram.c" /* yacc.c:1646  */
    break;

  case 1102:
#line 7414 "gram.y" /* yacc.c:1646  */
    {
					AlterObjectSchemaStmt *n = makeNode(AlterObjectSchemaStmt);
					n->objectType = OBJECT_TSCONFIGURATION;
					n->object = (yyvsp[-3].list);
					n->newschema = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 28887 "gram.c" /* yacc.c:1646  */
    break;

  case 1103:
#line 7423 "gram.y" /* yacc.c:1646  */
    {
					AlterObjectSchemaStmt *n = makeNode(AlterObjectSchemaStmt);
					n->objectType = OBJECT_SEQUENCE;
					n->relation = (yyvsp[-3].range);
					n->newschema = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 28900 "gram.c" /* yacc.c:1646  */
    break;

  case 1104:
#line 7432 "gram.y" /* yacc.c:1646  */
    {
					AlterObjectSchemaStmt *n = makeNode(AlterObjectSchemaStmt);
					n->objectType = OBJECT_SEQUENCE;
					n->relation = (yyvsp[-3].range);
					n->newschema = (yyvsp[0].str);
					n->missing_ok = true;
					(yyval.node) = (Node *)n;
				}
#line 28913 "gram.c" /* yacc.c:1646  */
    break;

  case 1105:
#line 7441 "gram.y" /* yacc.c:1646  */
    {
					AlterObjectSchemaStmt *n = makeNode(AlterObjectSchemaStmt);
					n->objectType = OBJECT_VIEW;
					n->relation = (yyvsp[-3].range);
					n->newschema = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 28926 "gram.c" /* yacc.c:1646  */
    break;

  case 1106:
#line 7450 "gram.y" /* yacc.c:1646  */
    {
					AlterObjectSchemaStmt *n = makeNode(AlterObjectSchemaStmt);
					n->objectType = OBJECT_VIEW;
					n->relation = (yyvsp[-3].range);
					n->newschema = (yyvsp[0].str);
					n->missing_ok = true;
					(yyval.node) = (Node *)n;
				}
#line 28939 "gram.c" /* yacc.c:1646  */
    break;

  case 1107:
#line 7459 "gram.y" /* yacc.c:1646  */
    {
					AlterObjectSchemaStmt *n = makeNode(AlterObjectSchemaStmt);
					n->objectType = OBJECT_MATVIEW;
					n->relation = (yyvsp[-3].range);
					n->newschema = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 28952 "gram.c" /* yacc.c:1646  */
    break;

  case 1108:
#line 7468 "gram.y" /* yacc.c:1646  */
    {
					AlterObjectSchemaStmt *n = makeNode(AlterObjectSchemaStmt);
					n->objectType = OBJECT_MATVIEW;
					n->relation = (yyvsp[-3].range);
					n->newschema = (yyvsp[0].str);
					n->missing_ok = true;
					(yyval.node) = (Node *)n;
				}
#line 28965 "gram.c" /* yacc.c:1646  */
    break;

  case 1109:
#line 7477 "gram.y" /* yacc.c:1646  */
    {
					AlterObjectSchemaStmt *n = makeNode(AlterObjectSchemaStmt);
					n->objectType = OBJECT_FOREIGN_TABLE;
					n->relation = (yyvsp[-3].range);
					n->newschema = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 28978 "gram.c" /* yacc.c:1646  */
    break;

  case 1110:
#line 7486 "gram.y" /* yacc.c:1646  */
    {
					AlterObjectSchemaStmt *n = makeNode(AlterObjectSchemaStmt);
					n->objectType = OBJECT_FOREIGN_TABLE;
					n->relation = (yyvsp[-3].range);
					n->newschema = (yyvsp[0].str);
					n->missing_ok = true;
					(yyval.node) = (Node *)n;
				}
#line 28991 "gram.c" /* yacc.c:1646  */
    break;

  case 1111:
#line 7495 "gram.y" /* yacc.c:1646  */
    {
					AlterObjectSchemaStmt *n = makeNode(AlterObjectSchemaStmt);
					n->objectType = OBJECT_TYPE;
					n->object = (yyvsp[-3].list);
					n->newschema = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 29004 "gram.c" /* yacc.c:1646  */
    break;

  case 1112:
#line 7512 "gram.y" /* yacc.c:1646  */
    {
					AlterOwnerStmt *n = makeNode(AlterOwnerStmt);
					n->objectType = OBJECT_AGGREGATE;
					n->object = (yyvsp[-4].list);
					n->objarg = (yyvsp[-3].list);
					n->newowner = (yyvsp[0].str);
					(yyval.node) = (Node *)n;
				}
#line 29017 "gram.c" /* yacc.c:1646  */
    break;

  case 1113:
#line 7521 "gram.y" /* yacc.c:1646  */
    {
					AlterOwnerStmt *n = makeNode(AlterOwnerStmt);
					n->objectType = OBJECT_COLLATION;
					n->object = (yyvsp[-3].list);
					n->newowner = (yyvsp[0].str);
					(yyval.node) = (Node *)n;
				}
#line 29029 "gram.c" /* yacc.c:1646  */
    break;

  case 1114:
#line 7529 "gram.y" /* yacc.c:1646  */
    {
					AlterOwnerStmt *n = makeNode(AlterOwnerStmt);
					n->objectType = OBJECT_CONVERSION;
					n->object = (yyvsp[-3].list);
					n->newowner = (yyvsp[0].str);
					(yyval.node) = (Node *)n;
				}
#line 29041 "gram.c" /* yacc.c:1646  */
    break;

  case 1115:
#line 7537 "gram.y" /* yacc.c:1646  */
    {
					AlterOwnerStmt *n = makeNode(AlterOwnerStmt);
					n->objectType = OBJECT_DATABASE;
					n->object = list_make1(makeString((yyvsp[-3].str)));
					n->newowner = (yyvsp[0].str);
					(yyval.node) = (Node *)n;
				}
#line 29053 "gram.c" /* yacc.c:1646  */
    break;

  case 1116:
#line 7545 "gram.y" /* yacc.c:1646  */
    {
					AlterOwnerStmt *n = makeNode(AlterOwnerStmt);
					n->objectType = OBJECT_DOMAIN;
					n->object = (yyvsp[-3].list);
					n->newowner = (yyvsp[0].str);
					(yyval.node) = (Node *)n;
				}
#line 29065 "gram.c" /* yacc.c:1646  */
    break;

  case 1117:
#line 7553 "gram.y" /* yacc.c:1646  */
    {
					AlterOwnerStmt *n = makeNode(AlterOwnerStmt);
					n->objectType = OBJECT_FUNCTION;
					n->object = (yyvsp[-3].funwithargs)->funcname;
					n->objarg = (yyvsp[-3].funwithargs)->funcargs;
					n->newowner = (yyvsp[0].str);
					(yyval.node) = (Node *)n;
				}
#line 29078 "gram.c" /* yacc.c:1646  */
    break;

  case 1118:
#line 7562 "gram.y" /* yacc.c:1646  */
    {
					AlterOwnerStmt *n = makeNode(AlterOwnerStmt);
					n->objectType = OBJECT_LANGUAGE;
					n->object = list_make1(makeString((yyvsp[-3].str)));
					n->newowner = (yyvsp[0].str);
					(yyval.node) = (Node *)n;
				}
#line 29090 "gram.c" /* yacc.c:1646  */
    break;

  case 1119:
#line 7570 "gram.y" /* yacc.c:1646  */
    {
					AlterOwnerStmt *n = makeNode(AlterOwnerStmt);
					n->objectType = OBJECT_LARGEOBJECT;
					n->object = list_make1((yyvsp[-3].value));
					n->newowner = (yyvsp[0].str);
					(yyval.node) = (Node *)n;
				}
#line 29102 "gram.c" /* yacc.c:1646  */
    break;

  case 1120:
#line 7578 "gram.y" /* yacc.c:1646  */
    {
					AlterOwnerStmt *n = makeNode(AlterOwnerStmt);
					n->objectType = OBJECT_OPERATOR;
					n->object = (yyvsp[-4].list);
					n->objarg = (yyvsp[-3].list);
					n->newowner = (yyvsp[0].str);
					(yyval.node) = (Node *)n;
				}
#line 29115 "gram.c" /* yacc.c:1646  */
    break;

  case 1121:
#line 7587 "gram.y" /* yacc.c:1646  */
    {
					AlterOwnerStmt *n = makeNode(AlterOwnerStmt);
					n->objectType = OBJECT_OPCLASS;
					n->object = (yyvsp[-5].list);
					n->objarg = list_make1(makeString((yyvsp[-3].str)));
					n->newowner = (yyvsp[0].str);
					(yyval.node) = (Node *)n;
				}
#line 29128 "gram.c" /* yacc.c:1646  */
    break;

  case 1122:
#line 7596 "gram.y" /* yacc.c:1646  */
    {
					AlterOwnerStmt *n = makeNode(AlterOwnerStmt);
					n->objectType = OBJECT_OPFAMILY;
					n->object = (yyvsp[-5].list);
					n->objarg = list_make1(makeString((yyvsp[-3].str)));
					n->newowner = (yyvsp[0].str);
					(yyval.node) = (Node *)n;
				}
#line 29141 "gram.c" /* yacc.c:1646  */
    break;

  case 1123:
#line 7605 "gram.y" /* yacc.c:1646  */
    {
					AlterOwnerStmt *n = makeNode(AlterOwnerStmt);
					n->objectType = OBJECT_SCHEMA;
					n->object = list_make1(makeString((yyvsp[-3].str)));
					n->newowner = (yyvsp[0].str);
					(yyval.node) = (Node *)n;
				}
#line 29153 "gram.c" /* yacc.c:1646  */
    break;

  case 1124:
#line 7613 "gram.y" /* yacc.c:1646  */
    {
					AlterOwnerStmt *n = makeNode(AlterOwnerStmt);
					n->objectType = OBJECT_TYPE;
					n->object = (yyvsp[-3].list);
					n->newowner = (yyvsp[0].str);
					(yyval.node) = (Node *)n;
				}
#line 29165 "gram.c" /* yacc.c:1646  */
    break;

  case 1125:
#line 7621 "gram.y" /* yacc.c:1646  */
    {
					AlterOwnerStmt *n = makeNode(AlterOwnerStmt);
					n->objectType = OBJECT_TABLESPACE;
					n->object = list_make1(makeString((yyvsp[-3].str)));
					n->newowner = (yyvsp[0].str);
					(yyval.node) = (Node *)n;
				}
#line 29177 "gram.c" /* yacc.c:1646  */
    break;

  case 1126:
#line 7629 "gram.y" /* yacc.c:1646  */
    {
					AlterOwnerStmt *n = makeNode(AlterOwnerStmt);
					n->objectType = OBJECT_TSDICTIONARY;
					n->object = (yyvsp[-3].list);
					n->newowner = (yyvsp[0].str);
					(yyval.node) = (Node *)n;
				}
#line 29189 "gram.c" /* yacc.c:1646  */
    break;

  case 1127:
#line 7637 "gram.y" /* yacc.c:1646  */
    {
					AlterOwnerStmt *n = makeNode(AlterOwnerStmt);
					n->objectType = OBJECT_TSCONFIGURATION;
					n->object = (yyvsp[-3].list);
					n->newowner = (yyvsp[0].str);
					(yyval.node) = (Node *)n;
				}
#line 29201 "gram.c" /* yacc.c:1646  */
    break;

  case 1128:
#line 7645 "gram.y" /* yacc.c:1646  */
    {
					AlterOwnerStmt *n = makeNode(AlterOwnerStmt);
					n->objectType = OBJECT_FDW;
					n->object = list_make1(makeString((yyvsp[-3].str)));
					n->newowner = (yyvsp[0].str);
					(yyval.node) = (Node *)n;
				}
#line 29213 "gram.c" /* yacc.c:1646  */
    break;

  case 1129:
#line 7653 "gram.y" /* yacc.c:1646  */
    {
					AlterOwnerStmt *n = makeNode(AlterOwnerStmt);
					n->objectType = OBJECT_FOREIGN_SERVER;
					n->object = list_make1(makeString((yyvsp[-3].str)));
					n->newowner = (yyvsp[0].str);
					(yyval.node) = (Node *)n;
				}
#line 29225 "gram.c" /* yacc.c:1646  */
    break;

  case 1130:
#line 7661 "gram.y" /* yacc.c:1646  */
    {
					AlterOwnerStmt *n = makeNode(AlterOwnerStmt);
					n->objectType = OBJECT_EVENT_TRIGGER;
					n->object = list_make1(makeString((yyvsp[-3].str)));
					n->newowner = (yyvsp[0].str);
					(yyval.node) = (Node *)n;
				}
#line 29237 "gram.c" /* yacc.c:1646  */
    break;

  case 1131:
#line 7680 "gram.y" /* yacc.c:1646  */
    {
					RuleStmt *n = makeNode(RuleStmt);
					n->replace = (yyvsp[-11].boolean);
					n->relation = (yyvsp[-4].range);
					n->rulename = (yyvsp[-9].str);
					n->whereClause = (yyvsp[-3].node);
					n->event = (yyvsp[-6].ival);
					n->instead = (yyvsp[-1].boolean);
					n->actions = (yyvsp[0].list);
					(yyval.node) = (Node *)n;
				}
#line 29253 "gram.c" /* yacc.c:1646  */
    break;

  case 1132:
#line 7694 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 29259 "gram.c" /* yacc.c:1646  */
    break;

  case 1133:
#line 7695 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].node)); }
#line 29265 "gram.c" /* yacc.c:1646  */
    break;

  case 1134:
#line 7696 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[-1].list); }
#line 29271 "gram.c" /* yacc.c:1646  */
    break;

  case 1135:
#line 7702 "gram.y" /* yacc.c:1646  */
    { if ((yyvsp[0].node) != NULL)
					(yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].node));
				  else
					(yyval.list) = (yyvsp[-2].list);
				}
#line 29281 "gram.c" /* yacc.c:1646  */
    break;

  case 1136:
#line 7708 "gram.y" /* yacc.c:1646  */
    { if ((yyvsp[0].node) != NULL)
					(yyval.list) = list_make1((yyvsp[0].node));
				  else
					(yyval.list) = NIL;
				}
#line 29291 "gram.c" /* yacc.c:1646  */
    break;

  case 1142:
#line 7724 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[0].node); }
#line 29297 "gram.c" /* yacc.c:1646  */
    break;

  case 1143:
#line 7725 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = NULL; }
#line 29303 "gram.c" /* yacc.c:1646  */
    break;

  case 1144:
#line 7728 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = CMD_SELECT; }
#line 29309 "gram.c" /* yacc.c:1646  */
    break;

  case 1145:
#line 7729 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = CMD_UPDATE; }
#line 29315 "gram.c" /* yacc.c:1646  */
    break;

  case 1146:
#line 7730 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = CMD_DELETE; }
#line 29321 "gram.c" /* yacc.c:1646  */
    break;

  case 1147:
#line 7731 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = CMD_INSERT; }
#line 29327 "gram.c" /* yacc.c:1646  */
    break;

  case 1148:
#line 7735 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = TRUE; }
#line 29333 "gram.c" /* yacc.c:1646  */
    break;

  case 1149:
#line 7736 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = FALSE; }
#line 29339 "gram.c" /* yacc.c:1646  */
    break;

  case 1150:
#line 7737 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = FALSE; }
#line 29345 "gram.c" /* yacc.c:1646  */
    break;

  case 1151:
#line 7743 "gram.y" /* yacc.c:1646  */
    {
					DropStmt *n = makeNode(DropStmt);
					n->removeType = OBJECT_RULE;
					n->objects = list_make1(lappend((yyvsp[-1].list), makeString((yyvsp[-3].str))));
					n->arguments = NIL;
					n->behavior = (yyvsp[0].dbehavior);
					n->missing_ok = false;
					n->concurrent = false;
					(yyval.node) = (Node *) n;
				}
#line 29360 "gram.c" /* yacc.c:1646  */
    break;

  case 1152:
#line 7754 "gram.y" /* yacc.c:1646  */
    {
					DropStmt *n = makeNode(DropStmt);
					n->removeType = OBJECT_RULE;
					n->objects = list_make1(lappend((yyvsp[-1].list), makeString((yyvsp[-3].str))));
					n->arguments = NIL;
					n->behavior = (yyvsp[0].dbehavior);
					n->missing_ok = true;
					n->concurrent = false;
					(yyval.node) = (Node *) n;
				}
#line 29375 "gram.c" /* yacc.c:1646  */
    break;

  case 1153:
#line 7776 "gram.y" /* yacc.c:1646  */
    {
					NotifyStmt *n = makeNode(NotifyStmt);
					n->conditionname = (yyvsp[-1].str);
					n->payload = (yyvsp[0].str);
					(yyval.node) = (Node *)n;
				}
#line 29386 "gram.c" /* yacc.c:1646  */
    break;

  case 1154:
#line 7785 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 29392 "gram.c" /* yacc.c:1646  */
    break;

  case 1155:
#line 7786 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = NULL; }
#line 29398 "gram.c" /* yacc.c:1646  */
    break;

  case 1156:
#line 7790 "gram.y" /* yacc.c:1646  */
    {
					ListenStmt *n = makeNode(ListenStmt);
					n->conditionname = (yyvsp[0].str);
					(yyval.node) = (Node *)n;
				}
#line 29408 "gram.c" /* yacc.c:1646  */
    break;

  case 1157:
#line 7799 "gram.y" /* yacc.c:1646  */
    {
					UnlistenStmt *n = makeNode(UnlistenStmt);
					n->conditionname = (yyvsp[0].str);
					(yyval.node) = (Node *)n;
				}
#line 29418 "gram.c" /* yacc.c:1646  */
    break;

  case 1158:
#line 7805 "gram.y" /* yacc.c:1646  */
    {
					UnlistenStmt *n = makeNode(UnlistenStmt);
					n->conditionname = NULL;
					(yyval.node) = (Node *)n;
				}
#line 29428 "gram.c" /* yacc.c:1646  */
    break;

  case 1159:
#line 7824 "gram.y" /* yacc.c:1646  */
    {
					TransactionStmt *n = makeNode(TransactionStmt);
					n->kind = TRANS_STMT_ROLLBACK;
					n->options = NIL;
					(yyval.node) = (Node *)n;
				}
#line 29439 "gram.c" /* yacc.c:1646  */
    break;

  case 1160:
#line 7831 "gram.y" /* yacc.c:1646  */
    {
					TransactionStmt *n = makeNode(TransactionStmt);
					n->kind = TRANS_STMT_BEGIN;
					n->options = (yyvsp[0].list);
					(yyval.node) = (Node *)n;
				}
#line 29450 "gram.c" /* yacc.c:1646  */
    break;

  case 1161:
#line 7838 "gram.y" /* yacc.c:1646  */
    {
					TransactionStmt *n = makeNode(TransactionStmt);
					n->kind = TRANS_STMT_START;
					n->options = (yyvsp[0].list);
					(yyval.node) = (Node *)n;
				}
#line 29461 "gram.c" /* yacc.c:1646  */
    break;

  case 1162:
#line 7845 "gram.y" /* yacc.c:1646  */
    {
					TransactionStmt *n = makeNode(TransactionStmt);
					n->kind = TRANS_STMT_COMMIT;
					n->options = NIL;
					(yyval.node) = (Node *)n;
				}
#line 29472 "gram.c" /* yacc.c:1646  */
    break;

  case 1163:
#line 7852 "gram.y" /* yacc.c:1646  */
    {
					TransactionStmt *n = makeNode(TransactionStmt);
					n->kind = TRANS_STMT_COMMIT;
					n->options = NIL;
					(yyval.node) = (Node *)n;
				}
#line 29483 "gram.c" /* yacc.c:1646  */
    break;

  case 1164:
#line 7859 "gram.y" /* yacc.c:1646  */
    {
					TransactionStmt *n = makeNode(TransactionStmt);
					n->kind = TRANS_STMT_ROLLBACK;
					n->options = NIL;
					(yyval.node) = (Node *)n;
				}
#line 29494 "gram.c" /* yacc.c:1646  */
    break;

  case 1165:
#line 7866 "gram.y" /* yacc.c:1646  */
    {
					TransactionStmt *n = makeNode(TransactionStmt);
					n->kind = TRANS_STMT_SAVEPOINT;
					n->options = list_make1(makeDefElem("savepoint_name",
														(Node *)makeString((yyvsp[0].str))));
					(yyval.node) = (Node *)n;
				}
#line 29506 "gram.c" /* yacc.c:1646  */
    break;

  case 1166:
#line 7874 "gram.y" /* yacc.c:1646  */
    {
					TransactionStmt *n = makeNode(TransactionStmt);
					n->kind = TRANS_STMT_RELEASE;
					n->options = list_make1(makeDefElem("savepoint_name",
														(Node *)makeString((yyvsp[0].str))));
					(yyval.node) = (Node *)n;
				}
#line 29518 "gram.c" /* yacc.c:1646  */
    break;

  case 1167:
#line 7882 "gram.y" /* yacc.c:1646  */
    {
					TransactionStmt *n = makeNode(TransactionStmt);
					n->kind = TRANS_STMT_RELEASE;
					n->options = list_make1(makeDefElem("savepoint_name",
														(Node *)makeString((yyvsp[0].str))));
					(yyval.node) = (Node *)n;
				}
#line 29530 "gram.c" /* yacc.c:1646  */
    break;

  case 1168:
#line 7890 "gram.y" /* yacc.c:1646  */
    {
					TransactionStmt *n = makeNode(TransactionStmt);
					n->kind = TRANS_STMT_ROLLBACK_TO;
					n->options = list_make1(makeDefElem("savepoint_name",
														(Node *)makeString((yyvsp[0].str))));
					(yyval.node) = (Node *)n;
				}
#line 29542 "gram.c" /* yacc.c:1646  */
    break;

  case 1169:
#line 7898 "gram.y" /* yacc.c:1646  */
    {
					TransactionStmt *n = makeNode(TransactionStmt);
					n->kind = TRANS_STMT_ROLLBACK_TO;
					n->options = list_make1(makeDefElem("savepoint_name",
														(Node *)makeString((yyvsp[0].str))));
					(yyval.node) = (Node *)n;
				}
#line 29554 "gram.c" /* yacc.c:1646  */
    break;

  case 1170:
#line 7906 "gram.y" /* yacc.c:1646  */
    {
					TransactionStmt *n = makeNode(TransactionStmt);
					n->kind = TRANS_STMT_PREPARE;
					n->gid = (yyvsp[0].str);
					(yyval.node) = (Node *)n;
				}
#line 29565 "gram.c" /* yacc.c:1646  */
    break;

  case 1171:
#line 7913 "gram.y" /* yacc.c:1646  */
    {
					TransactionStmt *n = makeNode(TransactionStmt);
					n->kind = TRANS_STMT_COMMIT_PREPARED;
					n->gid = (yyvsp[0].str);
					(yyval.node) = (Node *)n;
				}
#line 29576 "gram.c" /* yacc.c:1646  */
    break;

  case 1172:
#line 7920 "gram.y" /* yacc.c:1646  */
    {
					TransactionStmt *n = makeNode(TransactionStmt);
					n->kind = TRANS_STMT_ROLLBACK_PREPARED;
					n->gid = (yyvsp[0].str);
					(yyval.node) = (Node *)n;
				}
#line 29587 "gram.c" /* yacc.c:1646  */
    break;

  case 1173:
#line 7928 "gram.y" /* yacc.c:1646  */
    {}
#line 29593 "gram.c" /* yacc.c:1646  */
    break;

  case 1174:
#line 7929 "gram.y" /* yacc.c:1646  */
    {}
#line 29599 "gram.c" /* yacc.c:1646  */
    break;

  case 1175:
#line 7930 "gram.y" /* yacc.c:1646  */
    {}
#line 29605 "gram.c" /* yacc.c:1646  */
    break;

  case 1176:
#line 7935 "gram.y" /* yacc.c:1646  */
    { (yyval.defelt) = makeDefElem("transaction_isolation",
									   makeStringConst((yyvsp[0].str), (yylsp[0]))); }
#line 29612 "gram.c" /* yacc.c:1646  */
    break;

  case 1177:
#line 7938 "gram.y" /* yacc.c:1646  */
    { (yyval.defelt) = makeDefElem("transaction_read_only",
									   makeIntConst(TRUE, (yylsp[-1]))); }
#line 29619 "gram.c" /* yacc.c:1646  */
    break;

  case 1178:
#line 7941 "gram.y" /* yacc.c:1646  */
    { (yyval.defelt) = makeDefElem("transaction_read_only",
									   makeIntConst(FALSE, (yylsp[-1]))); }
#line 29626 "gram.c" /* yacc.c:1646  */
    break;

  case 1179:
#line 7944 "gram.y" /* yacc.c:1646  */
    { (yyval.defelt) = makeDefElem("transaction_deferrable",
									   makeIntConst(TRUE, (yylsp[0]))); }
#line 29633 "gram.c" /* yacc.c:1646  */
    break;

  case 1180:
#line 7947 "gram.y" /* yacc.c:1646  */
    { (yyval.defelt) = makeDefElem("transaction_deferrable",
									   makeIntConst(FALSE, (yylsp[-1]))); }
#line 29640 "gram.c" /* yacc.c:1646  */
    break;

  case 1181:
#line 7954 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].defelt)); }
#line 29646 "gram.c" /* yacc.c:1646  */
    break;

  case 1182:
#line 7956 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].defelt)); }
#line 29652 "gram.c" /* yacc.c:1646  */
    break;

  case 1183:
#line 7958 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-1].list), (yyvsp[0].defelt)); }
#line 29658 "gram.c" /* yacc.c:1646  */
    break;

  case 1185:
#line 7964 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 29664 "gram.c" /* yacc.c:1646  */
    break;

  case 1186:
#line 7978 "gram.y" /* yacc.c:1646  */
    {
					ViewStmt *n = makeNode(ViewStmt);
					n->view = (yyvsp[-5].range);
					n->view->relpersistence = (yyvsp[-7].ival);
					n->aliases = (yyvsp[-4].list);
					n->query = (yyvsp[-1].node);
					n->replace = false;
					n->options = (yyvsp[-3].list);
					(yyval.node) = (Node *) n;
				}
#line 29679 "gram.c" /* yacc.c:1646  */
    break;

  case 1187:
#line 7990 "gram.y" /* yacc.c:1646  */
    {
					ViewStmt *n = makeNode(ViewStmt);
					n->view = (yyvsp[-5].range);
					n->view->relpersistence = (yyvsp[-7].ival);
					n->aliases = (yyvsp[-4].list);
					n->query = (yyvsp[-1].node);
					n->replace = true;
					n->options = (yyvsp[-3].list);
					(yyval.node) = (Node *) n;
				}
#line 29694 "gram.c" /* yacc.c:1646  */
    break;

  case 1188:
#line 8002 "gram.y" /* yacc.c:1646  */
    {
					ViewStmt *n = makeNode(ViewStmt);
					n->view = (yyvsp[-6].range);
					n->view->relpersistence = (yyvsp[-9].ival);
					n->aliases = (yyvsp[-4].list);
					n->query = makeRecursiveViewSelect(n->view->relname, n->aliases, (yyvsp[0].node));
					n->replace = false;
					n->options = (yyvsp[-2].list);
					(yyval.node) = (Node *) n;
				}
#line 29709 "gram.c" /* yacc.c:1646  */
    break;

  case 1189:
#line 8014 "gram.y" /* yacc.c:1646  */
    {
					ViewStmt *n = makeNode(ViewStmt);
					n->view = (yyvsp[-6].range);
					n->view->relpersistence = (yyvsp[-9].ival);
					n->aliases = (yyvsp[-4].list);
					n->query = makeRecursiveViewSelect(n->view->relname, n->aliases, (yyvsp[0].node));
					n->replace = true;
					n->options = (yyvsp[-2].list);
					(yyval.node) = (Node *) n;
				}
#line 29724 "gram.c" /* yacc.c:1646  */
    break;

  case 1190:
#line 8028 "gram.y" /* yacc.c:1646  */
    {
					ereport(ERROR,
							(errcode(ERRCODE_FEATURE_NOT_SUPPORTED),
							 errmsg("WITH CHECK OPTION is not implemented")));
				}
#line 29734 "gram.c" /* yacc.c:1646  */
    break;

  case 1191:
#line 8034 "gram.y" /* yacc.c:1646  */
    {
					ereport(ERROR,
							(errcode(ERRCODE_FEATURE_NOT_SUPPORTED),
							 errmsg("WITH CHECK OPTION is not implemented")));
				}
#line 29744 "gram.c" /* yacc.c:1646  */
    break;

  case 1192:
#line 8040 "gram.y" /* yacc.c:1646  */
    {
					ereport(ERROR,
							(errcode(ERRCODE_FEATURE_NOT_SUPPORTED),
							 errmsg("WITH CHECK OPTION is not implemented")));
				}
#line 29754 "gram.c" /* yacc.c:1646  */
    break;

  case 1193:
#line 8045 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 29760 "gram.c" /* yacc.c:1646  */
    break;

  case 1194:
#line 8056 "gram.y" /* yacc.c:1646  */
    {
					LoadStmt *n = makeNode(LoadStmt);
					n->filename = (yyvsp[0].str);
					(yyval.node) = (Node *)n;
				}
#line 29770 "gram.c" /* yacc.c:1646  */
    break;

  case 1195:
#line 8072 "gram.y" /* yacc.c:1646  */
    {
					CreatedbStmt *n = makeNode(CreatedbStmt);
					n->dbname = (yyvsp[-2].str);
					n->options = (yyvsp[0].list);
					(yyval.node) = (Node *)n;
				}
#line 29781 "gram.c" /* yacc.c:1646  */
    break;

  case 1196:
#line 8081 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-1].list), (yyvsp[0].defelt)); }
#line 29787 "gram.c" /* yacc.c:1646  */
    break;

  case 1197:
#line 8082 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 29793 "gram.c" /* yacc.c:1646  */
    break;

  case 1198:
#line 8087 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("tablespace", (Node *)makeString((yyvsp[0].str)));
				}
#line 29801 "gram.c" /* yacc.c:1646  */
    break;

  case 1199:
#line 8091 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("tablespace", NULL);
				}
#line 29809 "gram.c" /* yacc.c:1646  */
    break;

  case 1200:
#line 8095 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("location", (Node *)makeString((yyvsp[0].str)));
				}
#line 29817 "gram.c" /* yacc.c:1646  */
    break;

  case 1201:
#line 8099 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("location", NULL);
				}
#line 29825 "gram.c" /* yacc.c:1646  */
    break;

  case 1202:
#line 8103 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("template", (Node *)makeString((yyvsp[0].str)));
				}
#line 29833 "gram.c" /* yacc.c:1646  */
    break;

  case 1203:
#line 8107 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("template", NULL);
				}
#line 29841 "gram.c" /* yacc.c:1646  */
    break;

  case 1204:
#line 8111 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("encoding", (Node *)makeString((yyvsp[0].str)));
				}
#line 29849 "gram.c" /* yacc.c:1646  */
    break;

  case 1205:
#line 8115 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("encoding", (Node *)makeInteger((yyvsp[0].ival)));
				}
#line 29857 "gram.c" /* yacc.c:1646  */
    break;

  case 1206:
#line 8119 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("encoding", NULL);
				}
#line 29865 "gram.c" /* yacc.c:1646  */
    break;

  case 1207:
#line 8123 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("lc_collate", (Node *)makeString((yyvsp[0].str)));
				}
#line 29873 "gram.c" /* yacc.c:1646  */
    break;

  case 1208:
#line 8127 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("lc_collate", NULL);
				}
#line 29881 "gram.c" /* yacc.c:1646  */
    break;

  case 1209:
#line 8131 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("lc_ctype", (Node *)makeString((yyvsp[0].str)));
				}
#line 29889 "gram.c" /* yacc.c:1646  */
    break;

  case 1210:
#line 8135 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("lc_ctype", NULL);
				}
#line 29897 "gram.c" /* yacc.c:1646  */
    break;

  case 1211:
#line 8139 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("connectionlimit", (Node *)makeInteger((yyvsp[0].ival)));
				}
#line 29905 "gram.c" /* yacc.c:1646  */
    break;

  case 1212:
#line 8143 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("owner", (Node *)makeString((yyvsp[0].str)));
				}
#line 29913 "gram.c" /* yacc.c:1646  */
    break;

  case 1213:
#line 8147 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("owner", NULL);
				}
#line 29921 "gram.c" /* yacc.c:1646  */
    break;

  case 1214:
#line 8156 "gram.y" /* yacc.c:1646  */
    {}
#line 29927 "gram.c" /* yacc.c:1646  */
    break;

  case 1215:
#line 8157 "gram.y" /* yacc.c:1646  */
    {}
#line 29933 "gram.c" /* yacc.c:1646  */
    break;

  case 1216:
#line 8169 "gram.y" /* yacc.c:1646  */
    {
					AlterDatabaseStmt *n = makeNode(AlterDatabaseStmt);
					n->dbname = (yyvsp[-2].str);
					n->options = (yyvsp[0].list);
					(yyval.node) = (Node *)n;
				 }
#line 29944 "gram.c" /* yacc.c:1646  */
    break;

  case 1217:
#line 8176 "gram.y" /* yacc.c:1646  */
    {
					AlterDatabaseStmt *n = makeNode(AlterDatabaseStmt);
					n->dbname = (yyvsp[-3].str);
					n->options = list_make1(makeDefElem("tablespace",
													(Node *)makeString((yyvsp[0].str))));
					(yyval.node) = (Node *)n;
				 }
#line 29956 "gram.c" /* yacc.c:1646  */
    break;

  case 1218:
#line 8187 "gram.y" /* yacc.c:1646  */
    {
					AlterDatabaseSetStmt *n = makeNode(AlterDatabaseSetStmt);
					n->dbname = (yyvsp[-1].str);
					n->setstmt = (yyvsp[0].vsetstmt);
					(yyval.node) = (Node *)n;
				}
#line 29967 "gram.c" /* yacc.c:1646  */
    break;

  case 1219:
#line 8197 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-1].list), (yyvsp[0].defelt)); }
#line 29973 "gram.c" /* yacc.c:1646  */
    break;

  case 1220:
#line 8198 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 29979 "gram.c" /* yacc.c:1646  */
    break;

  case 1221:
#line 8203 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("connectionlimit", (Node *)makeInteger((yyvsp[0].ival)));
				}
#line 29987 "gram.c" /* yacc.c:1646  */
    break;

  case 1222:
#line 8217 "gram.y" /* yacc.c:1646  */
    {
					DropdbStmt *n = makeNode(DropdbStmt);
					n->dbname = (yyvsp[0].str);
					n->missing_ok = FALSE;
					(yyval.node) = (Node *)n;
				}
#line 29998 "gram.c" /* yacc.c:1646  */
    break;

  case 1223:
#line 8224 "gram.y" /* yacc.c:1646  */
    {
					DropdbStmt *n = makeNode(DropdbStmt);
					n->dbname = (yyvsp[0].str);
					n->missing_ok = TRUE;
					(yyval.node) = (Node *)n;
				}
#line 30009 "gram.c" /* yacc.c:1646  */
    break;

  case 1224:
#line 8241 "gram.y" /* yacc.c:1646  */
    {
					CreateDomainStmt *n = makeNode(CreateDomainStmt);
					n->domainname = (yyvsp[-3].list);
					n->typeName = (yyvsp[-1].typnam);
					SplitColQualList((yyvsp[0].list), &n->constraints, &n->collClause,
									 yyscanner);
					(yyval.node) = (Node *)n;
				}
#line 30022 "gram.c" /* yacc.c:1646  */
    break;

  case 1225:
#line 8254 "gram.y" /* yacc.c:1646  */
    {
					AlterDomainStmt *n = makeNode(AlterDomainStmt);
					n->subtype = 'T';
					n->typeName = (yyvsp[-1].list);
					n->def = (yyvsp[0].node);
					(yyval.node) = (Node *)n;
				}
#line 30034 "gram.c" /* yacc.c:1646  */
    break;

  case 1226:
#line 8263 "gram.y" /* yacc.c:1646  */
    {
					AlterDomainStmt *n = makeNode(AlterDomainStmt);
					n->subtype = 'N';
					n->typeName = (yyvsp[-3].list);
					(yyval.node) = (Node *)n;
				}
#line 30045 "gram.c" /* yacc.c:1646  */
    break;

  case 1227:
#line 8271 "gram.y" /* yacc.c:1646  */
    {
					AlterDomainStmt *n = makeNode(AlterDomainStmt);
					n->subtype = 'O';
					n->typeName = (yyvsp[-3].list);
					(yyval.node) = (Node *)n;
				}
#line 30056 "gram.c" /* yacc.c:1646  */
    break;

  case 1228:
#line 8279 "gram.y" /* yacc.c:1646  */
    {
					AlterDomainStmt *n = makeNode(AlterDomainStmt);
					n->subtype = 'C';
					n->typeName = (yyvsp[-2].list);
					n->def = (yyvsp[0].node);
					(yyval.node) = (Node *)n;
				}
#line 30068 "gram.c" /* yacc.c:1646  */
    break;

  case 1229:
#line 8288 "gram.y" /* yacc.c:1646  */
    {
					AlterDomainStmt *n = makeNode(AlterDomainStmt);
					n->subtype = 'X';
					n->typeName = (yyvsp[-4].list);
					n->name = (yyvsp[-1].str);
					n->behavior = (yyvsp[0].dbehavior);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 30082 "gram.c" /* yacc.c:1646  */
    break;

  case 1230:
#line 8299 "gram.y" /* yacc.c:1646  */
    {
					AlterDomainStmt *n = makeNode(AlterDomainStmt);
					n->subtype = 'X';
					n->typeName = (yyvsp[-6].list);
					n->name = (yyvsp[-1].str);
					n->behavior = (yyvsp[0].dbehavior);
					n->missing_ok = true;
					(yyval.node) = (Node *)n;
				}
#line 30096 "gram.c" /* yacc.c:1646  */
    break;

  case 1231:
#line 8310 "gram.y" /* yacc.c:1646  */
    {
					AlterDomainStmt *n = makeNode(AlterDomainStmt);
					n->subtype = 'V';
					n->typeName = (yyvsp[-3].list);
					n->name = (yyvsp[0].str);
					(yyval.node) = (Node *)n;
				}
#line 30108 "gram.c" /* yacc.c:1646  */
    break;

  case 1232:
#line 8319 "gram.y" /* yacc.c:1646  */
    {}
#line 30114 "gram.c" /* yacc.c:1646  */
    break;

  case 1233:
#line 8320 "gram.y" /* yacc.c:1646  */
    {}
#line 30120 "gram.c" /* yacc.c:1646  */
    break;

  case 1234:
#line 8332 "gram.y" /* yacc.c:1646  */
    {
					AlterTSDictionaryStmt *n = makeNode(AlterTSDictionaryStmt);
					n->dictname = (yyvsp[-1].list);
					n->options = (yyvsp[0].list);
					(yyval.node) = (Node *)n;
				}
#line 30131 "gram.c" /* yacc.c:1646  */
    break;

  case 1235:
#line 8342 "gram.y" /* yacc.c:1646  */
    {
					AlterTSConfigurationStmt *n = makeNode(AlterTSConfigurationStmt);
					n->cfgname = (yyvsp[-6].list);
					n->tokentype = (yyvsp[-2].list);
					n->dicts = (yyvsp[0].list);
					n->override = false;
					n->replace = false;
					(yyval.node) = (Node*)n;
				}
#line 30145 "gram.c" /* yacc.c:1646  */
    break;

  case 1236:
#line 8352 "gram.y" /* yacc.c:1646  */
    {
					AlterTSConfigurationStmt *n = makeNode(AlterTSConfigurationStmt);
					n->cfgname = (yyvsp[-6].list);
					n->tokentype = (yyvsp[-2].list);
					n->dicts = (yyvsp[0].list);
					n->override = true;
					n->replace = false;
					(yyval.node) = (Node*)n;
				}
#line 30159 "gram.c" /* yacc.c:1646  */
    break;

  case 1237:
#line 8362 "gram.y" /* yacc.c:1646  */
    {
					AlterTSConfigurationStmt *n = makeNode(AlterTSConfigurationStmt);
					n->cfgname = (yyvsp[-6].list);
					n->tokentype = NIL;
					n->dicts = list_make2((yyvsp[-2].list),(yyvsp[0].list));
					n->override = false;
					n->replace = true;
					(yyval.node) = (Node*)n;
				}
#line 30173 "gram.c" /* yacc.c:1646  */
    break;

  case 1238:
#line 8372 "gram.y" /* yacc.c:1646  */
    {
					AlterTSConfigurationStmt *n = makeNode(AlterTSConfigurationStmt);
					n->cfgname = (yyvsp[-8].list);
					n->tokentype = (yyvsp[-4].list);
					n->dicts = list_make2((yyvsp[-2].list),(yyvsp[0].list));
					n->override = false;
					n->replace = true;
					(yyval.node) = (Node*)n;
				}
#line 30187 "gram.c" /* yacc.c:1646  */
    break;

  case 1239:
#line 8382 "gram.y" /* yacc.c:1646  */
    {
					AlterTSConfigurationStmt *n = makeNode(AlterTSConfigurationStmt);
					n->cfgname = (yyvsp[-4].list);
					n->tokentype = (yyvsp[0].list);
					n->missing_ok = false;
					(yyval.node) = (Node*)n;
				}
#line 30199 "gram.c" /* yacc.c:1646  */
    break;

  case 1240:
#line 8390 "gram.y" /* yacc.c:1646  */
    {
					AlterTSConfigurationStmt *n = makeNode(AlterTSConfigurationStmt);
					n->cfgname = (yyvsp[-6].list);
					n->tokentype = (yyvsp[0].list);
					n->missing_ok = true;
					(yyval.node) = (Node*)n;
				}
#line 30211 "gram.c" /* yacc.c:1646  */
    break;

  case 1241:
#line 8412 "gram.y" /* yacc.c:1646  */
    {
				CreateConversionStmt *n = makeNode(CreateConversionStmt);
				n->conversion_name = (yyvsp[-6].list);
				n->for_encoding_name = (yyvsp[-4].str);
				n->to_encoding_name = (yyvsp[-2].str);
				n->func_name = (yyvsp[0].list);
				n->def = (yyvsp[-8].boolean);
				(yyval.node) = (Node *)n;
			}
#line 30225 "gram.c" /* yacc.c:1646  */
    break;

  case 1242:
#line 8434 "gram.y" /* yacc.c:1646  */
    {
					ClusterStmt *n = makeNode(ClusterStmt);
					n->relation = (yyvsp[-1].range);
					n->indexname = (yyvsp[0].str);
					n->verbose = (yyvsp[-2].boolean);
					(yyval.node) = (Node*)n;
				}
#line 30237 "gram.c" /* yacc.c:1646  */
    break;

  case 1243:
#line 8442 "gram.y" /* yacc.c:1646  */
    {
					ClusterStmt *n = makeNode(ClusterStmt);
					n->relation = NULL;
					n->indexname = NULL;
					n->verbose = (yyvsp[0].boolean);
					(yyval.node) = (Node*)n;
				}
#line 30249 "gram.c" /* yacc.c:1646  */
    break;

  case 1244:
#line 8451 "gram.y" /* yacc.c:1646  */
    {
					ClusterStmt *n = makeNode(ClusterStmt);
					n->relation = (yyvsp[0].range);
					n->indexname = (yyvsp[-2].str);
					n->verbose = (yyvsp[-3].boolean);
					(yyval.node) = (Node*)n;
				}
#line 30261 "gram.c" /* yacc.c:1646  */
    break;

  case 1245:
#line 8461 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 30267 "gram.c" /* yacc.c:1646  */
    break;

  case 1246:
#line 8462 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = NULL; }
#line 30273 "gram.c" /* yacc.c:1646  */
    break;

  case 1247:
#line 8475 "gram.y" /* yacc.c:1646  */
    {
					VacuumStmt *n = makeNode(VacuumStmt);
					n->options = VACOPT_VACUUM;
					if ((yyvsp[-2].boolean))
						n->options |= VACOPT_FULL;
					if ((yyvsp[0].boolean))
						n->options |= VACOPT_VERBOSE;
					n->freeze_min_age = (yyvsp[-1].boolean) ? 0 : -1;
					n->freeze_table_age = (yyvsp[-1].boolean) ? 0 : -1;
					n->multixact_freeze_min_age = (yyvsp[-1].boolean) ? 0 : -1;
					n->multixact_freeze_table_age = (yyvsp[-1].boolean) ? 0 : -1;
					n->relation = NULL;
					n->va_cols = NIL;
					(yyval.node) = (Node *)n;
				}
#line 30293 "gram.c" /* yacc.c:1646  */
    break;

  case 1248:
#line 8491 "gram.y" /* yacc.c:1646  */
    {
					VacuumStmt *n = makeNode(VacuumStmt);
					n->options = VACOPT_VACUUM;
					if ((yyvsp[-3].boolean))
						n->options |= VACOPT_FULL;
					if ((yyvsp[-1].boolean))
						n->options |= VACOPT_VERBOSE;
					n->freeze_min_age = (yyvsp[-2].boolean) ? 0 : -1;
					n->freeze_table_age = (yyvsp[-2].boolean) ? 0 : -1;
					n->multixact_freeze_min_age = (yyvsp[-2].boolean) ? 0 : -1;
					n->multixact_freeze_table_age = (yyvsp[-2].boolean) ? 0 : -1;
					n->relation = (yyvsp[0].range);
					n->va_cols = NIL;
					(yyval.node) = (Node *)n;
				}
#line 30313 "gram.c" /* yacc.c:1646  */
    break;

  case 1249:
#line 8507 "gram.y" /* yacc.c:1646  */
    {
					VacuumStmt *n = (VacuumStmt *) (yyvsp[0].node);
					n->options |= VACOPT_VACUUM;
					if ((yyvsp[-3].boolean))
						n->options |= VACOPT_FULL;
					if ((yyvsp[-1].boolean))
						n->options |= VACOPT_VERBOSE;
					n->freeze_min_age = (yyvsp[-2].boolean) ? 0 : -1;
					n->freeze_table_age = (yyvsp[-2].boolean) ? 0 : -1;
					n->multixact_freeze_min_age = (yyvsp[-2].boolean) ? 0 : -1;
					n->multixact_freeze_table_age = (yyvsp[-2].boolean) ? 0 : -1;
					(yyval.node) = (Node *)n;
				}
#line 30331 "gram.c" /* yacc.c:1646  */
    break;

  case 1250:
#line 8521 "gram.y" /* yacc.c:1646  */
    {
					VacuumStmt *n = makeNode(VacuumStmt);
					n->options = VACOPT_VACUUM | (yyvsp[-1].ival);
					if (n->options & VACOPT_FREEZE)
					{
						n->freeze_min_age = n->freeze_table_age = 0;
						n->multixact_freeze_min_age = 0;
						n->multixact_freeze_table_age = 0;
					}
					else
					{
						n->freeze_min_age = n->freeze_table_age = -1;
						n->multixact_freeze_min_age = -1;
						n->multixact_freeze_table_age = -1;
					}
					n->relation = NULL;
					n->va_cols = NIL;
					(yyval.node) = (Node *) n;
				}
#line 30355 "gram.c" /* yacc.c:1646  */
    break;

  case 1251:
#line 8541 "gram.y" /* yacc.c:1646  */
    {
					VacuumStmt *n = makeNode(VacuumStmt);
					n->options = VACOPT_VACUUM | (yyvsp[-3].ival);
					if (n->options & VACOPT_FREEZE)
					{
						n->freeze_min_age = n->freeze_table_age = 0;
						n->multixact_freeze_min_age = 0;
						n->multixact_freeze_table_age = 0;
					}
					else
					{
						n->freeze_min_age = n->freeze_table_age = -1;
						n->multixact_freeze_min_age = -1;
						n->multixact_freeze_table_age = -1;
					}
					n->relation = (yyvsp[-1].range);
					n->va_cols = (yyvsp[0].list);
					if (n->va_cols != NIL)	/* implies analyze */
						n->options |= VACOPT_ANALYZE;
					(yyval.node) = (Node *) n;
				}
#line 30381 "gram.c" /* yacc.c:1646  */
    break;

  case 1252:
#line 8565 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = (yyvsp[0].ival); }
#line 30387 "gram.c" /* yacc.c:1646  */
    break;

  case 1253:
#line 8566 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = (yyvsp[-2].ival) | (yyvsp[0].ival); }
#line 30393 "gram.c" /* yacc.c:1646  */
    break;

  case 1254:
#line 8570 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = VACOPT_ANALYZE; }
#line 30399 "gram.c" /* yacc.c:1646  */
    break;

  case 1255:
#line 8571 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = VACOPT_VERBOSE; }
#line 30405 "gram.c" /* yacc.c:1646  */
    break;

  case 1256:
#line 8572 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = VACOPT_FREEZE; }
#line 30411 "gram.c" /* yacc.c:1646  */
    break;

  case 1257:
#line 8573 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = VACOPT_FULL; }
#line 30417 "gram.c" /* yacc.c:1646  */
    break;

  case 1258:
#line 8578 "gram.y" /* yacc.c:1646  */
    {
					VacuumStmt *n = makeNode(VacuumStmt);
					n->options = VACOPT_ANALYZE;
					if ((yyvsp[0].boolean))
						n->options |= VACOPT_VERBOSE;
					n->freeze_min_age = -1;
					n->freeze_table_age = -1;
					n->multixact_freeze_min_age = -1;
					n->multixact_freeze_table_age = -1;
					n->relation = NULL;
					n->va_cols = NIL;
					(yyval.node) = (Node *)n;
				}
#line 30435 "gram.c" /* yacc.c:1646  */
    break;

  case 1259:
#line 8592 "gram.y" /* yacc.c:1646  */
    {
					VacuumStmt *n = makeNode(VacuumStmt);
					n->options = VACOPT_ANALYZE;
					if ((yyvsp[-2].boolean))
						n->options |= VACOPT_VERBOSE;
					n->freeze_min_age = -1;
					n->freeze_table_age = -1;
					n->multixact_freeze_min_age = -1;
					n->multixact_freeze_table_age = -1;
					n->relation = (yyvsp[-1].range);
					n->va_cols = (yyvsp[0].list);
					(yyval.node) = (Node *)n;
				}
#line 30453 "gram.c" /* yacc.c:1646  */
    break;

  case 1260:
#line 8608 "gram.y" /* yacc.c:1646  */
    {}
#line 30459 "gram.c" /* yacc.c:1646  */
    break;

  case 1261:
#line 8609 "gram.y" /* yacc.c:1646  */
    {}
#line 30465 "gram.c" /* yacc.c:1646  */
    break;

  case 1262:
#line 8613 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = TRUE; }
#line 30471 "gram.c" /* yacc.c:1646  */
    break;

  case 1263:
#line 8614 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = FALSE; }
#line 30477 "gram.c" /* yacc.c:1646  */
    break;

  case 1264:
#line 8617 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = TRUE; }
#line 30483 "gram.c" /* yacc.c:1646  */
    break;

  case 1265:
#line 8618 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = FALSE; }
#line 30489 "gram.c" /* yacc.c:1646  */
    break;

  case 1266:
#line 8621 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = TRUE; }
#line 30495 "gram.c" /* yacc.c:1646  */
    break;

  case 1267:
#line 8622 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = FALSE; }
#line 30501 "gram.c" /* yacc.c:1646  */
    break;

  case 1268:
#line 8626 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[-1].list); }
#line 30507 "gram.c" /* yacc.c:1646  */
    break;

  case 1269:
#line 8627 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 30513 "gram.c" /* yacc.c:1646  */
    break;

  case 1270:
#line 8641 "gram.y" /* yacc.c:1646  */
    {
					ExplainStmt *n = makeNode(ExplainStmt);
					n->query = (yyvsp[0].node);
					n->options = NIL;
					(yyval.node) = (Node *) n;
				}
#line 30524 "gram.c" /* yacc.c:1646  */
    break;

  case 1271:
#line 8648 "gram.y" /* yacc.c:1646  */
    {
					ExplainStmt *n = makeNode(ExplainStmt);
					n->query = (yyvsp[0].node);
					n->options = list_make1(makeDefElem("analyze", NULL));
					if ((yyvsp[-1].boolean))
						n->options = lappend(n->options,
											 makeDefElem("verbose", NULL));
					(yyval.node) = (Node *) n;
				}
#line 30538 "gram.c" /* yacc.c:1646  */
    break;

  case 1272:
#line 8658 "gram.y" /* yacc.c:1646  */
    {
					ExplainStmt *n = makeNode(ExplainStmt);
					n->query = (yyvsp[0].node);
					n->options = list_make1(makeDefElem("verbose", NULL));
					(yyval.node) = (Node *) n;
				}
#line 30549 "gram.c" /* yacc.c:1646  */
    break;

  case 1273:
#line 8665 "gram.y" /* yacc.c:1646  */
    {
					ExplainStmt *n = makeNode(ExplainStmt);
					n->query = (yyvsp[0].node);
					n->options = (yyvsp[-2].list);
					(yyval.node) = (Node *) n;
				}
#line 30560 "gram.c" /* yacc.c:1646  */
    break;

  case 1283:
#line 8687 "gram.y" /* yacc.c:1646  */
    {
					(yyval.list) = list_make1((yyvsp[0].defelt));
				}
#line 30568 "gram.c" /* yacc.c:1646  */
    break;

  case 1284:
#line 8691 "gram.y" /* yacc.c:1646  */
    {
					(yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].defelt));
				}
#line 30576 "gram.c" /* yacc.c:1646  */
    break;

  case 1285:
#line 8698 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem((yyvsp[-1].str), (yyvsp[0].node));
				}
#line 30584 "gram.c" /* yacc.c:1646  */
    break;

  case 1286:
#line 8704 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 30590 "gram.c" /* yacc.c:1646  */
    break;

  case 1287:
#line 8705 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = "analyze"; }
#line 30596 "gram.c" /* yacc.c:1646  */
    break;

  case 1288:
#line 8709 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *) makeString((yyvsp[0].str)); }
#line 30602 "gram.c" /* yacc.c:1646  */
    break;

  case 1289:
#line 8710 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *) (yyvsp[0].value); }
#line 30608 "gram.c" /* yacc.c:1646  */
    break;

  case 1290:
#line 8711 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = NULL; }
#line 30614 "gram.c" /* yacc.c:1646  */
    break;

  case 1291:
#line 8722 "gram.y" /* yacc.c:1646  */
    {
					PrepareStmt *n = makeNode(PrepareStmt);
					n->name = (yyvsp[-3].str);
					n->argtypes = (yyvsp[-2].list);
					n->query = (yyvsp[0].node);
					(yyval.node) = (Node *) n;
				}
#line 30626 "gram.c" /* yacc.c:1646  */
    break;

  case 1292:
#line 8731 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[-1].list); }
#line 30632 "gram.c" /* yacc.c:1646  */
    break;

  case 1293:
#line 8732 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 30638 "gram.c" /* yacc.c:1646  */
    break;

  case 1298:
#line 8750 "gram.y" /* yacc.c:1646  */
    {
					ExecuteStmt *n = makeNode(ExecuteStmt);
					n->name = (yyvsp[-1].str);
					n->params = (yyvsp[0].list);
					(yyval.node) = (Node *) n;
				}
#line 30649 "gram.c" /* yacc.c:1646  */
    break;

  case 1299:
#line 8758 "gram.y" /* yacc.c:1646  */
    {
					CreateTableAsStmt *ctas = makeNode(CreateTableAsStmt);
					ExecuteStmt *n = makeNode(ExecuteStmt);
					n->name = (yyvsp[-2].str);
					n->params = (yyvsp[-1].list);
					ctas->query = (Node *) n;
					ctas->into = (yyvsp[-5].into);
					ctas->relkind = OBJECT_TABLE;
					ctas->is_select_into = false;
					/* cram additional flags into the IntoClause */
					(yyvsp[-5].into)->rel->relpersistence = (yyvsp[-7].ival);
					(yyvsp[-5].into)->skipData = !((yyvsp[0].boolean));
					(yyval.node) = (Node *) ctas;
				}
#line 30668 "gram.c" /* yacc.c:1646  */
    break;

  case 1300:
#line 8774 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[-1].list); }
#line 30674 "gram.c" /* yacc.c:1646  */
    break;

  case 1301:
#line 8775 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 30680 "gram.c" /* yacc.c:1646  */
    break;

  case 1302:
#line 8786 "gram.y" /* yacc.c:1646  */
    {
						DeallocateStmt *n = makeNode(DeallocateStmt);
						n->name = (yyvsp[0].str);
						(yyval.node) = (Node *) n;
					}
#line 30690 "gram.c" /* yacc.c:1646  */
    break;

  case 1303:
#line 8792 "gram.y" /* yacc.c:1646  */
    {
						DeallocateStmt *n = makeNode(DeallocateStmt);
						n->name = (yyvsp[0].str);
						(yyval.node) = (Node *) n;
					}
#line 30700 "gram.c" /* yacc.c:1646  */
    break;

  case 1304:
#line 8798 "gram.y" /* yacc.c:1646  */
    {
						DeallocateStmt *n = makeNode(DeallocateStmt);
						n->name = NULL;
						(yyval.node) = (Node *) n;
					}
#line 30710 "gram.c" /* yacc.c:1646  */
    break;

  case 1305:
#line 8804 "gram.y" /* yacc.c:1646  */
    {
						DeallocateStmt *n = makeNode(DeallocateStmt);
						n->name = NULL;
						(yyval.node) = (Node *) n;
					}
#line 30720 "gram.c" /* yacc.c:1646  */
    break;

  case 1306:
#line 8820 "gram.y" /* yacc.c:1646  */
    {
					(yyvsp[-1].istmt)->relation = (yyvsp[-2].range);
					(yyvsp[-1].istmt)->returningList = (yyvsp[0].list);
					(yyvsp[-1].istmt)->withClause = (yyvsp[-5].with);
					(yyval.node) = (Node *) (yyvsp[-1].istmt);
				}
#line 30731 "gram.c" /* yacc.c:1646  */
    break;

  case 1307:
#line 8830 "gram.y" /* yacc.c:1646  */
    {
					(yyval.istmt) = makeNode(InsertStmt);
					(yyval.istmt)->cols = NIL;
					(yyval.istmt)->selectStmt = (yyvsp[0].node);
				}
#line 30741 "gram.c" /* yacc.c:1646  */
    break;

  case 1308:
#line 8836 "gram.y" /* yacc.c:1646  */
    {
					(yyval.istmt) = makeNode(InsertStmt);
					(yyval.istmt)->cols = (yyvsp[-2].list);
					(yyval.istmt)->selectStmt = (yyvsp[0].node);
				}
#line 30751 "gram.c" /* yacc.c:1646  */
    break;

  case 1309:
#line 8842 "gram.y" /* yacc.c:1646  */
    {
					(yyval.istmt) = makeNode(InsertStmt);
					(yyval.istmt)->cols = NIL;
					(yyval.istmt)->selectStmt = NULL;
				}
#line 30761 "gram.c" /* yacc.c:1646  */
    break;

  case 1310:
#line 8851 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].target)); }
#line 30767 "gram.c" /* yacc.c:1646  */
    break;

  case 1311:
#line 8853 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].target)); }
#line 30773 "gram.c" /* yacc.c:1646  */
    break;

  case 1312:
#line 8858 "gram.y" /* yacc.c:1646  */
    {
					(yyval.target) = makeNode(ResTarget);
					(yyval.target)->name = (yyvsp[-1].str);
					(yyval.target)->indirection = check_indirection((yyvsp[0].list), yyscanner);
					(yyval.target)->val = NULL;
					(yyval.target)->location = (yylsp[-1]);
				}
#line 30785 "gram.c" /* yacc.c:1646  */
    break;

  case 1313:
#line 8868 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[0].list); }
#line 30791 "gram.c" /* yacc.c:1646  */
    break;

  case 1314:
#line 8869 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 30797 "gram.c" /* yacc.c:1646  */
    break;

  case 1315:
#line 8882 "gram.y" /* yacc.c:1646  */
    {
					DeleteStmt *n = makeNode(DeleteStmt);
					n->relation = (yyvsp[-3].range);
					n->usingClause = (yyvsp[-2].list);
					n->whereClause = (yyvsp[-1].node);
					n->returningList = (yyvsp[0].list);
					n->withClause = (yyvsp[-6].with);
					(yyval.node) = (Node *)n;
				}
#line 30811 "gram.c" /* yacc.c:1646  */
    break;

  case 1316:
#line 8894 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[0].list); }
#line 30817 "gram.c" /* yacc.c:1646  */
    break;

  case 1317:
#line 8895 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 30823 "gram.c" /* yacc.c:1646  */
    break;

  case 1318:
#line 8907 "gram.y" /* yacc.c:1646  */
    {
					LockStmt *n = makeNode(LockStmt);

					n->relations = (yyvsp[-2].list);
					n->mode = (yyvsp[-1].ival);
					n->nowait = (yyvsp[0].boolean);
					(yyval.node) = (Node *)n;
				}
#line 30836 "gram.c" /* yacc.c:1646  */
    break;

  case 1319:
#line 8917 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = (yyvsp[-1].ival); }
#line 30842 "gram.c" /* yacc.c:1646  */
    break;

  case 1320:
#line 8918 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = AccessExclusiveLock; }
#line 30848 "gram.c" /* yacc.c:1646  */
    break;

  case 1321:
#line 8921 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = AccessShareLock; }
#line 30854 "gram.c" /* yacc.c:1646  */
    break;

  case 1322:
#line 8922 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = RowShareLock; }
#line 30860 "gram.c" /* yacc.c:1646  */
    break;

  case 1323:
#line 8923 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = RowExclusiveLock; }
#line 30866 "gram.c" /* yacc.c:1646  */
    break;

  case 1324:
#line 8924 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = ShareUpdateExclusiveLock; }
#line 30872 "gram.c" /* yacc.c:1646  */
    break;

  case 1325:
#line 8925 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = ShareLock; }
#line 30878 "gram.c" /* yacc.c:1646  */
    break;

  case 1326:
#line 8926 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = ShareRowExclusiveLock; }
#line 30884 "gram.c" /* yacc.c:1646  */
    break;

  case 1327:
#line 8927 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = ExclusiveLock; }
#line 30890 "gram.c" /* yacc.c:1646  */
    break;

  case 1328:
#line 8928 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = AccessExclusiveLock; }
#line 30896 "gram.c" /* yacc.c:1646  */
    break;

  case 1329:
#line 8931 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = TRUE; }
#line 30902 "gram.c" /* yacc.c:1646  */
    break;

  case 1330:
#line 8932 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = FALSE; }
#line 30908 "gram.c" /* yacc.c:1646  */
    break;

  case 1331:
#line 8948 "gram.y" /* yacc.c:1646  */
    {
					UpdateStmt *n = makeNode(UpdateStmt);
					n->relation = (yyvsp[-5].range);
					n->targetList = (yyvsp[-3].list);
					n->fromClause = (yyvsp[-2].list);
					n->whereClause = (yyvsp[-1].node);
					n->returningList = (yyvsp[0].list);
					n->withClause = (yyvsp[-7].with);
					(yyval.node) = (Node *)n;
				}
#line 30923 "gram.c" /* yacc.c:1646  */
    break;

  case 1332:
#line 8961 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[0].list); }
#line 30929 "gram.c" /* yacc.c:1646  */
    break;

  case 1333:
#line 8962 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_concat((yyvsp[-2].list),(yyvsp[0].list)); }
#line 30935 "gram.c" /* yacc.c:1646  */
    break;

  case 1334:
#line 8966 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].target)); }
#line 30941 "gram.c" /* yacc.c:1646  */
    break;

  case 1335:
#line 8967 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[0].list); }
#line 30947 "gram.c" /* yacc.c:1646  */
    break;

  case 1336:
#line 8972 "gram.y" /* yacc.c:1646  */
    {
					(yyval.target) = (yyvsp[-2].target);
					(yyval.target)->val = (Node *) (yyvsp[0].node);
				}
#line 30956 "gram.c" /* yacc.c:1646  */
    break;

  case 1337:
#line 8980 "gram.y" /* yacc.c:1646  */
    {
					ListCell *col_cell;
					ListCell *val_cell;

					/*
					 * Break the ctext_row apart, merge individual expressions
					 * into the destination ResTargets.  XXX this approach
					 * cannot work for general row expressions as sources.
					 */
					if (list_length((yyvsp[-3].list)) != list_length((yyvsp[0].list)))
						ereport(ERROR,
								(errcode(ERRCODE_SYNTAX_ERROR),
								 errmsg("number of columns does not match number of values"),
								 parser_errposition((yylsp[-4]))));
					forboth(col_cell, (yyvsp[-3].list), val_cell, (yyvsp[0].list))
					{
						ResTarget *res_col = (ResTarget *) lfirst(col_cell);
						Node *res_val = (Node *) lfirst(val_cell);

						res_col->val = res_val;
					}

					(yyval.list) = (yyvsp[-3].list);
				}
#line 30985 "gram.c" /* yacc.c:1646  */
    break;

  case 1338:
#line 9008 "gram.y" /* yacc.c:1646  */
    {
					(yyval.target) = makeNode(ResTarget);
					(yyval.target)->name = (yyvsp[-1].str);
					(yyval.target)->indirection = check_indirection((yyvsp[0].list), yyscanner);
					(yyval.target)->val = NULL;	/* upper production sets this */
					(yyval.target)->location = (yylsp[-1]);
				}
#line 30997 "gram.c" /* yacc.c:1646  */
    break;

  case 1339:
#line 9018 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].target)); }
#line 31003 "gram.c" /* yacc.c:1646  */
    break;

  case 1340:
#line 9019 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-2].list),(yyvsp[0].target)); }
#line 31009 "gram.c" /* yacc.c:1646  */
    break;

  case 1341:
#line 9030 "gram.y" /* yacc.c:1646  */
    {
					DeclareCursorStmt *n = makeNode(DeclareCursorStmt);
					n->portalname = (yyvsp[-5].str);
					/* currently we always set FAST_PLAN option */
					n->options = (yyvsp[-4].ival) | (yyvsp[-2].ival) | CURSOR_OPT_FAST_PLAN;
					n->query = (yyvsp[0].node);
					(yyval.node) = (Node *)n;
				}
#line 31022 "gram.c" /* yacc.c:1646  */
    break;

  case 1342:
#line 9040 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 31028 "gram.c" /* yacc.c:1646  */
    break;

  case 1343:
#line 9043 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = 0; }
#line 31034 "gram.c" /* yacc.c:1646  */
    break;

  case 1344:
#line 9044 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = (yyvsp[-2].ival) | CURSOR_OPT_NO_SCROLL; }
#line 31040 "gram.c" /* yacc.c:1646  */
    break;

  case 1345:
#line 9045 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = (yyvsp[-1].ival) | CURSOR_OPT_SCROLL; }
#line 31046 "gram.c" /* yacc.c:1646  */
    break;

  case 1346:
#line 9046 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = (yyvsp[-1].ival) | CURSOR_OPT_BINARY; }
#line 31052 "gram.c" /* yacc.c:1646  */
    break;

  case 1347:
#line 9047 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = (yyvsp[-1].ival) | CURSOR_OPT_INSENSITIVE; }
#line 31058 "gram.c" /* yacc.c:1646  */
    break;

  case 1348:
#line 9050 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = 0; }
#line 31064 "gram.c" /* yacc.c:1646  */
    break;

  case 1349:
#line 9051 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = CURSOR_OPT_HOLD; }
#line 31070 "gram.c" /* yacc.c:1646  */
    break;

  case 1350:
#line 9052 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = 0; }
#line 31076 "gram.c" /* yacc.c:1646  */
    break;

  case 1353:
#line 9105 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[-1].node); }
#line 31082 "gram.c" /* yacc.c:1646  */
    break;

  case 1354:
#line 9106 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[-1].node); }
#line 31088 "gram.c" /* yacc.c:1646  */
    break;

  case 1355:
#line 9121 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[0].node); }
#line 31094 "gram.c" /* yacc.c:1646  */
    break;

  case 1356:
#line 9123 "gram.y" /* yacc.c:1646  */
    {
					insertSelectOptions((SelectStmt *) (yyvsp[-1].node), (yyvsp[0].list), NIL,
										NULL, NULL, NULL,
										yyscanner);
					(yyval.node) = (yyvsp[-1].node);
				}
#line 31105 "gram.c" /* yacc.c:1646  */
    break;

  case 1357:
#line 9130 "gram.y" /* yacc.c:1646  */
    {
					insertSelectOptions((SelectStmt *) (yyvsp[-3].node), (yyvsp[-2].list), (yyvsp[-1].list),
										list_nth((yyvsp[0].list), 0), list_nth((yyvsp[0].list), 1),
										NULL,
										yyscanner);
					(yyval.node) = (yyvsp[-3].node);
				}
#line 31117 "gram.c" /* yacc.c:1646  */
    break;

  case 1358:
#line 9138 "gram.y" /* yacc.c:1646  */
    {
					insertSelectOptions((SelectStmt *) (yyvsp[-3].node), (yyvsp[-2].list), (yyvsp[0].list),
										list_nth((yyvsp[-1].list), 0), list_nth((yyvsp[-1].list), 1),
										NULL,
										yyscanner);
					(yyval.node) = (yyvsp[-3].node);
				}
#line 31129 "gram.c" /* yacc.c:1646  */
    break;

  case 1359:
#line 9146 "gram.y" /* yacc.c:1646  */
    {
					insertSelectOptions((SelectStmt *) (yyvsp[0].node), NULL, NIL,
										NULL, NULL,
										(yyvsp[-1].with),
										yyscanner);
					(yyval.node) = (yyvsp[0].node);
				}
#line 31141 "gram.c" /* yacc.c:1646  */
    break;

  case 1360:
#line 9154 "gram.y" /* yacc.c:1646  */
    {
					insertSelectOptions((SelectStmt *) (yyvsp[-1].node), (yyvsp[0].list), NIL,
										NULL, NULL,
										(yyvsp[-2].with),
										yyscanner);
					(yyval.node) = (yyvsp[-1].node);
				}
#line 31153 "gram.c" /* yacc.c:1646  */
    break;

  case 1361:
#line 9162 "gram.y" /* yacc.c:1646  */
    {
					insertSelectOptions((SelectStmt *) (yyvsp[-3].node), (yyvsp[-2].list), (yyvsp[-1].list),
										list_nth((yyvsp[0].list), 0), list_nth((yyvsp[0].list), 1),
										(yyvsp[-4].with),
										yyscanner);
					(yyval.node) = (yyvsp[-3].node);
				}
#line 31165 "gram.c" /* yacc.c:1646  */
    break;

  case 1362:
#line 9170 "gram.y" /* yacc.c:1646  */
    {
					insertSelectOptions((SelectStmt *) (yyvsp[-3].node), (yyvsp[-2].list), (yyvsp[0].list),
										list_nth((yyvsp[-1].list), 0), list_nth((yyvsp[-1].list), 1),
										(yyvsp[-4].with),
										yyscanner);
					(yyval.node) = (yyvsp[-3].node);
				}
#line 31177 "gram.c" /* yacc.c:1646  */
    break;

  case 1363:
#line 9180 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[0].node); }
#line 31183 "gram.c" /* yacc.c:1646  */
    break;

  case 1364:
#line 9181 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[0].node); }
#line 31189 "gram.c" /* yacc.c:1646  */
    break;

  case 1365:
#line 9211 "gram.y" /* yacc.c:1646  */
    {
					SelectStmt *n = makeNode(SelectStmt);
					n->distinctClause = (yyvsp[-7].list);
					n->targetList = (yyvsp[-6].list);
					n->intoClause = (yyvsp[-5].into);
					n->fromClause = (yyvsp[-4].list);
					n->whereClause = (yyvsp[-3].node);
					n->groupClause = (yyvsp[-2].list);
					n->havingClause = (yyvsp[-1].node);
					n->windowClause = (yyvsp[0].list);
					(yyval.node) = (Node *)n;
				}
#line 31206 "gram.c" /* yacc.c:1646  */
    break;

  case 1366:
#line 9223 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[0].node); }
#line 31212 "gram.c" /* yacc.c:1646  */
    break;

  case 1367:
#line 9225 "gram.y" /* yacc.c:1646  */
    {
					/* same as SELECT * FROM relation_expr */
					ColumnRef *cr = makeNode(ColumnRef);
					ResTarget *rt = makeNode(ResTarget);
					SelectStmt *n = makeNode(SelectStmt);

					cr->fields = list_make1(makeNode(A_Star));
					cr->location = -1;

					rt->name = NULL;
					rt->indirection = NIL;
					rt->val = (Node *)cr;
					rt->location = -1;

					n->targetList = list_make1(rt);
					n->fromClause = list_make1((yyvsp[0].range));
					(yyval.node) = (Node *)n;
				}
#line 31235 "gram.c" /* yacc.c:1646  */
    break;

  case 1368:
#line 9244 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = makeSetOp(SETOP_UNION, (yyvsp[-1].boolean), (yyvsp[-3].node), (yyvsp[0].node));
				}
#line 31243 "gram.c" /* yacc.c:1646  */
    break;

  case 1369:
#line 9248 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = makeSetOp(SETOP_INTERSECT, (yyvsp[-1].boolean), (yyvsp[-3].node), (yyvsp[0].node));
				}
#line 31251 "gram.c" /* yacc.c:1646  */
    break;

  case 1370:
#line 9252 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = makeSetOp(SETOP_EXCEPT, (yyvsp[-1].boolean), (yyvsp[-3].node), (yyvsp[0].node));
				}
#line 31259 "gram.c" /* yacc.c:1646  */
    break;

  case 1371:
#line 9267 "gram.y" /* yacc.c:1646  */
    {
				(yyval.with) = makeNode(WithClause);
				(yyval.with)->ctes = (yyvsp[0].list);
				(yyval.with)->recursive = false;
				(yyval.with)->location = (yylsp[-1]);
			}
#line 31270 "gram.c" /* yacc.c:1646  */
    break;

  case 1372:
#line 9274 "gram.y" /* yacc.c:1646  */
    {
				(yyval.with) = makeNode(WithClause);
				(yyval.with)->ctes = (yyvsp[0].list);
				(yyval.with)->recursive = true;
				(yyval.with)->location = (yylsp[-2]);
			}
#line 31281 "gram.c" /* yacc.c:1646  */
    break;

  case 1373:
#line 9283 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].node)); }
#line 31287 "gram.c" /* yacc.c:1646  */
    break;

  case 1374:
#line 9284 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].node)); }
#line 31293 "gram.c" /* yacc.c:1646  */
    break;

  case 1375:
#line 9288 "gram.y" /* yacc.c:1646  */
    {
				CommonTableExpr *n = makeNode(CommonTableExpr);
				n->ctename = (yyvsp[-5].str);
				n->aliascolnames = (yyvsp[-4].list);
				n->ctequery = (yyvsp[-1].node);
				n->location = (yylsp[-5]);
				(yyval.node) = (Node *) n;
			}
#line 31306 "gram.c" /* yacc.c:1646  */
    break;

  case 1376:
#line 9299 "gram.y" /* yacc.c:1646  */
    { (yyval.with) = (yyvsp[0].with); }
#line 31312 "gram.c" /* yacc.c:1646  */
    break;

  case 1377:
#line 9300 "gram.y" /* yacc.c:1646  */
    { (yyval.with) = NULL; }
#line 31318 "gram.c" /* yacc.c:1646  */
    break;

  case 1378:
#line 9305 "gram.y" /* yacc.c:1646  */
    {
					(yyval.into) = makeNode(IntoClause);
					(yyval.into)->rel = (yyvsp[0].range);
					(yyval.into)->colNames = NIL;
					(yyval.into)->options = NIL;
					(yyval.into)->onCommit = ONCOMMIT_NOOP;
					(yyval.into)->tableSpaceName = NULL;
					(yyval.into)->viewQuery = NULL;
					(yyval.into)->skipData = false;
				}
#line 31333 "gram.c" /* yacc.c:1646  */
    break;

  case 1379:
#line 9316 "gram.y" /* yacc.c:1646  */
    { (yyval.into) = NULL; }
#line 31339 "gram.c" /* yacc.c:1646  */
    break;

  case 1380:
#line 9325 "gram.y" /* yacc.c:1646  */
    {
					(yyval.range) = (yyvsp[0].range);
					(yyval.range)->relpersistence = RELPERSISTENCE_TEMP;
				}
#line 31348 "gram.c" /* yacc.c:1646  */
    break;

  case 1381:
#line 9330 "gram.y" /* yacc.c:1646  */
    {
					(yyval.range) = (yyvsp[0].range);
					(yyval.range)->relpersistence = RELPERSISTENCE_TEMP;
				}
#line 31357 "gram.c" /* yacc.c:1646  */
    break;

  case 1382:
#line 9335 "gram.y" /* yacc.c:1646  */
    {
					(yyval.range) = (yyvsp[0].range);
					(yyval.range)->relpersistence = RELPERSISTENCE_TEMP;
				}
#line 31366 "gram.c" /* yacc.c:1646  */
    break;

  case 1383:
#line 9340 "gram.y" /* yacc.c:1646  */
    {
					(yyval.range) = (yyvsp[0].range);
					(yyval.range)->relpersistence = RELPERSISTENCE_TEMP;
				}
#line 31375 "gram.c" /* yacc.c:1646  */
    break;

  case 1384:
#line 9345 "gram.y" /* yacc.c:1646  */
    {
					ereport(WARNING,
							(errmsg("GLOBAL is deprecated in temporary table creation"),
							 parser_errposition((yylsp[-3]))));
					(yyval.range) = (yyvsp[0].range);
					(yyval.range)->relpersistence = RELPERSISTENCE_TEMP;
				}
#line 31387 "gram.c" /* yacc.c:1646  */
    break;

  case 1385:
#line 9353 "gram.y" /* yacc.c:1646  */
    {
					ereport(WARNING,
							(errmsg("GLOBAL is deprecated in temporary table creation"),
							 parser_errposition((yylsp[-3]))));
					(yyval.range) = (yyvsp[0].range);
					(yyval.range)->relpersistence = RELPERSISTENCE_TEMP;
				}
#line 31399 "gram.c" /* yacc.c:1646  */
    break;

  case 1386:
#line 9361 "gram.y" /* yacc.c:1646  */
    {
					(yyval.range) = (yyvsp[0].range);
					(yyval.range)->relpersistence = RELPERSISTENCE_UNLOGGED;
				}
#line 31408 "gram.c" /* yacc.c:1646  */
    break;

  case 1387:
#line 9366 "gram.y" /* yacc.c:1646  */
    {
					(yyval.range) = (yyvsp[0].range);
					(yyval.range)->relpersistence = RELPERSISTENCE_PERMANENT;
				}
#line 31417 "gram.c" /* yacc.c:1646  */
    break;

  case 1388:
#line 9371 "gram.y" /* yacc.c:1646  */
    {
					(yyval.range) = (yyvsp[0].range);
					(yyval.range)->relpersistence = RELPERSISTENCE_PERMANENT;
				}
#line 31426 "gram.c" /* yacc.c:1646  */
    break;

  case 1389:
#line 9377 "gram.y" /* yacc.c:1646  */
    {}
#line 31432 "gram.c" /* yacc.c:1646  */
    break;

  case 1390:
#line 9378 "gram.y" /* yacc.c:1646  */
    {}
#line 31438 "gram.c" /* yacc.c:1646  */
    break;

  case 1391:
#line 9381 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = TRUE; }
#line 31444 "gram.c" /* yacc.c:1646  */
    break;

  case 1392:
#line 9382 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = FALSE; }
#line 31450 "gram.c" /* yacc.c:1646  */
    break;

  case 1393:
#line 9383 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = FALSE; }
#line 31456 "gram.c" /* yacc.c:1646  */
    break;

  case 1394:
#line 9390 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1(NIL); }
#line 31462 "gram.c" /* yacc.c:1646  */
    break;

  case 1395:
#line 9391 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[-1].list); }
#line 31468 "gram.c" /* yacc.c:1646  */
    break;

  case 1396:
#line 9392 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 31474 "gram.c" /* yacc.c:1646  */
    break;

  case 1397:
#line 9393 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 31480 "gram.c" /* yacc.c:1646  */
    break;

  case 1398:
#line 9397 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[0].list);}
#line 31486 "gram.c" /* yacc.c:1646  */
    break;

  case 1399:
#line 9398 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 31492 "gram.c" /* yacc.c:1646  */
    break;

  case 1400:
#line 9402 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[0].list); }
#line 31498 "gram.c" /* yacc.c:1646  */
    break;

  case 1401:
#line 9406 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].sortby)); }
#line 31504 "gram.c" /* yacc.c:1646  */
    break;

  case 1402:
#line 9407 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].sortby)); }
#line 31510 "gram.c" /* yacc.c:1646  */
    break;

  case 1403:
#line 9411 "gram.y" /* yacc.c:1646  */
    {
					(yyval.sortby) = makeNode(SortBy);
					(yyval.sortby)->node = (yyvsp[-3].node);
					(yyval.sortby)->sortby_dir = SORTBY_USING;
					(yyval.sortby)->sortby_nulls = (yyvsp[0].ival);
					(yyval.sortby)->useOp = (yyvsp[-1].list);
					(yyval.sortby)->location = (yylsp[-1]);
				}
#line 31523 "gram.c" /* yacc.c:1646  */
    break;

  case 1404:
#line 9420 "gram.y" /* yacc.c:1646  */
    {
					(yyval.sortby) = makeNode(SortBy);
					(yyval.sortby)->node = (yyvsp[-2].node);
					(yyval.sortby)->sortby_dir = (yyvsp[-1].ival);
					(yyval.sortby)->sortby_nulls = (yyvsp[0].ival);
					(yyval.sortby)->useOp = NIL;
					(yyval.sortby)->location = -1;		/* no operator */
				}
#line 31536 "gram.c" /* yacc.c:1646  */
    break;

  case 1405:
#line 9432 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make2((yyvsp[0].node), (yyvsp[-1].node)); }
#line 31542 "gram.c" /* yacc.c:1646  */
    break;

  case 1406:
#line 9433 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make2((yyvsp[-1].node), (yyvsp[0].node)); }
#line 31548 "gram.c" /* yacc.c:1646  */
    break;

  case 1407:
#line 9434 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make2(NULL, (yyvsp[0].node)); }
#line 31554 "gram.c" /* yacc.c:1646  */
    break;

  case 1408:
#line 9435 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make2((yyvsp[0].node), NULL); }
#line 31560 "gram.c" /* yacc.c:1646  */
    break;

  case 1409:
#line 9439 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[0].list); }
#line 31566 "gram.c" /* yacc.c:1646  */
    break;

  case 1410:
#line 9440 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make2(NULL,NULL); }
#line 31572 "gram.c" /* yacc.c:1646  */
    break;

  case 1411:
#line 9445 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[0].node); }
#line 31578 "gram.c" /* yacc.c:1646  */
    break;

  case 1412:
#line 9447 "gram.y" /* yacc.c:1646  */
    {
					/* Disabled because it was too confusing, bjm 2002-02-18 */
					ereport(ERROR,
							(errcode(ERRCODE_SYNTAX_ERROR),
							 errmsg("LIMIT #,# syntax is not supported"),
							 errhint("Use separate LIMIT and OFFSET clauses."),
							 parser_errposition((yylsp[-3]))));
				}
#line 31591 "gram.c" /* yacc.c:1646  */
    break;

  case 1413:
#line 9457 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[-2].node); }
#line 31597 "gram.c" /* yacc.c:1646  */
    break;

  case 1414:
#line 9462 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[0].node); }
#line 31603 "gram.c" /* yacc.c:1646  */
    break;

  case 1415:
#line 9465 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[-1].node); }
#line 31609 "gram.c" /* yacc.c:1646  */
    break;

  case 1416:
#line 9469 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[0].node); }
#line 31615 "gram.c" /* yacc.c:1646  */
    break;

  case 1417:
#line 9471 "gram.y" /* yacc.c:1646  */
    {
					/* LIMIT ALL is represented as a NULL constant */
					(yyval.node) = makeNullAConst((yylsp[0]));
				}
#line 31624 "gram.c" /* yacc.c:1646  */
    break;

  case 1418:
#line 9478 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[0].node); }
#line 31630 "gram.c" /* yacc.c:1646  */
    break;

  case 1419:
#line 9488 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = makeIntConst((yyvsp[0].ival), (yylsp[0])); }
#line 31636 "gram.c" /* yacc.c:1646  */
    break;

  case 1420:
#line 9489 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[-1].node); }
#line 31642 "gram.c" /* yacc.c:1646  */
    break;

  case 1421:
#line 9490 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = makeIntConst(1, -1); }
#line 31648 "gram.c" /* yacc.c:1646  */
    break;

  case 1422:
#line 9498 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[0].node); }
#line 31654 "gram.c" /* yacc.c:1646  */
    break;

  case 1423:
#line 9502 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = 0; }
#line 31660 "gram.c" /* yacc.c:1646  */
    break;

  case 1424:
#line 9503 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = 0; }
#line 31666 "gram.c" /* yacc.c:1646  */
    break;

  case 1425:
#line 9506 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = 0; }
#line 31672 "gram.c" /* yacc.c:1646  */
    break;

  case 1426:
#line 9507 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = 0; }
#line 31678 "gram.c" /* yacc.c:1646  */
    break;

  case 1427:
#line 9512 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[0].list); }
#line 31684 "gram.c" /* yacc.c:1646  */
    break;

  case 1428:
#line 9513 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 31690 "gram.c" /* yacc.c:1646  */
    break;

  case 1429:
#line 9517 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[0].node); }
#line 31696 "gram.c" /* yacc.c:1646  */
    break;

  case 1430:
#line 9518 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = NULL; }
#line 31702 "gram.c" /* yacc.c:1646  */
    break;

  case 1431:
#line 9522 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[0].list); }
#line 31708 "gram.c" /* yacc.c:1646  */
    break;

  case 1432:
#line 9523 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 31714 "gram.c" /* yacc.c:1646  */
    break;

  case 1433:
#line 9527 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[0].list); }
#line 31720 "gram.c" /* yacc.c:1646  */
    break;

  case 1434:
#line 9528 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 31726 "gram.c" /* yacc.c:1646  */
    break;

  case 1435:
#line 9532 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].node)); }
#line 31732 "gram.c" /* yacc.c:1646  */
    break;

  case 1436:
#line 9533 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-1].list), (yyvsp[0].node)); }
#line 31738 "gram.c" /* yacc.c:1646  */
    break;

  case 1437:
#line 9538 "gram.y" /* yacc.c:1646  */
    {
					LockingClause *n = makeNode(LockingClause);
					n->lockedRels = (yyvsp[-1].list);
					n->strength = (yyvsp[-2].ival);
					n->noWait = (yyvsp[0].boolean);
					(yyval.node) = (Node *) n;
				}
#line 31750 "gram.c" /* yacc.c:1646  */
    break;

  case 1438:
#line 9548 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = LCS_FORUPDATE; }
#line 31756 "gram.c" /* yacc.c:1646  */
    break;

  case 1439:
#line 9549 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = LCS_FORNOKEYUPDATE; }
#line 31762 "gram.c" /* yacc.c:1646  */
    break;

  case 1440:
#line 9550 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = LCS_FORSHARE; }
#line 31768 "gram.c" /* yacc.c:1646  */
    break;

  case 1441:
#line 9551 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = LCS_FORKEYSHARE; }
#line 31774 "gram.c" /* yacc.c:1646  */
    break;

  case 1442:
#line 9555 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[0].list); }
#line 31780 "gram.c" /* yacc.c:1646  */
    break;

  case 1443:
#line 9556 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 31786 "gram.c" /* yacc.c:1646  */
    break;

  case 1444:
#line 9562 "gram.y" /* yacc.c:1646  */
    {
					SelectStmt *n = makeNode(SelectStmt);
					n->valuesLists = list_make1((yyvsp[0].list));
					(yyval.node) = (Node *) n;
				}
#line 31796 "gram.c" /* yacc.c:1646  */
    break;

  case 1445:
#line 9568 "gram.y" /* yacc.c:1646  */
    {
					SelectStmt *n = (SelectStmt *) (yyvsp[-2].node);
					n->valuesLists = lappend(n->valuesLists, (yyvsp[0].list));
					(yyval.node) = (Node *) n;
				}
#line 31806 "gram.c" /* yacc.c:1646  */
    break;

  case 1446:
#line 9585 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[0].list); }
#line 31812 "gram.c" /* yacc.c:1646  */
    break;

  case 1447:
#line 9586 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 31818 "gram.c" /* yacc.c:1646  */
    break;

  case 1448:
#line 9590 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].node)); }
#line 31824 "gram.c" /* yacc.c:1646  */
    break;

  case 1449:
#line 9591 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].node)); }
#line 31830 "gram.c" /* yacc.c:1646  */
    break;

  case 1450:
#line 9598 "gram.y" /* yacc.c:1646  */
    {
					(yyvsp[-1].range)->alias = (yyvsp[0].alias);
					(yyval.node) = (Node *) (yyvsp[-1].range);
				}
#line 31839 "gram.c" /* yacc.c:1646  */
    break;

  case 1451:
#line 9603 "gram.y" /* yacc.c:1646  */
    {
					RangeFunction *n = makeNode(RangeFunction);
					n->lateral = false;
					n->funccallnode = (yyvsp[-1].node);
					n->alias = linitial((yyvsp[0].list));
					n->coldeflist = lsecond((yyvsp[0].list));
					(yyval.node) = (Node *) n;
				}
#line 31852 "gram.c" /* yacc.c:1646  */
    break;

  case 1452:
#line 9612 "gram.y" /* yacc.c:1646  */
    {
					RangeFunction *n = makeNode(RangeFunction);
					n->lateral = true;
					n->funccallnode = (yyvsp[-1].node);
					n->alias = linitial((yyvsp[0].list));
					n->coldeflist = lsecond((yyvsp[0].list));
					(yyval.node) = (Node *) n;
				}
#line 31865 "gram.c" /* yacc.c:1646  */
    break;

  case 1453:
#line 9621 "gram.y" /* yacc.c:1646  */
    {
					RangeSubselect *n = makeNode(RangeSubselect);
					n->lateral = false;
					n->subquery = (yyvsp[-1].node);
					n->alias = (yyvsp[0].alias);
					/*
					 * The SQL spec does not permit a subselect
					 * (<derived_table>) without an alias clause,
					 * so we don't either.  This avoids the problem
					 * of needing to invent a unique refname for it.
					 * That could be surmounted if there's sufficient
					 * popular demand, but for now let's just implement
					 * the spec and see if anyone complains.
					 * However, it does seem like a good idea to emit
					 * an error message that's better than "syntax error".
					 */
					if ((yyvsp[0].alias) == NULL)
					{
						if (IsA((yyvsp[-1].node), SelectStmt) &&
							((SelectStmt *) (yyvsp[-1].node))->valuesLists)
							ereport(ERROR,
									(errcode(ERRCODE_SYNTAX_ERROR),
									 errmsg("VALUES in FROM must have an alias"),
									 errhint("For example, FROM (VALUES ...) [AS] foo."),
									 parser_errposition((yylsp[-1]))));
						else
							ereport(ERROR,
									(errcode(ERRCODE_SYNTAX_ERROR),
									 errmsg("subquery in FROM must have an alias"),
									 errhint("For example, FROM (SELECT ...) [AS] foo."),
									 parser_errposition((yylsp[-1]))));
					}
					(yyval.node) = (Node *) n;
				}
#line 31904 "gram.c" /* yacc.c:1646  */
    break;

  case 1454:
#line 9656 "gram.y" /* yacc.c:1646  */
    {
					RangeSubselect *n = makeNode(RangeSubselect);
					n->lateral = true;
					n->subquery = (yyvsp[-1].node);
					n->alias = (yyvsp[0].alias);
					/* same comment as above */
					if ((yyvsp[0].alias) == NULL)
					{
						if (IsA((yyvsp[-1].node), SelectStmt) &&
							((SelectStmt *) (yyvsp[-1].node))->valuesLists)
							ereport(ERROR,
									(errcode(ERRCODE_SYNTAX_ERROR),
									 errmsg("VALUES in FROM must have an alias"),
									 errhint("For example, FROM (VALUES ...) [AS] foo."),
									 parser_errposition((yylsp[-1]))));
						else
							ereport(ERROR,
									(errcode(ERRCODE_SYNTAX_ERROR),
									 errmsg("subquery in FROM must have an alias"),
									 errhint("For example, FROM (SELECT ...) [AS] foo."),
									 parser_errposition((yylsp[-1]))));
					}
					(yyval.node) = (Node *) n;
				}
#line 31933 "gram.c" /* yacc.c:1646  */
    break;

  case 1455:
#line 9681 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = (Node *) (yyvsp[0].jexpr);
				}
#line 31941 "gram.c" /* yacc.c:1646  */
    break;

  case 1456:
#line 9685 "gram.y" /* yacc.c:1646  */
    {
					(yyvsp[-2].jexpr)->alias = (yyvsp[0].alias);
					(yyval.node) = (Node *) (yyvsp[-2].jexpr);
				}
#line 31950 "gram.c" /* yacc.c:1646  */
    break;

  case 1457:
#line 9711 "gram.y" /* yacc.c:1646  */
    {
					(yyval.jexpr) = (yyvsp[-1].jexpr);
				}
#line 31958 "gram.c" /* yacc.c:1646  */
    break;

  case 1458:
#line 9715 "gram.y" /* yacc.c:1646  */
    {
					/* CROSS JOIN is same as unqualified inner join */
					JoinExpr *n = makeNode(JoinExpr);
					n->jointype = JOIN_INNER;
					n->isNatural = FALSE;
					n->larg = (yyvsp[-3].node);
					n->rarg = (yyvsp[0].node);
					n->usingClause = NIL;
					n->quals = NULL;
					(yyval.jexpr) = n;
				}
#line 31974 "gram.c" /* yacc.c:1646  */
    break;

  case 1459:
#line 9727 "gram.y" /* yacc.c:1646  */
    {
					JoinExpr *n = makeNode(JoinExpr);
					n->jointype = (yyvsp[-3].jtype);
					n->isNatural = FALSE;
					n->larg = (yyvsp[-4].node);
					n->rarg = (yyvsp[-1].node);
					if ((yyvsp[0].node) != NULL && IsA((yyvsp[0].node), List))
						n->usingClause = (List *) (yyvsp[0].node); /* USING clause */
					else
						n->quals = (yyvsp[0].node); /* ON clause */
					(yyval.jexpr) = n;
				}
#line 31991 "gram.c" /* yacc.c:1646  */
    break;

  case 1460:
#line 9740 "gram.y" /* yacc.c:1646  */
    {
					/* letting join_type reduce to empty doesn't work */
					JoinExpr *n = makeNode(JoinExpr);
					n->jointype = JOIN_INNER;
					n->isNatural = FALSE;
					n->larg = (yyvsp[-3].node);
					n->rarg = (yyvsp[-1].node);
					if ((yyvsp[0].node) != NULL && IsA((yyvsp[0].node), List))
						n->usingClause = (List *) (yyvsp[0].node); /* USING clause */
					else
						n->quals = (yyvsp[0].node); /* ON clause */
					(yyval.jexpr) = n;
				}
#line 32009 "gram.c" /* yacc.c:1646  */
    break;

  case 1461:
#line 9754 "gram.y" /* yacc.c:1646  */
    {
					JoinExpr *n = makeNode(JoinExpr);
					n->jointype = (yyvsp[-2].jtype);
					n->isNatural = TRUE;
					n->larg = (yyvsp[-4].node);
					n->rarg = (yyvsp[0].node);
					n->usingClause = NIL; /* figure out which columns later... */
					n->quals = NULL; /* fill later */
					(yyval.jexpr) = n;
				}
#line 32024 "gram.c" /* yacc.c:1646  */
    break;

  case 1462:
#line 9765 "gram.y" /* yacc.c:1646  */
    {
					/* letting join_type reduce to empty doesn't work */
					JoinExpr *n = makeNode(JoinExpr);
					n->jointype = JOIN_INNER;
					n->isNatural = TRUE;
					n->larg = (yyvsp[-3].node);
					n->rarg = (yyvsp[0].node);
					n->usingClause = NIL; /* figure out which columns later... */
					n->quals = NULL; /* fill later */
					(yyval.jexpr) = n;
				}
#line 32040 "gram.c" /* yacc.c:1646  */
    break;

  case 1463:
#line 9780 "gram.y" /* yacc.c:1646  */
    {
					(yyval.alias) = makeNode(Alias);
					(yyval.alias)->aliasname = (yyvsp[-3].str);
					(yyval.alias)->colnames = (yyvsp[-1].list);
				}
#line 32050 "gram.c" /* yacc.c:1646  */
    break;

  case 1464:
#line 9786 "gram.y" /* yacc.c:1646  */
    {
					(yyval.alias) = makeNode(Alias);
					(yyval.alias)->aliasname = (yyvsp[0].str);
				}
#line 32059 "gram.c" /* yacc.c:1646  */
    break;

  case 1465:
#line 9791 "gram.y" /* yacc.c:1646  */
    {
					(yyval.alias) = makeNode(Alias);
					(yyval.alias)->aliasname = (yyvsp[-3].str);
					(yyval.alias)->colnames = (yyvsp[-1].list);
				}
#line 32069 "gram.c" /* yacc.c:1646  */
    break;

  case 1466:
#line 9797 "gram.y" /* yacc.c:1646  */
    {
					(yyval.alias) = makeNode(Alias);
					(yyval.alias)->aliasname = (yyvsp[0].str);
				}
#line 32078 "gram.c" /* yacc.c:1646  */
    break;

  case 1467:
#line 9803 "gram.y" /* yacc.c:1646  */
    { (yyval.alias) = (yyvsp[0].alias); }
#line 32084 "gram.c" /* yacc.c:1646  */
    break;

  case 1468:
#line 9804 "gram.y" /* yacc.c:1646  */
    { (yyval.alias) = NULL; }
#line 32090 "gram.c" /* yacc.c:1646  */
    break;

  case 1469:
#line 9813 "gram.y" /* yacc.c:1646  */
    {
					(yyval.list) = list_make2((yyvsp[0].alias), NIL);
				}
#line 32098 "gram.c" /* yacc.c:1646  */
    break;

  case 1470:
#line 9817 "gram.y" /* yacc.c:1646  */
    {
					(yyval.list) = list_make2(NULL, (yyvsp[-1].list));
				}
#line 32106 "gram.c" /* yacc.c:1646  */
    break;

  case 1471:
#line 9821 "gram.y" /* yacc.c:1646  */
    {
					Alias *a = makeNode(Alias);
					a->aliasname = (yyvsp[-3].str);
					(yyval.list) = list_make2(a, (yyvsp[-1].list));
				}
#line 32116 "gram.c" /* yacc.c:1646  */
    break;

  case 1472:
#line 9827 "gram.y" /* yacc.c:1646  */
    {
					Alias *a = makeNode(Alias);
					a->aliasname = (yyvsp[-3].str);
					(yyval.list) = list_make2(a, (yyvsp[-1].list));
				}
#line 32126 "gram.c" /* yacc.c:1646  */
    break;

  case 1473:
#line 9833 "gram.y" /* yacc.c:1646  */
    {
					(yyval.list) = list_make2(NULL, NIL);
				}
#line 32134 "gram.c" /* yacc.c:1646  */
    break;

  case 1474:
#line 9838 "gram.y" /* yacc.c:1646  */
    { (yyval.jtype) = JOIN_FULL; }
#line 32140 "gram.c" /* yacc.c:1646  */
    break;

  case 1475:
#line 9839 "gram.y" /* yacc.c:1646  */
    { (yyval.jtype) = JOIN_LEFT; }
#line 32146 "gram.c" /* yacc.c:1646  */
    break;

  case 1476:
#line 9840 "gram.y" /* yacc.c:1646  */
    { (yyval.jtype) = JOIN_RIGHT; }
#line 32152 "gram.c" /* yacc.c:1646  */
    break;

  case 1477:
#line 9841 "gram.y" /* yacc.c:1646  */
    { (yyval.jtype) = JOIN_INNER; }
#line 32158 "gram.c" /* yacc.c:1646  */
    break;

  case 1478:
#line 9845 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = NULL; }
#line 32164 "gram.c" /* yacc.c:1646  */
    break;

  case 1479:
#line 9846 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = NULL; }
#line 32170 "gram.c" /* yacc.c:1646  */
    break;

  case 1480:
#line 9858 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *) (yyvsp[-1].list); }
#line 32176 "gram.c" /* yacc.c:1646  */
    break;

  case 1481:
#line 9859 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[0].node); }
#line 32182 "gram.c" /* yacc.c:1646  */
    break;

  case 1482:
#line 9865 "gram.y" /* yacc.c:1646  */
    {
					/* default inheritance */
					(yyval.range) = (yyvsp[0].range);
					(yyval.range)->inhOpt = INH_DEFAULT;
					(yyval.range)->alias = NULL;
				}
#line 32193 "gram.c" /* yacc.c:1646  */
    break;

  case 1483:
#line 9872 "gram.y" /* yacc.c:1646  */
    {
					/* inheritance query */
					(yyval.range) = (yyvsp[-1].range);
					(yyval.range)->inhOpt = INH_YES;
					(yyval.range)->alias = NULL;
				}
#line 32204 "gram.c" /* yacc.c:1646  */
    break;

  case 1484:
#line 9879 "gram.y" /* yacc.c:1646  */
    {
					/* no inheritance */
					(yyval.range) = (yyvsp[0].range);
					(yyval.range)->inhOpt = INH_NO;
					(yyval.range)->alias = NULL;
				}
#line 32215 "gram.c" /* yacc.c:1646  */
    break;

  case 1485:
#line 9886 "gram.y" /* yacc.c:1646  */
    {
					/* no inheritance, SQL99-style syntax */
					(yyval.range) = (yyvsp[-1].range);
					(yyval.range)->inhOpt = INH_NO;
					(yyval.range)->alias = NULL;
				}
#line 32226 "gram.c" /* yacc.c:1646  */
    break;

  case 1486:
#line 9896 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].range)); }
#line 32232 "gram.c" /* yacc.c:1646  */
    break;

  case 1487:
#line 9897 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].range)); }
#line 32238 "gram.c" /* yacc.c:1646  */
    break;

  case 1488:
#line 9911 "gram.y" /* yacc.c:1646  */
    {
					(yyval.range) = (yyvsp[0].range);
				}
#line 32246 "gram.c" /* yacc.c:1646  */
    break;

  case 1489:
#line 9915 "gram.y" /* yacc.c:1646  */
    {
					Alias *alias = makeNode(Alias);
					alias->aliasname = (yyvsp[0].str);
					(yyvsp[-1].range)->alias = alias;
					(yyval.range) = (yyvsp[-1].range);
				}
#line 32257 "gram.c" /* yacc.c:1646  */
    break;

  case 1490:
#line 9922 "gram.y" /* yacc.c:1646  */
    {
					Alias *alias = makeNode(Alias);
					alias->aliasname = (yyvsp[0].str);
					(yyvsp[-2].range)->alias = alias;
					(yyval.range) = (yyvsp[-2].range);
				}
#line 32268 "gram.c" /* yacc.c:1646  */
    break;

  case 1491:
#line 9931 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[0].node); }
#line 32274 "gram.c" /* yacc.c:1646  */
    break;

  case 1492:
#line 9936 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[0].node); }
#line 32280 "gram.c" /* yacc.c:1646  */
    break;

  case 1493:
#line 9937 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = NULL; }
#line 32286 "gram.c" /* yacc.c:1646  */
    break;

  case 1494:
#line 9942 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[0].node); }
#line 32292 "gram.c" /* yacc.c:1646  */
    break;

  case 1495:
#line 9944 "gram.y" /* yacc.c:1646  */
    {
					CurrentOfExpr *n = makeNode(CurrentOfExpr);
					/* cvarno is filled in by parse analysis */
					n->cursor_name = (yyvsp[0].str);
					n->cursor_param = 0;
					(yyval.node) = (Node *) n;
				}
#line 32304 "gram.c" /* yacc.c:1646  */
    break;

  case 1496:
#line 9951 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = NULL; }
#line 32310 "gram.c" /* yacc.c:1646  */
    break;

  case 1497:
#line 9956 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[0].list); }
#line 32316 "gram.c" /* yacc.c:1646  */
    break;

  case 1498:
#line 9957 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 32322 "gram.c" /* yacc.c:1646  */
    break;

  case 1499:
#line 9962 "gram.y" /* yacc.c:1646  */
    {
					(yyval.list) = list_make1((yyvsp[0].node));
				}
#line 32330 "gram.c" /* yacc.c:1646  */
    break;

  case 1500:
#line 9966 "gram.y" /* yacc.c:1646  */
    {
					(yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].node));
				}
#line 32338 "gram.c" /* yacc.c:1646  */
    break;

  case 1501:
#line 9972 "gram.y" /* yacc.c:1646  */
    {
					ColumnDef *n = makeNode(ColumnDef);
					n->colname = (yyvsp[-2].str);
					n->typeName = (yyvsp[-1].typnam);
					n->inhcount = 0;
					n->is_local = true;
					n->is_not_null = false;
					n->is_from_type = false;
					n->storage = 0;
					n->raw_default = NULL;
					n->cooked_default = NULL;
					n->collClause = (CollateClause *) (yyvsp[0].node);
					n->collOid = InvalidOid;
					n->constraints = NIL;
					(yyval.node) = (Node *)n;
				}
#line 32359 "gram.c" /* yacc.c:1646  */
    break;

  case 1502:
#line 10001 "gram.y" /* yacc.c:1646  */
    {
					(yyval.typnam) = (yyvsp[-1].typnam);
					(yyval.typnam)->arrayBounds = (yyvsp[0].list);
				}
#line 32368 "gram.c" /* yacc.c:1646  */
    break;

  case 1503:
#line 10006 "gram.y" /* yacc.c:1646  */
    {
					(yyval.typnam) = (yyvsp[-1].typnam);
					(yyval.typnam)->arrayBounds = (yyvsp[0].list);
					(yyval.typnam)->setof = TRUE;
				}
#line 32378 "gram.c" /* yacc.c:1646  */
    break;

  case 1504:
#line 10013 "gram.y" /* yacc.c:1646  */
    {
					(yyval.typnam) = (yyvsp[-4].typnam);
					(yyval.typnam)->arrayBounds = list_make1(makeInteger((yyvsp[-1].ival)));
				}
#line 32387 "gram.c" /* yacc.c:1646  */
    break;

  case 1505:
#line 10018 "gram.y" /* yacc.c:1646  */
    {
					(yyval.typnam) = (yyvsp[-4].typnam);
					(yyval.typnam)->arrayBounds = list_make1(makeInteger((yyvsp[-1].ival)));
					(yyval.typnam)->setof = TRUE;
				}
#line 32397 "gram.c" /* yacc.c:1646  */
    break;

  case 1506:
#line 10024 "gram.y" /* yacc.c:1646  */
    {
					(yyval.typnam) = (yyvsp[-1].typnam);
					(yyval.typnam)->arrayBounds = list_make1(makeInteger(-1));
				}
#line 32406 "gram.c" /* yacc.c:1646  */
    break;

  case 1507:
#line 10029 "gram.y" /* yacc.c:1646  */
    {
					(yyval.typnam) = (yyvsp[-1].typnam);
					(yyval.typnam)->arrayBounds = list_make1(makeInteger(-1));
					(yyval.typnam)->setof = TRUE;
				}
#line 32416 "gram.c" /* yacc.c:1646  */
    break;

  case 1508:
#line 10038 "gram.y" /* yacc.c:1646  */
    {  (yyval.list) = lappend((yyvsp[-2].list), makeInteger(-1)); }
#line 32422 "gram.c" /* yacc.c:1646  */
    break;

  case 1509:
#line 10040 "gram.y" /* yacc.c:1646  */
    {  (yyval.list) = lappend((yyvsp[-3].list), makeInteger((yyvsp[-1].ival))); }
#line 32428 "gram.c" /* yacc.c:1646  */
    break;

  case 1510:
#line 10042 "gram.y" /* yacc.c:1646  */
    {  (yyval.list) = NIL; }
#line 32434 "gram.c" /* yacc.c:1646  */
    break;

  case 1511:
#line 10046 "gram.y" /* yacc.c:1646  */
    { (yyval.typnam) = (yyvsp[0].typnam); }
#line 32440 "gram.c" /* yacc.c:1646  */
    break;

  case 1512:
#line 10047 "gram.y" /* yacc.c:1646  */
    { (yyval.typnam) = (yyvsp[0].typnam); }
#line 32446 "gram.c" /* yacc.c:1646  */
    break;

  case 1513:
#line 10048 "gram.y" /* yacc.c:1646  */
    { (yyval.typnam) = (yyvsp[0].typnam); }
#line 32452 "gram.c" /* yacc.c:1646  */
    break;

  case 1514:
#line 10049 "gram.y" /* yacc.c:1646  */
    { (yyval.typnam) = (yyvsp[0].typnam); }
#line 32458 "gram.c" /* yacc.c:1646  */
    break;

  case 1515:
#line 10050 "gram.y" /* yacc.c:1646  */
    { (yyval.typnam) = (yyvsp[0].typnam); }
#line 32464 "gram.c" /* yacc.c:1646  */
    break;

  case 1516:
#line 10052 "gram.y" /* yacc.c:1646  */
    {
					(yyval.typnam) = (yyvsp[-1].typnam);
					(yyval.typnam)->typmods = (yyvsp[0].list);
				}
#line 32473 "gram.c" /* yacc.c:1646  */
    break;

  case 1517:
#line 10057 "gram.y" /* yacc.c:1646  */
    {
					(yyval.typnam) = (yyvsp[-4].typnam);
					if ((yyvsp[0].list) != NIL)
					{
						if (list_length((yyvsp[0].list)) != 1)
							ereport(ERROR,
									(errcode(ERRCODE_SYNTAX_ERROR),
									 errmsg("interval precision specified twice"),
									 parser_errposition((yylsp[-4]))));
						(yyval.typnam)->typmods = lappend((yyvsp[0].list), makeIntConst((yyvsp[-2].ival), (yylsp[-2])));
					}
					else
						(yyval.typnam)->typmods = list_make2(makeIntConst(INTERVAL_FULL_RANGE, -1),
												 makeIntConst((yyvsp[-2].ival), (yylsp[-2])));
				}
#line 32493 "gram.c" /* yacc.c:1646  */
    break;

  case 1518:
#line 10086 "gram.y" /* yacc.c:1646  */
    { (yyval.typnam) = (yyvsp[0].typnam); }
#line 32499 "gram.c" /* yacc.c:1646  */
    break;

  case 1519:
#line 10087 "gram.y" /* yacc.c:1646  */
    { (yyval.typnam) = (yyvsp[0].typnam); }
#line 32505 "gram.c" /* yacc.c:1646  */
    break;

  case 1520:
#line 10088 "gram.y" /* yacc.c:1646  */
    { (yyval.typnam) = (yyvsp[0].typnam); }
#line 32511 "gram.c" /* yacc.c:1646  */
    break;

  case 1521:
#line 10089 "gram.y" /* yacc.c:1646  */
    { (yyval.typnam) = (yyvsp[0].typnam); }
#line 32517 "gram.c" /* yacc.c:1646  */
    break;

  case 1522:
#line 10101 "gram.y" /* yacc.c:1646  */
    {
					(yyval.typnam) = makeTypeName((yyvsp[-1].str));
					(yyval.typnam)->typmods = (yyvsp[0].list);
					(yyval.typnam)->location = (yylsp[-1]);
				}
#line 32527 "gram.c" /* yacc.c:1646  */
    break;

  case 1523:
#line 10107 "gram.y" /* yacc.c:1646  */
    {
					(yyval.typnam) = makeTypeNameFromNameList(lcons(makeString((yyvsp[-2].str)), (yyvsp[-1].list)));
					(yyval.typnam)->typmods = (yyvsp[0].list);
					(yyval.typnam)->location = (yylsp[-2]);
				}
#line 32537 "gram.c" /* yacc.c:1646  */
    break;

  case 1524:
#line 10114 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[-1].list); }
#line 32543 "gram.c" /* yacc.c:1646  */
    break;

  case 1525:
#line 10115 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 32549 "gram.c" /* yacc.c:1646  */
    break;

  case 1526:
#line 10122 "gram.y" /* yacc.c:1646  */
    {
					(yyval.typnam) = SystemTypeName("int4");
					(yyval.typnam)->location = (yylsp[0]);
				}
#line 32558 "gram.c" /* yacc.c:1646  */
    break;

  case 1527:
#line 10127 "gram.y" /* yacc.c:1646  */
    {
					(yyval.typnam) = SystemTypeName("int4");
					(yyval.typnam)->location = (yylsp[0]);
				}
#line 32567 "gram.c" /* yacc.c:1646  */
    break;

  case 1528:
#line 10132 "gram.y" /* yacc.c:1646  */
    {
					(yyval.typnam) = SystemTypeName("int2");
					(yyval.typnam)->location = (yylsp[0]);
				}
#line 32576 "gram.c" /* yacc.c:1646  */
    break;

  case 1529:
#line 10137 "gram.y" /* yacc.c:1646  */
    {
					(yyval.typnam) = SystemTypeName("int8");
					(yyval.typnam)->location = (yylsp[0]);
				}
#line 32585 "gram.c" /* yacc.c:1646  */
    break;

  case 1530:
#line 10142 "gram.y" /* yacc.c:1646  */
    {
					(yyval.typnam) = SystemTypeName("float4");
					(yyval.typnam)->location = (yylsp[0]);
				}
#line 32594 "gram.c" /* yacc.c:1646  */
    break;

  case 1531:
#line 10147 "gram.y" /* yacc.c:1646  */
    {
					(yyval.typnam) = (yyvsp[0].typnam);
					(yyval.typnam)->location = (yylsp[-1]);
				}
#line 32603 "gram.c" /* yacc.c:1646  */
    break;

  case 1532:
#line 10152 "gram.y" /* yacc.c:1646  */
    {
					(yyval.typnam) = SystemTypeName("float8");
					(yyval.typnam)->location = (yylsp[-1]);
				}
#line 32612 "gram.c" /* yacc.c:1646  */
    break;

  case 1533:
#line 10157 "gram.y" /* yacc.c:1646  */
    {
					(yyval.typnam) = SystemTypeName("numeric");
					(yyval.typnam)->typmods = (yyvsp[0].list);
					(yyval.typnam)->location = (yylsp[-1]);
				}
#line 32622 "gram.c" /* yacc.c:1646  */
    break;

  case 1534:
#line 10163 "gram.y" /* yacc.c:1646  */
    {
					(yyval.typnam) = SystemTypeName("numeric");
					(yyval.typnam)->typmods = (yyvsp[0].list);
					(yyval.typnam)->location = (yylsp[-1]);
				}
#line 32632 "gram.c" /* yacc.c:1646  */
    break;

  case 1535:
#line 10169 "gram.y" /* yacc.c:1646  */
    {
					(yyval.typnam) = SystemTypeName("numeric");
					(yyval.typnam)->typmods = (yyvsp[0].list);
					(yyval.typnam)->location = (yylsp[-1]);
				}
#line 32642 "gram.c" /* yacc.c:1646  */
    break;

  case 1536:
#line 10175 "gram.y" /* yacc.c:1646  */
    {
					(yyval.typnam) = SystemTypeName("bool");
					(yyval.typnam)->location = (yylsp[0]);
				}
#line 32651 "gram.c" /* yacc.c:1646  */
    break;

  case 1537:
#line 10182 "gram.y" /* yacc.c:1646  */
    {
					/*
					 * Check FLOAT() precision limits assuming IEEE floating
					 * types - thomas 1997-09-18
					 */
					if ((yyvsp[-1].ival) < 1)
						ereport(ERROR,
								(errcode(ERRCODE_INVALID_PARAMETER_VALUE),
								 errmsg("precision for type float must be at least 1 bit"),
								 parser_errposition((yylsp[-1]))));
					else if ((yyvsp[-1].ival) <= 24)
						(yyval.typnam) = SystemTypeName("float4");
					else if ((yyvsp[-1].ival) <= 53)
						(yyval.typnam) = SystemTypeName("float8");
					else
						ereport(ERROR,
								(errcode(ERRCODE_INVALID_PARAMETER_VALUE),
								 errmsg("precision for type float must be less than 54 bits"),
								 parser_errposition((yylsp[-1]))));
				}
#line 32676 "gram.c" /* yacc.c:1646  */
    break;

  case 1538:
#line 10203 "gram.y" /* yacc.c:1646  */
    {
					(yyval.typnam) = SystemTypeName("float8");
				}
#line 32684 "gram.c" /* yacc.c:1646  */
    break;

  case 1539:
#line 10213 "gram.y" /* yacc.c:1646  */
    {
					(yyval.typnam) = (yyvsp[0].typnam);
				}
#line 32692 "gram.c" /* yacc.c:1646  */
    break;

  case 1540:
#line 10217 "gram.y" /* yacc.c:1646  */
    {
					(yyval.typnam) = (yyvsp[0].typnam);
				}
#line 32700 "gram.c" /* yacc.c:1646  */
    break;

  case 1541:
#line 10225 "gram.y" /* yacc.c:1646  */
    {
					(yyval.typnam) = (yyvsp[0].typnam);
				}
#line 32708 "gram.c" /* yacc.c:1646  */
    break;

  case 1542:
#line 10229 "gram.y" /* yacc.c:1646  */
    {
					(yyval.typnam) = (yyvsp[0].typnam);
					(yyval.typnam)->typmods = NIL;
				}
#line 32717 "gram.c" /* yacc.c:1646  */
    break;

  case 1543:
#line 10237 "gram.y" /* yacc.c:1646  */
    {
					char *typname;

					typname = (yyvsp[-3].boolean) ? "varbit" : "bit";
					(yyval.typnam) = SystemTypeName(typname);
					(yyval.typnam)->typmods = (yyvsp[-1].list);
					(yyval.typnam)->location = (yylsp[-4]);
				}
#line 32730 "gram.c" /* yacc.c:1646  */
    break;

  case 1544:
#line 10249 "gram.y" /* yacc.c:1646  */
    {
					/* bit defaults to bit(1), varbit to no limit */
					if ((yyvsp[0].boolean))
					{
						(yyval.typnam) = SystemTypeName("varbit");
					}
					else
					{
						(yyval.typnam) = SystemTypeName("bit");
						(yyval.typnam)->typmods = list_make1(makeIntConst(1, -1));
					}
					(yyval.typnam)->location = (yylsp[-1]);
				}
#line 32748 "gram.c" /* yacc.c:1646  */
    break;

  case 1545:
#line 10270 "gram.y" /* yacc.c:1646  */
    {
					(yyval.typnam) = (yyvsp[0].typnam);
				}
#line 32756 "gram.c" /* yacc.c:1646  */
    break;

  case 1546:
#line 10274 "gram.y" /* yacc.c:1646  */
    {
					(yyval.typnam) = (yyvsp[0].typnam);
				}
#line 32764 "gram.c" /* yacc.c:1646  */
    break;

  case 1547:
#line 10280 "gram.y" /* yacc.c:1646  */
    {
					(yyval.typnam) = (yyvsp[0].typnam);
				}
#line 32772 "gram.c" /* yacc.c:1646  */
    break;

  case 1548:
#line 10284 "gram.y" /* yacc.c:1646  */
    {
					/* Length was not specified so allow to be unrestricted.
					 * This handles problems with fixed-length (bpchar) strings
					 * which in column definitions must default to a length
					 * of one, but should not be constrained if the length
					 * was not specified.
					 */
					(yyval.typnam) = (yyvsp[0].typnam);
					(yyval.typnam)->typmods = NIL;
				}
#line 32787 "gram.c" /* yacc.c:1646  */
    break;

  case 1549:
#line 10297 "gram.y" /* yacc.c:1646  */
    {
					if (((yyvsp[0].str) != NULL) && (strcmp((yyvsp[0].str), "sql_text") != 0))
					{
						char *type;

						type = palloc(strlen((yyvsp[-4].str)) + 1 + strlen((yyvsp[0].str)) + 1);
						strcpy(type, (yyvsp[-4].str));
						strcat(type, "_");
						strcat(type, (yyvsp[0].str));
						(yyvsp[-4].str) = type;
					}

					(yyval.typnam) = SystemTypeName((yyvsp[-4].str));
					(yyval.typnam)->typmods = list_make1(makeIntConst((yyvsp[-2].ival), (yylsp[-2])));
					(yyval.typnam)->location = (yylsp[-4]);
				}
#line 32808 "gram.c" /* yacc.c:1646  */
    break;

  case 1550:
#line 10316 "gram.y" /* yacc.c:1646  */
    {
					if (((yyvsp[0].str) != NULL) && (strcmp((yyvsp[0].str), "sql_text") != 0))
					{
						char *type;

						type = palloc(strlen((yyvsp[-1].str)) + 1 + strlen((yyvsp[0].str)) + 1);
						strcpy(type, (yyvsp[-1].str));
						strcat(type, "_");
						strcat(type, (yyvsp[0].str));
						(yyvsp[-1].str) = type;
					}

					(yyval.typnam) = SystemTypeName((yyvsp[-1].str));

					/* char defaults to char(1), varchar to no limit */
					if (strcmp((yyvsp[-1].str), "bpchar") == 0)
						(yyval.typnam)->typmods = list_make1(makeIntConst(1, -1));

					(yyval.typnam)->location = (yylsp[-1]);
				}
#line 32833 "gram.c" /* yacc.c:1646  */
    break;

  case 1551:
#line 10339 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].boolean) ? "varchar": "bpchar"; }
#line 32839 "gram.c" /* yacc.c:1646  */
    break;

  case 1552:
#line 10341 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].boolean) ? "varchar": "bpchar"; }
#line 32845 "gram.c" /* yacc.c:1646  */
    break;

  case 1553:
#line 10343 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = "varchar"; }
#line 32851 "gram.c" /* yacc.c:1646  */
    break;

  case 1554:
#line 10345 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].boolean) ? "varchar": "bpchar"; }
#line 32857 "gram.c" /* yacc.c:1646  */
    break;

  case 1555:
#line 10347 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].boolean) ? "varchar": "bpchar"; }
#line 32863 "gram.c" /* yacc.c:1646  */
    break;

  case 1556:
#line 10349 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].boolean) ? "varchar": "bpchar"; }
#line 32869 "gram.c" /* yacc.c:1646  */
    break;

  case 1557:
#line 10353 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = TRUE; }
#line 32875 "gram.c" /* yacc.c:1646  */
    break;

  case 1558:
#line 10354 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = FALSE; }
#line 32881 "gram.c" /* yacc.c:1646  */
    break;

  case 1559:
#line 10358 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 32887 "gram.c" /* yacc.c:1646  */
    break;

  case 1560:
#line 10359 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = NULL; }
#line 32893 "gram.c" /* yacc.c:1646  */
    break;

  case 1561:
#line 10367 "gram.y" /* yacc.c:1646  */
    {
					if ((yyvsp[0].boolean))
						(yyval.typnam) = SystemTypeName("timestamptz");
					else
						(yyval.typnam) = SystemTypeName("timestamp");
					(yyval.typnam)->typmods = list_make1(makeIntConst((yyvsp[-2].ival), (yylsp[-2])));
					(yyval.typnam)->location = (yylsp[-4]);
				}
#line 32906 "gram.c" /* yacc.c:1646  */
    break;

  case 1562:
#line 10376 "gram.y" /* yacc.c:1646  */
    {
					if ((yyvsp[0].boolean))
						(yyval.typnam) = SystemTypeName("timestamptz");
					else
						(yyval.typnam) = SystemTypeName("timestamp");
					(yyval.typnam)->location = (yylsp[-1]);
				}
#line 32918 "gram.c" /* yacc.c:1646  */
    break;

  case 1563:
#line 10384 "gram.y" /* yacc.c:1646  */
    {
					if ((yyvsp[0].boolean))
						(yyval.typnam) = SystemTypeName("timetz");
					else
						(yyval.typnam) = SystemTypeName("time");
					(yyval.typnam)->typmods = list_make1(makeIntConst((yyvsp[-2].ival), (yylsp[-2])));
					(yyval.typnam)->location = (yylsp[-4]);
				}
#line 32931 "gram.c" /* yacc.c:1646  */
    break;

  case 1564:
#line 10393 "gram.y" /* yacc.c:1646  */
    {
					if ((yyvsp[0].boolean))
						(yyval.typnam) = SystemTypeName("timetz");
					else
						(yyval.typnam) = SystemTypeName("time");
					(yyval.typnam)->location = (yylsp[-1]);
				}
#line 32943 "gram.c" /* yacc.c:1646  */
    break;

  case 1565:
#line 10404 "gram.y" /* yacc.c:1646  */
    {
					(yyval.typnam) = SystemTypeName("interval");
					(yyval.typnam)->location = (yylsp[0]);
				}
#line 32952 "gram.c" /* yacc.c:1646  */
    break;

  case 1566:
#line 10411 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = TRUE; }
#line 32958 "gram.c" /* yacc.c:1646  */
    break;

  case 1567:
#line 10412 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = FALSE; }
#line 32964 "gram.c" /* yacc.c:1646  */
    break;

  case 1568:
#line 10413 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = FALSE; }
#line 32970 "gram.c" /* yacc.c:1646  */
    break;

  case 1569:
#line 10418 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1(makeIntConst(INTERVAL_MASK(YEAR), (yylsp[0]))); }
#line 32976 "gram.c" /* yacc.c:1646  */
    break;

  case 1570:
#line 10420 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1(makeIntConst(INTERVAL_MASK(MONTH), (yylsp[0]))); }
#line 32982 "gram.c" /* yacc.c:1646  */
    break;

  case 1571:
#line 10422 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1(makeIntConst(INTERVAL_MASK(DAY), (yylsp[0]))); }
#line 32988 "gram.c" /* yacc.c:1646  */
    break;

  case 1572:
#line 10424 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1(makeIntConst(INTERVAL_MASK(HOUR), (yylsp[0]))); }
#line 32994 "gram.c" /* yacc.c:1646  */
    break;

  case 1573:
#line 10426 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1(makeIntConst(INTERVAL_MASK(MINUTE), (yylsp[0]))); }
#line 33000 "gram.c" /* yacc.c:1646  */
    break;

  case 1574:
#line 10428 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[0].list); }
#line 33006 "gram.c" /* yacc.c:1646  */
    break;

  case 1575:
#line 10430 "gram.y" /* yacc.c:1646  */
    {
					(yyval.list) = list_make1(makeIntConst(INTERVAL_MASK(YEAR) |
												 INTERVAL_MASK(MONTH), (yylsp[-2])));
				}
#line 33015 "gram.c" /* yacc.c:1646  */
    break;

  case 1576:
#line 10435 "gram.y" /* yacc.c:1646  */
    {
					(yyval.list) = list_make1(makeIntConst(INTERVAL_MASK(DAY) |
												 INTERVAL_MASK(HOUR), (yylsp[-2])));
				}
#line 33024 "gram.c" /* yacc.c:1646  */
    break;

  case 1577:
#line 10440 "gram.y" /* yacc.c:1646  */
    {
					(yyval.list) = list_make1(makeIntConst(INTERVAL_MASK(DAY) |
												 INTERVAL_MASK(HOUR) |
												 INTERVAL_MASK(MINUTE), (yylsp[-2])));
				}
#line 33034 "gram.c" /* yacc.c:1646  */
    break;

  case 1578:
#line 10446 "gram.y" /* yacc.c:1646  */
    {
					(yyval.list) = (yyvsp[0].list);
					linitial((yyval.list)) = makeIntConst(INTERVAL_MASK(DAY) |
												INTERVAL_MASK(HOUR) |
												INTERVAL_MASK(MINUTE) |
												INTERVAL_MASK(SECOND), (yylsp[-2]));
				}
#line 33046 "gram.c" /* yacc.c:1646  */
    break;

  case 1579:
#line 10454 "gram.y" /* yacc.c:1646  */
    {
					(yyval.list) = list_make1(makeIntConst(INTERVAL_MASK(HOUR) |
												 INTERVAL_MASK(MINUTE), (yylsp[-2])));
				}
#line 33055 "gram.c" /* yacc.c:1646  */
    break;

  case 1580:
#line 10459 "gram.y" /* yacc.c:1646  */
    {
					(yyval.list) = (yyvsp[0].list);
					linitial((yyval.list)) = makeIntConst(INTERVAL_MASK(HOUR) |
												INTERVAL_MASK(MINUTE) |
												INTERVAL_MASK(SECOND), (yylsp[-2]));
				}
#line 33066 "gram.c" /* yacc.c:1646  */
    break;

  case 1581:
#line 10466 "gram.y" /* yacc.c:1646  */
    {
					(yyval.list) = (yyvsp[0].list);
					linitial((yyval.list)) = makeIntConst(INTERVAL_MASK(MINUTE) |
												INTERVAL_MASK(SECOND), (yylsp[-2]));
				}
#line 33076 "gram.c" /* yacc.c:1646  */
    break;

  case 1582:
#line 10472 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 33082 "gram.c" /* yacc.c:1646  */
    break;

  case 1583:
#line 10477 "gram.y" /* yacc.c:1646  */
    {
					(yyval.list) = list_make1(makeIntConst(INTERVAL_MASK(SECOND), (yylsp[0])));
				}
#line 33090 "gram.c" /* yacc.c:1646  */
    break;

  case 1584:
#line 10481 "gram.y" /* yacc.c:1646  */
    {
					(yyval.list) = list_make2(makeIntConst(INTERVAL_MASK(SECOND), (yylsp[-3])),
									makeIntConst((yyvsp[-1].ival), (yylsp[-1])));
				}
#line 33099 "gram.c" /* yacc.c:1646  */
    break;

  case 1585:
#line 10510 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[0].node); }
#line 33105 "gram.c" /* yacc.c:1646  */
    break;

  case 1586:
#line 10512 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = makeTypeCast((yyvsp[-2].node), (yyvsp[0].typnam), (yylsp[-1])); }
#line 33111 "gram.c" /* yacc.c:1646  */
    break;

  case 1587:
#line 10514 "gram.y" /* yacc.c:1646  */
    {
					CollateClause *n = makeNode(CollateClause);
					n->arg = (yyvsp[-2].node);
					n->collname = (yyvsp[0].list);
					n->location = (yylsp[-1]);
					(yyval.node) = (Node *) n;
				}
#line 33123 "gram.c" /* yacc.c:1646  */
    break;

  case 1588:
#line 10522 "gram.y" /* yacc.c:1646  */
    {
					FuncCall *n = makeNode(FuncCall);
					n->funcname = SystemFuncName("timezone");
					n->args = list_make2((yyvsp[0].node), (yyvsp[-4].node));
					n->agg_order = NIL;
					n->agg_star = FALSE;
					n->agg_distinct = FALSE;
					n->func_variadic = FALSE;
					n->over = NULL;
					n->location = (yylsp[-3]);
					(yyval.node) = (Node *) n;
				}
#line 33140 "gram.c" /* yacc.c:1646  */
    break;

  case 1589:
#line 10544 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, "+", NULL, (yyvsp[0].node), (yylsp[-1])); }
#line 33146 "gram.c" /* yacc.c:1646  */
    break;

  case 1590:
#line 10546 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = doNegate((yyvsp[0].node), (yylsp[-1])); }
#line 33152 "gram.c" /* yacc.c:1646  */
    break;

  case 1591:
#line 10548 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, "+", (yyvsp[-2].node), (yyvsp[0].node), (yylsp[-1])); }
#line 33158 "gram.c" /* yacc.c:1646  */
    break;

  case 1592:
#line 10550 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, "-", (yyvsp[-2].node), (yyvsp[0].node), (yylsp[-1])); }
#line 33164 "gram.c" /* yacc.c:1646  */
    break;

  case 1593:
#line 10552 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, "*", (yyvsp[-2].node), (yyvsp[0].node), (yylsp[-1])); }
#line 33170 "gram.c" /* yacc.c:1646  */
    break;

  case 1594:
#line 10554 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, "/", (yyvsp[-2].node), (yyvsp[0].node), (yylsp[-1])); }
#line 33176 "gram.c" /* yacc.c:1646  */
    break;

  case 1595:
#line 10556 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, "%", (yyvsp[-2].node), (yyvsp[0].node), (yylsp[-1])); }
#line 33182 "gram.c" /* yacc.c:1646  */
    break;

  case 1596:
#line 10558 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, "^", (yyvsp[-2].node), (yyvsp[0].node), (yylsp[-1])); }
#line 33188 "gram.c" /* yacc.c:1646  */
    break;

  case 1597:
#line 10560 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, "<", (yyvsp[-2].node), (yyvsp[0].node), (yylsp[-1])); }
#line 33194 "gram.c" /* yacc.c:1646  */
    break;

  case 1598:
#line 10562 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, ">", (yyvsp[-2].node), (yyvsp[0].node), (yylsp[-1])); }
#line 33200 "gram.c" /* yacc.c:1646  */
    break;

  case 1599:
#line 10564 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, "=", (yyvsp[-2].node), (yyvsp[0].node), (yylsp[-1])); }
#line 33206 "gram.c" /* yacc.c:1646  */
    break;

  case 1600:
#line 10567 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *) makeA_Expr(AEXPR_OP, (yyvsp[-1].list), (yyvsp[-2].node), (yyvsp[0].node), (yylsp[-1])); }
#line 33212 "gram.c" /* yacc.c:1646  */
    break;

  case 1601:
#line 10569 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *) makeA_Expr(AEXPR_OP, (yyvsp[-1].list), NULL, (yyvsp[0].node), (yylsp[-1])); }
#line 33218 "gram.c" /* yacc.c:1646  */
    break;

  case 1602:
#line 10571 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *) makeA_Expr(AEXPR_OP, (yyvsp[0].list), (yyvsp[-1].node), NULL, (yylsp[0])); }
#line 33224 "gram.c" /* yacc.c:1646  */
    break;

  case 1603:
#line 10574 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *) makeA_Expr(AEXPR_AND, NIL, (yyvsp[-2].node), (yyvsp[0].node), (yylsp[-1])); }
#line 33230 "gram.c" /* yacc.c:1646  */
    break;

  case 1604:
#line 10576 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *) makeA_Expr(AEXPR_OR, NIL, (yyvsp[-2].node), (yyvsp[0].node), (yylsp[-1])); }
#line 33236 "gram.c" /* yacc.c:1646  */
    break;

  case 1605:
#line 10578 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *) makeA_Expr(AEXPR_NOT, NIL, NULL, (yyvsp[0].node), (yylsp[-1])); }
#line 33242 "gram.c" /* yacc.c:1646  */
    break;

  case 1606:
#line 10581 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, "~~", (yyvsp[-2].node), (yyvsp[0].node), (yylsp[-1])); }
#line 33248 "gram.c" /* yacc.c:1646  */
    break;

  case 1607:
#line 10583 "gram.y" /* yacc.c:1646  */
    {
					FuncCall *n = makeNode(FuncCall);
					n->funcname = SystemFuncName("like_escape");
					n->args = list_make2((yyvsp[-2].node), (yyvsp[0].node));
					n->agg_order = NIL;
					n->agg_star = FALSE;
					n->agg_distinct = FALSE;
					n->func_variadic = FALSE;
					n->over = NULL;
					n->location = (yylsp[-3]);
					(yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, "~~", (yyvsp[-4].node), (Node *) n, (yylsp[-3]));
				}
#line 33265 "gram.c" /* yacc.c:1646  */
    break;

  case 1608:
#line 10596 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, "!~~", (yyvsp[-3].node), (yyvsp[0].node), (yylsp[-2])); }
#line 33271 "gram.c" /* yacc.c:1646  */
    break;

  case 1609:
#line 10598 "gram.y" /* yacc.c:1646  */
    {
					FuncCall *n = makeNode(FuncCall);
					n->funcname = SystemFuncName("like_escape");
					n->args = list_make2((yyvsp[-2].node), (yyvsp[0].node));
					n->agg_order = NIL;
					n->agg_star = FALSE;
					n->agg_distinct = FALSE;
					n->func_variadic = FALSE;
					n->over = NULL;
					n->location = (yylsp[-4]);
					(yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, "!~~", (yyvsp[-5].node), (Node *) n, (yylsp[-4]));
				}
#line 33288 "gram.c" /* yacc.c:1646  */
    break;

  case 1610:
#line 10611 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, "~~*", (yyvsp[-2].node), (yyvsp[0].node), (yylsp[-1])); }
#line 33294 "gram.c" /* yacc.c:1646  */
    break;

  case 1611:
#line 10613 "gram.y" /* yacc.c:1646  */
    {
					FuncCall *n = makeNode(FuncCall);
					n->funcname = SystemFuncName("like_escape");
					n->args = list_make2((yyvsp[-2].node), (yyvsp[0].node));
					n->agg_order = NIL;
					n->agg_star = FALSE;
					n->agg_distinct = FALSE;
					n->func_variadic = FALSE;
					n->over = NULL;
					n->location = (yylsp[-3]);
					(yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, "~~*", (yyvsp[-4].node), (Node *) n, (yylsp[-3]));
				}
#line 33311 "gram.c" /* yacc.c:1646  */
    break;

  case 1612:
#line 10626 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, "!~~*", (yyvsp[-3].node), (yyvsp[0].node), (yylsp[-2])); }
#line 33317 "gram.c" /* yacc.c:1646  */
    break;

  case 1613:
#line 10628 "gram.y" /* yacc.c:1646  */
    {
					FuncCall *n = makeNode(FuncCall);
					n->funcname = SystemFuncName("like_escape");
					n->args = list_make2((yyvsp[-2].node), (yyvsp[0].node));
					n->agg_order = NIL;
					n->agg_star = FALSE;
					n->agg_distinct = FALSE;
					n->func_variadic = FALSE;
					n->over = NULL;
					n->location = (yylsp[-4]);
					(yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, "!~~*", (yyvsp[-5].node), (Node *) n, (yylsp[-4]));
				}
#line 33334 "gram.c" /* yacc.c:1646  */
    break;

  case 1614:
#line 10642 "gram.y" /* yacc.c:1646  */
    {
					FuncCall *n = makeNode(FuncCall);
					n->funcname = SystemFuncName("similar_escape");
					n->args = list_make2((yyvsp[0].node), makeNullAConst(-1));
					n->agg_order = NIL;
					n->agg_star = FALSE;
					n->agg_distinct = FALSE;
					n->func_variadic = FALSE;
					n->over = NULL;
					n->location = (yylsp[-2]);
					(yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, "~", (yyvsp[-3].node), (Node *) n, (yylsp[-2]));
				}
#line 33351 "gram.c" /* yacc.c:1646  */
    break;

  case 1615:
#line 10655 "gram.y" /* yacc.c:1646  */
    {
					FuncCall *n = makeNode(FuncCall);
					n->funcname = SystemFuncName("similar_escape");
					n->args = list_make2((yyvsp[-2].node), (yyvsp[0].node));
					n->agg_order = NIL;
					n->agg_star = FALSE;
					n->agg_distinct = FALSE;
					n->func_variadic = FALSE;
					n->over = NULL;
					n->location = (yylsp[-4]);
					(yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, "~", (yyvsp[-5].node), (Node *) n, (yylsp[-4]));
				}
#line 33368 "gram.c" /* yacc.c:1646  */
    break;

  case 1616:
#line 10668 "gram.y" /* yacc.c:1646  */
    {
					FuncCall *n = makeNode(FuncCall);
					n->funcname = SystemFuncName("similar_escape");
					n->args = list_make2((yyvsp[0].node), makeNullAConst(-1));
					n->agg_order = NIL;
					n->agg_star = FALSE;
					n->agg_distinct = FALSE;
					n->func_variadic = FALSE;
					n->over = NULL;
					n->location = (yylsp[-3]);
					(yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, "!~", (yyvsp[-4].node), (Node *) n, (yylsp[-3]));
				}
#line 33385 "gram.c" /* yacc.c:1646  */
    break;

  case 1617:
#line 10681 "gram.y" /* yacc.c:1646  */
    {
					FuncCall *n = makeNode(FuncCall);
					n->funcname = SystemFuncName("similar_escape");
					n->args = list_make2((yyvsp[-2].node), (yyvsp[0].node));
					n->agg_order = NIL;
					n->agg_star = FALSE;
					n->agg_distinct = FALSE;
					n->func_variadic = FALSE;
					n->over = NULL;
					n->location = (yylsp[-5]);
					(yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, "!~", (yyvsp[-6].node), (Node *) n, (yylsp[-5]));
				}
#line 33402 "gram.c" /* yacc.c:1646  */
    break;

  case 1618:
#line 10704 "gram.y" /* yacc.c:1646  */
    {
					NullTest *n = makeNode(NullTest);
					n->arg = (Expr *) (yyvsp[-2].node);
					n->nulltesttype = IS_NULL;
					(yyval.node) = (Node *)n;
				}
#line 33413 "gram.c" /* yacc.c:1646  */
    break;

  case 1619:
#line 10711 "gram.y" /* yacc.c:1646  */
    {
					NullTest *n = makeNode(NullTest);
					n->arg = (Expr *) (yyvsp[-1].node);
					n->nulltesttype = IS_NULL;
					(yyval.node) = (Node *)n;
				}
#line 33424 "gram.c" /* yacc.c:1646  */
    break;

  case 1620:
#line 10718 "gram.y" /* yacc.c:1646  */
    {
					NullTest *n = makeNode(NullTest);
					n->arg = (Expr *) (yyvsp[-3].node);
					n->nulltesttype = IS_NOT_NULL;
					(yyval.node) = (Node *)n;
				}
#line 33435 "gram.c" /* yacc.c:1646  */
    break;

  case 1621:
#line 10725 "gram.y" /* yacc.c:1646  */
    {
					NullTest *n = makeNode(NullTest);
					n->arg = (Expr *) (yyvsp[-1].node);
					n->nulltesttype = IS_NOT_NULL;
					(yyval.node) = (Node *)n;
				}
#line 33446 "gram.c" /* yacc.c:1646  */
    break;

  case 1622:
#line 10732 "gram.y" /* yacc.c:1646  */
    {
					FuncCall *n = makeNode(FuncCall);
					n->funcname = SystemFuncName("overlaps");
					if (list_length((yyvsp[-2].list)) != 2)
						ereport(ERROR,
								(errcode(ERRCODE_SYNTAX_ERROR),
								 errmsg("wrong number of parameters on left side of OVERLAPS expression"),
								 parser_errposition((yylsp[-2]))));
					if (list_length((yyvsp[0].list)) != 2)
						ereport(ERROR,
								(errcode(ERRCODE_SYNTAX_ERROR),
								 errmsg("wrong number of parameters on right side of OVERLAPS expression"),
								 parser_errposition((yylsp[0]))));
					n->args = list_concat((yyvsp[-2].list), (yyvsp[0].list));
					n->agg_order = NIL;
					n->agg_star = FALSE;
					n->agg_distinct = FALSE;
					n->func_variadic = FALSE;
					n->over = NULL;
					n->location = (yylsp[-1]);
					(yyval.node) = (Node *)n;
				}
#line 33473 "gram.c" /* yacc.c:1646  */
    break;

  case 1623:
#line 10755 "gram.y" /* yacc.c:1646  */
    {
					BooleanTest *b = makeNode(BooleanTest);
					b->arg = (Expr *) (yyvsp[-2].node);
					b->booltesttype = IS_TRUE;
					(yyval.node) = (Node *)b;
				}
#line 33484 "gram.c" /* yacc.c:1646  */
    break;

  case 1624:
#line 10762 "gram.y" /* yacc.c:1646  */
    {
					BooleanTest *b = makeNode(BooleanTest);
					b->arg = (Expr *) (yyvsp[-3].node);
					b->booltesttype = IS_NOT_TRUE;
					(yyval.node) = (Node *)b;
				}
#line 33495 "gram.c" /* yacc.c:1646  */
    break;

  case 1625:
#line 10769 "gram.y" /* yacc.c:1646  */
    {
					BooleanTest *b = makeNode(BooleanTest);
					b->arg = (Expr *) (yyvsp[-2].node);
					b->booltesttype = IS_FALSE;
					(yyval.node) = (Node *)b;
				}
#line 33506 "gram.c" /* yacc.c:1646  */
    break;

  case 1626:
#line 10776 "gram.y" /* yacc.c:1646  */
    {
					BooleanTest *b = makeNode(BooleanTest);
					b->arg = (Expr *) (yyvsp[-3].node);
					b->booltesttype = IS_NOT_FALSE;
					(yyval.node) = (Node *)b;
				}
#line 33517 "gram.c" /* yacc.c:1646  */
    break;

  case 1627:
#line 10783 "gram.y" /* yacc.c:1646  */
    {
					BooleanTest *b = makeNode(BooleanTest);
					b->arg = (Expr *) (yyvsp[-2].node);
					b->booltesttype = IS_UNKNOWN;
					(yyval.node) = (Node *)b;
				}
#line 33528 "gram.c" /* yacc.c:1646  */
    break;

  case 1628:
#line 10790 "gram.y" /* yacc.c:1646  */
    {
					BooleanTest *b = makeNode(BooleanTest);
					b->arg = (Expr *) (yyvsp[-3].node);
					b->booltesttype = IS_NOT_UNKNOWN;
					(yyval.node) = (Node *)b;
				}
#line 33539 "gram.c" /* yacc.c:1646  */
    break;

  case 1629:
#line 10797 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_DISTINCT, "=", (yyvsp[-4].node), (yyvsp[0].node), (yylsp[-3]));
				}
#line 33547 "gram.c" /* yacc.c:1646  */
    break;

  case 1630:
#line 10801 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = (Node *) makeA_Expr(AEXPR_NOT, NIL, NULL,
									(Node *) makeSimpleA_Expr(AEXPR_DISTINCT,
															  "=", (yyvsp[-5].node), (yyvsp[0].node), (yylsp[-4])),
											 (yylsp[-4]));

				}
#line 33559 "gram.c" /* yacc.c:1646  */
    break;

  case 1631:
#line 10809 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OF, "=", (yyvsp[-5].node), (Node *) (yyvsp[-1].list), (yylsp[-4]));
				}
#line 33567 "gram.c" /* yacc.c:1646  */
    break;

  case 1632:
#line 10813 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OF, "<>", (yyvsp[-6].node), (Node *) (yyvsp[-1].list), (yylsp[-5]));
				}
#line 33575 "gram.c" /* yacc.c:1646  */
    break;

  case 1633:
#line 10823 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = (Node *) makeA_Expr(AEXPR_AND, NIL,
						(Node *) makeSimpleA_Expr(AEXPR_OP, ">=", (yyvsp[-5].node), (yyvsp[-2].node), (yylsp[-4])),
						(Node *) makeSimpleA_Expr(AEXPR_OP, "<=", (yyvsp[-5].node), (yyvsp[0].node), (yylsp[-4])),
											 (yylsp[-4]));
				}
#line 33586 "gram.c" /* yacc.c:1646  */
    break;

  case 1634:
#line 10830 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = (Node *) makeA_Expr(AEXPR_OR, NIL,
						(Node *) makeSimpleA_Expr(AEXPR_OP, "<", (yyvsp[-6].node), (yyvsp[-2].node), (yylsp[-5])),
						(Node *) makeSimpleA_Expr(AEXPR_OP, ">", (yyvsp[-6].node), (yyvsp[0].node), (yylsp[-5])),
											 (yylsp[-5]));
				}
#line 33597 "gram.c" /* yacc.c:1646  */
    break;

  case 1635:
#line 10837 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = (Node *) makeA_Expr(AEXPR_OR, NIL,
						(Node *) makeA_Expr(AEXPR_AND, NIL,
							(Node *) makeSimpleA_Expr(AEXPR_OP, ">=", (yyvsp[-5].node), (yyvsp[-2].node), (yylsp[-4])),
							(Node *) makeSimpleA_Expr(AEXPR_OP, "<=", (yyvsp[-5].node), (yyvsp[0].node), (yylsp[-4])),
											(yylsp[-4])),
						(Node *) makeA_Expr(AEXPR_AND, NIL,
							(Node *) makeSimpleA_Expr(AEXPR_OP, ">=", (yyvsp[-5].node), (yyvsp[0].node), (yylsp[-4])),
							(Node *) makeSimpleA_Expr(AEXPR_OP, "<=", (yyvsp[-5].node), (yyvsp[-2].node), (yylsp[-4])),
											(yylsp[-4])),
											 (yylsp[-4]));
				}
#line 33614 "gram.c" /* yacc.c:1646  */
    break;

  case 1636:
#line 10850 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = (Node *) makeA_Expr(AEXPR_AND, NIL,
						(Node *) makeA_Expr(AEXPR_OR, NIL,
							(Node *) makeSimpleA_Expr(AEXPR_OP, "<", (yyvsp[-6].node), (yyvsp[-2].node), (yylsp[-5])),
							(Node *) makeSimpleA_Expr(AEXPR_OP, ">", (yyvsp[-6].node), (yyvsp[0].node), (yylsp[-5])),
											(yylsp[-5])),
						(Node *) makeA_Expr(AEXPR_OR, NIL,
							(Node *) makeSimpleA_Expr(AEXPR_OP, "<", (yyvsp[-6].node), (yyvsp[0].node), (yylsp[-5])),
							(Node *) makeSimpleA_Expr(AEXPR_OP, ">", (yyvsp[-6].node), (yyvsp[-2].node), (yylsp[-5])),
											(yylsp[-5])),
											 (yylsp[-5]));
				}
#line 33631 "gram.c" /* yacc.c:1646  */
    break;

  case 1637:
#line 10863 "gram.y" /* yacc.c:1646  */
    {
					/* in_expr returns a SubLink or a list of a_exprs */
					if (IsA((yyvsp[0].node), SubLink))
					{
						/* generate foo = ANY (subquery) */
						SubLink *n = (SubLink *) (yyvsp[0].node);
						n->subLinkType = ANY_SUBLINK;
						n->testexpr = (yyvsp[-2].node);
						n->operName = list_make1(makeString("="));
						n->location = (yylsp[-1]);
						(yyval.node) = (Node *)n;
					}
					else
					{
						/* generate scalar IN expression */
						(yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_IN, "=", (yyvsp[-2].node), (yyvsp[0].node), (yylsp[-1]));
					}
				}
#line 33654 "gram.c" /* yacc.c:1646  */
    break;

  case 1638:
#line 10882 "gram.y" /* yacc.c:1646  */
    {
					/* in_expr returns a SubLink or a list of a_exprs */
					if (IsA((yyvsp[0].node), SubLink))
					{
						/* generate NOT (foo = ANY (subquery)) */
						/* Make an = ANY node */
						SubLink *n = (SubLink *) (yyvsp[0].node);
						n->subLinkType = ANY_SUBLINK;
						n->testexpr = (yyvsp[-3].node);
						n->operName = list_make1(makeString("="));
						n->location = (yylsp[-1]);
						/* Stick a NOT on top */
						(yyval.node) = (Node *) makeA_Expr(AEXPR_NOT, NIL, NULL, (Node *) n, (yylsp[-2]));
					}
					else
					{
						/* generate scalar NOT IN expression */
						(yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_IN, "<>", (yyvsp[-3].node), (yyvsp[0].node), (yylsp[-2]));
					}
				}
#line 33679 "gram.c" /* yacc.c:1646  */
    break;

  case 1639:
#line 10903 "gram.y" /* yacc.c:1646  */
    {
					SubLink *n = makeNode(SubLink);
					n->subLinkType = (yyvsp[-1].ival);
					n->testexpr = (yyvsp[-3].node);
					n->operName = (yyvsp[-2].list);
					n->subselect = (yyvsp[0].node);
					n->location = (yylsp[-2]);
					(yyval.node) = (Node *)n;
				}
#line 33693 "gram.c" /* yacc.c:1646  */
    break;

  case 1640:
#line 10913 "gram.y" /* yacc.c:1646  */
    {
					if ((yyvsp[-3].ival) == ANY_SUBLINK)
						(yyval.node) = (Node *) makeA_Expr(AEXPR_OP_ANY, (yyvsp[-4].list), (yyvsp[-5].node), (yyvsp[-1].node), (yylsp[-4]));
					else
						(yyval.node) = (Node *) makeA_Expr(AEXPR_OP_ALL, (yyvsp[-4].list), (yyvsp[-5].node), (yyvsp[-1].node), (yylsp[-4]));
				}
#line 33704 "gram.c" /* yacc.c:1646  */
    break;

  case 1641:
#line 10920 "gram.y" /* yacc.c:1646  */
    {
					/* Not sure how to get rid of the parentheses
					 * but there are lots of shift/reduce errors without them.
					 *
					 * Should be able to implement this by plopping the entire
					 * select into a node, then transforming the target expressions
					 * from whatever they are into count(*), and testing the
					 * entire result equal to one.
					 * But, will probably implement a separate node in the executor.
					 */
					ereport(ERROR,
							(errcode(ERRCODE_FEATURE_NOT_SUPPORTED),
							 errmsg("UNIQUE predicate is not yet implemented"),
							 parser_errposition((yylsp[-1]))));
				}
#line 33724 "gram.c" /* yacc.c:1646  */
    break;

  case 1642:
#line 10936 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = makeXmlExpr(IS_DOCUMENT, NULL, NIL,
									 list_make1((yyvsp[-2].node)), (yylsp[-1]));
				}
#line 33733 "gram.c" /* yacc.c:1646  */
    break;

  case 1643:
#line 10941 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = (Node *) makeA_Expr(AEXPR_NOT, NIL, NULL,
											 makeXmlExpr(IS_DOCUMENT, NULL, NIL,
														 list_make1((yyvsp[-3].node)), (yylsp[-2])),
											 (yylsp[-2]));
				}
#line 33744 "gram.c" /* yacc.c:1646  */
    break;

  case 1644:
#line 10959 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[0].node); }
#line 33750 "gram.c" /* yacc.c:1646  */
    break;

  case 1645:
#line 10961 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = makeTypeCast((yyvsp[-2].node), (yyvsp[0].typnam), (yylsp[-1])); }
#line 33756 "gram.c" /* yacc.c:1646  */
    break;

  case 1646:
#line 10963 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, "+", NULL, (yyvsp[0].node), (yylsp[-1])); }
#line 33762 "gram.c" /* yacc.c:1646  */
    break;

  case 1647:
#line 10965 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = doNegate((yyvsp[0].node), (yylsp[-1])); }
#line 33768 "gram.c" /* yacc.c:1646  */
    break;

  case 1648:
#line 10967 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, "+", (yyvsp[-2].node), (yyvsp[0].node), (yylsp[-1])); }
#line 33774 "gram.c" /* yacc.c:1646  */
    break;

  case 1649:
#line 10969 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, "-", (yyvsp[-2].node), (yyvsp[0].node), (yylsp[-1])); }
#line 33780 "gram.c" /* yacc.c:1646  */
    break;

  case 1650:
#line 10971 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, "*", (yyvsp[-2].node), (yyvsp[0].node), (yylsp[-1])); }
#line 33786 "gram.c" /* yacc.c:1646  */
    break;

  case 1651:
#line 10973 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, "/", (yyvsp[-2].node), (yyvsp[0].node), (yylsp[-1])); }
#line 33792 "gram.c" /* yacc.c:1646  */
    break;

  case 1652:
#line 10975 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, "%", (yyvsp[-2].node), (yyvsp[0].node), (yylsp[-1])); }
#line 33798 "gram.c" /* yacc.c:1646  */
    break;

  case 1653:
#line 10977 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, "^", (yyvsp[-2].node), (yyvsp[0].node), (yylsp[-1])); }
#line 33804 "gram.c" /* yacc.c:1646  */
    break;

  case 1654:
#line 10979 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, "<", (yyvsp[-2].node), (yyvsp[0].node), (yylsp[-1])); }
#line 33810 "gram.c" /* yacc.c:1646  */
    break;

  case 1655:
#line 10981 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, ">", (yyvsp[-2].node), (yyvsp[0].node), (yylsp[-1])); }
#line 33816 "gram.c" /* yacc.c:1646  */
    break;

  case 1656:
#line 10983 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, "=", (yyvsp[-2].node), (yyvsp[0].node), (yylsp[-1])); }
#line 33822 "gram.c" /* yacc.c:1646  */
    break;

  case 1657:
#line 10985 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *) makeA_Expr(AEXPR_OP, (yyvsp[-1].list), (yyvsp[-2].node), (yyvsp[0].node), (yylsp[-1])); }
#line 33828 "gram.c" /* yacc.c:1646  */
    break;

  case 1658:
#line 10987 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *) makeA_Expr(AEXPR_OP, (yyvsp[-1].list), NULL, (yyvsp[0].node), (yylsp[-1])); }
#line 33834 "gram.c" /* yacc.c:1646  */
    break;

  case 1659:
#line 10989 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *) makeA_Expr(AEXPR_OP, (yyvsp[0].list), (yyvsp[-1].node), NULL, (yylsp[0])); }
#line 33840 "gram.c" /* yacc.c:1646  */
    break;

  case 1660:
#line 10991 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_DISTINCT, "=", (yyvsp[-4].node), (yyvsp[0].node), (yylsp[-3]));
				}
#line 33848 "gram.c" /* yacc.c:1646  */
    break;

  case 1661:
#line 10995 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = (Node *) makeA_Expr(AEXPR_NOT, NIL,
						NULL, (Node *) makeSimpleA_Expr(AEXPR_DISTINCT, "=", (yyvsp[-5].node), (yyvsp[0].node), (yylsp[-4])), (yylsp[-4]));
				}
#line 33857 "gram.c" /* yacc.c:1646  */
    break;

  case 1662:
#line 11000 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OF, "=", (yyvsp[-5].node), (Node *) (yyvsp[-1].list), (yylsp[-4]));
				}
#line 33865 "gram.c" /* yacc.c:1646  */
    break;

  case 1663:
#line 11004 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OF, "<>", (yyvsp[-6].node), (Node *) (yyvsp[-1].list), (yylsp[-5]));
				}
#line 33873 "gram.c" /* yacc.c:1646  */
    break;

  case 1664:
#line 11008 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = makeXmlExpr(IS_DOCUMENT, NULL, NIL,
									 list_make1((yyvsp[-2].node)), (yylsp[-1]));
				}
#line 33882 "gram.c" /* yacc.c:1646  */
    break;

  case 1665:
#line 11013 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = (Node *) makeA_Expr(AEXPR_NOT, NIL, NULL,
											 makeXmlExpr(IS_DOCUMENT, NULL, NIL,
														 list_make1((yyvsp[-3].node)), (yylsp[-2])),
											 (yylsp[-2]));
				}
#line 33893 "gram.c" /* yacc.c:1646  */
    break;

  case 1666:
#line 11029 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[0].node); }
#line 33899 "gram.c" /* yacc.c:1646  */
    break;

  case 1667:
#line 11030 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[0].node); }
#line 33905 "gram.c" /* yacc.c:1646  */
    break;

  case 1668:
#line 11032 "gram.y" /* yacc.c:1646  */
    {
					ParamRef *p = makeNode(ParamRef);
					p->number = (yyvsp[-1].ival);
					p->location = (yylsp[-1]);
					if ((yyvsp[0].list))
					{
						A_Indirection *n = makeNode(A_Indirection);
						n->arg = (Node *) p;
						n->indirection = check_indirection((yyvsp[0].list), yyscanner);
						(yyval.node) = (Node *) n;
					}
					else
						(yyval.node) = (Node *) p;
				}
#line 33924 "gram.c" /* yacc.c:1646  */
    break;

  case 1669:
#line 11047 "gram.y" /* yacc.c:1646  */
    {
					if ((yyvsp[0].list))
					{
						A_Indirection *n = makeNode(A_Indirection);
						n->arg = (yyvsp[-2].node);
						n->indirection = check_indirection((yyvsp[0].list), yyscanner);
						(yyval.node) = (Node *)n;
					}
					else
						(yyval.node) = (yyvsp[-2].node);
				}
#line 33940 "gram.c" /* yacc.c:1646  */
    break;

  case 1670:
#line 11059 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[0].node); }
#line 33946 "gram.c" /* yacc.c:1646  */
    break;

  case 1671:
#line 11061 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[0].node); }
#line 33952 "gram.c" /* yacc.c:1646  */
    break;

  case 1672:
#line 11063 "gram.y" /* yacc.c:1646  */
    {
					SubLink *n = makeNode(SubLink);
					n->subLinkType = EXPR_SUBLINK;
					n->testexpr = NULL;
					n->operName = NIL;
					n->subselect = (yyvsp[0].node);
					n->location = (yylsp[0]);
					(yyval.node) = (Node *)n;
				}
#line 33966 "gram.c" /* yacc.c:1646  */
    break;

  case 1673:
#line 11073 "gram.y" /* yacc.c:1646  */
    {
					/*
					 * Because the select_with_parens nonterminal is designed
					 * to "eat" as many levels of parens as possible, the
					 * '(' a_expr ')' opt_indirection production above will
					 * fail to match a sub-SELECT with indirection decoration;
					 * the sub-SELECT won't be regarded as an a_expr as long
					 * as there are parens around it.  To support applying
					 * subscripting or field selection to a sub-SELECT result,
					 * we need this redundant-looking production.
					 */
					SubLink *n = makeNode(SubLink);
					A_Indirection *a = makeNode(A_Indirection);
					n->subLinkType = EXPR_SUBLINK;
					n->testexpr = NULL;
					n->operName = NIL;
					n->subselect = (yyvsp[-1].node);
					n->location = (yylsp[-1]);
					a->arg = (Node *)n;
					a->indirection = check_indirection((yyvsp[0].list), yyscanner);
					(yyval.node) = (Node *)a;
				}
#line 33993 "gram.c" /* yacc.c:1646  */
    break;

  case 1674:
#line 11096 "gram.y" /* yacc.c:1646  */
    {
					SubLink *n = makeNode(SubLink);
					n->subLinkType = EXISTS_SUBLINK;
					n->testexpr = NULL;
					n->operName = NIL;
					n->subselect = (yyvsp[0].node);
					n->location = (yylsp[-1]);
					(yyval.node) = (Node *)n;
				}
#line 34007 "gram.c" /* yacc.c:1646  */
    break;

  case 1675:
#line 11106 "gram.y" /* yacc.c:1646  */
    {
					SubLink *n = makeNode(SubLink);
					n->subLinkType = ARRAY_SUBLINK;
					n->testexpr = NULL;
					n->operName = NIL;
					n->subselect = (yyvsp[0].node);
					n->location = (yylsp[-1]);
					(yyval.node) = (Node *)n;
				}
#line 34021 "gram.c" /* yacc.c:1646  */
    break;

  case 1676:
#line 11116 "gram.y" /* yacc.c:1646  */
    {
					A_ArrayExpr *n = (A_ArrayExpr *) (yyvsp[0].node);
					Assert(IsA(n, A_ArrayExpr));
					/* point outermost A_ArrayExpr to the ARRAY keyword */
					n->location = (yylsp[-1]);
					(yyval.node) = (Node *)n;
				}
#line 34033 "gram.c" /* yacc.c:1646  */
    break;

  case 1677:
#line 11124 "gram.y" /* yacc.c:1646  */
    {
					RowExpr *r = makeNode(RowExpr);
					r->args = (yyvsp[0].list);
					r->row_typeid = InvalidOid;	/* not analyzed yet */
					r->colnames = NIL;	/* to be filled in during analysis */
					r->location = (yylsp[0]);
					(yyval.node) = (Node *)r;
				}
#line 34046 "gram.c" /* yacc.c:1646  */
    break;

  case 1678:
#line 11143 "gram.y" /* yacc.c:1646  */
    {
					FuncCall *n = makeNode(FuncCall);
					n->funcname = (yyvsp[-3].list);
					n->args = NIL;
					n->agg_order = NIL;
					n->agg_star = FALSE;
					n->agg_distinct = FALSE;
					n->func_variadic = FALSE;
					n->over = (yyvsp[0].windef);
					n->location = (yylsp[-3]);
					(yyval.node) = (Node *)n;
				}
#line 34063 "gram.c" /* yacc.c:1646  */
    break;

  case 1679:
#line 11156 "gram.y" /* yacc.c:1646  */
    {
					FuncCall *n = makeNode(FuncCall);
					n->funcname = (yyvsp[-4].list);
					n->args = (yyvsp[-2].list);
					n->agg_order = NIL;
					n->agg_star = FALSE;
					n->agg_distinct = FALSE;
					n->func_variadic = FALSE;
					n->over = (yyvsp[0].windef);
					n->location = (yylsp[-4]);
					(yyval.node) = (Node *)n;
				}
#line 34080 "gram.c" /* yacc.c:1646  */
    break;

  case 1680:
#line 11169 "gram.y" /* yacc.c:1646  */
    {
					FuncCall *n = makeNode(FuncCall);
					n->funcname = (yyvsp[-5].list);
					n->args = list_make1((yyvsp[-2].node));
					n->agg_order = NIL;
					n->agg_star = FALSE;
					n->agg_distinct = FALSE;
					n->func_variadic = TRUE;
					n->over = (yyvsp[0].windef);
					n->location = (yylsp[-5]);
					(yyval.node) = (Node *)n;
				}
#line 34097 "gram.c" /* yacc.c:1646  */
    break;

  case 1681:
#line 11182 "gram.y" /* yacc.c:1646  */
    {
					FuncCall *n = makeNode(FuncCall);
					n->funcname = (yyvsp[-7].list);
					n->args = lappend((yyvsp[-5].list), (yyvsp[-2].node));
					n->agg_order = NIL;
					n->agg_star = FALSE;
					n->agg_distinct = FALSE;
					n->func_variadic = TRUE;
					n->over = (yyvsp[0].windef);
					n->location = (yylsp[-7]);
					(yyval.node) = (Node *)n;
				}
#line 34114 "gram.c" /* yacc.c:1646  */
    break;

  case 1682:
#line 11195 "gram.y" /* yacc.c:1646  */
    {
					FuncCall *n = makeNode(FuncCall);
					n->funcname = (yyvsp[-5].list);
					n->args = (yyvsp[-3].list);
					n->agg_order = (yyvsp[-2].list);
					n->agg_star = FALSE;
					n->agg_distinct = FALSE;
					n->func_variadic = FALSE;
					n->over = (yyvsp[0].windef);
					n->location = (yylsp[-5]);
					(yyval.node) = (Node *)n;
				}
#line 34131 "gram.c" /* yacc.c:1646  */
    break;

  case 1683:
#line 11208 "gram.y" /* yacc.c:1646  */
    {
					FuncCall *n = makeNode(FuncCall);
					n->funcname = (yyvsp[-6].list);
					n->args = (yyvsp[-3].list);
					n->agg_order = (yyvsp[-2].list);
					n->agg_star = FALSE;
					n->agg_distinct = FALSE;
					/* Ideally we'd mark the FuncCall node to indicate
					 * "must be an aggregate", but there's no provision
					 * for that in FuncCall at the moment.
					 */
					n->func_variadic = FALSE;
					n->over = (yyvsp[0].windef);
					n->location = (yylsp[-6]);
					(yyval.node) = (Node *)n;
				}
#line 34152 "gram.c" /* yacc.c:1646  */
    break;

  case 1684:
#line 11225 "gram.y" /* yacc.c:1646  */
    {
					FuncCall *n = makeNode(FuncCall);
					n->funcname = (yyvsp[-6].list);
					n->args = (yyvsp[-3].list);
					n->agg_order = (yyvsp[-2].list);
					n->agg_star = FALSE;
					n->agg_distinct = TRUE;
					n->func_variadic = FALSE;
					n->over = (yyvsp[0].windef);
					n->location = (yylsp[-6]);
					(yyval.node) = (Node *)n;
				}
#line 34169 "gram.c" /* yacc.c:1646  */
    break;

  case 1685:
#line 11238 "gram.y" /* yacc.c:1646  */
    {
					/*
					 * We consider AGGREGATE(*) to invoke a parameterless
					 * aggregate.  This does the right thing for COUNT(*),
					 * and there are no other aggregates in SQL that accept
					 * '*' as parameter.
					 *
					 * The FuncCall node is also marked agg_star = true,
					 * so that later processing can detect what the argument
					 * really was.
					 */
					FuncCall *n = makeNode(FuncCall);
					n->funcname = (yyvsp[-4].list);
					n->args = NIL;
					n->agg_order = NIL;
					n->agg_star = TRUE;
					n->agg_distinct = FALSE;
					n->func_variadic = FALSE;
					n->over = (yyvsp[0].windef);
					n->location = (yylsp[-4]);
					(yyval.node) = (Node *)n;
				}
#line 34196 "gram.c" /* yacc.c:1646  */
    break;

  case 1686:
#line 11261 "gram.y" /* yacc.c:1646  */
    {
					FuncCall *n = makeNode(FuncCall);
					n->funcname = SystemFuncName("pg_collation_for");
					n->args = list_make1((yyvsp[-1].node));
					n->agg_order = NIL;
					n->agg_star = FALSE;
					n->agg_distinct = FALSE;
					n->func_variadic = FALSE;
					n->over = NULL;
					n->location = (yylsp[-4]);
					(yyval.node) = (Node *)n;
				}
#line 34213 "gram.c" /* yacc.c:1646  */
    break;

  case 1687:
#line 11274 "gram.y" /* yacc.c:1646  */
    {
					/*
					 * Translate as "'now'::text::date".
					 *
					 * We cannot use "'now'::date" because coerce_type() will
					 * immediately reduce that to a constant representing
					 * today's date.  We need to delay the conversion until
					 * runtime, else the wrong things will happen when
					 * CURRENT_DATE is used in a column default value or rule.
					 *
					 * This could be simplified if we had a way to generate
					 * an expression tree representing runtime application
					 * of type-input conversion functions.  (As of PG 7.3
					 * that is actually possible, but not clear that we want
					 * to rely on it.)
					 *
					 * The token location is attached to the run-time
					 * typecast, not to the Const, for the convenience of
					 * pg_stat_statements (which doesn't want these constructs
					 * to appear to be replaceable constants).
					 */
					Node *n;
					n = makeStringConstCast("now", -1, SystemTypeName("text"));
					(yyval.node) = makeTypeCast(n, SystemTypeName("date"), (yylsp[0]));
				}
#line 34243 "gram.c" /* yacc.c:1646  */
    break;

  case 1688:
#line 11300 "gram.y" /* yacc.c:1646  */
    {
					/*
					 * Translate as "'now'::text::timetz".
					 * See comments for CURRENT_DATE.
					 */
					Node *n;
					n = makeStringConstCast("now", -1, SystemTypeName("text"));
					(yyval.node) = makeTypeCast(n, SystemTypeName("timetz"), (yylsp[0]));
				}
#line 34257 "gram.c" /* yacc.c:1646  */
    break;

  case 1689:
#line 11310 "gram.y" /* yacc.c:1646  */
    {
					/*
					 * Translate as "'now'::text::timetz(n)".
					 * See comments for CURRENT_DATE.
					 */
					Node *n;
					TypeName *d;
					n = makeStringConstCast("now", -1, SystemTypeName("text"));
					d = SystemTypeName("timetz");
					d->typmods = list_make1(makeIntConst((yyvsp[-1].ival), (yylsp[-1])));
					(yyval.node) = makeTypeCast(n, d, (yylsp[-3]));
				}
#line 34274 "gram.c" /* yacc.c:1646  */
    break;

  case 1690:
#line 11323 "gram.y" /* yacc.c:1646  */
    {
					/*
					 * Translate as "now()", since we have a function that
					 * does exactly what is needed.
					 */
					FuncCall *n = makeNode(FuncCall);
					n->funcname = SystemFuncName("now");
					n->args = NIL;
					n->agg_order = NIL;
					n->agg_star = FALSE;
					n->agg_distinct = FALSE;
					n->func_variadic = FALSE;
					n->over = NULL;
					n->location = (yylsp[0]);
					(yyval.node) = (Node *)n;
				}
#line 34295 "gram.c" /* yacc.c:1646  */
    break;

  case 1691:
#line 11340 "gram.y" /* yacc.c:1646  */
    {
					/*
					 * Translate as "'now'::text::timestamptz(n)".
					 * See comments for CURRENT_DATE.
					 */
					Node *n;
					TypeName *d;
					n = makeStringConstCast("now", -1, SystemTypeName("text"));
					d = SystemTypeName("timestamptz");
					d->typmods = list_make1(makeIntConst((yyvsp[-1].ival), (yylsp[-1])));
					(yyval.node) = makeTypeCast(n, d, (yylsp[-3]));
				}
#line 34312 "gram.c" /* yacc.c:1646  */
    break;

  case 1692:
#line 11353 "gram.y" /* yacc.c:1646  */
    {
					/*
					 * Translate as "'now'::text::time".
					 * See comments for CURRENT_DATE.
					 */
					Node *n;
					n = makeStringConstCast("now", -1, SystemTypeName("text"));
					(yyval.node) = makeTypeCast((Node *)n, SystemTypeName("time"), (yylsp[0]));
				}
#line 34326 "gram.c" /* yacc.c:1646  */
    break;

  case 1693:
#line 11363 "gram.y" /* yacc.c:1646  */
    {
					/*
					 * Translate as "'now'::text::time(n)".
					 * See comments for CURRENT_DATE.
					 */
					Node *n;
					TypeName *d;
					n = makeStringConstCast("now", -1, SystemTypeName("text"));
					d = SystemTypeName("time");
					d->typmods = list_make1(makeIntConst((yyvsp[-1].ival), (yylsp[-1])));
					(yyval.node) = makeTypeCast((Node *)n, d, (yylsp[-3]));
				}
#line 34343 "gram.c" /* yacc.c:1646  */
    break;

  case 1694:
#line 11376 "gram.y" /* yacc.c:1646  */
    {
					/*
					 * Translate as "'now'::text::timestamp".
					 * See comments for CURRENT_DATE.
					 */
					Node *n;
					n = makeStringConstCast("now", -1, SystemTypeName("text"));
					(yyval.node) = makeTypeCast(n, SystemTypeName("timestamp"), (yylsp[0]));
				}
#line 34357 "gram.c" /* yacc.c:1646  */
    break;

  case 1695:
#line 11386 "gram.y" /* yacc.c:1646  */
    {
					/*
					 * Translate as "'now'::text::timestamp(n)".
					 * See comments for CURRENT_DATE.
					 */
					Node *n;
					TypeName *d;
					n = makeStringConstCast("now", -1, SystemTypeName("text"));
					d = SystemTypeName("timestamp");
					d->typmods = list_make1(makeIntConst((yyvsp[-1].ival), (yylsp[-1])));
					(yyval.node) = makeTypeCast(n, d, (yylsp[-3]));
				}
#line 34374 "gram.c" /* yacc.c:1646  */
    break;

  case 1696:
#line 11399 "gram.y" /* yacc.c:1646  */
    {
					FuncCall *n = makeNode(FuncCall);
					n->funcname = SystemFuncName("current_user");
					n->args = NIL;
					n->agg_order = NIL;
					n->agg_star = FALSE;
					n->agg_distinct = FALSE;
					n->func_variadic = FALSE;
					n->over = NULL;
					n->location = (yylsp[0]);
					(yyval.node) = (Node *)n;
				}
#line 34391 "gram.c" /* yacc.c:1646  */
    break;

  case 1697:
#line 11412 "gram.y" /* yacc.c:1646  */
    {
					FuncCall *n = makeNode(FuncCall);
					n->funcname = SystemFuncName("current_user");
					n->args = NIL;
					n->agg_order = NIL;
					n->agg_star = FALSE;
					n->agg_distinct = FALSE;
					n->func_variadic = FALSE;
					n->over = NULL;
					n->location = (yylsp[0]);
					(yyval.node) = (Node *)n;
				}
#line 34408 "gram.c" /* yacc.c:1646  */
    break;

  case 1698:
#line 11425 "gram.y" /* yacc.c:1646  */
    {
					FuncCall *n = makeNode(FuncCall);
					n->funcname = SystemFuncName("session_user");
					n->args = NIL;
					n->agg_order = NIL;
					n->agg_star = FALSE;
					n->agg_distinct = FALSE;
					n->func_variadic = FALSE;
					n->over = NULL;
					n->location = (yylsp[0]);
					(yyval.node) = (Node *)n;
				}
#line 34425 "gram.c" /* yacc.c:1646  */
    break;

  case 1699:
#line 11438 "gram.y" /* yacc.c:1646  */
    {
					FuncCall *n = makeNode(FuncCall);
					n->funcname = SystemFuncName("current_user");
					n->args = NIL;
					n->agg_order = NIL;
					n->agg_star = FALSE;
					n->agg_distinct = FALSE;
					n->func_variadic = FALSE;
					n->over = NULL;
					n->location = (yylsp[0]);
					(yyval.node) = (Node *)n;
				}
#line 34442 "gram.c" /* yacc.c:1646  */
    break;

  case 1700:
#line 11451 "gram.y" /* yacc.c:1646  */
    {
					FuncCall *n = makeNode(FuncCall);
					n->funcname = SystemFuncName("current_database");
					n->args = NIL;
					n->agg_order = NIL;
					n->agg_star = FALSE;
					n->agg_distinct = FALSE;
					n->func_variadic = FALSE;
					n->over = NULL;
					n->location = (yylsp[0]);
					(yyval.node) = (Node *)n;
				}
#line 34459 "gram.c" /* yacc.c:1646  */
    break;

  case 1701:
#line 11464 "gram.y" /* yacc.c:1646  */
    {
					FuncCall *n = makeNode(FuncCall);
					n->funcname = SystemFuncName("current_schema");
					n->args = NIL;
					n->agg_order = NIL;
					n->agg_star = FALSE;
					n->agg_distinct = FALSE;
					n->func_variadic = FALSE;
					n->over = NULL;
					n->location = (yylsp[0]);
					(yyval.node) = (Node *)n;
				}
#line 34476 "gram.c" /* yacc.c:1646  */
    break;

  case 1702:
#line 11477 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = makeTypeCast((yyvsp[-3].node), (yyvsp[-1].typnam), (yylsp[-5])); }
#line 34482 "gram.c" /* yacc.c:1646  */
    break;

  case 1703:
#line 11479 "gram.y" /* yacc.c:1646  */
    {
					FuncCall *n = makeNode(FuncCall);
					n->funcname = SystemFuncName("date_part");
					n->args = (yyvsp[-1].list);
					n->agg_order = NIL;
					n->agg_star = FALSE;
					n->agg_distinct = FALSE;
					n->func_variadic = FALSE;
					n->over = NULL;
					n->location = (yylsp[-3]);
					(yyval.node) = (Node *)n;
				}
#line 34499 "gram.c" /* yacc.c:1646  */
    break;

  case 1704:
#line 11492 "gram.y" /* yacc.c:1646  */
    {
					/* overlay(A PLACING B FROM C FOR D) is converted to
					 * overlay(A, B, C, D)
					 * overlay(A PLACING B FROM C) is converted to
					 * overlay(A, B, C)
					 */
					FuncCall *n = makeNode(FuncCall);
					n->funcname = SystemFuncName("overlay");
					n->args = (yyvsp[-1].list);
					n->agg_order = NIL;
					n->agg_star = FALSE;
					n->agg_distinct = FALSE;
					n->func_variadic = FALSE;
					n->over = NULL;
					n->location = (yylsp[-3]);
					(yyval.node) = (Node *)n;
				}
#line 34521 "gram.c" /* yacc.c:1646  */
    break;

  case 1705:
#line 11510 "gram.y" /* yacc.c:1646  */
    {
					/* position(A in B) is converted to position(B, A) */
					FuncCall *n = makeNode(FuncCall);
					n->funcname = SystemFuncName("position");
					n->args = (yyvsp[-1].list);
					n->agg_order = NIL;
					n->agg_star = FALSE;
					n->agg_distinct = FALSE;
					n->func_variadic = FALSE;
					n->over = NULL;
					n->location = (yylsp[-3]);
					(yyval.node) = (Node *)n;
				}
#line 34539 "gram.c" /* yacc.c:1646  */
    break;

  case 1706:
#line 11524 "gram.y" /* yacc.c:1646  */
    {
					/* substring(A from B for C) is converted to
					 * substring(A, B, C) - thomas 2000-11-28
					 */
					FuncCall *n = makeNode(FuncCall);
					n->funcname = SystemFuncName("substring");
					n->args = (yyvsp[-1].list);
					n->agg_order = NIL;
					n->agg_star = FALSE;
					n->agg_distinct = FALSE;
					n->func_variadic = FALSE;
					n->over = NULL;
					n->location = (yylsp[-3]);
					(yyval.node) = (Node *)n;
				}
#line 34559 "gram.c" /* yacc.c:1646  */
    break;

  case 1707:
#line 11540 "gram.y" /* yacc.c:1646  */
    {
					/* TREAT(expr AS target) converts expr of a particular type to target,
					 * which is defined to be a subtype of the original expression.
					 * In SQL99, this is intended for use with structured UDTs,
					 * but let's make this a generally useful form allowing stronger
					 * coercions than are handled by implicit casting.
					 */
					FuncCall *n = makeNode(FuncCall);
					/* Convert SystemTypeName() to SystemFuncName() even though
					 * at the moment they result in the same thing.
					 */
					n->funcname = SystemFuncName(((Value *)llast((yyvsp[-1].typnam)->names))->val.str);
					n->args = list_make1((yyvsp[-3].node));
					n->agg_order = NIL;
					n->agg_star = FALSE;
					n->agg_distinct = FALSE;
					n->func_variadic = FALSE;
					n->over = NULL;
					n->location = (yylsp[-5]);
					(yyval.node) = (Node *)n;
				}
#line 34585 "gram.c" /* yacc.c:1646  */
    break;

  case 1708:
#line 11562 "gram.y" /* yacc.c:1646  */
    {
					/* various trim expressions are defined in SQL
					 * - thomas 1997-07-19
					 */
					FuncCall *n = makeNode(FuncCall);
					n->funcname = SystemFuncName("btrim");
					n->args = (yyvsp[-1].list);
					n->agg_order = NIL;
					n->agg_star = FALSE;
					n->agg_distinct = FALSE;
					n->func_variadic = FALSE;
					n->over = NULL;
					n->location = (yylsp[-4]);
					(yyval.node) = (Node *)n;
				}
#line 34605 "gram.c" /* yacc.c:1646  */
    break;

  case 1709:
#line 11578 "gram.y" /* yacc.c:1646  */
    {
					FuncCall *n = makeNode(FuncCall);
					n->funcname = SystemFuncName("ltrim");
					n->args = (yyvsp[-1].list);
					n->agg_order = NIL;
					n->agg_star = FALSE;
					n->agg_distinct = FALSE;
					n->func_variadic = FALSE;
					n->over = NULL;
					n->location = (yylsp[-4]);
					(yyval.node) = (Node *)n;
				}
#line 34622 "gram.c" /* yacc.c:1646  */
    break;

  case 1710:
#line 11591 "gram.y" /* yacc.c:1646  */
    {
					FuncCall *n = makeNode(FuncCall);
					n->funcname = SystemFuncName("rtrim");
					n->args = (yyvsp[-1].list);
					n->agg_order = NIL;
					n->agg_star = FALSE;
					n->agg_distinct = FALSE;
					n->func_variadic = FALSE;
					n->over = NULL;
					n->location = (yylsp[-4]);
					(yyval.node) = (Node *)n;
				}
#line 34639 "gram.c" /* yacc.c:1646  */
    break;

  case 1711:
#line 11604 "gram.y" /* yacc.c:1646  */
    {
					FuncCall *n = makeNode(FuncCall);
					n->funcname = SystemFuncName("btrim");
					n->args = (yyvsp[-1].list);
					n->agg_order = NIL;
					n->agg_star = FALSE;
					n->agg_distinct = FALSE;
					n->func_variadic = FALSE;
					n->over = NULL;
					n->location = (yylsp[-3]);
					(yyval.node) = (Node *)n;
				}
#line 34656 "gram.c" /* yacc.c:1646  */
    break;

  case 1712:
#line 11617 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_NULLIF, "=", (yyvsp[-3].node), (yyvsp[-1].node), (yylsp[-5]));
				}
#line 34664 "gram.c" /* yacc.c:1646  */
    break;

  case 1713:
#line 11621 "gram.y" /* yacc.c:1646  */
    {
					CoalesceExpr *c = makeNode(CoalesceExpr);
					c->args = (yyvsp[-1].list);
					c->location = (yylsp[-3]);
					(yyval.node) = (Node *)c;
				}
#line 34675 "gram.c" /* yacc.c:1646  */
    break;

  case 1714:
#line 11628 "gram.y" /* yacc.c:1646  */
    {
					MinMaxExpr *v = makeNode(MinMaxExpr);
					v->args = (yyvsp[-1].list);
					v->op = IS_GREATEST;
					v->location = (yylsp[-3]);
					(yyval.node) = (Node *)v;
				}
#line 34687 "gram.c" /* yacc.c:1646  */
    break;

  case 1715:
#line 11636 "gram.y" /* yacc.c:1646  */
    {
					MinMaxExpr *v = makeNode(MinMaxExpr);
					v->args = (yyvsp[-1].list);
					v->op = IS_LEAST;
					v->location = (yylsp[-3]);
					(yyval.node) = (Node *)v;
				}
#line 34699 "gram.c" /* yacc.c:1646  */
    break;

  case 1716:
#line 11644 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = makeXmlExpr(IS_XMLCONCAT, NULL, NIL, (yyvsp[-1].list), (yylsp[-3]));
				}
#line 34707 "gram.c" /* yacc.c:1646  */
    break;

  case 1717:
#line 11648 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = makeXmlExpr(IS_XMLELEMENT, (yyvsp[-1].str), NIL, NIL, (yylsp[-4]));
				}
#line 34715 "gram.c" /* yacc.c:1646  */
    break;

  case 1718:
#line 11652 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = makeXmlExpr(IS_XMLELEMENT, (yyvsp[-3].str), (yyvsp[-1].list), NIL, (yylsp[-6]));
				}
#line 34723 "gram.c" /* yacc.c:1646  */
    break;

  case 1719:
#line 11656 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = makeXmlExpr(IS_XMLELEMENT, (yyvsp[-3].str), NIL, (yyvsp[-1].list), (yylsp[-6]));
				}
#line 34731 "gram.c" /* yacc.c:1646  */
    break;

  case 1720:
#line 11660 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = makeXmlExpr(IS_XMLELEMENT, (yyvsp[-5].str), (yyvsp[-3].list), (yyvsp[-1].list), (yylsp[-8]));
				}
#line 34739 "gram.c" /* yacc.c:1646  */
    break;

  case 1721:
#line 11664 "gram.y" /* yacc.c:1646  */
    {
					/* xmlexists(A PASSING [BY REF] B [BY REF]) is
					 * converted to xmlexists(A, B)*/
					FuncCall *n = makeNode(FuncCall);
					n->funcname = SystemFuncName("xmlexists");
					n->args = list_make2((yyvsp[-2].node), (yyvsp[-1].node));
					n->agg_order = NIL;
					n->agg_star = FALSE;
					n->agg_distinct = FALSE;
					n->func_variadic = FALSE;
					n->over = NULL;
					n->location = (yylsp[-4]);
					(yyval.node) = (Node *)n;
				}
#line 34758 "gram.c" /* yacc.c:1646  */
    break;

  case 1722:
#line 11679 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = makeXmlExpr(IS_XMLFOREST, NULL, (yyvsp[-1].list), NIL, (yylsp[-3]));
				}
#line 34766 "gram.c" /* yacc.c:1646  */
    break;

  case 1723:
#line 11683 "gram.y" /* yacc.c:1646  */
    {
					XmlExpr *x = (XmlExpr *)
						makeXmlExpr(IS_XMLPARSE, NULL, NIL,
									list_make2((yyvsp[-2].node), makeBoolAConst((yyvsp[-1].boolean), -1)),
									(yylsp[-5]));
					x->xmloption = (yyvsp[-3].ival);
					(yyval.node) = (Node *)x;
				}
#line 34779 "gram.c" /* yacc.c:1646  */
    break;

  case 1724:
#line 11692 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = makeXmlExpr(IS_XMLPI, (yyvsp[-1].str), NULL, NIL, (yylsp[-4]));
				}
#line 34787 "gram.c" /* yacc.c:1646  */
    break;

  case 1725:
#line 11696 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = makeXmlExpr(IS_XMLPI, (yyvsp[-3].str), NULL, list_make1((yyvsp[-1].node)), (yylsp[-6]));
				}
#line 34795 "gram.c" /* yacc.c:1646  */
    break;

  case 1726:
#line 11700 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = makeXmlExpr(IS_XMLROOT, NULL, NIL,
									 list_make3((yyvsp[-4].node), (yyvsp[-2].node), (yyvsp[-1].node)), (yylsp[-6]));
				}
#line 34804 "gram.c" /* yacc.c:1646  */
    break;

  case 1727:
#line 11705 "gram.y" /* yacc.c:1646  */
    {
					XmlSerialize *n = makeNode(XmlSerialize);
					n->xmloption = (yyvsp[-4].ival);
					n->expr = (yyvsp[-3].node);
					n->typeName = (yyvsp[-1].typnam);
					n->location = (yylsp[-6]);
					(yyval.node) = (Node *)n;
				}
#line 34817 "gram.c" /* yacc.c:1646  */
    break;

  case 1728:
#line 11719 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[0].node); }
#line 34823 "gram.c" /* yacc.c:1646  */
    break;

  case 1729:
#line 11721 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = makeNullAConst(-1); }
#line 34829 "gram.c" /* yacc.c:1646  */
    break;

  case 1730:
#line 11725 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = makeIntConst(XML_STANDALONE_YES, -1); }
#line 34835 "gram.c" /* yacc.c:1646  */
    break;

  case 1731:
#line 11727 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = makeIntConst(XML_STANDALONE_NO, -1); }
#line 34841 "gram.c" /* yacc.c:1646  */
    break;

  case 1732:
#line 11729 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = makeIntConst(XML_STANDALONE_NO_VALUE, -1); }
#line 34847 "gram.c" /* yacc.c:1646  */
    break;

  case 1733:
#line 11731 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = makeIntConst(XML_STANDALONE_OMITTED, -1); }
#line 34853 "gram.c" /* yacc.c:1646  */
    break;

  case 1734:
#line 11734 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[-1].list); }
#line 34859 "gram.c" /* yacc.c:1646  */
    break;

  case 1735:
#line 11737 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].target)); }
#line 34865 "gram.c" /* yacc.c:1646  */
    break;

  case 1736:
#line 11738 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].target)); }
#line 34871 "gram.c" /* yacc.c:1646  */
    break;

  case 1737:
#line 11742 "gram.y" /* yacc.c:1646  */
    {
					(yyval.target) = makeNode(ResTarget);
					(yyval.target)->name = (yyvsp[0].str);
					(yyval.target)->indirection = NIL;
					(yyval.target)->val = (Node *) (yyvsp[-2].node);
					(yyval.target)->location = (yylsp[-2]);
				}
#line 34883 "gram.c" /* yacc.c:1646  */
    break;

  case 1738:
#line 11750 "gram.y" /* yacc.c:1646  */
    {
					(yyval.target) = makeNode(ResTarget);
					(yyval.target)->name = NULL;
					(yyval.target)->indirection = NIL;
					(yyval.target)->val = (Node *) (yyvsp[0].node);
					(yyval.target)->location = (yylsp[0]);
				}
#line 34895 "gram.c" /* yacc.c:1646  */
    break;

  case 1739:
#line 11759 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = XMLOPTION_DOCUMENT; }
#line 34901 "gram.c" /* yacc.c:1646  */
    break;

  case 1740:
#line 11760 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = XMLOPTION_CONTENT; }
#line 34907 "gram.c" /* yacc.c:1646  */
    break;

  case 1741:
#line 11763 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = TRUE; }
#line 34913 "gram.c" /* yacc.c:1646  */
    break;

  case 1742:
#line 11764 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = FALSE; }
#line 34919 "gram.c" /* yacc.c:1646  */
    break;

  case 1743:
#line 11765 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = FALSE; }
#line 34925 "gram.c" /* yacc.c:1646  */
    break;

  case 1744:
#line 11771 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = (yyvsp[0].node);
				}
#line 34933 "gram.c" /* yacc.c:1646  */
    break;

  case 1745:
#line 11775 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = (yyvsp[-2].node);
				}
#line 34941 "gram.c" /* yacc.c:1646  */
    break;

  case 1746:
#line 11779 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = (yyvsp[0].node);
				}
#line 34949 "gram.c" /* yacc.c:1646  */
    break;

  case 1747:
#line 11783 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = (yyvsp[-2].node);
				}
#line 34957 "gram.c" /* yacc.c:1646  */
    break;

  case 1748:
#line 11793 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[0].list); }
#line 34963 "gram.c" /* yacc.c:1646  */
    break;

  case 1749:
#line 11794 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 34969 "gram.c" /* yacc.c:1646  */
    break;

  case 1750:
#line 11798 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].windef)); }
#line 34975 "gram.c" /* yacc.c:1646  */
    break;

  case 1751:
#line 11800 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].windef)); }
#line 34981 "gram.c" /* yacc.c:1646  */
    break;

  case 1752:
#line 11805 "gram.y" /* yacc.c:1646  */
    {
					WindowDef *n = (yyvsp[0].windef);
					n->name = (yyvsp[-2].str);
					(yyval.windef) = n;
				}
#line 34991 "gram.c" /* yacc.c:1646  */
    break;

  case 1753:
#line 11813 "gram.y" /* yacc.c:1646  */
    { (yyval.windef) = (yyvsp[0].windef); }
#line 34997 "gram.c" /* yacc.c:1646  */
    break;

  case 1754:
#line 11815 "gram.y" /* yacc.c:1646  */
    {
					WindowDef *n = makeNode(WindowDef);
					n->name = (yyvsp[0].str);
					n->refname = NULL;
					n->partitionClause = NIL;
					n->orderClause = NIL;
					n->frameOptions = FRAMEOPTION_DEFAULTS;
					n->startOffset = NULL;
					n->endOffset = NULL;
					n->location = (yylsp[0]);
					(yyval.windef) = n;
				}
#line 35014 "gram.c" /* yacc.c:1646  */
    break;

  case 1755:
#line 11828 "gram.y" /* yacc.c:1646  */
    { (yyval.windef) = NULL; }
#line 35020 "gram.c" /* yacc.c:1646  */
    break;

  case 1756:
#line 11833 "gram.y" /* yacc.c:1646  */
    {
					WindowDef *n = makeNode(WindowDef);
					n->name = NULL;
					n->refname = (yyvsp[-4].str);
					n->partitionClause = (yyvsp[-3].list);
					n->orderClause = (yyvsp[-2].list);
					/* copy relevant fields of opt_frame_clause */
					n->frameOptions = (yyvsp[-1].windef)->frameOptions;
					n->startOffset = (yyvsp[-1].windef)->startOffset;
					n->endOffset = (yyvsp[-1].windef)->endOffset;
					n->location = (yylsp[-5]);
					(yyval.windef) = n;
				}
#line 35038 "gram.c" /* yacc.c:1646  */
    break;

  case 1757:
#line 11858 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 35044 "gram.c" /* yacc.c:1646  */
    break;

  case 1758:
#line 11859 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = NULL; }
#line 35050 "gram.c" /* yacc.c:1646  */
    break;

  case 1759:
#line 11862 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[0].list); }
#line 35056 "gram.c" /* yacc.c:1646  */
    break;

  case 1760:
#line 11863 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 35062 "gram.c" /* yacc.c:1646  */
    break;

  case 1761:
#line 11875 "gram.y" /* yacc.c:1646  */
    {
					WindowDef *n = (yyvsp[0].windef);
					n->frameOptions |= FRAMEOPTION_NONDEFAULT | FRAMEOPTION_RANGE;
					if (n->frameOptions & (FRAMEOPTION_START_VALUE_PRECEDING |
										   FRAMEOPTION_END_VALUE_PRECEDING))
						ereport(ERROR,
								(errcode(ERRCODE_FEATURE_NOT_SUPPORTED),
								 errmsg("RANGE PRECEDING is only supported with UNBOUNDED"),
								 parser_errposition((yylsp[-1]))));
					if (n->frameOptions & (FRAMEOPTION_START_VALUE_FOLLOWING |
										   FRAMEOPTION_END_VALUE_FOLLOWING))
						ereport(ERROR,
								(errcode(ERRCODE_FEATURE_NOT_SUPPORTED),
								 errmsg("RANGE FOLLOWING is only supported with UNBOUNDED"),
								 parser_errposition((yylsp[-1]))));
					(yyval.windef) = n;
				}
#line 35084 "gram.c" /* yacc.c:1646  */
    break;

  case 1762:
#line 11893 "gram.y" /* yacc.c:1646  */
    {
					WindowDef *n = (yyvsp[0].windef);
					n->frameOptions |= FRAMEOPTION_NONDEFAULT | FRAMEOPTION_ROWS;
					(yyval.windef) = n;
				}
#line 35094 "gram.c" /* yacc.c:1646  */
    break;

  case 1763:
#line 11899 "gram.y" /* yacc.c:1646  */
    {
					WindowDef *n = makeNode(WindowDef);
					n->frameOptions = FRAMEOPTION_DEFAULTS;
					n->startOffset = NULL;
					n->endOffset = NULL;
					(yyval.windef) = n;
				}
#line 35106 "gram.c" /* yacc.c:1646  */
    break;

  case 1764:
#line 11909 "gram.y" /* yacc.c:1646  */
    {
					WindowDef *n = (yyvsp[0].windef);
					/* reject invalid cases */
					if (n->frameOptions & FRAMEOPTION_START_UNBOUNDED_FOLLOWING)
						ereport(ERROR,
								(errcode(ERRCODE_WINDOWING_ERROR),
								 errmsg("frame start cannot be UNBOUNDED FOLLOWING"),
								 parser_errposition((yylsp[0]))));
					if (n->frameOptions & FRAMEOPTION_START_VALUE_FOLLOWING)
						ereport(ERROR,
								(errcode(ERRCODE_WINDOWING_ERROR),
								 errmsg("frame starting from following row cannot end with current row"),
								 parser_errposition((yylsp[0]))));
					n->frameOptions |= FRAMEOPTION_END_CURRENT_ROW;
					(yyval.windef) = n;
				}
#line 35127 "gram.c" /* yacc.c:1646  */
    break;

  case 1765:
#line 11926 "gram.y" /* yacc.c:1646  */
    {
					WindowDef *n1 = (yyvsp[-2].windef);
					WindowDef *n2 = (yyvsp[0].windef);
					/* form merged options */
					int		frameOptions = n1->frameOptions;
					/* shift converts START_ options to END_ options */
					frameOptions |= n2->frameOptions << 1;
					frameOptions |= FRAMEOPTION_BETWEEN;
					/* reject invalid cases */
					if (frameOptions & FRAMEOPTION_START_UNBOUNDED_FOLLOWING)
						ereport(ERROR,
								(errcode(ERRCODE_WINDOWING_ERROR),
								 errmsg("frame start cannot be UNBOUNDED FOLLOWING"),
								 parser_errposition((yylsp[-2]))));
					if (frameOptions & FRAMEOPTION_END_UNBOUNDED_PRECEDING)
						ereport(ERROR,
								(errcode(ERRCODE_WINDOWING_ERROR),
								 errmsg("frame end cannot be UNBOUNDED PRECEDING"),
								 parser_errposition((yylsp[0]))));
					if ((frameOptions & FRAMEOPTION_START_CURRENT_ROW) &&
						(frameOptions & FRAMEOPTION_END_VALUE_PRECEDING))
						ereport(ERROR,
								(errcode(ERRCODE_WINDOWING_ERROR),
								 errmsg("frame starting from current row cannot have preceding rows"),
								 parser_errposition((yylsp[0]))));
					if ((frameOptions & FRAMEOPTION_START_VALUE_FOLLOWING) &&
						(frameOptions & (FRAMEOPTION_END_VALUE_PRECEDING |
										 FRAMEOPTION_END_CURRENT_ROW)))
						ereport(ERROR,
								(errcode(ERRCODE_WINDOWING_ERROR),
								 errmsg("frame starting from following row cannot have preceding rows"),
								 parser_errposition((yylsp[0]))));
					n1->frameOptions = frameOptions;
					n1->endOffset = n2->startOffset;
					(yyval.windef) = n1;
				}
#line 35168 "gram.c" /* yacc.c:1646  */
    break;

  case 1766:
#line 11971 "gram.y" /* yacc.c:1646  */
    {
					WindowDef *n = makeNode(WindowDef);
					n->frameOptions = FRAMEOPTION_START_UNBOUNDED_PRECEDING;
					n->startOffset = NULL;
					n->endOffset = NULL;
					(yyval.windef) = n;
				}
#line 35180 "gram.c" /* yacc.c:1646  */
    break;

  case 1767:
#line 11979 "gram.y" /* yacc.c:1646  */
    {
					WindowDef *n = makeNode(WindowDef);
					n->frameOptions = FRAMEOPTION_START_UNBOUNDED_FOLLOWING;
					n->startOffset = NULL;
					n->endOffset = NULL;
					(yyval.windef) = n;
				}
#line 35192 "gram.c" /* yacc.c:1646  */
    break;

  case 1768:
#line 11987 "gram.y" /* yacc.c:1646  */
    {
					WindowDef *n = makeNode(WindowDef);
					n->frameOptions = FRAMEOPTION_START_CURRENT_ROW;
					n->startOffset = NULL;
					n->endOffset = NULL;
					(yyval.windef) = n;
				}
#line 35204 "gram.c" /* yacc.c:1646  */
    break;

  case 1769:
#line 11995 "gram.y" /* yacc.c:1646  */
    {
					WindowDef *n = makeNode(WindowDef);
					n->frameOptions = FRAMEOPTION_START_VALUE_PRECEDING;
					n->startOffset = (yyvsp[-1].node);
					n->endOffset = NULL;
					(yyval.windef) = n;
				}
#line 35216 "gram.c" /* yacc.c:1646  */
    break;

  case 1770:
#line 12003 "gram.y" /* yacc.c:1646  */
    {
					WindowDef *n = makeNode(WindowDef);
					n->frameOptions = FRAMEOPTION_START_VALUE_FOLLOWING;
					n->startOffset = (yyvsp[-1].node);
					n->endOffset = NULL;
					(yyval.windef) = n;
				}
#line 35228 "gram.c" /* yacc.c:1646  */
    break;

  case 1771:
#line 12023 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[-1].list); }
#line 35234 "gram.c" /* yacc.c:1646  */
    break;

  case 1772:
#line 12024 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 35240 "gram.c" /* yacc.c:1646  */
    break;

  case 1773:
#line 12025 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-3].list), (yyvsp[-1].node)); }
#line 35246 "gram.c" /* yacc.c:1646  */
    break;

  case 1774:
#line 12028 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = ANY_SUBLINK; }
#line 35252 "gram.c" /* yacc.c:1646  */
    break;

  case 1775:
#line 12029 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = ANY_SUBLINK; }
#line 35258 "gram.c" /* yacc.c:1646  */
    break;

  case 1776:
#line 12030 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = ALL_SUBLINK; }
#line 35264 "gram.c" /* yacc.c:1646  */
    break;

  case 1777:
#line 12033 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 35270 "gram.c" /* yacc.c:1646  */
    break;

  case 1778:
#line 12034 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 35276 "gram.c" /* yacc.c:1646  */
    break;

  case 1779:
#line 12037 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = "+"; }
#line 35282 "gram.c" /* yacc.c:1646  */
    break;

  case 1780:
#line 12038 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = "-"; }
#line 35288 "gram.c" /* yacc.c:1646  */
    break;

  case 1781:
#line 12039 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = "*"; }
#line 35294 "gram.c" /* yacc.c:1646  */
    break;

  case 1782:
#line 12040 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = "/"; }
#line 35300 "gram.c" /* yacc.c:1646  */
    break;

  case 1783:
#line 12041 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = "%"; }
#line 35306 "gram.c" /* yacc.c:1646  */
    break;

  case 1784:
#line 12042 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = "^"; }
#line 35312 "gram.c" /* yacc.c:1646  */
    break;

  case 1785:
#line 12043 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = "<"; }
#line 35318 "gram.c" /* yacc.c:1646  */
    break;

  case 1786:
#line 12044 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = ">"; }
#line 35324 "gram.c" /* yacc.c:1646  */
    break;

  case 1787:
#line 12045 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = "="; }
#line 35330 "gram.c" /* yacc.c:1646  */
    break;

  case 1788:
#line 12049 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1(makeString((yyvsp[0].str))); }
#line 35336 "gram.c" /* yacc.c:1646  */
    break;

  case 1789:
#line 12051 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[-1].list); }
#line 35342 "gram.c" /* yacc.c:1646  */
    break;

  case 1790:
#line 12056 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1(makeString((yyvsp[0].str))); }
#line 35348 "gram.c" /* yacc.c:1646  */
    break;

  case 1791:
#line 12058 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[-1].list); }
#line 35354 "gram.c" /* yacc.c:1646  */
    break;

  case 1792:
#line 12063 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1(makeString((yyvsp[0].str))); }
#line 35360 "gram.c" /* yacc.c:1646  */
    break;

  case 1793:
#line 12065 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[-1].list); }
#line 35366 "gram.c" /* yacc.c:1646  */
    break;

  case 1794:
#line 12067 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1(makeString("~~")); }
#line 35372 "gram.c" /* yacc.c:1646  */
    break;

  case 1795:
#line 12069 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1(makeString("!~~")); }
#line 35378 "gram.c" /* yacc.c:1646  */
    break;

  case 1796:
#line 12071 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1(makeString("~~*")); }
#line 35384 "gram.c" /* yacc.c:1646  */
    break;

  case 1797:
#line 12073 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1(makeString("!~~*")); }
#line 35390 "gram.c" /* yacc.c:1646  */
    break;

  case 1798:
#line 12085 "gram.y" /* yacc.c:1646  */
    {
					(yyval.list) = list_make1((yyvsp[0].node));
				}
#line 35398 "gram.c" /* yacc.c:1646  */
    break;

  case 1799:
#line 12089 "gram.y" /* yacc.c:1646  */
    {
					(yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].node));
				}
#line 35406 "gram.c" /* yacc.c:1646  */
    break;

  case 1800:
#line 12096 "gram.y" /* yacc.c:1646  */
    {
					(yyval.list) = list_make1((yyvsp[0].node));
				}
#line 35414 "gram.c" /* yacc.c:1646  */
    break;

  case 1801:
#line 12100 "gram.y" /* yacc.c:1646  */
    {
					(yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].node));
				}
#line 35422 "gram.c" /* yacc.c:1646  */
    break;

  case 1802:
#line 12106 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = (yyvsp[0].node);
				}
#line 35430 "gram.c" /* yacc.c:1646  */
    break;

  case 1803:
#line 12110 "gram.y" /* yacc.c:1646  */
    {
					NamedArgExpr *na = makeNode(NamedArgExpr);
					na->name = (yyvsp[-2].str);
					na->arg = (Expr *) (yyvsp[0].node);
					na->argnumber = -1;		/* until determined */
					na->location = (yylsp[-2]);
					(yyval.node) = (Node *) na;
				}
#line 35443 "gram.c" /* yacc.c:1646  */
    break;

  case 1804:
#line 12120 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].typnam)); }
#line 35449 "gram.c" /* yacc.c:1646  */
    break;

  case 1805:
#line 12121 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].typnam)); }
#line 35455 "gram.c" /* yacc.c:1646  */
    break;

  case 1806:
#line 12125 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = makeAArrayExpr((yyvsp[-1].list), (yylsp[-2]));
				}
#line 35463 "gram.c" /* yacc.c:1646  */
    break;

  case 1807:
#line 12129 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = makeAArrayExpr((yyvsp[-1].list), (yylsp[-2]));
				}
#line 35471 "gram.c" /* yacc.c:1646  */
    break;

  case 1808:
#line 12133 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = makeAArrayExpr(NIL, (yylsp[-1]));
				}
#line 35479 "gram.c" /* yacc.c:1646  */
    break;

  case 1809:
#line 12138 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].node)); }
#line 35485 "gram.c" /* yacc.c:1646  */
    break;

  case 1810:
#line 12139 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].node)); }
#line 35491 "gram.c" /* yacc.c:1646  */
    break;

  case 1811:
#line 12145 "gram.y" /* yacc.c:1646  */
    {
					(yyval.list) = list_make2(makeStringConst((yyvsp[-2].str), (yylsp[-2])), (yyvsp[0].node));
				}
#line 35499 "gram.c" /* yacc.c:1646  */
    break;

  case 1812:
#line 12148 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 35505 "gram.c" /* yacc.c:1646  */
    break;

  case 1813:
#line 12155 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 35511 "gram.c" /* yacc.c:1646  */
    break;

  case 1814:
#line 12156 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = "year"; }
#line 35517 "gram.c" /* yacc.c:1646  */
    break;

  case 1815:
#line 12157 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = "month"; }
#line 35523 "gram.c" /* yacc.c:1646  */
    break;

  case 1816:
#line 12158 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = "day"; }
#line 35529 "gram.c" /* yacc.c:1646  */
    break;

  case 1817:
#line 12159 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = "hour"; }
#line 35535 "gram.c" /* yacc.c:1646  */
    break;

  case 1818:
#line 12160 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = "minute"; }
#line 35541 "gram.c" /* yacc.c:1646  */
    break;

  case 1819:
#line 12161 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = "second"; }
#line 35547 "gram.c" /* yacc.c:1646  */
    break;

  case 1820:
#line 12162 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 35553 "gram.c" /* yacc.c:1646  */
    break;

  case 1821:
#line 12173 "gram.y" /* yacc.c:1646  */
    {
					(yyval.list) = list_make4((yyvsp[-3].node), (yyvsp[-2].node), (yyvsp[-1].node), (yyvsp[0].node));
				}
#line 35561 "gram.c" /* yacc.c:1646  */
    break;

  case 1822:
#line 12177 "gram.y" /* yacc.c:1646  */
    {
					(yyval.list) = list_make3((yyvsp[-2].node), (yyvsp[-1].node), (yyvsp[0].node));
				}
#line 35569 "gram.c" /* yacc.c:1646  */
    break;

  case 1823:
#line 12184 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[0].node); }
#line 35575 "gram.c" /* yacc.c:1646  */
    break;

  case 1824:
#line 12190 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make2((yyvsp[0].node), (yyvsp[-2].node)); }
#line 35581 "gram.c" /* yacc.c:1646  */
    break;

  case 1825:
#line 12191 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 35587 "gram.c" /* yacc.c:1646  */
    break;

  case 1826:
#line 12208 "gram.y" /* yacc.c:1646  */
    {
					(yyval.list) = list_make3((yyvsp[-2].node), (yyvsp[-1].node), (yyvsp[0].node));
				}
#line 35595 "gram.c" /* yacc.c:1646  */
    break;

  case 1827:
#line 12212 "gram.y" /* yacc.c:1646  */
    {
					/* not legal per SQL99, but might as well allow it */
					(yyval.list) = list_make3((yyvsp[-2].node), (yyvsp[0].node), (yyvsp[-1].node));
				}
#line 35604 "gram.c" /* yacc.c:1646  */
    break;

  case 1828:
#line 12217 "gram.y" /* yacc.c:1646  */
    {
					(yyval.list) = list_make2((yyvsp[-1].node), (yyvsp[0].node));
				}
#line 35612 "gram.c" /* yacc.c:1646  */
    break;

  case 1829:
#line 12221 "gram.y" /* yacc.c:1646  */
    {
					/*
					 * Since there are no cases where this syntax allows
					 * a textual FOR value, we forcibly cast the argument
					 * to int4.  The possible matches in pg_proc are
					 * substring(text,int4) and substring(text,text),
					 * and we don't want the parser to choose the latter,
					 * which it is likely to do if the second argument
					 * is unknown or doesn't have an implicit cast to int4.
					 */
					(yyval.list) = list_make3((yyvsp[-1].node), makeIntConst(1, -1),
									makeTypeCast((yyvsp[0].node),
												 SystemTypeName("int4"), -1));
				}
#line 35631 "gram.c" /* yacc.c:1646  */
    break;

  case 1830:
#line 12236 "gram.y" /* yacc.c:1646  */
    {
					(yyval.list) = (yyvsp[0].list);
				}
#line 35639 "gram.c" /* yacc.c:1646  */
    break;

  case 1831:
#line 12240 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 35645 "gram.c" /* yacc.c:1646  */
    break;

  case 1832:
#line 12244 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[0].node); }
#line 35651 "gram.c" /* yacc.c:1646  */
    break;

  case 1833:
#line 12247 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[0].node); }
#line 35657 "gram.c" /* yacc.c:1646  */
    break;

  case 1834:
#line 12250 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[0].list), (yyvsp[-2].node)); }
#line 35663 "gram.c" /* yacc.c:1646  */
    break;

  case 1835:
#line 12251 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[0].list); }
#line 35669 "gram.c" /* yacc.c:1646  */
    break;

  case 1836:
#line 12252 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[0].list); }
#line 35675 "gram.c" /* yacc.c:1646  */
    break;

  case 1837:
#line 12256 "gram.y" /* yacc.c:1646  */
    {
					SubLink *n = makeNode(SubLink);
					n->subselect = (yyvsp[0].node);
					/* other fields will be filled later */
					(yyval.node) = (Node *)n;
				}
#line 35686 "gram.c" /* yacc.c:1646  */
    break;

  case 1838:
#line 12262 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *)(yyvsp[-1].list); }
#line 35692 "gram.c" /* yacc.c:1646  */
    break;

  case 1839:
#line 12273 "gram.y" /* yacc.c:1646  */
    {
					CaseExpr *c = makeNode(CaseExpr);
					c->casetype = InvalidOid; /* not analyzed yet */
					c->arg = (Expr *) (yyvsp[-3].node);
					c->args = (yyvsp[-2].list);
					c->defresult = (Expr *) (yyvsp[-1].node);
					c->location = (yylsp[-4]);
					(yyval.node) = (Node *)c;
				}
#line 35706 "gram.c" /* yacc.c:1646  */
    break;

  case 1840:
#line 12286 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].node)); }
#line 35712 "gram.c" /* yacc.c:1646  */
    break;

  case 1841:
#line 12287 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-1].list), (yyvsp[0].node)); }
#line 35718 "gram.c" /* yacc.c:1646  */
    break;

  case 1842:
#line 12292 "gram.y" /* yacc.c:1646  */
    {
					CaseWhen *w = makeNode(CaseWhen);
					w->expr = (Expr *) (yyvsp[-2].node);
					w->result = (Expr *) (yyvsp[0].node);
					w->location = (yylsp[-3]);
					(yyval.node) = (Node *)w;
				}
#line 35730 "gram.c" /* yacc.c:1646  */
    break;

  case 1843:
#line 12302 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[0].node); }
#line 35736 "gram.c" /* yacc.c:1646  */
    break;

  case 1844:
#line 12303 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = NULL; }
#line 35742 "gram.c" /* yacc.c:1646  */
    break;

  case 1845:
#line 12306 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[0].node); }
#line 35748 "gram.c" /* yacc.c:1646  */
    break;

  case 1846:
#line 12307 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = NULL; }
#line 35754 "gram.c" /* yacc.c:1646  */
    break;

  case 1847:
#line 12311 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = makeColumnRef((yyvsp[0].str), NIL, (yylsp[0]), yyscanner);
				}
#line 35762 "gram.c" /* yacc.c:1646  */
    break;

  case 1848:
#line 12315 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = makeColumnRef((yyvsp[-1].str), (yyvsp[0].list), (yylsp[-1]), yyscanner);
				}
#line 35770 "gram.c" /* yacc.c:1646  */
    break;

  case 1849:
#line 12322 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = (Node *) makeString((yyvsp[0].str));
				}
#line 35778 "gram.c" /* yacc.c:1646  */
    break;

  case 1850:
#line 12326 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = (Node *) makeNode(A_Star);
				}
#line 35786 "gram.c" /* yacc.c:1646  */
    break;

  case 1851:
#line 12330 "gram.y" /* yacc.c:1646  */
    {
					A_Indices *ai = makeNode(A_Indices);
					ai->lidx = NULL;
					ai->uidx = (yyvsp[-1].node);
					(yyval.node) = (Node *) ai;
				}
#line 35797 "gram.c" /* yacc.c:1646  */
    break;

  case 1852:
#line 12337 "gram.y" /* yacc.c:1646  */
    {
					A_Indices *ai = makeNode(A_Indices);
					ai->lidx = (yyvsp[-3].node);
					ai->uidx = (yyvsp[-1].node);
					(yyval.node) = (Node *) ai;
				}
#line 35808 "gram.c" /* yacc.c:1646  */
    break;

  case 1853:
#line 12346 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].node)); }
#line 35814 "gram.c" /* yacc.c:1646  */
    break;

  case 1854:
#line 12347 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-1].list), (yyvsp[0].node)); }
#line 35820 "gram.c" /* yacc.c:1646  */
    break;

  case 1855:
#line 12351 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 35826 "gram.c" /* yacc.c:1646  */
    break;

  case 1856:
#line 12352 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-1].list), (yyvsp[0].node)); }
#line 35832 "gram.c" /* yacc.c:1646  */
    break;

  case 1859:
#line 12367 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *) (yyvsp[0].node); }
#line 35838 "gram.c" /* yacc.c:1646  */
    break;

  case 1860:
#line 12369 "gram.y" /* yacc.c:1646  */
    {
					SetToDefault *n = makeNode(SetToDefault);
					n->location = (yylsp[0]);
					(yyval.node) = (Node *) n;
				}
#line 35848 "gram.c" /* yacc.c:1646  */
    break;

  case 1861:
#line 12377 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].node)); }
#line 35854 "gram.c" /* yacc.c:1646  */
    break;

  case 1862:
#line 12378 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].node)); }
#line 35860 "gram.c" /* yacc.c:1646  */
    break;

  case 1863:
#line 12386 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[-1].list); }
#line 35866 "gram.c" /* yacc.c:1646  */
    break;

  case 1864:
#line 12397 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].target)); }
#line 35872 "gram.c" /* yacc.c:1646  */
    break;

  case 1865:
#line 12398 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].target)); }
#line 35878 "gram.c" /* yacc.c:1646  */
    break;

  case 1866:
#line 12402 "gram.y" /* yacc.c:1646  */
    {
					(yyval.target) = makeNode(ResTarget);
					(yyval.target)->name = (yyvsp[0].str);
					(yyval.target)->indirection = NIL;
					(yyval.target)->val = (Node *)(yyvsp[-2].node);
					(yyval.target)->location = (yylsp[-2]);
				}
#line 35890 "gram.c" /* yacc.c:1646  */
    break;

  case 1867:
#line 12418 "gram.y" /* yacc.c:1646  */
    {
					(yyval.target) = makeNode(ResTarget);
					(yyval.target)->name = (yyvsp[0].str);
					(yyval.target)->indirection = NIL;
					(yyval.target)->val = (Node *)(yyvsp[-1].node);
					(yyval.target)->location = (yylsp[-1]);
				}
#line 35902 "gram.c" /* yacc.c:1646  */
    break;

  case 1868:
#line 12426 "gram.y" /* yacc.c:1646  */
    {
					(yyval.target) = makeNode(ResTarget);
					(yyval.target)->name = NULL;
					(yyval.target)->indirection = NIL;
					(yyval.target)->val = (Node *)(yyvsp[0].node);
					(yyval.target)->location = (yylsp[0]);
				}
#line 35914 "gram.c" /* yacc.c:1646  */
    break;

  case 1869:
#line 12434 "gram.y" /* yacc.c:1646  */
    {
					ColumnRef *n = makeNode(ColumnRef);
					n->fields = list_make1(makeNode(A_Star));
					n->location = (yylsp[0]);

					(yyval.target) = makeNode(ResTarget);
					(yyval.target)->name = NULL;
					(yyval.target)->indirection = NIL;
					(yyval.target)->val = (Node *)n;
					(yyval.target)->location = (yylsp[0]);
				}
#line 35930 "gram.c" /* yacc.c:1646  */
    break;

  case 1870:
#line 12455 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].range)); }
#line 35936 "gram.c" /* yacc.c:1646  */
    break;

  case 1871:
#line 12456 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].range)); }
#line 35942 "gram.c" /* yacc.c:1646  */
    break;

  case 1872:
#line 12468 "gram.y" /* yacc.c:1646  */
    {
					(yyval.range) = makeRangeVar(NULL, (yyvsp[0].str), (yylsp[0]));
				}
#line 35950 "gram.c" /* yacc.c:1646  */
    break;

  case 1873:
#line 12472 "gram.y" /* yacc.c:1646  */
    {
					check_qualified_name((yyvsp[0].list), yyscanner);
					(yyval.range) = makeRangeVar(NULL, NULL, (yylsp[-1]));
					switch (list_length((yyvsp[0].list)))
					{
						case 1:
							(yyval.range)->catalogname = NULL;
							(yyval.range)->schemaname = (yyvsp[-1].str);
							(yyval.range)->relname = strVal(linitial((yyvsp[0].list)));
							break;
						case 2:
							(yyval.range)->catalogname = (yyvsp[-1].str);
							(yyval.range)->schemaname = strVal(linitial((yyvsp[0].list)));
							(yyval.range)->relname = strVal(lsecond((yyvsp[0].list)));
							break;
						default:
							ereport(ERROR,
									(errcode(ERRCODE_SYNTAX_ERROR),
									 errmsg("improper qualified name (too many dotted names): %s",
											NameListToString(lcons(makeString((yyvsp[-1].str)), (yyvsp[0].list)))),
									 parser_errposition((yylsp[-1]))));
							break;
					}
				}
#line 35979 "gram.c" /* yacc.c:1646  */
    break;

  case 1874:
#line 12499 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1(makeString((yyvsp[0].str))); }
#line 35985 "gram.c" /* yacc.c:1646  */
    break;

  case 1875:
#line 12501 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-2].list), makeString((yyvsp[0].str))); }
#line 35991 "gram.c" /* yacc.c:1646  */
    break;

  case 1876:
#line 12505 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 35997 "gram.c" /* yacc.c:1646  */
    break;

  case 1877:
#line 12508 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 36003 "gram.c" /* yacc.c:1646  */
    break;

  case 1878:
#line 12511 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 36009 "gram.c" /* yacc.c:1646  */
    break;

  case 1879:
#line 12513 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 36015 "gram.c" /* yacc.c:1646  */
    break;

  case 1880:
#line 12515 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 36021 "gram.c" /* yacc.c:1646  */
    break;

  case 1881:
#line 12517 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 36027 "gram.c" /* yacc.c:1646  */
    break;

  case 1882:
#line 12528 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1(makeString((yyvsp[0].str))); }
#line 36033 "gram.c" /* yacc.c:1646  */
    break;

  case 1883:
#line 12530 "gram.y" /* yacc.c:1646  */
    {
						(yyval.list) = check_func_name(lcons(makeString((yyvsp[-1].str)), (yyvsp[0].list)),
											 yyscanner);
					}
#line 36042 "gram.c" /* yacc.c:1646  */
    break;

  case 1884:
#line 12541 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = makeIntConst((yyvsp[0].ival), (yylsp[0]));
				}
#line 36050 "gram.c" /* yacc.c:1646  */
    break;

  case 1885:
#line 12545 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = makeFloatConst((yyvsp[0].str), (yylsp[0]));
				}
#line 36058 "gram.c" /* yacc.c:1646  */
    break;

  case 1886:
#line 12549 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = makeStringConst((yyvsp[0].str), (yylsp[0]));
				}
#line 36066 "gram.c" /* yacc.c:1646  */
    break;

  case 1887:
#line 12553 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = makeBitStringConst((yyvsp[0].str), (yylsp[0]));
				}
#line 36074 "gram.c" /* yacc.c:1646  */
    break;

  case 1888:
#line 12557 "gram.y" /* yacc.c:1646  */
    {
					/* This is a bit constant per SQL99:
					 * Without Feature F511, "BIT data type",
					 * a <general literal> shall not be a
					 * <bit string literal> or a <hex string literal>.
					 */
					(yyval.node) = makeBitStringConst((yyvsp[0].str), (yylsp[0]));
				}
#line 36087 "gram.c" /* yacc.c:1646  */
    break;

  case 1889:
#line 12566 "gram.y" /* yacc.c:1646  */
    {
					/* generic type 'literal' syntax */
					TypeName *t = makeTypeNameFromNameList((yyvsp[-1].list));
					t->location = (yylsp[-1]);
					(yyval.node) = makeStringConstCast((yyvsp[0].str), (yylsp[0]), t);
				}
#line 36098 "gram.c" /* yacc.c:1646  */
    break;

  case 1890:
#line 12573 "gram.y" /* yacc.c:1646  */
    {
					/* generic syntax with a type modifier */
					TypeName *t = makeTypeNameFromNameList((yyvsp[-4].list));
					ListCell *lc;

					/*
					 * We must use func_arg_list in the production to avoid
					 * reduce/reduce conflicts, but we don't actually wish
					 * to allow NamedArgExpr in this context.
					 */
					foreach(lc, (yyvsp[-2].list))
					{
						NamedArgExpr *arg = (NamedArgExpr *) lfirst(lc);

						if (IsA(arg, NamedArgExpr))
							ereport(ERROR,
									(errcode(ERRCODE_SYNTAX_ERROR),
									 errmsg("type modifier cannot have parameter name"),
									 parser_errposition(arg->location)));
					}
					t->typmods = (yyvsp[-2].list);
					t->location = (yylsp[-4]);
					(yyval.node) = makeStringConstCast((yyvsp[0].str), (yylsp[0]), t);
				}
#line 36127 "gram.c" /* yacc.c:1646  */
    break;

  case 1891:
#line 12598 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = makeStringConstCast((yyvsp[0].str), (yylsp[0]), (yyvsp[-1].typnam));
				}
#line 36135 "gram.c" /* yacc.c:1646  */
    break;

  case 1892:
#line 12602 "gram.y" /* yacc.c:1646  */
    {
					TypeName *t = (yyvsp[-2].typnam);
					t->typmods = (yyvsp[0].list);
					(yyval.node) = makeStringConstCast((yyvsp[-1].str), (yylsp[-1]), t);
				}
#line 36145 "gram.c" /* yacc.c:1646  */
    break;

  case 1893:
#line 12608 "gram.y" /* yacc.c:1646  */
    {
					TypeName *t = (yyvsp[-5].typnam);
					if ((yyvsp[0].list) != NIL)
					{
						if (list_length((yyvsp[0].list)) != 1)
							ereport(ERROR,
									(errcode(ERRCODE_SYNTAX_ERROR),
									 errmsg("interval precision specified twice"),
									 parser_errposition((yylsp[-5]))));
						t->typmods = lappend((yyvsp[0].list), makeIntConst((yyvsp[-3].ival), (yylsp[-3])));
					}
					else
						t->typmods = list_make2(makeIntConst(INTERVAL_FULL_RANGE, -1),
												makeIntConst((yyvsp[-3].ival), (yylsp[-3])));
					(yyval.node) = makeStringConstCast((yyvsp[-1].str), (yylsp[-1]), t);
				}
#line 36166 "gram.c" /* yacc.c:1646  */
    break;

  case 1894:
#line 12625 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = makeBoolAConst(TRUE, (yylsp[0]));
				}
#line 36174 "gram.c" /* yacc.c:1646  */
    break;

  case 1895:
#line 12629 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = makeBoolAConst(FALSE, (yylsp[0]));
				}
#line 36182 "gram.c" /* yacc.c:1646  */
    break;

  case 1896:
#line 12633 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = makeNullAConst((yylsp[0]));
				}
#line 36190 "gram.c" /* yacc.c:1646  */
    break;

  case 1897:
#line 12638 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = (yyvsp[0].ival); }
#line 36196 "gram.c" /* yacc.c:1646  */
    break;

  case 1898:
#line 12639 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 36202 "gram.c" /* yacc.c:1646  */
    break;

  case 1899:
#line 12640 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 36208 "gram.c" /* yacc.c:1646  */
    break;

  case 1900:
#line 12643 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1(makeString((yyvsp[0].str))); }
#line 36214 "gram.c" /* yacc.c:1646  */
    break;

  case 1901:
#line 12645 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-2].list), makeString((yyvsp[0].str))); }
#line 36220 "gram.c" /* yacc.c:1646  */
    break;

  case 1902:
#line 12648 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = (yyvsp[0].ival); }
#line 36226 "gram.c" /* yacc.c:1646  */
    break;

  case 1903:
#line 12649 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = + (yyvsp[0].ival); }
#line 36232 "gram.c" /* yacc.c:1646  */
    break;

  case 1904:
#line 12650 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = - (yyvsp[0].ival); }
#line 36238 "gram.c" /* yacc.c:1646  */
    break;

  case 1905:
#line 12666 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 36244 "gram.c" /* yacc.c:1646  */
    break;

  case 1906:
#line 12667 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = pstrdup((yyvsp[0].keyword)); }
#line 36250 "gram.c" /* yacc.c:1646  */
    break;

  case 1907:
#line 12668 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = pstrdup((yyvsp[0].keyword)); }
#line 36256 "gram.c" /* yacc.c:1646  */
    break;

  case 1908:
#line 12673 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 36262 "gram.c" /* yacc.c:1646  */
    break;

  case 1909:
#line 12674 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = pstrdup((yyvsp[0].keyword)); }
#line 36268 "gram.c" /* yacc.c:1646  */
    break;

  case 1910:
#line 12675 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = pstrdup((yyvsp[0].keyword)); }
#line 36274 "gram.c" /* yacc.c:1646  */
    break;

  case 1911:
#line 12680 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 36280 "gram.c" /* yacc.c:1646  */
    break;

  case 1912:
#line 12681 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = pstrdup((yyvsp[0].keyword)); }
#line 36286 "gram.c" /* yacc.c:1646  */
    break;

  case 1913:
#line 12682 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = pstrdup((yyvsp[0].keyword)); }
#line 36292 "gram.c" /* yacc.c:1646  */
    break;

  case 1914:
#line 12683 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = pstrdup((yyvsp[0].keyword)); }
#line 36298 "gram.c" /* yacc.c:1646  */
    break;

  case 1915:
#line 12689 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 36304 "gram.c" /* yacc.c:1646  */
    break;

  case 1916:
#line 12690 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = pstrdup((yyvsp[0].keyword)); }
#line 36310 "gram.c" /* yacc.c:1646  */
    break;

  case 1917:
#line 12691 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = pstrdup((yyvsp[0].keyword)); }
#line 36316 "gram.c" /* yacc.c:1646  */
    break;

  case 1918:
#line 12692 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = pstrdup((yyvsp[0].keyword)); }
#line 36322 "gram.c" /* yacc.c:1646  */
    break;

  case 1919:
#line 12693 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = pstrdup((yyvsp[0].keyword)); }
#line 36328 "gram.c" /* yacc.c:1646  */
    break;


#line 36332 "gram.c" /* yacc.c:1646  */
      default: break;
    }
  /* User semantic actions sometimes alter yychar, and that requires
     that yytoken be updated with the new translation.  We take the
     approach of translating immediately before every use of yytoken.
     One alternative is translating here after every semantic action,
     but that translation would be missed if the semantic action invokes
     YYABORT, YYACCEPT, or YYERROR immediately after altering yychar or
     if it invokes YYBACKUP.  In the case of YYABORT or YYACCEPT, an
     incorrect destructor might then be invoked immediately.  In the
     case of YYERROR or YYBACKUP, subsequent parser actions might lead
     to an incorrect destructor call or verbose syntax error message
     before the lookahead is translated.  */
  YY_SYMBOL_PRINT ("-> $$ =", yyr1[yyn], &yyval, &yyloc);

  YYPOPSTACK (yylen);
  yylen = 0;
  YY_STACK_PRINT (yyss, yyssp);

  *++yyvsp = yyval;
  *++yylsp = yyloc;

  /* Now 'shift' the result of the reduction.  Determine what state
     that goes to, based on the state we popped back to and the rule
     number reduced by.  */

  yyn = yyr1[yyn];

  yystate = yypgoto[yyn - YYNTOKENS] + *yyssp;
  if (0 <= yystate && yystate <= YYLAST && yycheck[yystate] == *yyssp)
    yystate = yytable[yystate];
  else
    yystate = yydefgoto[yyn - YYNTOKENS];

  goto yynewstate;


/*--------------------------------------.
| yyerrlab -- here on detecting error.  |
`--------------------------------------*/
yyerrlab:
  /* Make sure we have latest lookahead translation.  See comments at
     user semantic actions for why this is necessary.  */
  yytoken = yychar == YYEMPTY ? YYEMPTY : YYTRANSLATE (yychar);

  /* If not already recovering from an error, report this error.  */
  if (!yyerrstatus)
    {
      ++yynerrs;
#if ! YYERROR_VERBOSE
      yyerror (&yylloc, yyscanner, YY_("syntax error"));
#else
# define YYSYNTAX_ERROR yysyntax_error (&yymsg_alloc, &yymsg, \
                                        yyssp, yytoken)
      {
        char const *yymsgp = YY_("syntax error");
        int yysyntax_error_status;
        yysyntax_error_status = YYSYNTAX_ERROR;
        if (yysyntax_error_status == 0)
          yymsgp = yymsg;
        else if (yysyntax_error_status == 1)
          {
            if (yymsg != yymsgbuf)
              YYSTACK_FREE (yymsg);
            yymsg = (char *) YYSTACK_ALLOC (yymsg_alloc);
            if (!yymsg)
              {
                yymsg = yymsgbuf;
                yymsg_alloc = sizeof yymsgbuf;
                yysyntax_error_status = 2;
              }
            else
              {
                yysyntax_error_status = YYSYNTAX_ERROR;
                yymsgp = yymsg;
              }
          }
        yyerror (&yylloc, yyscanner, yymsgp);
        if (yysyntax_error_status == 2)
          goto yyexhaustedlab;
      }
# undef YYSYNTAX_ERROR
#endif
    }

  yyerror_range[1] = yylloc;

  if (yyerrstatus == 3)
    {
      /* If just tried and failed to reuse lookahead token after an
         error, discard it.  */

      if (yychar <= YYEOF)
        {
          /* Return failure if at end of input.  */
          if (yychar == YYEOF)
            YYABORT;
        }
      else
        {
          yydestruct ("Error: discarding",
                      yytoken, &yylval, &yylloc, yyscanner);
          yychar = YYEMPTY;
        }
    }

  /* Else will try to reuse lookahead token after shifting the error
     token.  */
  goto yyerrlab1;


/*---------------------------------------------------.
| yyerrorlab -- error raised explicitly by YYERROR.  |
`---------------------------------------------------*/
yyerrorlab:

  /* Pacify compilers like GCC when the user code never invokes
     YYERROR and the label yyerrorlab therefore never appears in user
     code.  */
  if (/*CONSTCOND*/ 0)
     goto yyerrorlab;

  yyerror_range[1] = yylsp[1-yylen];
  /* Do not reclaim the symbols of the rule whose action triggered
     this YYERROR.  */
  YYPOPSTACK (yylen);
  yylen = 0;
  YY_STACK_PRINT (yyss, yyssp);
  yystate = *yyssp;
  goto yyerrlab1;


/*-------------------------------------------------------------.
| yyerrlab1 -- common code for both syntax error and YYERROR.  |
`-------------------------------------------------------------*/
yyerrlab1:
  yyerrstatus = 3;      /* Each real token shifted decrements this.  */

  for (;;)
    {
      yyn = yypact[yystate];
      if (!yypact_value_is_default (yyn))
        {
          yyn += YYTERROR;
          if (0 <= yyn && yyn <= YYLAST && yycheck[yyn] == YYTERROR)
            {
              yyn = yytable[yyn];
              if (0 < yyn)
                break;
            }
        }

      /* Pop the current state because it cannot handle the error token.  */
      if (yyssp == yyss)
        YYABORT;

      yyerror_range[1] = *yylsp;
      yydestruct ("Error: popping",
                  yystos[yystate], yyvsp, yylsp, yyscanner);
      YYPOPSTACK (1);
      yystate = *yyssp;
      YY_STACK_PRINT (yyss, yyssp);
    }

  YY_IGNORE_MAYBE_UNINITIALIZED_BEGIN
  *++yyvsp = yylval;
  YY_IGNORE_MAYBE_UNINITIALIZED_END

  yyerror_range[2] = yylloc;
  /* Using YYLLOC is tempting, but would change the location of
     the lookahead.  YYLOC is available though.  */
  YYLLOC_DEFAULT (yyloc, yyerror_range, 2);
  *++yylsp = yyloc;

  /* Shift the error token.  */
  YY_SYMBOL_PRINT ("Shifting", yystos[yyn], yyvsp, yylsp);

  yystate = yyn;
  goto yynewstate;


/*-------------------------------------.
| yyacceptlab -- YYACCEPT comes here.  |
`-------------------------------------*/
yyacceptlab:
  yyresult = 0;
  goto yyreturn;

/*-----------------------------------.
| yyabortlab -- YYABORT comes here.  |
`-----------------------------------*/
yyabortlab:
  yyresult = 1;
  goto yyreturn;

#if !defined yyoverflow || YYERROR_VERBOSE
/*-------------------------------------------------.
| yyexhaustedlab -- memory exhaustion comes here.  |
`-------------------------------------------------*/
yyexhaustedlab:
  yyerror (&yylloc, yyscanner, YY_("memory exhausted"));
  yyresult = 2;
  /* Fall through.  */
#endif

yyreturn:
  if (yychar != YYEMPTY)
    {
      /* Make sure we have latest lookahead translation.  See comments at
         user semantic actions for why this is necessary.  */
      yytoken = YYTRANSLATE (yychar);
      yydestruct ("Cleanup: discarding lookahead",
                  yytoken, &yylval, &yylloc, yyscanner);
    }
  /* Do not reclaim the symbols of the rule whose action triggered
     this YYABORT or YYACCEPT.  */
  YYPOPSTACK (yylen);
  YY_STACK_PRINT (yyss, yyssp);
  while (yyssp != yyss)
    {
      yydestruct ("Cleanup: popping",
                  yystos[*yyssp], yyvsp, yylsp, yyscanner);
      YYPOPSTACK (1);
    }
#ifndef yyoverflow
  if (yyss != yyssa)
    YYSTACK_FREE (yyss);
#endif
#if YYERROR_VERBOSE
  if (yymsg != yymsgbuf)
    YYSTACK_FREE (yymsg);
#endif
  return yyresult;
}
#line 13151 "gram.y" /* yacc.c:1906  */


/*
 * The signature of this function is required by bison.  However, we
 * ignore the passed yylloc and instead use the last token position
 * available from the scanner.
 */
static void
base_yyerror(YYLTYPE *yylloc, core_yyscan_t yyscanner, const char *msg)
{
	parser_yyerror(msg);
}

static Node *
makeColumnRef(char *colname, List *indirection,
			  int location, core_yyscan_t yyscanner)
{
	/*
	 * Generate a ColumnRef node, with an A_Indirection node added if there
	 * is any subscripting in the specified indirection list.  However,
	 * any field selection at the start of the indirection list must be
	 * transposed into the "fields" part of the ColumnRef node.
	 */
	ColumnRef  *c = makeNode(ColumnRef);
	int		nfields = 0;
	ListCell *l;

	c->location = location;
	foreach(l, indirection)
	{
		if (IsA(lfirst(l), A_Indices))
		{
			A_Indirection *i = makeNode(A_Indirection);

			if (nfields == 0)
			{
				/* easy case - all indirection goes to A_Indirection */
				c->fields = list_make1(makeString(colname));
				i->indirection = check_indirection(indirection, yyscanner);
			}
			else
			{
				/* got to split the list in two */
				i->indirection = check_indirection(list_copy_tail(indirection,
																  nfields),
												   yyscanner);
				indirection = list_truncate(indirection, nfields);
				c->fields = lcons(makeString(colname), indirection);
			}
			i->arg = (Node *) c;
			return (Node *) i;
		}
		else if (IsA(lfirst(l), A_Star))
		{
			/* We only allow '*' at the end of a ColumnRef */
			if (lnext(l) != NULL)
				parser_yyerror("improper use of \"*\"");
		}
		nfields++;
	}
	/* No subscripting, so all indirection gets added to field list */
	c->fields = lcons(makeString(colname), indirection);
	return (Node *) c;
}

static Node *
makeTypeCast(Node *arg, TypeName *typename, int location)
{
	TypeCast *n = makeNode(TypeCast);
	n->arg = arg;
	n->typeName = typename;
	n->location = location;
	return (Node *) n;
}

static Node *
makeStringConst(char *str, int location)
{
	A_Const *n = makeNode(A_Const);

	n->val.type = T_String;
	n->val.val.str = str;
	n->location = location;

	return (Node *)n;
}

static Node *
makeStringConstCast(char *str, int location, TypeName *typename)
{
	Node *s = makeStringConst(str, location);

	return makeTypeCast(s, typename, -1);
}

static Node *
makeIntConst(int val, int location)
{
	A_Const *n = makeNode(A_Const);

	n->val.type = T_Integer;
	n->val.val.ival = val;
	n->location = location;

	return (Node *)n;
}

static Node *
makeFloatConst(char *str, int location)
{
	A_Const *n = makeNode(A_Const);

	n->val.type = T_Float;
	n->val.val.str = str;
	n->location = location;

	return (Node *)n;
}

static Node *
makeBitStringConst(char *str, int location)
{
	A_Const *n = makeNode(A_Const);

	n->val.type = T_BitString;
	n->val.val.str = str;
	n->location = location;

	return (Node *)n;
}

static Node *
makeNullAConst(int location)
{
	A_Const *n = makeNode(A_Const);

	n->val.type = T_Null;
	n->location = location;

	return (Node *)n;
}

static Node *
makeAConst(Value *v, int location)
{
	Node *n;

	switch (v->type)
	{
		case T_Float:
			n = makeFloatConst(v->val.str, location);
			break;

		case T_Integer:
			n = makeIntConst(v->val.ival, location);
			break;

		case T_String:
		default:
			n = makeStringConst(v->val.str, location);
			break;
	}

	return n;
}

/* makeBoolAConst()
 * Create an A_Const string node and put it inside a boolean cast.
 */
static Node *
makeBoolAConst(bool state, int location)
{
	A_Const *n = makeNode(A_Const);

	n->val.type = T_String;
	n->val.val.str = (state ? "t" : "f");
	n->location = location;

	return makeTypeCast((Node *)n, SystemTypeName("bool"), -1);
}

/* check_qualified_name --- check the result of qualified_name production
 *
 * It's easiest to let the grammar production for qualified_name allow
 * subscripts and '*', which we then must reject here.
 */
static void
check_qualified_name(List *names, core_yyscan_t yyscanner)
{
	ListCell   *i;

	foreach(i, names)
	{
		if (!IsA(lfirst(i), String))
			parser_yyerror("syntax error");
	}
}

/* check_func_name --- check the result of func_name production
 *
 * It's easiest to let the grammar production for func_name allow subscripts
 * and '*', which we then must reject here.
 */
static List *
check_func_name(List *names, core_yyscan_t yyscanner)
{
	ListCell   *i;

	foreach(i, names)
	{
		if (!IsA(lfirst(i), String))
			parser_yyerror("syntax error");
	}
	return names;
}

/* check_indirection --- check the result of indirection production
 *
 * We only allow '*' at the end of the list, but it's hard to enforce that
 * in the grammar, so do it here.
 */
static List *
check_indirection(List *indirection, core_yyscan_t yyscanner)
{
	ListCell *l;

	foreach(l, indirection)
	{
		if (IsA(lfirst(l), A_Star))
		{
			if (lnext(l) != NULL)
				parser_yyerror("improper use of \"*\"");
		}
	}
	return indirection;
}

/* extractArgTypes()
 * Given a list of FunctionParameter nodes, extract a list of just the
 * argument types (TypeNames) for input parameters only.  This is what
 * is needed to look up an existing function, which is what is wanted by
 * the productions that use this call.
 */
static List *
extractArgTypes(List *parameters)
{
	List	   *result = NIL;
	ListCell   *i;

	foreach(i, parameters)
	{
		FunctionParameter *p = (FunctionParameter *) lfirst(i);

		if (p->mode != FUNC_PARAM_OUT && p->mode != FUNC_PARAM_TABLE)
			result = lappend(result, p->argType);
	}
	return result;
}

/* insertSelectOptions()
 * Insert ORDER BY, etc into an already-constructed SelectStmt.
 *
 * This routine is just to avoid duplicating code in SelectStmt productions.
 */
static void
insertSelectOptions(SelectStmt *stmt,
					List *sortClause, List *lockingClause,
					Node *limitOffset, Node *limitCount,
					WithClause *withClause,
					core_yyscan_t yyscanner)
{
	Assert(IsA(stmt, SelectStmt));

	/*
	 * Tests here are to reject constructs like
	 *	(SELECT foo ORDER BY bar) ORDER BY baz
	 */
	if (sortClause)
	{
		if (stmt->sortClause)
			ereport(ERROR,
					(errcode(ERRCODE_SYNTAX_ERROR),
					 errmsg("multiple ORDER BY clauses not allowed"),
					 parser_errposition(exprLocation((Node *) sortClause))));
		stmt->sortClause = sortClause;
	}
	/* We can handle multiple locking clauses, though */
	stmt->lockingClause = list_concat(stmt->lockingClause, lockingClause);
	if (limitOffset)
	{
		if (stmt->limitOffset)
			ereport(ERROR,
					(errcode(ERRCODE_SYNTAX_ERROR),
					 errmsg("multiple OFFSET clauses not allowed"),
					 parser_errposition(exprLocation(limitOffset))));
		stmt->limitOffset = limitOffset;
	}
	if (limitCount)
	{
		if (stmt->limitCount)
			ereport(ERROR,
					(errcode(ERRCODE_SYNTAX_ERROR),
					 errmsg("multiple LIMIT clauses not allowed"),
					 parser_errposition(exprLocation(limitCount))));
		stmt->limitCount = limitCount;
	}
	if (withClause)
	{
		if (stmt->withClause)
			ereport(ERROR,
					(errcode(ERRCODE_SYNTAX_ERROR),
					 errmsg("multiple WITH clauses not allowed"),
					 parser_errposition(exprLocation((Node *) withClause))));
		stmt->withClause = withClause;
	}
}

static Node *
makeSetOp(SetOperation op, bool all, Node *larg, Node *rarg)
{
	SelectStmt *n = makeNode(SelectStmt);

	n->op = op;
	n->all = all;
	n->larg = (SelectStmt *) larg;
	n->rarg = (SelectStmt *) rarg;
	return (Node *) n;
}

/* SystemFuncName()
 * Build a properly-qualified reference to a built-in function.
 */
List *
SystemFuncName(char *name)
{
	return list_make2(makeString("pg_catalog"), makeString(name));
}

/* SystemTypeName()
 * Build a properly-qualified reference to a built-in type.
 *
 * typmod is defaulted, but may be changed afterwards by caller.
 * Likewise for the location.
 */
TypeName *
SystemTypeName(char *name)
{
	return makeTypeNameFromNameList(list_make2(makeString("pg_catalog"),
											   makeString(name)));
}

/* doNegate()
 * Handle negation of a numeric constant.
 *
 * Formerly, we did this here because the optimizer couldn't cope with
 * indexquals that looked like "var = -4" --- it wants "var = const"
 * and a unary minus operator applied to a constant didn't qualify.
 * As of Postgres 7.0, that problem doesn't exist anymore because there
 * is a constant-subexpression simplifier in the optimizer.  However,
 * there's still a good reason for doing this here, which is that we can
 * postpone committing to a particular internal representation for simple
 * negative constants.	It's better to leave "-123.456" in string form
 * until we know what the desired type is.
 */
static Node *
doNegate(Node *n, int location)
{
	if (IsA(n, A_Const))
	{
		A_Const *con = (A_Const *)n;

		/* report the constant's location as that of the '-' sign */
		con->location = location;

		if (con->val.type == T_Integer)
		{
			con->val.val.ival = -con->val.val.ival;
			return n;
		}
		if (con->val.type == T_Float)
		{
			doNegateFloat(&con->val);
			return n;
		}
	}

	return (Node *) makeSimpleA_Expr(AEXPR_OP, "-", NULL, n, location);
}

static void
doNegateFloat(Value *v)
{
	char   *oldval = v->val.str;

	Assert(IsA(v, Float));
	if (*oldval == '+')
		oldval++;
	if (*oldval == '-')
		v->val.str = oldval+1;	/* just strip the '-' */
	else
	{
		char   *newval = (char *) palloc(strlen(oldval) + 2);

		*newval = '-';
		strcpy(newval+1, oldval);
		v->val.str = newval;
	}
}

static Node *
makeAArrayExpr(List *elements, int location)
{
	A_ArrayExpr *n = makeNode(A_ArrayExpr);

	n->elements = elements;
	n->location = location;
	return (Node *) n;
}

static Node *
makeXmlExpr(XmlExprOp op, char *name, List *named_args, List *args,
			int location)
{
	XmlExpr		*x = makeNode(XmlExpr);

	x->op = op;
	x->name = name;
	/*
	 * named_args is a list of ResTarget; it'll be split apart into separate
	 * expression and name lists in transformXmlExpr().
	 */
	x->named_args = named_args;
	x->arg_names = NIL;
	x->args = args;
	/* xmloption, if relevant, must be filled in by caller */
	/* type and typmod will be filled in during parse analysis */
	x->type = InvalidOid;			/* marks the node as not analyzed */
	x->location = location;
	return (Node *) x;
}

/*
 * Merge the input and output parameters of a table function.
 */
static List *
mergeTableFuncParameters(List *func_args, List *columns)
{
	ListCell   *lc;

	/* Explicit OUT and INOUT parameters shouldn't be used in this syntax */
	foreach(lc, func_args)
	{
		FunctionParameter *p = (FunctionParameter *) lfirst(lc);

		if (p->mode != FUNC_PARAM_IN && p->mode != FUNC_PARAM_VARIADIC)
			ereport(ERROR,
					(errcode(ERRCODE_SYNTAX_ERROR),
					 errmsg("OUT and INOUT arguments aren't allowed in TABLE functions")));
	}

	return list_concat(func_args, columns);
}

/*
 * Determine return type of a TABLE function.  A single result column
 * returns setof that column's type; otherwise return setof record.
 */
static TypeName *
TableFuncTypeName(List *columns)
{
	TypeName *result;

	if (list_length(columns) == 1)
	{
		FunctionParameter *p = (FunctionParameter *) linitial(columns);

		result = (TypeName *) copyObject(p->argType);
	}
	else
		result = SystemTypeName("record");

	result->setof = true;

	return result;
}

/*
 * Convert a list of (dotted) names to a RangeVar (like
 * makeRangeVarFromNameList, but with position support).  The
 * "AnyName" refers to the any_name production in the grammar.
 */
static RangeVar *
makeRangeVarFromAnyName(List *names, int position, core_yyscan_t yyscanner)
{
	RangeVar *r = makeNode(RangeVar);

	switch (list_length(names))
	{
		case 1:
			r->catalogname = NULL;
			r->schemaname = NULL;
			r->relname = strVal(linitial(names));
			break;
		case 2:
			r->catalogname = NULL;
			r->schemaname = strVal(linitial(names));
			r->relname = strVal(lsecond(names));
			break;
		case 3:
			r->catalogname = strVal(linitial(names));
			r->schemaname = strVal(lsecond(names));
			r->relname = strVal(lthird(names));
			break;
		default:
			ereport(ERROR,
					(errcode(ERRCODE_SYNTAX_ERROR),
					 errmsg("improper qualified name (too many dotted names): %s",
							NameListToString(names)),
					 parser_errposition(position)));
			break;
	}

	r->relpersistence = RELPERSISTENCE_PERMANENT;
	r->location = position;

	return r;
}

/* Separate Constraint nodes from COLLATE clauses in a ColQualList */
static void
SplitColQualList(List *qualList,
				 List **constraintList, CollateClause **collClause,
				 core_yyscan_t yyscanner)
{
	ListCell   *cell;
	ListCell   *prev;
	ListCell   *next;

	*collClause = NULL;
	prev = NULL;
	for (cell = list_head(qualList); cell; cell = next)
	{
		Node   *n = (Node *) lfirst(cell);

		next = lnext(cell);
		if (IsA(n, Constraint))
		{
			/* keep it in list */
			prev = cell;
			continue;
		}
		if (IsA(n, CollateClause))
		{
			CollateClause *c = (CollateClause *) n;

			if (*collClause)
				ereport(ERROR,
						(errcode(ERRCODE_SYNTAX_ERROR),
						 errmsg("multiple COLLATE clauses not allowed"),
						 parser_errposition(c->location)));
			*collClause = c;
		}
		else
			elog(ERROR, "unexpected node type %d", (int) n->type);
		/* remove non-Constraint nodes from qualList */
		qualList = list_delete_cell(qualList, cell, prev);
	}
	*constraintList = qualList;
}

/*
 * Process result of ConstraintAttributeSpec, and set appropriate bool flags
 * in the output command node.  Pass NULL for any flags the particular
 * command doesn't support.
 */
static void
processCASbits(int cas_bits, int location, const char *constrType,
			   bool *deferrable, bool *initdeferred, bool *not_valid,
			   bool *no_inherit, core_yyscan_t yyscanner)
{
	/* defaults */
	if (deferrable)
		*deferrable = false;
	if (initdeferred)
		*initdeferred = false;
	if (not_valid)
		*not_valid = false;

	if (cas_bits & (CAS_DEFERRABLE | CAS_INITIALLY_DEFERRED))
	{
		if (deferrable)
			*deferrable = true;
		else
			ereport(ERROR,
					(errcode(ERRCODE_FEATURE_NOT_SUPPORTED),
					 /* translator: %s is CHECK, UNIQUE, or similar */
					 errmsg("%s constraints cannot be marked DEFERRABLE",
							constrType),
					 parser_errposition(location)));
	}

	if (cas_bits & CAS_INITIALLY_DEFERRED)
	{
		if (initdeferred)
			*initdeferred = true;
		else
			ereport(ERROR,
					(errcode(ERRCODE_FEATURE_NOT_SUPPORTED),
					 /* translator: %s is CHECK, UNIQUE, or similar */
					 errmsg("%s constraints cannot be marked DEFERRABLE",
							constrType),
					 parser_errposition(location)));
	}

	if (cas_bits & CAS_NOT_VALID)
	{
		if (not_valid)
			*not_valid = true;
		else
			ereport(ERROR,
					(errcode(ERRCODE_FEATURE_NOT_SUPPORTED),
					 /* translator: %s is CHECK, UNIQUE, or similar */
					 errmsg("%s constraints cannot be marked NOT VALID",
							constrType),
					 parser_errposition(location)));
	}

	if (cas_bits & CAS_NO_INHERIT)
	{
		if (no_inherit)
			*no_inherit = true;
		else
			ereport(ERROR,
					(errcode(ERRCODE_FEATURE_NOT_SUPPORTED),
					 /* translator: %s is CHECK, UNIQUE, or similar */
					 errmsg("%s constraints cannot be marked NO INHERIT",
							constrType),
					 parser_errposition(location)));
	}
}

/*----------
 * Recursive view transformation
 *
 * Convert
 *
 *     CREATE RECURSIVE VIEW relname (aliases) AS query
 *
 * to
 *
 *     CREATE VIEW relname (aliases) AS
 *         WITH RECURSIVE relname (aliases) AS (query)
 *         SELECT aliases FROM relname
 *
 * Actually, just the WITH ... part, which is then inserted into the original
 * view definition as the query.
 * ----------
 */
static Node *
makeRecursiveViewSelect(char *relname, List *aliases, Node *query)
{
	SelectStmt *s = makeNode(SelectStmt);
	WithClause *w = makeNode(WithClause);
	CommonTableExpr *cte = makeNode(CommonTableExpr);
	List	   *tl = NIL;
	ListCell   *lc;

	/* create common table expression */
	cte->ctename = relname;
	cte->aliascolnames = aliases;
	cte->ctequery = query;
	cte->location = -1;

	/* create WITH clause and attach CTE */
	w->recursive = true;
	w->ctes = list_make1(cte);
	w->location = -1;

	/* create target list for the new SELECT from the alias list of the
	 * recursive view specification */
	foreach (lc, aliases)
	{
		ResTarget *rt = makeNode(ResTarget);

		rt->name = NULL;
		rt->indirection = NIL;
		rt->val = makeColumnRef(strVal(lfirst(lc)), NIL, -1, 0);
		rt->location = -1;

		tl = lappend(tl, rt);
	}

	/* create new SELECT combining WITH clause, target list, and fake FROM
	 * clause */
	s->withClause = w;
	s->targetList = tl;
	s->fromClause = list_make1(makeRangeVar(NULL, relname, -1));

	return (Node *) s;
}

/* parser_init()
 * Initialize to parse one query string
 */
void
parser_init(base_yy_extra_type *yyext)
{
	yyext->parsetree = NIL;		/* in case grammar forgets to set it */
}
