/* A Bison parser, made by GNU Bison 3.0.2.  */

/* Bison implementation for Yacc-like parsers in C

   Copyright (C) 1984, 1989-1990, 2000-2013 Free Software Foundation, Inc.

   This program is free software: you can redistribute it and/or modify
   it under the terms of the GNU General Public License as published by
   the Free Software Foundation, either version 3 of the License, or
   (at your option) any later version.

   This program is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
   GNU General Public License for more details.

   You should have received a copy of the GNU General Public License
   along with this program.  If not, see <http://www.gnu.org/licenses/>.  */

/* As a special exception, you may create a larger work that contains
   part or all of the Bison parser skeleton and distribute that work
   under terms of your choice, so long as that work isn't itself a
   parser generator using the skeleton or a modified version thereof
   as a parser skeleton.  Alternatively, if you modify or redistribute
   the parser skeleton itself, you may (at your option) remove this
   special exception, which will cause the skeleton and the resulting
   Bison output files to be licensed under the GNU General Public
   License without this special exception.

   This special exception was added by the Free Software Foundation in
   version 2.2 of Bison.  */

/* C LALR(1) parser skeleton written by Richard Stallman, by
   simplifying the original so-called "semantic" parser.  */

/* All symbols defined below should begin with yy or YY, to avoid
   infringing on user name space.  This should be done even for local
   variables, as they might otherwise be expanded by user macros.
   There are some unavoidable exceptions within include files to
   define necessary library symbols; they are noted "INFRINGES ON
   USER NAME SPACE" below.  */

/* Identify Bison output.  */
#define YYBISON 1

/* Bison version.  */
#define YYBISON_VERSION "3.0.2"

/* Skeleton name.  */
#define YYSKELETON_NAME "yacc.c"

/* Pure parsers.  */
#define YYPURE 0

/* Push parsers.  */
#define YYPUSH 0

/* Pull parsers.  */
#define YYPULL 1


/* Substitute the variable and function names.  */
#define yyparse         base_yyparse
#define yylex           base_yylex
#define yyerror         base_yyerror
#define yydebug         base_yydebug
#define yynerrs         base_yynerrs

#define yylval          base_yylval
#define yychar          base_yychar
#define yylloc          base_yylloc

/* Copy the first part of user declarations.  */
#line 5 "preproc.y" /* yacc.c:339  */

#include "postgres_fe.h"

#include "extern.h"
#include "ecpg_config.h"
#include <unistd.h>

/* Location tracking support --- simpler than bison's default */
#define YYLLOC_DEFAULT(Current, Rhs, N) \
	do { \
		if (N)						\
			(Current) = (Rhs)[1];	\
		else						\
			(Current) = (Rhs)[0];	\
	} while (0)

/*
 * The %name-prefix option below will make bison call base_yylex, but we
 * really want it to call filtered_base_yylex (see parser.c).
 */
#define base_yylex filtered_base_yylex

/*
 * This is only here so the string gets into the POT.  Bison uses it
 * internally.
 */
#define bison_gettext_dummy gettext_noop("syntax error")

/*
 * Variables containing simple states.
 */
int struct_level = 0;
int braces_open; /* brace level counter */
char *current_function;
int ecpg_internal_var = 0;
char	*connection = NULL;
char	*input_filename = NULL;

static int	FoundInto = 0;
static int	initializer = 0;
static int	pacounter = 1;
static char	pacounter_buffer[sizeof(int) * CHAR_BIT * 10 / 3]; /* a rough guess at the size we need */
static struct this_type actual_type[STRUCT_DEPTH];
static char *actual_startline[STRUCT_DEPTH];
static int	varchar_counter = 1;

/* temporarily store struct members while creating the data structure */
struct ECPGstruct_member *struct_member_list[STRUCT_DEPTH] = { NULL };

/* also store struct type so we can do a sizeof() later */
static char *ECPGstruct_sizeof = NULL;

/* for forward declarations we have to store some data as well */
static char *forward_name = NULL;

struct ECPGtype ecpg_no_indicator = {ECPGt_NO_INDICATOR, NULL, NULL, NULL, {NULL}, 0};
struct variable no_indicator = {"no_indicator", &ecpg_no_indicator, 0, NULL};

struct ECPGtype ecpg_query = {ECPGt_char_variable, NULL, NULL, NULL, {NULL}, 0};

/*
 * Handle parsing errors and warnings
 */
void
mmerror(int error_code, enum errortype type, const char *error, ...)
{
	va_list ap;

	/* internationalize the error message string */
	error = _(error);

	fprintf(stderr, "%s:%d: ", input_filename, base_yylineno);

	switch(type)
	{
		case ET_WARNING:
			fprintf(stderr, _("WARNING: "));
			break;
		case ET_ERROR:
		case ET_FATAL:
			fprintf(stderr, _("ERROR: "));
			break;
	}

	va_start(ap, error);
	vfprintf(stderr, error, ap);
	va_end(ap);

	fprintf(stderr, "\n");

	switch(type)
	{
		case ET_WARNING:
			break;
		case ET_ERROR:
			ret_value = error_code;
			break;
		case ET_FATAL:
			if (base_yyin)
				fclose(base_yyin);
			if (base_yyout)
				fclose(base_yyout);

			if (strcmp(output_filename, "-") != 0 && unlink(output_filename) != 0)
				fprintf(stderr, _("could not remove output file \"%s\"\n"), output_filename);
			exit(error_code);
	}
}

/*
 * string concatenation
 */

static char *
cat2_str(char *str1, char *str2)
{
	char * res_str	= (char *)mm_alloc(strlen(str1) + strlen(str2) + 2);

	strcpy(res_str, str1);
	if (strlen(str1) != 0 && strlen(str2) != 0)
		strcat(res_str, " ");
	strcat(res_str, str2);
	free(str1);
	free(str2);
	return(res_str);
}

static char *
cat_str(int count, ...)
{
	va_list		args;
	int			i;
	char		*res_str;

	va_start(args, count);

	res_str = va_arg(args, char *);

	/* now add all other strings */
	for (i = 1; i < count; i++)
		res_str = cat2_str(res_str, va_arg(args, char *));

	va_end(args);

	return(res_str);
}

static char *
make2_str(char *str1, char *str2)
{
	char * res_str	= (char *)mm_alloc(strlen(str1) + strlen(str2) + 1);

	strcpy(res_str, str1);
	strcat(res_str, str2);
	free(str1);
	free(str2);
	return(res_str);
}

static char *
make3_str(char *str1, char *str2, char *str3)
{
	char * res_str	= (char *)mm_alloc(strlen(str1) + strlen(str2) +strlen(str3) + 1);

	strcpy(res_str, str1);
	strcat(res_str, str2);
	strcat(res_str, str3);
	free(str1);
	free(str2);
	free(str3);
	return(res_str);
}

/* and the rest */
static char *
make_name(void)
{
	return mm_strdup(base_yytext);
}

static char *
create_questionmarks(char *name, bool array)
{
	struct variable *p = find_variable(name);
	int count;
	char *result = EMPTY;

	/* In case we have a struct, we have to print as many "?" as there are attributes in the struct
	 * An array is only allowed together with an element argument
	 * This is essentially only used for inserts, but using a struct as input parameter is an error anywhere else
	 * so we don't have to worry here. */

	if (p->type->type == ECPGt_struct || (array && p->type->type == ECPGt_array && p->type->u.element->type == ECPGt_struct))
	{
		struct ECPGstruct_member *m;

		if (p->type->type == ECPGt_struct)
			m = p->type->u.members;
		else
			m = p->type->u.element->u.members;

		for (count = 0; m != NULL; m=m->next, count++);
	}
	else
		count = 1;

	for (; count > 0; count --)
	{
		sprintf(pacounter_buffer, "$%d", pacounter++);
		result = cat_str(3, result, mm_strdup(pacounter_buffer), mm_strdup(" , "));
	}

	/* removed the trailing " ," */

	result[strlen(result)-3] = '\0';
	return(result);
}

static char *
adjust_outofscope_cursor_vars(struct cursor *cur)
{
	/* Informix accepts DECLARE with variables that are out of scope when OPEN is called.
	 * For instance you can DECLARE a cursor in one function, and OPEN/FETCH/CLOSE
	 * it in another functions. This is very useful for e.g. event-driver programming,
	 * but may also lead to dangerous programming. The limitation when this is allowed
	 * and doesn't cause problems have to be documented, like the allocated variables
	 * must not be realloc()'ed.
	 *
	 * We have to change the variables to our own struct and just store the pointer
	 * instead of the variable. Do it only for local variables, not for globals.
	 */

	char *result = EMPTY;
	int insert;

	for (insert = 1; insert >= 0; insert--)
	{
		struct arguments *list;
		struct arguments *ptr;
		struct arguments *newlist = NULL;
		struct variable *newvar, *newind;

		list = (insert ? cur->argsinsert : cur->argsresult);

		for (ptr = list; ptr != NULL; ptr = ptr->next)
		{
			char var_text[20];
			char *original_var;
			bool skip_set_var = false;
			bool var_ptr = false;

			/* change variable name to "ECPGget_var(<counter>)" */
			original_var = ptr->variable->name;
			sprintf(var_text, "%d))", ecpg_internal_var);

			/* Don't emit ECPGset_var() calls for global variables */
			if (ptr->variable->brace_level == 0)
			{
				newvar = ptr->variable;
				skip_set_var = true;
			}
			else if ((ptr->variable->type->type == ECPGt_char_variable)
					 && (strncmp(ptr->variable->name, "ECPGprepared_statement", strlen("ECPGprepared_statement")) == 0))
			{
				newvar = ptr->variable;
				skip_set_var = true;
			}
			else if ((ptr->variable->type->type != ECPGt_varchar
					  && ptr->variable->type->type != ECPGt_char
					  && ptr->variable->type->type != ECPGt_unsigned_char
					  && ptr->variable->type->type != ECPGt_string)
					 && atoi(ptr->variable->type->size) > 1)
			{
				newvar = new_variable(cat_str(4, mm_strdup("("),
											  mm_strdup(ecpg_type_name(ptr->variable->type->u.element->type)),
											  mm_strdup(" *)(ECPGget_var("),
											  mm_strdup(var_text)),
									  ECPGmake_array_type(ECPGmake_simple_type(ptr->variable->type->u.element->type,
																			   mm_strdup("1"),
																			   ptr->variable->type->u.element->counter),
														  ptr->variable->type->size),
									  0);
			}
			else if ((ptr->variable->type->type == ECPGt_varchar
					  || ptr->variable->type->type == ECPGt_char
					  || ptr->variable->type->type == ECPGt_unsigned_char
					  || ptr->variable->type->type == ECPGt_string)
					 && atoi(ptr->variable->type->size) > 1)
			{
				newvar = new_variable(cat_str(4, mm_strdup("("),
											  mm_strdup(ecpg_type_name(ptr->variable->type->type)),
											  mm_strdup(" *)(ECPGget_var("),
											  mm_strdup(var_text)),
									  ECPGmake_simple_type(ptr->variable->type->type,
														   ptr->variable->type->size,
														   ptr->variable->type->counter),
									  0);
				if (ptr->variable->type->type == ECPGt_varchar)
					var_ptr = true;
			}
			else if (ptr->variable->type->type == ECPGt_struct
					 || ptr->variable->type->type == ECPGt_union)
			{
				newvar = new_variable(cat_str(5, mm_strdup("(*("),
											  mm_strdup(ptr->variable->type->type_name),
											  mm_strdup(" *)(ECPGget_var("),
											  mm_strdup(var_text),
											  mm_strdup(")")),
									  ECPGmake_struct_type(ptr->variable->type->u.members,
														   ptr->variable->type->type,
														   ptr->variable->type->type_name,
														   ptr->variable->type->struct_sizeof),
									  0);
				var_ptr = true;
			}
			else if (ptr->variable->type->type == ECPGt_array)
			{
				if (ptr->variable->type->u.element->type == ECPGt_struct
					|| ptr->variable->type->u.element->type == ECPGt_union)
				{
					newvar = new_variable(cat_str(5, mm_strdup("(*("),
											  mm_strdup(ptr->variable->type->u.element->type_name),
											  mm_strdup(" *)(ECPGget_var("),
											  mm_strdup(var_text),
											  mm_strdup(")")),
										  ECPGmake_struct_type(ptr->variable->type->u.element->u.members,
															   ptr->variable->type->u.element->type,
															   ptr->variable->type->u.element->type_name,
															   ptr->variable->type->u.element->struct_sizeof),
										  0);
				}
				else
				{
					newvar = new_variable(cat_str(4, mm_strdup("("),
												  mm_strdup(ecpg_type_name(ptr->variable->type->u.element->type)),
												  mm_strdup(" *)(ECPGget_var("),
												  mm_strdup(var_text)),
										  ECPGmake_array_type(ECPGmake_simple_type(ptr->variable->type->u.element->type,
																				   ptr->variable->type->u.element->size,
																				   ptr->variable->type->u.element->counter),
															  ptr->variable->type->size),
										  0);
					var_ptr = true;
				}
			}
			else
			{
				newvar = new_variable(cat_str(4, mm_strdup("*("),
											  mm_strdup(ecpg_type_name(ptr->variable->type->type)),
											  mm_strdup(" *)(ECPGget_var("),
											  mm_strdup(var_text)),
									  ECPGmake_simple_type(ptr->variable->type->type,
														   ptr->variable->type->size,
														   ptr->variable->type->counter),
									  0);
				var_ptr = true;
			}

			/* create call to "ECPGset_var(<counter>, <connection>, <pointer>. <line number>)" */
			if (!skip_set_var)
			{
				sprintf(var_text, "%d, %s", ecpg_internal_var++, var_ptr ? "&(" : "(");
				result = cat_str(5, result, mm_strdup("ECPGset_var("),
								 mm_strdup(var_text), mm_strdup(original_var),
								 mm_strdup("), __LINE__);\n"));
			}

			/* now the indicator if there is one and it's not a global variable */
			if ((ptr->indicator->type->type == ECPGt_NO_INDICATOR) || (ptr->indicator->brace_level == 0))
			{
				newind = ptr->indicator;
			}
			else
			{
				/* change variable name to "ECPGget_var(<counter>)" */
				original_var = ptr->indicator->name;
				sprintf(var_text, "%d))", ecpg_internal_var);
				var_ptr = false;

				if (ptr->indicator->type->type == ECPGt_struct
					|| ptr->indicator->type->type == ECPGt_union)
				{
					newind = new_variable(cat_str(5, mm_strdup("(*("),
											  mm_strdup(ptr->indicator->type->type_name),
											  mm_strdup(" *)(ECPGget_var("),
											  mm_strdup(var_text),
											  mm_strdup(")")),
										  ECPGmake_struct_type(ptr->indicator->type->u.members,
															   ptr->indicator->type->type,
															   ptr->indicator->type->type_name,
															   ptr->indicator->type->struct_sizeof),
										  0);
					var_ptr = true;
				}
				else if (ptr->indicator->type->type == ECPGt_array)
				{
					if (ptr->indicator->type->u.element->type == ECPGt_struct
						|| ptr->indicator->type->u.element->type == ECPGt_union)
					{
						newind = new_variable(cat_str(5, mm_strdup("(*("),
											  mm_strdup(ptr->indicator->type->u.element->type_name),
											  mm_strdup(" *)(ECPGget_var("),
											  mm_strdup(var_text),
											  mm_strdup(")")),
											  ECPGmake_struct_type(ptr->indicator->type->u.element->u.members,
																   ptr->indicator->type->u.element->type,
																   ptr->indicator->type->u.element->type_name,
																   ptr->indicator->type->u.element->struct_sizeof),
											  0);
					}
					else
					{
						newind = new_variable(cat_str(4, mm_strdup("("),
													  mm_strdup(ecpg_type_name(ptr->indicator->type->u.element->type)),
													  mm_strdup(" *)(ECPGget_var("), mm_strdup(var_text)),
											  ECPGmake_array_type(ECPGmake_simple_type(ptr->indicator->type->u.element->type,
																					   ptr->indicator->type->u.element->size,
																					   ptr->indicator->type->u.element->counter),
																  ptr->indicator->type->size),
											  0);
						var_ptr = true;
					}
				}
				else if (atoi(ptr->indicator->type->size) > 1)
				{
					newind = new_variable(cat_str(4, mm_strdup("("),
												  mm_strdup(ecpg_type_name(ptr->indicator->type->type)),
												  mm_strdup(" *)(ECPGget_var("),
												  mm_strdup(var_text)),
										  ECPGmake_simple_type(ptr->indicator->type->type,
															   ptr->indicator->type->size,
															   ptr->variable->type->counter),
										  0);
				}
				else
				{
					newind = new_variable(cat_str(4, mm_strdup("*("),
												  mm_strdup(ecpg_type_name(ptr->indicator->type->type)),
												  mm_strdup(" *)(ECPGget_var("),
												  mm_strdup(var_text)),
										  ECPGmake_simple_type(ptr->indicator->type->type,
															   ptr->indicator->type->size,
															   ptr->variable->type->counter),
										  0);
					var_ptr = true;
				}

				/* create call to "ECPGset_var(<counter>, <pointer>. <line number>)" */
				sprintf(var_text, "%d, %s", ecpg_internal_var++, var_ptr ? "&(" : "(");
				result = cat_str(5, result, mm_strdup("ECPGset_var("),
								 mm_strdup(var_text), mm_strdup(original_var),
								 mm_strdup("), __LINE__);\n"));
			}

			add_variable_to_tail(&newlist, newvar, newind);
		}

		if (insert)
			cur->argsinsert_oos = newlist;
		else
			cur->argsresult_oos = newlist;
	}

	return result;
}

/* This tests whether the cursor was declared and opened in the same function. */
#define SAMEFUNC(cur)	\
	((cur->function == NULL) ||		\
	 (cur->function != NULL && strcmp(cur->function, current_function) == 0))

static struct cursor *
add_additional_variables(char *name, bool insert)
{
	struct cursor *ptr;
	struct arguments *p;
	int (* strcmp_fn)(const char *, const char *) = ((name[0] == ':' || name[0] == '"') ? strcmp : pg_strcasecmp);

	for (ptr = cur; ptr != NULL; ptr=ptr->next)
	{
		if (strcmp_fn(ptr->name, name) == 0)
			break;
	}

	if (ptr == NULL)
	{
		mmerror(PARSE_ERROR, ET_ERROR, "cursor \"%s\" does not exist", name);
		return NULL;
	}

	if (insert)
	{
		/* add all those input variables that were given earlier
		 * note that we have to append here but have to keep the existing order */
		for (p = (SAMEFUNC(ptr) ? ptr->argsinsert : ptr->argsinsert_oos); p; p = p->next)
			add_variable_to_tail(&argsinsert, p->variable, p->indicator);
	}

	/* add all those output variables that were given earlier */
	for (p = (SAMEFUNC(ptr) ? ptr->argsresult : ptr->argsresult_oos); p; p = p->next)
		add_variable_to_tail(&argsresult, p->variable, p->indicator);

	return ptr;
}

static void
add_typedef(char *name, char *dimension, char *length, enum ECPGttype type_enum,
			char *type_dimension, char *type_index, int initializer, int array)
{
	/* add entry to list */
	struct typedefs *ptr, *this;

	if ((type_enum == ECPGt_struct ||
		 type_enum == ECPGt_union) &&
		initializer == 1)
		mmerror(PARSE_ERROR, ET_ERROR, "initializer not allowed in type definition");
	else if (INFORMIX_MODE && strcmp(name, "string") == 0)
		mmerror(PARSE_ERROR, ET_ERROR, "type name \"string\" is reserved in Informix mode");
	else
	{
		for (ptr = types; ptr != NULL; ptr = ptr->next)
		{
			if (strcmp(name, ptr->name) == 0)
				/* re-definition is a bug */
				mmerror(PARSE_ERROR, ET_ERROR, "type \"%s\" is already defined", name);
		}
		adjust_array(type_enum, &dimension, &length, type_dimension, type_index, array, true);

		this = (struct typedefs *) mm_alloc(sizeof(struct typedefs));

		/* initial definition */
		this->next = types;
		this->name = name;
		this->brace_level = braces_open;
		this->type = (struct this_type *) mm_alloc(sizeof(struct this_type));
		this->type->type_enum = type_enum;
		this->type->type_str = mm_strdup(name);
		this->type->type_dimension = dimension; /* dimension of array */
		this->type->type_index = length;	/* length of string */
		this->type->type_sizeof = ECPGstruct_sizeof;
		this->struct_member_list = (type_enum == ECPGt_struct || type_enum == ECPGt_union) ?
		ECPGstruct_member_dup(struct_member_list[struct_level]) : NULL;

		if (type_enum != ECPGt_varchar &&
			type_enum != ECPGt_char &&
			type_enum != ECPGt_unsigned_char &&
			type_enum != ECPGt_string &&
			atoi(this->type->type_index) >= 0)
			mmerror(PARSE_ERROR, ET_ERROR, "multidimensional arrays for simple data types are not supported");

		types = this;
	}
}

#line 630 "preproc.c" /* yacc.c:339  */

# ifndef YY_NULLPTR
#  if defined __cplusplus && 201103L <= __cplusplus
#   define YY_NULLPTR nullptr
#  else
#   define YY_NULLPTR 0
#  endif
# endif

/* Enabling verbose error messages.  */
#ifdef YYERROR_VERBOSE
# undef YYERROR_VERBOSE
# define YYERROR_VERBOSE 1
#else
# define YYERROR_VERBOSE 0
#endif

/* In a future release of Bison, this section will be replaced
   by #include "preproc.h".  */
#ifndef YY_BASE_YY_PREPROC_H_INCLUDED
# define YY_BASE_YY_PREPROC_H_INCLUDED
/* Debug traces.  */
#ifndef YYDEBUG
# define YYDEBUG 0
#endif
#if YYDEBUG
extern int base_yydebug;
#endif

/* Token type.  */
#ifndef YYTOKENTYPE
# define YYTOKENTYPE
  enum yytokentype
  {
    SQL_ALLOCATE = 258,
    SQL_AUTOCOMMIT = 259,
    SQL_BOOL = 260,
    SQL_BREAK = 261,
    SQL_CALL = 262,
    SQL_CARDINALITY = 263,
    SQL_CONNECT = 264,
    SQL_COUNT = 265,
    SQL_DATETIME_INTERVAL_CODE = 266,
    SQL_DATETIME_INTERVAL_PRECISION = 267,
    SQL_DESCRIBE = 268,
    SQL_DESCRIPTOR = 269,
    SQL_DISCONNECT = 270,
    SQL_FOUND = 271,
    SQL_FREE = 272,
    SQL_GET = 273,
    SQL_GO = 274,
    SQL_GOTO = 275,
    SQL_IDENTIFIED = 276,
    SQL_INDICATOR = 277,
    SQL_KEY_MEMBER = 278,
    SQL_LENGTH = 279,
    SQL_LONG = 280,
    SQL_NULLABLE = 281,
    SQL_OCTET_LENGTH = 282,
    SQL_OPEN = 283,
    SQL_OUTPUT = 284,
    SQL_REFERENCE = 285,
    SQL_RETURNED_LENGTH = 286,
    SQL_RETURNED_OCTET_LENGTH = 287,
    SQL_SCALE = 288,
    SQL_SECTION = 289,
    SQL_SHORT = 290,
    SQL_SIGNED = 291,
    SQL_SQL = 292,
    SQL_SQLERROR = 293,
    SQL_SQLPRINT = 294,
    SQL_SQLWARNING = 295,
    SQL_START = 296,
    SQL_STOP = 297,
    SQL_STRUCT = 298,
    SQL_UNSIGNED = 299,
    SQL_VAR = 300,
    SQL_WHENEVER = 301,
    S_ADD = 302,
    S_AND = 303,
    S_ANYTHING = 304,
    S_AUTO = 305,
    S_CONST = 306,
    S_DEC = 307,
    S_DIV = 308,
    S_DOTPOINT = 309,
    S_EQUAL = 310,
    S_EXTERN = 311,
    S_INC = 312,
    S_LSHIFT = 313,
    S_MEMPOINT = 314,
    S_MEMBER = 315,
    S_MOD = 316,
    S_MUL = 317,
    S_NEQUAL = 318,
    S_OR = 319,
    S_REGISTER = 320,
    S_RSHIFT = 321,
    S_STATIC = 322,
    S_SUB = 323,
    S_VOLATILE = 324,
    S_TYPEDEF = 325,
    CSTRING = 326,
    CVARIABLE = 327,
    CPP_LINE = 328,
    IP = 329,
    DOLCONST = 330,
    ECONST = 331,
    NCONST = 332,
    UCONST = 333,
    UIDENT = 334,
    IDENT = 335,
    FCONST = 336,
    SCONST = 337,
    BCONST = 338,
    XCONST = 339,
    Op = 340,
    ICONST = 341,
    PARAM = 342,
    TYPECAST = 343,
    DOT_DOT = 344,
    COLON_EQUALS = 345,
    ABORT_P = 346,
    ABSOLUTE_P = 347,
    ACCESS = 348,
    ACTION = 349,
    ADD_P = 350,
    ADMIN = 351,
    AFTER = 352,
    AGGREGATE = 353,
    ALL = 354,
    ALSO = 355,
    ALTER = 356,
    ALWAYS = 357,
    ANALYSE = 358,
    ANALYZE = 359,
    AND = 360,
    ANY = 361,
    ARRAY = 362,
    AS = 363,
    ASC = 364,
    ASSERTION = 365,
    ASSIGNMENT = 366,
    ASYMMETRIC = 367,
    AT = 368,
    ATTRIBUTE = 369,
    AUTHORIZATION = 370,
    BACKWARD = 371,
    BEFORE = 372,
    BEGIN_P = 373,
    BETWEEN = 374,
    BIGINT = 375,
    BINARY = 376,
    BIT = 377,
    BOOLEAN_P = 378,
    BOTH = 379,
    BY = 380,
    CACHE = 381,
    CALLED = 382,
    CASCADE = 383,
    CASCADED = 384,
    CASE = 385,
    CAST = 386,
    CATALOG_P = 387,
    CHAIN = 388,
    CHAR_P = 389,
    CHARACTER = 390,
    CHARACTERISTICS = 391,
    CHECK = 392,
    CHECKPOINT = 393,
    CLASS = 394,
    CLOSE = 395,
    CLUSTER = 396,
    COALESCE = 397,
    COLLATE = 398,
    COLLATION = 399,
    COLUMN = 400,
    COMMENT = 401,
    COMMENTS = 402,
    COMMIT = 403,
    COMMITTED = 404,
    CONCURRENTLY = 405,
    CONFIGURATION = 406,
    CONNECTION = 407,
    CONSTRAINT = 408,
    CONSTRAINTS = 409,
    CONTENT_P = 410,
    CONTINUE_P = 411,
    CONVERSION_P = 412,
    COPY = 413,
    COST = 414,
    CREATE = 415,
    CROSS = 416,
    CSV = 417,
    CURRENT_P = 418,
    CURRENT_CATALOG = 419,
    CURRENT_DATE = 420,
    CURRENT_ROLE = 421,
    CURRENT_SCHEMA = 422,
    CURRENT_TIME = 423,
    CURRENT_TIMESTAMP = 424,
    CURRENT_USER = 425,
    CURSOR = 426,
    CYCLE = 427,
    DATA_P = 428,
    DATABASE = 429,
    DAY_P = 430,
    DEALLOCATE = 431,
    DEC = 432,
    DECIMAL_P = 433,
    DECLARE = 434,
    DEFAULT = 435,
    DEFAULTS = 436,
    DEFERRABLE = 437,
    DEFERRED = 438,
    DEFINER = 439,
    DELETE_P = 440,
    DELIMITER = 441,
    DELIMITERS = 442,
    DESC = 443,
    DICTIONARY = 444,
    DISABLE_P = 445,
    DISCARD = 446,
    DISTINCT = 447,
    DO = 448,
    DOCUMENT_P = 449,
    DOMAIN_P = 450,
    DOUBLE_P = 451,
    DROP = 452,
    EACH = 453,
    ELSE = 454,
    ENABLE_P = 455,
    ENCODING = 456,
    ENCRYPTED = 457,
    END_P = 458,
    ENUM_P = 459,
    ESCAPE = 460,
    EVENT = 461,
    EXCEPT = 462,
    EXCLUDE = 463,
    EXCLUDING = 464,
    EXCLUSIVE = 465,
    EXECUTE = 466,
    EXISTS = 467,
    EXPLAIN = 468,
    EXTENSION = 469,
    EXTERNAL = 470,
    EXTRACT = 471,
    FALSE_P = 472,
    FAMILY = 473,
    FETCH = 474,
    FIRST_P = 475,
    FLOAT_P = 476,
    FOLLOWING = 477,
    FOR = 478,
    FORCE = 479,
    FOREIGN = 480,
    FORWARD = 481,
    FREEZE = 482,
    FROM = 483,
    FULL = 484,
    FUNCTION = 485,
    FUNCTIONS = 486,
    GLOBAL = 487,
    GRANT = 488,
    GRANTED = 489,
    GREATEST = 490,
    GROUP_P = 491,
    HANDLER = 492,
    HAVING = 493,
    HEADER_P = 494,
    HOLD = 495,
    HOUR_P = 496,
    IDENTITY_P = 497,
    IF_P = 498,
    ILIKE = 499,
    IMMEDIATE = 500,
    IMMUTABLE = 501,
    IMPLICIT_P = 502,
    IN_P = 503,
    INCLUDING = 504,
    INCREMENT = 505,
    INDEX = 506,
    INDEXES = 507,
    INHERIT = 508,
    INHERITS = 509,
    INITIALLY = 510,
    INLINE_P = 511,
    INNER_P = 512,
    INOUT = 513,
    INPUT_P = 514,
    INSENSITIVE = 515,
    INSERT = 516,
    INSTEAD = 517,
    INT_P = 518,
    INTEGER = 519,
    INTERSECT = 520,
    INTERVAL = 521,
    INTO = 522,
    INVOKER = 523,
    IS = 524,
    ISNULL = 525,
    ISOLATION = 526,
    JOIN = 527,
    KEY = 528,
    LABEL = 529,
    LANGUAGE = 530,
    LARGE_P = 531,
    LAST_P = 532,
    LATERAL_P = 533,
    LC_COLLATE_P = 534,
    LC_CTYPE_P = 535,
    LEADING = 536,
    LEAKPROOF = 537,
    LEAST = 538,
    LEFT = 539,
    LEVEL = 540,
    LIKE = 541,
    LIMIT = 542,
    LISTEN = 543,
    LOAD = 544,
    LOCAL = 545,
    LOCALTIME = 546,
    LOCALTIMESTAMP = 547,
    LOCATION = 548,
    LOCK_P = 549,
    MAPPING = 550,
    MATCH = 551,
    MATERIALIZED = 552,
    MAXVALUE = 553,
    MINUTE_P = 554,
    MINVALUE = 555,
    MODE = 556,
    MONTH_P = 557,
    MOVE = 558,
    NAME_P = 559,
    NAMES = 560,
    NATIONAL = 561,
    NATURAL = 562,
    NCHAR = 563,
    NEXT = 564,
    NO = 565,
    NONE = 566,
    NOT = 567,
    NOTHING = 568,
    NOTIFY = 569,
    NOTNULL = 570,
    NOWAIT = 571,
    NULL_P = 572,
    NULLIF = 573,
    NULLS_P = 574,
    NUMERIC = 575,
    OBJECT_P = 576,
    OF = 577,
    OFF = 578,
    OFFSET = 579,
    OIDS = 580,
    ON = 581,
    ONLY = 582,
    OPERATOR = 583,
    OPTION = 584,
    OPTIONS = 585,
    OR = 586,
    ORDER = 587,
    OUT_P = 588,
    OUTER_P = 589,
    OVER = 590,
    OVERLAPS = 591,
    OVERLAY = 592,
    OWNED = 593,
    OWNER = 594,
    PARSER = 595,
    PARTIAL = 596,
    PARTITION = 597,
    PASSING = 598,
    PASSWORD = 599,
    PLACING = 600,
    PLANS = 601,
    POSITION = 602,
    PRECEDING = 603,
    PRECISION = 604,
    PRESERVE = 605,
    PREPARE = 606,
    PREPARED = 607,
    PRIMARY = 608,
    PRIOR = 609,
    PRIVILEGES = 610,
    PROCEDURAL = 611,
    PROCEDURE = 612,
    PROGRAM = 613,
    QUOTE = 614,
    RANGE = 615,
    READ = 616,
    REAL = 617,
    REASSIGN = 618,
    RECHECK = 619,
    RECURSIVE = 620,
    REF = 621,
    REFERENCES = 622,
    REFRESH = 623,
    REINDEX = 624,
    RELATIVE_P = 625,
    RELEASE = 626,
    RENAME = 627,
    REPEATABLE = 628,
    REPLACE = 629,
    REPLICA = 630,
    RESET = 631,
    RESTART = 632,
    RESTRICT = 633,
    RETURNING = 634,
    RETURNS = 635,
    REVOKE = 636,
    RIGHT = 637,
    ROLE = 638,
    ROLLBACK = 639,
    ROW = 640,
    ROWS = 641,
    RULE = 642,
    SAVEPOINT = 643,
    SCHEMA = 644,
    SCROLL = 645,
    SEARCH = 646,
    SECOND_P = 647,
    SECURITY = 648,
    SELECT = 649,
    SEQUENCE = 650,
    SEQUENCES = 651,
    SERIALIZABLE = 652,
    SERVER = 653,
    SESSION = 654,
    SESSION_USER = 655,
    SET = 656,
    SETOF = 657,
    SHARE = 658,
    SHOW = 659,
    SIMILAR = 660,
    SIMPLE = 661,
    SMALLINT = 662,
    SNAPSHOT = 663,
    SOME = 664,
    STABLE = 665,
    STANDALONE_P = 666,
    START = 667,
    STATEMENT = 668,
    STATISTICS = 669,
    STDIN = 670,
    STDOUT = 671,
    STORAGE = 672,
    STRICT_P = 673,
    STRIP_P = 674,
    SUBSTRING = 675,
    SYMMETRIC = 676,
    SYSID = 677,
    SYSTEM_P = 678,
    TABLE = 679,
    TABLES = 680,
    TABLESPACE = 681,
    TEMP = 682,
    TEMPLATE = 683,
    TEMPORARY = 684,
    TEXT_P = 685,
    THEN = 686,
    TIME = 687,
    TIMESTAMP = 688,
    TO = 689,
    TRAILING = 690,
    TRANSACTION = 691,
    TREAT = 692,
    TRIGGER = 693,
    TRIM = 694,
    TRUE_P = 695,
    TRUNCATE = 696,
    TRUSTED = 697,
    TYPE_P = 698,
    TYPES_P = 699,
    UNBOUNDED = 700,
    UNCOMMITTED = 701,
    UNENCRYPTED = 702,
    UNION = 703,
    UNIQUE = 704,
    UNKNOWN = 705,
    UNLISTEN = 706,
    UNLOGGED = 707,
    UNTIL = 708,
    UPDATE = 709,
    USER = 710,
    USING = 711,
    VACUUM = 712,
    VALID = 713,
    VALIDATE = 714,
    VALIDATOR = 715,
    VALUE_P = 716,
    VALUES = 717,
    VARCHAR = 718,
    VARIADIC = 719,
    VARYING = 720,
    VERBOSE = 721,
    VERSION_P = 722,
    VIEW = 723,
    VOLATILE = 724,
    WHEN = 725,
    WHERE = 726,
    WHITESPACE_P = 727,
    WINDOW = 728,
    WITH = 729,
    WITHOUT = 730,
    WORK = 731,
    WRAPPER = 732,
    WRITE = 733,
    XML_P = 734,
    XMLATTRIBUTES = 735,
    XMLCONCAT = 736,
    XMLELEMENT = 737,
    XMLEXISTS = 738,
    XMLFOREST = 739,
    XMLPARSE = 740,
    XMLPI = 741,
    XMLROOT = 742,
    XMLSERIALIZE = 743,
    YEAR_P = 744,
    YES_P = 745,
    ZONE = 746,
    NULLS_FIRST = 747,
    NULLS_LAST = 748,
    WITH_TIME = 749,
    POSTFIXOP = 750,
    UMINUS = 751
  };
#endif

/* Value type.  */
#if ! defined YYSTYPE && ! defined YYSTYPE_IS_DECLARED
typedef union YYSTYPE YYSTYPE;
union YYSTYPE
{
#line 564 "preproc.y" /* yacc.c:355  */

	double	dval;
	char	*str;
	int		ival;
	struct	when		action;
	struct	index		index;
	int		tagname;
	struct	this_type	type;
	enum	ECPGttype	type_enum;
	enum	ECPGdtype	dtype_enum;
	struct	fetch_desc	descriptor;
	struct  su_symbol	struct_union;
	struct	prep		prep;

#line 1182 "preproc.c" /* yacc.c:355  */
};
# define YYSTYPE_IS_TRIVIAL 1
# define YYSTYPE_IS_DECLARED 1
#endif

/* Location type.  */
#if ! defined YYLTYPE && ! defined YYLTYPE_IS_DECLARED
typedef struct YYLTYPE YYLTYPE;
struct YYLTYPE
{
  int first_line;
  int first_column;
  int last_line;
  int last_column;
};
# define YYLTYPE_IS_DECLARED 1
# define YYLTYPE_IS_TRIVIAL 1
#endif


extern YYSTYPE base_yylval;
extern YYLTYPE base_yylloc;
int base_yyparse (void);

#endif /* !YY_BASE_YY_PREPROC_H_INCLUDED  */

/* Copy the second part of user declarations.  */

#line 1211 "preproc.c" /* yacc.c:358  */

#ifdef short
# undef short
#endif

#ifdef YYTYPE_UINT8
typedef YYTYPE_UINT8 yytype_uint8;
#else
typedef unsigned char yytype_uint8;
#endif

#ifdef YYTYPE_INT8
typedef YYTYPE_INT8 yytype_int8;
#else
typedef signed char yytype_int8;
#endif

#ifdef YYTYPE_UINT16
typedef YYTYPE_UINT16 yytype_uint16;
#else
typedef unsigned short int yytype_uint16;
#endif

#ifdef YYTYPE_INT16
typedef YYTYPE_INT16 yytype_int16;
#else
typedef short int yytype_int16;
#endif

#ifndef YYSIZE_T
# ifdef __SIZE_TYPE__
#  define YYSIZE_T __SIZE_TYPE__
# elif defined size_t
#  define YYSIZE_T size_t
# elif ! defined YYSIZE_T
#  include <stddef.h> /* INFRINGES ON USER NAME SPACE */
#  define YYSIZE_T size_t
# else
#  define YYSIZE_T unsigned int
# endif
#endif

#define YYSIZE_MAXIMUM ((YYSIZE_T) -1)

#ifndef YY_
# if defined YYENABLE_NLS && YYENABLE_NLS
#  if ENABLE_NLS
#   include <libintl.h> /* INFRINGES ON USER NAME SPACE */
#   define YY_(Msgid) dgettext ("bison-runtime", Msgid)
#  endif
# endif
# ifndef YY_
#  define YY_(Msgid) Msgid
# endif
#endif

#ifndef YY_ATTRIBUTE
# if (defined __GNUC__                                               \
      && (2 < __GNUC__ || (__GNUC__ == 2 && 96 <= __GNUC_MINOR__)))  \
     || defined __SUNPRO_C && 0x5110 <= __SUNPRO_C
#  define YY_ATTRIBUTE(Spec) __attribute__(Spec)
# else
#  define YY_ATTRIBUTE(Spec) /* empty */
# endif
#endif

#ifndef YY_ATTRIBUTE_PURE
# define YY_ATTRIBUTE_PURE   YY_ATTRIBUTE ((__pure__))
#endif

#ifndef YY_ATTRIBUTE_UNUSED
# define YY_ATTRIBUTE_UNUSED YY_ATTRIBUTE ((__unused__))
#endif

#if !defined _Noreturn \
     && (!defined __STDC_VERSION__ || __STDC_VERSION__ < 201112)
# if defined _MSC_VER && 1200 <= _MSC_VER
#  define _Noreturn __declspec (noreturn)
# else
#  define _Noreturn YY_ATTRIBUTE ((__noreturn__))
# endif
#endif

/* Suppress unused-variable warnings by "using" E.  */
#if ! defined lint || defined __GNUC__
# define YYUSE(E) ((void) (E))
#else
# define YYUSE(E) /* empty */
#endif

#if defined __GNUC__ && 407 <= __GNUC__ * 100 + __GNUC_MINOR__
/* Suppress an incorrect diagnostic about yylval being uninitialized.  */
# define YY_IGNORE_MAYBE_UNINITIALIZED_BEGIN \
    _Pragma ("GCC diagnostic push") \
    _Pragma ("GCC diagnostic ignored \"-Wuninitialized\"")\
    _Pragma ("GCC diagnostic ignored \"-Wmaybe-uninitialized\"")
# define YY_IGNORE_MAYBE_UNINITIALIZED_END \
    _Pragma ("GCC diagnostic pop")
#else
# define YY_INITIAL_VALUE(Value) Value
#endif
#ifndef YY_IGNORE_MAYBE_UNINITIALIZED_BEGIN
# define YY_IGNORE_MAYBE_UNINITIALIZED_BEGIN
# define YY_IGNORE_MAYBE_UNINITIALIZED_END
#endif
#ifndef YY_INITIAL_VALUE
# define YY_INITIAL_VALUE(Value) /* Nothing. */
#endif


#if ! defined yyoverflow || YYERROR_VERBOSE

/* The parser invokes alloca or malloc; define the necessary symbols.  */

# ifdef YYSTACK_USE_ALLOCA
#  if YYSTACK_USE_ALLOCA
#   ifdef __GNUC__
#    define YYSTACK_ALLOC __builtin_alloca
#   elif defined __BUILTIN_VA_ARG_INCR
#    include <alloca.h> /* INFRINGES ON USER NAME SPACE */
#   elif defined _AIX
#    define YYSTACK_ALLOC __alloca
#   elif defined _MSC_VER
#    include <malloc.h> /* INFRINGES ON USER NAME SPACE */
#    define alloca _alloca
#   else
#    define YYSTACK_ALLOC alloca
#    if ! defined _ALLOCA_H && ! defined EXIT_SUCCESS
#     include <stdlib.h> /* INFRINGES ON USER NAME SPACE */
      /* Use EXIT_SUCCESS as a witness for stdlib.h.  */
#     ifndef EXIT_SUCCESS
#      define EXIT_SUCCESS 0
#     endif
#    endif
#   endif
#  endif
# endif

# ifdef YYSTACK_ALLOC
   /* Pacify GCC's 'empty if-body' warning.  */
#  define YYSTACK_FREE(Ptr) do { /* empty */; } while (0)
#  ifndef YYSTACK_ALLOC_MAXIMUM
    /* The OS might guarantee only one guard page at the bottom of the stack,
       and a page size can be as small as 4096 bytes.  So we cannot safely
       invoke alloca (N) if N exceeds 4096.  Use a slightly smaller number
       to allow for a few compiler-allocated temporary stack slots.  */
#   define YYSTACK_ALLOC_MAXIMUM 4032 /* reasonable circa 2006 */
#  endif
# else
#  define YYSTACK_ALLOC YYMALLOC
#  define YYSTACK_FREE YYFREE
#  ifndef YYSTACK_ALLOC_MAXIMUM
#   define YYSTACK_ALLOC_MAXIMUM YYSIZE_MAXIMUM
#  endif
#  if (defined __cplusplus && ! defined EXIT_SUCCESS \
       && ! ((defined YYMALLOC || defined malloc) \
             && (defined YYFREE || defined free)))
#   include <stdlib.h> /* INFRINGES ON USER NAME SPACE */
#   ifndef EXIT_SUCCESS
#    define EXIT_SUCCESS 0
#   endif
#  endif
#  ifndef YYMALLOC
#   define YYMALLOC malloc
#   if ! defined malloc && ! defined EXIT_SUCCESS
void *malloc (YYSIZE_T); /* INFRINGES ON USER NAME SPACE */
#   endif
#  endif
#  ifndef YYFREE
#   define YYFREE free
#   if ! defined free && ! defined EXIT_SUCCESS
void free (void *); /* INFRINGES ON USER NAME SPACE */
#   endif
#  endif
# endif
#endif /* ! defined yyoverflow || YYERROR_VERBOSE */


#if (! defined yyoverflow \
     && (! defined __cplusplus \
         || (defined YYLTYPE_IS_TRIVIAL && YYLTYPE_IS_TRIVIAL \
             && defined YYSTYPE_IS_TRIVIAL && YYSTYPE_IS_TRIVIAL)))

/* A type that is properly aligned for any stack member.  */
union yyalloc
{
  yytype_int16 yyss_alloc;
  YYSTYPE yyvs_alloc;
  YYLTYPE yyls_alloc;
};

/* The size of the maximum gap between one aligned stack and the next.  */
# define YYSTACK_GAP_MAXIMUM (sizeof (union yyalloc) - 1)

/* The size of an array large to enough to hold all stacks, each with
   N elements.  */
# define YYSTACK_BYTES(N) \
     ((N) * (sizeof (yytype_int16) + sizeof (YYSTYPE) + sizeof (YYLTYPE)) \
      + 2 * YYSTACK_GAP_MAXIMUM)

# define YYCOPY_NEEDED 1

/* Relocate STACK from its old location to the new one.  The
   local variables YYSIZE and YYSTACKSIZE give the old and new number of
   elements in the stack, and YYPTR gives the new location of the
   stack.  Advance YYPTR to a properly aligned location for the next
   stack.  */
# define YYSTACK_RELOCATE(Stack_alloc, Stack)                           \
    do                                                                  \
      {                                                                 \
        YYSIZE_T yynewbytes;                                            \
        YYCOPY (&yyptr->Stack_alloc, Stack, yysize);                    \
        Stack = &yyptr->Stack_alloc;                                    \
        yynewbytes = yystacksize * sizeof (*Stack) + YYSTACK_GAP_MAXIMUM; \
        yyptr += yynewbytes / sizeof (*yyptr);                          \
      }                                                                 \
    while (0)

#endif

#if defined YYCOPY_NEEDED && YYCOPY_NEEDED
/* Copy COUNT objects from SRC to DST.  The source and destination do
   not overlap.  */
# ifndef YYCOPY
#  if defined __GNUC__ && 1 < __GNUC__
#   define YYCOPY(Dst, Src, Count) \
      __builtin_memcpy (Dst, Src, (Count) * sizeof (*(Src)))
#  else
#   define YYCOPY(Dst, Src, Count)              \
      do                                        \
        {                                       \
          YYSIZE_T yyi;                         \
          for (yyi = 0; yyi < (Count); yyi++)   \
            (Dst)[yyi] = (Src)[yyi];            \
        }                                       \
      while (0)
#  endif
# endif
#endif /* !YYCOPY_NEEDED */

/* YYFINAL -- State number of the termination state.  */
#define YYFINAL  3
/* YYLAST -- Last index in YYTABLE.  */
#define YYLAST   109258

/* YYNTOKENS -- Number of terminals.  */
#define YYNTOKENS  516
/* YYNNTS -- Number of nonterminals.  */
#define YYNNTS  701
/* YYNRULES -- Number of rules.  */
#define YYNRULES  2796
/* YYNSTATES -- Number of states.  */
#define YYNSTATES  5114

/* YYTRANSLATE[YYX] -- Symbol number corresponding to YYX as returned
   by yylex, with out-of-bounds checking.  */
#define YYUNDEFTOK  2
#define YYMAXUTOK   751

#define YYTRANSLATE(YYX)                                                \
  ((unsigned int) (YYX) <= YYMAXUTOK ? yytranslate[YYX] : YYUNDEFTOK)

/* YYTRANSLATE[TOKEN-NUM] -- Symbol number corresponding to TOKEN-NUM
   as returned by yylex, without out-of-bounds checking.  */
static const yytype_uint16 yytranslate[] =
{
       0,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,   503,     2,     2,
     508,   509,   501,   499,   511,   500,   510,   502,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,   513,   512,
     496,   495,   497,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,   506,     2,   507,   504,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,   514,     2,   515,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     1,     2,     3,     4,
       5,     6,     7,     8,     9,    10,    11,    12,    13,    14,
      15,    16,    17,    18,    19,    20,    21,    22,    23,    24,
      25,    26,    27,    28,    29,    30,    31,    32,    33,    34,
      35,    36,    37,    38,    39,    40,    41,    42,    43,    44,
      45,    46,    47,    48,    49,    50,    51,    52,    53,    54,
      55,    56,    57,    58,    59,    60,    61,    62,    63,    64,
      65,    66,    67,    68,    69,    70,    71,    72,    73,    74,
      75,    76,    77,    78,    79,    80,    81,    82,    83,    84,
      85,    86,    87,    88,    89,    90,    91,    92,    93,    94,
      95,    96,    97,    98,    99,   100,   101,   102,   103,   104,
     105,   106,   107,   108,   109,   110,   111,   112,   113,   114,
     115,   116,   117,   118,   119,   120,   121,   122,   123,   124,
     125,   126,   127,   128,   129,   130,   131,   132,   133,   134,
     135,   136,   137,   138,   139,   140,   141,   142,   143,   144,
     145,   146,   147,   148,   149,   150,   151,   152,   153,   154,
     155,   156,   157,   158,   159,   160,   161,   162,   163,   164,
     165,   166,   167,   168,   169,   170,   171,   172,   173,   174,
     175,   176,   177,   178,   179,   180,   181,   182,   183,   184,
     185,   186,   187,   188,   189,   190,   191,   192,   193,   194,
     195,   196,   197,   198,   199,   200,   201,   202,   203,   204,
     205,   206,   207,   208,   209,   210,   211,   212,   213,   214,
     215,   216,   217,   218,   219,   220,   221,   222,   223,   224,
     225,   226,   227,   228,   229,   230,   231,   232,   233,   234,
     235,   236,   237,   238,   239,   240,   241,   242,   243,   244,
     245,   246,   247,   248,   249,   250,   251,   252,   253,   254,
     255,   256,   257,   258,   259,   260,   261,   262,   263,   264,
     265,   266,   267,   268,   269,   270,   271,   272,   273,   274,
     275,   276,   277,   278,   279,   280,   281,   282,   283,   284,
     285,   286,   287,   288,   289,   290,   291,   292,   293,   294,
     295,   296,   297,   298,   299,   300,   301,   302,   303,   304,
     305,   306,   307,   308,   309,   310,   311,   312,   313,   314,
     315,   316,   317,   318,   319,   320,   321,   322,   323,   324,
     325,   326,   327,   328,   329,   330,   331,   332,   333,   334,
     335,   336,   337,   338,   339,   340,   341,   342,   343,   344,
     345,   346,   347,   348,   349,   350,   351,   352,   353,   354,
     355,   356,   357,   358,   359,   360,   361,   362,   363,   364,
     365,   366,   367,   368,   369,   370,   371,   372,   373,   374,
     375,   376,   377,   378,   379,   380,   381,   382,   383,   384,
     385,   386,   387,   388,   389,   390,   391,   392,   393,   394,
     395,   396,   397,   398,   399,   400,   401,   402,   403,   404,
     405,   406,   407,   408,   409,   410,   411,   412,   413,   414,
     415,   416,   417,   418,   419,   420,   421,   422,   423,   424,
     425,   426,   427,   428,   429,   430,   431,   432,   433,   434,
     435,   436,   437,   438,   439,   440,   441,   442,   443,   444,
     445,   446,   447,   448,   449,   450,   451,   452,   453,   454,
     455,   456,   457,   458,   459,   460,   461,   462,   463,   464,
     465,   466,   467,   468,   469,   470,   471,   472,   473,   474,
     475,   476,   477,   478,   479,   480,   481,   482,   483,   484,
     485,   486,   487,   488,   489,   490,   491,   492,   493,   494,
     498,   505
};

#if YYDEBUG
  /* YYRLINE[YYN] -- Source line where rule number YYN was defined.  */
static const yytype_uint16 yyrline[] =
{
       0,  1479,  1479,  1482,  1484,  1486,  1488,  1490,  1492,  1494,
    1496,  1498,  1500,  1502,  1504,  1506,  1508,  1510,  1512,  1514,
    1516,  1518,  1520,  1522,  1524,  1526,  1528,  1530,  1532,  1534,
    1536,  1554,  1556,  1558,  1560,  1562,  1564,  1566,  1568,  1570,
    1572,  1574,  1576,  1578,  1580,  1582,  1584,  1586,  1588,  1590,
    1592,  1594,  1596,  1598,  1600,  1602,  1604,  1606,  1608,  1610,
    1612,  1614,  1618,  1620,  1622,  1624,  1626,  1628,  1630,  1632,
    1634,  1636,  1638,  1640,  1642,  1644,  1646,  1648,  1650,  1652,
    1654,  1656,  1658,  1660,  1662,  1664,  1666,  1668,  1670,  1672,
    1674,  1676,  1678,  1680,  1682,  1684,  1686,  1693,  1695,  1697,
    1699,  1701,  1703,  1705,  1707,  1709,  1711,  1713,  1715,  1721,
    1723,  1725,  1727,  1729,  1731,  1733,  1735,  1737,  1743,  1753,
    1757,  1763,  1767,  1777,  1787,  1788,  1802,  1809,  1815,  1826,
    1832,  1841,  1848,  1854,  1863,  1870,  1878,  1883,  1891,  1896,
    1902,  1907,  1913,  1918,  1924,  1928,  1932,  1936,  1940,  1944,
    1948,  1952,  1956,  1964,  1968,  1972,  1976,  1980,  1984,  1992,
    2000,  2009,  2011,  2019,  2023,  2031,  2039,  2043,  2051,  2055,
    2063,  2067,  2075,  2083,  2091,  2095,  2103,  2107,  2115,  2119,
    2123,  2128,  2137,  2142,  2148,  2153,  2159,  2163,  2167,  2171,
    2175,  2179,  2187,  2191,  2195,  2203,  2207,  2211,  2219,  2223,
    2227,  2231,  2235,  2239,  2243,  2248,  2252,  2256,  2260,  2264,
    2268,  2272,  2280,  2284,  2292,  2296,  2304,  2308,  2322,  2326,
    2330,  2334,  2342,  2346,  2350,  2354,  2362,  2366,  2370,  2374,
    2378,  2382,  2386,  2394,  2398,  2403,  2409,  2413,  2421,  2425,
    2429,  2433,  2437,  2445,  2449,  2457,  2461,  2469,  2473,  2477,
    2481,  2485,  2494,  2502,  2506,  2514,  2518,  2526,  2534,  2538,
    2542,  2546,  2554,  2558,  2562,  2566,  2570,  2574,  2578,  2582,
    2586,  2590,  2598,  2602,  2610,  2614,  2618,  2622,  2626,  2630,
    2634,  2638,  2642,  2646,  2650,  2654,  2658,  2662,  2666,  2670,
    2674,  2678,  2682,  2686,  2690,  2694,  2698,  2702,  2706,  2710,
    2714,  2718,  2722,  2726,  2730,  2734,  2738,  2742,  2746,  2750,
    2754,  2758,  2762,  2766,  2770,  2774,  2782,  2786,  2794,  2798,
    2803,  2809,  2814,  2820,  2825,  2831,  2839,  2844,  2850,  2854,
    2862,  2866,  2870,  2874,  2882,  2890,  2894,  2902,  2906,  2910,
    2914,  2922,  2927,  2935,  2943,  2951,  2955,  2963,  2968,  2974,
    2978,  2982,  2990,  2994,  3002,  3007,  3013,  3017,  3021,  3025,
    3029,  3033,  3037,  3041,  3045,  3049,  3053,  3057,  3061,  3069,
    3074,  3080,  3085,  3091,  3096,  3102,  3107,  3113,  3117,  3125,
    3133,  3137,  3141,  3145,  3150,  3156,  3160,  3168,  3176,  3180,
    3184,  3188,  3196,  3200,  3204,  3208,  3212,  3216,  3220,  3225,
    3231,  3236,  3242,  3247,  3253,  3257,  3265,  3269,  3277,  3281,
    3285,  3293,  3297,  3305,  3313,  3321,  3326,  3332,  3336,  3340,
    3344,  3352,  3356,  3360,  3364,  3368,  3372,  3376,  3384,  3388,
    3392,  3396,  3404,  3412,  3416,  3421,  3427,  3431,  3435,  3439,
    3443,  3447,  3455,  3459,  3467,  3471,  3475,  3479,  3483,  3487,
    3491,  3499,  3504,  3510,  3515,  3521,  3525,  3533,  3541,  3545,
    3550,  3555,  3561,  3565,  3573,  3577,  3585,  3590,  3596,  3600,
    3604,  3608,  3613,  3619,  3627,  3635,  3639,  3643,  3647,  3651,
    3659,  3664,  3670,  3674,  3678,  3683,  3689,  3693,  3697,  3702,
    3708,  3713,  3719,  3724,  3730,  3738,  3746,  3750,  3755,  3761,
    3769,  3777,  3782,  3788,  3796,  3804,  3808,  3816,  3821,  3827,
    3831,  3839,  3843,  3847,  3851,  3855,  3859,  3863,  3867,  3871,
    3875,  3879,  3883,  3891,  3896,  3902,  3906,  3910,  3914,  3922,
    3926,  3934,  3938,  3946,  3951,  3957,  3961,  3969,  3974,  3980,
    3984,  3992,  3997,  4003,  4007,  4015,  4020,  4026,  4034,  4039,
    4045,  4049,  4057,  4061,  4069,  4074,  4080,  4084,  4088,  4096,
    4104,  4109,  4115,  4123,  4127,  4131,  4135,  4139,  4143,  4147,
    4151,  4155,  4159,  4163,  4167,  4171,  4175,  4179,  4183,  4187,
    4191,  4195,  4199,  4203,  4207,  4211,  4215,  4223,  4231,  4235,
    4239,  4243,  4251,  4255,  4263,  4268,  4274,  4278,  4286,  4290,
    4298,  4303,  4309,  4313,  4321,  4329,  4333,  4341,  4345,  4349,
    4353,  4361,  4369,  4377,  4385,  4393,  4398,  4404,  4408,  4416,
    4421,  4427,  4431,  4439,  4443,  4447,  4455,  4459,  4467,  4471,
    4479,  4487,  4491,  4495,  4503,  4507,  4515,  4523,  4527,  4535,
    4539,  4543,  4551,  4555,  4563,  4567,  4571,  4575,  4579,  4587,
    4592,  4598,  4603,  4609,  4613,  4621,  4626,  4632,  4636,  4641,
    4647,  4651,  4655,  4659,  4667,  4672,  4679,  4681,  4689,  4693,
    4697,  4701,  4705,  4709,  4717,  4721,  4729,  4733,  4741,  4745,
    4753,  4761,  4765,  4773,  4781,  4785,  4789,  4793,  4801,  4810,
    4819,  4823,  4827,  4831,  4835,  4839,  4843,  4847,  4851,  4855,
    4859,  4863,  4867,  4871,  4879,  4887,  4891,  4899,  4903,  4911,
    4915,  4919,  4923,  4927,  4935,  4939,  4947,  4955,  4959,  4967,
    4975,  4980,  4986,  4990,  4998,  5002,  5006,  5014,  5019,  5025,
    5033,  5037,  5045,  5049,  5053,  5057,  5061,  5069,  5074,  5080,
    5085,  5091,  5095,  5100,  5106,  5112,  5118,  5126,  5130,  5138,
    5142,  5150,  5154,  5162,  5166,  5174,  5178,  5186,  5194,  5202,
    5206,  5210,  5214,  5222,  5226,  5230,  5234,  5238,  5242,  5246,
    5250,  5254,  5258,  5262,  5266,  5270,  5274,  5278,  5282,  5286,
    5294,  5298,  5306,  5310,  5318,  5322,  5330,  5338,  5342,  5347,
    5353,  5357,  5361,  5365,  5369,  5373,  5377,  5381,  5385,  5389,
    5393,  5397,  5401,  5409,  5413,  5417,  5421,  5425,  5429,  5433,
    5437,  5441,  5445,  5449,  5453,  5457,  5461,  5465,  5469,  5473,
    5477,  5481,  5485,  5489,  5493,  5497,  5505,  5509,  5517,  5521,
    5525,  5529,  5533,  5541,  5546,  5552,  5556,  5560,  5564,  5568,
    5572,  5576,  5580,  5584,  5588,  5592,  5596,  5600,  5608,  5612,
    5620,  5624,  5628,  5632,  5638,  5644,  5650,  5656,  5662,  5668,
    5674,  5684,  5695,  5706,  5717,  5728,  5739,  5750,  5766,  5782,
    5798,  5809,  5825,  5836,  5852,  5867,  5871,  5879,  5884,  5890,
    5898,  5902,  5910,  5914,  5918,  5922,  5926,  5934,  5938,  5946,
    5950,  5954,  5958,  5966,  5970,  5974,  5978,  5982,  5986,  5990,
    5994,  5998,  6002,  6006,  6010,  6014,  6018,  6022,  6026,  6034,
    6038,  6046,  6050,  6058,  6063,  6069,  6073,  6081,  6089,  6097,
    6101,  6109,  6114,  6120,  6125,  6131,  6139,  6144,  6150,  6154,
    6158,  6166,  6170,  6174,  6182,  6186,  6190,  6194,  6202,  6210,
    6215,  6221,  6226,  6232,  6237,  6243,  6248,  6254,  6258,  6266,
    6270,  6274,  6282,  6287,  6293,  6297,  6302,  6308,  6312,  6317,
    6323,  6327,  6332,  6338,  6342,  6346,  6354,  6359,  6365,  6369,
    6377,  6381,  6389,  6393,  6401,  6405,  6413,  6417,  6421,  6425,
    6429,  6437,  6441,  6445,  6449,  6453,  6461,  6469,  6477,  6481,
    6485,  6493,  6497,  6501,  6509,  6513,  6521,  6525,  6529,  6533,
    6537,  6541,  6545,  6549,  6553,  6557,  6561,  6565,  6569,  6573,
    6577,  6585,  6589,  6593,  6597,  6605,  6609,  6617,  6622,  6628,
    6636,  6640,  6648,  6656,  6660,  6668,  6673,  6679,  6683,  6691,
    6695,  6703,  6707,  6715,  6719,  6723,  6727,  6735,  6739,  6747,
    6755,  6759,  6767,  6771,  6779,  6783,  6787,  6795,  6799,  6804,
    6810,  6818,  6823,  6829,  6833,  6837,  6845,  6849,  6857,  6862,
    6868,  6872,  6876,  6880,  6884,  6888,  6892,  6896,  6900,  6904,
    6908,  6912,  6916,  6920,  6924,  6928,  6932,  6936,  6940,  6944,
    6948,  6952,  6956,  6960,  6964,  6968,  6972,  6976,  6980,  6984,
    6988,  6992,  6996,  7000,  7004,  7008,  7012,  7016,  7020,  7024,
    7028,  7032,  7036,  7040,  7044,  7048,  7052,  7060,  7065,  7071,
    7076,  7082,  7086,  7090,  7094,  7098,  7102,  7106,  7110,  7114,
    7118,  7122,  7126,  7130,  7134,  7138,  7142,  7146,  7150,  7154,
    7158,  7162,  7166,  7170,  7174,  7182,  7186,  7190,  7194,  7198,
    7202,  7206,  7210,  7214,  7218,  7222,  7226,  7230,  7234,  7238,
    7242,  7246,  7250,  7254,  7262,  7270,  7274,  7278,  7286,  7290,
    7298,  7302,  7306,  7310,  7314,  7322,  7327,  7333,  7337,  7341,
    7345,  7353,  7357,  7362,  7368,  7372,  7380,  7388,  7393,  7399,
    7407,  7411,  7419,  7423,  7427,  7431,  7435,  7439,  7443,  7447,
    7451,  7455,  7459,  7463,  7467,  7471,  7479,  7483,  7488,  7494,
    7498,  7502,  7506,  7510,  7518,  7522,  7526,  7534,  7539,  7545,
    7549,  7553,  7557,  7565,  7570,  7575,  7581,  7587,  7595,  7603,
    7608,  7614,  7618,  7622,  7626,  7630,  7634,  7638,  7642,  7646,
    7650,  7654,  7658,  7662,  7666,  7670,  7674,  7682,  7687,  7693,
    7697,  7705,  7713,  7718,  7724,  7732,  7736,  7744,  7752,  7756,
    7760,  7764,  7768,  7772,  7776,  7784,  7789,  7795,  7803,  7807,
    7811,  7815,  7819,  7823,  7831,  7839,  7843,  7847,  7855,  7860,
    7866,  7870,  7874,  7878,  7882,  7890,  7894,  7902,  7906,  7910,
    7914,  7922,  7926,  7934,  7938,  7946,  7951,  7957,  7962,  7968,
    7973,  7979,  7984,  7990,  7994,  7998,  8002,  8010,  8014,  8018,
    8022,  8026,  8030,  8034,  8038,  8042,  8050,  8054,  8062,  8070,
    8074,  8082,  8086,  8091,  8097,  8103,  8113,  8118,  8124,  8128,
    8132,  8136,  8144,  8146,  8154,  8159,  8165,  8173,  8177,  8181,
    8189,  8193,  8201,  8209,  8214,  8220,  8228,  8233,  8239,  8247,
    8252,  8258,  8262,  8266,  8270,  8274,  8278,  8282,  8286,  8294,
    8299,  8305,  8313,  8317,  8325,  8329,  8337,  8345,  8353,  8361,
    8365,  8373,  8426,  8430,  8443,  8445,  8449,  8453,  8457,  8466,
    8472,  8476,  8484,  8488,  8496,  8500,  8508,  8512,  8516,  8520,
    8524,  8528,  8532,  8536,  8544,  8548,  8556,  8560,  8564,  8568,
    8572,  8576,  8584,  8588,  8596,  8600,  8608,  8616,  8621,  8627,
    8632,  8634,  8640,  8644,  8648,  8652,  8656,  8660,  8664,  8668,
    8672,  8680,  8685,  8691,  8695,  8700,  8706,  8710,  8714,  8719,
    8725,  8730,  8736,  8744,  8748,  8756,  8760,  8768,  8772,  8776,
    8780,  8788,  8793,  8799,  8803,  8808,  8816,  8820,  8828,  8832,
    8840,  8848,  8852,  8857,  8863,  8871,  8875,  8883,  8887,  8895,
    8900,  8906,  8911,  8917,  8921,  8929,  8934,  8940,  8944,  8952,
    8960,  8964,  8968,  8972,  8980,  8985,  8991,  8995,  9003,  9008,
    9014,  9018,  9026,  9030,  9034,  9038,  9045,  9052,  9056,  9064,
    9068,  9072,  9076,  9080,  9084,  9092,  9096,  9100,  9104,  9112,
    9117,  9123,  9127,  9131,  9135,  9140,  9146,  9150,  9154,  9158,
    9166,  9171,  9177,  9181,  9189,  9193,  9197,  9201,  9209,  9213,
    9221,  9225,  9229,  9237,  9245,  9250,  9256,  9260,  9266,  9272,
    9277,  9283,  9287,  9295,  9303,  9305,  9307,  9311,  9315,  9319,
    9327,  9337,  9348,  9357,  9361,  9365,  9369,  9373,  9377,  9381,
    9389,  9393,  9397,  9401,  9409,  9413,  9421,  9426,  9432,  9436,
    9440,  9444,  9448,  9452,  9456,  9460,  9464,  9468,  9472,  9480,
    9485,  9491,  9495,  9503,  9507,  9515,  9523,  9531,  9535,  9543,
    9547,  9555,  9563,  9571,  9575,  9579,  9583,  9587,  9591,  9599,
    9604,  9610,  9615,  9621,  9625,  9629,  9633,  9641,  9649,  9653,
    9658,  9664,  9668,  9672,  9676,  9680,  9684,  9688,  9692,  9696,
    9700,  9704,  9708,  9712,  9717,  9723,  9727,  9735,  9739,  9743,
    9747,  9751,  9755,  9759,  9763,  9767,  9771,  9775,  9779,  9783,
    9787,  9791,  9795,  9799,  9803,  9807,  9811,  9815,  9819,  9823,
    9827,  9831,  9835,  9839,  9843,  9847,  9851,  9855,  9859,  9863,
    9867,  9871,  9875,  9879,  9883,  9887,  9891,  9895,  9899,  9903,
    9907,  9911,  9915,  9919,  9923,  9927,  9931,  9935,  9939,  9943,
    9947,  9951,  9955,  9959,  9964,  9968,  9976,  9980,  9984,  9988,
    9992,  9996, 10000, 10004, 10008, 10012, 10016, 10020, 10024, 10028,
   10032, 10036, 10040, 10044, 10048, 10052, 10056, 10060, 10068, 10072,
   10076, 10080, 10084, 10088, 10092, 10096, 10100, 10104, 10108, 10112,
   10120, 10124, 10128, 10132, 10136, 10140, 10144, 10148, 10152, 10156,
   10160, 10164, 10168, 10172, 10176, 10180, 10184, 10188, 10192, 10196,
   10200, 10204, 10208, 10212, 10216, 10220, 10224, 10228, 10232, 10236,
   10240, 10244, 10248, 10252, 10256, 10260, 10264, 10268, 10272, 10276,
   10280, 10284, 10288, 10292, 10296, 10300, 10304, 10308, 10312, 10316,
   10324, 10328, 10336, 10340, 10344, 10349, 10355, 10363, 10367, 10375,
   10379, 10387, 10391, 10399, 10403, 10408, 10414, 10418, 10422, 10426,
   10434, 10439, 10445, 10449, 10457, 10465, 10469, 10474, 10480, 10488,
   10492, 10499, 10504, 10510, 10515, 10520, 10526, 10530, 10538, 10542,
   10546, 10550, 10554, 10562, 10566, 10570, 10578, 10582, 10586, 10594,
   10598, 10606, 10610, 10614, 10618, 10622, 10626, 10630, 10634, 10638,
   10646, 10650, 10658, 10662, 10670, 10674, 10678, 10682, 10686, 10690,
   10698, 10702, 10710, 10714, 10722, 10726, 10734, 10738, 10746, 10750,
   10754, 10762, 10766, 10774, 10779, 10785, 10789, 10793, 10797, 10801,
   10805, 10809, 10813, 10821, 10825, 10833, 10841, 10846, 10852, 10856,
   10860, 10864, 10868, 10873, 10879, 10887, 10895, 10899, 10903, 10911,
   10915, 10923, 10931, 10935, 10943, 10951, 10956, 10962, 10967, 10973,
   10977, 10985, 10989, 10993, 10997, 11005, 11009, 11018, 11020, 11028,
   11033, 11039, 11043, 11051, 11055, 11063, 11071, 11075, 11083, 11087,
   11091, 11095, 11103, 11107, 11115, 11119, 11127, 11131, 11139, 11147,
   11155, 11163, 11171, 11179, 11187, 11191, 11199, 11203, 11207, 11211,
   11215, 11219, 11223, 11227, 11231, 11235, 11239, 11243, 11247, 11251,
   11252, 11257, 11263, 11271, 11275, 11283, 11287, 11288, 11292, 11300,
   11304, 11308, 11312, 11320, 11324, 11328, 11332, 11336, 11340, 11344,
   11348, 11352, 11356, 11360, 11364, 11368, 11372, 11376, 11380, 11384,
   11388, 11392, 11396, 11400, 11404, 11408, 11412, 11416, 11420, 11424,
   11428, 11432, 11436, 11440, 11444, 11448, 11452, 11456, 11460, 11464,
   11468, 11472, 11476, 11480, 11484, 11488, 11492, 11496, 11500, 11504,
   11508, 11512, 11516, 11520, 11524, 11528, 11532, 11536, 11540, 11544,
   11548, 11552, 11556, 11560, 11564, 11568, 11572, 11576, 11580, 11584,
   11588, 11592, 11596, 11600, 11604, 11608, 11612, 11616, 11620, 11624,
   11628, 11632, 11636, 11640, 11644, 11648, 11652, 11656, 11660, 11664,
   11668, 11672, 11676, 11680, 11684, 11688, 11692, 11696, 11700, 11704,
   11708, 11712, 11716, 11720, 11724, 11728, 11732, 11736, 11740, 11744,
   11748, 11752, 11756, 11760, 11764, 11768, 11772, 11776, 11780, 11784,
   11788, 11792, 11796, 11800, 11804, 11808, 11812, 11816, 11820, 11824,
   11828, 11832, 11836, 11840, 11844, 11848, 11852, 11856, 11860, 11864,
   11868, 11872, 11876, 11880, 11884, 11888, 11892, 11896, 11900, 11904,
   11908, 11912, 11916, 11920, 11924, 11928, 11932, 11936, 11940, 11944,
   11948, 11952, 11956, 11960, 11964, 11968, 11972, 11976, 11980, 11984,
   11988, 11992, 11996, 12000, 12004, 12008, 12012, 12016, 12020, 12024,
   12028, 12032, 12036, 12040, 12044, 12048, 12052, 12056, 12060, 12064,
   12068, 12072, 12076, 12080, 12084, 12088, 12092, 12096, 12100, 12104,
   12108, 12112, 12116, 12120, 12124, 12128, 12132, 12136, 12140, 12144,
   12148, 12152, 12156, 12160, 12164, 12168, 12172, 12176, 12180, 12184,
   12188, 12192, 12196, 12200, 12204, 12208, 12212, 12216, 12220, 12224,
   12228, 12232, 12236, 12240, 12244, 12248, 12252, 12256, 12260, 12264,
   12268, 12272, 12276, 12280, 12284, 12288, 12292, 12296, 12304, 12308,
   12312, 12316, 12320, 12324, 12328, 12332, 12336, 12340, 12344, 12348,
   12352, 12356, 12360, 12364, 12368, 12372, 12376, 12380, 12384, 12388,
   12392, 12396, 12400, 12404, 12408, 12412, 12416, 12420, 12424, 12428,
   12432, 12436, 12440, 12444, 12448, 12452, 12456, 12460, 12464, 12468,
   12472, 12476, 12484, 12488, 12492, 12496, 12500, 12504, 12508, 12512,
   12516, 12520, 12524, 12528, 12532, 12536, 12540, 12544, 12548, 12552,
   12556, 12560, 12564, 12568, 12572, 12580, 12584, 12588, 12592, 12596,
   12600, 12604, 12608, 12612, 12616, 12620, 12624, 12628, 12632, 12636,
   12640, 12644, 12648, 12652, 12656, 12660, 12664, 12668, 12672, 12676,
   12680, 12684, 12688, 12692, 12696, 12700, 12704, 12708, 12712, 12716,
   12720, 12724, 12728, 12732, 12736, 12740, 12744, 12748, 12752, 12756,
   12760, 12764, 12768, 12772, 12776, 12780, 12784, 12788, 12792, 12796,
   12800, 12804, 12808, 12812, 12816, 12820, 12824, 12828, 12832, 12836,
   12840, 12844, 12848, 12852, 12856, 12860, 12864, 12868, 12872, 12876,
   12886, 12887, 12890, 12891, 12892, 12898, 12899, 12900, 12901, 12902,
   12915, 12915, 12924, 12939, 12941, 12944, 12946, 12950, 12962, 12978,
   12982, 12993, 12994, 12997, 13009, 13018, 13019, 13022, 13023, 13024,
   13027, 13028, 13031, 13032, 13035, 13036, 13039, 13041, 13043, 13045,
   13049, 13056, 13063, 13079, 13113, 13123, 13126, 13130, 13143, 13144,
   13146, 13148, 13152, 13166, 13173, 13234, 13243, 13245, 13246, 13249,
   13251, 13252, 13255, 13256, 13257, 13258, 13259, 13266, 13265, 13275,
   13277, 13279, 13280, 13283, 13284, 13285, 13286, 13289, 13290, 13294,
   13293, 13310, 13308, 13324, 13323, 13337, 13343, 13344, 13347, 13349,
   13350, 13353, 13354, 13355, 13356, 13359, 13360, 13363, 13371, 13388,
   13396, 13419, 13525, 13559, 13561, 13563, 13567, 13571, 13570, 13621,
   13623, 13622, 13637, 13643, 13650, 13655, 13661, 13662, 13665, 13666,
   13667, 13668, 13669, 13670, 13671, 13679, 13687, 13690, 13691, 13692,
   13693, 13694, 13695, 13703, 13711, 13712, 13713, 13716, 13717, 13720,
   13722, 13731, 13819, 13820, 13827, 13828, 13829, 13835, 13844, 13847,
   13848, 13849, 13850, 13853, 13854, 13855, 13858, 13860, 13868, 13869,
   13875, 13883, 13884, 13887, 13888, 13891, 13896, 13903, 13908, 13915,
   13922, 13922, 13924, 13931, 13932, 13935, 13936, 13937, 13938, 13939,
   13940, 13941, 13942, 13943, 13949, 13956, 13968, 13974, 13981, 13989,
   13990, 14002, 14013, 14024, 14028, 14029, 14032, 14037, 14041, 14042,
   14045, 14051, 14059, 14065, 14072, 14076, 14077, 14080, 14083, 14087,
   14088, 14091, 14097, 14106, 14111, 14121, 14131, 14143, 14144, 14145,
   14146, 14147, 14148, 14149, 14150, 14151, 14152, 14153, 14154, 14155,
   14156, 14157, 14164, 14165, 14168, 14169, 14176, 14177, 14178, 14185,
   14184, 14201, 14202, 14209, 14208, 14278, 14284, 14290, 14298, 14304,
   14310, 14316, 14322, 14328, 14334, 14340, 14346, 14357, 14358, 14361,
   14362, 14363, 14364, 14365, 14366, 14367, 14368, 14369, 14370, 14371,
   14372, 14373, 14374, 14375, 14376, 14377, 14378, 14379, 14380, 14381,
   14382, 14383, 14384, 14387, 14388, 14389, 14390, 14391, 14392, 14396,
   14397, 14398, 14399, 14400, 14401, 14402, 14405, 14408, 14409, 14410,
   14411, 14412, 14413, 14414, 14415, 14428, 14429, 14430, 14431, 14432,
   14433, 14434, 14439, 14440, 14441, 14442, 14443, 14444, 14450, 14451,
   14452, 14453, 14454, 14455, 14456, 14457, 14458, 14459, 14460, 14463,
   14464, 14465, 14466, 14467, 14470, 14471, 14472, 14473, 14476, 14477,
   14478, 14479, 14480, 14481, 14482, 14499, 14500, 14501, 14504, 14505,
   14506, 14507, 14508, 14509, 14513, 14513, 14516, 14522, 14523, 14526,
   14528, 14533, 14543, 14554, 14561, 14562, 14563, 14566, 14599, 14601,
   14603, 14606, 14616, 14626, 14636, 14637, 14640, 14642, 14643, 14644,
   14647, 14649, 14657, 14658, 14659, 14663, 14664, 14668, 14669, 14672,
   14673, 14676, 14677, 14678, 14679, 14680, 14683, 14684, 14685, 14686,
   14687, 14688, 14689, 14690, 14691, 14692, 14693, 14694, 14695, 14696,
   14697, 14698, 14699, 14700, 14701, 14702, 14703, 14704, 14705, 14706,
   14707, 14708, 14709, 14710, 14711, 14712, 14713, 14714, 14715, 14716,
   14717, 14718, 14719, 14720, 14721, 14722, 14723, 14724, 14725, 14726,
   14727, 14728, 14729, 14730, 14731, 14732, 14733, 14734, 14735, 14736,
   14737, 14738, 14741, 14742, 14743, 14744, 14747, 14748, 14749, 14750,
   14751, 14752, 14753, 14754, 14755, 14758, 14759, 14760, 14761, 14764,
   14765, 14768, 14769, 14772, 14773, 14784, 14785
};
#endif

#if YYDEBUG || YYERROR_VERBOSE || 0
/* YYTNAME[SYMBOL-NUM] -- String name of the symbol SYMBOL-NUM.
   First, the terminals, then, starting at YYNTOKENS, nonterminals.  */
static const char *const yytname[] =
{
  "$end", "error", "$undefined", "SQL_ALLOCATE", "SQL_AUTOCOMMIT",
  "SQL_BOOL", "SQL_BREAK", "SQL_CALL", "SQL_CARDINALITY", "SQL_CONNECT",
  "SQL_COUNT", "SQL_DATETIME_INTERVAL_CODE",
  "SQL_DATETIME_INTERVAL_PRECISION", "SQL_DESCRIBE", "SQL_DESCRIPTOR",
  "SQL_DISCONNECT", "SQL_FOUND", "SQL_FREE", "SQL_GET", "SQL_GO",
  "SQL_GOTO", "SQL_IDENTIFIED", "SQL_INDICATOR", "SQL_KEY_MEMBER",
  "SQL_LENGTH", "SQL_LONG", "SQL_NULLABLE", "SQL_OCTET_LENGTH", "SQL_OPEN",
  "SQL_OUTPUT", "SQL_REFERENCE", "SQL_RETURNED_LENGTH",
  "SQL_RETURNED_OCTET_LENGTH", "SQL_SCALE", "SQL_SECTION", "SQL_SHORT",
  "SQL_SIGNED", "SQL_SQL", "SQL_SQLERROR", "SQL_SQLPRINT",
  "SQL_SQLWARNING", "SQL_START", "SQL_STOP", "SQL_STRUCT", "SQL_UNSIGNED",
  "SQL_VAR", "SQL_WHENEVER", "S_ADD", "S_AND", "S_ANYTHING", "S_AUTO",
  "S_CONST", "S_DEC", "S_DIV", "S_DOTPOINT", "S_EQUAL", "S_EXTERN",
  "S_INC", "S_LSHIFT", "S_MEMPOINT", "S_MEMBER", "S_MOD", "S_MUL",
  "S_NEQUAL", "S_OR", "S_REGISTER", "S_RSHIFT", "S_STATIC", "S_SUB",
  "S_VOLATILE", "S_TYPEDEF", "CSTRING", "CVARIABLE", "CPP_LINE", "IP",
  "DOLCONST", "ECONST", "NCONST", "UCONST", "UIDENT", "IDENT", "FCONST",
  "SCONST", "BCONST", "XCONST", "Op", "ICONST", "PARAM", "TYPECAST",
  "DOT_DOT", "COLON_EQUALS", "ABORT_P", "ABSOLUTE_P", "ACCESS", "ACTION",
  "ADD_P", "ADMIN", "AFTER", "AGGREGATE", "ALL", "ALSO", "ALTER", "ALWAYS",
  "ANALYSE", "ANALYZE", "AND", "ANY", "ARRAY", "AS", "ASC", "ASSERTION",
  "ASSIGNMENT", "ASYMMETRIC", "AT", "ATTRIBUTE", "AUTHORIZATION",
  "BACKWARD", "BEFORE", "BEGIN_P", "BETWEEN", "BIGINT", "BINARY", "BIT",
  "BOOLEAN_P", "BOTH", "BY", "CACHE", "CALLED", "CASCADE", "CASCADED",
  "CASE", "CAST", "CATALOG_P", "CHAIN", "CHAR_P", "CHARACTER",
  "CHARACTERISTICS", "CHECK", "CHECKPOINT", "CLASS", "CLOSE", "CLUSTER",
  "COALESCE", "COLLATE", "COLLATION", "COLUMN", "COMMENT", "COMMENTS",
  "COMMIT", "COMMITTED", "CONCURRENTLY", "CONFIGURATION", "CONNECTION",
  "CONSTRAINT", "CONSTRAINTS", "CONTENT_P", "CONTINUE_P", "CONVERSION_P",
  "COPY", "COST", "CREATE", "CROSS", "CSV", "CURRENT_P", "CURRENT_CATALOG",
  "CURRENT_DATE", "CURRENT_ROLE", "CURRENT_SCHEMA", "CURRENT_TIME",
  "CURRENT_TIMESTAMP", "CURRENT_USER", "CURSOR", "CYCLE", "DATA_P",
  "DATABASE", "DAY_P", "DEALLOCATE", "DEC", "DECIMAL_P", "DECLARE",
  "DEFAULT", "DEFAULTS", "DEFERRABLE", "DEFERRED", "DEFINER", "DELETE_P",
  "DELIMITER", "DELIMITERS", "DESC", "DICTIONARY", "DISABLE_P", "DISCARD",
  "DISTINCT", "DO", "DOCUMENT_P", "DOMAIN_P", "DOUBLE_P", "DROP", "EACH",
  "ELSE", "ENABLE_P", "ENCODING", "ENCRYPTED", "END_P", "ENUM_P", "ESCAPE",
  "EVENT", "EXCEPT", "EXCLUDE", "EXCLUDING", "EXCLUSIVE", "EXECUTE",
  "EXISTS", "EXPLAIN", "EXTENSION", "EXTERNAL", "EXTRACT", "FALSE_P",
  "FAMILY", "FETCH", "FIRST_P", "FLOAT_P", "FOLLOWING", "FOR", "FORCE",
  "FOREIGN", "FORWARD", "FREEZE", "FROM", "FULL", "FUNCTION", "FUNCTIONS",
  "GLOBAL", "GRANT", "GRANTED", "GREATEST", "GROUP_P", "HANDLER", "HAVING",
  "HEADER_P", "HOLD", "HOUR_P", "IDENTITY_P", "IF_P", "ILIKE", "IMMEDIATE",
  "IMMUTABLE", "IMPLICIT_P", "IN_P", "INCLUDING", "INCREMENT", "INDEX",
  "INDEXES", "INHERIT", "INHERITS", "INITIALLY", "INLINE_P", "INNER_P",
  "INOUT", "INPUT_P", "INSENSITIVE", "INSERT", "INSTEAD", "INT_P",
  "INTEGER", "INTERSECT", "INTERVAL", "INTO", "INVOKER", "IS", "ISNULL",
  "ISOLATION", "JOIN", "KEY", "LABEL", "LANGUAGE", "LARGE_P", "LAST_P",
  "LATERAL_P", "LC_COLLATE_P", "LC_CTYPE_P", "LEADING", "LEAKPROOF",
  "LEAST", "LEFT", "LEVEL", "LIKE", "LIMIT", "LISTEN", "LOAD", "LOCAL",
  "LOCALTIME", "LOCALTIMESTAMP", "LOCATION", "LOCK_P", "MAPPING", "MATCH",
  "MATERIALIZED", "MAXVALUE", "MINUTE_P", "MINVALUE", "MODE", "MONTH_P",
  "MOVE", "NAME_P", "NAMES", "NATIONAL", "NATURAL", "NCHAR", "NEXT", "NO",
  "NONE", "NOT", "NOTHING", "NOTIFY", "NOTNULL", "NOWAIT", "NULL_P",
  "NULLIF", "NULLS_P", "NUMERIC", "OBJECT_P", "OF", "OFF", "OFFSET",
  "OIDS", "ON", "ONLY", "OPERATOR", "OPTION", "OPTIONS", "OR", "ORDER",
  "OUT_P", "OUTER_P", "OVER", "OVERLAPS", "OVERLAY", "OWNED", "OWNER",
  "PARSER", "PARTIAL", "PARTITION", "PASSING", "PASSWORD", "PLACING",
  "PLANS", "POSITION", "PRECEDING", "PRECISION", "PRESERVE", "PREPARE",
  "PREPARED", "PRIMARY", "PRIOR", "PRIVILEGES", "PROCEDURAL", "PROCEDURE",
  "PROGRAM", "QUOTE", "RANGE", "READ", "REAL", "REASSIGN", "RECHECK",
  "RECURSIVE", "REF", "REFERENCES", "REFRESH", "REINDEX", "RELATIVE_P",
  "RELEASE", "RENAME", "REPEATABLE", "REPLACE", "REPLICA", "RESET",
  "RESTART", "RESTRICT", "RETURNING", "RETURNS", "REVOKE", "RIGHT", "ROLE",
  "ROLLBACK", "ROW", "ROWS", "RULE", "SAVEPOINT", "SCHEMA", "SCROLL",
  "SEARCH", "SECOND_P", "SECURITY", "SELECT", "SEQUENCE", "SEQUENCES",
  "SERIALIZABLE", "SERVER", "SESSION", "SESSION_USER", "SET", "SETOF",
  "SHARE", "SHOW", "SIMILAR", "SIMPLE", "SMALLINT", "SNAPSHOT", "SOME",
  "STABLE", "STANDALONE_P", "START", "STATEMENT", "STATISTICS", "STDIN",
  "STDOUT", "STORAGE", "STRICT_P", "STRIP_P", "SUBSTRING", "SYMMETRIC",
  "SYSID", "SYSTEM_P", "TABLE", "TABLES", "TABLESPACE", "TEMP", "TEMPLATE",
  "TEMPORARY", "TEXT_P", "THEN", "TIME", "TIMESTAMP", "TO", "TRAILING",
  "TRANSACTION", "TREAT", "TRIGGER", "TRIM", "TRUE_P", "TRUNCATE",
  "TRUSTED", "TYPE_P", "TYPES_P", "UNBOUNDED", "UNCOMMITTED",
  "UNENCRYPTED", "UNION", "UNIQUE", "UNKNOWN", "UNLISTEN", "UNLOGGED",
  "UNTIL", "UPDATE", "USER", "USING", "VACUUM", "VALID", "VALIDATE",
  "VALIDATOR", "VALUE_P", "VALUES", "VARCHAR", "VARIADIC", "VARYING",
  "VERBOSE", "VERSION_P", "VIEW", "VOLATILE", "WHEN", "WHERE",
  "WHITESPACE_P", "WINDOW", "WITH", "WITHOUT", "WORK", "WRAPPER", "WRITE",
  "XML_P", "XMLATTRIBUTES", "XMLCONCAT", "XMLELEMENT", "XMLEXISTS",
  "XMLFOREST", "XMLPARSE", "XMLPI", "XMLROOT", "XMLSERIALIZE", "YEAR_P",
  "YES_P", "ZONE", "NULLS_FIRST", "NULLS_LAST", "WITH_TIME", "'='", "'<'",
  "'>'", "POSTFIXOP", "'+'", "'-'", "'*'", "'/'", "'%'", "'^'", "UMINUS",
  "'['", "']'", "'('", "')'", "'.'", "','", "';'", "':'", "'{'", "'}'",
  "$accept", "prog", "stmt", "CreateRoleStmt", "opt_with", "OptRoleList",
  "AlterOptRoleList", "AlterOptRoleElem", "CreateOptRoleElem",
  "CreateUserStmt", "AlterRoleStmt", "opt_in_database", "AlterRoleSetStmt",
  "AlterUserStmt", "AlterUserSetStmt", "DropRoleStmt", "DropUserStmt",
  "CreateGroupStmt", "AlterGroupStmt", "add_drop", "DropGroupStmt",
  "CreateSchemaStmt", "OptSchemaName", "OptSchemaEltList", "schema_stmt",
  "VariableSetStmt", "set_rest", "set_rest_more", "var_name", "var_list",
  "var_value", "iso_level", "opt_boolean_or_string", "zone_value",
  "opt_encoding", "NonReservedWord_or_Sconst", "VariableResetStmt",
  "SetResetClause", "FunctionSetResetClause", "VariableShowStmt",
  "ConstraintsSetStmt", "constraints_set_list", "constraints_set_mode",
  "CheckPointStmt", "DiscardStmt", "AlterTableStmt", "alter_table_cmds",
  "alter_table_cmd", "alter_column_default", "opt_drop_behavior",
  "opt_collate_clause", "alter_using", "reloptions", "opt_reloptions",
  "reloption_list", "reloption_elem", "AlterCompositeTypeStmt",
  "alter_type_cmds", "alter_type_cmd", "ClosePortalStmt", "CopyStmt",
  "copy_from", "opt_program", "copy_file_name", "copy_options",
  "copy_opt_list", "copy_opt_item", "opt_binary", "opt_oids",
  "copy_delimiter", "opt_using", "copy_generic_opt_list",
  "copy_generic_opt_elem", "copy_generic_opt_arg",
  "copy_generic_opt_arg_list", "copy_generic_opt_arg_list_item",
  "CreateStmt", "OptTemp", "OptTableElementList",
  "OptTypedTableElementList", "TableElementList", "TypedTableElementList",
  "TableElement", "TypedTableElement", "columnDef", "columnOptions",
  "ColQualList", "ColConstraint", "ColConstraintElem", "ConstraintAttr",
  "TableLikeClause", "TableLikeOptionList", "TableLikeOption",
  "TableConstraint", "ConstraintElem", "opt_no_inherit", "opt_column_list",
  "columnList", "columnElem", "key_match", "ExclusionConstraintList",
  "ExclusionConstraintElem", "ExclusionWhereClause", "key_actions",
  "key_update", "key_delete", "key_action", "OptInherit", "OptWith",
  "OnCommitOption", "OptTableSpace", "OptConsTableSpace", "ExistingIndex",
  "create_as_target", "opt_with_data", "CreateMatViewStmt",
  "create_mv_target", "OptNoLog", "RefreshMatViewStmt", "CreateSeqStmt",
  "AlterSeqStmt", "OptSeqOptList", "SeqOptList", "SeqOptElem", "opt_by",
  "NumericOnly", "NumericOnly_list", "CreatePLangStmt", "opt_trusted",
  "handler_name", "opt_inline_handler", "validator_clause",
  "opt_validator", "DropPLangStmt", "opt_procedural",
  "CreateTableSpaceStmt", "OptTableSpaceOwner", "DropTableSpaceStmt",
  "CreateExtensionStmt", "create_extension_opt_list",
  "create_extension_opt_item", "AlterExtensionStmt",
  "alter_extension_opt_list", "alter_extension_opt_item",
  "AlterExtensionContentsStmt", "CreateFdwStmt", "fdw_option",
  "fdw_options", "opt_fdw_options", "DropFdwStmt", "AlterFdwStmt",
  "create_generic_options", "generic_option_list", "alter_generic_options",
  "alter_generic_option_list", "alter_generic_option_elem",
  "generic_option_elem", "generic_option_name", "generic_option_arg",
  "CreateForeignServerStmt", "opt_type", "foreign_server_version",
  "opt_foreign_server_version", "DropForeignServerStmt",
  "AlterForeignServerStmt", "CreateForeignTableStmt",
  "AlterForeignTableStmt", "CreateUserMappingStmt", "auth_ident",
  "DropUserMappingStmt", "AlterUserMappingStmt", "CreateTrigStmt",
  "TriggerActionTime", "TriggerEvents", "TriggerOneEvent",
  "TriggerForSpec", "TriggerForOptEach", "TriggerForType", "TriggerWhen",
  "TriggerFuncArgs", "TriggerFuncArg", "OptConstrFromTable",
  "ConstraintAttributeSpec", "ConstraintAttributeElem", "DropTrigStmt",
  "CreateEventTrigStmt", "event_trigger_when_list",
  "event_trigger_when_item", "event_trigger_value_list",
  "AlterEventTrigStmt", "enable_trigger", "CreateAssertStmt",
  "DropAssertStmt", "DefineStmt", "definition", "def_list", "def_elem",
  "def_arg", "aggr_args", "old_aggr_definition", "old_aggr_list",
  "old_aggr_elem", "opt_enum_val_list", "enum_val_list", "AlterEnumStmt",
  "opt_if_not_exists", "CreateOpClassStmt", "opclass_item_list",
  "opclass_item", "opt_default", "opt_opfamily", "opclass_purpose",
  "opt_recheck", "CreateOpFamilyStmt", "AlterOpFamilyStmt",
  "opclass_drop_list", "opclass_drop", "DropOpClassStmt",
  "DropOpFamilyStmt", "DropOwnedStmt", "ReassignOwnedStmt", "DropStmt",
  "drop_type", "any_name_list", "any_name", "attrs", "TruncateStmt",
  "opt_restart_seqs", "CommentStmt", "comment_type", "comment_text",
  "SecLabelStmt", "opt_provider", "security_label_type", "security_label",
  "FetchStmt", "fetch_args", "from_in", "opt_from_in", "GrantStmt",
  "RevokeStmt", "privileges", "privilege_list", "privilege",
  "privilege_target", "grantee_list", "grantee", "opt_grant_grant_option",
  "function_with_argtypes_list", "function_with_argtypes", "GrantRoleStmt",
  "RevokeRoleStmt", "opt_grant_admin_option", "opt_granted_by",
  "AlterDefaultPrivilegesStmt", "DefACLOptionList", "DefACLOption",
  "DefACLAction", "defacl_privilege_target", "IndexStmt", "opt_unique",
  "opt_concurrently", "opt_index_name", "access_method_clause",
  "index_params", "index_elem", "opt_collate", "opt_class", "opt_asc_desc",
  "opt_nulls_order", "CreateFunctionStmt", "opt_or_replace", "func_args",
  "func_args_list", "func_args_with_defaults",
  "func_args_with_defaults_list", "func_arg", "arg_class", "param_name",
  "func_return", "func_type", "func_arg_with_default",
  "createfunc_opt_list", "common_func_opt_item", "createfunc_opt_item",
  "func_as", "opt_definition", "table_func_column",
  "table_func_column_list", "AlterFunctionStmt", "alterfunc_opt_list",
  "opt_restrict", "RemoveFuncStmt", "RemoveAggrStmt", "RemoveOperStmt",
  "oper_argtypes", "any_operator", "DoStmt", "dostmt_opt_list",
  "dostmt_opt_item", "CreateCastStmt", "cast_context", "DropCastStmt",
  "opt_if_exists", "ReindexStmt", "reindex_type", "opt_force",
  "RenameStmt", "opt_column", "opt_set_data", "AlterObjectSchemaStmt",
  "AlterOwnerStmt", "RuleStmt", "RuleActionList", "RuleActionMulti",
  "RuleActionStmt", "RuleActionStmtOrEmpty", "event", "opt_instead",
  "DropRuleStmt", "NotifyStmt", "notify_payload", "ListenStmt",
  "UnlistenStmt", "TransactionStmt", "opt_transaction",
  "transaction_mode_item", "transaction_mode_list",
  "transaction_mode_list_or_empty", "ViewStmt", "opt_check_option",
  "LoadStmt", "CreatedbStmt", "createdb_opt_list", "createdb_opt_item",
  "opt_equal", "AlterDatabaseStmt", "AlterDatabaseSetStmt",
  "alterdb_opt_list", "alterdb_opt_item", "DropdbStmt", "CreateDomainStmt",
  "AlterDomainStmt", "opt_as", "AlterTSDictionaryStmt",
  "AlterTSConfigurationStmt", "CreateConversionStmt", "ClusterStmt",
  "cluster_index_specification", "VacuumStmt", "vacuum_option_list",
  "vacuum_option_elem", "AnalyzeStmt", "analyze_keyword", "opt_verbose",
  "opt_full", "opt_freeze", "opt_name_list", "ExplainStmt",
  "ExplainableStmt", "explain_option_list", "explain_option_elem",
  "explain_option_name", "explain_option_arg", "PrepareStmt",
  "prep_type_clause", "PreparableStmt", "ExecuteStmt",
  "execute_param_clause", "InsertStmt", "insert_rest",
  "insert_column_list", "insert_column_item", "returning_clause",
  "DeleteStmt", "using_clause", "LockStmt", "opt_lock", "lock_type",
  "opt_nowait", "UpdateStmt", "set_clause_list", "set_clause",
  "single_set_clause", "multiple_set_clause", "set_target",
  "set_target_list", "DeclareCursorStmt", "cursor_name", "cursor_options",
  "opt_hold", "SelectStmt", "select_with_parens", "select_no_parens",
  "select_clause", "simple_select", "with_clause", "cte_list",
  "common_table_expr", "opt_with_clause", "into_clause",
  "OptTempTableName", "opt_table", "opt_all", "opt_distinct",
  "opt_sort_clause", "sort_clause", "sortby_list", "sortby",
  "select_limit", "opt_select_limit", "limit_clause", "offset_clause",
  "select_limit_value", "select_offset_value",
  "opt_select_fetch_first_value", "select_offset_value2", "row_or_rows",
  "first_or_next", "group_clause", "having_clause", "for_locking_clause",
  "opt_for_locking_clause", "for_locking_items", "for_locking_item",
  "for_locking_strength", "locked_rels_list", "values_clause",
  "from_clause", "from_list", "table_ref", "joined_table", "alias_clause",
  "opt_alias_clause", "func_alias_clause", "join_type", "join_outer",
  "join_qual", "relation_expr", "relation_expr_list",
  "relation_expr_opt_alias", "func_table", "where_clause",
  "where_or_current_clause", "OptTableFuncElementList",
  "TableFuncElementList", "TableFuncElement", "Typename",
  "opt_array_bounds", "SimpleTypename", "ConstTypename", "GenericType",
  "opt_type_modifiers", "Numeric", "opt_float", "Bit", "ConstBit",
  "BitWithLength", "BitWithoutLength", "Character", "ConstCharacter",
  "CharacterWithLength", "CharacterWithoutLength", "character",
  "opt_varying", "opt_charset", "ConstDatetime", "ConstInterval",
  "opt_timezone", "opt_interval", "interval_second", "a_expr", "b_expr",
  "c_expr", "func_expr", "xml_root_version", "opt_xml_root_standalone",
  "xml_attributes", "xml_attribute_list", "xml_attribute_el",
  "document_or_content", "xml_whitespace_option", "xmlexists_argument",
  "window_clause", "window_definition_list", "window_definition",
  "over_clause", "window_specification", "opt_existing_window_name",
  "opt_partition_clause", "opt_frame_clause", "frame_extent",
  "frame_bound", "row", "sub_type", "all_Op", "MathOp", "qual_Op",
  "qual_all_Op", "subquery_Op", "expr_list", "func_arg_list",
  "func_arg_expr", "type_list", "array_expr", "array_expr_list",
  "extract_list", "extract_arg", "overlay_list", "overlay_placing",
  "position_list", "substr_list", "substr_from", "substr_for", "trim_list",
  "in_expr", "case_expr", "when_clause_list", "when_clause",
  "case_default", "case_arg", "columnref", "indirection_el", "indirection",
  "opt_indirection", "opt_asymmetric", "ctext_expr", "ctext_expr_list",
  "ctext_row", "target_list", "target_el", "qualified_name_list",
  "qualified_name", "name_list", "name", "database_name", "access_method",
  "attr_name", "index_name", "file_name", "func_name", "AexprConst",
  "Iconst", "RoleId", "role_list", "SignedIconst", "NonReservedWord",
  "unreserved_keyword", "col_name_keyword", "type_func_name_keyword",
  "reserved_keyword", "statements", "statement", "CreateAsStmt", "$@1",
  "at", "ECPGConnect", "connection_target", "opt_database_name",
  "db_prefix", "server", "opt_server", "server_name", "opt_port",
  "opt_connection_name", "opt_user", "ora_user", "user_name",
  "char_variable", "opt_options", "connect_options", "opt_opt_value",
  "prepared_name", "ECPGCursorStmt", "ECPGExecuteImmediateStmt",
  "ECPGVarDeclaration", "single_vt_declaration", "precision", "opt_scale",
  "ecpg_interval", "ECPGDeclaration", "$@2", "sql_startdeclare",
  "sql_enddeclare", "var_type_declarations", "vt_declarations",
  "variable_declarations", "type_declaration", "$@3", "var_declaration",
  "$@4", "$@5", "opt_bit_field", "storage_declaration", "storage_clause",
  "storage_modifier", "var_type", "enum_type", "enum_definition",
  "struct_union_type_with_symbol", "$@6", "struct_union_type", "$@7",
  "s_struct_union_symbol", "s_struct_union", "simple_type",
  "unsigned_type", "signed_type", "opt_signed", "variable_list",
  "variable", "opt_initializer", "opt_pointer", "ECPGDeclare",
  "ECPGDisconnect", "dis_name", "connection_object", "execstring",
  "ECPGFree", "ECPGOpen", "opt_ecpg_using", "ecpg_using",
  "using_descriptor", "into_descriptor", "into_sqlda", "using_list",
  "UsingValue", "UsingConst", "ECPGDescribe", "opt_output",
  "ECPGAllocateDescr", "ECPGDeallocateDescr", "ECPGGetDescriptorHeader",
  "ECPGGetDescHeaderItems", "ECPGGetDescHeaderItem",
  "ECPGSetDescriptorHeader", "ECPGSetDescHeaderItems",
  "ECPGSetDescHeaderItem", "IntConstVar", "desc_header_item",
  "ECPGGetDescriptor", "ECPGGetDescItems", "ECPGGetDescItem",
  "ECPGSetDescriptor", "ECPGSetDescItems", "ECPGSetDescItem",
  "AllConstVar", "descriptor_item", "ECPGSetAutocommit", "on_off",
  "ECPGSetConnection", "ECPGTypedef", "$@8", "opt_reference", "ECPGVar",
  "$@9", "ECPGWhenever", "action", "ECPGKeywords", "ECPGKeywords_vanames",
  "ECPGKeywords_rest", "ECPGTypeName", "symbol", "ECPGColId", "ColId",
  "type_function_name", "ColLabel", "ECPGColLabel", "ECPGColLabelCommon",
  "ECPGCKeywords", "all_unreserved_keyword", "ECPGunreserved_interval",
  "into_list", "ecpgstart", "c_args", "coutputvariable", "civarind",
  "char_civar", "civar", "indicator", "cvariable", "ecpg_param",
  "ecpg_bconst", "ecpg_fconst", "ecpg_sconst", "ecpg_xconst", "ecpg_ident",
  "quoted_ident_stringvar", "c_stuff_item", "c_stuff", "c_list", "c_term",
  "c_thing", "c_anything", "DeallocateStmt", "Iresult", "execute_rest",
  "ecpg_into", "opt_ecpg_into", "ecpg_fetch_into", "opt_ecpg_fetch_into", YY_NULLPTR
};
#endif

# ifdef YYPRINT
/* YYTOKNUM[NUM] -- (External) token number corresponding to the
   (internal) symbol number NUM (which must be that of a token).  */
static const yytype_uint16 yytoknum[] =
{
       0,   256,   257,   258,   259,   260,   261,   262,   263,   264,
     265,   266,   267,   268,   269,   270,   271,   272,   273,   274,
     275,   276,   277,   278,   279,   280,   281,   282,   283,   284,
     285,   286,   287,   288,   289,   290,   291,   292,   293,   294,
     295,   296,   297,   298,   299,   300,   301,   302,   303,   304,
     305,   306,   307,   308,   309,   310,   311,   312,   313,   314,
     315,   316,   317,   318,   319,   320,   321,   322,   323,   324,
     325,   326,   327,   328,   329,   330,   331,   332,   333,   334,
     335,   336,   337,   338,   339,   340,   341,   342,   343,   344,
     345,   346,   347,   348,   349,   350,   351,   352,   353,   354,
     355,   356,   357,   358,   359,   360,   361,   362,   363,   364,
     365,   366,   367,   368,   369,   370,   371,   372,   373,   374,
     375,   376,   377,   378,   379,   380,   381,   382,   383,   384,
     385,   386,   387,   388,   389,   390,   391,   392,   393,   394,
     395,   396,   397,   398,   399,   400,   401,   402,   403,   404,
     405,   406,   407,   408,   409,   410,   411,   412,   413,   414,
     415,   416,   417,   418,   419,   420,   421,   422,   423,   424,
     425,   426,   427,   428,   429,   430,   431,   432,   433,   434,
     435,   436,   437,   438,   439,   440,   441,   442,   443,   444,
     445,   446,   447,   448,   449,   450,   451,   452,   453,   454,
     455,   456,   457,   458,   459,   460,   461,   462,   463,   464,
     465,   466,   467,   468,   469,   470,   471,   472,   473,   474,
     475,   476,   477,   478,   479,   480,   481,   482,   483,   484,
     485,   486,   487,   488,   489,   490,   491,   492,   493,   494,
     495,   496,   497,   498,   499,   500,   501,   502,   503,   504,
     505,   506,   507,   508,   509,   510,   511,   512,   513,   514,
     515,   516,   517,   518,   519,   520,   521,   522,   523,   524,
     525,   526,   527,   528,   529,   530,   531,   532,   533,   534,
     535,   536,   537,   538,   539,   540,   541,   542,   543,   544,
     545,   546,   547,   548,   549,   550,   551,   552,   553,   554,
     555,   556,   557,   558,   559,   560,   561,   562,   563,   564,
     565,   566,   567,   568,   569,   570,   571,   572,   573,   574,
     575,   576,   577,   578,   579,   580,   581,   582,   583,   584,
     585,   586,   587,   588,   589,   590,   591,   592,   593,   594,
     595,   596,   597,   598,   599,   600,   601,   602,   603,   604,
     605,   606,   607,   608,   609,   610,   611,   612,   613,   614,
     615,   616,   617,   618,   619,   620,   621,   622,   623,   624,
     625,   626,   627,   628,   629,   630,   631,   632,   633,   634,
     635,   636,   637,   638,   639,   640,   641,   642,   643,   644,
     645,   646,   647,   648,   649,   650,   651,   652,   653,   654,
     655,   656,   657,   658,   659,   660,   661,   662,   663,   664,
     665,   666,   667,   668,   669,   670,   671,   672,   673,   674,
     675,   676,   677,   678,   679,   680,   681,   682,   683,   684,
     685,   686,   687,   688,   689,   690,   691,   692,   693,   694,
     695,   696,   697,   698,   699,   700,   701,   702,   703,   704,
     705,   706,   707,   708,   709,   710,   711,   712,   713,   714,
     715,   716,   717,   718,   719,   720,   721,   722,   723,   724,
     725,   726,   727,   728,   729,   730,   731,   732,   733,   734,
     735,   736,   737,   738,   739,   740,   741,   742,   743,   744,
     745,   746,   747,   748,   749,    61,    60,    62,   750,    43,
      45,    42,    47,    37,    94,   751,    91,    93,    40,    41,
      46,    44,    59,    58,   123,   125
};
# endif

#define YYPACT_NINF -4453

#define yypact_value_is_default(Yystate) \
  (!!((Yystate) == (-4453)))

#define YYTABLE_NINF -2637

#define yytable_value_is_error(Yytable_value) \
  (!!((Yytable_value) == (-2637)))

  /* YYPACT[STATE-NUM] -- Index in YYTABLE of the portion describing
     STATE-NUM.  */
static const int yypact[] =
{
   -4453,   897,  9505, -4453, -4453, -4453, -4453, -4453, -4453, -4453,
   -4453, -4453, -4453, -4453, -4453, -4453, -4453, -4453, -4453, -4453,
   -4453, -4453, -4453, -4453, -4453, -4453, -4453, -4453, -4453, -4453,
   -4453, -4453, -4453, -4453, -4453, -4453, -4453, -4453, -4453, -4453,
   -4453, -4453, -4453, -4453, -4453, -4453, -4453, -4453, -4453, -4453,
   -4453, -4453, -4453, -4453, -4453, -4453, -4453, -4453, -4453, -4453,
   -4453, -4453, -4453, -4453, -4453, -4453, -4453, -4453, -4453, -4453,
   -4453, -4453, -4453, -4453, -4453, -4453, -4453, -4453, 26955, -4453,
   -4453, -4453, -4453, -4453, 25959,  1105, -4453, -4453, -4453,102912,
   -4453, -4453, -4453,   272, 66917, -4453, 69833,  1137, -4453, -4453,
   -4453, -4453, -4453, -4453, -4453, -4453, 73235, -4453, -4453, -4453,
   -4453, -4453, -4453, -4453, -4453, -4453, -4453, 56213,  1497, -4453,
     435, -4453, -4453, -4453, -4453, -4453, -4453, -4453,  1290,  8758,
   -4453, -4453, 70319, -4453,    93, -4453, -4453, -4453, -4453, -4453,
   -4453, -4453, 70805,   784, -4453, -4453,  1096,   457, -4453,   103,
   15790, -4453, -4453, 63515, 67889, -4453, -4453, 73721,   301,  2332,
   11135,  1290, 26466, 74207, -4453,  1457, -4453, 52769, -4453, -4453,
   -4453, 67403, -4453, -4453, -4453, -4453, -4453, -4453, -4453, -4453,
   -4453, -4453, -4453, -4453, 81011,  3028,   906, 53264, -4453, -4453,
   -4453, -4453, 81011, -4453, -4453, -4453, -4453, -4453, -4453, -4453,
   -4453, -4453, -4453, 74693, -4453,  1190,  1277,  1328, 81497, 81983,
   64973, -4453,  1020, -4453, 81011,  1311,   694, 55239, -4453, 82469,
   -4453, -4453,  1343, -4453, 75179, -4453, -4453, -4453, -4453,   906,
   -4453, 56213, 51795,    20,  1327, -4453, -4453, 82955, -4453, -4453,
   -4453, -4453, -4453, -4453, -4453, -4453, -4453,  1696,  1377, -4453,
   -4453, -4453, -4453, -4453, -4453, -4453, -4453, -4453, -4453, -4453,
   -4453, -4453, -4453, -4453, -4453, -4453, -4453, -4453, -4453, -4453,
   -4453, -4453, -4453, -4453, -4453, -4453, -4453, -4453, -4453, -4453,
   -4453, -4453, -4453, -4453, -4453, -4453, -4453, -4453, -4453, -4453,
   -4453, -4453, -4453, -4453, -4453, -4453, -4453, -4453, -4453, -4453,
   -4453, -4453, -4453, -4453, -4453, -4453, -4453, -4453, -4453, -4453,
   -4453, -4453, -4453, -4453, -4453, -4453, -4453, -4453, -4453, -4453,
   -4453, -4453, -4453, -4453, -4453, -4453, -4453, -4453, -4453, -4453,
   -4453, -4453, -4453, -4453, -4453, -4453, -4453, -4453, -4453, -4453,
   -4453, -4453, -4453, -4453, -4453, -4453, -4453, -4453, -4453, -4453,
   -4453, -4453,   784, -4453, -4453, -4453, -4453, -4453, -4453, -4453,
   -4453, -4453,   744, -4453,   789,   771,  1496,   256,  1411, -4453,
   -4453, -4453,  8465, -4453, -4453, -4453, -4453, -4453, -4453, -4453,
   99473,  1304, -4453, -4453, -4453,  1418, -4453,  1424, -4453, -4453,
   -4453,  2128, -4453, -4453, -4453, -4453, -4453, -4453, -4453, -4453,
   -4453, -4453, -4453, -4453, -4453, -4453, -4453, -4453, -4453,  1019,
   -4453, -4453, -4453, -4453,  1931, 98507, 73235, -4453, -4453, -4453,
   -4453, -4453, -4453, -4453, -4453, -4453, -4453, -4453, -4453, -4453,
   -4453, -4453, -4453, -4453, -4453, -4453, -4453, -4453, -4453, -4453,
   -4453, -4453, -4453, -4453, -4453, -4453, -4453, -4453, -4453, -4453,
   -4453, -4453, -4453, -4453, -4453, -4453, -4453, -4453, -4453, -4453,
   -4453, -4453, -4453, -4453, -4453, -4453, -4453, -4453, -4453, -4453,
   -4453, -4453, -4453, -4453, -4453, -4453, -4453, -4453, -4453, -4453,
   -4453, -4453, -4453, -4453, -4453, -4453, -4453, -4453, -4453, -4453,
   -4453, -4453, -4453, -4453, -4453, -4453, -4453, -4453, -4453, -4453,
   -4453, -4453, -4453, -4453, -4453, -4453, -4453, -4453, -4453, -4453,
   -4453, -4453, -4453, -4453, -4453, -4453, -4453, -4453, -4453, -4453,
   -4453, -4453, -4453, -4453, -4453, -4453, -4453, -4453, -4453, -4453,
   -4453, -4453, -4453, -4453, -4453, -4453, -4453, -4453, -4453, -4453,
   -4453, -4453, -4453, -4453, -4453, -4453, -4453, -4453, -4453, -4453,
   -4453, -4453, -4453, -4453, -4453, -4453, -4453, -4453, -4453, -4453,
   -4453, -4453, -4453, -4453, -4453, -4453, -4453, -4453, -4453, -4453,
   -4453, -4453, -4453, -4453, -4453, -4453, -4453, -4453, -4453, -4453,
   -4453, -4453, -4453, -4453, -4453, -4453, -4453, -4453, -4453, -4453,
   -4453, -4453, -4453, -4453, -4453, -4453, -4453, -4453, -4453, -4453,
   -4453, -4453, -4453, -4453, -4453, -4453, -4453, -4453, -4453, -4453,
   -4453, -4453, -4453, -4453, -4453, -4453, -4453, -4453, -4453, -4453,
   -4453, -4453, -4453, -4453, -4453, -4453, -4453, -4453, -4453, -4453,
   -4453, -4453, 63029, -4453, -4453, -4453, -4453, -4453, -4453, -4453,
   -4453, -4453, -4453, -4453, -4453, -4453, -4453, -4453, -4453, -4453,
   -4453, -4453, -4453, -4453, -4453, -4453, -4453, -4453, -4453, -4453,
   -4453, -4453, -4453, -4453, -4453, -4453, -4453, -4453, -4453, -4453,
     164, -4453, -4453, -4453, -4453, -4453, 73235, 73235, -4453, -4453,
   -4453, -4453, -4453, -4453, -4453, -4453, -4453, -4453, -4453, -4453,
   -4453, -4453, -4453, -4453, -4453, -4453, -4453, -4453, -4453, -4453,
   -4453, -4453, -4453, -4453, -4453, -4453, -4453, -4453, -4453, -4453,
   -4453, -4453, -4453, -4453, -4453, -4453, -4453, -4453, -4453, -4453,
   -4453, -4453, -4453, -4453, 73235,  1599, -4453, -4453, -4453, -4453,
   -4453, -4453, -4453, -4453, -4453, -4453, -4453, -4453, -4453, -4453,
   -4453, -4453, -4453, -4453, -4453, -4453, -4453, -4453, -4453, -4453,
   -4453, -4453, -4453, -4453, -4453, -4453, -4453, -4453, -4453, -4453,
   -4453, -4453, -4453, -4453, -4453, -4453, -4453, -4453, -4453, -4453,
   -4453, -4453, -4453, -4453, -4453, -4453, -4453, -4453, -4453, -4453,
   -4453, -4453, -4453, -4453, -4453, -4453, -4453, -4453, -4453, -4453,
   -4453, -4453, -4453, -4453, -4453, -4453, -4453, -4453, -4453, -4453,
   -4453, -4453, -4453, -4453, -4453, -4453, -4453, -4453, -4453, -4453,
   -4453, -4453, -4453, -4453, -4453, -4453, -4453, -4453, -4453, -4453,
   -4453, -4453, -4453, -4453, -4453, -4453,   478,  1748, -4453, -4453,
   56213,  2314,  2314,  2119, 99473, -4453, -4453, -4453, 57187, 81011,
   81011, 81011,  1739, 81011,  1650, 81011,   498, 57187,107095, 83441,
    1868,  1743, 47327, -4453,105841, 81011, 81011, 83927, 81011, 75665,
   81011,  1881, 81011, 81011,106259, 84413,  2018, -4453,  2269,  1214,
   -4453, -4453, -4453, 81011, 12316,  3028, -4453, -4453, 81011,  1894,
   57187, 81011,  1817, 81011,  1901, 81011, -4453, 81011,  1911, 84899,
     569,  1798,107095,  1902, 47826,  1978,107095, 85385, 81011, 81011,
   -4453, -4453,  1975, 81011, 81011, -4453,  2093,107513,  1417,  2097,
    2256,  2147,   757, -4453, -4453,  2339,  1906, -4453, -4453,  2355,
   73235, -4453, 71291, -4453, -4453, -4453,  2117, -4453, -4453, -4453,
   -4453, -4453,104169,  2332, -4453, -4453, 57674, 81011,  2195, -4453,
   -4453, 85871, -4453,  2007, -4453,   591, 58161,107931,  2291,  1988,
   48325,  2337,108349, 86357, -4453, -4453, 86843, -4453, 87329,  2080,
   87815, -4453,108767, -4453,  2204, 88301, -4453, 11781, -4453,  1968,
    2127,  1983,  2083, 73235, 73235,   787,100792, -4453, -4453,   784,
   -4453, -4453, -4453, -4453, -4453, -4453, -4453, -4453,   206,  1870,
   53759,   855, 54254, -4453, -4453,   872,   964,  1158,   206,  2422,
    2422,    60, 73235, -4453, -4453,  1870, -4453,   636,   725,  1987,
    1987,  1987,  2219,   925, -4453,  1987, -4453, -4453, -4453, -4453,
   75179, 53759, 54254, -4453,  2041,  3028,    68,  2432,  2073, 81011,
   -4453, 81011, -4453, 81011, 81011, -4453, -4453, -4453,  2464,  2123,
    2313, -4453,  2110, -4453, -4453, -4453, -4453, -4453, -4453, -4453,
    2282,  2298,  2305,    56,  3028,  2205, -4453,  2412, -4453,  2338,
   31427,  -158, 73235,  3028, 54749, 76151, 96077,   343,104169,  3028,
   88787,  2178,  1159,  2377, -4453, -4453,   287, -4453,  2569,  2228,
    2463,   428,  1214, 44868, -4453,  2238,  -170, 75179, 99956, -4453,
   -4453, -4453, -4453,   203,  2519, 31931, -4453, 81011,  2260, -4453,
    2267,  2280,  2284,  1496, -4453, 81011,  1075,  1075,  2671,  1075,
    1619,  2030, -4453,  2198, -4453,  2576,  2540, 75179,  1327,  1290,
    2300, -4453, -4453, -4453,  2315, -4453,  2303,  2322, -4453,   786,
    2578, -4453, -4453, -4453, -4453,  2410,  2414,  2418,  2421,  2348,
    2425,   150, -4453, -4453, -4453, -4453,  2657, -4453, -4453, -4453,
   -4453, -4453, -4453,  2756,  2743,103333,103333,   711,   732,   165,
     271, -4453, -4453, -4453,  2606, -4453, -4453,  2607, 81011,  2446,
   81011, -4453, -4453, -4453, 89273, -4453, -4453,  2314,  2315,  2378,
   -4453,   375, -4453,  -170, -4453,   394,   411,   429,  1620,  2387,
    1889,  2237, -4453,   163, 81011,  2486,   237,   814,  2437, 76637,
    3885,  2402,   774,  2697,  3660,   150, 89759, -4453, 81011, 81011,
   -4453, -4453, -4453, -4453, -4453, -4453, -4453, -4453, -4453,  2419,
   -4453, -4453,  2450,  2672,  1031,  2602,   -21,  2719, 10122,  1617,
    2723,  3907,  2072,   592,  2653,  1003,  2672,  2740,  1176,  2763,
    4150, 81011,  2468, -4453,  2699,  2806,   -11, -4453,   804, -4453,
    2545,  2670,   823, 57187,  2494, -4453, -4453, 81011, -4453, -4453,
   -4453,  2577, -4453,   632, 57187, -4453,  2703,  2551, 48824, -4453,
   81011, -4453, -4453, -4453, -4453, -4453,  2634, 81011, -4453, -4453,
    2757, 81011, -4453,  1987,  2678,  2527,  2905, 60596,   228, 81011,
    2582,  2935, 81011,  2750,  2582,  2588, 90245, -4453, -4453,  2582,
   -4453, -4453, 81011, 81011,  2542,  1954,  2582,  2758,  2954,  2962,
    2642,  2749,  1012,   746,   113,  2874,  2582,  2639, 81011, 90731,
   81011,  2652, 81011,  2952, 57187, 81011, -4453,  2770, 77123, -4453,
    2617,  2339, -4453, -4453, -4453, -4453, -4453,  1127, -4453, -4453,
   -4453, -4453,  2922,  2378,   146,  2929,  2641,  2941, -4453, -4453,
    2680, -4453,  2949,  2402,  2950, -4453,  2661, 91217, -4453, 91703,
   92189,  2956,  2419,107095,  2981,  2661,  2999,  2888,  3011,   146,
    3016, -4453,  1130,  3021,  2918,  3041,  2059,  2661,104587,  3047,
     112, -4453, 12763, 11781, -4453, 18965,   706, -4453, -4453, -4453,
   -4453, -4453, -4453, 35459,   809,  2776, -4453, -4453, -4453,  1518,
   -4453,102065, -4453,   787,  1870, -4453, 73235,  1870, 73235,    60,
    1870, 73235,  1870, 73235,    60,  1870, 73235, 73235, 73235,  1870,
   -4453, -4453,  1772,   319, -4453, -4453, -4453, -4453, -4453, 73235,
    2766, 81011, 81011, -4453, -4453, -4453, 68375,107095, 68861, -4453,
   -4453,   218, 73235, -4453, 73235, -4453,  3028, -4453, -4453,  2127,
   60596,  3158,107095, 81011,  3045,  3045,  3045, -4453, -4453, -4453,
    2993, 81011,  3056,  3063, 68375,107095, -4453, 92675,104169,  2964,
    2792, -4453, -4453, -4453, -4453,  2003,  3036,   461,  3061, 35459,
    2807,   247,   247,  2818,  3091, -4453, -4453, -4453,   483,  2819,
    2820, -4453,   502,   502,  2969,  2821,  2824, -4453,   528,  2825,
   -4453,  3104,   537,  2827,  2828,  2829,  1601,   247, 35459, -4453,
    2830,   502,  2833,  2834,  2838,  3195,  2839, -4453,  3206,  2840,
     189,   298,  2841,  2844, -4453,  2821, -4453,   518,  2845,  2847,
    2856,  2857,  2858,  2860,  2861,  2863, 35459, 35459, -4453, 30419,
    -170,  3028, -4453, -4453, -4453, -4453, -4453, -4453, -4453,   100,
   -4453,   975,  5607, -4453, -4453,  3037, 35459, -4453, -4453,   396,
   -4453,   985, -4453, -4453,  -170, -4453, -4453,   295, -4453, -4453,
   -4453, -4453,  1676,  1676,   199, -4453, 70319, 70319, -4453, -4453,
     691,  2866, -4453,   773, -4453, -4453, -4453, -4453, -4453, -4453,
  103751,  3270, -4453,  1228,  3028,   804,  1278,  3216,101213,101639,
    3113,  3113,  3096, -4453, -4453, 81011, -4453, -4453, 35459, 50821,
   -4453,  -170,   106,  3114, -4453, -4453, -4453,  2022, -4453, -4453,
   -4453,   784, -4453, 14447, -4453,  2027,  2260, 81011, 81011,  3274,
   -4453, -4453,  2267, -4453, -4453,  1496,  1496, 35459,  1496,  1035,
    1283, 32435, 35459,  3161,  3062,  1015,  1334,  3162, -4453,  3067,
    1619,  2030, 75179, 81011, 93161,  2989, -4453, -4453,  2315,  2895,
    1847, -4453, 62543, 98990, 98990,  3134, -4453, -4453,  1499,  1279,
    3006,  3097,  2422,  1212,  2035,  2035, -4453, -4453,  2889, -4453,
    3224, 70319,  2951,103333, -4453, -4453, 81011, -4453, -4453, 77609,
   -4453, -4453, -4453,   824,  2893, -4453,  2910, 81011,  3393, -4453,
    2035,  2035, -4453, -4453,  2898, -4453, -4453, -4453, -4453, -4453,
   -4453, -4453, -4453, 99473,  2913, 81011, -4453,  2914,  2917, -4453,
   99956, 51308,  1915,  -170,  2995,  2996,  3024, 56213,  2921,  2998,
    3000,  3044,  3005,  3007, 96563, -4453, -4453, -4453, -4453,  1645,
     514,  1011,  3009,   345,   606,  3287, -4453,  1543,  3057, -4453,
   -4453, -4453,  3710, 81011,  3233,  6817,  3122,   150,  3059, -4453,
   -4453,  3167,  3020,  3022,  3133,   150,   705, 97049, -4453, -4453,
   -4453, -4453, -4453, -4453,  2401, 28933, -4453,  3023,  3003, 81011,
   64001,  3310,  3135,  1538,  1647,   145, 81011,  3207,  3137, 81011,
    2955,  3030,  3031,  2958,  2111,  3309,  2957, -4453, -4453,  3130,
    3259,  7199,  3017,  3032, 59622,  1293, 49323,  3298,   519,  3050,
   -4453,   519, 81011,  3052,  3055, 81011,   150, -4453,  3366,   150,
     150,  1760,  3367,  3065,   313,  1604,  2582,  2957,  1945, -4453,
    3066,  3070,  1891, -4453,  3165, 75179,   234,  1633,  2957,  3073,
    3074,  2958,  2958, 81011, 81011, 81011, 81011, 81011,   102,  3382,
    3383,  3076,   119,  3112,  3001, -4453,   519,105005,  3077, -4453,
     519, 81011,  3080,  2162,  2957,   536, -4453,  1664, -4453, -4453,
   -4453,  1214, -4453, 81011, -4453, 81011,  2378, 60596,  3191, -4453,
    3042, -4453,  2402,   150, -4453, 81011, 81011,  2419,    46,  1138,
    3192, 81011,  3251,  3049, -4453,  1100, 51308,  2542, -4453,  3018,
   -4453,  3060, -4453,  3060,  3060,  3040,  3040,  3043, -4453, -4453,
    1601,  3060,  3040, -4453, 61570, -4453,  1649,  1697, -4453,  3436,
    3438, -4453, -4453, -4453, -4453, -4453, -4453, -4453, -4453, -4453,
    1397, -4453,  2061, -4453, -4453, -4453, 81011, 56213, -4453,  3452,
   -4453, -4453, 60596,  3227,  3338, -4453, 81011,  3243,  3048, -4453,
    3377,  3102, -4453, -4453,   932, -4453,  3349,107095,  1314,  3028,
    3095, 81011,  3275, 81011, 81011, 81011, 81011, -4453, -4453,  3248,
     534,    41, -4453,105005, -4453, 81011,  1945,  3260,  3463,   -28,
    1987, 81011,  3350, -4453, 81011,  3068,  3466,  3300, -4453, -4453,
    3069,  2422, -4453,  2617, -4453,  1958, -4453,  3193, -4453, 57187,
     146, -4453, -4453, -4453, -4453, 60596, 81011, 93647, 57187,   146,
  107095,107095,  3369,   112,  3372,  3129,  3374,  3131, 49323,   146,
     122,107095, 81011, 81011, 81011, -4453, 81011, -4453, -4453, -4453,
   -4453, 81011, 81011,107095,105005,  3384,  3386,   146, 81011, 81011,
   -4453, -4453, 14544,  1088, -4453, 11781, -4453, 14447,  2101,  3113,
   -4453,  1599, 81011,  1191,   787,105423, -4453, -4453, -4453, -4453,
   -4453, -4453, -4453, -4453, 73235, -4453, 73235,    60, -4453, -4453,
   73235, -4453, 73235,    60, -4453, 73235, -4453, -4453, -4453, 73235,
   81011,  3575,  3083, -4453,   295, -4453, 81011,  2112, -4453, -4453,
    2139,   712, 81011, 81011,   309, 57187, 81011,  3278, 81011, 81011,
   81011, 81011, 81011,  3168,  2866,  -153, -4453,   159, 75179,  3279,
   -4453, -4453, -4453, -4453, -4453,  2143,  1696,   944,  3127, -4453,
   -4453, -4453, -4453, -4453, -4453, 68861, 67403,  3375,   278, 81011,
   -4453, -4453,  2352, 35459, 30923, -4453, -4453, -4453,  3098, 14447,
    3138, 35459, -4453, -4453, 35459,  3099,  2422,  2422, 35459, -4453,
   -4453, -4453, -4453,  2524,  2422, -4453, 35459, 35459,  2422,  2422,
    3060,  3060, -4453,  6352, 35459, -4453, 49323, 35459, 36971, 28428,
   35459,  3172,  3118,  2422, -4453,  2422, -4453, 35459, 29915, -4453,
   35459,  3308, 37979, 35459,  1278,  3311, 35459,  1278,  3525,  3525,
    1327,  3228,  5741,  3103,  -170, -4453,  3215,  2422, -4453,  2422,
    1234,   157, 60596, 35459, 56213,  3185,   176, 81011, 35459,  3110,
     942, -4453, 35459,   861, -4453,  3111, 35459,  3188, 35459, 35459,
   35459, 35459, 35459, 35459, 35459, 35459, 35459, -4453, 38959,   232,
   -4453,   776,  1766, 69347, 31427,  3395, -4453, 27923, -4453,   288,
   73235, -4453, -4453,  -170, -4453, -4453, -4453, -4453, -4453,   824,
    3115, -4453,  3132, -4453, -4453, -4453, -4453, -4453, 81011,  3270,
   -4453, -4453,  3189, -4453, -4453, -4453, -4453,   996, -4453, -4453,
   -4453, -4453, -4453, -4453, -4453, -4453,  3117, -4453, -4453, -4453,
   -4453,  3117, -4453, -4453,  3113,  3121,  5035, -4453, -4453, -4453,
   -4453,  3391,  3394,   146, 99473, 81011,   203, 71777, -4453, 31931,
   -4453,  2150, -4453,  3116, -4453,  3370, -4453,  3126, -4453, 10481,
    3370, -4453, -4453,   182,  3235,  3368,  3313, -4453, -4453, -4453,
    3136, 14447, -4453,  2135, 14447,  2180, -4453, -4453, -4453, -4453,
   -4453, -4453,  1561, -4453, 81011,  3279,  3161,  1334,  3187,   863,
   81011, -4453, 45358,  2231, -4453,  2315, -4453, -4453, 25424, -4453,
   27438, -4453, -4453, -4453, -4453, -4453, -4453, -4453, -4453, -4453,
    3139, -4453, -4453, -4453, -4453, -4453,   150,  3141,  3610, -4453,
  103333, -4453, -4453, -4453,  3575, -4453,  2355, -4453,  2355,  3636,
   -4453, 73235, -4453, -4453, -4453, -4453,  1013, -4453, 11781, -4453,
   11781, -4453,  3143,  2154,  3219,  3220,  3266,107095, 81011, 81011,
   -4453, 56213,107095, 81011, 81011,107095, 81011, 81011, -4453,  3504,
    1163, 67403,  3268, 65459, -4453, -4453,  3151, 81011,  3204,  3390,
    3392,  -137, -4453, -4453, 94133, -4453,  3351,107095, 81011, 81011,
   35459,  3355, 81011, 81011, -4453,   321,  3232,  3241, -4453, 81011,
    3253, 57187,  3159, 81011, 81011, 81011,  3239,   678, 57187,  3221,
   49822, 81011, 81011, 81011, 81011,  3297, 81011, 81011,  3416,  1303,
   75179,   175,  2170,  2957,  3376, -4453,  1500, -4453,107095, 81011,
    3378, -4453, -4453, -4453, 65945,  3579,  3288, -4453, -4453, 97535,
   -4453, -4453,  3362, -4453, -4453, 61570, -4453, -4453,  2163, -4453,
   61083, 58648, -4453, -4453,  1475,107095,107095,  7297, 81011,   921,
   -4453, -4453, 60596, -4453, 81011, 81011, 81011, 72263, 94619, 95105,
    1549,  1574, 81011, 72749, -4453, 81011, -4453, -4453, 56700,107095,
   81011, 56213, -4453, 81011,  3373,   642, -4453, 81011,  3833,  3267,
   81011,   243,  2241,  2957, 81011, 81011,  3194,  2168,  3272,  3318,
   -4453, 81011, 96077, -4453,107095,  1701, -4453,  3328,107095, 81011,
   10442, -4453, -4453,   150, -4453, -4453, -4453, -4453, -4453, 81011,
   81011,   150, 81011,   150,  1367, -4453,107095, 81011, -4453, -4453,
   -4453,  7308, 81011, 81011, 81011, 81011,107095, 81011, -4453, -4453,
    1262,  1520,   -42,   520,  3330, 81011,  3465, 81011, 95591,107095,
   81011, 81011, 81011,  1553, -4453, -4453, -4453,  3314, -4453,107095,
    1701, -4453,  7580, 81011, 81011,  3281,  3282,   126,  3348, -4453,
   -4453, -4453, -4453, -4453, -4453,  3448,  3612, 81011, -4453,  3453,
    3456,  3265,  3271,  3457,  1974, 81011, -4453, -4453, -4453, -4453,
   81011,  3459,  1974,  3405,   472, -4453, -4453,  2582, -4453,  2171,
   -4453,  3236, -4453, 35459,  3625, 60596,  3230,  3234,  3305, -4453,
    3307,  2422, -4453,  2084, -4453, -4453,  2186, -4453,  3249,   534,
    2122, -4453, 56213, 81011,   726,   769,  3533, 64487,  2677,  3527,
   81011,  3280, 81011,  2677, 81011, -4453,  2020, 67403, -4453, -4453,
   -4453, -4453, -4453, -4453, -4453, -4453, -4453,  3526, -4453,  3028,
    2542,  2542,  2542,  2542, -4453, -4453, -4453, -4453,  3430,  2058,
   -4453,  3245,  2542, 81011,  3356,  2677,  3250, -4453,  1945,  3544,
    3546, 81011, 64487,  2227,  3285,  3652,  1987,  3028,  3437, -4453,
   29424,  5922,  3440,104169, 77123, -4453,  3262,  3522,  3528,  3547,
   -4453,  2378, -4453,  3659, -4453,  3557,   146,  2402, -4453,  2661,
   -4453, 81011, -4453, 81011, 81011, 81011, 81011,  2419, -4453, -4453,
    2661,  3445,   146,   146, -4453,  3446,   146,  2661,  3380,  3550,
  104169, -4453,   112, -4453, -4453, -4453, -4453, -4453, 35459, -4453,
   -4453, -4453,  1987,  1958, -4453, -4453, -4453, -4453, -4453, -4453,
   -4453, -4453, -4453, -4453, -4453, 73235,  2355, -4453,  2189, -4453,
   81011, -4453,  3532,  3534,  3535,  3263,  3273,  3299, 81011,  3277,
   -4453,  3263,   150,  3263,  2866,  2866,  3263,  3273,106677,  3683,
    3555,   637, -4453,   793,  1226,  3489, -4453, -4453, -4453, -4453,
   60596, -4453, -4453, -4453, -4453, -4453, 81011,   168, -4453,   207,
    3467,  3286,106677,  3666,   146, -4453, 57187, -4453, -4453, -4453,
    3354,  3381, 57187,  3478,  3334, -4453, -4453, -4453, -4453, -4453,
   -4453, -4453,  3521, 81011,  2203, -4453,  1598, -4453,  1731, 35459,
   35459,   245, -4453, 11896,  2211, 35459,  3301,  3303,  2221, -4453,
   -4453, -4453, -4453, -4453, -4453,  3306,  3581, -4453, -4453,  3312,
    2229,  2253,  3315,  3319, -4453, -4453,  2695,  3321, 13355,  3322,
   36971, 36971,  1600, -4453, -4453, 36971,  3323, -4453,  2263, 10336,
    3296,  3324,  3325, -4453,  3326,  3331, 12787, 32939, 35459, 32939,
   32939, 13457,  3296,  3333,  2273, 56213,  3474, 13605,  2277, -4453,
   35459, 56213,  2915, 35459, -4453, 35459, 81011,  3335,  3336, -4453,
   -4453,  6352, -4453,  3329, -4453, 36971, 36971, -4453,  4987, 30419,
   -4453, -4453,  3591, -4453, -4453,  1484, -4453,  3339, -4453, -4453,
    5755,   181, 35459,  3110, 35459,  3388, 49323,  1875, 35459,  4291,
    5111,  5111,   316,   316,   130,   130,   130,  1757,  1766, -4453,
   -4453, -4453,  3340,  2839, 35459, -4453,  2363,  2372, 81011, 11730,
   12704, 13169, -4453, -4453, -4453, 40457,  3352, 35459, 35459, 35459,
    3337,  3492,  3744, 14447,  1078, -4453,  3749, -4453, -4453, -4453,
     416,  3636,   824, -4453,  1214,  2422,  1234,102065, -4453, -4453,
   -4453, 35459, -4453, -4453, -4453, -4453,  2267, -4453, -4453, -4453,
   -4453, -4453, 81011,  1696, 35459, -4453, -4453,   629,  2217, 35459,
    2135, -4453, -4453,  3397, -4453, 35459, -4453, -4453, -4453,  2866,
   -4453, -4453, -4453, 40457,  3385,  3387, 44378,  3473, -4453, -4453,
   81011,   263, -4453, -4453, -4453,  3358, -4453, -4453, -4453,  1374,
   -4453, -4453, -4453, -4453, -4453, -4453,  3343, -4453,  3347, -4453,
    3364, -4453, -4453, -4453, -4453,   170,  3353,  3359,  3357,  1558,
   -4453, -4453,107095, 81011, 81011, -4453, -4453, -4453, -4453, -4453,
   -4453, -4453, -4453, -4453, -4453,  3574, -4453,107095,107095,  3538,
   81011,  3536,  3543, 35459,   731, 81011,  3363,  3365,  1319,  3621,
   81011, -4453,  3662,   146, -4453, -4453,  3441, -4453, 14447, -4453,
   -4453, -4453, -4453, -4453,107095, 81011, -4453,104169, -4453,  2378,
   60596, -4453, -4453, -4453, 81011,  3400, 81011, -4453, 81011, 81011,
   81011,  2419, -4453, -4453, -4453, -4453,  1205, -4453, -4453, 81011,
   81011,   605,  3447,  3449, 81011, -4453,   547,  3165,  7593, 81011,
   81011, 81011,  3623, -4453, -4453, -4453, -4453,  3568, -4453, -4453,
    2061, -4453, 58648, 61083, -4453, 61083, -4453,  2061,  1993, -4453,
    2661,  3454,  2957, -4453,  3559,   916, -4453, -4453, -4453, -4453,
   -4453,  3675,   146,  3678,   146, 81011, 81011, 81011, 81011, -4453,
   -4453, -4453, -4453, -4453, 56213, 56213, 56213,  2304, -4453, -4453,
    3028, -4453, -4453, -4453,  2328, -4453,  -160, -4453, -4453, -4453,
   -4453, -4453, -4453,107095,  8245, 81011, 81011, 81011,  2054, -4453,
     992, 60596, -4453, 60109,107095, 81011, -4453, -4453,  3604,  3548,
   -4453,  1991,  3551,107095,  3443, -4453, -4453,  3460, -4453, -4453,
    3464,  2262,  2957,  1945, -4453, -4453, -4453, -4453, -4453, -4453,
   -4453, -4453,   258,  2409,  2957,  3470, -4453,  3476, -4453, -4453,
   -4453,  3602,  3613,  3614,  3480,  3481,  3510,  3484,  3485,  3540,
   -4453,  3486,  3542,  3487,  3549,  3491,   146, 60596,  3611,  3028,
    3545,  3724,   146, -4453,  3503, -4453, -4453,  3825, -4453, 81011,
   -4453,  3509,  2416,  2957, -4453, -4453,107095, 81011, -4453, -4453,
   -4453,  1974, 60596,  3676,  1974,  1974, 81011, 81011,  1974, -4453,
   -4453, -4453,  3679,  3682,  1974, -4453, -4453, -4453, -4453,  2678,
    3439, -4453,  2117, 46828,  5857,  3450,  3234,  3435,  2422, 42908,
     978,  3651,  3451, -4453, -4453, 56213, 46828,  2066,  3670,  3468,
    3468,  3468,  3468,  3468,  3468,  3468, -4453,  2901,   268,  2582,
  104169, 81011,104169, -4453,   769,  3559, 81011, 81011,  3455,  3458,
   -4453, -4453, -4453, -4453,107095,   728,107095,  2422, -4453, -4453,
    3515, -4453, 81011,  1987,  3844,  2962,  1314,  3587,  2149,  3798,
   -4453, -4453, -4453, -4453, -4453, 81011, 81011,   534,  3028, -4453,
    3472,  3462, -4453, 81011, 81011, 81011, 81011,  1696,  3469,  3482,
   60596,   -12,  3650,  3657,  2958,  3876,  1696,  3285,  3558, 81011,
   -4453,  2334,    59, -4453,  3028,104169, 59135, -4453,  3531, -4453,
   -4453,   884,  3748, -4453, 81011, -4453, -4453, 43888,   146, 60596,
   81011, -4453,   146,   112,  3539,   146,  3541,   146,   146, 81011,
   -4453, -4453, 81011, -4453, 81011,105005,   146, -4453, 14447,  3766,
   -4453, -4453, -4453, -4453,  3607,  3609,  3617, 81011,  3263, 57187,
   -4453,  3490,107095,  1442, -4453, -4453,  3684, -4453, -4453, -4453,
   -4453, -4453,  3804,  3806, -4453, -4453, -4453, -4453,  3846,107095,
   68375,   132,107095, -4453,  2378, -4453, -4453,  2402,   150, -4453,
   81011,  3751, -4453, -4453, -4453,  3511,  2342, 14041, 35459, -4453,
    3822, 60596, -4453,  6194, -4453, -4453, -4453, -4453, 35459, -4453,
   -4453, -4453, -4453, -4453, 35459, -4453, 35459,  3799, -4453,  3938,
    3938, 60596, 36971,  1554,  2833, 36971, 36971, 36971, 36971, 36971,
   36971, 36971, 36971, 36971, 39463,   703, -4453, -4453, 35459, 35459,
    3808,  3799, -4453, -4453,  1548,  1548, 60596,  3520,  3296,  3530,
    3537, 35459, -4453, -4453,  2427, 38469,  3553, 56213, -4453, 35459,
   11268,  2433,  3567, 14008,  -170,  6682, -4453,  3900,  3028, 35459,
    1841,  2190, 35459,  2436, 35459,  3814, -4453, -4453, -4453,  3552,
   -4453, -4453, 60596, 35459, 36971, 36971,  6700, -4453,  7162, 35459,
    3554,  7706, 30419, -4453,   906,   906,   906,   906, -4453, 81011,
   81011, 81011, 40947, 39967, 78095,  3556,  2208, -4453, 78095, 78581,
   -4453,  3560,  -170, 35459,  3807,   490,   490,  3562,  3492, 45848,
   -4453, 35459,  1615, 33443,  3563, -4453, -4453, -4453, -4453, -4453,
   -4453, -4453, -4453, -4453, -4453, -4453, -4453, -4453, -4453, -4453,
    3566, -4453,  3561, -4453, -4453,   804,  3564, -4453, -4453,  6834,
     170, -4453, -4453,  3565, -4453,  3573, -4453,  2217, -4453, -4453,
   -4453,  7102,  3718, -4453, -4453,  3556, 33947,  3473, -4453,  2440,
   -4453, -4453, 31427, -4453, -4453,  2448, 45358,  3385, 31931,  -170,
    2422,  3569, -4453,  2355,   416, -4453, -4453, -4453, -4453, -4453,
   -4453, -4453, -4453,  3468,  2661,  2661,   718,  3263,  3824,   718,
    7438, -4453, -4453, 41437, 81011, 81011, -4453, 81011,  2482,  1828,
   81011, -4453, 81011, -4453, -4453, -4453, -4453,  3941, -4453, 81011,
   -4453, -4453,  3594,  3595, -4453, 81011, 81011, 81011, 81011, -4453,
   -4453,  2387, -4453, -4453,107095, 81011, -4453, -4453, -4453,   300,
    2496,  2957, -4453,  3618, -4453, -4453,  3794,  2046, -4453, -4453,
   -4453,  3615, 81011,  3582, -4453,  1004,  2958,   630, -4453, -4453,
    3616, 81011, -4453, 81011, -4453, -4453, -4453, -4453, -4453, -4453,
   -4453, -4453, -4453, 56700, -4453, -4453, -4453, 56213, 46828, 56213,
   -4453,   310,  2503,  2957, -4453,  3620, -4453,  3635,  3653,  3668,
     930,   109,  3658,  3667,  3702,  3584,  3593,  3597, -4453, -4453,
     206,  3028, -4453, -4453,  3028,  2661,  3028, 81011, 81011, 81011,
   81011, 81011, 81011, 81011, 81011,  3832,   643,  2063,107095, 81011,
   81011,107095, 81011, 81011, 81011, 81011, 81011, 81011, 81011, -4453,
    3953,  3897,  2201,  3937,  3669, 81011, -4453, 81011,  3165, 81011,
   81011, -4453, -4453, -4453,  3606,  1974, -4453, -4453,  3842,  3848,
   -4453,  1974,  1974, -4453,  1100, 56213, -4453,  2623, -4453,  3236,
    3573,  2035,  2035, -4453, -4453, -4453, -4453, -4453, -4453, -4453,
    2422,  2279,  3619, -4453, 43398, -4453, -4453, -4453,  2591,  1234,
   -4453, -4453, 81011,  3468, -4453,  2796,  2580,  2891,  2997, 79067,
   79553, 80039,  3605, 81011, 81011, 36971, -4453,  1458,   662, -4453,
    3845, 81011,  3647, -4453, -4453, -4453,  3765, 81011, -4453, -4453,
   -4453, -4453, -4453,  3624, -4453,  3725, 64487,  2661,107095,107095,
    2661, -4453, 60596,  3629,  3285,107095,  1314,  1481, 90731,  3648,
    3622,  3901, -4453,  3632,  3627, -4453, -4453, 81011,  3559,  2483,
     -23,  1983,  3127, 66431,  2227,  3873, -4453, -4453, -4453,  3980,
    3716, -4453,  1696,  3127,  3716,  3028,  3204, -4453, 58648, 35459,
   35459, -4453,  3633, -4453,  3638,  6498, -4453,  2542, -4453, -4453,
   -4453, -4453, -4453, -4453,  3715, 81011,  4065, -4453, -4453, -4453,
    3642,   146, -4453, -4453, 81011, -4453, 81011, -4453, -4453,   146,
     146, -4453,  3754, -4453,  1696, 81011, 81011, 81011,  3263, -4453,
     150, -4453,  3921,106677, -4453, -4453, -4453, -4453, -4453,   278,
    3928, -4453, -4453,  3888,  3889,  3890,  3895,  2182, -4453, -4453,
   35459, 14447, -4453,  3661, -4453, 14447,  8004, 14447,  3808, -4453,
    2979,  3946, -4453,  1044,  3671,  2979,  1361,  1361,   257,   257,
     125,   125,   125,  3938,   703, 14447, 14447, -4453, -4453, -4453,
   -4453,  3672, -4453, -4453, -4453,  3296, -4453, 35963,  3800,  4044,
   -4453, -4453, -4453,  3703,  3704,  3680, -4453, 35459, 36467,  3673,
   61570, -4453, -4453,  1234,  1627, 36971, 36971,  1255, -4453,  1626,
   35459, 60596,  2488,  1255,  2399,  2761, 35459, 35459,  8676,   285,
   35459,  8041, 81011, 81011, 81011, 81011, -4453, -4453, -4453, 78095,
   78581, 42417,  2208,  3681, 81011, -4453, -4453,  3686, 40457,  3908,
    3853, -4453, 40457,  3853,  1733,  3853,  3916, -4453, 46338, -4453,
   -4453,  3690, 27923,  1740, 14447,  4066,  3954, 35459,  3691, -4453,
    3692,  3492, -4453, 98021, -4453, -4453, 14447, -4453, -4453, 35459,
   -4453,  3492,   416,   330,  3028, -4453, -4453, -4453, 49323, -4453,
   -4453, -4453,  3877, 14447, -4453,  1696, 81011,  -170,   465,  3707,
   81011, -4453,  3473, -4453, -4453, 11781, -4453, -4453, -4453,   206,
   -4453, -4453, -4453, -4453,  3769, 67403,  3978, -4453, 35459,  2497,
   -4453,  3733,  4068,    82,  2505,  2520,  1828, -4453,  3647, -4453,
    1529,  3955,   214, -4453,   146, -4453, 60596, -4453, 81011, 81011,
   -4453, -4453, -4453, -4453,  2921, -4453, -4453, 81011, 81011, 81011,
   81011, -4453,  3772, -4453, -4453, 56213,  2901,  3899, -4453, -4453,
    3903,   206, 81011, -4453, 60596,   146,   146, -4453, -4453, -4453,
    3717, 81011, 81011, 81011, 81011,107095, 81011, 81011,  2422,  2422,
   60596,  3711, -4453,  2422,  2422,  3714, -4453,107095, 81011, 81011,
   -4453, -4453, -4453, -4453, -4453, -4453, -4453, -4453, -4453, -4453,
   -4453,  3784, -4453, -4453, -4453, 81011, 81011, 81011, 81011,  4009,
   -4453, -4453, -4453, -4453, -4453, -4453, -4453, -4453, -4453, -4453,
   -4453, 81011, -4453, -4453,  3028,  3028, 60596,   146,   146, -4453,
   -4453, -4453,  3957, -4453,  1974,  1974, -4453, -4453,    90,  2548,
   -4453,100374, -4453, -4453,  2935,  3028,  2935,  1555, -4453, -4453,
    2935, -4453,  2935, -4453,  1828,  3720,  1419,  4000, -4453,  2546,
   43398, 43398, 43398, 43398, 43398, -4453, -4453,  4003,   206, -4453,
   -4453, -4453, -4453, -4453, -4453, -4453, -4453, -4453, -4453, -4453,
   -4453, -4453, -4453, -4453, 35459, -4453,  1156,  2979, -4453, -4453,
   -4453, -4453,  3647,  1987,  3777, 57187,  1080, -4453,  3987,   726,
   64487,  1238, 81011, -4453,  2661,  2661,  3782, 81011,  4131, -4453,
     -13, 81011,  4042,  3774, -4453,  3028, -4453, -4453,  3285, 81011,
   64487,  3127, -4453,  2552, -4453, -4453, -4453,  3768,  3657,  3739,
    2227,   756, 81011, -4453,  3775, -4453, -4453,  4022,  3745, -4453,
   14447, 14447,  3028, 62057,  3531, -4453, 81011,  3996, 81011, -4453,
     146, -4453,   146,   146, -4453, -4453, 81011,  3263,  3263,  3263,
   -4453,  3925, -4453,   146,106677,  2182,  2182,  2182,  2182, -4453,
   -4453, -4453, 14447, -4453, -4453, -4453, 36971,  4028, -4453,  3750,
   60596, -4453,  3755,  2557,  2567, 37979,  3896, -4453, -4453, -4453,
    8788,  3803, 14447,  3855,  3758,  3759, -4453,  1329,  1329,  1626,
    2573, -4453, 36971, 36971,  1255,  1255, 35459,  1255, -4453, -4453,
   -4453, -4453, -4453, -4453, -4453, 78095,  3761, 81011,  2208, 40457,
   -4453, -4453,  2078, -4453, 40457,  4002, -4453, 40457, 81011,  3764,
   81011,  1189, 35459, 35459,  3809,  3492,  3492, -4453,  3934, -4453,
    3771, -4453, -4453,  2035, -4453, -4453, -4453, -4453,  1234,  3776,
   73235, -4453, -4453, -4453,  1327, -4453, -4453, -4453, -4453,106677,
    3951,106677,  1828,  9188,  3647, 41437, 50321, 81011, 80525, 80525,
    3914,  3647,  3777, -4453, -4453, -4453, -4453, -4453, -4453,  3778,
   -4453, -4453, -4453,  3856, -4453, -4453, -4453,  2608, -4453, -4453,
   -4453, -4453, -4453,  3953, -4453, -4453, 46828, -4453,  3859, -4453,
   -4453, -4453, -4453, -4453, 41927, 49323, -4453,   930,  3781,  3788,
     109, -4453, -4453, -4453, 81011,  1546,  1116,  3823,  3263,  4075,
   -4453, -4453, -4453,  3953, -4453, -4453,  1974, -4453, -4453, -4453,
    2582,  4112, -4453, 56213, -4453,102491, -4453, -4453, -4453,  3028,
   -4453,  3028,  3983, 52282,  3028,  3028, -4453, 57187,  4193,  4193,
   -4453,  1950,  1950, -4453, -4453, -4453, 81011, -4453, -4453,  9533,
    3985, -4453,  3777,  4008,  4054, -4453,  3802, 81011,  3950,  3805,
    3810,   781,   781,  3559, 81011,  2612,  1696,  1314, 64487,  3559,
   -4453,  1526,  3813,  4100, -4453,  4204,  3469,  3826, -4453, -4453,
   66431,  3984,  3716, 81011,  3657,  3929, -4453,  3930, -4453,  1463,
   -4453, 81011, 41437, -4453, 61083, -4453,  2618, -4453, -4453,  3352,
   81011,   830, -4453,  3838, -4453, -4453, -4453, -4453, -4453, -4453,
     132, -4453, -4453, -4453, -4453,   770, 36971, 60596,  2622, 35459,
   -4453, 35459, -4453,  4192, -4453, -4453, -4453,   491, -4453, -4453,
   -4453,  1329,  1329,  1255, -4453, 81011,  2631, -4453, 35459,  3828,
   -4453, -4453, 40457,  2078,  2637, 81011,  2649, 60596,  3492,  3296,
   14447, 81011, -4453, -4453, -4453,  4209,  3986,  3492, -4453, -4453,
   -4453, -4453, -4453, -4453,  1442,   718,   132,  4068,  3777, -4453,
    3829, -4453, -4453, 81011, -4453,  1356,  1356, 81011,  3777, -4453,
   -4453, 81011, -4453, 56213,  3882, -4453, 81011, 60596,  2402,    34,
   -4453, 60596, 60596, -4453, -4453, 81011, 81011, 81011, 81011, 81011,
     146, -4453,  3439,  3028, -4453, -4453,  2658, -4453, -4453, -4453,
   81011, -4453,  3622, -4453, -4453,  4193,   186, -4453, -4453, -4453,
    1924,  4029, -4453,  1302,  4016,  3917,  3835, -4453, 57187,  4263,
    3948, -4453, -4453, -4453, -4453, -4453, -4453, -4453, -4453, -4453,
    4130,  3285,  3775, -4453, -4453, -4453, -4453, 35459,  3992,  1696,
    2227,  3873, -4453, -4453, -4453,  2667,  3716, -4453, -4453,  4214,
    4024,  4218, -4453,  2698, -4453, -4453,  6498, 62057,  4163, -4453,
    3898, 81011, -4453, -4453,  2554,  4272, -4453,   770,  2701, -4453,
    2711,  2715,  3993,  3904, -4453,  2725, -4453, 14447, 81011, -4453,
   -4453, -4453,  2728, -4453,  3850, -4453,  4254, 35459,  1425, -4453,
   -4453,  4136, -4453, 80525,  3906, 49323, -4453,  2217,  2217,  1987,
   -4453,  1828, -4453, -4453, 35459, -4453, -4453,  2731, -4453,  1147,
    4004,  4144,  2738,  2741,  3273,  3911,  3273, -4453,  3263, -4453,
   -4453, -4453, -4453,102491,  3622, -4453, -4453, -4453,  4174,  4121,
   -4453, -4453, -4453, -4453,   292, -4453,  4049,  4052, 81011, -4453,
    3878, -4453,  2787, 81011, 81011,  4273,  4282, -4453,  9777, 57187,
   -4453,  3657,  2227,  2901, -4453, -4453,  4062, -4453,  4063,  3285,
   41437,  3531, -4453,   948, -4453, -4453, -4453, -4453, -4453, 81011,
   -4453, -4453, -4453, -4453, -4453, -4453,  2797, -4453, 81011,  3886,
    3296, 34451, 34451,  3884,106677,  1356,  3887, -4453,  3891, -4453,
   -4453,  4008,  1828, 14447, 57187,  4271, -4453, -4453, -4453,  4004,
   -4453, -4453, 81011, -4453,  4012, -4453,   885,   885,  4213, -4453,
    3945, -4453, -4453,  3892, -4453,  4320,  3559, -4453,   930,  1696,
   -4453,  3909,  3716,  3657, -4453, -4453,  3716, -4453, -4453, -4453,
   -4453,  1483, -4453, -4453, -4453, -4453, 37475,  4021,  1017, 10825,
   -4453, -4453, -4453, -4453,   132,  2217, 35459,  1828, -4453,  4016,
    2402, 81011, -4453, -4453,  3774, -4453,  4313, -4453,  1043, -4453,
   -4453, -4453, -4453, -4453,  3711, -4453, 55726, -4453,  3716,  3352,
   -4453,  2403, -4453, -4453, -4453, -4453, -4453, -4453, -4453,  4304,
   -4453, -4453, -4453, -4453, -4453, -4453, -4453, 10051, -4453, -4453,
   -4453,  4201, -4453, -4453, -4453,  2802, -4453, -4453, -4453, -4453,
   -4453, -4453, -4453,  1625, -4453, -4453,  1800,  2284, 34955, -4453,
    1828,  4057, -4453, 55726, -4453,  2403, -4453, 57187, -4453, -4453,
    3910, 55726,  2810, -4453
};

  /* YYDEFACT[STATE-NUM] -- Default reduction number in state STATE-NUM.
     Performed when YYTABLE does not specify something else to do.  Zero
     means the default is an error.  */
static const yytype_uint16 yydefact[] =
{
    2320,     0,     2,     1,  2750,  2754,  2758,  2759,  2676,  2760,
    2761,  2726,  2727,  2728,  2729,  2730,  2731,  2732,  2733,  2734,
    2735,  2736,  2737,  2739,  2738,  2740,  2741,  2742,  2743,  2744,
    2745,  2746,  2747,  2749,  2748,  2698,  2327,  2695,  2692,  2693,
    2694,  2699,  2697,  2690,  2691,  1921,  2763,  2751,  2764,  2752,
    2753,  2755,  2756,  2725,  2757,  2765,  2766,  2767,  2762,  2770,
    2721,  2722,  2720,  2723,  2724,  2768,  2769,  2712,  2713,  2714,
    2715,  2771,  2328,  2329,  2717,  2321,  2325,  2387,  2458,  2718,
    2719,  2716,  2326,  2711,  2458,     0,  2579,  2580,  2581,     0,
    2582,  2583,  2584,  2510,  2472,  2585,     0,     0,  2586,  2587,
    2588,  2589,  2590,  2591,  2592,  2593,     0,  2594,  2595,  2596,
    2597,  2457,  2598,  2599,  2600,  2601,  2602,  2434,  2440,  2563,
       0,  2414,  2415,  2411,  2413,  2412,  2416,  2399,  1198,   546,
    1284,  1283,     0,  2222,  1198,  2178,  2179,  2223,  2180,  2181,
    2182,   257,     0,  1286,  2183,  2224,     0,  1198,  2225,   370,
     967,  2226,  2227,  2342,     0,  2184,  2185,     0,     0,     0,
     546,  1198,     0,     0,  2186,  1398,  2187,     0,  2188,  2228,
    2229,     0,  2189,  2230,  2231,  2190,  2191,  2192,  2232,  2233,
    2234,  2193,  2235,  2236,     0,     0,  1412,     0,  2194,  2237,
    2195,  2196,     0,  2238,  2197,  2198,  2199,  2239,  2240,  2241,
    2200,  2201,  2202,     0,  2203,     0,     0,     0,     0,     0,
       0,  2242,  1198,  2204,     0,     0,  1419,     0,  2205,     0,
    2243,  2206,     0,  2207,     0,  2208,  2209,  2210,  2211,  1412,
    2559,  2435,     0,  1288,     0,  2212,  2244,     0,  2213,  2214,
    2215,  2216,  2217,  2218,  2219,  2220,  2221,     0,     0,    57,
      58,    22,    21,    27,    26,    80,    81,    45,    15,    71,
      51,   114,   113,   115,    33,    29,    65,    19,    20,    30,
      34,    53,    46,    92,    52,    18,    50,    75,    54,    78,
      40,     9,    10,    41,    69,    11,    42,    70,    12,    43,
      13,    59,    82,    25,    55,    79,    56,     3,    36,    67,
      63,     8,    47,    48,    49,    72,    73,    74,    97,    77,
     109,    32,   106,    86,    87,   103,    88,   104,     6,    89,
      44,    14,   100,    99,   101,    66,    37,    68,    98,   102,
      16,    17,   105,    76,    95,    91,   110,   108,   116,    93,
      60,     4,     5,    83,    39,     7,    24,    23,    38,    31,
     112,    28,  1286,    85,    96,    84,    90,    64,    94,   111,
      62,   107,  1385,  1372,  1421,  1384,  1397,     0,  1387,  2655,
    2656,    35,  1398,   118,   119,   124,  2324,  2376,  2377,  2378,
    2458,  2409,  2410,  2403,  2419,  2429,  2418,  2422,  2430,  2417,
    2436,     0,   121,   123,   125,   128,   122,   117,   120,   127,
     132,   126,   131,   129,   130,   133,   134,   135,  2657,  1604,
    2654,    61,  2394,  2393,     0,  2458,     0,  2687,  1933,  1934,
    1935,  1936,  1937,  1938,  1939,  1940,  1941,  1942,  1943,  1944,
    1945,  1946,  1947,  1948,  1949,  1950,  1951,  1952,  1953,  1954,
    1955,  1956,  1957,  1958,  1959,  1960,  1961,  1962,  1963,  1964,
    1965,  1966,  1967,  1968,  1969,  1970,  1971,  1972,  1973,  1974,
    1975,  1976,  1977,  1978,  1979,  1980,  1981,  1982,  1983,  1984,
    1985,  1986,  1987,  1988,  1989,  1990,  1991,  1992,  1993,  1994,
    1995,  1996,  1997,  1998,  1999,  2000,  2001,  2002,  2003,  2004,
    2005,  2006,  2007,  2008,  2009,  2010,  2011,  2012,  2013,  2014,
    2015,  2016,  2017,  2018,  2019,  2020,  2021,  2022,  2023,  2024,
    2025,  2026,  2027,  2028,  2029,  2030,  2031,  2032,  2033,  2034,
    2035,  2036,  2037,  2038,  2039,  2040,  2041,  2042,  2043,  2044,
    2045,  2046,  2047,  2048,  2049,  2050,  2051,  2052,  2053,  2054,
    2055,  2056,  2057,  2058,  2059,  2060,  2061,  2062,  2063,  2064,
    2065,  2066,  2067,  2068,  2069,  2070,  2071,  2072,  2073,  2074,
    2075,  2076,  2077,  2078,  2079,  2080,  2081,  2084,  2082,  2083,
    2085,  2086,  2087,  2088,  2089,  2090,  2091,  2092,  2093,  2094,
    2095,  2096,  2097,  2098,  2099,  2100,  2101,  2102,  2103,  2104,
    2105,  2106,  2107,  2108,  2109,  2110,  2111,  2112,  2113,  2114,
    2115,  2116,  2117,  2118,  2119,  2120,  2121,  2122,  2123,  2124,
    2125,  2126,  2127,  2128,  2129,  2130,  2131,  2132,  2133,  2134,
    2135,  2136,  2137,  2138,  2139,  2140,  2141,  2142,  2143,  2144,
    2145,  2146,  2342,  2147,  2148,  2149,  2150,  2151,  2152,  2153,
    2154,  2155,  2156,  2157,  2158,  2159,  2160,  2161,  2162,  2163,
    2164,  2165,  2166,  2167,  2168,  2169,  2170,  2171,  2172,  2173,
    2174,  2175,  2176,  2177,  2360,  1922,  1930,  1931,  1932,  2335,
    2356,  2362,  2683,  2361,  1929,  2509,     0,     0,  2603,  2604,
    2605,  2606,  2607,  2608,  2658,  2659,  2660,  2661,  2662,  2664,
    2663,  2471,  2630,  2667,  2470,  2668,  2474,  2669,  2670,  2671,
    2672,  2631,  2673,  2473,  2665,  2627,  2475,  2468,  2469,  2628,
    2577,  2578,  1899,  2629,  2626,  2666,  2363,  2625,  2479,  2478,
    1362,  2682,  1898,  1363,     0,  2481,  2609,  2610,  2611,  2612,
    2614,  2613,  2615,  2245,  2246,  2247,  2248,  2249,  2250,  2251,
    2252,  2253,  2254,  2255,  2256,  2640,  2257,  2258,  2259,  2653,
    2260,  2261,  2641,  2262,  2263,  2264,  2265,  2266,  2267,  2268,
    2269,  2270,  2271,  2272,  2273,  2274,  2275,  2276,  2277,  2278,
    2279,  2280,  2281,  2282,  2283,  2284,  2285,  2642,  2643,  2286,
    2287,  2288,  2289,  2290,  2291,  2292,  2293,  2294,  2295,  2296,
    2297,  2298,  2299,  2300,  2301,  2302,  2303,  2304,  2305,  2306,
    2307,  2308,  2309,  2644,  2310,  2311,  2645,  2312,  2313,  2314,
    2646,  2315,  2316,  2317,  2318,  2319,  2650,  2651,  2652,  2639,
    2432,  2616,  2638,  2649,  2647,  2648,  2442,  2438,  2446,  2441,
       0,     0,     0,     0,  2458,  1197,  1196,  1182,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   545,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  2332,     0,  1208,
     342,   341,  1285,  1266,   546,     0,  1185,   369,     0,     0,
       0,     0,     0,     0,     0,     0,   737,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   183,     0,     0,
     393,   392,     0,     0,     0,   939,   398,     0,     0,     0,
       0,     0,   534,  2341,  2336,  2346,     0,  2339,  2340,  2625,
       0,  2774,  2082,  2372,  2373,  2772,  2132,  1364,   258,   261,
     259,   260,     0,  1039,  1040,  1042,     0,     0,  1052,   772,
     773,     0,   771,     0,   775,     0,     0,     0,   767,     0,
       0,     0,     0,     0,   774,   764,     0,   763,     0,     0,
       0,   770,     0,   765,     0,     0,  1186,     0,  2424,  2425,
    2022,  1325,   399,     0,     0,  1398,     0,  1303,  1304,  1286,
    1293,  1305,  1298,  1300,  1299,  1301,  1297,  1302,  1934,   878,
    1948,   878,  2012,   875,   876,   878,   878,   878,  2099,     0,
       0,   850,     0,   861,  1925,   878,  1926,  2683,   883,   454,
     454,   454,     0,   882,   887,   454,  1179,  1217,  1903,  1411,
       0,  1948,  2012,   851,  1178,  2147,  1317,     0,     0,     0,
    1056,     0,  1057,     0,  2114,  1190,   242,  2623,  2123,  2208,
    2147,  2624,   238,  2618,  2619,  2621,   212,  2622,  2620,  2617,
    1938,     0,     0,   882,     0,  1187,  1188,   834,  1418,  1416,
       0,     0,     0,  1956,     0,  1968,  2048,   235,  2110,  2115,
    2123,  2208,  2147,  2175,   192,   197,     0,   251,  2123,  2208,
    2147,     0,  1208,     0,  1388,  1504,  1894,     0,     0,  2433,
    1181,  1180,  1287,     0,  1290,     0,  1466,  2095,  1392,  1394,
    1292,  1385,     0,     0,  2323,  1281,  1415,  1415,     0,  1415,
       0,  1377,  1385,  1380,  1384,     0,     0,     0,     0,  1198,
       0,  2401,  2429,  2408,  2464,  2405,     0,     0,  2454,  2450,
    2447,  2455,  2456,  2449,  2437,  1593,  1594,  1595,  1592,  1605,
    1591,     0,  2382,  1596,  2421,  2388,     0,  2396,  2395,  2700,
    2701,  2511,  2334,  2353,     0,     0,     0,     0,     0,     0,
       0,  2480,  2482,  2484,  2444,  2443,  2439,     0,     0,     0,
       0,  2569,  2570,  2568,     0,  2565,  2567,     0,  2464,     0,
    2634,  2628,  2637,     0,  1904,  2629,  2626,  2625,     0,   782,
       0,   139,   927,     0,     0,     0,     0,  1898,     0,     0,
       0,     0,     0,  2021,     0,     0,     0,  1799,  1960,  2008,
    1809,  1807,  1808,  1801,  1802,  1803,  1804,  1805,  1806,     0,
    1037,  1800,     0,   161,   139,     0,     0,  2021,     0,     0,
    2021,     0,     0,     0,     0,     0,   161,  2051,   139,  2021,
       0,     0,     0,  1202,     0,     0,     0,  1204,  1207,  1183,
    1269,     0,  1894,     0,     0,   813,   803,     0,   814,   804,
     809,     0,   816,     0,     0,   806,     0,     0,     0,   817,
       0,   805,   807,   819,   808,   815,     0,     0,   810,   811,
       0,     0,  1194,   454,   348,     0,     0,     0,     0,     0,
     139,  1256,     0,  2021,   139,     0,     0,   397,   396,   139,
     395,   394,  1960,  2008,     0,   966,   139,  2021,     0,   185,
     616,   549,     0,     0,   694,  2051,   139,     0,     0,     0,
       0,     0,     0,   942,     0,     0,   533,   546,     0,  2345,
    2351,     0,  2343,  2512,  2775,  2773,  2467,     0,  1043,   236,
     237,  1041,  2021,     0,   320,     0,     0,  2021,  1245,   769,
       0,   768,  2021,     0,  2021,  1923,   176,     0,   766,  1960,
    2008,  2021,     0,     0,  2021,   168,  2021,     0,  2021,   320,
    2021,   550,     0,  2021,     0,  2021,  2051,   170,     0,  2021,
     320,   780,     0,     0,  2705,  2709,     0,  2707,  2702,  2423,
    2477,  2476,  2375,     0,  2785,     0,  1364,  1295,  1310,     0,
    1306,  1313,  1309,  1398,   878,   877,     0,   878,     0,  2795,
     878,     0,   878,     0,  2795,   878,     0,     0,     0,   878,
    1927,  1928,     0,     0,  2794,  2790,  2793,   852,   862,     0,
     884,     0,     0,   891,   890,   889,     0,     0,     0,   892,
    1508,  1340,     0,   859,     0,   857,     0,  1176,  1193,     0,
       0,     0,     0,     0,  1059,  1059,  1059,  1189,   241,   239,
       0,     0,     0,     0,     0,     0,  1195,     0,     0,     0,
       0,  2689,  1910,  1810,  2688,     0,  2179,  2180,  2181,  1868,
       0,  2630,  2182,  2183,  2224,  1722,  1709,  1718,  1723,  1710,
    1712,  1719,  2184,  2185,  1992,  2186,  2187,  1917,  2188,  2189,
    1548,  2191,  2192,  2193,  1714,  1716,  2194,  2195,     0,  1918,
    2197,  2198,  2070,  2200,  2201,  2203,  2204,  1720,  2206,  2207,
    2208,  2209,  2210,  2211,  1916,     0,  1721,  2212,  2214,  2215,
    2216,  2217,  2218,  2219,  2220,  2221,     0,     0,  1891,     0,
    1694,     0,  1540,  1541,  1563,  1564,  1542,  1569,  1570,  1582,
    1543,     0,  1890,  1607,  1693,  1699,     0,  1692,  1688,  1401,
    1886,     0,  1689,  1906,  1869,  1920,  1919,  2683,  1877,  1909,
    1907,  1908,     0,     0,     0,   204,     0,     0,  2558,   253,
       0,   254,  1892,  2123,   193,   234,   206,   233,   207,   205,
       0,  1958,   194,     0,     0,   195,     0,     0,     0,     0,
       0,     0,     0,   247,  1184,     0,  1506,  1505,     0,     0,
    1875,  1895,   789,     0,  1279,  1280,  1278,     0,  1275,  1277,
    1289,  1286,  1882,  1881,  1883,     0,  1393,     0,     0,     0,
    1375,  1374,  1292,  1413,  1414,     0,     0,     0,     0,     0,
       0,     0,     0,  1456,  1429,  1430,  1432,  1453,  1457,  1465,
       0,  1381,     0,     0,  1510,     0,  1467,  2322,  2464,  2465,
       0,  2459,     0,  2458,  2458,  2452,  2451,  2448,     0,     0,
       0,     0,     0,     0,     0,     0,  2379,   528,  2381,   525,
       0,     0,  2355,     0,  2359,  2357,     0,  2504,  2507,     0,
    2505,  2506,  2508,     0,  2513,  2514,     0,     0,     0,  2696,
       0,     0,  2495,  2483,  2490,  2492,  2494,  2493,  2502,  2498,
    2501,  2503,  2445,  2458,  2576,     0,  2571,  2574,     0,  2566,
       0,     0,     0,  1905,     0,     0,     0,     0,   783,     0,
       0,     0,     0,     0,     0,   138,  1243,   244,  1241,     0,
       0,     0,     0,     0,     0,     0,  1248,     0,     0,   174,
     175,   561,   546,     0,  2021,     0,     0,     0,     0,   999,
    1006,     0,     0,     0,     0,     0,     0,     0,  1000,   998,
    1001,   246,  1010,  1023,  1026,     0,   917,     0,     0,     0,
       0,  1108,     0,     0,  1108,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   264,   272,   315,     0,
    2021,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     143,     0,     0,     0,     0,     0,     0,   512,   524,     0,
       0,     0,     0,     0,   521,     0,   139,   266,   505,   509,
       0,     0,     0,   625,   624,     0,  1108,     0,   262,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   334,   335,     0,     0,     0,   143,
       0,     0,     0,     0,   268,     0,  2389,     0,  1203,  1200,
    1201,     0,  1206,     0,  1265,     0,     0,     0,     0,   821,
       0,   818,     0,     0,   812,  1960,  2008,     0,     0,     0,
       0,     0,     0,   372,   347,     0,     0,     0,   691,     0,
    1551,  1580,  1558,  1580,  1580,  1547,  1547,  1560,  1549,  1587,
       0,  1580,  1547,  1552,     0,  1550,  1590,  1590,  1575,     0,
    1532,  1533,  1534,  1535,  1561,  1562,  1536,  1567,  1568,  1537,
    1604,  2635,  1547,  2636,  2633,  2632,     0,     0,   702,     0,
    1220,  1255,     0,     0,     0,   555,     0,  2021,     0,   141,
     738,     0,   692,   398,     0,   141,     0,     0,   179,     0,
     620,     0,     0,     0,     0,     0,     0,   640,   639,     0,
       0,     0,   693,     0,   141,     0,   508,  2021,     0,   454,
     454,     0,     0,   941,   944,     0,     0,     0,  2349,  2344,
    2347,     0,  2337,  2351,  1367,  1369,  1368,     0,  1366,     0,
     320,   318,   319,   689,  1051,     0,     0,     0,     0,   320,
       0,     0,  2021,   320,  2021,     0,  2021,     0,     0,   320,
     320,     0,     0,     0,     0,   621,     0,   779,   777,   776,
     778,     0,     0,     0,     0,     0,  2021,   320,     0,     0,
     760,  2703,     0,     0,  2706,     0,  2426,  1820,     0,  2791,
    1322,  2788,     0,     0,  1398,     0,   223,   224,   222,  1311,
     225,  1312,  1308,  1294,     0,   870,     0,  2795,  2796,   855,
       0,   865,     0,  2795,   853,     0,   866,   863,   864,     0,
       0,     0,  2789,  2674,  2680,   869,     0,     0,   455,   457,
       0,     0,  1978,  1991,     0,  2013,  2039,  2040,  2115,  2119,
       0,  2142,  2151,     0,   893,   922,   888,     0,     0,  1350,
     860,   858,  1177,  1315,  1826,     0,  1398,     0,   498,  1058,
    1055,  1054,  1053,   240,   213,     0,     0,     0,   924,  2114,
    1192,   833,   546,     0,     0,  1697,  1698,  1579,  1566,  1867,
       0,     0,  1574,  1573,     0,     0,     0,     0,     0,  1556,
    1555,  1554,  1696,  1834,     0,  1553,     0,     0,     0,     0,
    1580,  1580,  1578,  1627,     0,  1557,     0,     0,  1847,     0,
    1853,     0,     0,     0,  1586,     0,  1584,     0,     0,  1663,
       0,     0,     0,     0,     0,     0,     0,     0,  1611,  1612,
    2631,  1694,  1820,     0,  1695,  1913,     0,     0,  1572,     0,
    1604,  1810,     0,     0,     0,     0,  1880,     0,  1818,     0,
       0,  1641,  1816,     0,  1643,     0,     0,     0,  1809,  1807,
    1808,  1801,  1802,  1803,  1804,  1805,  1806,  1814,  1624,     0,
    1889,     0,  1623,     0,     0,  1469,  1400,     0,  1911,  1870,
       0,  2681,  2684,  1690,  2555,  2554,  2553,  2552,  2523,     0,
    2517,  2518,     0,  2556,  2557,   255,   256,   252,     0,     0,
     209,   208,     0,   231,   232,   203,   230,     0,   226,   227,
     211,  1762,  1761,   210,   202,   200,   198,   214,   216,   217,
     201,   199,   250,   248,     0,     0,     0,  1872,  1871,  1901,
    1876,     0,     0,   320,  2458,  1273,     0,  1270,  1885,     0,
    1395,     0,  1896,     0,  1282,  1391,  1390,  1422,  1423,   959,
    1389,  1447,  1448,  1443,     0,     0,     0,  1462,  1460,  1439,
    1433,  1438,  1436,     0,  1440,  1607,  1455,  1379,  1427,  1428,
    1431,  1378,     0,  1458,     0,  1350,  1456,  1432,  1337,     0,
       0,  1511,     0,     0,  2466,  2464,  2404,  1532,  2458,  2397,
    2458,  2453,  2385,  1598,  1599,  1600,  1601,  1602,  1603,  2386,
       0,  2383,  1597,  2384,   526,   527,     0,     0,     0,  2352,
       0,  2333,  2358,  2489,  2598,  2521,     0,  2522,     0,     0,
    2486,     0,  2496,  2499,  2497,  2500,     0,  1532,  2677,  2572,
    2677,  1532,     0,     0,     0,     0,     0,     0,     0,     0,
     784,     0,     0,     0,     0,     0,     0,  2142,   243,  1239,
       0,     0,     0,     0,   926,   925,     0,     0,   946,     0,
       0,     0,  1251,   443,     0,   317,     0,     0,     0,     0,
       0,     0,     0,     0,   687,   684,     0,     0,   683,     0,
     559,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   595,
       0,  1108,     0,   628,     0,  1008,     0,  1007,     0,     0,
       0,  1009,  1004,  1005,  2115,  2123,  2147,   245,  1025,     0,
    1024,  1022,   981,   983,   982,     0,   985,   969,     0,   970,
       0,     0,   980,   988,   986,     0,     0,     0,     0,  2001,
     274,   287,     0,  1107,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   307,     0,   310,   309,     0,     0,
       0,     0,   314,     0,     0,     0,   313,     0,     0,     0,
       0,  1108,     0,   270,     0,     0,     0,     0,     0,     0,
    1038,     0,     0,   164,     0,   160,   163,     0,     0,     0,
       0,   511,   523,     0,   515,   516,   513,   517,   518,     0,
       0,     0,     0,     0,     0,   510,     0,     0,   618,   617,
     623,     0,     0,     0,     0,     0,     0,     0,  1100,  1099,
       0,     0,     0,     0,     0,     0,   728,     0,     0,     0,
       0,     0,     0,     0,   167,   631,   632,     0,   633,     0,
     165,   166,     0,     0,     0,     0,     0,     0,     0,   221,
    1199,  1205,  1268,  1902,  1267,     0,     0,     0,   820,     0,
       0,     0,     0,     0,     0,     0,   822,   823,   824,   825,
       0,     0,     0,     0,     0,   350,   351,   139,   349,     0,
     717,  2632,   690,     0,  1532,     0,  1528,  1524,  1593,  1592,
    1591,     0,  1538,  1547,  1544,   703,     0,   705,   708,     0,
    1218,   416,     0,     0,   552,   595,     0,   401,   172,     0,
       0,     0,     0,   137,   183,   185,   399,     0,   184,   186,
     188,   189,   190,   187,   191,   615,   619,     0,   548,     0,
       0,     0,     0,     0,   641,   645,   644,   648,   646,     0,
     642,     0,     0,  1520,     0,   159,     0,   504,   507,     0,
    2330,     0,   401,   485,   327,     0,   454,     0,     0,   943,
       0,     0,     0,     0,     0,  2350,     0,     0,     0,     0,
    1365,     0,  1029,     0,  1246,  2021,   320,     0,  1027,   177,
    1924,     0,   761,     0,     0,     0,     0,     0,  1031,   757,
     169,     0,   320,   320,   551,     0,   320,   171,     0,     0,
       0,   543,   320,   781,  2704,  2710,  2708,  1324,     0,  2792,
    2786,  2787,   454,  1369,  1296,  1307,   867,   874,   856,   873,
     872,   854,   871,   868,  2488,     0,     0,  2679,     0,   885,
       0,   453,     0,     0,     0,   899,   900,     0,     0,   898,
     915,   901,     0,   903,   895,   894,   904,   905,     0,     0,
     924,     0,  1347,     0,  1345,     0,  1509,  1349,  1338,  1316,
       0,  1314,  1319,  1321,  1320,  1318,     0,     0,   503,     0,
       0,   882,     0,     0,   320,  1191,     0,   835,   836,   842,
       0,     0,     0,     0,     0,   843,   839,   840,   841,   844,
     845,   846,     0,     0,     0,  1830,     0,  1831,     0,     0,
       0,  1866,  1862,     0,     0,     0,     0,     0,     0,  1838,
    1839,  1840,  1837,  1841,  1836,     0,     0,  1842,  1835,     0,
       0,     0,     0,     0,  1577,  1576,     0,     0,     0,     0,
       0,     0,     0,  1666,  1699,     0,     0,  1794,     0,  1820,
    1852,     0,     0,  1588,     0,     0,     0,     0,     0,     0,
       0,  1820,  1858,     0,     0,     0,     0,  1760,     0,  1757,
       0,     0,     0,     0,  1877,     0,     0,     0,     0,  1914,
    1608,  1625,  1888,     0,  1879,     0,     0,  1609,  1632,     0,
    1859,  1659,     0,  1664,  1647,     0,  1640,     0,  1645,  1649,
    1628,  1880,  1819,     0,  1817,     0,     0,  1626,     0,  1621,
    1619,  1620,  1613,  1614,  1615,  1616,  1617,  1618,  1622,  1798,
    1796,  1797,     0,     0,     0,  1644,  2015,  2048,     0,  1412,
    1412,  1412,  1399,  1410,  1887,     0,  1515,     0,     0,     0,
       0,  1777,     0,  1824,     0,  1822,  1904,  2686,  2685,  1878,
       0,     0,     0,  1893,     0,     0,  1604,     0,   249,  1507,
    1873,     0,   787,   788,   786,  1532,  1292,  1276,  1272,  1271,
    1884,  1291,     0,  1398,     0,   957,   958,     0,   962,     0,
       0,  1441,  1463,     0,  1454,     0,  1445,  1446,  1437,  1464,
    1459,  1383,  1382,     0,  1518,     0,     0,  1334,  1327,  1512,
       0,  1469,  1352,  1354,  1355,     0,  1877,  2402,  2460,  2407,
    2428,  2398,  2431,  1606,  2380,  2420,     0,  2354,  2524,  2525,
       0,  2515,  2516,  2485,  2491,  2562,     0,  2678,     0,     0,
     715,   714,     0,     0,     0,  1136,  1061,  1112,   785,  1137,
    1062,  1113,  1138,  1063,  1240,     0,  1242,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   666,  2021,   320,  1249,  1139,     0,  1064,   316,  1250,
    1114,  1254,   686,   685,     0,     0,  1115,     0,   560,     0,
       0,   565,   566,   567,     0,     0,     0,   568,     0,  1960,
    2008,     0,   573,   580,   585,   575,     0,   586,   581,     0,
       0,     0,     0,     0,     0,   592,   594,     0,     0,     0,
       0,     0,     0,  1002,  1003,  1140,  1067,     0,  1116,   984,
    1547,   968,     0,     0,   979,     0,   978,  1547,  1547,  1068,
     173,     0,   265,   275,   601,  1110,   293,   306,   301,   302,
     300,  2021,   320,  2021,   320,     0,     0,     0,     0,   303,
     298,   299,   295,   308,  1937,  1993,  2124,     0,   605,   607,
       0,   612,   311,  1082,     0,   328,   331,   312,   291,   294,
     292,   288,   273,     0,     0,     0,     0,     0,     0,  1900,
       0,     0,  1033,     0,     0,     0,   162,  1096,     0,     0,
     148,     0,     0,     0,     0,   142,   152,     0,  1146,  1072,
       0,     0,   267,   506,   514,   519,  1076,   522,  1126,   520,
    1152,  1073,  1108,     0,   263,     0,  1074,     0,  1120,  1148,
    1098,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1257,     0,     0,     0,     0,     0,   320,     0,     0,     0,
    1110,  2021,   320,  1147,     0,  1105,  1134,     0,   336,     0,
    1097,     0,     0,   269,  1078,  1128,     0,     0,   219,   218,
     220,     0,     0,     0,     0,     0,     0,     0,     0,   827,
     796,   826,     0,     0,     0,   790,   371,   345,   346,   348,
     355,   716,     0,     0,     0,  1529,  1525,     0,     0,     0,
       0,     0,     0,  1545,   704,     0,     0,     0,     0,  1238,
    1238,  1238,  1238,  1238,  1238,  1238,  1219,  1247,     0,   139,
       0,     0,     0,   554,   594,   601,     0,     0,     0,   400,
     404,   408,   409,   410,     0,     0,     0,     0,   153,   140,
       0,   746,     0,   454,     0,   185,   178,     0,     0,     0,
     547,   701,   699,   698,   700,     0,     0,     0,   721,   697,
       0,  1519,  1521,     0,     0,     0,     0,     0,   403,     0,
     457,     0,     0,   489,     0,     0,     0,   327,     0,     0,
     973,     0,   991,   974,     0,     0,     0,  1013,  1018,  1014,
     994,     0,   531,  2348,  2342,  1370,  1371,     0,   320,     0,
       0,   596,   320,   320,     0,   320,     0,   320,   320,     0,
    1174,   622,     0,   674,     0,     0,   320,   759,  1821,     0,
    2487,  2675,   886,   456,     0,     0,     0,     0,   897,     0,
     529,   902,     0,   914,   909,   911,     0,   918,  1348,  1341,
    1343,  1342,     0,     0,  1339,  1827,   758,   496,     0,     0,
       0,   320,     0,   919,     0,   837,   838,     0,     0,   847,
       0,     0,  1417,  1828,  1829,     0,     0,     0,     0,  1863,
       0,     0,  1735,     0,  1711,  1713,  1546,  1725,     0,  1559,
    1736,  1737,  1715,  1717,     0,  1811,     0,     0,  1726,  1668,
    1669,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1681,  1680,  1727,  1793,     0,     0,
    1850,  1851,  1728,  1589,  1590,  1590,     0,     0,  1857,     0,
       0,     0,  1733,  1738,     0,     0,     0,     0,  1744,     0,
    1765,     0,     0,     0,  1691,  1821,  1581,  1582,     0,     0,
       0,     0,     0,     0,     0,     0,  1665,  1648,  1642,     0,
    1646,  1650,     0,     0,     0,     0,  1634,  1660,  1630,     0,
       0,  1636,     0,  1661,  1412,  1412,  1412,  1412,  1409,     0,
       0,     0,     0,     0,  1490,  1468,  1470,  1477,  1490,  1495,
    1513,     0,  1894,     0,  1450,  1421,  1421,     0,  1777,     0,
    1700,     0,  1777,     0,     0,  2537,  2539,  2540,  2541,  2542,
    2543,  2545,  2546,  2548,  2549,  2550,  2538,  2544,  2547,  2551,
    2528,  2529,     0,  2519,  2520,   196,     0,   228,   215,     0,
    2562,  1274,  1897,     0,  1424,     0,  1812,   962,   960,   961,
    1426,     0,     0,  1461,  1434,  1336,     0,  1334,  1329,     0,
    1330,  1877,     0,  1326,  1359,     0,     0,  1518,     0,  1358,
       0,  2462,  2390,     0,     0,  2561,  2564,  2575,  2573,  2400,
    1135,  1060,  1111,  1238,   929,   930,     0,   928,     0,     0,
       0,   442,   945,     0,     0,     0,   666,     0,     0,   446,
       0,  1252,     0,  1153,  1095,   562,   563,     0,   574,     0,
     583,   582,     0,     0,   570,     0,     0,     0,     0,   569,
     588,   535,   589,   591,     0,     0,   590,   593,   598,  1108,
       0,   629,  1084,     0,  1132,   996,     0,  1547,   971,   976,
     977,     0,     0,     0,   416,     0,     0,     0,   276,   286,
       0,     0,   290,     0,   284,   304,   296,   305,   297,   609,
     610,   608,   604,     0,   611,   613,   325,     0,     0,     0,
    1142,  1108,     0,   271,  1080,     0,  1130,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1143,  1117,
       0,     0,   145,   144,     0,   151,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   337,
     322,     0,   724,     0,     0,     0,   339,     0,     0,     0,
       0,  1141,  1069,   791,     0,     0,   792,   800,     0,     0,
     793,     0,     0,   802,     0,     0,   344,   352,   718,     0,
    2070,  1801,  1802,   712,   719,   709,   711,   710,   713,   666,
       0,     0,     0,  1530,     0,  2776,  2784,  2783,     0,  1604,
     706,   707,     0,  1238,  1237,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   428,     0,     0,   422,
       0,     0,  1018,   415,   418,   419,     0,     0,   555,   558,
     556,   557,   587,     0,   435,     0,     0,   155,     0,     0,
     156,   154,     0,     0,   327,     0,   181,   399,     0,     0,
     647,   650,   643,     0,   720,   722,   695,     0,   601,     0,
       0,  1325,   498,     0,   485,   481,   483,   482,   484,     0,
     491,   326,     0,   498,   491,     0,   946,   972,     0,     0,
       0,  1011,  1015,  1012,     0,     0,   987,     0,   995,   965,
    1169,  1170,  1167,  1168,     0,     0,  2365,  1361,  2374,  1030,
       0,   320,  1028,   762,     0,   753,     0,   755,  1032,   320,
     320,   634,     0,   544,     0,     0,     0,     0,   896,   916,
       0,   912,     0,     0,   879,   921,  1346,  1344,   497,   924,
       0,   880,   923,     0,     0,     0,     0,     0,  1832,  1565,
       0,  1865,  1861,     0,  1708,  1833,     0,  1845,  1844,  1667,
    1846,     0,  1686,     0,     0,  1678,  1676,  1677,  1670,  1671,
    1672,  1673,  1674,  1675,  1679,  1855,  1854,  1848,  1849,  1585,
    1583,     0,  1730,  1731,  1732,  1856,  1739,     0,  1951,  1766,
    1743,  1759,  1758,     0,     0,     0,  1746,     0,     0,  1755,
       0,  1795,  1571,  1604,  1610,     0,     0,  1633,  1860,  1651,
       0,     0,     0,  1629,     0,     0,     0,     0,  1638,  1811,
       0,     0,     0,     0,     0,     0,  1403,  1402,  1408,  1490,
    1495,  1385,     0,  1477,     0,  1489,  1475,  1488,     0,     0,
    1501,  1499,     0,  1501,     0,  1501,     0,  1472,     0,  1491,
    1473,  1488,     0,  1895,  1514,     0,  1452,     0,     0,  1420,
       0,  1777,  1707,  1780,  1775,  1776,  1825,  1701,  1912,     0,
    1823,  1777,     0,     0,     0,  1874,  2560,  1396,     0,  1425,
    1442,  1435,     0,  1516,  1335,     0,     0,  1332,  2791,     0,
       0,  1353,  1334,  1356,  2406,     0,  2461,  2526,  2527,     0,
     935,   936,   934,   937,     0,     0,     0,   666,     0,     0,
     462,     0,   953,   953,     0,     0,   448,   494,  1018,   669,
       0,     0,     0,   667,   320,  1065,     0,   584,     0,     0,
     579,   577,   576,   578,   536,  1151,  1066,     0,     0,     0,
       0,   997,     0,   989,  1083,     0,   413,     0,   281,  1109,
       0,     0,     0,   280,     0,   320,   320,   606,   329,   330,
     333,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   747,   730,     0,     0,   748,   749,     0,     0,     0,
    1035,  1036,  1034,   149,   146,   147,   150,  1093,  1077,  1127,
    1075,     0,  1121,  1090,  1086,     0,     0,     0,     0,     0,
    1150,  1104,  1125,  1149,  1102,  1123,  1101,  1122,  1103,  1124,
    1094,     0,  1523,   727,     0,     0,     0,   320,   320,   636,
    1079,  1129,     0,   794,     0,     0,   795,   797,   374,     0,
     377,   384,   356,   361,  1256,     0,  1256,     0,   358,   362,
    1256,   357,  1256,   354,   688,     0,     0,     0,  1526,     0,
       0,     0,     0,     0,     0,  1531,  1539,   665,     0,  1229,
    1228,  1227,  1231,  1230,  1233,  1232,  1224,  1223,  1236,  1235,
    1222,  1221,  1226,  1225,     0,   420,     0,   426,   430,   431,
     429,   421,  1018,   454,   493,     0,     0,   678,     0,   553,
     401,   432,     0,   405,   158,   157,     0,     0,     0,   185,
       0,     0,   652,   656,   696,     0,  1522,   630,   327,     0,
     401,   498,  2331,     0,   406,   411,   412,     0,   489,     0,
     485,     0,     0,   495,  1216,   499,   500,     0,     0,   975,
     992,   993,     0,     0,  1018,  1017,     0,   538,     0,  2338,
     320,   597,   320,   320,  1175,   675,     0,   908,   907,   906,
     530,     0,   910,   320,     0,     0,     0,     0,     0,   849,
     828,   848,  1864,  1724,  1734,  1843,     0,     0,  1687,     0,
       0,  1729,  2213,     0,     0,     0,     0,  1763,  1764,  1745,
       0,  2061,  1750,     0,     0,     0,  1915,  1657,  1655,  1652,
       0,  1653,     0,     0,  1635,  1631,     0,  1637,  1662,  1407,
    1406,  1405,  1404,  1476,  1474,  1479,  1486,     0,  1471,     0,
    1500,  1496,     0,  1497,     0,     0,  1498,     0,     0,  1486,
       0,     0,     0,     0,  1771,  1777,  1777,  1702,  1782,  1779,
       0,  1704,  2530,     0,  2533,  2531,  2532,  2536,  1604,     0,
       0,  1328,  1331,  1333,     0,  1360,  1351,  2463,  1244,     0,
       0,     0,   444,     0,  1018,     0,     0,     0,   956,   956,
       0,  1018,   493,   671,   670,   673,   668,   672,  1253,     0,
     571,   572,  1085,     0,  1133,  1091,   990,     0,   602,   277,
     278,   279,   282,   322,   289,   283,     0,  1081,     0,  1131,
    1088,  1144,  1070,  1118,     0,     0,   736,     0,     0,     0,
       0,  1145,  1071,  1119,     0,     0,     0,     0,  1262,     0,
     321,   726,   725,   322,   338,  1106,     0,   798,   799,   375,
     139,     0,   353,     0,   382,     0,   380,   379,   381,     0,
     368,     0,     0,     0,     0,     0,  1527,     0,  1049,  1049,
    2777,  2778,  2779,  2780,  2781,  2782,     0,   666,  1234,     0,
       0,   417,   493,   461,     0,   423,     0,     0,     0,     0,
       0,     0,     0,   601,     0,     0,     0,   180,   401,   601,
     651,     0,     0,     0,   723,     0,   403,     0,  1323,   402,
       0,     0,   491,     0,   489,     0,   486,     0,   490,     0,
    1209,     0,     0,  1016,     0,  1020,     0,   986,   963,  1515,
       0,   542,  2364,  2368,  1050,   754,   756,   635,   913,   920,
     320,   829,   830,   831,   832,  1682,     0,     0,     0,     0,
    1740,     0,  1741,  1768,  1767,  1747,  1751,     0,  1748,  1749,
    1654,  1658,  1656,  1639,  1478,     0,     0,  1480,     0,     0,
    1482,  1484,     0,     0,     0,     0,     0,  1898,  1777,  1449,
    1451,     0,  1386,  1705,  1706,     0,  1421,  1777,  2535,  2534,
     229,  1813,  1517,  1357,   914,     0,   320,   953,   493,   463,
    2070,   464,   952,     0,   954,   959,   959,     0,   493,   666,
     564,     0,   600,     0,   324,   332,     0,     0,     0,   743,
     731,     0,     0,   750,  1087,     0,     0,     0,     0,     0,
     320,   801,   355,     0,   378,   387,     0,   385,   359,   364,
       0,   366,   365,   360,   363,  1049,     0,  1046,  1045,   664,
       0,   452,   424,     0,   472,     0,     0,   679,     0,     0,
       0,   441,   440,   437,   436,   438,   439,   434,   433,   626,
     740,   327,  1216,   614,   653,   654,   649,     0,     0,     0,
     485,   481,   407,   416,   390,     0,   491,   487,   488,     0,
       0,     0,  1264,     0,   947,  1019,     0,     0,     0,   537,
       0,     0,   541,   532,     0,  2366,   881,  1683,     0,  1684,
       0,     0,     0,  1753,  1752,     0,  1487,  1503,     0,  1483,
    1481,  1492,     0,  1494,  1770,  1772,     0,     0,  1785,  1703,
     931,     0,   932,   956,   467,     0,   955,   962,   962,   454,
     666,   445,  1092,   603,     0,   285,  1089,     0,   734,     0,
     745,   743,     0,     0,  1258,     0,  1259,  1260,  1263,   340,
     343,   373,   383,     0,   367,  1044,  1048,  1047,     0,     0,
     425,   458,   459,   460,     0,   427,   468,   469,     0,   676,
       0,   681,     0,     0,     0,     0,     0,  1210,     0,     0,
    1211,   489,   485,   414,   480,   388,     0,  1213,     0,   327,
       0,  1018,  1021,  1173,   540,   539,  2369,  2371,  2370,     0,
    1685,  1756,  1742,  1769,  1754,  1485,     0,  1493,     0,     0,
    1781,     0,     0,     0,     0,   959,     0,   666,     0,   950,
     949,   461,   447,   323,     0,     0,   741,   744,   732,   745,
     752,   751,     0,   386,     0,   451,     0,     0,     0,   470,
       0,   471,   492,     0,   680,     0,   601,   739,     0,     0,
     655,     0,   491,   489,  1214,  1215,   491,   948,   964,  1172,
    1171,  1398,  2367,  1502,  1773,  1774,  2178,     0,  2153,     0,
    1783,  1786,  1784,  1778,   320,   962,     0,   449,   465,   472,
       0,     0,   733,  1261,   656,   477,     0,   476,     0,   474,
     473,   677,   682,   627,   729,  1212,   659,   391,   491,  1515,
    1155,  1398,  1154,  1156,  1164,  1161,  1163,  1162,  1160,     0,
    1790,  1789,  1788,  1792,  1791,   933,   951,     0,   666,   735,
     742,     0,   475,   479,   478,     0,   657,   660,   663,   661,
     662,   389,   938,     0,  1165,  1159,  1385,  1372,     0,   466,
     450,     0,   637,     0,  1157,  1398,  1787,     0,   658,  1158,
       0,   659,     0,   638
};

  /* YYPGOTO[NTERM-NUM].  */
static const yytype_int16 yypgoto[] =
{
   -4453, -4453,  4043, -4453, -1199,  -488,  2560,  -761, -4453, -4453,
   -4453,  1289, -4453, -4453, -4453, -4453, -4453, -4453, -4453,  3218,
   -4453, -4453,  1747, -2585, -4453, -4453,   -61, -1609,   692,  2823,
    1416, -4453, -1370, -4453, -4453,  -886,    -4,   646, -4453, -4453,
   -4453, -4453, -4453, -4453, -4453, -4453,  -987,  1896,  1240,  4628,
   -2770, -4453, -1704, -3333, -4453,   639, -4453, -4453,  1834, -4453,
   -4453, -4453,  1099,   565,  -352, -4453, -4453, -4453, -4453, -4453,
   -4453, -4453,  -168, -4453, -4453,  -480,   154,  -108, -2582,  -220,
   -4453, -4453,   511,  -222, -1619, -4453, -3617, -4453,    83, -4453,
   -4453, -4453,  -202, -1702,  1338, -4453,  -996, -1388,  1653,  -536,
   -4453,   -89, -4453,  -592,  -478,  -476,  -546,  -379, -3801, -4228,
   -3790, -3400,  1347, -4453, -3729,   183, -4453, -4453,   213,   264,
   -4453, -4453, -1801, -1723, -4453, -1012, -4453, -4453, -4453, -3068,
   -4453, -4453, -4453, -4453,   -99, -4453, -4453, -4453, -4453,   538,
   -4453, -4453, -4453, -4453, -4453, -4453, -2870,  1792,  1793, -4453,
   -4453, -3264, -4453, -1206, -4453,   676, -3107,  1256, -4453, -4453,
   -4453,  2504, -4453, -4453, -4453, -4453, -4453, -4453, -1869, -4453,
   -4453,   303, -4453,  1807,  1071, -4453, -4453, -4453,  -575,  -636,
    -627, -4453, -3589, -4453, -4453, -4453, -4453,  -159, -4453, -4453,
   -4453, -4453, -4453, -4453, -1249, -4453,  1132, -3220, -1231, -4453,
   -4453,  1149, -4453, -4453, -4453, -4453, -4453,  -529,   -94,  2534,
   -4453,  -416,  -503, -4453, -4453, -4453,   -92, -4453, -4453, -4453,
   -4453, -4453, -4453, -1339,  7372, -1857, -4453, -4453, -4453, -4453,
   -2363, -4453, -4453, -4453, -1143, -4453,  4307,     2,   161,   314,
   -4453,  -182,  -101,  3053, -1413, -2782,   485,  -245, -4453, -2050,
   -4453, -4453, -4453, -2680, -4453, -4453, -4453, -4453, -3559,   315,
   -4453, -4453, -4453,   539, -4453, -4417, -4012, -4313, -3874, -3553,
   -4453, -4453, -1348, -4453, -4453, -4453, -1665,  2011, -1738, -4453,
   -2319,   535, -3821, -1024, -3332, -4453, -3772,  -343, -4453, -4453,
   -4453, -4453, -4453, -4453, -4453, -1342,  -891, -4453, -4453,  3576,
   -4453, -4321, -4453, -4453, -4453, -4453,  1366, -4453, -1705,  1217,
   -4453, -4453, -4453, -4453, -4453,  -510,  -593, -4453, -4453, -4453,
     317, -4453, -4453, -4453, -4453,  2153, -1212, -1003,  3433,   331,
    -306, -4453, -4453, -4453, -4453, -3156, -4453, -4453, -4453, -4453,
   -4453, -4453, -4453, -1591, -4453, -4453, -4453, -4453, -4453, -4453,
   -4453,  2222,  2220,  -103,  -231, -4453, -4453, -1521, -4453,  -829,
   -4453,  2466, -4453, -4453, -4453, -4453,  1501,   336,   568,   -70,
   -4453, -4453,   357, -3487,   -69, -4453, -4453, -4453, -4453,  2193,
     -68, -4453,   845, -4453, -4453, -2918, -4453,   339,    10,  3142,
    1759,   -62,   266,  -243,  -178,  -174,   -77,  3444,  2907, -4453,
   -4453, -4453,  -212,  2215, -4453, -1102,  -362, -4453,  1513,  -924,
    2207,  2897,  2896, -4453,  1510, -4453, -4453,  1516, -4453, -4453,
   -4453,  -923,  2212, -4453,  2900, -4453, -4453, -4453,  1503,  1507,
   -3478,   939, -3464, -3435,   445,   432,  -800,  -166,  -171,  3471,
    2916,   947, -4452,   875, -4453, -4217, -2467,  2364, -2181, -1867,
   -4453, -4453, -1444, 10849, -4453, -4453, -4453, 11146, 12031, -4453,
   -4453, 13606, 14383, -4453, -1202,   988, 15273,  8931, -1463, -1889,
   -1576, 20130,   788,  2028, -2773, -4453, -4453, -4453,  -132,  1000,
    -146, -4453, -4453, -4453, -4453,  -398, -2911,  -396, -4453, -4453,
   -4453,  -401, -3354, -1722, -4453,  -771, -4453, 21478,  1547, -4453,
   -1257, -2844, -2855, -1410, -2021, -4453, -4453, -4453, -4453, -4453,
   -4453, -4453, -1553, -3345,  -329,  1622, -4453, -4453,  1715, -4453,
   -4453, -4453, -1578, -1154, -2767,  1628, -2197, -4453, -1096,   896,
    2346, -1058,  4349, -1571, 17192,  -118, -2432, -1568, -1800, -4453,
     -81, -4453,  2988,  3058,  -813,  -161,  -920,  6400,  4436,  5680,
   -3213, -4453, -4453,   344, -4453, -4453, -4453,  3956,  1148, -4453,
    3252, -4453,  1861,  2596, -4453, -4453,  2223,  -952,    48, -4453,
    -369, -4453,  -120, -4453, -4453, -4453,   216, -4453, -4453, -4453,
   -4453, -4453, -4453, -4453, -4453, -4453,  2928, -4453, -4453, -1500,
   -4453, -4453, -4453, -4453, -4453,  4216,  -316, -4453,  3626,  -312,
   -4453, -4453, -4453, -4453, -4453, -4453, -4453, -4453, -4453,  2942,
    2254, -4453,  3424, -4453, -4453, -4453,   -34,  3155, -4453, -4453,
   -4453, -1226,  -606,  3488,  3493,  2224, -4453, -4453, -4453, -4453,
   -4453, -4453, -4453, -4453,  2230, -4453, -4453,  1606, -2178,  2226,
   -4453, -4453,   918, -4453, -4453,   460, -4453,   919, -4453,  3051,
   -4453, -4453, -4453,   957, -4453, -4453, -4453,  -586, 14422,   -54,
     -40,    97,  1605, -4453,  9036,   849,   -90,  2959,   -18, 12262,
   19889,    11, -4453,  4206,  2232,  1832, -1036, -4453,  3475,  2539,
   18994, -4453, -1035,    30,  2120, -4453,    -2,  -672, -1207,  3244,
    -748, -2001, -4453,  4623, -4453, -3676, -4453, -1060,   459,  3628,
   -1252
};

  /* YYDEFGOTO[NTERM-NUM].  */
static const yytype_int16 yydefgoto[] =
{
      -1,     1,   248,   249,  1736,  2668,  2545,  3378,  3379,   250,
     251,  1808,   252,   253,   254,   255,   256,   257,   258,  1752,
     259,   260,  1308,  1958,  2678,   261,  2408,  1075,  1076,  2276,
    2277,  2610,  2278,  2265,  1586,  2060,  1771,  1738,  1772,   263,
     264,  1580,  2257,   265,   266,   267,  1796,  1797,  1746,  2003,
    4292,  4895,  2526,  3415,  3214,  3215,   268,  1854,  1855,   269,
     270,  3329,  1895,  2637,  3866,  3867,  4323,   878,  2634,  4600,
    4601,  4309,  4310,  4607,  4786,  4787,  2679,  1954,  3409,  3954,
    3369,  4393,  3370,  4394,  3371,  4395,  3357,  3913,  3914,  3915,
    3372,  4371,  4817,  3373,  2423,  4920,  2713,  2090,  2088,  4804,
    4189,  4190,  4977,  4925,  4926,  4927,  5049,  4400,  3413,  3960,
    4403,  4635,  3111,  1978,  2828,   977,  2715,   909,   978,  2680,
     275,  2707,  1828,  1829,  2553,  3873,  3471,   276,  1327,  3740,
    4681,  4852,  4853,   277,   866,   278,  1962,   279,   280,  2664,
    3363,   281,  2440,  3128,   282,   283,  3155,  3156,  3157,   284,
     285,  3764,  4557,  1798,  3207,  3208,  3209,  3210,  3784,   286,
    1960,  1834,  2687,   287,   288,   289,   290,   291,  2597,   292,
     293,  2681,  1970,  2699,  2700,  4383,  4651,  4826,  4653,  5085,
    5086,  4627,  3719,  4203,   295,   296,  4366,  4367,  4932,   297,
    2438,   298,   299,   300,  1938,  2656,  2657,  3874,  1722,  1898,
    2639,  2640,  3943,  3944,   301,  3289,   302,  4251,  4252,   910,
    4935,  4900,  4988,   303,   304,  4255,  4256,   305,   306,   307,
     308,   309,   965,  1380,  1381,  1728,   310,  2293,   311,  1281,
    3320,   312,  1469,  2853,  4440,   313,  1001,  1405,  1406,  2682,
     315,  1012,  2831,  1014,  2103,  3473,  3474,  4014,  2799,  1200,
     316,   317,  2810,  2834,   318,  1739,  2414,  2415,  4184,  2683,
     911,  1984,  2718,  3106,  4843,  4191,  4538,  4755,  3028,  3670,
     320,   912,  1776,  2488,  2721,  3421,  3422,  2490,  2992,  3975,
    2492,  3423,  3428,  3429,  3430,  3971,  3979,  4675,  4676,   321,
    1774,  2481,   322,   323,   324,  1805,  1219,   325,   933,   934,
     326,  4797,   327,  1346,   328,  1033,  2120,   329,  2504,  3770,
     330,   331,   332,  5062,  5093,  5094,  5095,  3984,  5021,   333,
    5064,  1447,   335,   336,   337,   869,  1247,  1248,  1249,  2684,
    4670,   339,   340,  2660,  3356,  3895,   341,   342,  2409,  3096,
     343,   344,   345,  1942,   346,   347,   348,   349,  1874,   350,
    1617,  1618,   351,   352,   873,  1094,  1621,  1629,   353,   980,
    1399,  1400,  1401,  2062,   354,  1451,  2821,   981,  1394,   982,
    3047,  3679,  3680,  3683,   983,  3044,   358,  2109,  2815,  2818,
     984,  3051,  3052,  3053,  3054,  3055,  3685,   985,  1003,  1337,
    2729,   986,  1540,   363,   364,   365,  1103,  1098,  1099,   367,
    2235,  2982,  1020,  1635,  1060,  1110,  4139,  2307,  2308,  2330,
    2331,  1644,  1645,  2320,  2322,  3030,  2323,  3038,  2313,  4136,
    4504,  2326,  2327,  1647,  1648,  1649,  2335,   368,  2986,  3615,
    3616,  3617,  4115,  4116,  4130,  4126,  4491,  4720,  3618,  1441,
    1655,  3619,  3624,  3677,  3400,  3401,  3402,  2493,  2647,  1920,
    1541,  1921,  2654,  1542,  2155,  1923,  1543,  1544,  1545,  1926,
    1546,  1547,  1548,  1549,  2138,  2198,  1550,  1551,  2174,  1142,
    1143,  2047,  2892,  1553,  1554,  4079,  4464,  4453,  2918,  2919,
    2273,  4075,  3566,  4732,  4874,  4875,  4147,  4144,  4508,  4736,
    4973,  5030,  5031,  1555,  2972,  2227,  1221,  1556,  3876,  2229,
    2912,  2994,  2995,  2393,  2136,  2858,  2875,  2876,  2889,  3527,
    2896,  2901,  3550,  3551,  2913,  2941,  1557,  2861,  2862,  3510,
    2140,  1558,  1610,  1611,  2243,  2936,  1624,  1625,  1096,  1559,
    1560,  2104,  1085,  4716,   720,   703,  3228,  2288,  1251,  1017,
    1561,  1562,  1563,  1355,  1356,  1677,   665,   704,   705,  1180,
     817,     2,    75,   987,  3407,   372,   373,   914,   915,   916,
    1329,  1330,  1989,  1992,  1682,  2371,   669,   670,   721,  4419,
    4682,  4855,   971,   374,   375,   376,   377,  1678,  2367,  1144,
      76,    84,    77,  1145,   414,   415,  2348,   378,   834,   379,
    1658,  1124,  3691,   380,   381,   382,   383,   384,   968,   385,
    1126,   386,  1127,   387,   388,   389,   390,  1134,   391,  1660,
    1661,  4176,  1662,   392,   393,   707,   708,  1392,   394,   395,
    1161,  1162,  1424,  1425,  1688,  1703,  1704,  1705,   396,   677,
     397,   398,   399,  1694,  1695,   400,  2250,  2251,  2376,  2252,
     401,  3068,  3069,   402,  3650,  3651,  4515,  3652,   403,  2246,
     404,   405,  1088,  3696,   406,   830,   407,  1175,   709,   710,
     711,  1182,   820,  1046,   722,  1184,  3211,   822,   823,   713,
     714,   715,  2082,    78,  3076,  2083,  1565,   723,  1566,  2241,
    1567,  1568,  1569,  1570,  1571,  1711,   717,  1151,  1384,  1385,
    3077,  1387,    82,  1388,   411,  3888,  2050,  1426,  2770,  2068,
    2069
};

  /* YYTABLE[YYPACT[STATE-NUM]] -- What to do in state STATE-NUM.  If
     positive, shift that token.  If negative, reduce the rule whose
     number is the opposite.  If YYTABLE_NINF, syntax error.  */
static const yytype_int16 yytable[] =
{
      81,   366,  1111,  1304,  1102,  2009,  1005,  1581,   356,   357,
     359,  1650,  1339,  1433,  1434,  1435,   361,  1087,  2013,  1439,
    2019,  1603,  1656,  1833,   408,  1810,  1005,   821,  1052,  1723,
     408,  2059,    79,  2290,   925,   913,  1872,  2491,  2422,  1859,
    2115,  2652,   908,  2087,  2766,  2800,  1338,  2644,  2149,  2150,
    3491,  2127,  1159,  1084,  1897,  1952,  1402,  2301,  2176,  1362,
     409,   964,   979,   408,  1121,  1972,   409,  2165,  1122,  1595,
    1013,  3000,   821,  2612,   262,  2653,   410,   818,  2501,  2509,
    3630,  1220,   410,  1026,  3964,  3368,  3746,   674,   366,  2522,
    3386,  1940,  2355,  2357,  2358,  1945,  3978,  3779,   867,  3781,
    1949,  3922,  3020,  3230,  2704,  2565,   719,  1955,   408,  1053,
    2489,  2304,  2000,  2857,  4159,   410,   725,  1974,  3286,  1163,
    3877,  1105,   818,  1220,  1706,  1708,  3891,  4196,   825,  1676,
    3477,  2574,  3684,  3877,  3627,  4112,  2048,  2578,  2579,  1365,
    4364,   821,   706,  3625,  3626,  2290,  1397,  4226,  1339,  1377,
    4186,   919,   871,  4398,  4414,  4129,  1074,  3574,  2477,  2400,
     410,  2500,  2074,  2349,  2349,  2758,  3059,   927,  2049,  1002,
    4662,  3174,  3176,   825,  4406,  2708,  1773,   408,  2044,  1220,
     706,  4539,  1588,  4127,  2719,  1154,  1643,  1646,  1113,  1002,
    4164,   818,  1114,  1799,  3896,  3897,  3898,  3899,  3900,  3901,
    3695,   917,   924,  1684,  1685,  4057,  3075,  1049,  4329,  2248,
    3079,   924,  3620,  3531,   819,  1049,  2585,  1049,  2202,  1386,
    1048,  1971,   417,  4392,   877,  4537,  4756,  4848,  1048,   410,
    1048,    43,   271,  2590,  4405,  2196,    45,   417,  3381,  3969,
    2001,  1827,   825,  2205,  1838,  2701,  1176,  2510,  1333,  1092,
    2001,   924,  2811,  1864,   417,  4844, -1799,  4899,  1740,   819,
    2001,   272,  2291, -1799, -1590, -1590, -1590, -1590,    45,  3325,
    3620, -1590,   868,  2207,  2001,  3308,  1572,  -376,   417,  2142,
    2143,  4724,  2193,  4726,  1465,  1697,  3747,  1893,  2934,  3689,
    4324,   273,    45,  2934,  2711,   366,  1449,  4916,  4798,  4389,
     413,   675,   356,   357,   359,  2162,   130,   131,  1698,  2711,
     361,  2929,  3445,  3956,  3447,  2624,  1869,  2240,  1813,  3109,
    2503,  2809, -1580, -1580, -1580, -1580,   408,  1422,   819, -1580,
    3281,  2969,  1749,  1697,  2051,  3788,  1608,  1573,  2970,  4253,
    1609,  3487,   274,   417,   362,  3531,    37,    38,    39,    40,
    3789,  1814,    43,    44,  1471,  1699,  1698,    45,  2011,  3282,
    1741,   408,   409, -1905, -1905, -1905, -1905,   417,   262,  2812,
   -1905,  3110,  2625, -1590, -1590, -1590, -1590,  1887,   410,  2503,
   -1590,   294, -1580,  1872, -1815,  -139,  2194,  2572,  2503,  2061,
    1574, -1815,   314,   319,  -139,   334,  4546,   409,  3137,  -139,
     928,  2702,   417,  2503,  2202,    37,    38,    39,    40,   338,
    2239,    43,    44,   410,   355,   879,    45,   360,    37,    38,
      39,    40,   371,  3122,  3635,    44,  4542,  3636,  3637,  2205,
    1614,   362,  1615,  4917,  1750,  3489,  4836,  4254,  3638,  3639,
    3640,  1115,  3641,  3642,  3508,  2503,  2894,  3643,  3644,  3645,
   -2635, -2635, -2635, -2635,  2176,  2503,  1936, -2635,  1339,  2207,
    2894,  2149,  2150,  3336,  1150, -2635,  2107,  1870,  2165, -2636,
   -2636, -2636, -2636,   831,  4915,   832, -2636,  4996,  3488,  3916,
    2712,  1339,  2797,  2292, -2636,  4390, -2633, -2633, -2633, -2633,
    2002,  2985,  2037, -2633,  3747,  4648,  2521,  1220,  2428,  2236,
    2002, -2633,  1742,  1164, -2632, -2632, -2632, -2632,  4872,  2975,
    2002, -2632,  2833,  1101,   913,  1597,  1423,  1116,  1178, -2632,
    2511,  2795,  1122,  1585,  2002,  2801,   271,  2803,  1093,   835,
    2806,   676,  2512,  5017,  2619,  1743, -1580, -1580, -1580, -1580,
    2282,  2283,  1804, -1580,  2813,  2623,  4599,  4179,  1339,  2703,
    2020,  1687,  1690,  2591,  3970,   272,  1157,  1158, -2227, -2227,
   -2227, -2227,  2814,  2586,  1744, -2227, -1799,  1438,  4239,   836,
    4975, -2059,  3309, -2227,  2063,  3877,  1450, -1547, -1547, -1547,
   -1547,  2266,  2131,  2513, -1547,   273,  2279,  2279,  1608,  3646,
    4632,  1719,  1609, -1575, -1575, -1575, -1575,  2935,  4532,  4664,
   -1575,  4378,  3594, -1560, -1560, -1560, -1560,  5092,  2197,  3159,
   -1560,   247, -1587, -1587, -1587, -1587,  2290,  2108,  2644, -1587,
    1155,  1937,  1745,  2039,  2105,  2561,  1693,  2563,  2570,  3543,
     919,  1148,  1112,  2011,  2226,  2043,   274,  3178,   362,  2117,
    4488,  2971,  4678,  4013,  4492,  2615,  4129,   929,  2642,  1674,
    1675,  2416,  2128, -1575,  4621,  4622,  4623,  4624,  4625,  2611,
    2249,  2290,  4658,  2233,  2171,  2999,  1156,  2417,  2573,  1616,
    1339,  1198,  4547,  3712,  4483,   294,  3339,  3225,  1339,  1339,
     917,   999,  1000,  2172,  4387,  4526,   314,   319,  1231,   334,
    3029,  1751,  3820,  4445, -1815,  1422,  3123,  2173,  2788,  2762,
    3327,  2142,  2143,   338,  2261,   999,  1000,  2798,   355,  2162,
    1117,   360,  2137,  5012,  1207,  2860,   371,  4142,  1438,  2695,
    3647,  1598,  2418,  1191,   924,   924,  2336,  2337,   930,  2108,
     931,  2372,  1422,  1102,  4217,  4883,  1937,  4338,  3917,  2419,
    1167,  1165,  1295,  1843,  4241,  2465,  4997,   833,  1403,  3253,
    2480,  1651,  3173,  2471,  2796, -1580,  3160,  1179,  3540,  3541,
    3542,  3543,  4748,  2807,  1350,  3648,  1201,  1290,  2463,  4758,
    1700,  1701,  1150,  2171,  3686,  1280,   408, -2059,  4150,  2429,
     408,  1844,  1599,  3219,  3150,  5058,  2430,  1735,  1163,  2011,
     818,  3531,  2172,  1058,  1608,  2696, -1905,  1461,  1609,  1285,
    3936,  4863,  1335,  4229,  2551,  1880,  2175,  2554,  2555,   875,
    2430,  1665,  -139,  -139,  2533,  2778,   409,  2223,  2224,  2225,
    2226,  2781,  1108,  1348,  3654,  2771,  3226,  1404,   410,  1410,
    4513,  1415,   410,  3088,  3660,  2044,  1187,  1419, -2059,  3620,
    3620,   825,  3742,  1967,  4360,  1187,   674,  3478,  3061,  1440,
    3061,  3135,   674, -2059,  3759,  1343,  3760,  3151,  3531,  3649,
    1410,  1415,   674,  1968,  1395,  1353,  4276,  2420,  2416,  1749,
    2477,  2620,  4834,  1398,  2255,  2605,  2854,  2856,  1187,  3183,
    4811,  4887,  4888, -2635,  3858,  3859,  1059,  2864,  1590,  2472,
     674,  2868,  3283,   835,   674,   209,   417,     3,   366,  2880,
    2881,  1042, -2636, -2363, -1373,   674,  3328,  2234,  2606,  2259,
      45,  1081,  2898,  2900,  4167,  2540,  1440,  4417,  2431, -2633,
    2542,  3284,  1199,  2914,  1336,  1113,  2137,   819,  4812,  1114,
     674, -1376,  1845,   836,  1187,  4813,  2256, -2632,  1461,  2418,
    4192,  4665,  4230,  2792,  1187,   674,  1654,   972,  3853,  4180,
     674,  3856,  3857,  4666,  3360,  3860,  2419,  3665,  2884,  2885,
     674,  3863,  4814,  2421,  3928,    81,   973,  3220,  1150, -1580,
     924,  1750,  3533,  2473,   674,  2697,  2234, -1373,  1686,  4361,
    2951,  4864,  2491,  1396,  2714,  2565,  1243,  1324,  2698,  2769,
    1619, -2227,  1408,  1296,  1413,  2432,  1106,    79,   974,  1689,
    1409,  4137,  1414,  3480, -1376,  1584,  3150,  3154,  1969,  1592,
    2148,  4717,  1428,  5045,  3875,  1351,  4721,  4277,  1391,  4723,
    1846,  4714,   924,  1442,  1444,  4951, -1575,  3875,  1755,  4941,
    1578,  1443,  1445,  4815,   408,  1220,  2154,  2194,  4800, -2637,
    3479,  2804,  2805,  3045,  4231, -1587,  4945,  4232,  5019,  1666,
      37,    38,    39,    40,  1107,  4655,  1881,    44,  1187,  -599,
      37,    38,    39,    40,  1049,  3743,   674,    44,  1049,  3980,
    1613,    37,    38,    39,    40,  1244,  1422,  1048,    44,  3151,
    1430,  1048,  3978,   993,  2420,   417,   410,  3800,    37,    38,
      39,    40, -2363,  1187,    43,    44,  1471,  1699,  1848,    45,
     993,  5035,  3136,   994,  1849,  2952,  4667,  3976,  2793,  2953,
    1150,  3929,   706,  3765,  4181,  3361,  1245,  3657,  4558,   416,
     994,  1108, -2009, -1373,  1210,  1211,  1212,  2747,  1213,  1214,
    1215,  1216,  1217,  1218,  2942,  1402,  2943,  2794,  2521, -2041,
    4850,  5013,  4759,  4182,  1325,  3981,  1777,  2954, -2363, -1902,
   -1376,   724,  1411,   674,   674,   206,  1416,  1417,  1418,  2944,
    4248,  2973,  4183,  1963,  2424,  1246,  1429,  1423,  2894,  2894,
    4891,  1679,  1876,  2894,  1633,    37,    38,    39,    40,  5018,
    2421,   216,    44,  1882,  2425,  4637,  4881,  1737,  1423,  3801,
    1709,  2425,   993,  3362,  1135,  5046,  3481,  2739,  4816,  1326,
    1850,  1964,  3538,  3539,  3540,  3541,  3542,  3543,  2750,  3343,
    5020,   224,   994,  2894,  2894,  -782,  4943,  2045, -1373,  2353,
    2757,  2046,  5057,  5083,  3008,  2774,  5059,  3468,  1987,  3154,
    4507, -2060,  4802,  1431,  1639,  1679,  4447,  1109,  4448,  5071,
    4511,   362,  1101,  1985,  4869, -1376,  1790,  1220,  1994,   234,
     872,  1187,  4525, -1373,  2945,  2311, -1373,   216,  4249,  2946,
    1136,   237,  1187,  5047,  2947,  1160,  2955,  1634,  5091,  3538,
    3539,  3540,  3541,  3542,  3543,  2887,  3039,  2354,  3982,  1807,
   -1376,  2027,  4150, -1376,  2974,  1935,  5048,   224,  4501,  2626,
    4851,  4638,  3766,  3902,  4510,   247,  1102,  2671,  1995,    35,
     417,  4982,  1641,    37,    38,    39,    40,    41,    42,    43,
      44, -2009,  1994,  3757,    45,  1871,  4227,  3767,  1137,  2028,
    3178,  1138,  1187,  2426,  1727,   234,   366,  2627, -2041,  1608,
    1019,  3802,  3280,  1609,  4979,  4980,  3905,   237,  3983,  4433,
    2201,  1243,  1851,  2202,  2312,  3620,  4765,  4250,  4884,  3620,
    1706,  1708,  1965,  3877,  3064,   122,  3735,  3271,  4890,  1437,
    5084,   674,  2773,  3272,  3803,  5072,  4449, -2009,  2205,  1112,
    1139,  3046,  1054,   126,  2206,  1852,   674,  3105,  2826,  4819,
      81,    81,  2948,    81, -2041,  4823,   993,  1996,  5037,  3442,
    2297,  1187,  2949,  3804,  3736,  1220,  1243,  2387,  2207,   674,
    2672,  1122,  3443,  1809,  1853,  3448,   994,  -161,  2263,  2648,
    1108,  1139,    79,    79,  1473,    79,  2065,  3531,  2067,  4009,
   -2060,  2071,   874,  2073,  1807, -2085,  2076,  2077,  2078,  -946,
    1244,  1679,  -161,  2271,  2491,   674,  1438,  1997,  3330,  2085,
    1966,  3391,  3392,  3393,  3394,  1163,  1473,  4641,  1935,  3531,
     674,  1996,  2110,  3399,  2111,  2011,   835,  2305,  2306,  3273,
    2310,  1114,  1114,   674,  1114,  3025,   674,  2673,  4630,  3875,
    2029,  1245,  2272,  3909,  2676,  1136, -2060,  1187,  2628,  4985,
    4386,  1654,  5076,  2199,  4028,  1244,  2705,  4642,  4936,  5100,
    4776,  4173,  4303,  2237,  1909,  3661,   836,  1391,  4306,  4307,
    3438,  1997,  1029,  2209,  3005,  1735,  1187,  3758,  1140,  3910,
    3182,  2361,  1700,  1701,  2362,  2635,  2636,  1998,  2264,  2289,
    1246,  1108,   826,  3911,  2210,  2211,  1245,  1141,  1027,  3707,
    2565,  4921,   827,  1137,  1187,  1187,  2649,  1187,  4986,  2556,
    3150,  3254,  2253,  2254,  3026,  3737,  3097,  2677,  1858,  3257,
    2230,  3259,  -161,  1639,  1187,   408,  2314,  3821,  2030,  3141,
     130,   131,  4422,  3252,  4423,  2064,  2629,  1594,  2066,   818,
    2214,  2070,  2648,  2072,  1028,  1246,  2075,  -161,  2356,  1030,
    2079,  1998, -1547,  2215,  3264,  1057,  4002,  3632,   674,  3633,
    4777,  2269,  4839,  2315,  4733,  4734,   674,   674,  3533,  2045,
    4840,  3274,  3506,  2765,  2363,  3912,  1187,   410,   408,   408,
     408,  3482,  4849,  3151, -2085,  3303,  5016,   972,  3098,  3978,
     825,  1641,   818,  1679,   706,   706,  1139,  3022,  1679,  1679,
    3533,   828,  2538,  3738,  3275,  1187,   973,  2289,  1136,  1187,
    1187,  4358,  3152,  4922,  2316,   409,   409,  2369,  3297,  4617,
    1735,  3558,  4690,  2458,  1849, -1547,  4893,  3534,  1642,   408,
     410,   410,   410,  3276,  2571,  2557,   408,  2558,   974,   362,
   -2085,  1139,  5069,   408,  2352,  3153,  3585,  4618,  3586,  1220,
    3483,   674,  3583,  3180,  3163,  1473,  2317,   818,  3531,  3534,
      37,    38,    39,    40,  2539,   409,  1137,    44,  4728,  2649,
    3633,  3587,  2391,  4359,  2364,  2365,   819,  3957,  4923,  3073,
    3961,   410,  4543,   891,  2202,  2202,  3620,  2193,   410,  1935,
    3417,  3620,  3718,  2650,  3620,   410,   835,  1674,  1675,   706,
    2383,  2385,  1049,  2434,  3343,  2160,  2161,  2318,   825,  2205,
    2353,  2135,  5053,  2435,  5106,  1048,  4041,  4744,  4042,  4746,
    1850,  1031,  1032,  4841,  2221,  2222,  2223,  2224,  2225,  2226,
     829,  2152,  4192,  3154,  2355,  1049,   836,   969,  3164,  2207,
    2207,   893,    35,  1935,  4544,  3109,  4550,  4551,  1048,  1082,
      41,    42,  1317,  4955,  3245,  4971,  2080,  1679,  4640,  1139,
    3470,  2179,  2503,  4764,  4647,  1679,  5060,   192,  2354,  3734,
    2508,  3588,  1935,  1339,  1737,  2191,  3589,  1737,  4657,  2081,
    2894,  4972,  1318,  2894,  2894,  2894,  2894,  2894,  2894,  2894,
    2894,  2894,  2894,  4780,   819,   206,  4879,  3715,  3538,  3539,
    3540,  3541,  3542,  3543,  2314,  1095,  1089,  3432,  1639,  3245,
    1339,  1319,  1640,  2894,   417,  2202,  1679,  2658,  3532,  1679,
    1679,   216,  1737,  3238,  2202,   674,  1737, -2637, -2637,  3277,
    3538,  3539,  3540,  3541,  3542,  3543,  4043,  4612,  2410,  3533,
    2205,  2315,  2894,  2894,  3456,  1935,  4044,   216,  2411,  2205,
    3339,   224,  2436,   408,  4214,  1320,  2650,  3690,  2734,  1104,
     216,  1139,  3278,  2412,  2641, -2637,  4008,   818,  3726,  4192,
    2207,  1112,  1112,  3239,  1112,  2651,  1641,   224,   900,  2207,
     901,  4824,  1935,  1679,  4613,  2437,  4012,  4197,  2731,   234,
     224,  3279,  1118,   975,  3590,  2506,  1473,  2737,  3534,  3531,
    1125,   237,  2556,  1953,  3591,   410,  3195,  2816, -2427,  4825,
    1935,  4597,  4598,  1642,  2830,   234,  4085,  1790,   825,  3620,
    3629,  3748,  1398,  4013,  3240,   674,  1830,   237,   234,  1724,
    2201,  3197,  4120,  2202,  2317,   976,    37,    38,    39,    40,
   -1547,   674,     8,    44,  4038,  4514,  2507,   366,  3015,  3769,
    2203, -1547,  1122,  2148, -1547,  1727, -1547,  3196,  2205,  1831,
    4121,  5061,  1725,  2562,  2206,  2279,  2999,  1187,  4058,  2244,
    4336,  3655,  2245,  1935,   247,  4494,  1187,  3940,   674,   674,
    4199,  1166,  3198,  2515,  1201,  2318,  3949,  4123,  2207,   674,
    4775,  1726,  2575,  2171,  2829,  2607,  2413,  2054,  1937,  2055,
    2523,   674,   674,  2852,   819,  2210,  2211,  2608,  2920,   366,
      81,  2923,  2172,    81,  4218,  3241,  2822,  2823,  2824,    37,
      38,    39,    40,   674,  2825,  1160,    44,  3022,  2557,  2523,
    2558,  2609,  4228,  4233,  3339,  3600,    37,    38,    39,    40,
    3699,  1816,    79,    44,  2776,    79,  2777,  4020,  2524,  2525,
    2779,  2214,  2780,  4200,  1832,  2782,  4242,  1339,  1194,  2783,
     216,  4059,  4060,  1187,  1192,  3535,  3536,  3537,   993,  3538,
    3539,  3540,  3541,  3542,  3543,  3503,  4199,  2524,  2525,  2768,
    3533,  2999,  2521,  3460,  2932,  4125,    43,  1817,   994,  2208,
     224,    45,    80,  2209,  2171,  2221,  2222,  2223,  2224,  2225,
    2226,  1187,  1187,  1128,  5104,  1177,  1932,  5105,  4201,  1187,
    4202,  2521,  1187,  2172,  2210,  2211,  1187,  4918,  3242,  4024,
     408,  2878,  3031,  1129,  1187,  1187,  3243,  2173,   234,  3244,
    3918,  2212,  1187,  1130,   818,  1187,  1187,  1187,  1187,  3534,
     237,  3751,  2171,   884,  4527,  1187,  1187,  4192,  1187,  4200,
    1187,  1187,  4092,  2894,  1187,  1220,   891,  2213,    35,  1205,
    2214,  2172,  5034,  1619,  4466,  1818,    41,    42,  1390,   417,
    1935,  1187,   410,  2215,   247,  2175,  1187,  1339,  2568,   673,
    1187,  1206,  4820,  4465,  1187,   825,  1187,  1187,  1187,  1187,
    1187,  1187,  1187,  1187,  1187,  1297,  1187,  1298,  1729,  3099,
    2491,  3102,  1187,  4781,  4201,  1187,  4202,  3793,  3504,  4119,
     408,  3725,  3505,  1819,   893,  1820,  1608,  3875, -1905, -1420,
    1609,  4396,   891, -1420,  2394,  2564,  3666,    37,    38,    39,
      40,  1730,  1131,  4023,    44,  2221,  2222,  2223,  2224,  2225,
    2226,  -940,  1233,   918,  3348,  1473,   409,  3048,  3531,   935,
    2217,   837,  2034,  1822,  3704,  3705,  4278,  2395,  3093,  3158,
    1731,  3319,   410,  1241,   408,  4086,   408,  1187,  4294,  1932,
     876,   819,  2035,  1242,  4065,  1018,  4279,  4120,  3812,  1630,
     893,  2289, -1373,  3343,   966,   891,  2396, -1420,  4295,  -399,
     362,  1168,  1824,  3349,  1132,  1287,  4194,  4195,  1284,  1300,
     409,  1301,   409,  1169,  1170,  4121,  3535,  3536,  3537,  1289,
    3538,  3539,  3540,  3541,  3542,  3543,   410,   408,   410,  1292,
    4122,  3387,  1305,  1171, -1420,  4845,  1172,  1826,  2345,  2346,
    3129,   818,  4123,  2894,  2894,  1055,  1312,  1201,   674,  4119,
    2218,  2219,  2220,   893,  2221,  2222,  2223,  2224,  2225,  2226,
    -502,   900,   362,   901,  3396,  4124,    81,  3934,    81,  3397,
    -501,  1133,  3892,  3797,  1321,   674,  1679,  3397,  1323,   410,
     674,  3350,  3351,   674,  4718,  1106,  1953,    37,    38,    39,
      40,  1839,   825,  1322,    44,  3352,  1709, -1421,    79,  1331,
      79, -1421,  -399,  3236,  1328,   674,  3798,   417,  1187,  1150,
    3815,  3216,  2727,  2728,  4427,  4428,  4429,  4120,  1345,  1187,
    1339,  1357,  1339,  1872,  1840,  1349,  1187,   900,  1841,   901,
    2836,  4332,  4333,  4334,  2543,  3799,  1358,  2546,   903,  3533,
    4125,  3353,  1363,  1107,   408,  4121,   674,   408,  4133,   905,
    1173,  1372,  1953,  1842,  3919,  2940,  3921,  1049,   818,  1378,
    4122,   818,   967,  1935,  1473, -1421,  4025,  3531,  1935,  1935,
    1048,  1393,  4123,   674,   674,  1432,  3761,  2837,   819,  4439,
    1935,  2148,  2594,  2401,  4472,  1339,  2601,  1174,    45,  2134,
     900,   247,   901,  1811,  1317,  4124,   410,   674,  3534,   410,
    3036,  3037, -1421,  4138,  4140,  1856,  2838,  1860,  1756,   825,
    1108,  2295,   825,  2296,  4719,   906,  2298,  2523,  2299,  3973,
    1049,  1453,   674,  3246,  1318,  1436,   674,  2839,  3354,  4222,
    3355,  2604,  1446,  1048,  2148,  2290,  2401,  1452,  2840,  3161,
    1757,  3927,  3666,  3930,   674, -1444, -1444,  4795,  3388,  2148,
    1932,  1727,  3358,  3938,   674,  3666,  1732,  2841,  3557,  1458,
    3559,  3560,  2842,  1679,  1460,  2524,  2525,   674,  2523,  2999,
    4125,  1679,  2148,  1679,  2401,    35,  2523,   674,  3246,    37,
      38,    39,    40,    41,    42,   362,    44,   932,   408,  1733,
    2767,  1462,  2768,   209,  1459,   819,  1758,  1320,   819,  2521,
    1461,  2789,   818,  2790,  2494,    35,   417,  1463,  2843,  4740,
    3227,  1464,  3634,    41,    42,  1468,  2524,  2525,  1734,  1467,
      45,  1187,  4299,  1935,  2524,  2525,  1109,  1759,  2791,  2844,
    2790,  3819,  2819,  1932,  2820,    37,    38,    39,    40,  3021,
     410,  3022,    44,  3081,  1470,  2820,  3246,  2523,  3533,  1593,
    2521,  3246,  3171,   825,  3172,  4674,  4019,  3232,  2521,  3233,
    3331,  4470,  3332,  1760,  1600,  3535,  3536,  3537,  2523,  3538,
    3539,  3540,  3541,  3542,  3543,  3344,  1102,  3345,  3462,  2869,
    2790,  3411,  3412,  3246,  4585,  4586,  1596,  4588,   853,  3668,
    3669,  1735,  3502,  1761,  2768,  2524,  2525,   192,  1935,  1601,
    3512,   674,  2768,  4609,  2894,  4611,  1932,  3534,  4415,  4614,
    3516,  4615,  2768,  2894,  1602,  2845,  2524,  2525,  3520,  1607,
    2768,  2846,  2345,  3057,  4312,  1932,  1620,  2847,    35,  2521,
    2894,  2894,   918,  4326,  4327,  3494,    41,    42,   674,   819,
    4342,  3497,  3521,  1932,  2768,  2870,  1187,  3609,  3610,  3611,
    2521,  1627,  3547,  3374,  2768,  1628,  2848,   209,  2849,  2478,
    2201,  1764,  3563,  2202,  2768,  4313,  3568,  1765,  3569,  1630,
    3604,  1932,  3605,  1631,  1766,  2850,  1637,   216,  3822,  3606,
    2203,  3607,  2479,  1102,  1652,  3850,   674,  1653,  2205,  4314,
    4454,  1768,  1657,  3782,  2206,  3783,  1659,  1663,  1935,  1769,
    2851,  2121,  2122,  2871,  4315,  3564,  2872,   224,  4316,  3238,
     674,  3571,  1679,  1150,  1187,  2523,  1664,  3786,  2207,  3787,
    1187,  1667,  2523,  3967,  1668,  3968,  1473,  4317,  1669,  3531,
    4318,  4029,  1670,  2768,  1932,  1671,  1672,  1187,  1187,  1673,
    1680,   408,  4319,  1187,  1681,   234,  4473,   408,  1683,  1712,
    1770,    37,    38,    39,    40,   818,  1713,   237,    44,  3239,
    1715,   818,    45,  2524,  2525,  4219,  1721,  1748,  1187,  1187,
    2524,  2525,  4243,  1187,  3535,  3536,  3537,  1727,  3538,  3539,
    3540,  3541,  3542,  3543,  3621,  1187,  1187,  1187,  1187,  1779,
    1775,   247, -1166,   410,  1753, -1166,  2873,  2521,  1187,   410,
    1807,  1187,  2523,  1187,  2521,  3375,   825,  1804,  1812,  2523,
    3240,  1815,   825,  1187,  1187,  1835,  4066,  1187,  4067,  2208,
    4320,  4606,  4076,  2209,  4077,  4088,   366,  2768,  4321,  4165,
    1187,  4166,  1187,  2822,  2823,  2824,  1187,  4169,  4396,  4170,
    1806,  2825,  3621,  1857,  2210,  2211,    37,    38,    39,    40,
    2524,  2525,  1187,    44,  2894,  1861,  4339,  2524,  2525,  1847,
    1866,  2212,  4322,  1187,  1867,  1187,  1187,  1187,  1868,  4645,
      74,  4198,  4388,  2790,  2790,  1282,  1875,  4471,  4430,  2820,
    2201,  1873,  1877,  2202,  2521,   674,  4534,  2213,  4535,  1187,
    2214,  2521,   819,  2874,  4540,  1879,  2790,  3666,   819,  1884,
    2203,  3241,  1187,  2215,  1883,  1889,  2216,  1187,  2205,  4541,
    3533,  2790,  1891,  1187,  2206,  1896,  1894,  1679,  3902,  1723,
    4698,  1187,  1899,  1941,  3903,  4330,  4331,  4332,  4333,  4334,
    1937,  1932,  1340,   935,  3904,  4620,  1735,  4602,  2207,  4603,
    3376,  4659,  1944,  4660,  1473,  1946,  4700,  3531,  4701,  1957,
    1956,  4344,    37,    38,    39,    40,  4702,  -182,  2768,    44,
     674,  3905,  4710,  3906,  2820,  1959,  2996,    80,  1961,  3534,
    4330,  4331,  4332,  4333,  4334,   674,   674,  1973,  4335,  3377,
    2217,  1187,  1983,    37,    38,    39,    40,  1975,  2769,  4674,
      44, -1551, -1551, -1551, -1551,  4374,  4375,  4762, -1551,  4763,
    1981,  4821,   674,  2790,  3242,   674,   853,  4846,  1935,  4847,
    1991,  4859,  3243,  2820,  1999,  3244, -1558, -1558, -1558, -1558,
    4866,  2004,  3022, -1558,  4865,  1448,  4871,   664,  3947,  2005,
     408,   408,   408,  2006,  4865,  1004,  3907,  2007,  4873,  2208,
    3947,  2008,  2010,  2209,   818,   818,   818,  4912,  2018,  4913,
    1935,  1935,  2011,  1935,  1466,  1004,  4944,  4346,  2258, -1549,
   -1549, -1549, -1549,  1575,  2210,  2211, -1549,  1587,  1340,  1589,
    2218,  2219,  2220,  2021,  2221,  2222,  2223,  2224,  2225,  2226,
    2052,  2212,   410,   410,   410,  2191,  3524,  4949,  4908,  4950,
    4960,  2022,  2820,  3908,  2023,   825,   825,   825,  3909,  2940,
    4961,   674,  3569,  2024,  4962,  4792,  2768,  2213,  2026,  1935,
    2214,  1935,   674,  2031,  4965,  4785,  3022,  4967,  3603,  3947,
    4984,   674,  2820,  2215,  2032,  4729,  2216,  4990,  3533,  2820,
    4991,  3614,  2820,  2033,  3910,  2658,  3535,  3536,  3537,  2038,
    3538,  3539,  3540,  3541,  3542,  3543,  2116,  4519,  3911,  2119,
   -1552, -1552, -1552, -1552,  2086,   673,   673, -1552,  2123,  2125,
    1710, -1550, -1550, -1550, -1550,  1935,  2126,  4858, -1550,   362,
    2132,   408,  4691,  4692,  4693,  4694,  5004,  4966,  5005,  4608,
    2133,   819,   819,   819,   674,   818,  5023,  3534,  3022,  3614,
    1935,  5102,  1101,  5103,  2145,  2141,   913,  3988,  2151,  5113,
    2217,  5103,  1636,  4493,  1638,  4496,  2144,  2146,  2147,   247,
    3869,  1935,  2153,  2156,  3170,  2157,  2158,  2159,  2164,  2494,
    3177,  2166,  2167,   410,  1935,  3952,  2168,  2169,  2170,  2177,
    3912,  1932,  2178,  2180,  3963,  2181,   825,  4897,   674,  1102,
     674,  4902,  4903,  1679,  2182,  2183,  2184,  4633,  2185,  2186,
    1102,  2187,   674,  2231,   674,  3987,  1679,  2258,  2262,  2274,
    1422,  2284,  2303,  2294,  1640,  2332,  1642,  1220,  1201,  2334,
    2342,  1339,  4102,  4103,  4104,  4105,  2344,  2351,  1139,  2359,
    2366,  4782,  4914,  2368,  2378,  2379,  2370,  2381,  1935,  2386,
    2218,  2219,  2220,  2399,  2221,  2222,  2223,  2224,  2225,  2226,
    4898,  2388, -2579,   674,  1935,  2390,  3572,  4901,  4743,  2397,
    2398,  2401,  2402,  2404,  2403, -1385,  4904,  1935,  4906,  2405,
    2433,  2406,   819,  2427,  4861,  2460,  2439, -1385,  2464,  2467,
    2470, -1385,  2466,   674,  2468,  2503,  2469,  2495,  2496,  2516,
    2515,  2505,  2527,  2518,  2519,  2520,  2521,  1187,  2528,  2529,
     674,  2530,  2541,  2534,  3535,  3536,  3537,  4071,  3538,  3539,
    3540,  3541,  3542,  3543,  2544,   924,  2548,   674,  2535,  2549,
     674,  2552,  2559, -1385,  1932,  1790,  2587,  2588,  1340,  2560,
    2566,  2592,    80,    80,  2567,    80,  1187,  2576,  2577,  1935,
    2589,  2599,  2593,   408,  2603, -1385,  1187,  2617,  2630,  2618,
    2632,  1340,  1187,  2633,  1187,  2137,  2643,   818,  1679,  1935,
    1187,  3621,  3621,  1187,  1187,  1187,  1187,  1187,  1187,  1187,
    1187,  1187,  1187,  4785,  2645,  2646,  1187,  1187,  2148,  2659,
    2663,  2154, -1385,  2662,  1935,  2666,  2667,   886,  2670,  1187,
   -1385,  2674,  1832,  1187,   671,   410,  2112,  1187,  2689,  2494,
    2694,  2710,  2709,  2717,  2722,  2723,  2720,  1187,   825,  2724,
    1187,  2741,  1187,  2730,  2743,  2744,  2745,  2746,  1340,  2785,
    1935,  1187,  1187,  1187,  2786,  2817,  2759,  1187,  2760,  2802,
    1187,  2827,  2808,  2832,  2902,  4835,  2859,  2865,  2860,  2903,
    1187,  1187,  2915,  2202,  2925,  2921,  2926,  2933,  2939,  2956,
    4970,  1187,  2958,  2985,  3023,  3004,  3001,  3002,  3007,  1187,
    3009,  1187,  3621,  3012,  4878,  1107,  3013,  3024,  3032,  3424,
    3034,  3033,  1006,  3043,  3066,  4751,  2248,  3035,  3063,  4263,
    3065,  1919,  3080,  3082,  3083,  3084,  3095,  3100,  1756,  3103,
    3105,  2195,  1006,  3107,   819,  3108,  3124,  3130,  3114,  1932,
    2325,  2200,  3119,   362,  1187,  3125, -1385,  3134,  3529,  3530,
    1187,  2238,   362,  3545,  4769,  1339,  1187,  3127,  3146,  3138,
    1757,  3149,  5079,  3162,  1590,  3169,  1594,  3216,  3218,  4240,
    3247,  3223,  3285,   362,  3167,  3231,  3234,  3235,  3288,  3310,
    1340,  1187,  3299,  2268,  2270,  3306,  3307,  3311,  1340,  1340,
    3312,  3316,  3314,  3580,  3581,  3315,  3318,  3317,  3324,   408,
    3326,  3333,  3335,   408,  1608,   408,  3338,  1630,  1609,  3340,
    3339,  3341,   674,   818,  3346,  3366,  1758,   818,  3382,   818,
    3380,  3389,  3395,  3398,  3403,  1780,  3405,  3406,  3404,  3414,
    3416,  1781,  3435,  3419,  3434,  1220,  3431,  3439,  3436,  3440,
    3437,  3449,  3452,  3455,  3022,  4311,  3467,  1759,  3454,  3476,
    3464,   410,  3465,  3466,  2039,   410,  1935,   410,  3469,  2833,
    3484,  3492,  3495,  3490,   825,  3666,  3500,  1438,   825,  3498,
     825,  1782,  3499,   673,  1220,  3496,  3425,  2768,  2441,  3518,
    3514,   408,  3515,  1760,  2114,  3517,  3553,  3565,  1679,  3584,
    3579,  3519,  3599,  3623,  3522,   818,   674,  3629,  3523,   674,
    3525,  3528,  3546,  3552,  3631,  3554,  2996,  2996,  2996,  -986,
    3555,  2442,  3562,  1761,  3577,  3578,  3628,  3592,  3602,  3678,
    1783,  3673,  3682,  3688,  2443,  3692,  3676,  1784,  3693,  3694,
    1785,  3703,  3697,   410,  3706,  3708,  3698,  2444,  2191,  3709,
    2045,  3713,  3717,  3714,  3720,  3722,   825,  3729,  4109,  4111,
     819,  3744,  3755,  3745,   819,  3756,   819,  3771,  3762,  3763,
    3773,  3810,  3811,  4981,  3817,  3814,  3816,  3825,  3818,  3830,
    4404,  2364,  2365,  1187,  3823,  2445,  1202,   209,  3826,  3827,
    3824,  1764,  1224,  1786,  3828,  3829,  2446,  1765,  3831,  3832,
    3834,  3836,  1238,  3841,  1766,  3838,   674,   674,  1780,  3833,
    1935,  3835,  2479,   674,  1781,  2447,  3845,  3847,  3837,  2585,
    2448,  1768,  3987,  3849,  3881,  3855,  3843,  3865,  3861,  1769,
    1299,  3862,  2569,  2362,  1306,    74,  3880,  3893,  3932,  3935,
    3889,  3937,   819,  3894,  3925,  1316,  1935,  1187,  1187,  3926,
    1787,  3939,  1788,  3947,  1782,  3958,  1004,  3953,  1004,  1932,
    1004,  3946,  1789,  3959,  3962,  3985,  1004,  1420,  1421,  4004,
    1790,  3955,  3965,  1339,  4978,  3994,  4005,  3996,  4006,  1791,
    1770,  4010,  1780,  4530,  3427,  3977,  4007,  2449,  1781,  1004,
    1004,   674,  1756,  4015,  4016,  2638,  4017,  2134,  4528,  4018,
    4027,  2494,  3177,  1783,  3177,  4032,  3531,  3549,  1187,  4062,
    1784,  3548,  1792,  1785,  4078,  2196,  1793,  3621,  2450,  4063,
    1679,  3621,  4090,  4135,  1757,  4161,  4064,  4185,  1782,  4206,
    4208,  4209,  4220,  4221,  4244,  4275,  4153,  4247,  4223,  4234,
    4091,  1794,  4070,  4099,  4175,  1187,   853,  4118,  4132,  4245,
    4561,  4141,  4151,  4154,  4157,  1187,  1187,  4152,  1935,  2685,
    1932,  4158,  1932,  1187,  1187,  2114,  1786,  4246,  1187,  1935,
    4225,  4259,  4257,  4260,  1187,  1187,  4291,  1783,  1187,  2451,
    1758,  4258,  4261,  4521,  1784,  2452,  4262,  1785,  2453,  4293,
    4229,  4304,  4296,  4354,  1220,  4302,  1187,  4305,  4362,  1795,
    1187,  3977,  4365,  4372,  4382,  4381,  4328,  4399,  4401,  1004,
    1187,  1759,  4370,  2790,  2454,  1187,  1932,  4377,  4385,  3634,
    2455,  4384,  4402,  1787,  4412,  1788,  4413,  1187,  1702,  4416,
    4418,  4420,  4426,  2456,  4431,  1789,  4434,  4435,  4436,  4437,
    1786,  1932,    80,  1790,  4438,    80,  4455,  1760,  2537,  4456,
    4443,   408,  1791,    81,  4446,  4457,  4458,  4628,  2457,  4450,
    4489,  4451,  3177,  4516,  4463,   818,  1187,  4490,  4497,  4459,
    4485,  4502,  4503,  1004,  4487,  3177,  2893,  1761,  4500,  4520,
    4505,  4506,  4524,  4529,  1935,    79,  4531,  4536,  4545,  1793,
    2916,  4537,  4566,   664,   664,  4556,  4559,  1787,  4584,  1788,
    4560,  4589,  4577,   410,  1762,  4580,  4596,  4616,   362,  1789,
    4619,  4626,  1935,  4634,  1794,  4639,   825,  1790,  4644,  4646,
    4650,  2616,  4661,   674,  4652,  1780,  1791,  4663,  1935,  4669,
    4671,  1781,  4680,  4672,  4688,   674,  4696,  1763,  4697,  1932,
    2114,   209,  4704,  4699,  4706,  1764,  4707,  4708,  4709,  4715,
     362,  1765,  4725,  2877,  4722,  3177,  4735,  4745,  1766,  1836,
    4737,  4757,  4731,  1793,  4636,  4741,  1767,  4760,  1932,  4771,
    4761,  1782,  1795,  4766,  1935,  1768,  4772,  4778,  4779,  4783,
    4790,  4796,  4361,  1769,  4803,  4805,  2661,  4808,  1837,   674,
    4806,  4828,  4829,  4809,  4833,  4837,  4838,  4862,  1108,  4810,
    4040,  4827,   819,  4045,  4046,  4047,  4048,  4049,  4050,  4051,
    4052,  4053,  4054,  4854,  4877,  4831,  4868,  4885,  4894,  4919,
    1783,  1679,  4924,  4928,  4929,  4931,  4933,  1784,  4934,  4939,
    1785,  4946,  1187,  4947,  1770,  4948,  4953,  4959,  4954,  4963,
    1932,  4968,  4969,  1187,  4974,  4964,  1795,  4899,  4987,  2733,
      74,    74,  4994,    74,  4995,  4998,  2201,  4976,  5000,  2202,
    1932,  5008,  4094,  4095,  3614,  4992,  5003,  3006,  3614,  1004,
    5009,  5014,  5015,  5033,  4143,  5036,  5041,  5044,  4996,  4997,
    5038,  5051,  5052,  1786,  2205,  1932,  5070,  5082,  3621,  5098,
    2206,  1935,  5101,  3621,  5107,  1120,  3621,  5056,  5111,  2600,
    1778,  3384,  2281,  3658,  3222,  3768,  4238,  3298,  3864,  4308,
    4910,   362,   674,  4993,  2207,  4784,  4830,  4373,  4832,  4631,
    4818,  1932,  3711,  3463,  1187,  5039,  4749,  5078,  1935,  5001,
    4999,  5050,  4942,  1187,  3621,  3716,  4369,  3364,  3365,  4237,
    1787,  3780,  1788,  1006,  2686,  1006,  3347,  1006,  3942,  5081,
    1187,  1187,  1789,  1006,  1187,  5112,  5108,  3890,  4807,  5054,
    1790,  3868,  2996,  4770,  2669,  4989,  5042,  1187,  4773,  1791,
     673,  2106,  1187,  4768,  1023,  1187,  1006,  1006,  4432,  4880,
    1187,  1187,  3175,  4409,  4952,  4408,  1710,  3844,    80,  1341,
      80,  5063,  5109,  4311,   369,  1604,  4937,  3018,  3017,  4391,
     369,  2775,  1862,  4522,  3663,   667,  1793,   674,  3040,   674,
    4742,  4171,  3459,  1187,  2300,  2208,  1201,  3664,  2053,  2209,
    2328,  1626,  2329,  4739,  3042,  3674,  3672,  2333,  3041,   408,
    3675,  1863,  4113,   369,  3687,  4484,  4495,  4870,  1612,  4110,
    2210,  2211,  4172,   818,  1935,  4082,  2930,  4860,  2338,  4072,
    5024,  5032,  1187,  5025,  3667,  3597,  3509,  2212,  4168,  3595,
    2984,  1004,  3986,  1993,  4822,  3433,  1004,  1004,  1153,  2726,
    5022,  3621,  2350,  3067,  1589,  1389,  1679,  1123,   369,  3058,
    2343,   410,  1720,   674,  2113,  3072,  2214,  3653,  3071,  1795,
    3074,  4177,  4512,  4178,   825,  1187,  1006,  4156,  3461,  2215,
    1146,  2347,  3078,  2787,  2247,    83,  2042,  4523,     0,  1427,
     671,   671,     0,     0,     0,  1707,     0,  3177,     0,     0,
       0,  3621,     0,     0,     0,  1044,  1691,     0,     0,     0,
       0,  1692,     0,  1044,     0,  1044,     0,     0,     0,     0,
    2360,     0,  1420,  1421,     0,     0,     0,   369,     0,     0,
    1187,     0,  1935,     0,     0,     0,     0,     0,     0,     0,
    1006,  2375,     0,     0,     0,     0,     0,     0,  2382,  2384,
       0,     0,     0,  4357,  1187,  1935,  2217,  1187,     0,  1187,
     819,     0,     0,     0,     0,     0,     0,     0,     0,   408,
       0,     0,     0,     0,     0,     0,  1187,     0,     0,     0,
    1187,     0,     0,   818,     0,  1935,     0,  4930,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   664,     0,     0,  3321,  1004,     0,     0,     0,     0,
       0,     0,  3321,  1004,     0,  3614,     0,     0,     0,     0,
    3614,   410,     0,  3614,     0,  1935,     0,  4940,     0,  1935,
    1935,     0,     0,     0,   825,     0,     0,     0,     0,     0,
       0,  1932,     0,     0,     0,     0,  2218,  2219,  2220,     0,
    2221,  2222,  2223,  2224,  2225,  2226,     0,     0,     0,     0,
       0,     0,     0,     0,  1004,     0,  1187,  1004,  1004,  3390,
       0,     0,     0,     0,     0,     0,   369,  2494,  5097,     0,
       0,     0,     0,     0,     0,  1187,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  3418,     0,     0,
       0,     0,     0,  1340,     0,  1935,     0,     0,     0,     0,
       0,   369,  4958,     0,     0,     0,     0,     0,  5011,     0,
     819,     0,     0,     0,     0,     0,  3184,     0,     0,  3621,
       0,  1004,     0,  4467,  4468,  1187,  1006,     0,     0,     0,
    1340,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1187,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  5040,     0,     0,     0,     0,     0,     0,
       0,   674,   362,     0,     0,  2598,     0,     0,  2893,  2893,
       0,     0,     0,  2893,     0,     0,     0,     0,     0,  1932,
       0,     0,     0,     0,     0,     0,     0,  1187,     0,     0,
    1932,     0,     0,     0,   366,     0,     0,  5055,  1187,     0,
       0,  5065,  5066,  5067,     0,     0,     0,     0,     0,  5068,
       0,     0,     0,  2893,  2893,     0,  5088,     0,     0,  1187,
    1187,     0,   674,     0,     0,     0,     0,     0,     0,  2725,
       0,  2996,  1187,     0,   366,     0,  2996,     0,  3614,     0,
       0,  5065,  5066,  5067,     0,     0,     0,     0,  2996,  5068,
       0,     0,   408,     0,     0,     0,     0,     0,     0,  3337,
       0,     0,     0,  5088,     0,  2675,   818,     0,     0,     0,
       0,  5088,     0,     0,  1187,     0,  5110,     0,   366,     0,
      74,  2598,     0,    74,  1187,  5065,  5066,  5067,     0,     0,
       0,     0,     0,  5068,     0,     0,     0,     0,     0,   408,
       0,     0,     0,     0,   410,  1932,     0,   408,     0,     0,
       0,     0,     0,   818,     0,     0,     0,   825,  1006,  2740,
       0,   818,  2201,  1006,  1006,  2202,     0,     0,     0,     0,
       0,     0,     0,  1932,     0,     0,  5089,     0,     0,     0,
       0,     0,  2598,     0,     0,   362,  1187,     0,     0,  1932,
    2205,   410,     0,     0,     0,  1187,  2206,     0,     0,   410,
       0,     0,     0,     0,   825,     0,     0,     0,     0,     0,
    2201,     0,   825,  2202,     0,     0,     0,  1340,     0,     0,
    2207,     0,     0,  5089,  2866,  2867,     0,     0,     0,     0,
    2203,  5089,  2879,     0,     0,  1932,  2882,  2883,  2205,     0,
       0,     0,     0,   819,  2206,     0,     0,     0,   671,     0,
       0,  2904,     0,  2905,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  2207,     0,
       0,     0,     0,     0,  3485,  2927,     0,  2928,     0,     0,
       0,     0,  3582,     0,     0,     0,  2201,     0,  1204,  2202,
     819,     0,     0,     0,     0,     0,  1228,     0,   819,     0,
       0,     0,     0,     0,  1240,     0,     0,     0,     0,     0,
       0,     0,  1250,     0,  2205,     0,     0,  1283,     0,     0,
    2206, -2637,  1006,     0,  4695,  2209,     0,  2375,     0,     0,
    1006,     0,     0,     0,     0,     0,     0,  1340,     0,     0,
       0,     0,     0,     0,  2207,     0,  2210,  2211,     0,     0,
    4711,  4712,  4677,     0,     0,     0,   369,     0,     0,     0,
     369,     0,     0, -2637,     0,   362,     0,     0,     0,  2208,
       0,     0,     0,  2209,   667,     0,     0,   362,     0,     0,
     667,  1006,     0,     0,  1006,  1006,     0,     0,     0,  1932,
     667,  1004,  2214,     0,  2210,  2211,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  2215,     0,     0,     0,     0,
       0,  2212,     0,     0,     0,     0,     0,  5096,   667,     0,
    3785,     0,   667,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   667,     0,     0,     0,  2213,     0,     0,
    2214,     0,     0,     0,  1004,  2208,     0,     0,  1006,  2209,
       0,  3813,     0,  2215,     0,     0,  2216,     0,   667,     0,
       0,   362,     0,     0,  1702,     0,    74,     0,    74,     0,
    2210,  2211,  1456,   667,     0,     0,     0,     0,   667,     0,
       0,     0, -2637,     0,     0,     0,     0,  2212,   667,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  3842,
       0,     0,   667,     0,  1582,  3177,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  2214,     0,   664,     0,
       0,  3321,  1606,     0,  3321,  3321,     0,     0,  3321,  2215,
    2217,     0,     0,     0,  3321,     0,     0,     0,     0,     0,
       0,     0,     0,  3878,  1632,  3085,     0,     0,     0,  3887,
    3089,     0,     0,  3092,     0,     0,  3878,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1340,     0,  1340,     0,  4857,  3115,  2221,  2222,  2223,  2224,
    2225,  2226,     0,     0,  3727,     0,     0,     0,     0,     0,
       0,     0,  1044,     0,   667,     0,  1044,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  2217,     0,  3945,     0,
       0,     0,     0,  3177,   369,     0,  3165,     0,     0,     0,
    2218,  2219,  2220,     0,  2221,  2222,  2223,  2224,  2225,  2226,
       0,  1004,  3010,     0,  3972,  1340,  1932,     0,  3011,  1004,
       0,  1004,     0,  3179,     0,  1801,     0,     0,     0,     0,
    2893,     0,     0,  2893,  2893,  2893,  2893,  2893,  2893,  2893,
    2893,  2893,  2893,     0,     0,     0,  1932,  3212,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   667,   667,  4069,     0,  3805,     0,  3807,     0,     0,
       0,     0,  3237,     0,     0,     0,  3248, -2637, -2637,     0,
    2221,  2222,  2223,  2224,  2225,  2226,  1932,     0,     0,     0,
    1932,  1932,  2893,  2893,  3260,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  3269,     0,     0,     0,     0,  3342,
       0,     0,     0,     0,     0,  1948,     0,  3293,     0,     0,
       0,  3840,     0,     0,     0,     0,     0,  3300,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1976,  1979,  1980,
       0,     0,     0,     0,     0,     0,  3854,     0,    35,     0,
       0,     0,     0,     0,     0,     0,    41,    42,     0,     0,
       0,     0,  2201,     0,     0,  2202,  4677,     0,  4083,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  2203,     0,     0,  2204,     0,     0,     0,     0,
    2205,     0,     0,     0,     0,     0,  2206,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    2207,     0,  4148,     0,     0,     0,     0,     0,   370,     0,
       0,     0,     0,     0,   370,     0,     0,     0,     0,   668,
       0,     0,     0,     0,  3184,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1582,     0,     0,  1006,     0,
    1004,     0,     0,     0,     0,     0,     0,   370,     0,   667,
       0,     0,  2118,  3990,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1582,   667,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  2201,     0,     0,  2202,
       0,     0,     0,     0,     0,     0,     0,   667,     0,     0,
    2201,  1006,   370,  2202,     0,   671,  2203,     0,     0,     0,
       0,  2208,     0,     0,  2205,  2209,     0,     0,     0,     0,
    2206,  1707,     0,     0,     0,     0,  3475,     0,  2205,     0,
       0,     0,     0,   667,  2206,  4033,  2210,  2211,     0,     0,
       0,     0,     0,     0,  2207,     0,     0,     0,   667,     0,
    3475,     0,     0,  2212,     0,  4039,     0,     0,  2207,     0,
       0,   667,     0,     0,   667,     0,     0,     0,  3878,     0,
       0,   370,     0,     0,     0,     0,     0,     0,     0,  2213,
    4061,     0,  2214,     0,     0,     0,     0,     0,     0,     0,
       0,  4264,     0,  2893,  4265,  2215,  4266,     0,  2216,     0,
       0,     0,  2201,     0,     0,  2202,     0,     0,     0,     0,
       0,     0,     0,     0,  2285,     0,  2114,     0,     0,     0,
    3593,     0,  2203,     0,     0,     0,     0,     0,     0,     0,
    2205,     0,     0,     0,     0,  3321,  2206,     0,     0,     0,
       0,  3321,  3321,     0,  2638,  2208,     0,     0,     0,  2209,
    2375,     0,     0,  3656,     0,  1004,     0,  2025,     0, -2637,
    2207,     0,  2339,  2209,  3887,     0,     0,     0,  2040,     0,
    2210,  2211,  2217,     0,     0,  4341,  4343,  4345,  4347,     0,
       0,     0,     0,     0,  2210,  2211,   667,  2212,  1006,     0,
    3424,     0,     0,     0,   667,   667,  1006,     0,  1006,     0,
       0, -2637,     0,     0,     0,   369,     0,     0,     0,  1756,
       0,     0,     0,  2213,     0,     0,  2214,     0,     0,     0,
     370,     0,     0,     0,     0,     0,     0,     0,     0,  2215,
    2214,     0,  2216,     0,     0,     0,     0,     0,     0,     0,
       0,  1757,     0,  2215,     0,  4407,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   370,     0,     0,   369,   369,
     369,  2208,  2218,  2219,  2220,  2209,  2221,  2222,  2223,  2224,
    2225,  2226,     0,  2893,  2893,     0,     0,     0,     0,   667,
       0,     0,     0,     0,     0,     0,  2210,  2211,  2497,     0,
       0,     0,     0,     0,     0,  2514,     0,  1758,     0,     0,
    3700,     0,     0,  2212,     0,     0,  2217,  4441,     0,   369,
       0,     0,     0,     0,     0,     0,   369,     0,     0,     0,
   -2637,  2547,     0,   369,  2550,     0,     0,     0,  1759,  2213,
    1044,     0,  2214,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  3723,     0,     0,  2215,     0,     0,  2216,     0,
       0,     0,     0,     0,     0,     0,  2584,  3425,     0,     0,
       0,     0,     0,  1044,  1760,     0,     0,     0,     0,     0,
    2602,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  2614,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1761,     0,  2218,  2219,  2220,     0,
    2221,  2222,  2223,  2224,  2225,  2226,     0,     0,     0,     0,
    2924,     0,     0,     0,  2221,  2222,  2223,  2224,  2225,  2226,
       0,     0,  2217,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  4517,  4518,     0,     0,  1006,     0,  2201,
       0,  3790,  2202,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  3808,   667,     0,    80,  4376,     0,   209,  2203,
       0,     0,  3426,     0,     0,     0,     0,  2205,  1765,     0,
       0,     0,     0,  2206,     0,  1766,     0,     0,     0,     0,
       0,  1004,     0,  2479,  2706,     0,  3882,  3885,     0,     0,
    2716,     0,  1768,     0,  1004,     0,     0,  2207,     0,     0,
    1769,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  2218,  2219,  2220,     0,  2221,  2222,  2223,  2224,
    2225,  2226,     0,     0,  3851,  3931,  3879,     0,     0,     0,
       0,     0,     0,   369,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1770,     0,   667,     0,  3427,     0,     0,     0,     0,
       0,  2772,     0,     0,     0,     0,     0,     0,     0,   667,
       0,     0,     0,     0,  4591,  4592,     0,     0,     0,     0,
       0,     0,     0,     0,  3321,  3321,     0,     0,     0,     0,
       0,  1340,     0,     0,     0,  4610,     0,  2201,  2208,     0,
    2202,     0,  2209,     0,     0,     0,   667,   667,  1582,  1582,
    3887,  3887,  3887,  3887,  3887,  2114,     0,   667,     0,     0,
       0,     0,     0,  2210,  2211,  2205,     0,     0,     0,   667,
     667,  2206,     0,     0,  2893,     0,     0,     0,     0,     0,
    2212,     0,  1006,  4703,     0,     0,  1004,     0,     0,   666,
       0,   667,     0,     0,     0,  2207,     0,     0,     0,     0,
    2893,  2893,     0,     0,     0,  4654,  2213,     0,     0,  2214,
     370,     0,     0,  2598,   370,     0,     0,   816,     0,     0,
       0,     0,  2215,     0,     0,  2216,     0,     0,   668,     0,
    4011,     0,  4673,     0,   668,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   668,     0,     0,     0,     0,     0,
    4022,     0,     0,     0,     0,  4441,  4441,  4441,  4441,     0,
       0,     0,   816,     0,     0,     0,     0,     0,     0,     0,
    4549,     0,   668,     0,     0,     0,   668,     0,     0,     0,
       0,     0,  2983,     0,     0,     0,     0,   668,     0,     0,
       0,     0,     0,     0,     0,     0,  2208,     0,  4563,  2217,
    2209,     0,     0,     0,     0,     0,  3424,  3003,     0,  1043,
       0,     0,   668,     0,  4576,     0,     0,  1043,     0,  1043,
       0,  2210,  2211,     0,     0,  1756,     0,   668,  2732,     0,
       0,   816,   668,     0,     0,     0,     0,  2738,  2212,     0,
     369,  2742,   668,     0,  3016,     0,  3019,  2748,  2749,     0,
       0,     0,     0,     0,     0,     0,   668,  1757,     0,     0,
    4593,     0,     0,     0,  2213,  2761,     0,  2214,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  4174,     0,
    2215,     0,     0,  1582,     0,     0,  3878,     0,     0,  2218,
    2219,  2220,     0,  2221,  2222,  2223,  2224,  2225,  2226,     0,
       0,     0,     0,  4034,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1758,     0,     0,  3321,     0,     0,     0,
       0,     0,     0,     0,  2893,  1340,     0,     0,     0,  4788,
     369,  4789,     0,     0,  4793,  4794,     0,     0,     0,     0,
       0,     0,     0,     0,  1759,     0,     0,     0,   668,     0,
       0,     0,     0,     0,     0,     0,     0,  2217,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  2201,   370,     0,
    2202,     0,     0,  3425,     0,     0,  1004,     0,     0,     0,
    1760,     0,     0,     0,   369,  2201,   369,  2203,  2202,     0,
       0,     0,     0,     0,     0,  2205,     0,     0,  1004,     0,
       0,  2206,  4215,     0,     0,     0,   667,     0,  1006,     0,
    1761,     0,     0,  2205,  2114,     0,     0,     0,     0,  2206,
       0,  1006,     0,     0,     0,  2207,     0,     0,     0,     0,
       0,     0,     0,   667,     0,   668,   668,   369,   667,     0,
       0,   667,     0,  2207,     0,     0,     0,  2218,  2219,  2220,
       0,  2221,  2222,  2223,  2224,  2225,  2226,     0,     0,  1420,
    1421,     0,     0,   667,  3203,     0,     0,     0,  4325,     0,
       0,     0,  3885,     0,   209,     0,     0,     0,  1764,  3224,
       0,     0,     0,  4340,  1765,     0,  4280,     0,     0,  4283,
       0,  1766,     0,     0,     0,     0,     0,     0,     0,  2479,
       0,     0,     0,  4911,   667,  4096,     0,     0,  1768,     0,
       0,     0,  1780,     0,     0,  1044,  1769,     0,  1781,  2201,
       0,  3014,  2202,     0,     0,     0,  2208,     0,     0,     0,
    2209,   667,   667,     0,     0,     0,     0,     0,     0,  2203,
       0,     0,     0,     0, -2637,     0,     0,  2205,  2209,     0,
       0,  2210,  2211,  2206,   369,   667,     0,   369,  1782,     0,
       0,     0,     0,     0,     0,     0,     0,  1770,  2212,  2210,
    2211,  3427,     0,  1006,     0,     0,     0,  2207,  1044,     0,
     667,     0,     0,     0,   667,     0, -2637,     0,     0,     0,
       0,     0,     0,  4379,  2213,     0,     0,  2214,  1004,     0,
       0,     0,   667,     0,     0,     0,     0,  1783,     0,     0,
    2215,     0,   667,  2216,  1784,  2214,     0,  1785,     0,     0,
       0,  3383,     0,     0,     0,   667,     0,     0,  2215,     0,
       0,     0,     0,  1340,     0,   667,     0,     0,     0,     0,
       0,     0,     0,   668,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   668,     0,
       0,  2114,     0,     0,     0,     0,     0,     0,     0,     0,
    1786,  3475,     0,     0,     0,     0,     0,     0,  2208,     0,
       0,   668,  2209,     0,     0,     0,     0,  2217,     0,     0,
       0,  3840,     0,     0,     0,     0,     0,     0,   369,     0,
       0,     0,     0,  2210,  2211, -2637,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   668,     0,     0,
    2212,     0,     0,     0,     0,     0,     0,  1787,     0,  1788,
       0,  2114,   668,     0,     0,  2114,  2114,     0,     0,  1789,
       0,  2375,     0,     0,     0,   668,  2213,  1790,   668,  2214,
       0,     0,     0,     0,     0,     0,  1791,     0,     0,   667,
       0,     0,  2215,    74,     0,  2216,     0,  1004,     0,     0,
       0,     0,     0,     0,     0,     0,  5090,  2218,  2219,  2220,
       0,  2221,  2222,  2223,  2224,  2225,  2226,  2201,     0,  2461,
    2202,  4081,     0,  1793,     0,     0,   667,     0,     0,  2221,
    2222,  2223,  2224,  2225,  2226,     0,     0,  2203,     0,     0,
       0,     0,     0,     0,     0,  2205,     0,     0,  2462,  1004,
       0,  2206,     0,  5090,     0,     0,     0,     0,     0,     0,
     816,  5090,     0,     0,     0,     0,  4574,  4575,     0,  2217,
       0,  4578,  4579,     0,   667,  2207,     0,  2201,   666,     0,
    2202,     0,     0,     0,   666,     0,     0,     0,     0,     0,
       0,     0,     0,  1006,   666,     0,     0,     0,   667,     0,
     668,     0,     0,     0,     0,  2205,  1795,     0,   668,   668,
       0,  2206,     0,     0,     0,  1006,     0,     0,     0,   370,
       0,     0,   666,     0,  1780,     0,   666,     0,     0,  1004,
    1781,     0,     0,  4571,     0,  2207,     0,   666,     0,     0,
       0,     0,     0,     0,     0,  4581,     0,     0,  3885,  3885,
    3885,  3885,  3885,     0,     0,     0,  1004,  3608,     0,  2218,
    2219,  2220,   666,  2221,  2222,  2223,  2224,  2225,  2226,     0,
    1782,  4155,   370,   370,   370,     0,  2208,   666,     0,     0,
    2209,   369,   666,     0,     0,     0,     0,   369,     0,     0,
       0,     0,   666,   668,  3441,     0,     0,  4097,     0,     0,
       0,  2210,  2211,     0,     0,     0,   666,     0,     0,     0,
    3450,  3451,     0,     0,  3453,     0,     0,     0,  2212,  1783,
    3457,     0,  1780,   370,     0,     0,  1784,     0,  1781,  1785,
     370,     0,     0,  1780,     0,     0, -2637,   370,     0,  1781,
    2209,     0,     0,     0,  2213,     0,     0,  2214,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    2215,  2210,  2211,  2216,     0,     0,     0,     0,  1782,     0,
       0,     0,     0,   667,     0,     0,     0,     0, -2637,  1782,
       0,     0,  1786,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  3493,     0,     0,     0,  1043,     0,   666,     0,
    1043,     0,     0,     0,     0,     0,     0,  2214,     0,     0,
       0,     0,     0,     0,     0,  1006,     0,  1783,     0,     0,
    2215,     0,  3475,     0,  1784,     0,     0,  1785,  1783,     0,
       0,  4738,     0,     0,     0,  1784,     0,  2217,  1785,  1787,
       0,  1788,     0,     0,     0,     0,     0,     0,   667,     0,
       0,  1789,     0,  2201,     0,     0,  2202,     0,     0,  1790,
       0,     0,     0,   667,   667,     0,     0,   668,  1791,     0,
       0,     0,     0,  2203,     0,     0,     0,     0,     0,     0,
    1786,  2205,     0,     0,  1004,   666,   666,  2206,     0,     0,
     667,  1786,     0,   667,     0,     0,     0, -2637,     0,     0,
       0,  2531,     0,     0,     0,  1793,     0,     0,     0,     0,
       0,  2207,     0,     0,     0,     0,     0,  3475,     0,  3475,
       0,     0,     0,     0,     0,     0,     0,  2218,  2219,  2220,
    2532,  2221,  2222,  2223,  2224,  2225,  2226,  1787,     0,  1788,
       0,  4160,     0,     0,     0,     0,     0,   370,  1787,  1789,
    1788,     0,     0,     0,     0,     0,     0,  1790,     0,     0,
    1789,     0,     0,     0,     0,     0,  1791,   668,  1790,     0,
     369,   369,   369,     0,     0,     0,     0,  1791,     0,     0,
       0,     0,     0,   668,  1006,     0,     0,     0,  1795,   667,
       0,  2221,  2222,  2223,  2224,  2225,  2226,     0,     0,  3181,
     667,     0,     0,  1793,     0,  1780,     0,     0,     0,   667,
    3262,  1781,  2208,     0,  1793,     0,  2209,     0,  1780,     0,
     668,   668,     0,     0,  1781,     0,     0,     0,  1794,     0,
       0,   668,     0,     0,     0,     0,  1006,  2210,  2211,  3263,
       0,     0,     0,   668,   668,  3923,  3924,     0,     0,     0,
       0,  1782,     0,     0,  2212,     0,     0,     0,     0,     0,
       0,  3933,     0,     0,  1782,   668,     0,     0,     0,     0,
       0,  3721,   667,     0,     0,  3941,     0,     0,     0,     0,
    2213,     0,     0,  2214,  3950,     0,  1795,     0,     0,     0,
       0,     0,     0,   666,     0,     0,  2215,  1795,  3966,  2216,
    1783,     0,     0,     0,     0,     0,     0,  1784,   666,     0,
    1785,   369,     0,  1783,     0,     0,  1006,     0,     0,     0,
    1784,  2201,     0,  1785,  2202,     0,   667,     0,   667,     0,
       0,   666,     0,     0,     0,     0,     0,     0,     0,     0,
     667,     0,   667,  1006,     0,     0,     0,     0,     0,  2205,
    3772,     0,  3774,     0,     0,  2206,     0,     0,     0,     0,
       0,     0,     0,  1786,     0,     0,     0,   666,     0,  1582,
       0,     0,  4956,  2217,     0,     0,  1786,     0,     0,  2207,
       0,     0,   666,     0,     0,     0,     0,     0,     0,     0,
       0,   667,     0,     0,     0,   666,     0,     0,   666,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   370,     0,     0,     0,     0,     0,
    1787,   667,  1788,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1789,  1787,     0,  1788,     0,     0,   667,     0,
    1790,  4100,     0,     0,  3839,  1789,     0,     0,     0,  1791,
    3846,     0,     0,  1790,     0,   667,     0,     0,   667,     0,
       0,     0,  1791,  2218,  2219,  2220,     0,  2221,  2222,  2223,
    2224,  2225,  2226,     0,     0,     0,     0,  4187,     0,     0,
   -2637,     0,  3301,     0,  2209,     0,  1793,     0,  4106,  4107,
    4108,     0,     0,     0,     0,  3749,     0,     0,     0,  1793,
       0,     0,     0,     0,   370,  2210,  2211,     0,     0,     0,
       0,  3302,     0,     0,     0,     0,     0,     0,     0,     0,
     666,     0, -2637,     0,  3750,     0,     0,     0,   666,   666,
       0,     0,     0,   369,     0,     0,     0,     0,     0,   816,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  2214,     0,     0,     0,     0,     0,     0,   370,     0,
     370,     0,  3475,     0,  2215,     0,     0,     0,     0,  1795,
       0,  1006,     0,     0,  5087,     0,     0,     0,     0,     0,
     668,     0,  1795,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   816,     0,     0,     0,  3989,     0,     0,     0,
    3992,  3993,     0,  3995,     0,  3997,  3998,   668,     0,     0,
       0,   370,   668,   666,  4003,   668,     0,     0,     0,  2201,
       0,  5087,  2202,     0,     0,     0,     0,     0,     0,  5087,
       0,     0,     0,     0,     0,     0,     0,   668,     0,  2203,
       0, -2637,     0,     0,     0,     0,     0,  2205,     0,  4021,
       0,     0,     0,  2206,     0,     0,  2201,   816,     0,  2202,
       0,     0,     0,     0,  1043,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  2203,  2207,   668,     0,
       0,     0,     0,     0,  2205,     0,     0,     0,     0,     0,
    2206,     0,     0,     0,     0,     0,     0,  1043,     0,     0,
       0,     0,     0,     0,     0,   668,   668,     0,     0,     0,
     667,     0,     0,     0,  2207,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   370,   668,
       0,   370,     0,     0,     0,  2221,  2222,  2223,  2224,  2225,
    2226,  1188,  1190,     0,     0,  1193,     0,  1195,     0,   369,
       0,     0,     0,   369,   668,   369,     0,     0,   668,     0,
       0,     0,     0,     0,     0,  1235,     0,     0,     0,     0,
       0,  4337,     0,     0,     0,     0,   668,     0,  2208,     0,
       0,     0,  2209,     0,     0,  1288,   668,   666,     0,  1291,
    4363,     0,     0,     0,   667,     0,     0,   667,     0,   668,
       0,     0,     0,  2210,  2211,     0,  1314,     0,     0,   668,
       0,     0,     0,     0,     0,  2208,     0,  4380,     0,  2209,
    2212,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   369,     0,     0,     0,     0,     0,     0,     0,     0,
    2210,  2211,     0,     0,     0,     0,  2213,     0,     0,  2214,
       0,     0,     0,     0,     0,     0,     0,  2212,     0,  4957,
       0,     0,  2215,     0,     0,  2216,     0,   816,     0,     0,
    1780,     0,   370,     0,     0,     0,  1781,     0,     0,     0,
       0,     0,     0,  2213,     0,     0,  2214,   666,     0,     0,
       0,     0,     0,     0,   667,   667,     0,     0,     0,  2215,
       0,   667,  2216,   666,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1782,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   668,     0,     0,     0,     0,     0,  2217,
     666,   666,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   666,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   666,   666,  1783,     0,     0,     0,     0,
     668,     0,  1784,     0,     0,  1785,  2217,     0,     0,   667,
       0,  4479,  4480,  4481,  4482,   666,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,    85,     0,
       0,     0,     0,     0,    89,     0,     0,     0,    93,     0,
      94,     0,    96,    97,     0,     0,     0,     0,   668,     0,
       0,     0,     0,   106,     0,     0,     0,     0,  1786,  2218,
    2219,  2220,     0,  2221,  2222,  2223,  2224,  2225,  2226,     0,
     119,   120,   668,  4444,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  2218,  2219,  2220,     0,
    2221,  2222,  2223,  2224,  2225,  2226,     0,     0,     0,     0,
    4478,     0,     0,     0,     0,  1787,   128,  1788,     0,     0,
       0,     0,     0,     0,     0,     0,   129,  1789,   130,   131,
       0,     0,     0,     0,     0,  1790,     0,     0,     0,     0,
    1802,  1803,     0,  1119,  1791,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   370,     0,     0,     0,     0,
       0,   370,     0,   141,   816,   142,   143,     0,     0,     0,
       0,   146,     0,   147,     0,     0,     0,  3791,     0,  4421,
       0,  1793,     0,   149,     0,   150,     0,  4424,  4425,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   153,
       0,   154,     0,     0,   157,     0,  3792,     0,     0,     0,
       0,     0,     0,  1892,     0,     0,   158,     0,   159,     0,
       0,   369,   160,     0,     0,     0,     0,     0,   161,     0,
       0,     0,     0,     0,  1950,  1951,   163,     0,   165,     0,
       0,   667,     0,     0,   167,     0,     0,   668,     0,     0,
       0,     0,     0,   667,  1982,     0,     0,     0,   171,     0,
       0,     0,     0,     0,  1795,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  2015,  2017,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   667,     0,     0,
       0,     0,     0,   184,   185,     0,     0,     0,     0,   186,
       0,  2201,   668,     0,  2202,  4679,     0,     0,   187,     0,
     666,     0,     0,     0,     0,     0,     0,   668,   668,   192,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  2205,
       0,     0,     0,     0,     0,  2206,     0,   666,     0,     0,
       0,   816,   666,     0,   668,   666,     0,   668,     0,     0,
       0,     0,     0,     0,     0,     0,   203,     0,     0,  2207,
       0,     0,     0,     0,     0,     0,     0,   666,   205,     0,
       0,     0,  4548,   206,   207,     0,   208,     0,     0,     0,
       0,   209,     0,     0,     0,     0,   210,     0,     0,   212,
       0,     0,     0,   214,     0,     0,   838,     0,   215,   216,
       0,     0,     0,  4564,  4565,     0,   217,     0,   666,   219,
     667,     0,     0,  2201,     0,     0,  2202,   222,     0,  1043,
       0,  4476,     0,     0,   370,   370,   370,     0,     0,   224,
       0,     0,     0,  2203,     0,   666,   666,     0,     0,     0,
       0,  2205,   839,   668,     0,     0,   229,  2206,   230,     0,
       0,     0,     0,     0,   668,   840,   232,     0,   816,   666,
   -2637,   816,   233,   668,  2209,  4594,  4595,   234,     0,     0,
       0,  2207,   841,     0,     0,     0,     0,     0,   842,   237,
       0,     0,  1043,     0,   666,  2210,  2211,     0,   666,     0,
       0,     0,     0,   843,     0,     0,     0,     0,     0,     0,
       0,     0, -2637,     0,   844,   667,   666,   667,     0,     0,
       0,     0,   845,   247,     0,  4799,   666,  -136,     0,     0,
       0,     0,     0,   846,     0,     0,   668,     0,   847,   666,
       0,  2214,     0,     0,   848,     0,     0,     0,     0,   666,
       0,     0,     0,     0,  2215,     0,     0,     0,     0,   849,
       0,     0,  1582,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   370,     0,     0,     0,     0,
       0,     0,  2208,     0,   850,     0,  2209,     0,     0,   369,
     668,   667,   668,     0,     0,     0,     0,     0,  4684,     0,
    4685,  4686,     0,     0,   668,   851,   668,  2210,  2211,     0,
       0,  4689,   816,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  2212,     0,     0,     0,     0,     0,
       0, -2637,     0,     0,     0,     0,   852,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    2213,     0,     0,  2214,     0,   668,  4889,     0,     0,     0,
       0,     0,     0,     0,   853,     0,  2215,     0,     0,  2216,
       0,     0,     0,   666,     0,     0,     0,     0,     0,     0,
     712,     0,     0,     0,     0,   668,     0,     0,     0,     0,
       0,   854,     0,     0,     0,   855,     0,   856,     0,     0,
       0,     0,   668,   857,     0,     0,   858,     0,     0,     0,
     666,  2517,     0,     0,     0,     0,     0,     0,   712,   668,
       0,     0,   668,     0,     0,  2221,  2222,  2223,  2224,  2225,
    2226,     0,   859,     0,   860,     0,     0,     0,   861,   712,
       0,     0,     0,  2217,     0,     0,   862,     0,     0,   369,
       0,   863,     0,     0,     0,     0,     0,  1015,   666,     0,
       0,     0,     0,   864,     0,  2580,  2581,  2582,  2583,     0,
    1016,     0,     0,     0,     0,     0,   865,     0,  1024,     0,
       0,     0,   666,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1035,     0,  1015,   370,     0,     0,
    1056,     0,     0,     0,     0,     0,     0,  2621,  2622,     0,
    1086,     0,     0,  2631,     0,     0,     0,     0,  1091,     0,
       0,     0,     0,  2201,     0,     0,  2202,     0,     0,     0,
       0,     0,     0,  2218,  2219,  2220,     0,  2221,  2222,  2223,
    2224,  2225,  2226,  2203,     0,     0,     0,  4705,     0,     0,
       0,  2205,     0,     0,     0,     0,     0,  2206,  2655,     0,
       0,     0,     0,     0,     0,   816,     0,     0,  4856,     0,
       0,   816,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  2207,     0,     0,     0,  2690,  2691,  2692,  2693,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   667,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  4882,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  2752,     0,     0,     0,     0,
       0,     0,     0,     0,  2756,     0,     0,   666,  4909,     0,
     667,  2763,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   668,     0,     0,     0,     0,     0,
       0,     0,  2208,     0,     0,     0,  2209,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  2210,  2211,     0,
       0,     0,     0,   370,     0,     0,     0,   370,     0,   370,
       0,     0,     0,     0,  2212,     0,     0,     0,     0,     0,
       0,     0,   666,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   369,     0,     0,     0,     0,   666,   666,     0,
    2213,     0,     0,  2214,     0,     0,     0,     0,   668,     0,
       4,   668,     0,     0,     0,     0,  2215,     0,     0,  2216,
       0,     0,     0,     0,   666,     0,     0,   666,     0,     0,
       5,     0,     0,     0,     0,     0,     0,     0,     0,   369,
       6,     7,     0,     0,     0,   370,     8,   369,     9,    10,
       0,     0,    11,    12,    13,    14,    15,    16,    17,    18,
      19,    20,    21,    22,    23,    24,    25,    26,    27,    28,
      29,    30,    31,    32,    33,    34,    35,     0,    36,  2937,
      37,    38,    39,    40,    41,    42,    43,    44,     0,     0,
       0,    45,     0,  2217,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   816,   816,   816,     0,   668,   668,
       0,     0,     0,     0,     0,   668,     0,     0,  2201,     0,
       0,  2202,     0,   666,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   666,     0,     0,     0,  2203,    46,
       0,     0,     0,   666,     0,     0,  2205,     0,     0,     0,
       0,     0,  2206,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  5075,     0,     0,     0,     0,     0,   712,     0,
       0,     0,     0,     0,     0,     0,  2207,     0,     0,     0,
       0,     0,     0,  2218,  2219,  2220,     0,  2221,  2222,  2223,
    2224,  2225,  2226,   668,     0,     0,     0,  4747,     0,     0,
       0,     0,     0,     0,     0,     0,   666,     0,     0,    47,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,    48,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   816,    49,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     666,     0,   666,     0,     0,     0,     0,     0,    50,     0,
       0,     0,     0,     0,   666,     0,   666,  2208,     0,     0,
       0,  2209,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  2210,  2211,    51,     0,     0,    52,     0,     0,
       0,     0,     0,     0,     0,  3131,  3132,  3133,     0,  2212,
       0,     0,    53,     0,  3143,   666,  3145,     0,  3147,  3148,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  2213,     0,     0,  2214,     0,
       0,     0,     0,     0,     0,   666,     0,     0,     0,     0,
       0,  2215,  2201,     0,  2216,  2202,     0,     0,     0,     0,
       0,     0,   666,     0,  1183,  1189,  1189,   712,     0,  1189,
       0,  1197,  2203,  1183,     0,  1086,     0,     0,  1222,   666,
    2205,     0,   666,  1086,     0,  1086,  2206,    54,     0,  1189,
       0,  1086,     0,     0,     0,   370,     0,     0,     0,  1252,
       0,     0,     0,     0,  1086,     0,  1183,     0,     0,  1189,
    2207,   712,     0,  1189,     0,   668,     0,     0,     0,     0,
    1222,  3255,     0,  1309,     0,     0,     0,   668,  2217,    55,
    1189,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,    56,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   816,    57,     0,
       0,     0,  1183,     0,     0,     0,     0,   712,     0,     0,
       0,     0,  1183,     0,     0,     0,  1222,     0,     0,  3313,
       0,   668,     0,     0,    58,     0,     0,  3322,     0,     0,
      59,  1189,  3323,     0,    60,    61,    62,    63,    64,     0,
       0,    65,    66,    67,    68,     0,    69,    70,    71,    72,
      73,  2208,     0,     0,     0,  2209,     0,     0,  2218,  2219,
    2220,     0,  2221,  2222,  2223,  2224,  2225,  2226,     0,     0,
       0,     0,  4801,     0,     0,     0,  2210,  2211,     0,     0,
       0,     0,     0,     0,     0,     0,  1086,     0,     0,     0,
       0,     0,     0,  2212,     0,     0,     0,     0,     0,  1086,
    1457,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  3408,     0,     0,     0,     0,     0,  2213,
       0,     0,  2214,     0,     0,     0,  1564,     0,     0,     0,
     712,  1086,     0,     0,     0,  2215,     0,     0,  2216,     0,
       0,     0,     0,     0,   668,  3444,     0,  3446,     0,  1086,
       0,     0,     0,  1086,     0,     0,     0,     0,     0,     0,
       0,  1564,     0,     0,     0,     0,  2201,     0,     0,  2202,
       0,  1086,     0,     0,   666,     0,     0,     0,     0,     0,
       0,     0,     0,  1086,     0,     0,  2203,     0,     0,     0,
       0,     0,     0,     0,  2205,     0,     0,     0,     0,     0,
    2206,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  2217,   816,     0,     0,     0,   816,     0,   816,
       0,     0,     0,     0,  2207,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   668,
       0,   668,     0,     0,     0,     0,     0,  1780,  1930,     0,
       0,     0,     0,  1781,     0,  3501,     0,     0,   666,     0,
       0,   666,     0,     0,     0,  1086,     0,     0,     0,     0,
       0,     0,  1086,     0,  1189,  1189,     0,     0,  1816,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1782,     0,   816,     0,     0,     0,     0,
       0,     0,  2218,  2219,  2220,     0,  2221,  2222,  2223,  2224,
    2225,  2226,     0,   370,     0,   668,  5010,     0,     0,  1183,
       0,     0,     0,     0,  1817,  2208,     0,     0,     0,  2209,
    1183,     0,     0,     0,  1222,     0,     0,     0,     0,     0,
       0,     0,  1783,     0,     0,     0,     0,  1189,     0,  1784,
    2210,  2211,  1785,     0,     0,     0,     0,     0,   666,   666,
       0,     0,  1086,     0,     0,   666,     0,  2212,  1189,  1189,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1086,  1086,  1086,     0,  1189,     0,
    1183,     0,     0,  2213,  1990,     0,  2214,     0,     0,     0,
       0,     0,  1818,     0,     0,  1786,     0,     0,     0,  2215,
       0,  1930,  2216,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1189,     0,  1189,  1189,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   666,     0,     0,     0,     0,     0,     0,
    1819,  2201,  1820,     0,  2202,     0,     0,     0,     0,  1564,
       0,     0,  1821,     0,  1788,     0,     0,     0,     0,     0,
       0,  2203,     0,   370,  1789,     0,     0,     0,     0,  2205,
       0,     0,  1790,     0,     0,  2206,  2217,     0,     0,     0,
    1822,  1791,     0,     0,     0,     0,     0,  2089,  2089,     0,
       0,     0,  1086,     0,  1015,     0,     0,     0,     0,  2207,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1086,
       0,     0,     0,     0,  1823,     0,     0,  2124,  1793,  1824,
    1086,     0,     0,  2130,     0,     0,     0,     0,  3730,     0,
    3731,  3732,  3733,     0,     0,  1564,     0,     0,     0,     0,
       0,     0,     0,  1825,  2267,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1826,     0,     0,  1780,     0,     0,
       0,     0,     0,  1781,  1564,     0,  2218,  2219,  2220,     0,
    2221,  2222,  2223,  2224,  2225,  2226,     0,     0,     0,  3548,
    5099,     0,     0,     0,  3549,     0,  2201,     0,  1816,  2202,
       0,     0,  1564,  1564,     0,  1564,     0,     0,     0,     0,
    2208,  1795,     0,  1782,  2209,     0,  2203,     0,     0,     0,
    3025,     0,  1564,   668,  2205,     0,     0,     0,     0,     0,
    2206,     0,     0,     0,     0,  2210,  2211,     0,     0,     0,
       0,     0,   712,   712,  1817,     0,     0,     0,     0,     0,
       0,     0,  2212,     0,  2207,   816,     0,     0,     0,     0,
       0,     0,  1783,     0,     0,     0,     0,     0,     0,  1784,
       0,  1086,  1785,     0,  1564,   666,     0,     0,  2213,     0,
       0,  2214,  1930,     0,   668,     0,     0,   666,     0,     0,
       0,     0,     0,     0,  2215,     0,     0,  2216,     0,  3026,
       0,     0,     0,  1564,     0,     0,     0,  1564,  1564,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1086,  1086,
    2341,     0,  1818,     0,     0,  1786,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1930,     0,     0,     0,
       0,   666,     0,     0,     0,     0,     0,   712,     0,     0,
       0,     0,     0,     0,     0,  2208,     0,     0,     0,  2209,
       0,     0,     0,     0,     0,  1930,   370,     0,     0,     0,
    1819,  2217,  1820,     0,     0,     0,     0,     0,     0,     0,
    2210,  2211,  1821,     0,  1788,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1789,     0,     0,  2212,     0,     0,
       0,     0,  1790,     0,     0,     0,     0,     0,     0,     0,
    1822,  1791,     0,   370,     0,     0,     0,     0,     0,     0,
       0,   370,     0,  2213,     0,     0,  2214,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1930,  2215,
       0,     0,  2216,     0,  3250,  1086,  2502,     0,  1793,  1824,
       0,  3999,  1086,     0,  4000,  1189,     0,  1930,     0,     0,
       0,  2218,  2219,  2220,   666,  2221,  2222,  2223,  2224,  2225,
    2226,     0,  1222,  3251,     0,  1930,     0,     0,  1086,     0,
       0,  1086,     0,     0,  1826,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1086,  4026,  1930,     0,     0,     0,     0,     0,  1189,
    1189,  1189,  1189,  1086,     0,     0,  2217,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1086,     0,     0,
       0,  1795,     0,     0,     0,     0,     0,     0,     0,  2613,
    2201,  1086,     0,  2202,     0,     0,     0,     0,     0,     0,
       0,  1189,  1189,     0,     0,     0,     0,  1189,     0,   666,
    2203,   666,     0,     0,     0,     0,  1930,  3027,  2205,     0,
       0,     0,     0,     0,  2206,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  2207,     0,
       0,     0,  1189,     0,     0,     0,  2218,  2219,  2220,     0,
    2221,  2222,  2223,  2224,  2225,  2226,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1189,
    1189,  1189,  1189,   816,     0,   666,     0,     0,     0,     0,
       0,  1086,     0,     0,     0,     0,     0,  1086,     0,     0,
    2613,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1183,     0,     0,     0,     0,
       0,     0,   712,     0,  1183,     0,     0,  5073,     0,     0,
       0,     0,     0,     0,  1222,     0,     0,     0,     0,  1189,
       0,     0,     0,     0,     0,     0,     0,     0,  1189,  2208,
       0,     0,     0,  2209,  1189,  1189,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1086,     0,
       0,     0,     0,     0,  2210,  2211,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  4210,  4211,  4212,
    4213,  2212,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  2089,     0,     0,     0,     0,     0,     0,  1189,
       0,  1183,     0,  1930,     0,  1086,  1086,  2213,  1189,     0,
    2214,     0,     0,     0,  1086,     0,     0,     0,     0,     0,
       0,     0,     0,  2215,     0,     0,  2216,     0,     0,     0,
       0,  1015,  1015,   816,     0,  2835,     0,     0,     0,  1564,
    1564,     0,     0,  5074,     0,     0,     0,  1564,     0,     0,
    1564,     0,     0,     0,  1564,     0,     0,     0,     0,     0,
       0,     0,  1564,  1564,     0,     0,     0,     0,     0,     0,
    1564,     0,  1222,  1564,  1564,  1564,  1564,     0,     0,     0,
       0,     0,     0,  1564,  1564,     0,  1564,     0,  1564,  1564,
       0,     0,  1564,     0,     0,     0,     0,     0,     0,     0,
    2217,     0,     0,   936,     0,     0,     0,     0,     0,  1564,
       0,     0,     0,  1189,  1564,   937,     0,     0,  1564,     0,
       0,     0,  1564,     0,  1564,  1564,  1564,  1564,  1564,  1564,
    1564,  1564,  1564,     0,  1564,     0,   938,     0,     0,  1086,
    1564,     0,     0,  1564,     0,  4355,     0,     0,     0,   939,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   940,     0,  1086,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   941,
       0,     0,     0,   666,     0,     0,     0,     0,     0,     0,
    2218,  2219,  2220,     0,  2221,  2222,  2223,  2224,  2225,  2226,
     942,  1086,     0,  1086,     0,  1564,     0,     0,     0,     0,
       0,   943,     0,     0,     0,     0,     0,     0,     0,   944,
       0,     0,     0,  2201,     0,     0,  2202,     0,     0,     0,
     945,     0,     0,     0,     0,   946,     0,     0,     0,     0,
    1086,   947,     0,  2203,   666,     0,  3049,     0,  3056,     0,
       0,  2205,     0,     0,     0,     0,   948,  2206,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  2207,     0,     0,     0,     0,  1930,     0,     0,     0,
       0,  1930,  1930,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   949,  1930,     0,     0,     0,     0,     0,     0,
       0,     0,   712,     0,     0,     0,     0,  1015,     0,  1015,
       0,     0,     0,     0,     0,     0,   816,     0,     0,     0,
       0,     0,     0,   950,     0,     0,  1564,     0,     0,     0,
       0,     0,     0,   951,     0,     0,     0,  1183,     0,  1189,
    1189,  1189,     0,     0,  1183,     0,  1222,     0,  1189,     0,
    1189,   853,  1189,  1189,     0,     0,  1086,     0,     0,     0,
       0,     0,     0,   816,     0,     0,     0,     0,     0,     0,
       0,   816,  2208,     0,     0,     0,  2209,     0,   952,     0,
       0,     0,   953,     0,   954,     0,     0,     0,     0,     0,
     955,     0,     0,   956,  2502,     0,     0,  2210,  2211,     0,
    3185,     0,     0,     0,     0,  3194,     0,     0,     0,     0,
       0,  1086,     0,     0,  2212,     0,     0,     0,     0,   957,
       0,   958,     0,     0,     0,   959,  1086,     0,     0,     0,
    3229,  3229,     0,   960,     0,     0,  1930,   712,   961,     0,
    2213,     0,     0,  2214,     0,     0,     0,     0,     0,     0,
     962,     0,     0,     0,     0,  1189,  2215,     0,     0,  2216,
       0,     0,     0,   963,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  4073,     0,
       0,  3287,     0,  3290,  3292,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  4587,
       0,  1930,     0,  1189,     0,     0,     0,     0,     0,     0,
       0,  1189,     0,  4590,     0,     0,  1189,     0,     0,     0,
       0,     0,     0,  2217,     0,     0,     0,     0,     0,  1564,
       0,     0,     0,     0,     0,     0,     0,  4074,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  2502,     0,     0,  3229,     0,  1086,     0,
    3385,     0,     0,  1015,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  3287,
       0,     0,     0,     0,     0,     0,     0,  1189,  3410,     0,
       0,  1930,     0,     0,     0,     0,     0,     0,     0,     0,
    1990,  4656,     0,  2218,  2219,  2220,     0,  2221,  2222,  2223,
    2224,  2225,  2226,     0,     0,     0,     0,  1189,     0,  1189,
    3229,  1189,  3229,     0,     0,     0,     4,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1564,     0,     5,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     6,     7,     0,     0,
       0,     0,     0,     0,     9,    10,  2089,     0,    11,    12,
      13,    14,    15,    16,    17,    18,    19,    20,    21,    22,
      23,    24,    25,    26,    27,    28,    29,    30,    31,    32,
      33,    34,    35,     0,     0,     0,    37,    38,    39,    40,
      41,    42,    43,    44,     0,     0,     0,    45,     0,     0,
       0,     0,  1183,     0,     0,     0,     0,     0,  1183,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1189,
   -2143,     0,     0,     0,     0,  1564,  1564,     0,     0,     0,
       0,  1564,     0,     0,     0,     0,     0,     0,     0,  4752,
    4754,  4754,     0,     0,     0,    46,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1564,  1564,     0,     0,
       0,  1564,     0,     0,     0,     0,     0, -2143,     0,     0,
       0,     0,     0,  1564,  1564,  1564,  1564,     0,     0, -2143,
       0,     0,     0, -2143,     0,     0,  1564,     0, -2143,  1564,
       0,  1564,  3576, -2143,     0,     0, -2143,     0, -2143,     0,
       0,  1564,  1564,     0,     0,  1564,     0,     0,     0,     0,
       0,  2201,     0,     0,  2202,    47,     0,     0,  1564,     0,
    1564,     0,  1222,     0,  1564, -2143,     0,     0,     0,     0,
       0,  2203,    48,     0,  3511,     0,     0,     0,     0,  2205,
    1564,     0,     0,     0,  1086,  2206,     0, -2143,     0,     0,
       0,  3622,    49,  1564,  1564,  1564,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  2207,
       0,     0,     0,  4842,    50,     0,     0,  1564,     0,     0,
       0,     0,     0,     0, -2143,     0,     0,     0,     0,     0,
    1564,  1930, -2143,     0,     0,  1564,     0,     0,     0,     0,
       0,  1564,     0,     0,     0,     0,     0,     0,     0,  3622,
      51,     0,  3681,    52,     0,     0,  3056,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,    53,     0,
       0,     0,     0,  1930,  1930,     0,  1930,     0,     0, -2143,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  4886,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1922,     0,     0,  1564,
    2208,  3229,     0,     0,  2209,     0,  2089,     0,  4905,     0,
    4907,     0,     0,     0,  1019,     0,     0,     0,     0,     0,
       0,     0,  1930,     0,  1930,  2210,  2211,     0,     0,     0,
       0,     0,  1189,    54,  1189,  1189,  1189,     0, -2143,     0,
       0,     0,  2212,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0, -2143,     0, -2143, -2143,     0,     0,     0,  2213,     0,
       0,  2214,     0,     0,     0,    55,     0,     0,  1930,     0,
       0,     0,     0,     0,  2215,     0,     0,  2216,     0,    56,
       0,     0,     0,     0,     0,     0, -2143,     0,     0, -2143,
   -2143,     0, -2143,  1930,    57,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  4754,     0,     0,     0,     0,
       0,     0,     0,     0,  1930,     0,     0,     0,     0,     0,
      58,     0,     0,     0,     0,     0,    59,  1930,     0,     0,
      60,    61,    62,    63,    64,     0,     0,    65,    66,  1382,
       0,     0,     0,     0,    71,  1383,     0,     0,     0,  1922,
       0,  2217,     0,     0,     0,     0,  5007,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1930,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  3229,  3229,     0,     0,     0,  1930,     0,     0,
       0,     0,     0,     0,  5043,     0,     0,     0,     0,     0,
    1930,     0,     0,     0,     0,  3886,     0,     0,     0,   824,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  2218,  2219,  2220,     0,  2221,  2222,  2223,  2224,  2225,
    2226,     0,  1086,  1086,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  5080,  1253,     0,     0,     0,  1086,     0,
       0,     0,     0,     0,   824,     0,     0,     0,     0,     0,
       0,  2089,  1086,  1924,     0,     0,     0,     0,     0,     0,
    2089,  1086,  1930,     0,     0,     0,     0,  1254,     0,     0,
       0,     0,     0,     0,     0,  1086,     0,     0,     0,     0,
    1255,  1256,  1930,     0,     0,     0,     0,     0,     0,  1257,
     712,  1047,     0,  1258,     0,     0,     0,     0,     0,  1047,
       0,  1047,     0,     0,     0,  1189,     0,  1930,  1189,     0,
    1259,     0,     0,   824,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1183,     0,     0,     0,     0,
       0,  1260,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1261,  1930,     0,     0,  1086,     0,     0,     0,
    1262,     0,     0,     0,     0,     0,  1189,     0,     0,     0,
       0,  1263,     0,     0,  1564,     0,  1264,     0,     0,     0,
       0,     0,     0,     0,  1564,     0,     0,     0,     0,     0,
    1564,     0,  1564,     0,     0,     0,     0,  1265,  1564,     0,
    1922,  1564,  1564,  1564,  1564,  1564,  1564,  1564,  1564,  1564,
    1564,     0,     0,     0,  1564,  1564,     0,     0,     0,     0,
       0,     0,  1266,     0,     0,     0,  1924,  1564,     0,     0,
       0,  1564,     0,     0,     0,  1564,     0,     0,     0,     0,
       0,     0,     0,  1267,     0,  1564,     0,     0,  1564,     0,
    1564,     0,     0,     0,  1922,     0,     0,     0,     0,  1564,
    1564,  1564,     0,     0,     0,  1564,     0,     0,  1564,     0,
       0,     0,     0,     0,  1268,  1086,  1086,  1086,  1183,  3622,
    4117,     0,     0,  1922,  4117,  4131,     0,     0,     0,  1564,
       0,     0,     0,     0,     0,  4145,     0,  1564,     0,  1564,
       0,     0,   853,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1269,
       0,     0,     0,  1270,     0,  1271,     0,     0,     0,     0,
       0,  1272,  1564,     0,  1273,     0,     0,     0,  1564,  1930,
       0,     0,  3056,     0,  1564,     0,  1922,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1274,     0,  1275,     0,     0,  1922,  1276,     0,     0,  4193,
    2089,  2089,     0,  2613,  1277,     0,     0,     0,     0,  1278,
       0,     0,     0,  1922,     0,     0,     0,     0,     4,     0,
       0,  1189,  1189,  1189,  1189,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1279,     0,     0,     0,     5,     0,
       0,  1922,     0,     0,     0,     0,     0,     0,     6,     7,
       0,     0,     0,     0,     0,     0,     9,    10,     0,  4236,
      11,    12,    13,    14,    15,    16,    17,    18,    19,    20,
      21,    22,    23,    24,    25,    26,    27,    28,    29,    30,
      31,    32,    33,    34,    35,     0,     0,     0,    37,    38,
      39,    40,    41,    42,    43,    44,     0,     0,     0,    45,
       0,     0,     0,     0,  1922,     0,     0,     0,     0,     0,
       0,     0,     0,  1930, -2145,     0,     0,  1924,     0,     0,
       0,     0,  2201,     0,     0,  2202,     0,     0,     0,     0,
       0,  4297,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  2203,     0,     0,  3556,     0,    46,     0,  1930,
    2205,     0,     0,     0,     0,     0,  2206,     0,     0,     0,
       0, -2145,     0,     0,     0,     0,     0,     0,     0,     0,
    3886,  1924,     0, -2145,     0,     0,     0, -2145,  1086,     0,
    2207,     0, -2145,     0,     0,     0,     0, -2145,     0,  1189,
   -2145,  1564, -2145,     0,     0,     0,     0,  1086,     0,     0,
    1924,     0,     0,  4368,     0,     0,     0,     0,     0,     0,
       0,     0,  2502,     0,     0,     0,     0,    47,     0, -2145,
       0,     0,     0,     0,  1086,     0,     0,     0,     0,     0,
       0,     0,     0,  3287,    48,     0,     0,     0,     0,  4397,
       0, -2145,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,    49,  1564,  1564,     0,     0,     0,
       0,  1930,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1930,  1924,     0,     0,    50,     0, -2145,     0,
    3229,  2208,  3229,     0,     0,  2209, -2145,     0,     0,     0,
       0,     0,  1924,     0,     0,     0,     0,     0,     0,     0,
       0,  1922,     0,     0,     0,     0,  2210,  2211,     0,     0,
    1924,     0,    51,     0,     0,    52,  1564,     0,     0,     0,
       0,     0,     0,  2212,     0,     0,     0,     0,     0,     0,
      53,     0,     0, -2145,     0,     0,     0,     0,  1924,     0,
       0,     0,   824,     0,     0,     0,     0,     0,     0,  2213,
    1185,     0,  2214,  1564,     0,     0,     0,     0,     0,  1185,
       0,     0,     0,  1564,  1564,  2215,     0,     0,  2216,     0,
       0,  1564,  1564,     0,     0,     0,  1564,     0,  1019,     0,
       0,     0,  1564,  1564,     0,     0,  1564,  1930,  1086,  1086,
    1086,  1086,  1185,     0,     0,  4117,  4131,  4117,     0,     0,
    4486,  1924, -2145,     0,  3622,    54,     0,     0,  3622,     0,
       0,     0,     0,     0,  4499,  1930,     0,     0,  1564,     0,
       0,     0,     0,  1564,     0, -2145,     0, -2145, -2145,  4509,
       0,  1930,     0,     0,     0,  1564,     0,     0,     0,     0,
       0,     0,  2217,     0,  1222,     0,     0,    55,  1185,     0,
       0,     0,  3681,     0,     0,     0,  3056,     0,  1185,     0,
   -2145,    56,     0, -2145, -2145,     0, -2145,     0,     0,     0,
       0,  1015,     0,     0,  1564,     0,    57,  1930,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  3229,  3229,     0,     0,     0,     0,
       0,     0,    58,     0,     0,     0,     0,     0,    59,     0,
       0,     0,    60,    61,    62,    63,    64,     0,  4562,    65,
      66,  1382,  2041,     0,     0,     0,    71,     0,     0,     0,
       0,     0,  2218,  2219,  2220,     0,  2221,  2222,  2223,  2224,
    2225,  2226,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1189,     0,     0,     0,     0,  1925,     0,
       0,     0,  1185,     0,     0,     0,     0,  1189,  1047, -2158,
       0,     0,  1047,     0,  1922,     0,     0,     0,     0,  1922,
    1922,     0,     0,     0,     0,     0,     0,     0,  1924,     0,
       0,  1922,     0,     0,     0,     0,     0,  1185,     0,     0,
       0,     0,     0,     0,     0,     0,  3886,  3886,  3886,  3886,
    3886,     0,     0,     0,     0,     0, -2158,     0,     0,     0,
       0,  1930,     0,     0,     0,     0,     0,     0, -2158,     0,
    1564,     0, -2158,     0,     0,     0,     0, -2158,     0,     0,
       0,  1183, -2158,     0,     0, -2158,  2502, -2158,     0,     0,
       0,     0,     0,  2089,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1189,  2502,     0,     0,     0,
       0,     0,     0,     0, -2158,     0,     0,     0,     0,     0,
    2201,     0,     0,  2202,     0,     0,     0,     0,     0,     0,
       0,     0,  1086,     0,  4683,     0, -2158,     0,     0,     0,
    2203,     0,     0,     0,     0,     0,     0,     0,  2205,     0,
       0,     0,     0,     0,  2206,     0,     0,     0,     0,     0,
       0,  1925,  1564,     0,     0,     0,     0,     0,     0,     0,
       0,  1564,     0, -2158,  1922,     0,     0,  1930,  2207,     0,
       0, -2158,     0,     0,     0,     0,     0,     0,  1564,  1564,
       0,     0,  1564,     0,     0,  1185,     0,     0,     0,     0,
       0,  4117,     0,     0,     0,  3622,  1185,     0,     0,     0,
    3622,     0,     0,  3622,  3287,     0,  4727,     0,  1564,  1564,
       0,     0,  2201,     0,     0,  2202,     0,     0, -2158,  1933,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  2203,     0,     0,     0,     0,     0,     0,  1922,
    2205,  4193,  1222,  1189,  1189,  1189,  2206,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1185,     0,     0,     0,
       0,     0,     0,  1019,     0,     0,     0,     0,     0,  2208,
    2207,     0,     0,  2209,     0,  1930,     0,     0,     0,     0,
    1183,  1222,     0,     0,     0,     0,     0, -2158,     0,     0,
       0,     0,     0,     0,  2210,  2211,     0,     0,  1930,     0,
       0,  1924,     0,     0,     0,     0,  1924,  1924,     0,     0,
   -2158,  2212, -2158, -2158,     0,     0,     0,     0,  1924,  2089,
       0,     0,     0,  1183,     0,  1185,     0,     0,  1930,     0,
       0,     0,  1086,     0,     0,     0,     0,  2213,     0,  1922,
    2214,     0,     0,  4368,     0, -2158,     0,     0, -2158, -2158,
    3229, -2158,     0,  2215,  2502,  3561,  2216,     0,     0,     0,
    2201,     0,     0,  2202,     0,     0,  4397,     0,  1930,  1086,
    3526,  2208,  1930,  1930,     0,  2209,     0,  1189,  4193,     0,
    2203,     0,  1933,  3567,     0,     0,     0,     0,  2205,     0,
       0,     0,     0,     0,  2206,     0,  2210,  2211,     0,     0,
       0,     0,  1564,     0,     0,  1564,     0,  1564,     0,     0,
       0,  1185,     0,  2212,     0,     0,     0,     0,  2207,     0,
       0,     0,  1925,     0,  1564,     0,     0,     0,  3622,     0,
    2217,  4727,     0,     0,     0,     0,     0,  4876,     0,  2213,
    1185,     0,  2214,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  2215,     0,     0,  2216,  1189,
       0,  1924,     0,  1086,     0,     0,     0,     0,  1185,  1185,
       0,  1185,     0,     0,     0,     0,  1925,     0,     0,     0,
       0,  1189,  1189,  1189,  1189,     0,     0,     0,  1185,     0,
       0,     0,     0,     0,     0,     0,  2089,     0,     0,     0,
       0,     0,     0,     0,     0,  1925,     0,     0,     0,     0,
       0,     0,     0,     0,  1183,     0,     0,     0,     0,  2208,
    2218,  2219,  2220,  2209,  2221,  2222,  2223,  2224,  2225,  2226,
       0,     0,  2217,  1564,     0,     0,  1924,     0,     0,     0,
    1185,   824,     0,     0,  2210,  2211,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  2212,     0,     0,     0,     0,     0,     0,     0,  1185,
       0,     0,     0,  1185,  1185,     0,     0,     0,  1925,     0,
       0,     0,     0,  1564,     0,     0,     0,  2213,     0,  1189,
    2214,  1222,     0,     0,     0,     0,     0,  1925,     0,     0,
    1564,     0,     0,  2215,     0,     0,  2216,     0,     0,     0,
       0,     0,     0,     0,     0,  1925,     0,     0,     0,     0,
       0,     0,  2218,  2219,  2220,     0,  2221,  2222,  2223,  2224,
    2225,  2226,     0,     0,     0,     0,  1924,     0,     0,     0,
    1189,     0,     0,  1925,     0,  1183,     0,     0,     0,  1922,
       0,     0,     0,  1933,     0,     0,  4193,     0,     0,   824,
       0,     0,     0,     0,     0,  4683,  1047,     0,     0,     0,
       0,     0,     0,     0,  4876,     0,     0,  1564,  1564,     0,
    2217,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1183,  1922,  1922,     0,  1922,     0,     0,     0,  1189,  1047,
       0,     0,     0,     0,     0,     0,  1925,  1933,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1564,     0,     0,     0,  1933,     0,     0,     0,
       0,     0,  1564,     0,     0,     0,     0,  1189,     0,     0,
    1922,     0,  1922,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  2201,     0,     0,  2202,     0,     0,     0,
    2218,  2219,  2220,     0,  2221,  2222,  2223,  2224,  2225,  2226,
       0,     0,     0,  2203,     0,     0,  4080,     0,     0,     0,
       0,  2205,     0,     0,     0,     0,  2201,  2206,     0,  2202,
       0,     0,     0,     0,  1564,     0,  1922,     0,     0,  1933,
       0,     0,     0,  1183,     0,     0,  2203,     0,     0,     0,
       0,  2207,     0,     0,  2205,     0,     0,     0,  1933,     0,
    2206,  1922,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1933,     0,     0,     0,
       0,     0,  1922,     0,  2207,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1922,     0,     0,     0,   824,
       0,     0,     0,     0,  1933,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1925,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  2208,     0,     0,     0,  2209,     0,     0,  1922,
       0,  1185,     0,     0,     0,     0,     0,  1933,     0,     0,
    1185,     0,     0,     0,     0,  1922,  1924,  2210,  2211,     0,
       0,     0,     0,     0,     0,  2208,     0,     0,  1922,  2209,
       0,     0,     0,     0,  2212,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    2210,  2211,     0,     0,     0,     0,     0,     0,  1924,  1924,
    2213,  1924,     0,  2214,     0,     0,     0,  2212,     0,     0,
       0,     0,     0,     0,     0,     0,  2215,     0,     0,  2216,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  2213,     0,     0,  2214,  1185,     0,     0,
    1922,     0,     0,     0,     0,     0,     0,     0,     0,  2215,
       0,     0,  2216,     0,     0,     0,     0,  1924,     0,  1924,
    1922,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1185,  1185,     0,     0,     0,
       0,     0,     0,  1185,     0,  1922,  1185,     0,     0,     0,
    1185,     0,     0,  2217,     0,     0,     0,     0,  1185,  1185,
       0,     0,     0,     0,     0,     0,  1185,     0,     0,  1185,
    1185,  1185,  1185,  1924,     0,     0,     0,     0,     0,  1185,
    1185,  1922,  1185,     0,  1185,  1185,  2217,     0,  1185,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1924,     0,
       0,     0,     0,     0,  1933,  1185,   824,     0,     0,     0,
    1185,     0,  4030,     0,  1185,     0,     0,     0,  1185,  1924,
    1185,  1185,  1185,  1185,  1185,  1185,  1185,  1185,  1185,     0,
    1185,     0,  1924,     0,     0,     0,  1185,     0,     0,  1185,
       0,     0,     0,  2218,  2219,  2220,     0,  2221,  2222,  2223,
    2224,  2225,  2226,     0,     0,     0,  1925,     0,     0,     0,
       0,  1925,  1925,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  2201,  1925,     0,  2202,  2218,  2219,  2220,     0,
    2221,  2222,  2223,  2224,  2225,  2226,     0,     0,     0,     4,
       0,     0,  2203,     0,     0,     0,  1924,     0,     0,     0,
    2205,  1185,     0,     0,     0,     0,  2206,     0,     0,     5,
       0,     0,  1924,     0,     0,     0,     0,     0,     0,     6,
       7,     0,     0,     0,     0,  1924,     0,     9,    10,     0,
    2207,    11,    12,    13,    14,    15,    16,    17,    18,    19,
      20,    21,    22,    23,    24,    25,    26,    27,    28,    29,
      30,    31,    32,    33,    34,    35,     0,     0,     0,    37,
      38,    39,    40,    41,    42,    43,    44,     0,     0,     0,
      45,  1045,     0,     0,     0,     0,     0,  1922,     0,  1045,
       0,  1045,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1924,     0,     0,
       0,     0,     0,   824,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1925,  1924,    46,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  2208,  1185,     0,     0,  2209,     0,     0,     0,     0,
       0,     0,  1924,  1185,     0,     0,     0,     0,     0,     0,
    1185,     0,     0,     0,     0,     0,  2210,  2211,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  2212,     0,     0,     0,     0,  1924,     0,
       0,  1047,     0,     0,     0,     0,     0,  1933,    47,     0,
       0,  1925,  1933,  1933,     0,     0,     0,     0,     0,  2213,
       0,     0,  2214,     0,  1933,    48,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  2215,     0,     0,  2216,     0,
     824,  1922,     0,   824,     0,    49,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1047,     0,     0,    50,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1922,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,    51,     0,     0,    52,     0,     0,     0,
       0,  1925,  2217,     0,     0,     0,     0,     0,     0,     0,
       0,    53,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1927,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1185,     0,  1933,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   824,     0,     0,     0,     0,  1922,
       0,     0,     0,     0,  1924,     0,    54,     0,     0,     0,
    1922,     0,  2218,  2219,  2220,     0,  2221,  2222,  2223,  2224,
    2225,  2226,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,    55,     0,
       0,     0,  1933,     0,     0,     0,     0,     0,     0,     0,
       0,     0,    56,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,    57,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1185,     0,     0,    58,     0,     0,     0,     0,     0,    59,
       0,     0,     0,    60,    61,    62,    63,    64,     0,     0,
      65,    66,  1382,  2764,     0,  1922,  1927,    71,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1924,     0,
       0,     0,  1933,  1922,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1185,  1922,
       0,     0,     0,     0,  1185,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1924,     0,     0,     0,     0,     0,
       0,  1185,  1185,     0,     0,     0,     0,  1185,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1922,     0,     0,     0,     0,
       0,     0,  1185,  1185,     0,     0,     0,  1185,     0,     0,
       0,  1925,     0,     0,     0,     0,     0,     0,     0,  1185,
    1185,  1185,  1185,     0,     0,     0,     0,   824,     0,     0,
       0,     0,  1185,   824,     0,  1185,     0,  1185,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1185,  1185,     0,
       0,  1185,     0,  1925,  1925,     0,  1925,     0,     0,     0,
       0,     0,     0,     0,  1185,     0,  1185,     0,     0,     0,
    1185,     0,     0,     0,     0,     0,  1924,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1185,  1924,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1185,     0,  1185,
    1185,  1185,     0,     0,     0,     0,     0,     0,     0,     0,
    1181,     0,  1925,     0,  1925,     0,     0,     0,     0,  1181,
       0,     0,     0,  1185,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1185,     0,     0,     0,
       0,  1185,     0,     0,     0,     0,     0,  1185,     0,  1922,
       0,     0,  1181,     0,     0,  1185,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1925,     0,
       0,     0,     0,     0,     0,     0,     0,  1927,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1925,     0,     0,     0,     0,     0,     0,
       0,     0,  1924,     0,     0,     0,     0,     0,  1181,     0,
       0,     0,     0,     0,  1925,  1185,     0,     0,  1181,     0,
       0,     0,     0,     0,     0,     0,     0,  1925,     0,     0,
    1924,  1927,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1933,     0,     0,     0,  1924,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1927,     0,     0,     0,     0,  1922,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1933,  1933,     0,  1933,     0,     0,
       0,  1925,  1924,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1925,     0,     0,
       0,     0,     0,     0,     0,     0,   824,   824,   824,     0,
    1925,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1181,  1927,     0,     0,     0,     0,  1045,     0,
       0,     0,  1045,  1933,     0,  1933,     0,     0,     0,     0,
       0,     0,  1927,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1181,     0,     0,
    1927,     0,     0,  1922,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1925,     0,     0,     0,  1922,     0,  1927,  1933,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1925,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1933,     0,  1922,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1925,     0,     0,
       0,     0,     0,     0,     0,  1933,  1924,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   824,  1933,     0,
       0,  1927,     0,     0,     0,     0,  1922,     0,     0,     0,
    1922,  1922,     0,  1925,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1928,     0,  1933,     0,     0,  1181,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1181,     0,  1933,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1933,     0,     0,     0,     0,     0,     0,     0,  1931,
       0,     0,  1924,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1185,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1181,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1185,     0,     0,  1933,     0,     0,     0,     0,     0,     0,
    1185,     0,     0,     0,     0,     0,  1185,     0,  1185,     0,
       0,     0,     0,  1933,  1185,     0,     0,  1185,  1185,  1185,
    1185,  1185,  1185,  1185,  1185,  1185,  1185,     0,  1927,     0,
    1185,  1185,     0,     0,     0,  1181,     0,     0,  1933,  1925,
    1924,     0,     0,  1185,     0,     0,     0,  1185,     0,   824,
       0,  1185,     0,  1928,     0,     0,     0,     0,     0,     0,
       0,  1185,     0,  1924,  1185,     0,  1185,     0,     0,     0,
       0,     0,     0,     0,  1933,  1185,  1185,  1185,     0,     0,
       0,  1185,     0,     0,  1185,     0,     0,     0,     0,     0,
       0,     0,  1931,  1924,  1185,  1185,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1185,     0,     0,   880,     0,
       0,     0,     0,  1185,     0,  1185,     0,     0,     0,     0,
     881,  1181,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1924,     0,     0,     0,  1924,  1924,     0,
       0,   882,     0,     0,     0,     0,     0,     0,     0,     0,
    1181,     0,     0,     0,   883,     0,     0,     0,  1185,     0,
       0,     0,     0,   884,  1185,     0,     0,  -738,     0,     0,
    1185,     0,     0,     0,     0,     0,     0,     0,  1181,  1181,
       0,  1181,     0,  1925,   885,     0,     0,     0,     0,     0,
     886,     0,     0,     0,     0,  1185,     0,     0,  1181,     0,
       0,     0,     0,     0,     0,   887,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   888,     0,     0,  1925,
       0,     0,     0,     0,   889,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   890,     0,     0,     0,     0,
       0,     0,   891,     0,     0,     0,   892,     0,     0,     0,
    1181,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  -940,     0,     0,     0,   824,     0,     0,     0,   824,
    1933,   824,     0,     0,     0,     0,     0,     0,     0,  1181,
       0,     0,     0,  1181,  1181,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     893,     0,     0,     0,     0,     0,     0,  -502,     0,     0,
       0,  1927,     0,     0,     0,     0,  1927,  1927,     0,     0,
       0,     0,     0,     0,  1928,     0,     0,     0,  1927,     0,
       0,  1925,     0,     0,     0,     0,     0,     0,   894,     0,
       0,   895,  1925,     0,     0,     0,     0,   824,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1931,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  -399,  1045,     0,  1928,     0,
       0,     0,     0,     0,     0,     0,     0,  1185,     0,     0,
       0,     0,     0,   896,     0,     0,     0,     0,     0,   897,
       0,     0,     0,     0,     0,  -399,     0,  1928,   898,  1045,
       0,     0,     0,     0,  1933,     0,     0,  1931,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  -399,     0,   899,   900,     0,   901,
     902,     0,     0,     0,     0,     0,  1931,     0,   903,     0,
    1933,  1185,  1185,   904,     0,     0,     0,  1925,     0,   905,
       0,     0,   906,     0,     0,   907,     0,     0,     0,     0,
       0,  1927,     0,     0,     0,     0,     0,     0,  -399,     0,
    1928,     0,     0,     0,     0,  1925,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1928,
       0,  1925,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1185,     0,     0,     0,     0,  1928,     0,  1931,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1931,     0,
       0,     0,     0,     0,     0,  1928,  1927,  1925,     0,  1185,
       0,     0,     0,     0,     0,     0,  1931,     0,     0,  1185,
    1185,     0,  1933,     0,     0,     0,     0,  1185,  1185,     0,
       0,     0,  1185,  1933,     0,     0,     0,     0,  1185,  1185,
       0,     0,  1185,     0,  1931,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1185,     0,     0,     0,  1185,     0,     0,     0,  1928,     0,
       0,     0,     0,     0,  1185,     0,     0,     0,     0,  1185,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1185,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1181,     0,     0,     0,     0,  1927,  1931,     0,     0,
    1181,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1185,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1933,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1925,     0,     0,     0,     0,     0,   824,     0,     0,
       0,     0,     0,     0,     0,     0,  1933,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1933,     0,     0,     0,     0,  1181,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1181,  1181,     0,  1933,     0,
    1929,     0,     0,  1181,     0,     0,  1181,     0,     0,     0,
    1181,     0,     0,     0,     0,     0,     0,     0,  1181,  1181,
       0,     0,     0,     0,     0,  1928,  1181,     0,     0,  1181,
    1181,  1181,  1181,     0,     0,     0,     0,  1925,     0,  1181,
    1181,     0,  1181,     0,  1181,  1181,     0,     0,  1181,     0,
       0,     0,     0,     0,     0,     0,  1185,     0,     0,     0,
       0,     0,     0,     0,  1931,  1181,     0,  1185,     0,     0,
    1181,     0,     0,     0,  1181,     0,     0,     0,  1181,     0,
    1181,  1181,  1181,  1181,  1181,  1181,  1181,  1181,  1181,     0,
    1181,     0,     0,     0,     0,     0,  1181,     0,     0,  1181,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1933,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1925,     0,     0,  1185,     0,
       0,     0,  1933,     0,     0,     0,     0,  1185,     0,     0,
       0,  1181,     0,  1929,     0,     0,     0,     0,  1925,     0,
       0,     0,     0,     0,  1185,  1185,  1927,     0,  1185,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1185,     0,     0,     0,     0,  1185,     0,  1925,  1185,
       0,     0,     0,     0,  1185,  1185,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1927,  1927,
       0,  1927,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1185,  1925,     0,
       0,     0,  1925,  1925,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1933,     0,
       0,     0,     0,     0,     0,     0,  1185,  1927,     0,  1927,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1181,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1181,     0,   824,     0,     0,  1928,     0,
    1181,     0,     0,  1928,  1928,     0,     0,     0,     0,  1185,
       0,     0,     0,     0,     0,  1928,     0,     0,     0,     0,
       0,     0,     0,  1927,     0,     0,     0,     0,     0,     0,
       0,  1045,     0,     0,     0,     0,     0,  1931,     0,     0,
       0,     0,  1931,  1931,     0,     0,     0,     0,  1927,     0,
       0,     0,     0,     0,  1931,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1185,     0,  1933,     0,     0,  1927,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1927,     0,     0,     0,     0,     0,  1185,  1933,
       0,  1185,     0,  1185,  1045,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1185,     0,     0,     0,  1185,     0,     0,     0,     0,  1933,
       0,     0,     0,     0,  1929,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1927,     0,     0,     0,
       0,     0,     0,     0,     0,   824,     0,     0,  1928,  1933,
       0,     0,  1927,  1933,  1933,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1927,     0,     0,  1929,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1181,     0,  1931,     0,     0,
    1185,     0,     0,     0,     0,     0,     0,  1929,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1185,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1928,     0,     0,     0,     0,     0,  1933,
       0,     0,     0,     0,     0,     0,     0,  1927,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1927,     0,  1185,
       0,     0,  1931,     0,     0,     0,     0,     0,     0,     0,
    1929,     0,     0,     0,     0,     0,  1185,     0,     0,     0,
       0,     0,  1927,     0,     0,     0,     0,     0,     0,  1929,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1929,     0,     0,
    1181,     0,     0,     0,     0,     0,     0,     0,  1927,     0,
       0,  1185,     0,  1928,     0,     0,     0,     0,     0,     0,
       0,     0,  1185,     0,     0,  1929,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1185,  1185,     0,     0,     0,     0,     0,
       0,     0,  1931,     0,     0,     0,  1185,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1181,     0,
       0,     0,     0,     0,  1181,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1929,     0,
       0,  1181,  1181,     0,     0,     0,     0,  1181,  1185,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1185,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1181,  1181,     0,     0,     0,  1181,   824,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1181,
    1181,  1181,  1181,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1181,     0,     0,  1181,   923,  1181,     0,     0,
       0,     0,     0,     0,     0,   923,     0,  1181,  1181,     0,
    1185,  1181,     0,     0,     0,   824,     0,     0,     0,  1185,
       0,     0,     0,   824,  1181,     0,  1181,     0,     0,     0,
    1181,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1927,   923,  1181,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1181,     0,  1181,
    1181,  1181,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1100,
       0,     0,     0,  1181,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1181,     0,     0,     0,
       0,  1181,     0,     0,     0,     0,     0,  1181,     0,     0,
       0,     0,     0,     0,     0,  1181,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1929,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1928,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1181,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1927,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1931,     0,     0,  1928,  1928,     0,  1928,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1927,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1931,  1931,     0,  1931,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1149,     0,
       0,     0,     0,     0,  1928,     0,  1928,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1931,     0,  1931,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1928,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1927,     0,     0,     0,
       0,     0,     0,     0,     0,  1928,     0,  1927,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1931,
       0,     0,     0,     0,     0,     0,  1928,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1928,
       0,     0,     0,     0,  1931,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1931,     0,     0,  1929,     0,
       0,     0,     0,  1929,  1929,     0,     0,     0,  1931,     0,
       0,     0,     0,     0,     0,  1929,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1928,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1928,
       0,     0,  1927,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1928,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1931,     0,     0,     0,     0,     0,     0,     0,
    1927,     0,     0,     0,     0,     0,     0,     0,  1931,     0,
       0,     0,     0,     0,     0,     0,  1927,     0,     0,     0,
       0,  1931,     0,     0,     0,     0,     0,     0,   923,   923,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1181,     0,     0,  1928,     0,     0,     0,     0,     0,
       0,     0,  1927,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1928,     0,  1149,     0,  1929,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1181,     0,     0,  1931,     0,     0,     0,     0,     0,  1928,
    1181,     0,     0,     0,     0,     0,  1181,     0,  1181,     0,
       0,     0,     0,  1931,  1181,     0,     0,  1181,  1181,  1181,
    1181,  1181,  1181,  1181,  1181,  1181,  1181,     0,     0,     0,
    1181,  1181,     0,     0,     0,  1928,     0,     0,  1931,     0,
       0,     0,     0,  1181,     0,     0,     0,  1181,     0,     0,
       0,  1181,     0,  1929,     0,     0,     0,     0,     0,     0,
       0,  1181,     0,     0,  1181,     0,  1181,     0,     0,     0,
       0,     0,     0,     0,  1931,  1181,  1181,  1181,     0,     0,
       0,  1181,     0,     0,  1181,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1181,  1181,     0,  1196,     0,     0,
       0,     0,     0,     0,     0,  1181,     0,  1225,  1226,     0,
    1229,     0,  1232,  1181,  1234,  1181,  1927,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1286,     0,     0,     0,     0,     0,     0,
       0,  1294,     0,     0,     0,     0,     0,     0,     0,     0,
    1310,  1311,     0,  1929,     0,  1313,     0,     0,  1181,     0,
       0,     0,     0,     0,  1181,     0,     0,     0,     0,     0,
    1181,     0,  1149,     0,   923,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1344,
       0,     0,     0,     0,     0,  1181,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1367,     0,     0,  1369,     0,
    1371,     0,  1374,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   923,     0,     0,     0,
       0,  1928,  1927,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1931,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1454,     0,  1455,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1149,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1927,     0,     0,     0,     0,     0,     0,     0,     0,  1100,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1927,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1928,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1181,     0,     0,
       0,     0,     0,  1927,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1928,     0,     0,  1931,     0,     0,     0,     0,     0,
    1714,     0,  1716,     0,     0,     0,  1718,     0,     0,     0,
       0,     0,     0,  1927,     0,     0,     0,  1927,  1927,     0,
       0,     0,     0,     0,     0,     0,  1747,     0,     0,     0,
    1931,  1181,  1181,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1929,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1865,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1929,  1929,     0,  1929,  1878,
       0,     0,  1181,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1888,  1928,     0,     0,     0,     0,     0,  1890,
       0,     0,     0,     0,  1928,     0,     0,     0,     0,     0,
       0,  1939,     0,     0,  1943,     0,     0,     0,     0,  1181,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1181,
    1181,     0,  1931,     0,  1929,     0,  1929,  1181,  1181,     0,
       0,     0,  1181,  1931,     0,     0,     0,  1986,  1181,  1181,
       0,     0,  1181,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1181,     0,     0,     0,  1181,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1181,     0,     0,     0,     0,  1181,
    1929,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1181,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1929,     0,     0,     0,  1928,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1929,     0,     0,     0,
    1181,     0,     0,     0,     0,     0,     0,  1928,     0,  1929,
       0,     0,     0,     0,     0,     0,     0,     0,  1931,     0,
       0,     0,     0,  1928,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1931,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1931,     0,     0,     0,     0,     0,     0,  1928,
       0,     0,     0,  1929,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1929,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1929,     0,     0,     0,     0,     0,  1931,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1181,     0,     0,     0,
       0,     0,     0,     0,  1929,     0,     0,  1181,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1929,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1100,
    2302,     0,     0,     0,     0,     0,     0,     0,     0,  1929,
       0,     0,     0,  1928,     0,  1931,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1929,     0,     0,  1181,     0,
       0,     0,  1931,     0,     0,     0,     0,  1181,  2373,     0,
       0,  2373,     0,     0,     0,     0,     0,     0,     0,  2380,
       0,     0,     0,     0,  1181,  1181,     0,     0,  1181,     0,
       0,     0,     0,     0,     0,     0,     0,  2389,     0,     0,
       0,  1181,     0,     0,     0,     0,  1181,     0,     0,  1181,
       0,     0,     0,     0,  1181,  1181,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  2459,     0,     0,     0,  1928,
       0,     0,     0,     0,     0,     0,     0,  1181,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       4,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1931,     0,
       5,     0,     0,     0,     0,     0,  1181,     0,     0,     0,
       6,     7,     0,     0,     0,     0,     0,     0,     9,    10,
       0,     0,    11,    12,    13,    14,    15,    16,    17,    18,
      19,    20,    21,    22,    23,    24,    25,    26,    27,    28,
      29,    30,    31,    32,    33,    34,    35,     0,     0,  1181,
      37,    38,    39,    40,    41,    42,    43,    44,     0,     0,
       0,    45,     0,     0,     0,     0,     0,  1928,     0,     0,
       0,  1929,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1928,     0,     0,   672,     0,     0,     0,     0,   716,     0,
     716,     0,     0,     0,  1181,     0,  1931,     0,     0,    46,
     716,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1928,     0,     0,     0,     0,     0,     0,     0,  1181,  1931,
       0,  1181,     0,  1181,     0,     0,   716,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   716,     0,  2665,     0,
    1181,     0,     0,     0,  1181,     0,     0,   716,   716,  1931,
    1928,   716,     0,  2688,  1928,  1928,     0,   716,     0,     0,
       0,  1007,     0,     0,     0,     0,     0,     0,     0,    47,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1007,     0,     0,     0,     0,    48,     0,     0,  1931,
       0,     0,     0,  1931,  1931,     0,     0,   716,     0,  2736,
       0,     0,     0,     0,     0,  1929,    49,     0,     0,     0,
       0,     0,     0,     0,  2751,     0,  2753,     0,  2754,     0,
       0,     0,     0,  2755,     0,     0,     0,     0,    50,     0,
    1181,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1929,     0,     0,     0,     0,     0,     0,     0,  1181,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,    51,     0,     0,    52,     0,  1931,
       0,     0,  2784,     0,     0,     0,     0,     0,     0,     0,
       0,     0,    53,     0,  2302,     0,     0,     0,  2302,     0,
    2302,     0,     0,  2302,     0,     0,     0,     0,     0,  1181,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1181,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1929,     0,     0,     0,    54,     0,     0,
       0,  1181,     0,     0,  1929,     0,     0,     0,     0,     0,
       0,     0,  1181,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1181,  1181,     0,     0,     0,     0,    55,
       0,     0,     0,     0,     0,     0,  1181,     0,     0,     0,
     716,     0,     0,    56,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,    57,     0,
       0,     0,  2997,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1181,     0,
       0,     0,     0,     0,    58,     0,     0,     0,  1181,     0,
      59,     0,     0,     0,    60,    61,    62,    63,    64,     0,
       0,    65,    66,  1382,     0,     0,     0,     0,    71,  1929,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1929,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1181,     0,     0,  1929,     0,     0,     0,     0,     0,  1181,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1929,
       0,     0,     0,  1149,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    3086,  3087,     0,     0,     0,  3090,  3091,     0,     0,  3094,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  3104,
       0,     0,     0,     0,     0,     0,  3113,     0,     0,     0,
    3116,  3117,     0,     0,  3120,  3121,   716,     0,     0,     0,
       0,  3126,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  3142,     0,  3144,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  3166,     0,     0,     0,     0,  3168,     0,     0,     0,
     716,   716,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  3186,  3187,  3190,
    3192,     0,     0,     0,  3199,  3202,     0,     0,     0,     0,
       0,     0,  3213,     0,     0,  3217,     0,     0,   716,  3221,
       0,     0,     0,  1929,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  3249,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  3256,     0,  3258,     0,     0,     0,     0,  3261,
       0,     0,     0,     0,  3265,  3266,  3267,  3268,     0,  3270,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  3294,  3295,  3296,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  3304,  3305,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1929,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  3359,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1332,   716,     0,   716,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1929,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   716,     0,     0,   716,   716,     0,
    1929,     0,     0,     0,     0,     0,     0,  1149,     0,     0,
       0,     0,   672,     0,  1007,     0,  1007,     0,     0,     0,
    2302,     0,   672,     0,     0,     0,   716,     0,     0,     0,
    1929,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1007,  1007,     0,  3486,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1929,     0,     0,     0,  1929,  1929,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   716,     0,   716,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   672,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   672,
     672,     0,     0,  1696,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   672,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  3662,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  3701,  3702,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  2302,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  3724,     0,     0,
       0,     0,     0,     0,     0,     0,  3728,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  3739,  3741,     0,     0,     0,  3741,     0,     0,     0,
       0,  3752,  3753,  3754,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  3775,  3776,  3777,
    3778,     0,     0,     0,     0,   672,     0,     0,     0,     0,
     716,     0,   716,     0,     0,   716,     0,   716,     0,     0,
     716,   716,   716,     0,     0,     0,  2084,  3794,  3795,  3796,
       0,     0,     0,   716,     0,     0,     0,  3809,     0,     0,
       0,     0,     0,     0,     0,     0,   716,     0,   716,     0,
       0,     0,     0,   716,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  3848,     0,     0,     0,     0,     0,     0,     0,  3852,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  3920,     0,     0,     0,     0,     0,     0,
       0,  2242,     0,     0,     0,     0,     0,     0,     0,     0,
     716,   716,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   672,     0,     0,
       0,     0,   672,   672,     0,  3948,     0,     0,  3951,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   923,
       0,     0,  3991,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  4001,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  2302,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   716,     0,   672,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  2377,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1186,     0,     0,
       0,     0,     0,     0,     0,     0,  1186,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   672,     0,     0,     0,     0,     0,     0,     0,   672,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1186,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     672,     0,     0,   672,   672,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1186,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1186,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   672,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  4204,     0,  4205,     0,     0,     0,     0,     0,
       0,  4207,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  4216,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1186,
       0,     0,     0,     0,  4224,     0,     0,     0,     0,     0,
       0,     0,     0,  4235,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1186,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  4267,
    4268,  4269,  4270,  4271,  4272,  4273,  4274,     0,     0,     0,
       0,  4281,  4282,     0,  4284,  4285,  4286,  4287,  4288,  4289,
    4290,     0,     0,     0,     0,     0,     0,     0,     0,  4298,
       0,  4300,  4301,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   716,     0,
     716,     0,     0,     0,   716,     0,   716,     0,     0,   716,
       0,     0,     0,   716,     0,     0,     0,     0,  2242,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  4349,  4351,  4353,     0,     0,  4356,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1186,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1186,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1934,  3741,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1552,     0,     0,     0,     0,     0,     0,  2302,  2302,  2302,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1186,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1623,     0,  2084,     0,     0,
       0,     0,     0,     0,  2998,     0,     0,     0,     0,     0,
       0,     0,     0,  2377,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1186,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   672,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1934,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     672,     0,     0,     0,   672,     0,     0,     0,  1186,     0,
    3070,     0,  1696,     0,     0,   716,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1186,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  4552,
    4553,  4554,  4555,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1186,  1186,     0,  1186,     0,
       0,     0,     0,  4567,  4568,  4569,  4570,     0,  4572,  4573,
       0,     0,     0,     0,     0,  1186,     0,     0,     0,     0,
    4582,  4583,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  2302,  2302,     0,
    2302,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1186,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1186,     0,     0,     0,
    1186,  1186,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   672,     0,     0,
       0,     0,     0,     0,     0,   672,     0,   672,     0,     0,
       0,     0,     0,     0,  4643,     0,     0,     0,     0,     0,
       0,     0,     0,  4649,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  4668,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  2139,
    1934,     0,     0,     0,     0,     0,     0,     0,  4687,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  2163,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1934,     0,  2188,  2189,     0,  2192,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  2302,
       0,     0,     0,     0,     0,     0,  2232,     0,     0,     0,
       0,     0,  2302,  1934,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  2286,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1934,  2309,     0,     0,
       0,  2321,  2324,     0,     0,     0,  4774,     0,     0,   716,
    2084,     0,     0,     0,     0,  1934,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   672,     0,     0,     0,
       0,     0,     0,  1934,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1934,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  3741,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1186,     0,
       0,     0,     0,     0,  1934,     0,     0,  1186,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  2302,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  2302,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  4892,     0,     0,     0,     0,  4896,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  2302,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1186,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  2377,     0,     0,     0,
       0,   672,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1186,  1186,     0,     0,     0,     0,     0,     0,
    1186,     0,     0,  1186,     0,     0,     0,  1186,     0,     0,
       0,     0,     0,  3741,     0,  1186,  1186,     0,     0,     0,
       0,     0,     0,  1186,     0,     0,  1186,  1186,  1186,  1186,
    2302,     0,     0,     0,     0,     0,  1186,  1186,     0,  1186,
       0,  1186,  1186,     0,     0,  1186,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1934,  1186,     0,     0,     0,     0,  1186,     0,     0,
       0,  1186,     0,     0,     0,  1186,     0,  1186,  1186,  1186,
    1186,  1186,  1186,  1186,  1186,  1186,     0,  1186,     0,     0,
    5002,     0,     0,  1186,     0,  5006,  1186,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1186,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  2863,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  2886,     0,     0,  2888,     0,     0,
    2899,     0,     0,     0,     0,     0,     0,  2906,  2911,     0,
       0,     0,     0,  2917,     0,     0,  2922,     0,     0,  1186,
       0,     0,     0,     0,     0,     0,     0,   672,     0,     0,
    1186,     0,     0,  2931,     0,     0,     0,  1186,  2938,     0,
     672,     0,  2950,     0,     0,     0,  2957,     0,  2959,  2960,
    2961,  2962,  2963,  2964,  2965,  2966,  2967,     0,  2968,     0,
       0,     0,     0,     0,  1552,     0,     0,  2993,     0,     0,
       0,     0,     0,     0,  1934,     0,     0,     0,     0,  1934,
    1934,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1934,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1623,
       0,   716,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   672,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1186,     0,  1934,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    3118,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1934,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1186,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  3070,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1934,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1186,     0,     0,     0,     0,
       0,  1186,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1186,  1186,
       0,     0,     0,     0,  1186,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  3334,     0,     0,     0,     0,     0,  1186,
    1186,     0,   672,     0,  1186,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1186,  1186,  1186,  1186,
       0,     0,     0,     0,   672,     0,     0,     0,     0,  1186,
       0,     0,  1186,     0,  1186,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1186,  1186,     0,     0,  1186,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1186,     0,  1186,     0,     0,     0,  1186,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1186,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1186,     0,  1186,  1186,  1186,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  3458,     0,
    1186,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1186,     0,     0,     0,     0,  1186,     0,
       0,     0,     0,     0,  1186,     0,     0,     0,     0,     0,
       0,     0,  1186,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    3507,     0,  1186,     0,     0,  3513,     0,     0,     0,     0,
       0,     0,     0,     0,   672,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1934,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    2228,     0,     0,     0,     0,     0,     0,  2911,     0,  2911,
    2911,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    3570,     0,     0,  3573,     0,  3575,     0,     0,     0,     0,
       0,  1934,  1934,     0,  1934,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  3596,     0,  3598,     0,     0,     0,  3601,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  2228,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  2993,  2993,  2993,
    1934,     0,  1934,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  3659,     0,     0,     0,     0,     0,  2377,     0,     0,
       0,     0,     0,     0,  2309,     0,     0,     0,     0,  3671,
       0,     0,     0,     0,     0,  2324,     0,     0,     0,     0,
       0,     0,     0,   672,     0,     0,  1934,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1934,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1934,     0,     0,   672,     0,     0,     0,     0,
       0,     0,     0,  3710,     0,  1934,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1934,
       0,     0,     0,     0,     0,   672,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1934,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1934,     0,
       0,     0,   672,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1186,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1186,     0,     0,
    1934,     0,     0,     0,     0,     0,     0,  1186,     0,     0,
       0,     0,     0,  1186,     0,  1186,     0,     0,     0,     0,
    1934,  1186,     0,     0,  1186,  1186,  1186,  1186,  1186,  1186,
    1186,  1186,  1186,  1186,     0,     0,     0,  1186,  1186,     0,
       0,     0,     0,     0,     0,  1934,     0,     0,     0,     0,
    1186,     0,     0,     0,  1186,     0,     0,     0,  1186,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1186,     0,
       0,  1186,     0,  1186,     0,     0,     0,     0,     0,     0,
       0,  1934,  1186,  1186,  1186,     0,     0,     0,  1186,     0,
       0,  1186,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1186,  1186,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1186,     0,   716,     0,     0,     0,     0,     0,
    1186,     0,  1186,     0,     0,  2228,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     672,     0,     0,     0,     0,  1186,     0,     0,     0,     0,
       0,  1186,     0,     0,     0,     0,     0,  1186,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1186,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  2228,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  4031,     0,
       0,  2228,     0,     0,     0,     0,  2895,     0,  4035,     0,
       0,     0,     0,     0,  4036,     0,  4037,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  2228,  2228,     0,     0,
    2228,     0,     0,     0,     0,     0,     0,  1934,  4055,  4056,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  2917,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  4084,
    2228,     0,  4087,     0,  4089,     0,     0,     0,     0,     0,
       0,     0,     0,  4093,     0,     0,     0,     0,     0,  4098,
       0,     0,  4101,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  4134,     0,     0,     0,     0,     0,     0,
       0,  4146,     0,  2993,  2228,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  2228,     0,     0,
       0,     0,     0,     0,  1186,     0,     0,     0,     0,  2228,
       0,     0,  2228,     0,     0,     0,  4163,     0,     0,     0,
       0,     0,  1552,     0,     0,     0,     0,     0,  1623,     0,
       0,  1934,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   672,     0,
       0,     0,     0,     0,     0,     0,     0,  1934,  1186,  1186,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1186,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1186,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1186,  1186,     0,  1934,
       0,     0,     0,     0,  1186,  1186,     0,     0,     0,  1186,
    1934,     0,     0,     0,     0,  1186,  1186,     0,     0,  1186,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1186,     0,     0,
       0,  1186,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1186,     0,     0,     0,     0,  1186,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1186,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1186,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1934,     0,     0,     0,  4410,
    4411,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1934,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1934,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    4442,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1934,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  4460,  4462,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    4469,     0,     0,     0,     0,     0,  4474,  4475,     0,     0,
    4477,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1186,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1186,     0,     0,     0,     0,     0,
       0,     0,  2993,     0,     0,     0,     0,  2993,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  2993,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1934,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  4533,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1186,     0,     0,     0,  1934,
       0,  2228,     0,     0,  1186,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1186,  1186,     0,  2228,  1186,  2228,     0,  2895,  2895,
    3544,     0,     0,  2895,     0,     0,     0,  2228,  1186,     0,
       0,     0,     0,  1186,  2228,     0,  1186,     0,     0,  2228,
       0,  1186,  1186,     0,     0,  2228,     0,     0,     0,     0,
    2228,     0,     0,     0,     0,     0,     0,     0,     0,  2228,
       0,     0,     0,  2895,  2895,     0,  2228,     0,     0,     0,
       0,     0,     0,     0,  1186,     0,     0,     0,  2228,     0,
       0,     0,     0,     0,     0,  2228,     0,  2228,  2228,  2228,
    2228,  2228,  2228,  2228,  2228,  2228,  2228,     0,     0,     0,
       0,     0,     0,     0,     0,  1934,     0,     0,     0,     0,
       0,     0,     0,  1186,     0,     0,     0,     0,     0,     0,
       0,  2228,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  4629,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1186,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1186,     0,  1934,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1186,  1934,     0,  1186,     0,
    1186,     0,     0,     0,     0,     0,  2228,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  4713,  1186,     0,     0,
       0,  1186,     0,     0,     0,     0,  1934,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  4730,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1934,     0,     0,     0,
    1934,  1934,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1186,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1186,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1934,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1186,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1186,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  2228,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1186,  2917,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1186,
       0,     0,     0,     0,     0,     0,     0,     0,  4867,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1186,  1186,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1186,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1186,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1186,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  2228,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  4938,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  2228,     0,  1186,     0,     0,
       0,  2228,     0,     0,     0,     0,  1186,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  3544,  3544,     0,
    2895,     0,     0,  2895,  2895,  2895,  2895,  2895,  2895,  2895,
    2895,  2895,  2895,  3544,  4983,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  2228,     0,
       0,  2228,     0,  2228,     0,     0,     0,     0,  3544,  3544,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  2895,  2895,  2228,     0,  2228,     0,     0,  2228,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  5029,  5029,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  2228,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  2228,
       0,     0,     0,     0,     0,     0,  5029,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  5077,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  2228,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  5029,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  2895,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
      86,    87,    88,     0,    90,    91,    92,     0,     0,     0,
      95,     0,     0,    98,    99,   100,   101,   102,   103,     0,
     104,   105,     0,     0,     0,   107,   108,   109,   110,     0,
     111,   112,   113,   114,   115,     0,   116,   117,   118,     0,
       0,     0,     0,     0,   121,   122,     0,     0,     0,     0,
     123,     0,     0,     0,     0,     0,     0,     0,     0,   124,
       0,   125,     0,   126,     0,    35,     0,     0,     0,     0,
       0,     0,     0,    41,    42,     0,     0,     0,     0,  2228,
       0,     0,     0,  2228,  2228,  2228,     0,     0,  3544,     0,
       0,     0,     0,  3544,  3544,  3544,  3544,  3544,  3544,  3544,
    3544,  3544,  3544,  2228,  2228,     0,     0,     0,     0,   133,
       0,     0,     0,   135,   136,   137,   138,   139,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   140,
       0,     0,  2228,  2895,  2895,  2228,   144,  2228,   145,     0,
       0,  2228,  3544,  3544,   148,     0,  2228,     0,     0,  2228,
       0,     0,     0,     0,     0,   151,     0,     0,     0,     0,
       0,   152,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   155,   156,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  2228,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  2228,     0,     0,     0,   162,     0,
       0,     0,     0,     0,     0,     0,   164,     0,     0,     0,
     166,  2228,     0,     0,     0,   168,     0,     0,     0,     0,
       0,   169,     0,   170,     0,     0,     0,     0,     0,   172,
       0,     0,     0,     0,     0,     0,     0,     0,   173,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   174,   175,     0,     0,     0,     0,     0,   176,     0,
     177,     0,     0,   178,   179,     0,   180,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   181,   182,     0,
     183,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     188,   189,   190,     0,     0,   191,     0,     0,     0,   193,
       0,     0,   194,     0,   195,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   196,   197,   198,
     199,   200,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   201,     0,   202,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   204,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   211,     0,     0,   213,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   218,     0,     0,   220,
       0,   221,     0,     0,     0,  3544,     0,     0,     0,     0,
       0,     0,     0,     0,   223,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   225,   226,     0,     0,
       0,   227,     0,   228,     0,     0,     0,     0,     0,     0,
       0,     0,   231,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   235,  2228,  2228,
     236,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   238,   239,   240,   241,   242,   243,
     244,   245,   246,     0,     0,     0,     0,     0,     0,     0,
    2228,     0,     0,     0,  2895,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  2228,  3060,
    2228,     0,     0,     0,     0,  3544,  3544,  2228,     0,     0,
    2895,  2895,  2228,  2228,     0,  2228,     0,     0,     0,     0,
       0,     0,     0,     0,     0,    86,    87,    88,     0,    90,
      91,    92,     0,     0,     0,    95,     0,     0,    98,    99,
     100,   101,   102,   103,     0,   104,   105,     0,     0,     0,
     107,   108,   109,   110,     0,   111,   112,   113,   114,   115,
   -2391,   116,   117,   118,     0,     0,     0,     0,     0,   121,
     122,  2228,     0,     0,     0,   123,     0,     0,     0,     0,
       0,     0,     0,     0,   124,     0,   125,     0,   126,   127,
      35,     0,   412,     0,     0,     0,     0,     0,    41,    42,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   133,     0,     0,     0,   135,   136,
     137,   138,   139,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   140,     0,     0,     0,     0,     0,
       0,   144,     0,   145,     0,     0,     0,  2228,     0,   148,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     151,     0,     0,     0,     0,     0,   152,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   155,   156,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   162,     0,     0,     0,     0,     0,     0,
       0,   164,     0,  3544,  2895,   166,     0,     0,     0,     0,
     168,     0,     0,     0,     0,     0,   169,     0,   170,  3544,
    3544,  2228,     0,     0,   172,     0,     0,     0,     0,     0,
       0,     0,     0,   173,     0,     0,     0,     0,  2228,     0,
       0,     0,     0,     0,     0,     0,   174,   175,     0,     0,
       0,     0,     0,   176,     0,   177,     0,     0,   178,   179,
       0,   180,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   181,   182,     0,   183,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   188,   189,   190,     0,     0,
     191,     0,     0,     0,   193,     0,     0,   194,     0,   195,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   196,   197,   198,   199,   200,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   201,     0,   202,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   204,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  3544,     0,     0,     0,     0,
       0,   211,     0,     0,   213,  2228,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   218,     0,     0,   220,     0,   221,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   223,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   225,   226,     0,     0,     0,   227,     0,   228,     0,
       0,     0,     0,     0,     0,     0,     0,   231,     0,     0,
       0,     0,     0,     0,     0,     0,  2228,     0,     0,     0,
       0,     0,   235,     0,     0,   236,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   238,
     239,   240,   241,   242,   243,   244,   245,   246,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  2228,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   726,    86,    87,    88,   678,    90,    91,    92,   679,
       0,   680,    95,     0,     0,    98,    99,   100,   101,   102,
     103,   727,   104,   105,   681,   728,     0,   107,   108,   109,
     110,   729,   730,   112,   113,   114,   115,  2228,   116,   731,
     732,   682,   683,     0,     0,     0,   684,   685,     0,     0,
       0,     0,   686,     0,     0,     0,     0,     0,     0,     0,
       0,   687,     0,   688,     0,   689,   690,    35,     0,     0,
       0,     0,     0,     0,     0,    41,    42,     0,     0,     0,
       0,     0,     0,     0,     0,  2228,     0,   418,   419,   420,
     421,   422,   423,   424,   425,   733,   426,   427,   428,   734,
     735,   736,   737,   738,   739,   740,   429,   430,   741,   431,
     432,   133,   433,   434,   435,   135,   136,   137,   138,   139,
     742,   436,   437,   438,   439,   440,   743,   744,   441,   442,
     745,   140,   443,   746,   444,   445,   446,   447,   144,   747,
     145,   748,   448,   449,   450,   451,   148,   452,   749,   750,
     453,   454,   455,   456,   457,   458,   751,   151,   459,   752,
     753,   754,   755,   152,   756,   757,   758,   460,   461,   462,
     463,   695,   464,   155,   156,   465,   759,   466,   760,   467,
     468,   469,   470,   471,   761,   472,   473,   474,   762,   763,
     475,   476,   477,   478,   479,   764,   480,   481,   482,   765,
     483,   484,   485,   766,   486,   487,   488,   489,   164,   490,
     491,   492,   166,   767,   493,   768,   494,   168,   495,   769,
     496,   770,   497,   169,   771,   170,   498,   499,   500,   772,
     501,   172,   773,   502,   774,   503,   504,   697,   505,   506,
     173,   507,   508,   509,   775,   510,   511,   512,   513,   514,
     515,   776,   516,   174,   175,   777,   517,   518,   519,   778,
     176,   779,   177,   780,   520,   178,   179,   521,   180,   522,
     523,   524,   525,   526,   781,   527,   528,   782,   529,   181,
     182,   530,   183,   783,   531,   532,   533,   784,   785,   534,
     535,   536,   537,   538,   539,   698,   540,   541,   699,   542,
     543,   544,   188,   189,   190,   545,   546,   191,   786,   547,
     548,   193,   549,   787,   194,   550,   195,   551,   552,   553,
     788,   554,   789,   790,   555,   556,   557,   791,   792,   196,
     197,   198,   199,   200,   558,   559,   560,   561,   562,   563,
     564,   793,   565,   201,   566,   202,   567,   568,   569,   794,
     570,   571,   572,   573,   574,   575,   576,   577,   204,   578,
     579,   580,   581,   795,   582,   583,   584,   585,   586,   587,
     588,   589,   590,   591,   592,   796,   593,   594,   211,   595,
     596,   213,   597,   598,   599,   600,   601,   602,   700,   603,
     797,   604,   605,   606,   607,   608,   798,   609,   218,   610,
     611,   220,   612,   221,   613,   799,   614,   615,   616,   617,
     618,   619,   620,   621,   622,   623,   223,   800,   624,   625,
     801,   626,   627,   628,   629,   630,   631,   802,   225,   226,
     803,   804,   633,   227,   634,   228,   805,   635,   636,   637,
     638,   639,   640,   641,   806,   807,   642,   643,   644,   645,
     646,   808,   809,   647,   648,   649,   650,   651,   810,   235,
     811,   652,   236,   653,   654,   655,   812,   813,   656,   814,
     815,   657,   658,   659,   660,   661,   238,   239,   240,   241,
     242,   243,   244,   245,   246,   702,   662,   663,    85,     0,
       0,    86,    87,    88,    89,    90,    91,    92,    93,     0,
      94,    95,    96,    97,    98,    99,   100,   101,   102,   103,
     967,   104,   105,   106,     0,     0,   107,   108,   109,   110,
       0,   111,   112,   113,   114,   115,     0,   116,   117,   118,
     119,   120,     0,     0,     0,   121,   122,     0,     0,     0,
       0,   123,     0,     0,     0,     0,     0,     0,     0,     0,
     124,     0,   125,     0,   126,   127,    35,     0,     0,     0,
       0,     0,     0,     0,    41,    42,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   128,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   129,     0,   130,   131,
       0,     0,     0,     0,     0,     0,     0,     0,   132,     0,
     133,     0,     0,   134,   135,   136,   137,   138,   139,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     140,     0,     0,   141,     0,   142,   143,   144,     0,   145,
       0,   146,     0,   147,     0,   148,     0,     0,     0,     0,
       0,     0,     0,   149,     0,   150,   151,     0,     0,     0,
       0,     0,   152,     0,     0,     0,     0,     0,     0,   153,
       0,   154,   155,   156,   157,     0,     0,     0,     0,     0,
   -1398,     0,     0,     0,     0,     0,   158,     0,   159,     0,
       0,     0,   160,     0,     0,     0,     0,     0,   161,   162,
       0,     0,     0,     0,     0,     0,   163,   164,   165,     0,
       0,   166,     0,     0,   167,     0,   168,     0,     0,     0,
       0,     0,   169,     0,   170,     0,     0,     0,   171,     0,
     172,     0,     0,     0,     0,     0,     0,     0,     0,   173,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   174,   175,     0,     0, -1398,     0,     0,   176,
       0,   177,     0,     0,   178,   179,     0,   180,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   181,   182,
       0,   183,     0,   184,   185,     0,     0,     0,     0,   186,
       0,     0,     0,     0,     0,     0,     0,     0,   187,     0,
       0,   188,   189,   190,     0,     0,   191,     0,     0,   192,
     193,     0,     0,   194,     0,   195,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   196,   197,
     198,   199,   200,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   201,     0,   202,     0,   203,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   204,   205,     0,
       0,     0,     0,   206,   207,     0,   208,     0,     0,     0,
       0,   209,     0,     0,     0,     0,   210,   211,     0,   212,
     213,     0,     0,   214,     0,     0,     0,     0,   215,   216,
       0,     0,     0,     0,     0,     0,   217,   218,     0,   219,
     220,     0,   221,     0,     0,     0,     0,   222,     0,     0,
       0,     0,     0,     0,     0,   223,     0,     0,     0,   224,
       0,     0,     0,     0,     0,     0,     0,   225,   226,     0,
       0,     0,   227,     0,   228,     0,   229,     0,   230,     0,
       0,     0,     0,   231,     0,     0,   232,     0,     0, -1398,
       0,     0,   233,     0,     0,     0,     0,   234,   235,     0,
       0,   236,     0,     0,     0,     0,     0,     0,     0,   237,
       0,     0,     0,     0,     0,   238,   239,   240,   241,   242,
     243,   244,   245,   246,    86,    87,    88,     0,    90,    91,
      92,     0,     0,     0,    95,     0,     0,    98,    99,   100,
     101,   102,   103,   247,   104,   105,     0,  -136,     0,   107,
     108,   109,   110,     0,   111,   112,   113,   114,   115,     0,
     116,   117,   118,     0,     0,     0,     0,     0,   121,   122,
       0,     0,     0,     0,   123,     0,     0,     0,     0,     0,
       0,     0,     0,   124,     0,   125,     0,   126,     0,    35,
       0,     0,     0,     0,     0,     0,     0,    41,    42,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   133,     0,     0,     0,   135,   136,   137,
     138,   139,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   140,     0,     0,     0,     0,     0,     0,
     144,     0,   145,     0,     0,     0,     0,     0,   148,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   151,
       0,     0,     0,     0,     0,   152,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   155,   156,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   162,     0,     0,     0,     0,     0,     0,     0,
     164,     0,     0,     0,   166,     0,     0,     0,     0,   168,
       0,     0,     0,     0,     0,   169,     0,   170,     0,     0,
       0,     0,     0,   172,     0,     0,     0,     0,     0,     0,
       0,     0,   173,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   174,   175,     0,     0,     0,
       0,     0,   176,     0,   177,     0,     0,   178,   179,     0,
     180,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   181,   182,     0,   183,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   188,   189,   190,     0,     0,   191,
       0,     0,     0,   193,     0,     0,   194,     0,   195,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   196,   197,   198,   199,   200,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   201,     0,   202,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     204,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     211,     0,     0,   213,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     218,     0,     0,   220,     0,   221,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   223,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     225,   226,     0,     0,     0,   227,     0,   228,     0,     0,
       0,     0,     0,     0,     0,     0,   231,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   235,     0,     0,   236,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   238,   239,
     240,   241,   242,   243,   244,   245,   246,     0,   726,    86,
      87,    88,   678,    90,    91,    92,   679,     0,   680,    95,
       0,     0,    98,    99,   100,   101,   102,   103,   727,   104,
     105,   681,   728,  3062,   107,   108,   109,   110,   729,   730,
     112,   113,   114,   115,     0,   116,   731,   732,   682,   683,
       0,     0,     0,   684,   685,     0,     0,     0,     0,   686,
       0,     0,     0,     0,     0,     0,     0,     0,   687,     0,
     688,     0,   689,   690,    35,   417,     0,     0,    37,    38,
      39,    40,    41,    42,    43,    44,  1471,  1472,  1473,    45,
    1474,     0,     0,     0,   418,   419,   420,   421,   422,   423,
     424,   425,  2987,   426,   427,   428,     0,     0,     0,     0,
    1475,     0,     0,   429,   430,     0,   431,   432,   133,   433,
     434,   435,   135,  1476,   137,  1477,  1478,     0,   436,   437,
     438,   439,   440,  1479,  1480,   441,   442,  1481,  1482,   443,
       0,   444,   445,   446,   447,  1483,     0,  1484,     0,   448,
     449,   450,   451,   148,   452,   693,     0,   453,   454,   455,
     456,   457,   458,     0,   151,   459,     0,  1485,  1486,  1487,
    1488,  1489,  1490,  1491,   460,   461,   462,   463,   695,   464,
    1492,  1493,   465,     0,   466,     0,   467,   468,   469,   470,
     471,     0,   472,   473,   474,  2988,     0,   475,   476,  1494,
     478,   479,     0,   480,   481,   482,     0,   483,   484,   485,
       0,   486,   487,   488,   489,  1495,   490,   491,   492,  1496,
    1497,   493,     0,   494,  1498,   495,     0,   496,     0,   497,
     169,     0,   170,   498,   499,   500,     0,   501,  1499,     0,
     502,     0,   503,   504,   697,   505,   506,   173,   507,   508,
     509,     0,   510,   511,   512,   513,   514,   515,     0,   516,
     174,   175,     0,   517,   518,   519,  1500,  1501,     0,  1502,
       0,   520,   178,   179,   521,   180,   522,   523,   524,   525,
     526,     0,   527,   528,     0,   529,  1503,   182,   530,   183,
       0,   531,   532,   533,  1504,  1505,   534,   535,   536,   537,
     538,   539,   698,   540,   541,   699,   542,   543,   544,  1506,
     189,  1507,   545,   546,   191,  1508,   547,   548,   193,   549,
    1509,  1510,   550,  1511,   551,   552,   553,     0,   554,     0,
       0,  1512,   556,   557,     0,     0,   196,   197,   198,   199,
    1513,   558,   559,   560,   561,   562,   563,   564,     0,   565,
    1514,   566,   202,   567,   568,   569,     0,   570,   571,   572,
     573,   574,   575,   576,   577,  1515,   578,   579,   580,   581,
       0,   582,   583,   584,   585,   586,   587,   588,   589,   590,
     591,   592,     0,   593,   594,   211,   595,   596,  1516,   597,
     598,   599,   600,   601,   602,   700,   603,     0,   604,   605,
     606,   607,   608,  1517,   609,   218,   610,   611,   220,   612,
    1518,   613,     0,   614,   615,   616,   617,   618,   619,   620,
     621,   622,   623,  1519,     0,   624,   625,     0,   626,   627,
     628,   629,   630,   631,     0,  1520,  1521,     0,     0,   633,
    1522,   634,  1523,  1524,   635,   636,   637,   638,   639,   640,
     641,     0,  1525,   642,   643,   644,   645,   646,  1526,     0,
     647,   648,   649,   650,   651,   701,  1527,  2989,   652,   236,
     653,   654,   655,     0,     0,   656,     0,     0,   657,   658,
     659,   660,   661,   238,  1528,  1529,  1530,  1531,  1532,  1533,
    1534,  1535,   702,   662,   663,     0,     0,     0,     0,     0,
       0,     0,  1536,  1537,  2990,     0,     0,     0,     0,     0,
       0,  1539,  2991,   726,    86,    87,    88,   678,    90,    91,
      92,   679,     0,   680,    95,     0,     0,    98,    99,   100,
     101,   102,   103,   727,   104,   105,   681,   728,     0,   107,
     108,   109,   110,   729,   730,   112,   113,   114,   115,     0,
     116,   731,   732,   682,   683,     0,     0,     0,   684,   685,
       0,     0,     0,     0,   686,     0,     0,     0,     0,     0,
       0,     0,     0,   687,     0,   688,     0,   689,   690,    35,
     417,     0,     0,    37,    38,    39,    40,    41,    42,    43,
      44,  1471,  1472,  1473,    45,  1474,     0,     0,     0,   418,
     419,   420,   421,   422,   423,   424,   425,     0,   426,   427,
     428,     0,     0,     0,     0,  1475,     0,     0,   429,   430,
       0,   431,   432,   133,   433,   434,   435,   135,  1476,   137,
    1477,  1478,     0,   436,   437,   438,   439,   440,  1479,  1480,
     441,   442,  1481,  1482,   443,     0,   444,   445,   446,   447,
    1483,     0,  1484,     0,   448,   449,   450,   451,   148,   452,
     693,     0,   453,   454,   455,   456,   457,   458,     0,   151,
     459,     0,  1485,  1486,  1487,  1488,  1489,  1490,  1491,   460,
     461,   462,   463,   695,   464,  1492,  1493,   465,     0,   466,
       0,   467,   468,   469,   470,   471,     0,   472,   473,   474,
       0,     0,   475,   476,  1494,   478,   479,     0,   480,   481,
     482,     0,   483,   484,   485,     0,   486,   487,   488,   489,
    1495,   490,   491,   492,  1496,  1497,   493,     0,   494,  1498,
     495,     0,   496,     0,   497,   169,     0,   170,   498,   499,
     500,     0,   501,  1499,     0,   502,     0,   503,   504,   697,
     505,   506,   173,   507,   508,   509,     0,   510,   511,   512,
     513,   514,   515,     0,   516,   174,   175,     0,   517,   518,
     519,  1500,  1501,     0,  1502,     0,   520,   178,   179,   521,
     180,   522,   523,   524,   525,   526,     0,   527,   528,     0,
     529,  1503,   182,   530,   183,     0,   531,   532,   533,  1504,
    1505,   534,   535,   536,   537,   538,   539,   698,   540,   541,
     699,   542,   543,   544,  1506,   189,  1507,   545,   546,   191,
    1508,   547,   548,   193,   549,  1509,  1510,   550,  1511,   551,
     552,   553,     0,   554,     0,     0,  1512,   556,   557,     0,
       0,   196,   197,   198,   199,  1513,   558,   559,   560,   561,
     562,   563,   564,     0,   565,  1514,   566,   202,   567,   568,
     569,     0,   570,   571,   572,   573,   574,   575,   576,   577,
    1515,   578,   579,   580,   581,     0,   582,   583,   584,   585,
     586,   587,   588,   589,   590,   591,   592,     0,   593,   594,
     211,   595,   596,  1516,   597,   598,   599,   600,   601,   602,
     700,   603,     0,   604,   605,   606,   607,   608,  1517,   609,
     218,   610,   611,   220,   612,  1518,   613,     0,   614,   615,
     616,   617,   618,   619,   620,   621,   622,   623,  1519,     0,
     624,   625,     0,   626,   627,   628,   629,   630,   631,     0,
    1520,  1521,     0,     0,   633,  1522,   634,  1523,  1524,   635,
     636,   637,   638,   639,   640,   641,     0,  1525,   642,   643,
     644,   645,   646,  1526,     0,   647,   648,   649,   650,   651,
     701,  1527,     0,   652,   236,   653,   654,   655,     0,     0,
     656,     0,     0,   657,   658,   659,   660,   661,   238,  1528,
    1529,  1530,  1531,  1532,  1533,  1534,  1535,   702,   662,   663,
       0,     0,     0,     0,     0,     0,     0,  1536,  1537,     0,
       0,     0,     0,     0,     0,     0,  1539,  2897,   726,    86,
      87,    88,   678,    90,    91,    92,   679,     0,   680,    95,
       0,     0,    98,    99,   100,   101,   102,   103,   727,   104,
     105,   681,   728,     0,   107,   108,   109,   110,   729,   730,
     112,   113,   114,   115,     0,   116,   731,   732,   682,   683,
       0,     0,     0,   684,   685,     0,     0,     0,     0,   686,
       0,     0,     0,     0,     0,     0,     0,     0,   687,     0,
     688,     0,   689,   690,    35,     0,     0,     0,     0,     0,
       0,     0,    41,    42,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   418,   419,   420,   421,   422,   423,
     424,   425,     0,   426,   427,   428,     0,     0,     0,     0,
       0,     0,     0,   429,   430,     0,   431,   432,   133,   433,
     434,   435,     0,  1900,   137,  1901,  1902,     0,   436,   437,
     438,   439,   440,     0,     0,   441,   442,  1903,  1904,   443,
       0,   444,   445,   446,   447,     0,     0,   145,     0,   448,
     449,   450,   451,   148,   452,   693,     0,   453,   454,   455,
     456,   457,   458,     0,   151,   459,     0,     0,     0,     0,
     152,     0,     0,     0,   460,   461,   462,   463,   695,   464,
    1905,  1906,   465,     0,   466,     0,   467,   468,   469,   470,
     471,     0,   472,   473,   474,     0,     0,   475,   476,  1494,
     478,   479,     0,   480,   481,   482,     0,   483,   484,   485,
       0,   486,   487,   488,   489,     0,   490,   491,   492,     0,
       0,   493,     0,   494,  1907,   495,     0,   496,     0,   497,
     169,     0,   170,   498,   499,   500,     0,   501,     0,     0,
     502,     0,   503,   504,   697,   505,   506,   173,   507,   508,
     509,  2482,   510,   511,   512,   513,   514,   515,     0,   516,
     174,  2483,     0,   517,   518,   519,  1500,  1908,     0,  1909,
       0,   520,   178,   179,   521,   180,   522,   523,   524,   525,
     526,     0,   527,   528,     0,   529,     0,   182,   530,   183,
       0,   531,   532,   533,     0,     0,   534,   535,   536,   537,
     538,   539,   698,   540,   541,   699,   542,   543,   544,  1910,
     189,  1911,   545,   546,     0,     0,   547,   548,   193,   549,
       0,     0,   550,  1912,   551,   552,   553,     0,   554,     0,
       0,   555,   556,   557,     0,     0,  2484,   197,   198,   199,
       0,   558,   559,   560,   561,   562,   563,   564,     0,   565,
       0,   566,     0,   567,   568,   569,     0,   570,   571,   572,
     573,   574,   575,   576,   577,  1913,   578,   579,   580,   581,
       0,   582,   583,   584,   585,   586,   587,   588,   589,   590,
     591,   592,     0,   593,   594,   211,   595,   596,     0,   597,
     598,   599,   600,   601,   602,   700,   603,     0,   604,   605,
     606,   607,   608,     0,   609,  2485,   610,   611,   220,   612,
    1915,   613,     0,   614,   615,   616,   617,   618,   619,   620,
     621,   622,   623,     0,     0,   624,   625,     0,   626,   627,
     628,   629,   630,   631,     0,  1916,  1917,     0,     0,   633,
       0,   634,     0,     0,   635,   636,   637,   638,   639,   640,
     641,     0,     0,   642,   643,   644,   645,   646,     0,     0,
     647,   648,   649,   650,   651,     0,  1918,  2486,   652,   236,
     653,   654,   655,     0,     0,   656,     0,     0,   657,   658,
     659,   660,   661,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   702,   662,   663,     0,     0,     0,     0,   726,
      86,    87,    88,   678,    90,    91,    92,   679,     0,   680,
      95,     0,  2487,    98,    99,   100,   101,   102,   103,   727,
     104,   105,   681,   728,     0,   107,   108,   109,   110,   729,
     730,   112,   113,   114,   115,     0,   116,   731,   732,   682,
     683,     0,     0,     0,   684,   685,     0,     0,     0,     0,
     686,     0,     0,     0,     0,     0,     0,     0,     0,   687,
       0,   688,     0,   689,   690,    35,     0,     0,     0,     0,
       0,     0,     0,    41,    42,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   418,   419,   420,   421,   422,
     423,   424,   425,     0,   426,   427,   428,     0,     0,     0,
       0,     0,     0,     0,   429,   430,     0,   431,   432,   133,
     433,   434,   435,     0,  1900,   137,  1901,  1902,     0,   436,
     437,   438,   439,   440,     0,     0,   441,   442,  1903,  1904,
     443,     0,   444,   445,   446,   447,     0,     0,   145,     0,
     448,   449,   450,   451,   148,   452,   693,     0,   453,   454,
     455,   456,   457,   458,     0,   151,   459,     0,     0,     0,
       0,   152,     0,     0,     0,   460,   461,   462,   463,   695,
     464,  1905,  1906,   465,     0,   466,     0,   467,   468,   469,
     470,   471,     0,   472,   473,   474,     0,     0,   475,   476,
    1494,   478,   479,     0,   480,   481,   482,     0,   483,   484,
     485,     0,   486,   487,   488,   489,     0,   490,   491,   492,
       0,     0,   493,     0,   494,  1907,   495,     0,   496,     0,
     497,   169,     0,   170,   498,   499,   500,     0,   501,     0,
       0,   502,     0,   503,   504,   697,   505,   506,   173,   507,
     508,   509,  2482,   510,   511,   512,   513,   514,   515,     0,
     516,   174,  2483,     0,   517,   518,   519,  1500,  1908,     0,
    1909,     0,   520,   178,   179,   521,   180,   522,   523,   524,
     525,   526,     0,   527,   528,     0,   529,     0,   182,   530,
     183,     0,   531,   532,   533,     0,     0,   534,   535,   536,
     537,   538,   539,   698,   540,   541,   699,   542,   543,   544,
    1910,   189,  1911,   545,   546,     0,     0,   547,   548,   193,
     549,     0,     0,   550,  1912,   551,   552,   553,     0,   554,
       0,     0,   555,   556,   557,     0,     0,  2484,   197,   198,
     199,     0,   558,   559,   560,   561,   562,   563,   564,     0,
     565,     0,   566,     0,   567,   568,   569,     0,   570,   571,
     572,   573,   574,   575,   576,   577,  1913,   578,   579,   580,
     581,     0,   582,   583,   584,   585,   586,   587,   588,   589,
     590,   591,   592,     0,   593,   594,   211,   595,   596,     0,
     597,   598,   599,   600,   601,   602,   700,   603,     0,   604,
     605,   606,   607,   608,     0,   609,  2485,   610,   611,   220,
     612,  1915,   613,     0,   614,   615,   616,   617,   618,   619,
     620,   621,   622,   623,     0,     0,   624,   625,     0,   626,
     627,   628,   629,   630,   631,     0,  1916,  1917,     0,     0,
     633,     0,   634,     0,     0,   635,   636,   637,   638,   639,
     640,   641,     0,     0,   642,   643,   644,   645,   646,     0,
       0,   647,   648,   649,   650,   651,     0,  1918,  2486,   652,
     236,   653,   654,   655,     0,     0,   656,     0,     0,   657,
     658,   659,   660,   661,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   702,   662,   663,     0,     0,     0,     0,
     726,    86,    87,    88,   678,    90,    91,    92,   679,     0,
     680,    95,     0,  3420,    98,    99,   100,   101,   102,   103,
     727,   104,   105,   681,   728,     0,   107,   108,   109,   110,
     729,   730,   112,   113,   114,   115,     0,   116,   731,   732,
     682,   683,     0,     0,     0,   684,   685,     0,     0,     0,
       0,   686,     0,     0,     0,     0,     0,     0,     0,     0,
     687,     0,   688,     0,   689,   690,    35,   417,     0,     0,
      37,    38,    39,    40,    41,    42,    43,    44,  1471,  1472,
    1473,    45,  1474,     0,     0,     0,   418,   419,   420,   421,
     422,   423,   424,   425,     0,   426,   427,   428,     0,     0,
       0,     0,  1475,     0,     0,   429,   430,     0,   431,   432,
     133,   433,   434,   435,   135,  1476,   137,  1477,  1478,  2907,
     436,   437,   438,   439,   440,  1479,  1480,   441,   442,  1481,
    1482,   443,     0,   444,   445,   446,   447,  1483,     0,  1484,
       0,   448,   449,   450,   451,   148,   452,   693,     0,   453,
     454,   455,   456,   457,   458,     0,   151,   459,     0,  1485,
    1486,  1487,  1488,  1489,  1490,  1491,   460,   461,   462,   463,
     695,   464,  1492,  1493,   465,     0,   466,     0,   467,   468,
     469,   470,   471,     0,   472,   473,   474,     0,     0,   475,
     476,  1494,   478,   479,     0,   480,   481,   482,     0,   483,
     484,   485,     0,   486,   487,   488,   489,  1495,   490,   491,
     492,  1496,  1497,   493,     0,   494,  1498,   495,     0,   496,
       0,   497,   169,  2908,   170,   498,   499,   500,     0,   501,
    1499,     0,   502,     0,   503,   504,   697,   505,   506,   173,
     507,   508,   509,     0,   510,   511,   512,   513,   514,   515,
       0,   516,   174,   175,     0,   517,   518,   519,  1500,  1501,
       0,  1502,     0,   520,   178,   179,   521,   180,   522,   523,
     524,   525,   526,     0,   527,   528,  2909,   529,  1503,   182,
     530,   183,     0,   531,   532,   533,  1504,  1505,   534,   535,
     536,   537,   538,   539,   698,   540,   541,   699,   542,   543,
     544,  1506,   189,  1507,   545,   546,   191,  1508,   547,   548,
     193,   549,  1509,  1510,   550,  1511,   551,   552,   553,     0,
     554,     0,     0,  1512,   556,   557,     0,     0,   196,   197,
     198,   199,  1513,   558,   559,   560,   561,   562,   563,   564,
       0,   565,  1514,   566,   202,   567,   568,   569,     0,   570,
     571,   572,   573,   574,   575,   576,   577,  1515,   578,   579,
     580,   581,     0,   582,   583,   584,   585,   586,   587,   588,
     589,   590,   591,   592,     0,   593,   594,   211,   595,   596,
    1516,   597,   598,   599,   600,   601,   602,   700,   603,     0,
     604,   605,   606,   607,   608,  1517,   609,   218,   610,   611,
     220,   612,  1518,   613,     0,   614,   615,   616,   617,   618,
     619,   620,   621,   622,   623,  1519,     0,   624,   625,     0,
     626,   627,   628,   629,   630,   631,     0,  1520,  1521,     0,
    2910,   633,  1522,   634,  1523,  1524,   635,   636,   637,   638,
     639,   640,   641,     0,  1525,   642,   643,   644,   645,   646,
    1526,     0,   647,   648,   649,   650,   651,   701,  1527,     0,
     652,   236,   653,   654,   655,     0,     0,   656,     0,     0,
     657,   658,   659,   660,   661,   238,  1528,  1529,  1530,  1531,
    1532,  1533,  1534,  1535,   702,   662,   663,     0,     0,     0,
       0,     0,     0,     0,  1536,  1537,     0,     0,     0,     0,
       0,     0,     0,  1539,   726,    86,    87,    88,   678,    90,
      91,    92,   679,     0,   680,    95,     0,     0,    98,    99,
     100,   101,   102,   103,   727,   104,   105,   681,   728,     0,
     107,   108,   109,   110,   729,   730,   112,   113,   114,   115,
       0,   116,   731,   732,   682,   683,     0,     0,     0,   684,
     685,     0,     0,     0,     0,   686,     0,     0,     0,     0,
       0,     0,     0,     0,   687,     0,   688,     0,   689,   690,
      35,   417,     0,     0,    37,    38,    39,    40,    41,    42,
      43,    44,  1471,  1472,  1473,    45,  1474,     0,     0,     0,
     418,   419,   420,   421,   422,   423,   424,   425,     0,   426,
     427,   428,     0,     0,     0,     0,  1475,     0,     0,   429,
     430,     0,   431,   432,   133,   433,   434,   435,   135,  1476,
     137,  1477,  1478,     0,   436,   437,   438,   439,   440,  1479,
    1480,   441,   442,  1481,  1482,   443,     0,   444,   445,   446,
     447,  1483,     0,  1484,     0,   448,   449,   450,   451,   148,
     452,   693,     0,   453,   454,   455,   456,   457,   458,     0,
     151,   459,     0,  1485,  1486,  1487,  1488,  1489,  1490,  1491,
     460,   461,   462,   463,   695,   464,  1492,  1493,   465,     0,
     466,     0,   467,   468,   469,   470,   471,     0,   472,   473,
     474,     0,     0,   475,   476,  1494,   478,   479,     0,   480,
     481,   482,     0,   483,   484,   485,     0,   486,   487,   488,
     489,  1495,   490,   491,   492,  1496,  1497,   493,     0,   494,
    1498,   495,     0,   496,     0,   497,   169,     0,   170,   498,
     499,   500,     0,   501,  1499,     0,   502,     0,   503,   504,
     697,   505,   506,   173,   507,   508,   509,     0,   510,   511,
     512,   513,   514,   515,     0,   516,   174,   175,     0,   517,
     518,   519,  1500,  1501,     0,  1502,     0,   520,   178,   179,
     521,   180,   522,   523,   524,   525,   526,     0,   527,   528,
       0,   529,  1503,   182,   530,   183,     0,   531,   532,   533,
    1504,  1505,   534,   535,   536,   537,   538,   539,   698,   540,
     541,   699,   542,   543,   544,  1506,   189,  1507,   545,   546,
     191,  1508,   547,   548,   193,   549,  1509,  1510,   550,  1511,
     551,   552,   553,     0,   554,     0,     0,  1512,   556,   557,
       0,     0,   196,   197,   198,   199,  1513,   558,   559,   560,
     561,   562,   563,   564,     0,   565,  1514,   566,   202,   567,
     568,   569,     0,   570,   571,   572,   573,   574,   575,   576,
     577,  1515,   578,   579,   580,   581,     0,   582,   583,   584,
     585,   586,   587,   588,   589,   590,   591,   592,     0,   593,
     594,   211,   595,   596,  1516,   597,   598,   599,   600,   601,
     602,   700,   603,   216,   604,   605,   606,   607,   608,  1517,
     609,   218,   610,   611,   220,   612,  1518,   613,     0,   614,
     615,   616,   617,   618,   619,   620,   621,   622,   623,  1519,
       0,   624,   625,   224,   626,   627,   628,   629,   630,   631,
       0,  1520,  1521,     0,     0,   633,  1522,   634,  1523,  1524,
     635,   636,   637,   638,   639,   640,   641,     0,  1525,   642,
     643,   644,   645,   646,  1526,     0,   647,   648,   649,   650,
     651,  2190,  1527,     0,   652,   236,   653,   654,   655,     0,
       0,   656,     0,   237,   657,   658,   659,   660,   661,   238,
    1528,  1529,  1530,  1531,  1532,  1533,  1534,  1535,   702,   662,
     663,     0,     0,     0,     0,     0,     0,     0,  1536,  1537,
       0,     0,     0,     0,     0,     0,     0,  1539,   726,    86,
      87,    88,   678,    90,    91,    92,   679,     0,   680,    95,
       0,     0,    98,    99,   100,   101,   102,   103,   727,   104,
     105,   681,   728,     0,   107,   108,   109,   110,   729,   730,
     112,   113,   114,   115,     0,   116,   731,   732,   682,   683,
       0,     0,     0,   684,   685,     0,     0,     0,     0,   686,
       0,     0,     0,     0,     0,     0,     0,     0,   687,     0,
     688,     0,   689,   690,    35,   417,     0,     0,    37,    38,
      39,    40,    41,    42,    43,    44,  1471,  1472,  1473,    45,
    1474,     0,     0,     0,   418,   419,   420,   421,   422,   423,
     424,   425,     0,   426,   427,   428,     0,     0,     0,     0,
    1475,     0,     0,   429,   430,     0,   431,   432,   133,   433,
     434,   435,   135,  1476,   137,  1477,  1478,     0,   436,   437,
     438,   439,   440,  1479,  1480,   441,   442,  1481,  1482,   443,
       0,   444,   445,   446,   447,  1483,     0,  1484,     0,   448,
     449,   450,   451,   148,   452,   693,     0,   453,   454,   455,
     456,   457,   458,     0,   151,   459,     0,  1485,  1486,  1487,
    1488,  1489,  1490,  1491,   460,   461,   462,   463,   695,   464,
    1492,  1493,   465,     0,   466,     0,   467,   468,   469,   470,
     471,     0,   472,   473,   474,     0,     0,   475,   476,  1494,
     478,   479,     0,   480,   481,   482,     0,   483,   484,   485,
       0,   486,   487,   488,   489,  1495,   490,   491,   492,  1496,
    1497,   493,     0,   494,  1498,   495,     0,   496,     0,   497,
     169,     0,   170,   498,   499,   500,     0,   501,  1499,     0,
     502,     0,   503,   504,   697,   505,   506,   173,   507,   508,
     509,     0,   510,   511,   512,   513,   514,   515,     0,   516,
     174,   175,     0,   517,   518,   519,  1500,  1501,     0,  1502,
       0,   520,   178,   179,   521,   180,   522,   523,   524,   525,
     526,     0,   527,   528,     0,   529,  1503,   182,   530,   183,
       0,   531,   532,   533,  1504,  1505,   534,   535,   536,   537,
     538,   539,   698,   540,   541,   699,   542,   543,   544,  1506,
     189,  1507,   545,   546,   191,  1508,   547,   548,   193,   549,
    1509,  1510,   550,  1511,   551,   552,   553,     0,   554,     0,
       0,  1512,   556,   557,     0,     0,   196,   197,   198,   199,
    1513,   558,   559,   560,   561,   562,   563,   564,     0,   565,
    1514,   566,   202,   567,   568,   569,     0,   570,   571,   572,
     573,   574,   575,   576,   577,  1515,   578,   579,   580,   581,
       0,   582,   583,   584,   585,   586,   587,   588,   589,   590,
     591,   592,     0,   593,   594,   211,   595,   596,  1516,   597,
     598,   599,   600,   601,   602,   700,   603,     0,   604,   605,
     606,   607,   608,  1517,   609,   218,   610,   611,   220,   612,
    1518,   613,     0,   614,   615,   616,   617,   618,   619,   620,
     621,   622,   623,  1519,     0,   624,   625,     0,   626,   627,
     628,   629,   630,   631,     0,  1520,  1521,     0,     0,   633,
    1522,   634,  1523,  1524,   635,   636,   637,   638,   639,   640,
     641,     0,  1525,   642,   643,   644,   645,   646,  1526,     0,
     647,   648,   649,   650,   651,   701,  1527,     0,   652,   236,
     653,   654,   655,     0,     0,   656,     0,     0,   657,   658,
     659,   660,   661,   238,  1528,  1529,  1530,  1531,  1532,  1533,
    1534,  1535,   702,   662,   663,     0,     0,     0,     0,     0,
       0,     0,  1536,  1537,     0,     0,     0,     0,     0,  2134,
    2855,  1539,   726,    86,    87,    88,   678,    90,    91,    92,
     679,     0,   680,    95,     0,     0,    98,    99,   100,   101,
     102,   103,   727,   104,   105,   681,   728,     0,   107,   108,
     109,   110,   729,   730,   112,   113,   114,   115,     0,   116,
     731,   732,   682,   683,     0,     0,     0,   684,   685,     0,
       0,     0,     0,   686,     0,     0,     0,     0,     0,     0,
       0,     0,   687,     0,   688,     0,   689,   690,    35,   417,
       0,     0,    37,    38,    39,    40,    41,    42,    43,    44,
    1471,  1472,  1473,    45,  1474,     0,     0,     0,   418,   419,
     420,   421,   422,   423,   424,   425,     0,   426,   427,   428,
       0,     0,     0,     0,  1475,     0,     0,   429,   430,     0,
     431,   432,   133,   433,   434,   435,   135,  1476,   137,  1477,
    1478,     0,   436,   437,   438,   439,   440,  1479,  1480,   441,
     442,  1481,  1482,   443,     0,   444,   445,   446,   447,  1483,
       0,  1484,     0,   448,   449,   450,   451,   148,   452,   693,
       0,   453,   454,   455,   456,   457,   458,     0,   151,   459,
       0,  1485,  1486,  1487,  1488,  1489,  1490,  1491,   460,   461,
     462,   463,   695,   464,  1492,  1493,   465,     0,   466,     0,
     467,   468,   469,   470,   471,     0,   472,   473,   474,     0,
       0,   475,   476,  1494,   478,   479,     0,   480,   481,   482,
       0,   483,   484,   485,     0,   486,   487,   488,   489,  1495,
     490,   491,   492,  1496,  1497,   493,     0,   494,  1498,   495,
       0,   496,     0,   497,   169,     0,   170,   498,   499,   500,
       0,   501,  1499,     0,   502,     0,   503,   504,   697,   505,
     506,   173,   507,   508,   509,     0,   510,   511,   512,   513,
     514,   515,     0,   516,   174,   175,     0,   517,   518,   519,
    1500,  1501,     0,  1502,     0,   520,   178,   179,   521,   180,
     522,   523,   524,   525,   526,     0,   527,   528,     0,   529,
    1503,   182,   530,   183,     0,   531,   532,   533,  1504,  1505,
     534,   535,   536,   537,   538,   539,   698,   540,   541,   699,
     542,   543,   544,  1506,   189,  1507,   545,   546,   191,  1508,
     547,   548,   193,   549,  1509,  1510,   550,  1511,   551,   552,
     553,     0,   554,     0,     0,  1512,   556,   557,     0,     0,
     196,   197,   198,   199,  1513,   558,   559,   560,   561,   562,
     563,   564,     0,   565,  1514,   566,   202,   567,   568,   569,
       0,   570,   571,   572,   573,   574,   575,   576,   577,  1515,
     578,   579,   580,   581,     0,   582,   583,   584,   585,   586,
     587,   588,   589,   590,   591,   592,     0,   593,   594,   211,
     595,   596,  1516,   597,   598,   599,   600,   601,   602,   700,
     603,     0,   604,   605,   606,   607,   608,  1517,   609,   218,
     610,   611,   220,   612,  1518,   613,     0,   614,   615,   616,
     617,   618,   619,   620,   621,   622,   623,  1519,     0,   624,
     625,     0,   626,   627,   628,   629,   630,   631,     0,  1520,
    1521,     0,     0,   633,  1522,   634,  1523,  1524,   635,   636,
     637,   638,   639,   640,   641,     0,  1525,   642,   643,   644,
     645,   646,  1526,     0,   647,   648,   649,   650,   651,   701,
    1527,     0,   652,   236,   653,   654,   655,     0,     0,   656,
       0,     0,   657,   658,   659,   660,   661,   238,  1528,  1529,
    1530,  1531,  1532,  1533,  1534,  1535,   702,   662,   663,     0,
       0,     0,     0,     0,     0,     0,  1536,  1537,  1538,     0,
       0,     0,     0,     0,     0,  1539,   726,    86,    87,    88,
     678,    90,    91,    92,   679,     0,   680,    95,     0,     0,
      98,    99,   100,   101,   102,   103,   727,   104,   105,   681,
     728,     0,   107,   108,   109,   110,   729,   730,   112,   113,
     114,   115,     0,   116,   731,   732,   682,   683,     0,     0,
       0,   684,   685,     0,     0,     0,     0,   686,     0,     0,
       0,     0,     0,     0,     0,     0,   687,     0,   688,     0,
     689,   690,    35,   417,     0,     0,    37,    38,    39,    40,
      41,    42,    43,    44,  1471,  1472,  1473,    45,  1474,     0,
       0,     0,   418,   419,   420,   421,   422,   423,   424,   425,
       0,   426,   427,   428,     0,     0,     0,     0,  1475,     0,
       0,   429,   430,     0,   431,   432,   133,   433,   434,   435,
     135,  1476,   137,  1477,  1478,     0,   436,   437,   438,   439,
     440,  1479,  1480,   441,   442,  1481,  1482,   443,     0,   444,
     445,   446,   447,  1483,     0,  1484,     0,   448,   449,   450,
     451,   148,   452,   693,     0,   453,   454,   455,   456,   457,
     458,     0,   151,   459,     0,  1485,  1486,  1487,  1488,  1489,
    1490,  1491,   460,   461,   462,   463,   695,   464,  1492,  1493,
     465,  1622,   466,     0,   467,   468,   469,   470,   471,     0,
     472,   473,   474,     0,     0,   475,   476,  1494,   478,   479,
       0,   480,   481,   482,     0,   483,   484,   485,     0,   486,
     487,   488,   489,  1495,   490,   491,   492,  1496,  1497,   493,
       0,   494,  1498,   495,     0,   496,     0,   497,   169,     0,
     170,   498,   499,   500,     0,   501,  1499,     0,   502,     0,
     503,   504,   697,   505,   506,   173,   507,   508,   509,     0,
     510,   511,   512,   513,   514,   515,     0,   516,   174,   175,
       0,   517,   518,   519,  1500,  1501,     0,  1502,     0,   520,
     178,   179,   521,   180,   522,   523,   524,   525,   526,     0,
     527,   528,     0,   529,  1503,   182,   530,   183,     0,   531,
     532,   533,  1504,  1505,   534,   535,   536,   537,   538,   539,
     698,   540,   541,   699,   542,   543,   544,  1506,   189,  1507,
     545,   546,   191,  1508,   547,   548,   193,   549,  1509,  1510,
     550,  1511,   551,   552,   553,     0,   554,     0,     0,  1512,
     556,   557,     0,     0,   196,   197,   198,   199,  1513,   558,
     559,   560,   561,   562,   563,   564,     0,   565,  1514,   566,
     202,   567,   568,   569,     0,   570,   571,   572,   573,   574,
     575,   576,   577,  1515,   578,   579,   580,   581,     0,   582,
     583,   584,   585,   586,   587,   588,   589,   590,   591,   592,
       0,   593,   594,   211,   595,   596,  1516,   597,   598,   599,
     600,   601,   602,   700,   603,     0,   604,   605,   606,   607,
     608,  1517,   609,   218,   610,   611,   220,   612,  1518,   613,
       0,   614,   615,   616,   617,   618,   619,   620,   621,   622,
     623,  1519,     0,   624,   625,     0,   626,   627,   628,   629,
     630,   631,     0,  1520,  1521,     0,     0,   633,  1522,   634,
    1523,  1524,   635,   636,   637,   638,   639,   640,   641,     0,
    1525,   642,   643,   644,   645,   646,  1526,     0,   647,   648,
     649,   650,   651,   701,  1527,     0,   652,   236,   653,   654,
     655,     0,     0,   656,     0,     0,   657,   658,   659,   660,
     661,   238,  1528,  1529,  1530,  1531,  1532,  1533,  1534,  1535,
     702,   662,   663,     0,     0,     0,     0,     0,     0,     0,
    1536,  1537,     0,     0,     0,     0,     0,     0,     0,  1539,
     726,    86,    87,    88,   678,    90,    91,    92,   679,     0,
     680,    95,     0,     0,    98,    99,   100,   101,   102,   103,
     727,   104,   105,   681,   728,     0,   107,   108,   109,   110,
     729,   730,   112,   113,   114,   115,     0,   116,   731,   732,
     682,   683,     0,     0,     0,   684,   685,     0,     0,     0,
       0,   686,     0,     0,     0,     0,     0,     0,     0,     0,
     687,     0,   688,     0,   689,   690,    35,   417,     0,     0,
      37,    38,    39,    40,    41,    42,    43,    44,  1471,  1472,
    1473,    45,  1474,     0,     0,     0,   418,   419,   420,   421,
     422,   423,   424,   425,  2319,   426,   427,   428,     0,     0,
       0,     0,  1475,     0,     0,   429,   430,     0,   431,   432,
     133,   433,   434,   435,   135,  1476,   137,  1477,  1478,     0,
     436,   437,   438,   439,   440,  1479,  1480,   441,   442,  1481,
    1482,   443,     0,   444,   445,   446,   447,  1483,     0,  1484,
       0,   448,   449,   450,   451,   148,   452,   693,     0,   453,
     454,   455,   456,   457,   458,     0,   151,   459,     0,  1485,
    1486,  1487,  1488,  1489,  1490,  1491,   460,   461,   462,   463,
     695,   464,  1492,  1493,   465,     0,   466,     0,   467,   468,
     469,   470,   471,     0,   472,   473,   474,     0,     0,   475,
     476,  1494,   478,   479,     0,   480,   481,   482,     0,   483,
     484,   485,     0,   486,   487,   488,   489,  1495,   490,   491,
     492,  1496,  1497,   493,     0,   494,  1498,   495,     0,   496,
       0,   497,   169,     0,   170,   498,   499,   500,     0,   501,
    1499,     0,   502,     0,   503,   504,   697,   505,   506,   173,
     507,   508,   509,     0,   510,   511,   512,   513,   514,   515,
       0,   516,   174,   175,     0,   517,   518,   519,  1500,  1501,
       0,  1502,     0,   520,   178,   179,   521,   180,   522,   523,
     524,   525,   526,     0,   527,   528,     0,   529,  1503,   182,
     530,   183,     0,   531,   532,   533,  1504,  1505,   534,   535,
     536,   537,   538,   539,   698,   540,   541,   699,   542,   543,
     544,  1506,   189,  1507,   545,   546,   191,  1508,   547,   548,
     193,   549,  1509,  1510,   550,  1511,   551,   552,   553,     0,
     554,     0,     0,  1512,   556,   557,     0,     0,   196,   197,
     198,   199,  1513,   558,   559,   560,   561,   562,   563,   564,
       0,   565,  1514,   566,   202,   567,   568,   569,     0,   570,
     571,   572,   573,   574,   575,   576,   577,  1515,   578,   579,
     580,   581,     0,   582,   583,   584,   585,   586,   587,   588,
     589,   590,   591,   592,     0,   593,   594,   211,   595,   596,
    1516,   597,   598,   599,   600,   601,   602,   700,   603,     0,
     604,   605,   606,   607,   608,  1517,   609,   218,   610,   611,
     220,   612,  1518,   613,     0,   614,   615,   616,   617,   618,
     619,   620,   621,   622,   623,  1519,     0,   624,   625,     0,
     626,   627,   628,   629,   630,   631,     0,  1520,  1521,     0,
       0,   633,  1522,   634,  1523,  1524,   635,   636,   637,   638,
     639,   640,   641,     0,  1525,   642,   643,   644,   645,   646,
    1526,     0,   647,   648,   649,   650,   651,   701,  1527,     0,
     652,   236,   653,   654,   655,     0,     0,   656,     0,     0,
     657,   658,   659,   660,   661,   238,  1528,  1529,  1530,  1531,
    1532,  1533,  1534,  1535,   702,   662,   663,     0,     0,     0,
       0,     0,     0,     0,  1536,  1537,     0,     0,     0,     0,
       0,     0,     0,  1539,   726,    86,    87,    88,   678,    90,
      91,    92,   679,     0,   680,    95,     0,     0,    98,    99,
     100,   101,   102,   103,   727,   104,   105,   681,   728,     0,
     107,   108,   109,   110,   729,   730,   112,   113,   114,   115,
       0,   116,   731,   732,   682,   683,     0,     0,     0,   684,
     685,     0,     0,     0,     0,   686,     0,     0,     0,     0,
       0,     0,     0,     0,   687,     0,   688,     0,   689,   690,
      35,   417,     0,     0,    37,    38,    39,    40,    41,    42,
      43,    44,  1471,  1472,  1473,    45,  1474,     0,     0,     0,
     418,   419,   420,   421,   422,   423,   424,   425,     0,   426,
     427,   428,     0,     0,     0,     0,  1475,     0,     0,   429,
     430,     0,   431,   432,   133,   433,   434,   435,   135,  1476,
     137,  1477,  1478,     0,   436,   437,   438,   439,   440,  1479,
    1480,   441,   442,  1481,  1482,   443,     0,   444,   445,   446,
     447,  1483,     0,  1484,     0,   448,   449,   450,   451,   148,
     452,   693,     0,   453,   454,   455,   456,   457,   458,     0,
     151,   459,     0,  1485,  1486,  1487,  1488,  1489,  1490,  1491,
     460,   461,   462,   463,   695,   464,  1492,  1493,   465,     0,
     466,     0,   467,   468,   469,   470,   471,     0,   472,   473,
     474,     0,     0,   475,   476,  1494,   478,   479,     0,   480,
     481,   482,     0,   483,   484,   485,     0,   486,   487,   488,
     489,  1495,   490,   491,   492,  1496,  1497,   493,     0,   494,
    1498,   495,     0,   496,     0,   497,   169,  2908,   170,   498,
     499,   500,     0,   501,  1499,     0,   502,     0,   503,   504,
     697,   505,   506,   173,   507,   508,   509,     0,   510,   511,
     512,   513,   514,   515,     0,   516,   174,   175,     0,   517,
     518,   519,  1500,  1501,     0,  1502,     0,   520,   178,   179,
     521,   180,   522,   523,   524,   525,   526,     0,   527,   528,
       0,   529,  1503,   182,   530,   183,     0,   531,   532,   533,
    1504,  1505,   534,   535,   536,   537,   538,   539,   698,   540,
     541,   699,   542,   543,   544,  1506,   189,  1507,   545,   546,
     191,  1508,   547,   548,   193,   549,  1509,  1510,   550,  1511,
     551,   552,   553,     0,   554,     0,     0,  1512,   556,   557,
       0,     0,   196,   197,   198,   199,  1513,   558,   559,   560,
     561,   562,   563,   564,     0,   565,  1514,   566,   202,   567,
     568,   569,     0,   570,   571,   572,   573,   574,   575,   576,
     577,  1515,   578,   579,   580,   581,     0,   582,   583,   584,
     585,   586,   587,   588,   589,   590,   591,   592,     0,   593,
     594,   211,   595,   596,  1516,   597,   598,   599,   600,   601,
     602,   700,   603,     0,   604,   605,   606,   607,   608,  1517,
     609,   218,   610,   611,   220,   612,  1518,   613,     0,   614,
     615,   616,   617,   618,   619,   620,   621,   622,   623,  1519,
       0,   624,   625,     0,   626,   627,   628,   629,   630,   631,
       0,  1520,  1521,     0,     0,   633,  1522,   634,  1523,  1524,
     635,   636,   637,   638,   639,   640,   641,     0,  1525,   642,
     643,   644,   645,   646,  1526,     0,   647,   648,   649,   650,
     651,   701,  1527,     0,   652,   236,   653,   654,   655,     0,
       0,   656,     0,     0,   657,   658,   659,   660,   661,   238,
    1528,  1529,  1530,  1531,  1532,  1533,  1534,  1535,   702,   662,
     663,     0,     0,     0,     0,     0,     0,     0,  1536,  1537,
       0,     0,     0,     0,     0,     0,     0,  1539,   726,    86,
      87,    88,   678,    90,    91,    92,   679,     0,   680,    95,
       0,     0,    98,    99,   100,   101,   102,   103,   727,   104,
     105,   681,   728,     0,   107,   108,   109,   110,   729,   730,
     112,   113,   114,   115,     0,   116,   731,   732,   682,   683,
       0,     0,     0,   684,   685,     0,     0,     0,     0,   686,
       0,     0,     0,     0,     0,     0,     0,     0,   687,     0,
     688,     0,   689,   690,    35,   417,     0,     0,    37,    38,
      39,    40,    41,    42,    43,    44,  1471,  1472,  1473,    45,
    1474,     0,     0,     0,   418,   419,   420,   421,   422,   423,
     424,   425,     0,   426,   427,   428,     0,     0,     0,     0,
    1475,     0,     0,   429,   430,     0,   431,   432,   133,   433,
     434,   435,   135,  1476,   137,  1477,  1478,     0,   436,   437,
     438,   439,   440,  1479,  1480,   441,   442,  1481,  1482,   443,
       0,   444,   445,   446,   447,  1483,     0,  1484,     0,   448,
     449,   450,   451,   148,   452,   693,     0,   453,   454,   455,
     456,   457,   458,     0,   151,   459,     0,  1485,  1486,  1487,
    1488,  1489,  1490,  1491,   460,   461,   462,   463,   695,   464,
    1492,  1493,   465,     0,   466,     0,   467,   468,   469,   470,
     471,     0,   472,   473,   474,     0,     0,   475,   476,  1494,
     478,   479,     0,   480,   481,   482,     0,   483,   484,   485,
       0,   486,   487,   488,   489,  1495,   490,   491,   492,  1496,
    1497,   493,     0,   494,  1498,   495,     0,   496,     0,   497,
     169,     0,   170,   498,   499,   500,     0,   501,  1499,     0,
     502,     0,   503,   504,   697,   505,   506,   173,   507,   508,
     509,     0,   510,   511,   512,   513,   514,   515,     0,   516,
     174,   175,     0,   517,   518,   519,  1500,  1501,     0,  1502,
       0,   520,   178,   179,   521,   180,   522,   523,   524,   525,
     526,     0,   527,   528,     0,   529,  1503,   182,   530,   183,
       0,   531,   532,   533,  1504,  1505,   534,   535,   536,   537,
     538,   539,   698,   540,   541,   699,   542,   543,   544,  1506,
     189,  1507,   545,   546,   191,  1508,   547,   548,   193,   549,
    1509,  1510,   550,  1511,   551,   552,   553,     0,   554,     0,
       0,  1512,   556,   557,     0,     0,   196,   197,   198,   199,
    1513,   558,   559,   560,   561,   562,   563,   564,     0,   565,
    1514,   566,   202,   567,   568,   569,     0,   570,   571,   572,
     573,   574,   575,   576,   577,  1515,   578,   579,   580,   581,
       0,   582,   583,   584,   585,   586,   587,   588,   589,   590,
     591,   592,     0,   593,   594,   211,   595,   596,  1516,   597,
     598,   599,   600,   601,   602,   700,   603,     0,   604,   605,
     606,   607,   608,  1517,   609,   218,   610,   611,   220,   612,
    1518,   613,     0,   614,   615,   616,   617,   618,   619,   620,
     621,   622,   623,  1519,     0,   624,   625,     0,   626,   627,
     628,   629,   630,   631,     0,  1520,  1521,     0,     0,   633,
    1522,   634,  1523,  1524,   635,   636,   637,   638,   639,   640,
     641,     0,  1525,   642,   643,   644,   645,   646,  1526,     0,
     647,   648,   649,   650,   651,   701,  1527,  4149,   652,   236,
     653,   654,   655,     0,     0,   656,     0,     0,   657,   658,
     659,   660,   661,   238,  1528,  1529,  1530,  1531,  1532,  1533,
    1534,  1535,   702,   662,   663,     0,     0,     0,     0,     0,
       0,     0,  1536,  1537,     0,     0,     0,     0,     0,     0,
       0,  1539,   726,    86,    87,    88,   678,    90,    91,    92,
     679,     0,   680,    95,     0,     0,    98,    99,   100,   101,
     102,   103,   727,   104,   105,   681,   728,     0,   107,   108,
     109,   110,   729,   730,   112,   113,   114,   115,     0,   116,
     731,   732,   682,   683,     0,     0,     0,   684,   685,     0,
       0,     0,     0,   686,     0,     0,     0,     0,     0,     0,
       0,     0,   687,     0,   688,     0,   689,   690,    35,   417,
       0,     0,    37,    38,    39,    40,    41,    42,    43,    44,
    1471,  1472,  1473,    45,  1474,     0,     0,     0,   418,   419,
     420,   421,   422,   423,   424,   425,     0,   426,   427,   428,
       0,     0,     0,     0,  1475,     0,     0,   429,   430,     0,
     431,   432,   133,   433,   434,   435,   135,  1476,   137,  1477,
    1478,     0,   436,   437,   438,   439,   440,  1479,  1480,   441,
     442,  1481,  1482,   443,     0,   444,   445,   446,   447,  1483,
       0,  1484,     0,   448,   449,   450,   451,   148,   452,   693,
       0,   453,   454,   455,   456,   457,   458,     0,   151,   459,
    4162,  1485,  1486,  1487,  1488,  1489,  1490,  1491,   460,   461,
     462,   463,   695,   464,  1492,  1493,   465,     0,   466,     0,
     467,   468,   469,   470,   471,     0,   472,   473,   474,     0,
       0,   475,   476,  1494,   478,   479,     0,   480,   481,   482,
       0,   483,   484,   485,     0,   486,   487,   488,   489,  1495,
     490,   491,   492,  1496,  1497,   493,     0,   494,  1498,   495,
       0,   496,     0,   497,   169,     0,   170,   498,   499,   500,
       0,   501,  1499,     0,   502,     0,   503,   504,   697,   505,
     506,   173,   507,   508,   509,     0,   510,   511,   512,   513,
     514,   515,     0,   516,   174,   175,     0,   517,   518,   519,
    1500,  1501,     0,  1502,     0,   520,   178,   179,   521,   180,
     522,   523,   524,   525,   526,     0,   527,   528,     0,   529,
    1503,   182,   530,   183,     0,   531,   532,   533,  1504,  1505,
     534,   535,   536,   537,   538,   539,   698,   540,   541,   699,
     542,   543,   544,  1506,   189,  1507,   545,   546,   191,  1508,
     547,   548,   193,   549,  1509,  1510,   550,  1511,   551,   552,
     553,     0,   554,     0,     0,  1512,   556,   557,     0,     0,
     196,   197,   198,   199,  1513,   558,   559,   560,   561,   562,
     563,   564,     0,   565,  1514,   566,   202,   567,   568,   569,
       0,   570,   571,   572,   573,   574,   575,   576,   577,  1515,
     578,   579,   580,   581,     0,   582,   583,   584,   585,   586,
     587,   588,   589,   590,   591,   592,     0,   593,   594,   211,
     595,   596,  1516,   597,   598,   599,   600,   601,   602,   700,
     603,     0,   604,   605,   606,   607,   608,  1517,   609,   218,
     610,   611,   220,   612,  1518,   613,     0,   614,   615,   616,
     617,   618,   619,   620,   621,   622,   623,  1519,     0,   624,
     625,     0,   626,   627,   628,   629,   630,   631,     0,  1520,
    1521,     0,     0,   633,  1522,   634,  1523,  1524,   635,   636,
     637,   638,   639,   640,   641,     0,  1525,   642,   643,   644,
     645,   646,  1526,     0,   647,   648,   649,   650,   651,   701,
    1527,     0,   652,   236,   653,   654,   655,     0,     0,   656,
       0,     0,   657,   658,   659,   660,   661,   238,  1528,  1529,
    1530,  1531,  1532,  1533,  1534,  1535,   702,   662,   663,     0,
       0,     0,     0,     0,     0,     0,  1536,  1537,     0,     0,
       0,     0,     0,     0,     0,  1539,   726,    86,    87,    88,
     678,    90,    91,    92,   679,     0,   680,    95,     0,     0,
      98,    99,   100,   101,   102,   103,   727,   104,   105,   681,
     728,     0,   107,   108,   109,   110,   729,   730,   112,   113,
     114,   115,     0,   116,   731,   732,   682,   683,     0,     0,
       0,   684,   685,     0,     0,     0,     0,   686,     0,     0,
       0,     0,     0,     0,     0,     0,   687,     0,   688,     0,
     689,   690,    35,   417,     0,     0,    37,    38,    39,    40,
      41,    42,    43,    44,  1471,  1472,  1473,    45,  1474,     0,
       0,     0,   418,   419,   420,   421,   422,   423,   424,   425,
       0,   426,   427,   428,     0,     0,     0,     0,  1475,     0,
       0,   429,   430,     0,   431,   432,   133,   433,   434,   435,
    5026,  1476,   137,  1477,  1478,     0,   436,   437,   438,   439,
     440,  1479,  1480,   441,   442,  1481,  1482,   443,     0,   444,
     445,   446,   447,  1483,     0,  1484,     0,   448,   449,   450,
     451,   148,   452,   693,     0,   453,   454,   455,   456,   457,
     458,     0,   151,   459,  5027,  1485,  1486,  1487,  1488,  1489,
    1490,  1491,   460,   461,   462,   463,   695,   464,  1492,  1493,
     465,     0,   466,     0,   467,   468,   469,   470,   471,     0,
     472,   473,   474,     0,     0,   475,   476,  1494,   478,   479,
       0,   480,   481,   482,     0,   483,   484,   485,     0,   486,
     487,   488,   489,  1495,   490,   491,   492,  1496,  1497,   493,
       0,   494,  1498,   495,     0,   496,     0,   497,   169,     0,
     170,   498,   499,   500,     0,   501,  1499,     0,   502,     0,
     503,   504,   697,   505,   506,   173,   507,   508,   509,     0,
     510,   511,   512,   513,   514,   515,     0,   516,   174,   175,
       0,   517,   518,   519,  1500,  1501,     0,  1502,     0,   520,
     178,   179,   521,   180,   522,   523,   524,   525,   526,     0,
     527,   528,     0,   529,  1503,   182,   530,   183,     0,   531,
     532,   533,  1504,  1505,   534,   535,   536,   537,   538,   539,
     698,   540,   541,   699,   542,   543,   544,  1506,   189,  1507,
     545,   546,   191,  1508,   547,   548,   193,   549,  1509,  1510,
     550,  1511,   551,   552,   553,     0,   554,     0,     0,  1512,
     556,   557,     0,     0,   196,   197,   198,   199,  1513,   558,
     559,   560,   561,   562,   563,   564,     0,   565,  1514,   566,
     202,   567,   568,   569,     0,   570,   571,   572,   573,   574,
     575,   576,   577,  1515,   578,   579,   580,   581,     0,   582,
     583,   584,   585,   586,   587,   588,   589,   590,   591,   592,
       0,   593,   594,   211,   595,   596,  1516,   597,   598,   599,
     600,   601,   602,   700,   603,     0,   604,   605,   606,   607,
     608,  1517,   609,   218,   610,   611,   220,   612,  1518,   613,
       0,   614,   615,   616,   617,   618,   619,   620,   621,   622,
     623,  1519,     0,   624,   625,     0,   626,   627,   628,   629,
     630,   631,     0,  1520,  1521,     0,     0,   633,  1522,   634,
    1523,  1524,   635,   636,   637,   638,  5028,   640,   641,     0,
    1525,   642,   643,   644,   645,   646,  1526,     0,   647,   648,
     649,   650,   651,   701,  1527,     0,   652,   236,   653,   654,
     655,     0,     0,   656,     0,     0,   657,   658,   659,   660,
     661,   238,  1528,  1529,  1530,  1531,  1532,  1533,  1534,  1535,
     702,   662,   663,     0,     0,     0,     0,     0,     0,     0,
    1536,  1537,     0,     0,     0,     0,     0,     0,     0,  1539,
     726,    86,    87,    88,   678,    90,    91,    92,   679,     0,
     680,    95,     0,     0,    98,    99,   100,   101,   102,   103,
     727,   104,   105,   681,   728,     0,   107,   108,   109,   110,
     729,   730,   112,   113,   114,   115,     0,   116,   731,   732,
     682,   683,     0,     0,     0,   684,   685,     0,     0,     0,
       0,   686,     0,     0,     0,     0,     0,     0,     0,     0,
     687,     0,   688,     0,   689,   690,    35,   417,     0,     0,
      37,    38,    39,    40,    41,    42,    43,    44,  1471,  1472,
    1473,    45,  1474,     0,     0,     0,   418,   419,   420,   421,
     422,   423,   424,   425,     0,   426,   427,   428,     0,     0,
       0,     0,  1475,     0,     0,   429,   430,     0,   431,   432,
     133,   433,   434,   435,   135,  1476,   137,  1477,  1478,     0,
     436,   437,   438,   439,   440,  1479,  1480,   441,   442,  1481,
    1482,   443,     0,   444,   445,   446,   447,  1483,     0,  1484,
       0,   448,   449,   450,   451,   148,   452,   693,     0,   453,
     454,   455,   456,   457,   458,     0,   151,   459,  5027,  1485,
    1486,  1487,  1488,  1489,  1490,  1491,   460,   461,   462,   463,
     695,   464,  1492,  1493,   465,     0,   466,     0,   467,   468,
     469,   470,   471,     0,   472,   473,   474,     0,     0,   475,
     476,  1494,   478,   479,     0,   480,   481,   482,     0,   483,
     484,   485,     0,   486,   487,   488,   489,  1495,   490,   491,
     492,  1496,  1497,   493,     0,   494,  1498,   495,     0,   496,
       0,   497,   169,     0,   170,   498,   499,   500,     0,   501,
    1499,     0,   502,     0,   503,   504,   697,   505,   506,   173,
     507,   508,   509,     0,   510,   511,   512,   513,   514,   515,
       0,   516,   174,   175,     0,   517,   518,   519,  1500,  1501,
       0,  1502,     0,   520,   178,   179,   521,   180,   522,   523,
     524,   525,   526,     0,   527,   528,     0,   529,  1503,   182,
     530,   183,     0,   531,   532,   533,  1504,  1505,   534,   535,
     536,   537,   538,   539,   698,   540,   541,   699,   542,   543,
     544,  1506,   189,  1507,   545,   546,   191,  1508,   547,   548,
     193,   549,  1509,  1510,   550,  1511,   551,   552,   553,     0,
     554,     0,     0,  1512,   556,   557,     0,     0,   196,   197,
     198,   199,  1513,   558,   559,   560,   561,   562,   563,   564,
       0,   565,  1514,   566,   202,   567,   568,   569,     0,   570,
     571,   572,   573,   574,   575,   576,   577,  1515,   578,   579,
     580,   581,     0,   582,   583,   584,   585,   586,   587,   588,
     589,   590,   591,   592,     0,   593,   594,   211,   595,   596,
    1516,   597,   598,   599,   600,   601,   602,   700,   603,     0,
     604,   605,   606,   607,   608,  1517,   609,   218,   610,   611,
     220,   612,  1518,   613,     0,   614,   615,   616,   617,   618,
     619,   620,   621,   622,   623,  1519,     0,   624,   625,     0,
     626,   627,   628,   629,   630,   631,     0,  1520,  1521,     0,
       0,   633,  1522,   634,  1523,  1524,   635,   636,   637,   638,
    5028,   640,   641,     0,  1525,   642,   643,   644,   645,   646,
    1526,     0,   647,   648,   649,   650,   651,   701,  1527,     0,
     652,   236,   653,   654,   655,     0,     0,   656,     0,     0,
     657,   658,   659,   660,   661,   238,  1528,  1529,  1530,  1531,
    1532,  1533,  1534,  1535,   702,   662,   663,     0,     0,     0,
       0,     0,     0,     0,  1536,  1537,     0,     0,     0,     0,
       0,     0,     0,  1539,   726,    86,    87,    88,   678,    90,
      91,    92,   679,     0,   680,    95,     0,     0,    98,    99,
     100,   101,   102,   103,   727,   104,   105,   681,   728,     0,
     107,   108,   109,   110,   729,   730,   112,   113,   114,   115,
       0,   116,   731,   732,   682,   683,     0,     0,     0,   684,
     685,     0,     0,     0,     0,   686,     0,     0,     0,     0,
       0,     0,     0,     0,   687,     0,   688,     0,   689,   690,
      35,   417,     0,     0,    37,    38,    39,    40,    41,    42,
      43,    44,  1471,  1472,  1473,    45,  1474,     0,     0,     0,
     418,   419,   420,   421,   422,   423,   424,   425,     0,   426,
     427,   428,     0,     0,     0,     0,  1475,     0,     0,   429,
     430,     0,   431,   432,   133,   433,   434,   435,   135,  1476,
     137,  1477,  1478,     0,   436,   437,   438,   439,   440,  1479,
    1480,   441,   442,  1481,  1482,   443,     0,   444,   445,   446,
     447,  1483,     0,  1484,     0,   448,   449,   450,   451,   148,
     452,   693,     0,   453,   454,   455,   456,   457,   458,     0,
     151,   459,     0,  1485,  1486,  1487,  1488,  1489,  1490,  1491,
     460,   461,   462,   463,   695,   464,  1492,  1493,   465,     0,
     466,     0,   467,   468,   469,   470,   471,     0,   472,   473,
     474,     0,     0,   475,   476,  1494,   478,   479,     0,   480,
     481,   482,     0,   483,   484,   485,     0,   486,   487,   488,
     489,  1495,   490,   491,   492,  1496,  1497,   493,     0,   494,
    1498,   495,     0,   496,     0,   497,   169,     0,   170,   498,
     499,   500,     0,   501,  1499,     0,   502,     0,   503,   504,
     697,   505,   506,   173,   507,   508,   509,     0,   510,   511,
     512,   513,   514,   515,     0,   516,   174,   175,     0,   517,
     518,   519,  1500,  1501,     0,  1502,     0,   520,   178,   179,
     521,   180,   522,   523,   524,   525,   526,     0,   527,   528,
       0,   529,  1503,   182,   530,   183,     0,   531,   532,   533,
    1504,  1505,   534,   535,   536,   537,   538,   539,   698,   540,
     541,   699,   542,   543,   544,  1506,   189,  1507,   545,   546,
     191,  1508,   547,   548,   193,   549,  1509,  1510,   550,  1511,
     551,   552,   553,     0,   554,     0,     0,  1512,   556,   557,
       0,     0,   196,   197,   198,   199,  1513,   558,   559,   560,
     561,   562,   563,   564,     0,   565,  1514,   566,   202,   567,
     568,   569,     0,   570,   571,   572,   573,   574,   575,   576,
     577,  1515,   578,   579,   580,   581,     0,   582,   583,   584,
     585,   586,   587,   588,   589,   590,   591,   592,     0,   593,
     594,   211,   595,   596,  1516,   597,   598,   599,   600,   601,
     602,   700,   603,     0,   604,   605,   606,   607,   608,  1517,
     609,   218,   610,   611,   220,   612,  1518,   613,     0,   614,
     615,   616,   617,   618,   619,   620,   621,   622,   623,  1519,
       0,   624,   625,     0,   626,   627,   628,   629,   630,   631,
       0,  1520,  1521,     0,     0,   633,  1522,   634,  1523,  1524,
     635,   636,   637,   638,   639,   640,   641,     0,  1525,   642,
     643,   644,   645,   646,  1526,     0,   647,   648,   649,   650,
     651,   701,  1527,     0,   652,   236,   653,   654,   655,     0,
       0,   656,     0,     0,   657,   658,   659,   660,   661,   238,
    1528,  1529,  1530,  1531,  1532,  1533,  1534,  1535,   702,   662,
     663,     0,     0,     0,     0,     0,     0,     0,  1536,  1537,
       0,     0,     0,     0,     0,     0,     0,  1539,   726,    86,
      87,    88,   678,    90,    91,    92,   679,     0,   680,    95,
       0,     0,    98,    99,   100,   101,   102,   103,   727,   104,
     105,   681,   728,     0,   107,   108,   109,   110,   729,   730,
     112,   113,   114,   115,     0,   116,   731,   732,   682,   683,
       0,     0,     0,   684,   685,     0,     0,     0,     0,   686,
       0,     0,     0,     0,     0,     0,     0,     0,   687,     0,
     688,     0,   689,   690,    35,   417,     0,     0,    37,    38,
      39,    40,    41,    42,    43,    44,  1471,  1472,  1473,    45,
    1474,     0,     0,     0,   418,   419,   420,   421,   422,   423,
     424,   425,     0,   426,   427,   428,     0,     0,     0,     0,
    1475,     0,     0,   429,   430,     0,   431,   432,   133,   433,
     434,   435,   135,  1476,   137,  1477,  1478,     0,   436,   437,
     438,   439,   440,  1479,  1480,   441,   442,  1481,  1482,   443,
       0,   444,   445,   446,   447,  1483,     0,  1484,     0,   448,
     449,   450,   451,   148,   452,   693,     0,   453,   454,   455,
     456,   457,   458,     0,   151,   459,     0,  1485,  1486,  1487,
    1488,  1489,  1490,  1491,   460,   461,   462,   463,   695,   464,
    1492,  1493,   465,     0,   466,     0,   467,   468,   469,   470,
     471,     0,   472,   473,   474,     0,     0,   475,   476,  1494,
     478,   479,     0,   480,   481,   482,     0,   483,   484,   485,
       0,   486,   487,   488,   489,  1495,   490,   491,   492,  1496,
    1497,   493,     0,   494,  1498,   495,     0,   496,     0,   497,
     169,     0,   170,   498,   499,   500,     0,   501,  1499,     0,
     502,     0,   503,   504,   697,   505,   506,   173,   507,   508,
     509,     0,   510,   511,   512,   513,   514,   515,     0,   516,
     174,   175,     0,   517,   518,   519,  1500,  1501,     0,  1502,
       0,   520,   178,   179,   521,   180,   522,   523,   524,   525,
     526,     0,   527,   528,     0,   529,  1503,   182,   530,   183,
       0,   531,   532,   533,  1504,  1505,   534,   535,   536,   537,
     538,   539,   698,   540,   541,   699,   542,   543,   544,  1506,
     189,  1507,   545,   546,   191,  1508,   547,   548,   193,   549,
    1509,  1510,   550,  1511,   551,   552,   553,     0,   554,     0,
       0,  1512,   556,   557,     0,     0,   196,   197,   198,   199,
    1513,   558,   559,   560,   561,   562,   563,   564,     0,   565,
    1514,   566,   202,   567,   568,   569,     0,   570,   571,   572,
     573,   574,   575,   576,   577,  1515,   578,   579,   580,   581,
       0,   582,   583,   584,   585,   586,   587,   588,   589,   590,
     591,   592,     0,   593,   594,   211,   595,   596,  1516,   597,
     598,   599,   600,   601,   602,   700,   603,     0,   604,   605,
     606,   607,   608,  1517,   609,   218,   610,   611,   220,   612,
    1518,   613,     0,   614,   615,   616,   617,   618,   619,   620,
     621,   622,   623,  1519,     0,   624,   625,     0,   626,   627,
     628,   629,   630,   631,     0,  1520,  1521,     0,     0,   633,
    1522,   634,  1523,  1524,   635,   636,   637,   638,   639,   640,
     641,     0,  1525,   642,   643,   644,   645,   646,  1526,     0,
     647,   648,   649,   650,   651,   701,  1527,     0,   652,   236,
     653,   654,   655,     0,     0,   656,     0,     0,   657,   658,
     659,   660,   661,  4452,  1528,  1529,  1530,  1531,  1532,  1533,
    1534,  1535,   702,   662,   663,     0,     0,     0,     0,     0,
       0,     0,  1536,  1537,     0,     0,     0,     0,     0,     0,
       0,  1539,   726,    86,    87,    88,   678,    90,    91,    92,
     679,     0,   680,    95,     0,     0,    98,    99,   100,   101,
     102,   103,   727,   104,   105,   681,   728,     0,   107,   108,
     109,   110,   729,   730,   112,   113,   114,   115,     0,   116,
     731,   732,   682,   683,     0,     0,     0,   684,   685,     0,
       0,     0,     0,   686,     0,     0,     0,     0,     0,     0,
       0,     0,   687,     0,   688,     0,   689,   690,    35,   417,
       0,     0,    37,    38,    39,    40,    41,    42,    43,    44,
    1471,  1472,  1473,    45,  1474,     0,     0,     0,   418,   419,
     420,   421,   422,   423,   424,   425,     0,   426,   427,   428,
       0,     0,     0,     0,  1475,     0,     0,   429,   430,     0,
     431,   432,   133,   433,   434,   435,   135,  1476,   137,  1477,
    1478,     0,   436,   437,   438,   439,   440,  1479,  1480,   441,
     442,  1481,  1482,   443,     0,   444,   445,   446,   447,  1483,
       0,  1484,     0,   448,   449,   450,   451,   148,   452,   693,
       0,   453,   454,   455,   456,   457,   458,     0,   151,   459,
       0,  1485,  1486,  1487,  1488,  1489,  1490,  1491,   460,   461,
     462,   463,   695,   464,  1492,  1493,   465,     0,   466,     0,
     467,   468,   469,   470,   471,     0,   472,   473,   474,     0,
       0,   475,   476,  1494,   478,   479,     0,   480,   481,   482,
       0,   483,   484,   485,     0,   486,   487,   488,   489,  1495,
     490,   491,   492,  1496,  1497,   493,     0,   494,  1498,   495,
       0,   496,     0,   497,   169,     0,   170,   498,   499,   500,
       0,   501,  1499,     0,   502,     0,   503,   504,   697,   505,
     506,   173,   507,   508,   509,     0,   510,   511,   512,   513,
     514,   515,     0,   516,   174,   175,     0,   517,   518,   519,
    1500,  1501,     0,  1502,     0,   520,   178,   179,   521,   180,
     522,   523,   524,   525,   526,     0,   527,   528,     0,   529,
    1503,   182,   530,   183,     0,   531,   532,   533,  1504,  1505,
     534,   535,   536,   537,   538,   539,   698,   540,   541,   699,
     542,   543,   544,  1506,   189,  1507,   545,  4461,   191,  1508,
     547,   548,   193,   549,  1509,  1510,   550,  1511,   551,   552,
     553,     0,   554,     0,     0,  1512,   556,   557,     0,     0,
     196,   197,   198,   199,  1513,   558,   559,   560,   561,   562,
     563,   564,     0,   565,  1514,   566,   202,   567,   568,   569,
       0,   570,   571,   572,   573,   574,   575,   576,   577,  1515,
     578,   579,   580,   581,     0,   582,   583,   584,   585,   586,
     587,   588,   589,   590,   591,   592,     0,   593,   594,   211,
     595,   596,  1516,   597,   598,   599,   600,   601,   602,   700,
     603,     0,   604,   605,   606,   607,   608,  1517,   609,   218,
     610,   611,   220,   612,  1518,   613,     0,   614,   615,   616,
     617,   618,   619,   620,   621,   622,   623,  1519,     0,   624,
     625,     0,   626,   627,   628,   629,   630,   631,     0,  1520,
    1521,     0,     0,   633,  1522,   634,  1523,  1524,   635,   636,
     637,   638,   639,   640,   641,     0,  1525,   642,   643,   644,
     645,   646,  1526,     0,   647,   648,   649,   650,   651,   701,
    1527,     0,   652,   236,   653,   654,   655,     0,     0,   656,
       0,     0,   657,   658,   659,   660,   661,   238,  1528,  1529,
    1530,  1531,  1532,  1533,  1534,  1535,   702,   662,   663,     0,
       0,     0,     0,     0,     0,     0,  1536,  1537,     0,     0,
       0,     0,     0,     0,     0,  1539,   726,    86,    87,    88,
     678,    90,    91,    92,   679,     0,   680,    95,     0,     0,
      98,    99,   100,   101,   102,   103,   727,   104,   105,   681,
     728,     0,   107,   108,   109,   110,   729,   730,   112,   113,
     114,   115,     0,   116,   731,   732,   682,   683,     0,     0,
       0,   684,   685,     0,     0,     0,     0,   686,     0,     0,
       0,     0,     0,     0,     0,     0,   687,     0,   688,     0,
     689,   690,    35,   417,     0,     0,    37,    38,    39,    40,
      41,    42,    43,    44,  1471,  1472,  1473,    45,  1474,     0,
       0,     0,   418,   419,   420,   421,   422,   423,   424,   425,
       0,   426,   427,   428,     0,     0,     0,     0,  1475,     0,
       0,   429,   430,     0,   431,   432,   133,   433,   434,   435,
     135,  1476,   137,  1477,  1478,     0,   436,   437,   438,   439,
     440,  1479,  1480,   441,   442,  1481,  1482,   443,     0,   444,
     445,   446,   447,  1483,     0,  1484,     0,   448,   449,   450,
     451,   148,   452,   693,     0,   453,   454,   455,   456,   457,
     458,     0,   151,   459,     0,  1485,  1486,  1487,  1488,  1489,
    1490,  1491,   460,   461,   462,   463,   695,   464,  1492,  1493,
     465,     0,   466,     0,   467,   468,   469,   470,   471,     0,
     472,   473,   474,     0,     0,   475,   476,  1494,   478,   479,
       0,   480,   481,   482,     0,   483,   484,   485,     0,   486,
     487,   488,   489,  1495,   490,   491,   492,  1496,  1497,   493,
       0,   494,  1498,   495,     0,   496,     0,   497,   169,     0,
     170,   498,   499,   500,     0,   501,  1499,     0,   502,     0,
     503,   504,   697,   505,   506,   173,   507,   508,   509,     0,
     510,   511,   512,   513,   514,   515,     0,   516,   174,   175,
       0,   517,   518,   519,  1500,  1501,     0,  1502,     0,   520,
     178,   179,   521,   180,   522,   523,   524,   525,   526,     0,
     527,   528,     0,   529,  1503,   182,   530,   183,     0,   531,
     532,   533,  1504,  1505,   534,   535,   536,   537,   538,   539,
     698,   540,   541,   699,   542,   543,   544,  1506,   189,  1507,
     545,   546,   191,     0,   547,   548,   193,   549,  1509,  1510,
     550,  1511,   551,   552,   553,     0,   554,     0,     0,  1512,
     556,   557,     0,     0,   196,   197,   198,   199,  1513,   558,
     559,   560,   561,   562,   563,   564,     0,   565,  1514,   566,
     202,   567,   568,   569,     0,   570,   571,   572,   573,   574,
     575,   576,   577,  1515,   578,   579,   580,   581,     0,   582,
     583,   584,   585,   586,   587,   588,   589,   590,   591,   592,
       0,   593,   594,   211,   595,   596,  1516,   597,   598,   599,
     600,   601,   602,   700,   603,     0,   604,   605,   606,   607,
     608,  1517,   609,   218,   610,   611,   220,   612,  1518,   613,
       0,   614,   615,   616,   617,   618,   619,   620,   621,   622,
     623,  1519,     0,   624,   625,     0,   626,   627,   628,   629,
     630,   631,     0,  1520,  1521,     0,     0,   633,  1522,   634,
    1523,  1524,   635,   636,   637,   638,   639,   640,   641,     0,
       0,   642,   643,   644,   645,   646,  1526,     0,   647,   648,
     649,   650,   651,   701,  1527,     0,   652,   236,   653,   654,
     655,     0,     0,   656,     0,     0,   657,   658,   659,   660,
     661,   238,  1528,  1529,  1530,  1531,  1532,  1533,  1534,  1535,
     702,   662,   663,     0,     0,     0,     0,     0,     0,     0,
    2890,  2891,     0,     0,     0,     0,     0,     0,     0,  1539,
     726,    86,    87,    88,   678,    90,    91,    92,   679,     0,
     680,    95,     0,     0,    98,    99,   100,   101,   102,   103,
     727,   104,   105,   681,   728,     0,   107,   108,   109,   110,
     729,   730,   112,   113,   114,   115,     0,   116,   731,   732,
     682,   683,     0,     0,     0,   684,   685,     0,     0,     0,
       0,   686,     0,     0,     0,     0,     0,     0,     0,     0,
     687,     0,   688,     0,   689,   690,    35,   417,     0,     0,
      37,    38,    39,    40,    41,    42,    43,    44,  1471,  1472,
    1473,    45,  1474,     0,     0,     0,   418,   419,   420,   421,
     422,   423,   424,   425,     0,   426,   427,   428,     0,     0,
       0,     0,  1475,     0,     0,   429,   430,     0,   431,   432,
     133,   433,   434,   435, -2637,  1476,   137,  1477,  1478,     0,
     436,   437,   438,   439,   440,  1479,  1480,   441,   442,  1481,
    1482,   443,     0,   444,   445,   446,   447,  1483,     0,  1484,
       0,   448,   449,   450,   451,   148,   452,   693,     0,   453,
     454,   455,   456,   457,   458,     0,   151,   459,  5027,  1485,
    1486,  1487,  1488,  1489,  1490,  1491,   460,   461,   462,   463,
     695,   464,  1492,  1493,   465,     0,   466,     0,   467,   468,
     469,   470,   471,     0,   472,   473,   474,     0,     0,   475,
     476,  1494,   478,   479,     0,   480,   481,   482,     0,   483,
     484,   485,     0,   486,   487,   488,   489,  1495,   490,   491,
     492,  1496,  1497,   493,     0,   494,  1498,   495,     0,   496,
       0,   497,   169,     0,   170,   498,   499,   500,     0,   501,
    1499,     0,   502,     0,   503,   504,   697,   505,   506,     0,
     507,   508,   509,     0,   510,   511,   512,   513,   514,   515,
       0,   516,   174,   175,     0,   517,   518,   519,  1500,  1501,
       0,  1502,     0,   520,   178,   179,   521,   180,   522,   523,
     524,   525,   526,     0,   527,   528,     0,   529,  1503,   182,
     530,     0,     0,   531,   532,   533,  1504,  1505,   534,   535,
     536,   537,   538,   539,   698,   540,   541,   699,   542,   543,
     544,  1506,   189,  1507,   545,   546,   191,     0,   547,   548,
     193,   549,  1509,  1510,   550,  1511,   551,   552,   553,     0,
     554,     0,     0,  1512,   556,   557,     0,     0,   196,   197,
     198,   199,  1513,   558,   559,   560,   561,   562,   563,   564,
       0,   565,  1514,   566,   202,   567,   568,   569,     0,   570,
     571,   572,   573,   574,   575,   576,   577,  1515,   578,   579,
     580,   581,     0,   582,   583,   584,   585,   586,   587,   588,
     589,   590,   591,   592,     0,   593,   594,   211,   595,   596,
    1516,   597,   598,   599,   600,   601,   602,   700,   603,     0,
     604,   605,   606,   607,   608,  1517,   609,   218,   610,   611,
       0,   612,  1518,   613,     0,   614,   615,   616,   617,   618,
     619,   620,   621,   622,   623,  1519,     0,   624,   625,     0,
     626,   627,   628,   629,   630,   631,     0,  1520,  1521,     0,
       0,   633,  1522,   634,  1523,  1524,   635,   636,   637,   638,
    5028,   640,   641,     0,  1525,   642,   643,   644,   645,   646,
    1526,     0,   647,   648,   649,   650,   651,   701,  1527,     0,
     652,   236,   653,   654,   655,     0,     0,   656,     0,     0,
     657,   658,   659,   660,   661,   238,  1528,  1529,  1530,  1531,
    1532,  1533,  1534,  1535,   702,   662,   663,     0,     0,     0,
       0,     0,     0,     0,  1536,  1537,     0,     0,     0,     0,
       0,     0,     0,  1539,   726,    86,    87,    88,   678,    90,
      91,    92,   679,     0,   680,    95,     0,     0,    98,    99,
     100,   101,   102,   103,   727,   104,   105,   681,   728,     0,
     107,   108,   109,   110,   729,   730,   112,   113,   114,   115,
       0,   116,   731,   732,   682,   683,     0,     0,     0,   684,
     685,     0,     0,     0,     0,   686,     0,     0,     0,     0,
       0,     0,     0,     0,   687,     0,   688,     0,   689,   690,
      35,   417,     0,     0,    37,    38,    39,    40,    41,    42,
      43,    44,  1471,  1472,     0,    45,  1474,     0,     0,     0,
     418,   419,   420,   421,   422,   423,   424,   425,     0,   426,
     427,   428,     0,     0,     0,     0,  1475,     0,     0,   429,
     430,     0,   431,   432,   133,   433,   434,   435,   135,  1476,
     137,  1477,  1478,     0,   436,   437,   438,   439,   440,  1479,
    1480,   441,   442,  1481,  1482,   443,     0,   444,   445,   446,
     447,  1483,     0,  1484,     0,   448,   449,   450,   451,   148,
     452,   693,     0,   453,   454,   455,   456,   457,   458,     0,
     151,   459,     0,  1485,  1486,  1487,  1488,  1489,  1490,  1491,
     460,   461,   462,   463,   695,   464,  1492,  1493,   465,     0,
     466,     0,   467,   468,   469,   470,   471,     0,   472,   473,
     474,     0,     0,   475,   476,  1494,   478,   479,     0,   480,
     481,   482,     0,   483,   484,   485,     0,   486,   487,   488,
     489,  1495,   490,   491,   492,  1496,  1497,   493,     0,   494,
    1498,   495,     0,   496,     0,   497,   169,     0,   170,   498,
     499,   500,     0,   501,  1499,     0,   502,     0,   503,   504,
     697,   505,   506,   173,   507,   508,   509,     0,   510,   511,
     512,   513,   514,   515,     0,   516,   174,   175,     0,   517,
     518,   519,  1500,  1501,     0,  1502,     0,   520,   178,   179,
     521,   180,   522,   523,   524,   525,   526,     0,   527,   528,
       0,   529,  1503,   182,   530,   183,     0,   531,   532,   533,
    1504,  1505,   534,   535,   536,   537,   538,   539,   698,   540,
     541,   699,   542,   543,   544,  1506,   189,  1507,   545,   546,
     191,     0,   547,   548,   193,   549,  1509,  1510,   550,  1511,
     551,   552,   553,     0,   554,     0,     0,   555,   556,   557,
       0,     0,   196,   197,   198,   199,  1513,   558,   559,   560,
     561,   562,   563,   564,     0,   565,  1514,   566,   202,   567,
     568,   569,     0,   570,   571,   572,   573,   574,   575,   576,
     577,  1515,   578,   579,   580,   581,     0,   582,   583,   584,
     585,   586,   587,   588,   589,   590,   591,   592,     0,   593,
     594,   211,   595,   596,  1516,   597,   598,   599,   600,   601,
     602,   700,   603,     0,   604,   605,   606,   607,   608,  1517,
     609,   218,   610,   611,   220,   612,  1518,   613,     0,   614,
     615,   616,   617,   618,   619,   620,   621,   622,   623,  1519,
       0,   624,   625,     0,   626,   627,   628,   629,   630,   631,
       0,  1520,  1521,     0,     0,   633,  1522,   634,  1523,  1524,
     635,   636,   637,   638,   639,   640,   641,     0,     0,   642,
     643,   644,   645,   646,  1526,     0,   647,   648,   649,   650,
     651,   701,  1527,     0,   652,   236,   653,   654,   655,     0,
       0,   656,     0,     0,   657,   658,   659,   660,   661,   238,
    1528,  1529,  1530,  1531,  1532,  1533,  1534,  1535,   702,   662,
     663,     0,     0,     0,   726,    86,    87,    88,   678,    90,
      91,    92,   679,     0,   680,    95,     0,  1539,    98,    99,
     100,   101,   102,   103,   727,   104,   105,   681,   728,     0,
     107,   108,   109,   110,   729,   730,   112,   113,   114,   115,
       0,   116,   731,   732,   682,   683,     0,     0,     0,   684,
     685,     0,     0,     0,     0,   686,     0,     0,     0,     0,
       0,     0,     0,     0,   687,     0,   688,     0,   689,   690,
      35,   417,     0,     0,    37,    38,    39,    40,    41,    42,
      43,    44,  1471,  1472,     0,    45,  1474,     0,     0,     0,
     418,   419,   420,   421,   422,   423,   424,   425,     0,   426,
     427,   428,     0,     0,     0,     0,  1475,     0,     0,   429,
     430,     0,   431,   432,   133,   433,   434,   435,   135,  1476,
     137,  1477,  1478,     0,  4068,   437,   438,   439,   440,  1479,
    1480,   441,   442,  1481,  1482,   443,     0,   444,   445,   446,
     447,  1483,     0,  1484,     0,   448,   449,   450,   451,   148,
     452,   693,     0,   453,   454,   455,   456,   457,   458,     0,
     151,   459,     0,  1485,  1486,  1487,  1488,  1489,  1490,  1491,
     460,   461,   462,   463,   695,   464,  1492,  1493,   465,     0,
     466,     0,   467,   468,   469,   470,   471,     0,   472,   473,
     474,     0,     0,   475,   476,  1494,   478,   479,     0,   480,
     481,   482,     0,   483,   484,   485,     0,   486,   487,   488,
     489,  1495,   490,   491,   492,  1496,  1497,   493,     0,   494,
    1498,   495,     0,   496,     0,   497,   169,     0,   170,   498,
     499,   500,     0,   501,  1499,     0,   502,     0,   503,   504,
     697,   505,   506,   173,   507,   508,   509,     0,   510,   511,
     512,   513,   514,   515,     0,   516,   174,   175,     0,   517,
     518,   519,  1500,  1501,     0,  1502,     0,   520,   178,   179,
     521,   180,   522,   523,   524,   525,   526,     0,   527,   528,
       0,   529,  1503,   182,   530,   183,     0,   531,   532,   533,
    1504,  1505,   534,   535,   536,   537,   538,   539,   698,   540,
     541,   699,   542,   543,   544,  1506,   189,  1507,   545,   546,
     191,     0,   547,   548,   193,   549,  1509,  1510,   550,  1511,
     551,   552,   553,     0,   554,     0,     0,   555,   556,   557,
       0,     0,   196,   197,   198,   199,  1513,   558,   559,   560,
     561,   562,   563,   564,     0,   565,  1514,   566,   202,   567,
     568,   569,     0,   570,   571,   572,   573,   574,   575,   576,
     577,  1515,   578,   579,   580,   581,     0,   582,   583,   584,
     585,   586,   587,   588,   589,   590,   591,   592,     0,   593,
     594,   211,   595,   596,  1516,   597,   598,   599,   600,   601,
     602,   700,   603,     0,   604,   605,   606,   607,   608,  1517,
     609,   218,   610,   611,   220,   612,  1518,   613,     0,   614,
     615,   616,   617,   618,   619,   620,   621,   622,   623,  1519,
       0,   624,   625,     0,   626,   627,   628,   629,   630,   631,
       0,  1520,  1521,     0,     0,   633,  1522,   634,  1523,  1524,
     635,   636,   637,   638,   639,   640,   641,     0,     0,   642,
     643,   644,   645,   646,  1526,     0,   647,   648,   649,   650,
     651,   701,  1527,     0,   652,   236,   653,   654,   655,     0,
       0,   656,     0,     0,   657,   658,   659,   660,   661,   238,
    1528,  1529,  1530,  1531,  1532,  1533,  1534,  1535,   702,   662,
     663,     0,     0,     0,   726,    86,    87,    88,   678,    90,
      91,    92,   679,     0,   680,    95,     0,  1539,    98,    99,
     100,   101,   102,   103,   727,   104,   105,   681,   728,     0,
     107,   108,   109,   110,   729,   730,   112,   113,   114,   115,
       0,   116,   731,   732,   682,   683,     0,     0,     0,   684,
     685,     0,     0,     0,     0,   686,     0,     0,     0,     0,
       0,     0,     0,     0,   687,     0,   688,     0,   689,   690,
      35,   417,     0,     0,    37,    38,    39,    40,    41,    42,
      43,    44,  1471,  1472,  1473,    45,  1474,     0,     0,     0,
     418,   419,   420,   421,   422,   423,   424,   425,     0,   426,
     427,   428,     0,     0,     0,     0,  1475,     0,     0,   429,
     430,     0,   431,   432,   133,   433,   434,   435,     0,  1476,
     137,  1477,  1478,     0,   436,   437,   438,   439,   440,  1479,
    1480,   441,   442,  1481,  1482,   443,     0,   444,   445,   446,
     447,  1483,     0,  1484,     0,   448,   449,   450,   451,   148,
     452,   693,     0,   453,   454,   455,   456,   457,   458,     0,
     151,   459,     0,  1485,  1486,  1487,  1488,  1489,  1490,  1491,
     460,   461,   462,   463,   695,   464,  1492,  1493,   465,     0,
     466,     0,   467,   468,   469,   470,   471,     0,   472,   473,
     474,     0,     0,   475,   476,  1494,   478,   479,     0,   480,
     481,   482,     0,   483,     0,   485,     0,   486,   487,   488,
     489,  1495,   490,   491,   492,  1496,  1497,   493,     0,   494,
    1498,   495,     0,   496,     0,   497,   169,     0,   170,   498,
     499,   500,     0,   501,  1499,     0,   502,     0,   503,   504,
     697,   505,   506,     0,   507,   508,   509,     0,   510,   511,
     512,   513,   514,   515,     0,   516,   174,   175,     0,   517,
     518,   519,  1500,  1501,     0,  1502,     0,   520,   178,   179,
     521,   180,   522,   523,   524,   525,   526,     0,   527,   528,
       0,   529,  1503,   182,   530,     0,     0,   531,   532,   533,
    1504,  1505,   534,   535,   536,   537,   538,   539,   698,   540,
     541,   699,   542,   543,   544,  1506,   189,  1507,   545,   546,
     191,     0,   547,   548,   193,   549,  1509,  1510,   550,  1511,
     551,   552,   553,     0,   554,     0,     0,  1512,   556,   557,
       0,     0,   196,   197,   198,   199,  1513,   558,   559,   560,
     561,   562,   563,   564,     0,   565,  1514,   566,   202,   567,
     568,   569,     0,   570,   571,   572,   573,   574,   575,   576,
     577,  1515,   578,   579,   580,   581,     0,   582,   583,   584,
     585,   586,   587,   588,   589,   590,   591,   592,     0,   593,
     594,   211,   595,   596,  1516,   597,   598,   599,   600,   601,
     602,   700,   603,     0,   604,   605,   606,   607,   608,  1517,
     609,   218,   610,   611,     0,   612,  1518,   613,     0,   614,
     615,   616,   617,   618,   619,   620,   621,   622,   623,  1519,
       0,   624,   625,     0,   626,   627,   628,   629,   630,   631,
       0,  1520,  1521,     0,     0,   633,  1522,   634,  1523,  1524,
     635,   636,   637,   638,   639,   640,   641,     0,  1525,   642,
     643,   644,   645,   646,  1526,     0,   647,   648,   649,   650,
     651,   701,  1527,     0,   652,   236,   653,   654,   655,     0,
       0,   656,     0,     0,   657,   658,   659,   660,   661,   238,
    1528,  1529,  1530,  1531,  1532,  1533,  1534,  1535,   702,   662,
     663,     0,     0,     0,     0,     0,     0,     0,  1536,  1537,
       0,     0,     0,     0,     0,     0,     0,  1539,   726,    86,
      87,    88,   678,    90,    91,    92,   679,     0,   680,    95,
       0,     0,    98,    99,   100,   101,   102,   103,   727,   104,
     105,   681,   728,     0,   107,   108,   109,   110,   729,   730,
     112,   113,   114,   115,     0,   116,   731,   732,   682,   683,
       0,     0,     0,   684,   685,     0,     0,     0,     0,   686,
       0,     0,     0,     0,     0,     0,     0,     0,   687,     0,
     688,     0,   689,   690,    35,   417,     0,     0,    37,    38,
      39,    40,    41,    42,    43,    44,  1471,  1472,  1473,    45,
    1474,     0,     0,     0,   418,   419,   420,   421,   422,   423,
     424,   425,     0,   426,   427,   428,     0,     0,     0,     0,
    1475,     0,     0,   429,   430,     0,   431,   432,   133,   433,
     434,   435,     0,  1476,   137,  1477,  1478,     0,   436,   437,
     438,   439,   440,  1479,  1480,   441,   442,  1481,  1482,   443,
       0,   444,   445,   446,   447,  1483,     0,  1484,     0,   448,
     449,   450,   451,   148,   452,   693,     0,   453,   454,   455,
     456,   457,   458,     0,   151,   459,     0,  1485,  1486,  1487,
    1488,  1489,  1490,  1491,   460,   461,   462,   463,   695,   464,
    1492,  1493,   465,     0,   466,     0,   467,   468,   469,   470,
     471,     0,   472,   473,   474,     0,     0,   475,   476,  1494,
     478,   479,     0,   480,   481,   482,     0,   483,     0,   485,
       0,   486,   487,   488,   489,  1495,   490,   491,   492,  1496,
    1497,   493,     0,   494,  1498,   495,     0,   496,     0,   497,
     169,     0,   170,   498,   499,   500,     0,   501,  1499,     0,
     502,     0,   503,   504,   697,   505,   506,     0,   507,   508,
     509,     0,   510,   511,   512,   513,   514,   515,     0,   516,
     174,   175,     0,   517,   518,   519,  1500,  1501,     0,  1502,
       0,   520,   178,   179,   521,   180,   522,   523,   524,   525,
     526,     0,   527,   528,     0,   529,  1503,   182,   530,     0,
       0,   531,   532,   533,  1504,  1505,   534,   535,   536,   537,
     538,   539,   698,   540,   541,   699,   542,   543,   544,  1506,
     189,  1507,   545,   546,   191,     0,   547,   548,   193,   549,
    1509,  1510,   550,  1511,   551,   552,   553,     0,   554,     0,
       0,  1512,   556,   557,     0,     0,   196,   197,   198,   199,
    1513,   558,   559,   560,   561,   562,   563,   564,     0,   565,
    1514,   566,   202,   567,   568,   569,     0,   570,   571,   572,
     573,   574,   575,   576,   577,  1515,   578,   579,   580,   581,
       0,   582,   583,   584,   585,   586,   587,   588,   589,   590,
     591,   592,     0,   593,   594,   211,   595,   596,  1516,   597,
     598,   599,   600,   601,   602,   700,   603,     0,   604,   605,
     606,   607,   608,  1517,   609,   218,   610,   611,     0,   612,
    1518,   613,     0,   614,   615,   616,   617,   618,   619,   620,
     621,   622,   623,  1519,     0,   624,   625,     0,   626,   627,
     628,   629,   630,   631,     0,  1520,  1521,     0,     0,   633,
    1522,   634,  1523,  1524,   635,   636,   637,   638,   639,   640,
     641,     0,     0,   642,   643,   644,   645,   646,  1526,     0,
     647,   648,   649,   650,   651,   701,  1527,     0,   652,   236,
     653,   654,   655,     0,     0,   656,     0,     0,   657,   658,
     659,   660,   661,   238,  1528,  1529,  1530,  1531,  1532,  1533,
    1534,  1535,   702,   662,   663,     0,     0,     0,     0,     0,
       0,     0,  2890,  2891,     0,     0,     0,     0,     0,     0,
       0,  1539,   726,    86,    87,    88,   678,    90,    91,    92,
     679,     0,   680,    95,     0,     0,    98,    99,   100,   101,
     102,   103,   727,   104,   105,   681,   728,     0,   107,   108,
     109,   110,   729,   730,   112,   113,   114,   115,     0,   116,
     731,   732,   682,   683,     0,     0,     0,   684,   685,     0,
       0,     0,     0,   686,     0,     0,     0,     0,     0,     0,
       0,     0,   687,     0,   688,     0,   689,   690,    35,     0,
       0,     0,     0,     0,     0,     0,    41,    42,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   418,   419,
     420,   421,   422,   423,   424,   425,     0,   426,   427,   428,
       0,     0,     0,     0,     0,     0,     0,   429,   430,     0,
     431,   432,   133,   433,   434,   435,   135,   136,   137,   138,
     139,     0,   436,   437,   438,   439,   440,     0,  1480,   441,
     442,   692,   140,   443,     0,   444,   445,   446,   447,  1483,
       0,  1484,     0,   448,   449,   450,   451,   148,   452,   693,
       0,   453,   454,   455,   456,   457,   458,     0,   151,   459,
       0,  1485,  1486,  1487,  1488,  1489,  1490,  1491,   460,   461,
     462,   463,   695,   464,   155,   156,   465,     0,   466,     0,
     467,   468,   469,   470,   471,     0,   472,   473,   474,     0,
       0,   475,   476,   477,   478,   479,     0,   480,   481,   482,
       0,   483,   484,   485,     0,   486,   487,   488,   489,   164,
     490,   491,   492,  1496,     0,   493,     0,   494,   168,   495,
       0,   496,     0,   497,   169,     0,   170,   498,   499,   500,
       0,   501,  1499,     0,   502,     0,   503,   504,   697,   505,
     506,   173,   507,   508,   509,     0,   510,   511,   512,   513,
     514,   515,     0,   516,   174,   175,     0,   517,   518,   519,
       0,   176,     0,   177,     0,   520,   178,   179,   521,   180,
     522,   523,   524,   525,   526,  3612,   527,   528,     0,   529,
    1503,   182,   530,   183,     0,   531,   532,   533,  1504,  1505,
     534,   535,   536,   537,   538,   539,   698,   540,   541,   699,
     542,   543,   544,   188,   189,   190,   545,   546,   191,     0,
     547,   548,   193,   549,     0,  1510,   550,   195,   551,   552,
     553,     0,   554,     0,  1083,   555,   556,   557,     0,     0,
     196,   197,   198,   199,  1513,   558,   559,   560,   561,   562,
     563,   564,     0,   565,  1514,   566,   202,   567,   568,   569,
       0,   570,   571,   572,   573,   574,   575,   576,   577,   204,
     578,   579,   580,   581,     0,   582,   583,   584,   585,   586,
     587,   588,   589,   590,   591,   592,     0,   593,   594,   211,
     595,   596,   213,   597,   598,   599,   600,   601,   602,   700,
     603,   216,   604,   605,   606,   607,   608,  1517,   609,   218,
     610,   611,   220,   612,   221,   613,     0,   614,   615,   616,
     617,   618,   619,   620,   621,   622,   623,  1519,     0,   624,
     625,   224,   626,   627,   628,   629,   630,   631,     0,   225,
     226,     0,     0,   633,  1522,   634,  1523,     0,   635,   636,
     637,   638,   639,   640,   641,     0,     0,   642,   643,   644,
     645,   646,  1526,     0,   647,   648,   649,   650,   651,  2190,
     235,     0,   652,   236,   653,   654,   655,     0,     0,   656,
       0,   237,   657,   658,   659,   660,   661,   238,  1528,  1529,
    1530,  1531,  1532,  1533,  1534,  1535,   702,   662,   663,     0,
       0,     0,   726,    86,    87,    88,   678,    90,    91,    92,
     679,     0,   680,    95,     0,  3613,    98,    99,   100,   101,
     102,   103,   727,   104,   105,   681,   728,     0,   107,   108,
     109,   110,   729,   730,   112,   113,   114,   115,     0,   116,
     731,   732,   682,   683,     0,     0,     0,   684,   685,     0,
       0,     0,     0,   686,     0,     0,     0,     0,     0,     0,
       0,     0,   687,     0,   688,     0,   689,   690,    35,     0,
       0,     0,     0,     0,     0,     0,    41,    42,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   418,   419,
     420,   421,   422,   423,   424,   425,     0,   426,   427,   428,
       0,     0,     0,     0,     0,     0,     0,   429,   430,     0,
     431,   432,   133,   433,   434,   435,   135,   136,   137,   138,
     139,     0,   436,   437,   438,   439,   440,     0,  1480,   441,
     442,   692,   140,   443,     0,   444,   445,   446,   447,  1483,
       0,  1484,     0,   448,   449,   450,   451,   148,   452,   693,
       0,   453,   454,   455,   456,   457,   458,     0,   151,   459,
       0,  1485,  1486,  1487,  1488,  1489,  1490,  1491,   460,   461,
     462,   463,   695,   464,   155,   156,   465,     0,   466,     0,
     467,   468,   469,   470,   471,     0,   472,   473,   474,     0,
       0,   475,   476,   477,   478,   479,     0,   480,   481,   482,
       0,   483,   484,   485,     0,   486,   487,   488,   489,   164,
     490,   491,   492,  1496,     0,   493,     0,   494,   168,   495,
       0,   496,     0,   497,   169,     0,   170,   498,   499,   500,
       0,   501,  1499,     0,   502,     0,   503,   504,   697,   505,
     506,   173,   507,   508,   509,     0,   510,   511,   512,   513,
     514,   515,     0,   516,   174,   175,     0,   517,   518,   519,
       0,   176,     0,   177,     0,   520,   178,   179,   521,   180,
     522,   523,   524,   525,   526,  3612,   527,   528,     0,   529,
    1503,   182,   530,   183,     0,   531,   532,   533,  1504,  1505,
     534,   535,   536,   537,   538,   539,   698,   540,   541,   699,
     542,   543,   544,   188,   189,   190,   545,   546,   191,     0,
     547,   548,   193,   549,     0,  1510,   550,   195,   551,   552,
     553,     0,   554,     0,  1083,   555,   556,   557,     0,     0,
     196,   197,   198,   199,  1513,   558,   559,   560,   561,   562,
     563,   564,     0,   565,  1514,   566,   202,   567,   568,   569,
       0,   570,   571,   572,   573,   574,   575,   576,   577,   204,
     578,   579,   580,   581,     0,   582,   583,   584,   585,   586,
     587,   588,   589,   590,   591,   592,     0,   593,   594,   211,
     595,   596,   213,   597,   598,   599,   600,   601,   602,   700,
     603,     0,   604,   605,   606,   607,   608,  1517,   609,   218,
     610,   611,   220,   612,   221,   613,     0,   614,   615,   616,
     617,   618,   619,   620,   621,   622,   623,  1519,     0,   624,
     625,     0,   626,   627,   628,   629,   630,   631,     0,   225,
     226,     0,     0,   633,  1522,   634,  1523,     0,   635,   636,
     637,   638,   639,   640,   641,     0,     0,   642,   643,   644,
     645,   646,  1526,     0,   647,   648,   649,   650,   651,   701,
     235,     0,   652,   236,   653,   654,   655,     0,     0,   656,
       0,     0,   657,   658,   659,   660,   661,   238,  1528,  1529,
    1530,  1531,  1532,  1533,  1534,  1535,   702,   662,   663,     0,
       0,     0,   726,    86,    87,    88,   678,    90,    91,    92,
     679,     0,   680,    95,     0,  3613,    98,    99,   100,   101,
     102,   103,   727,   104,   105,   681,   728,     0,   107,   108,
     109,   110,   729,   730,   112,   113,   114,   115,     0,   116,
     731,   732,   682,   683,     0,     0,     0,   684,   685,     0,
       0,     0,     0,   686,     0,     0,     0,     0,     0,     0,
       0,     0,   687,     0,   688,     0,   689,   690,    35,     0,
       0,     0,     0,     0,     0,     0,    41,    42,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   418,   419,
     420,   421,   422,   423,   424,   425,     0,   426,   427,   428,
       0,     0,     0,     0,     0,     0,     0,   429,   430,     0,
     431,   432,   133,   433,   434,   435,   135,   136,   137,   138,
     139,     0,   436,   437,   438,   439,   440,     0,  1480,   441,
     442,   692,   140,   443,     0,   444,   445,   446,   447,  1483,
       0,  1484,     0,   448,   449,   450,   451,   148,   452,   693,
       0,   453,   454,   455,   456,   457,   458,     0,   151,   459,
       0,  1485,  1486,  1487,  1488,  1489,  1490,  1491,   460,   461,
     462,   463,   695,   464,   155,   156,   465,     0,   466,     0,
     467,   468,   469,   470,   471,     0,   472,   473,   474,     0,
       0,   475,   476,   477,   478,   479,     0,   480,   481,   482,
       0,   483,   484,   485,     0,   486,   487,   488,   489,   164,
     490,   491,   492,  1496,     0,   493,     0,   494,   168,   495,
       0,   496,     0,   497,   169,     0,   170,   498,   499,   500,
       0,   501,  1499,     0,   502,     0,   503,   504,   697,   505,
     506,   173,   507,   508,   509,     0,   510,   511,   512,   513,
     514,   515,     0,   516,   174,   175,     0,   517,   518,   519,
       0,   176,     0,   177,     0,   520,   178,   179,   521,   180,
     522,   523,   524,   525,   526,     0,   527,   528,     0,   529,
    1503,   182,   530,   183,     0,   531,   532,   533,  1504,  1505,
     534,   535,   536,   537,   538,   539,   698,   540,   541,   699,
     542,   543,   544,   188,   189,   190,   545,   546,   191,     0,
     547,   548,   193,   549,     0,  1510,   550,   195,   551,   552,
     553,     0,   554,     0,     0,   555,   556,   557,     0,     0,
     196,   197,   198,   199,  1513,   558,   559,   560,   561,   562,
     563,   564,     0,   565,  1514,   566,   202,   567,   568,   569,
       0,   570,   571,   572,   573,   574,   575,   576,   577,   204,
     578,   579,   580,   581,     0,   582,   583,   584,   585,   586,
     587,   588,   589,   590,   591,   592,     0,   593,   594,   211,
     595,   596,   213,   597,   598,   599,   600,   601,   602,   700,
     603,     0,   604,   605,   606,   607,   608,  1517,   609,   218,
     610,   611,   220,   612,   221,   613,     0,   614,   615,   616,
     617,   618,   619,   620,   621,   622,   623,  1519,     0,   624,
     625,     0,   626,   627,   628,   629,   630,   631,     0,   225,
     226,     0,     0,   633,  1522,   634,  1523,     0,   635,   636,
     637,   638,   639,   640,   641,     0,     0,   642,   643,   644,
     645,   646,  1526,     0,   647,   648,   649,   650,   651,   701,
     235,     0,   652,   236,   653,   654,   655,     0,     0,   656,
       0,     0,   657,   658,   659,   660,   661,   238,  1528,  1529,
    1530,  1531,  1532,  1533,  1534,  1535,   702,   662,   663,     0,
       0,     0,   726,    86,    87,    88,   678,    90,    91,    92,
     679,     0,   680,    95,     0,   247,    98,    99,   100,   101,
     102,   103,   727,   104,   105,   681,   728,     0,   107,   108,
     109,   110,   729,   730,   112,   113,   114,   115,     0,   116,
     731,   732,   682,   683,     0,     0,     0,   684,   685,     0,
       0,     0,     0,   686,     0,     0,     0,     0,     0,     0,
       0,     0,   687,     0,   688,     0,   689,   690,    35,     0,
       0,     0,     0,     0,     0,     0,    41,    42,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   418,   419,
     420,   421,   422,   423,   424,   425,     0,   426,   427,   428,
       0,     0,     0,     0,     0,     0,     0,   429,   430,     0,
     431,   432,   133,   433,   434,   435,   135,   136,   137,   138,
     139,     0,   436,   437,   438,   439,   440,     0,  1480,   441,
     442,   692,   140,   443,     0,   444,   445,   446,   447,  1483,
       0,  1484,     0,   448,   449,   450,   451,   148,   452,   693,
       0,   453,   454,   455,   456,   457,   458,     0,   151,   459,
       0,  1485,  1486,  1487,  1488,  1489,  1490,  1491,   460,   461,
     462,   463,   695,   464,   155,   156,   465,     0,   466,     0,
     467,   468,   469,   470,   471,     0,   472,   473,   474,     0,
       0,   475,   476,   477,   478,   479,     0,   480,   481,   482,
       0,   483,   484,   485,     0,   486,   487,   488,   489,   164,
     490,   491,   492,  1496,     0,   493,     0,   494,   168,   495,
       0,   496,     0,   497,   169,     0,   170,   498,   499,   500,
       0,   501,  1499,     0,   502,     0,   503,   504,   697,   505,
     506,   173,   507,   508,   509,     0,   510,   511,   512,   513,
     514,   515,     0,   516,   174,   175,     0,   517,   518,   519,
       0,   176,     0,   177,     0,   520,   178,   179,   521,   180,
     522,   523,   524,   525,   526,     0,   527,   528,     0,   529,
    1503,   182,   530,   183,     0,   531,   532,   533,  1504,  1505,
     534,   535,   536,   537,   538,   539,   698,   540,   541,   699,
     542,   543,   544,   188,   189,   190,   545,   546,   191,     0,
     547,   548,   193,   549,     0,  1510,   550,   195,   551,   552,
     553,     0,   554,     0,     0,   555,   556,   557,     0,     0,
     196,   197,   198,   199,  1513,   558,   559,   560,   561,   562,
     563,   564,     0,   565,  1514,   566,   202,   567,   568,   569,
       0,   570,   571,   572,   573,   574,   575,   576,   577,   204,
     578,   579,   580,   581,     0,   582,   583,   584,   585,   586,
     587,   588,   589,   590,   591,   592,     0,   593,   594,   211,
     595,   596,   213,   597,   598,   599,   600,   601,   602,   700,
     603,     0,   604,   605,   606,   607,   608,  1517,   609,   218,
     610,   611,   220,   612,   221,   613,     0,   614,   615,   616,
     617,   618,   619,   620,   621,   622,   623,  1519,     0,   624,
     625,     0,   626,   627,   628,   629,   630,   631,     0,   225,
     226,     0,     0,   633,  1522,   634,  1523,     0,   635,   636,
     637,   638,   639,   640,   641,     0,     0,   642,   643,   644,
     645,   646,  1526,     0,   647,   648,   649,   650,   651,   701,
     235,     0,   652,   236,   653,   654,   655,     0,     0,   656,
       0,     0,   657,   658,   659,   660,   661,   238,  1528,  1529,
    1530,  1531,  1532,  1533,  1534,  1535,   702,   662,   663,     0,
       0,     0,   726,    86,    87,    88,   678,    90,    91,    92,
     679,     0,   680,    95,     0,  4188,    98,    99,   100,   101,
     102,   103,   727,   104,   105,   681,   728,     0,   107,   108,
     109,   110,   729,   730,   112,   113,   114,   115,     0,   116,
     731,   732,   682,   683,     0,     0,     0,   684,   685,     0,
       0,     0,     0,   686,     0,     0,     0,     0,     0,     0,
       0,     0,   687,     0,   688,     0,   689,   690,    35,     0,
       0,     0,     0,     0,     0,     0,    41,    42,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   418,   419,
     420,   421,   422,   423,   424,   425,     0,   426,   427,   428,
       0,     0,     0,     0,     0,     0,     0,   429,   430,     0,
     431,   432,   133,   433,   434,   435,   135,   136,   137,   138,
     139,     0,   436,   437,   438,   439,   440,     0,     0,   441,
     442,   692,   140,   443,     0,   444,   445,   446,   447,   144,
       0,   145,     0,   448,   449,   450,   451,   148,   452,   693,
       0,   453,   454,   455,   456,   457,   458,     0,   151,   459,
       0,     0,     0,     0,   152,     0,     0,     0,   460,   461,
     462,   463,   695,   464,   155,   156,   465,     0,   466,     0,
     467,   468,   469,   470,   471,     0,   472,   473,   474,     0,
       0,   475,   476,   477,   478,   479,     0,   480,   481,   482,
       0,   483,   484,   485,     0,   486,   487,   488,   489,   164,
     490,   491,   492,   166,     0,   493,     0,   494,   168,   495,
       0,   496,     0,   497,   169,     0,   170,   498,   499,   500,
       0,   501,   172,     0,   502,     0,   503,   504,   697,   505,
     506,   173,   507,   508,   509,     0,   510,   511,   512,   513,
     514,   515,     0,   516,   174,   175,     0,   517,   518,   519,
       0,   176,     0,   177,     0,   520,   178,   179,   521,   180,
     522,   523,   524,   525,   526,     0,   527,   528,     0,   529,
     181,   182,   530,   183,     0,   531,   532,   533,     0,     0,
     534,   535,   536,   537,   538,   539,   698,   540,   541,   699,
     542,   543,   544,   188,   189,   190,   545,   546,   191,     0,
     547,   548,   193,   549,     0,   194,   550,   195,   551,   552,
     553,     0,   554,     0,     0,   555,   556,   557,     0,     0,
     196,   197,   198,   199,   200,   558,   559,   560,   561,   562,
     563,   564,     0,   565,   201,   566,   202,   567,   568,   569,
       0,   570,   571,   572,   573,   574,   575,   576,   577,   204,
     578,   579,   580,   581,     0,   582,   583,   584,   585,   586,
     587,   588,   589,   590,   591,   592,     0,   593,   594,   211,
     595,   596,   213,   597,   598,   599,   600,   601,   602,   700,
     603,     0,   604,   605,   606,   607,   608,     0,   609,   218,
     610,   611,   220,   612,   221,   613,     0,   614,   615,   616,
     617,   618,   619,   620,   621,   622,   623,   223,     0,   624,
     625,     0,   626,   627,   628,   629,   630,   631,     0,   225,
     226,     0,     0,   633,   227,   634,   228,     0,   635,   636,
     637,   638,   639,   640,   641,     0,     0,   642,   643,   644,
     645,   646,     0,     0,   647,   648,   649,   650,   651,   701,
     235,     0,   652,   236,   653,   654,   655,     0,     0,   656,
       0,     0,   657,   658,   659,   660,   661,   238,   239,   240,
     241,   242,   243,   244,   245,   246,   702,   662,   663,     0,
       0,     0,     0,    86,    87,    88,   678,    90,    91,    92,
     679,     0,   680,    95,     0,  4767,    98,    99,   100,   101,
     102,   103,     0,   104,   105,   681,     0,     0,   107,   108,
     109,   110,     0,     0,   112,   113,   114,   115,     0,   116,
       0,     0,   682,   683,     0,     0,     0,   684,   685,     0,
       0,     0,     0,   686,     0,     0,     0,     0,     0,     0,
       0,     0,   687,     0,   688,     0,   689,   690,    35,     0,
       0,     0,     0,     0,     0,     0,    41,    42,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   418,   419,
     420,   421,   422,   423,   424,   425,     0,   426,   427,   428,
       0,     0,     0,     0,     0,  4114,     0,   429,   430,     0,
     431,   432,     0,   433,   434,   435,   135,   136,     0,   138,
     139,     0,   436,   437,   438,   439,   440,     0,     0,   441,
     442,   692,   140,   443,     0,   444,   445,   446,   447,   144,
       0,     0,     0,   448,   449,   450,   451,     0,   452,   693,
       0,   453,   454,   455,   456,   457,   458,     0, -1490,   459,
       0,     0,     0,     0,     0,     0,     0,     0,   460,   461,
     462,   463,   695,   464,   155,   156,   465,     0,   466,     0,
     467,   468,   469,   470,   471,     0,   472,   473,   474,     0,
       0,   475,   476,   477,   478,   479,     0,   480,   481,   482,
       0,   483,   484,   485,     0,   486,   487,   488,   489,   164,
     490,   491,   492,   166,     0,   493,     0,   494,   168,   495,
       0,   496,     0,   497,     0,     0, -1490,   498,   499,   500,
       0,   501,   172,     0,   502,     0,   503,   504,   697,   505,
     506,     0,   507,   508,   509,     0,   510,   511,   512,   513,
     514,   515,     0,   516, -1490,   175,     0,   517,   518,   519,
       0,   176,     0,   177,     0,   520,     0,     0,   521, -1490,
     522,   523,   524,   525,   526,     0,   527,   528,     0,   529,
     181, -1490,   530,     0,     0,   531,   532,   533,     0,     0,
     534,   535,   536,   537,   538,   539,   698,   540,   541,   699,
     542,   543,   544,   188, -1490,   190,   545,   546,   191,     0,
     547,   548,     0,   549,     0,   194,   550,   195,   551,   552,
     553,     0,   554,     0,     0,   555,   556,   557,     0,     0,
     196,     0,     0,     0,   200,   558,   559,   560,   561,   562,
     563,   564,     0,   565,   201,   566,   202,   567,   568,   569,
       0,   570,   571,   572,   573,   574,   575,   576,   577,   204,
     578,   579,   580,   581,     0,   582,   583,   584,   585,   586,
     587,   588,   589,   590,   591,   592,     0,   593,   594, -1490,
     595,   596,   213,   597,   598,   599,   600,   601,   602,   700,
     603,     0,   604,   605,   606,   607,   608,     0,   609,   218,
     610,   611,     0,   612,   221,   613,     0,   614,   615,   616,
     617,   618,   619,   620,   621,   622,   623,   223,     0,   624,
     625,     0,   626,   627,   628,   629,   630,   631,     0,   225,
     226,     0,     0,   633,   227,   634,   228,     0,   635,   636,
     637,   638,   639,   640,   641,     0,     0,   642,   643,   644,
     645,   646,     0,     0,   647,   648,   649,   650,   651,   701,
     235,     0,   652,     0,   653,   654,   655,     0,     0,   656,
       0,     0,   657,   658,   659,   660,   661,   238,   239,   240,
     241,   242,   243,   244,   245,   246,   702,   662,   663,     0,
       0,     0,     0,     0,    86,    87,    88,   678,    90,    91,
      92,   679,     0,   680,    95,     0,  1630,    98,    99,   100,
     101,   102,   103,     0,   104,   105,   681,     0,     0,   107,
     108,   109,   110,     0,     0,   112,   113,   114,   115,     0,
     116,     0,     0,   682,   683,     0,     0,     0,   684,   685,
       0,     0,     0,     0,   686,     0,     0,     0,     0,     0,
       0,     0,     0,   687,     0,   688,     0,   689,   690,    35,
       0,     0,     0,    37,    38,    39,    40,    41,    42,     0,
      44,     0,     0,     0,    45,     0,     0,     0,     0,   418,
     419,   420,   421,   422,   423,   424,   425,     0,   426,   427,
     428,     0,     0,     0,     0,     0,     0,     0,   429,   430,
       0,   431,   432,     0,   433,   434,   435,   135,   136,     0,
     138,   139,     0,   436,   437,   438,   439,   440,     0,     0,
     441,   442,   692,   140,   443,     0,   444,   445,   446,   447,
     144,     0,     0,     0,   448,   449,   450,   451,     0,   452,
     693,     0,   453,   454,   455,   456,   457,   458,     0,     0,
     459,     0,     0,     0,     0,     0,     0,     0,     0,   460,
     461,   462,   463,   695,   464,   155,   156,   465,     0,   466,
       0,   467,   468,   469,   470,   471,     0,   472,   473,   474,
       0,     0,   475,   476,   477,   478,   479,     0,   480,   481,
     482,     0,   483,   484,   485,     0,   486,   487,   488,   489,
     164,   490,   491,   492,   166,     0,   493,     0,   494,   168,
     495,     0,   496,     0,   497,     0,     0,     0,   498,   499,
     500,     0,   501,   172,     0,   502,     0,   503,   504,   697,
     505,   506,     0,   507,   508,   509,     0,   510,   511,   512,
     513,   514,   515,     0,   516,     0,   175,     0,   517,   518,
     519,     0,   176,     0,   177,     0,   520,     0,     0,   521,
       0,   522,   523,   524,   525,   526,     0,   527,   528,     0,
     529,   181,     0,   530,     0,     0,   531,   532,   533,     0,
       0,   534,   535,   536,   537,   538,   539,   698,   540,   541,
     699,   542,   543,   544,   188,     0,   190,   545,   546,   191,
       0,   547,   548,     0,   549,     0,   194,   550,   195,   551,
     552,   553,     0,   554,     0,     0,   555,   556,   557,     0,
       0,   196,     0,     0,     0,   200,   558,   559,   560,   561,
     562,   563,   564,     0,   565,   201,   566,   202,   567,   568,
     569,     0,   570,   571,   572,   573,   574,   575,   576,   577,
     204,   578,   579,   580,   581,     0,   582,   583,   584,   585,
     586,   587,   588,   589,   590,   591,   592,     0,   593,   594,
       0,   595,   596,   213,   597,   598,   599,   600,   601,   602,
     700,   603,     0,   604,   605,   606,   607,   608,     0,   609,
     218,   610,   611,     0,   612,   221,   613,     0,   614,   615,
     616,   617,   618,   619,   620,   621,   622,   623,   223,     0,
     624,   625,     0,   626,   627,   628,   629,   630,   631,     0,
     225,   226,     0,     0,   633,   227,   634,   228,     0,   635,
     636,   637,   638,   639,   640,   641,     0,     0,   642,   643,
     644,   645,   646,     0,     0,   647,   648,   649,   650,   651,
     701,   235,     0,   652,     0,   653,   654,   655,     0,     0,
     656,     0,     0,   657,   658,   659,   660,   661,   238,   239,
     240,   241,   242,   243,   244,   245,   246,   702,   662,   663,
       0,     0,     0,     0,    86,    87,    88,   678,    90,    91,
      92,   679,     0,   680,    95,  3883,  3884,    98,    99,   100,
     101,   102,   103,     0,   104,   105,   681,     0,     0,   107,
     108,   109,   110,     0,     0,   112,   113,   114,   115,     0,
     116,     0,     0,   682,   683,     0,     0,     0,   684,   685,
       0,     0,     0,     0,   686,     0,     0,     0,     0,     0,
       0,     0,     0,   687,     0,   688,     0,   689,   690,    35,
       0,     0,     0,    37,    38,    39,    40,    41,    42,     0,
      44,     0,     0,     0,    45,     0,     0,     0,     0,   418,
     419,   420,   421,   422,   423,   424,   425,     0,   426,   427,
     428,     0,     0,     0,     0,     0,     0,     0,   429,   430,
       0,   431,   432,     0,   433,   434,   435,   135,   136,     0,
     138,   139,     0,   436,   437,   438,   439,   440,     0,     0,
     441,   442,   692,   140,   443,     0,   444,   445,   446,   447,
     144,     0,     0,     0,   448,   449,   450,   451,     0,   452,
     693,     0,   453,   454,   455,   456,   457,   458,     0,     0,
     459,     0,     0,     0,     0,     0,     0,     0,     0,   460,
     461,   462,   463,   695,   464,   155,   156,   465,     0,   466,
       0,   467,   468,   469,   470,   471,     0,   472,   473,   474,
       0,     0,   475,   476,   477,   478,   479,     0,   480,   481,
     482,     0,   483,   484,   485,     0,   486,   487,   488,   489,
     164,   490,   491,   492,   166,     0,   493,     0,   494,   168,
     495,     0,   496,     0,   497,     0,     0,     0,   498,   499,
     500,     0,   501,   172,     0,   502,     0,   503,   504,   697,
     505,   506,     0,   507,   508,   509,     0,   510,   511,   512,
     513,   514,   515,     0,   516,     0,   175,     0,   517,   518,
     519,     0,   176,     0,   177,     0,   520,     0,     0,   521,
       0,   522,   523,   524,   525,   526,     0,   527,   528,     0,
     529,   181,     0,   530,     0,     0,   531,   532,   533,     0,
       0,   534,   535,   536,   537,   538,   539,   698,   540,   541,
     699,   542,   543,   544,   188,     0,   190,   545,   546,   191,
       0,   547,   548,     0,   549,     0,   194,   550,   195,   551,
     552,   553,     0,   554,     0,     0,   555,   556,   557,     0,
       0,   196,     0,     0,     0,   200,   558,   559,   560,   561,
     562,   563,   564,     0,   565,   201,   566,   202,   567,   568,
     569,     0,   570,   571,   572,   573,   574,   575,   576,   577,
     204,   578,   579,   580,   581,     0,   582,   583,   584,   585,
     586,   587,   588,   589,   590,   591,   592,     0,   593,   594,
       0,   595,   596,   213,   597,   598,   599,   600,   601,   602,
     700,   603,     0,   604,   605,   606,   607,   608,     0,   609,
     218,   610,   611,     0,   612,   221,   613,     0,   614,   615,
     616,   617,   618,   619,   620,   621,   622,   623,   223,     0,
     624,   625,     0,   626,   627,   628,   629,   630,   631,     0,
     225,   226,     0,     0,   633,   227,   634,   228,     0,   635,
     636,   637,   638,   639,   640,   641,     0,     0,   642,   643,
     644,   645,   646,     0,     0,   647,   648,   649,   650,   651,
     701,   235,     0,   652,     0,   653,   654,   655,     0,     0,
     656,     0,     0,   657,   658,   659,   660,   661,   238,   239,
     240,   241,   242,   243,   244,   245,   246,   702,   662,   663,
       0,     0,     0,     0,    86,    87,    88,   678,    90,    91,
      92,   679,     0,   680,    95,     0,  3884,    98,    99,   100,
     101,   102,   103,     0,   104,   105,   681,     0,     0,   107,
     108,   109,   110,     0,     0,   112,   113,   114,   115,     0,
     116,     0,     0,   682,   683,     0,     0,     0,   684,   685,
       0,     0,     0,     0,   686,     0,     0,     0,     0,     0,
       0,     0,     0,   687,     0,   688,     0,   689,   690,    35,
     417,     0,     0,     0,     0,     0,     0,    41,    42,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   418,
     419,   420,   421,   422,   423,   424,   425,     0,   426,   427,
     428,     0,     0,     0,     0,     0,     0,     0,   429,   430,
       0,   431,   432,     0,   433,   434,   435,   135,   136,     0,
     138,   139,     0,   436,   437,   438,   439,   440,     0,     0,
     441,   442,   692,   140,   443,     0,   444,   445,   446,   447,
     144,     0,     0,     0,   448,   449,   450,   451,     0,   452,
     693,     0,   453,   454,   455,   456,   457,   458,     0,     0,
     459,     0,     0,     0,     0,     0,     0,     0,     0,   460,
     461,   462,   463,   695,   464,   155,   156,   465,     0,   466,
       0,   467,   468,   469,   470,   471,     0,   472,   473,   474,
       0,     0,   475,   476,   477,   478,   479,     0,   480,   481,
     482,     0,   483,   484,   485,     0,   486,   487,   488,   489,
     164,   490,   491,   492,   166,     0,   493,     0,   494,   168,
     495,     0,   496,     0,   497,     0,     0,     0,   498,   499,
     500,     0,   501,   172,     0,   502,     0,   503,   504,   697,
     505,   506,     0,   507,   508,   509,     0,   510,   511,   512,
     513,   514,   515,     0,   516,     0,   175,     0,   517,   518,
     519,     0,   176,     0,   177,     0,   520,     0,     0,   521,
       0,   522,   523,   524,   525,   526,     0,   527,   528,     0,
     529,   181,     0,   530,     0,     0,   531,   532,   533,     0,
       0,   534,   535,   536,   537,   538,   539,   698,   540,   541,
     699,   542,   543,   544,   188,     0,   190,   545,   546,   191,
       0,   547,   548,     0,   549,     0,   194,   550,   195,   551,
     552,   553,     0,   554,     0,     0,   555,   556,   557,     0,
       0,   196,     0,     0,     0,   200,   558,   559,   560,   561,
     562,   563,   564,     0,   565,   201,   566,   202,   567,   568,
     569,     0,   570,   571,   572,   573,   574,   575,   576,   577,
     204,   578,   579,   580,   581,     0,   582,   583,   584,   585,
     586,   587,   588,   589,   590,   591,   592,     0,   593,   594,
       0,   595,   596,   213,   597,   598,   599,   600,   601,   602,
     700,   603,   216,   604,   605,   606,   607,   608,     0,   609,
     218,   610,   611,     0,   612,   221,   613,     0,   614,   615,
     616,   617,   618,   619,   620,   621,   622,   623,   223,     0,
     624,   625,   224,   626,   627,   628,   629,   630,   631,     0,
     225,   226,     0,     0,   633,   227,   634,   228,     0,   635,
     636,   637,   638,   639,   640,   641,     0,     0,   642,   643,
     644,   645,   646,     0,     0,   647,   648,   649,   650,   651,
    2190,   235,     0,   652,     0,   653,   654,   655,     0,     0,
     656,     0,   237,   657,   658,   659,   660,   661,   238,   239,
     240,   241,   242,   243,   244,   245,   246,   702,   662,   663,
       0,     0,     0,     0,    86,    87,    88,   678,    90,    91,
      92,   679,     0,   680,    95,     0,   247,    98,    99,   100,
     101,   102,   103,     0,   104,   105,   681,     0,     0,   107,
     108,   109,   110,     0,     0,   112,   113,   114,   115,     0,
     116,     0,     0,   682,   683,     0,     0,     0,   684,   685,
       0,     0,     0,     0,   686,     0,     0,     0,     0,     0,
       0,     0,     0,   687,     0,   688,     0,   689,   690,    35,
       0,     0,     0,     0,     0,     0,     0,    41,    42,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   418,
     419,   420,   421,   422,   423,   424,   425,     0,   426,   427,
     428,     0,     0,     0,     0,     0,     0,     0,   429,   430,
       0,   431,   432,     0,   433,   434,   435,   135,   136,     0,
     138,   139,     0,   436,   437,   438,   439,   440,     0,     0,
     441,   442,   692,   140,   443,     0,   444,   445,   446,   447,
     144,     0,     0,     0,   448,   449,   450,   451,     0,   452,
     693,     0,   453,   454,   455,   456,   457,   458,     0,     0,
     459,     0,     0,     0,     0,     0,     0,     0,     0,   460,
     461,   462,   463,   695,   464,   155,   156,   465,     0,   466,
       0,   467,   468,   469,   470,   471,     0,   472,   473,   474,
       0,     0,   475,   476,   477,   478,   479,     0,   480,   481,
     482,     0,   483,   484,   485,     0,   486,   487,   488,   489,
     164,   490,   491,   492,   166,     0,   493,     0,   494,   168,
     495,     0,   496,     0,   497,     0,     0,     0,   498,   499,
     500,     0,   501,   172,     0,   502,     0,   503,   504,   697,
     505,   506,     0,   507,   508,   509,     0,   510,   511,   512,
     513,   514,   515,     0,   516,     0,   175,     0,   517,   518,
     519,     0,   176,     0,   177,     0,   520,     0,     0,   521,
       0,   522,   523,   524,   525,   526,     0,   527,   528,     0,
     529,   181,     0,   530,     0,     0,   531,   532,   533,     0,
       0,   534,   535,   536,   537,   538,   539,   698,   540,   541,
     699,   542,   543,   544,   188,     0,   190,   545,   546,   191,
       0,   547,   548,     0,   549,     0,   194,   550,   195,   551,
     552,   553,     0,   554,     0,     0,   555,   556,   557,     0,
       0,   196,     0,     0,     0,   200,   558,   559,   560,   561,
     562,   563,   564,     0,   565,   201,   566,   202,   567,   568,
     569,     0,   570,   571,   572,   573,   574,   575,   576,   577,
     204,   578,   579,   580,   581,     0,   582,   583,   584,   585,
     586,   587,   588,   589,   590,   591,   592,     0,   593,   594,
       0,   595,   596,   213,   597,   598,   599,   600,   601,   602,
     700,   603,   216,   604,   605,   606,   607,   608,     0,   609,
     218,   610,   611,     0,   612,   221,   613,     0,   614,   615,
     616,   617,   618,   619,   620,   621,   622,   623,   223,     0,
     624,   625,   224,   626,   627,   628,   629,   630,   631,     0,
     225,   226,     0,     0,   633,   227,   634,   228,     0,   635,
     636,   637,   638,   639,   640,   641,     0,     0,   642,   643,
     644,   645,   646,     0,     0,   647,   648,   649,   650,   651,
    2190,   235,     0,   652,     0,   653,   654,   655,     0,     0,
     656,     0,   237,   657,   658,   659,   660,   661,   238,   239,
     240,   241,   242,   243,   244,   245,   246,   702,   662,   663,
       0,     0,     0,     0,    86,    87,    88,   678,    90,    91,
      92,   679,     0,   680,    95,     0,   247,    98,    99,   100,
     101,   102,   103,     0,   104,   105,   681,     0,     0,   107,
     108,   109,   110,     0,     0,   112,   113,   114,   115,     0,
     116,     0,     0,   682,   683,     0,     0,     0,   684,   685,
       0,     0,     0,     0,   686,     0,     0,     0,     0,     0,
       0,     0,     0,   687,     0,   688,     0,   689,   690,    35,
       0,     0,     0,     0,     0,     0,     0,    41,    42,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   418,
     419,   420,   421,   422,   423,   424,   425,     0,   426,   427,
     428,     0,     0,     0,     0,     0,     0,     0,   429,   430,
       0,   431,   432,     0,   433,   434,   435,   135,   136,     0,
     138,   139,     0,   436,   437,   438,   439,   440,     0,     0,
     441,   442,   692,   140,   443,     0,   444,   445,   446,   447,
     144,     0,     0,     0,   448,   449,   450,   451,     0,   452,
     693,     0,   453,   454,   455,   456,   457,   458,     0,     0,
     459,     0,     0,     0,     0,     0,     0,     0,     0,   460,
     461,   462,   463,   695,   464,   155,   156,   465,     0,   466,
       0,   467,   468,   469,   470,   471,     0,   472,   473,   474,
       0,     0,   475,   476,   477,   478,   479,     0,   480,   481,
     482,     0,   483,   484,   485,     0,   486,   487,   488,   489,
     164,   490,   491,   492,   166,     0,   493,     0,   494,   168,
     495,     0,   496,     0,   497,     0,     0,     0,   498,   499,
     500,     0,   501,   172,     0,   502,     0,   503,   504,   697,
     505,   506,     0,   507,   508,   509,     0,   510,   511,   512,
     513,   514,   515,     0,   516,     0,   175,     0,   517,   518,
     519,     0,   176,     0,   177,     0,   520,     0,     0,   521,
       0,   522,   523,   524,   525,   526,     0,   527,   528,     0,
     529,   181,     0,   530,     0,     0,   531,   532,   533,     0,
       0,   534,   535,   536,   537,   538,   539,   698,   540,   541,
     699,   542,   543,   544,   188,     0,   190,   545,   546,   191,
       0,   547,   548,     0,   549,     0,   194,   550,   195,   551,
     552,   553,     0,   554,     0,     0,   555,   556,   557,     0,
       0,   196,     0,     0,     0,   200,   558,   559,   560,   561,
     562,   563,   564,     0,   565,   201,   566,   202,   567,   568,
     569,     0,   570,   571,   572,   573,   574,   575,   576,   577,
     204,   578,   579,   580,   581,     0,   582,   583,   584,   585,
     586,   587,   588,   589,   590,   591,   592,     0,   593,   594,
       0,   595,   596,   213,   597,   598,   599,   600,   601,   602,
     700,   603,     0,   604,   605,   606,   607,   608,     0,   609,
     218,   610,   611,     0,   612,   221,   613,     0,   614,   615,
     616,   617,   618,   619,   620,   621,   622,   623,   223,     0,
     624,   625,     0,   626,   627,   628,   629,   630,   631,     0,
     225,   226,     0,     0,   633,   227,   634,   228,     0,   635,
     636,   637,   638,   639,   640,   641,     0,     0,   642,   643,
     644,   645,   646,     0,     0,   647,   648,   649,   650,   651,
     701,   235,     0,   652,     0,   653,   654,   655,     0,     0,
     656,     0,     0,   657,   658,   659,   660,   661,   238,   239,
     240,   241,   242,   243,   244,   245,   246,   702,   662,   663,
       0,     0,     0,     0,    86,    87,    88,   678,    90,    91,
      92,   679,     0,   680,    95,     0,  1605,    98,    99,   100,
     101,   102,   103,     0,   104,   105,   681,     0,     0,   107,
     108,   109,   110,     0,     0,   112,   113,   114,   115,     0,
     116,     0,     0,   682,   683,     0,     0,     0,   684,   685,
       0,     0,     0,     0,   686,     0,     0,     0,     0,     0,
       0,     0,     0,   687,     0,   688,     0,   689,   690,    35,
       0,     0,     0,     0,     0,     0,     0,    41,    42,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   418,
     419,   420,   421,   422,   423,   424,   425,     0,   426,   427,
     428,     0,     0,     0,     0,     0,     0,     0,   429,   430,
       0,   431,   432,     0,   433,   434,   435,   135,   136,     0,
     138,   139,     0,   436,   437,   438,   439,   440,     0,     0,
     441,   442,   692,   140,   443,     0,   444,   445,   446,   447,
     144,     0,     0,     0,   448,   449,   450,   451,     0,   452,
     693,     0,   453,   454,   455,   456,   457,   458,     0,     0,
     459,     0,     0,     0,     0,     0,     0,     0,     0,   460,
     461,   462,   463,   695,   464,   155,   156,   465,     0,   466,
       0,   467,   468,   469,   470,   471,     0,   472,   473,   474,
       0,     0,   475,   476,   477,   478,   479,     0,   480,   481,
     482,     0,   483,   484,   485,     0,   486,   487,   488,   489,
     164,   490,   491,   492,   166,     0,   493,     0,   494,   168,
     495,     0,   496,     0,   497,     0,     0,     0,   498,   499,
     500,     0,   501,   172,     0,   502,     0,   503,   504,   697,
     505,   506,     0,   507,   508,   509,     0,   510,   511,   512,
     513,   514,   515,     0,   516,     0,   175,     0,   517,   518,
     519,     0,   176,     0,   177,     0,   520,     0,     0,   521,
       0,   522,   523,   524,   525,   526,     0,   527,   528,     0,
     529,   181,     0,   530,     0,     0,   531,   532,   533,     0,
       0,   534,   535,   536,   537,   538,   539,   698,   540,   541,
     699,   542,   543,   544,   188,     0,   190,   545,   546,   191,
       0,   547,   548,     0,   549,     0,   194,   550,   195,   551,
     552,   553,     0,   554,     0,     0,   555,   556,   557,     0,
       0,   196,     0,     0,     0,   200,   558,   559,   560,   561,
     562,   563,   564,     0,   565,   201,   566,   202,   567,   568,
     569,     0,   570,   571,   572,   573,   574,   575,   576,   577,
     204,   578,   579,   580,   581,     0,   582,   583,   584,   585,
     586,   587,   588,   589,   590,   591,   592,     0,   593,   594,
       0,   595,   596,   213,   597,   598,   599,   600,   601,   602,
     700,   603,     0,   604,   605,   606,   607,   608,     0,   609,
     218,   610,   611,     0,   612,   221,   613,     0,   614,   615,
     616,   617,   618,   619,   620,   621,   622,   623,   223,     0,
     624,   625,     0,   626,   627,   628,   629,   630,   631,     0,
     225,   226,     0,     0,   633,   227,   634,   228,     0,   635,
     636,   637,   638,   639,   640,   641,     0,     0,   642,   643,
     644,   645,   646,     0,     0,   647,   648,   649,   650,   651,
     701,   235,     0,   652,     0,   653,   654,   655,     0,     0,
     656,     0,     0,   657,   658,   659,   660,   661,   238,   239,
     240,   241,   242,   243,   244,   245,   246,   702,   662,   663,
       0,     0,     0,     0,    86,    87,    88,   678,    90,    91,
      92,   679,     0,   680,    95,     0,  3050,    98,    99,   100,
     101,   102,   103,     0,   104,   105,   681,     0,     0,   107,
     108,   109,   110,     0,     0,   112,   113,   114,   115,     0,
     116,     0,     0,   682,   683,     0,     0,     0,   684,   685,
       0,     0,     0,     0,   686,     0,     0,     0,     0,     0,
       0,     0,     0,   687,     0,   688,     0,   689,   690,    35,
       0,     0,     0,     0,     0,     0,     0,    41,    42,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   418,
     419,   420,   421,   422,   423,   424,   425,     0,   426,   427,
     428,     0,     0,     0,     0,     0,     0,     0,   429,   430,
       0,   431,   432,     0,   433,   434,   435,   135,   136,     0,
     138,   139,     0,   436,   437,   438,   439,   440,     0,     0,
     441,   442,   692,   140,   443,     0,   444,   445,   446,   447,
     144,     0,     0,     0,   448,   449,   450,   451,     0,   452,
     693,     0,   453,   454,   455,   456,   457,   458,     0,     0,
     459,     0,     0,     0,     0,     0,     0,     0,     0,   460,
     461,   462,   463,   695,   464,   155,   156,   465,     0,   466,
       0,   467,   468,   469,   470,   471,     0,   472,   473,   474,
       0,     0,   475,   476,   477,   478,   479,     0,   480,   481,
     482,     0,   483,   484,   485,     0,   486,   487,   488,   489,
     164,   490,   491,   492,   166,     0,   493,     0,   494,   168,
     495,     0,   496,     0,   497,     0,     0,     0,   498,   499,
     500,     0,   501,   172,     0,   502,     0,   503,   504,   697,
     505,   506,     0,   507,   508,   509,     0,   510,   511,   512,
     513,   514,   515,     0,   516,     0,   175,     0,   517,   518,
     519,     0,   176,     0,   177,     0,   520,     0,     0,   521,
       0,   522,   523,   524,   525,   526,     0,   527,   528,     0,
     529,   181,     0,   530,     0,     0,   531,   532,   533,     0,
       0,   534,   535,   536,   537,   538,   539,   698,   540,   541,
     699,   542,   543,   544,   188,     0,   190,   545,   546,   191,
       0,   547,   548,     0,   549,     0,   194,   550,   195,   551,
     552,   553,     0,   554,     0,     0,   555,   556,   557,     0,
       0,   196,     0,     0,     0,   200,   558,   559,   560,   561,
     562,   563,   564,     0,   565,   201,   566,   202,   567,   568,
     569,     0,   570,   571,   572,   573,   574,   575,   576,   577,
     204,   578,   579,   580,   581,     0,   582,   583,   584,   585,
     586,   587,   588,   589,   590,   591,   592,     0,   593,   594,
       0,   595,   596,   213,   597,   598,   599,   600,   601,   602,
     700,   603,     0,   604,   605,   606,   607,   608,     0,   609,
     218,   610,   611,     0,   612,   221,   613,     0,   614,   615,
     616,   617,   618,   619,   620,   621,   622,   623,   223,     0,
     624,   625,     0,   626,   627,   628,   629,   630,   631,     0,
     225,   226,     0,     0,   633,   227,   634,   228,     0,   635,
     636,   637,   638,   639,   640,   641,     0,     0,   642,   643,
     644,   645,   646,     0,     0,   647,   648,   649,   650,   651,
     701,   235,     0,   652,     0,   653,   654,   655,     0,     0,
     656,     0,     0,   657,   658,   659,   660,   661,   238,   239,
     240,   241,   242,   243,   244,   245,   246,   702,   662,   663,
       0,     0,     0,     0,    86,    87,    88,   678,    90,    91,
      92,   679,     0,   680,    95,     0,  4143,    98,    99,   100,
     101,   102,   103,     0,   104,   105,   681,     0,     0,   107,
     108,   109,   110,     0,     0,   112,   113,   114,   115,     0,
     116,     0,     0,   682,   683,     0,     0,     0,   684,   685,
       0,     0,     0,     0,   686,     0,     0,     0,     0,     0,
       0,     0,     0,   687,     0,   688,     0,   689,   690,    35,
       0,     0,     0,     0,     0,     0,     0,    41,    42,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   418,
     419,   420,   421,   422,   423,   424,   425,     0,   426,   427,
     428,     0,     0,     0,     0,     0,     0,     0,   429,   430,
       0,   431,   432,     0,   433,   434,   435,   135,   136,     0,
     138,   139,     0,   436,   437,   438,   439,   440,     0,     0,
     441,   442,   692,   140,   443,     0,   444,   445,   446,   447,
     144,     0,     0,     0,   448,   449,   450,   451,     0,   452,
     693,     0,   453,   454,   455,   456,   457,   458,     0,     0,
     459,     0,     0,     0,     0,     0,     0,     0,     0,   460,
     461,   462,   463,   695,   464,   155,   156,   465,     0,   466,
       0,   467,   468,   469,   470,   471,     0,   472,   473,   474,
       0,     0,   475,   476,   477,   478,   479,     0,   480,   481,
     482,     0,   483,   484,   485,     0,   486,   487,   488,   489,
     164,   490,   491,   492,   166,     0,   493,     0,   494,   168,
     495,     0,   496,     0,   497,     0,     0,     0,   498,   499,
     500,     0,   501,   172,     0,   502,     0,   503,   504,   697,
     505,   506,     0,   507,   508,   509,     0,   510,   511,   512,
     513,   514,   515,     0,   516,     0,   175,     0,   517,   518,
     519,     0,   176,     0,   177,     0,   520,     0,     0,   521,
       0,   522,   523,   524,   525,   526,     0,   527,   528,     0,
     529,   181,     0,   530,     0,     0,   531,   532,   533,     0,
       0,   534,   535,   536,   537,   538,   539,   698,   540,   541,
     699,   542,   543,   544,   188,     0,   190,   545,   546,   191,
       0,   547,   548,     0,   549,     0,   194,   550,   195,   551,
     552,   553,     0,   554,     0,     0,   555,   556,   557,     0,
       0,   196,     0,     0,     0,   200,   558,   559,   560,   561,
     562,   563,   564,     0,   565,   201,   566,   202,   567,   568,
     569,     0,   570,   571,   572,   573,   574,   575,   576,   577,
     204,   578,   579,   580,   581,     0,   582,   583,   584,   585,
     586,   587,   588,   589,   590,   591,   592,     0,   593,   594,
       0,   595,   596,   213,   597,   598,   599,   600,   601,   602,
     700,   603,     0,   604,   605,   606,   607,   608,     0,   609,
     218,   610,   611,     0,   612,   221,   613,     0,   614,   615,
     616,   617,   618,   619,   620,   621,   622,   623,   223,     0,
     624,   625,     0,   626,   627,   628,   629,   630,   631,     0,
     225,   226,     0,     0,   633,   227,   634,   228,     0,   635,
     636,   637,   638,   639,   640,   641,     0,     0,   642,   643,
     644,   645,   646,     0,     0,   647,   648,   649,   650,   651,
     701,   235,     0,   652,     0,   653,   654,   655,     0,     0,
     656,     0,     0,   657,   658,   659,   660,   661,   238,   239,
     240,   241,   242,   243,   244,   245,   246,   702,   662,   663,
       0,     0,     0,   726,    86,    87,    88,   678,    90,    91,
      92,   679,     0,   680,    95,     0,  4498,    98,    99,   100,
     101,   102,   103,   727,   104,   105,   681,   728,     0,   107,
     108,   109,   110,   729,   730,   112,   113,   114,   115,     0,
     116,   731,   732,   682,   683,     0,     0,     0,   684,   685,
       0,     0,     0,     0,   686,     0,     0,     0,     0,     0,
       0,     0,     0,   687,     0,   688,     0,   689,   690,    35,
     417,     0,     0,    37,    38,    39,    40,    41,    42,    43,
      44,     0,     0,  1207,    45,     0,     0,     0,     0,   418,
     419,   420,   421,   422,   423,   424,   425,   733,   426,   427,
     428,   734,   735,   736,   737,   738,   739,   740,   429,   430,
     741,   431,   432,   133,   433,   434,   435,     0,  1900,   137,
    1901,  1902,   742,   436,   437,   438,   439,   440,   743,   744,
     441,   442,  1903,  1904,   443,   746,   444,   445,   446,   447,
       0,   747,   145,   748,   448,   449,   450,   451,   148,   452,
     693,   750,   453,   454,   455,   456,   457,   458,   751,   151,
     459,     0,   753,   754,   755,   152,   756,   757,   758,   460,
     461,   462,   463,   695,   464,  1905,  1906,   465,   759,   466,
     760,   467,   468,   469,   470,   471,   761,   472,   473,   474,
     762,   763,   475,   476,  1494,   478,   479,   764,   480,   481,
     482,   765,   483,   484,   485,   766,   486,   487,   488,   489,
       0,   490,   491,   492,     0,   767,   493,   768,   494,  1907,
     495,   769,   496,   770,   497,   169,   771,   170,   498,   499,
     500,   772,   501,     0,   773,   502,   774,   503,   504,   697,
     505,   506,   173,   507,   508,   509,   775,   510,   511,   512,
     513,   514,   515,   776,   516,   174,     0,     0,   517,   518,
     519,  1500,  1908,   779,  1909,   780,   520,   178,   179,   521,
     180,   522,   523,   524,   525,   526,   781,   527,   528,   782,
     529,     0,   182,   530,   183,   783,   531,   532,   533,   784,
     785,   534,   535,   536,   537,   538,   539,   698,   540,   541,
     699,   542,   543,   544,  1910,   189,  1911,   545,   546,     0,
     786,   547,   548,   193,   549,   787,     0,   550,  1912,   551,
     552,   553,   788,   554,   789,   790,  3870,   556,   557,   791,
     792,     0,   197,   198,   199,     0,   558,   559,   560,   561,
     562,   563,   564,   793,   565,     0,   566,     0,   567,   568,
     569,   794,   570,   571,   572,   573,   574,   575,   576,   577,
    1913,   578,   579,   580,   581,   795,   582,   583,   584,   585,
     586,   587,   588,   589,   590,   591,   592,   796,   593,   594,
     211,   595,   596,     0,   597,   598,   599,   600,   601,   602,
     700,   603,   797,   604,   605,   606,   607,   608,   798,   609,
    2485,   610,   611,   220,   612,  1915,   613,   799,   614,   615,
     616,   617,   618,   619,   620,   621,   622,   623,     0,   800,
     624,   625,   801,   626,   627,   628,   629,   630,   631,   802,
    1916,  1917,     0,   804,   633,     0,   634,     0,   805,   635,
     636,   637,   638,   639,   640,   641,     0,   807,   642,   643,
     644,   645,   646,   808,   809,   647,   648,   649,   650,   651,
       0,  1918,   811,   652,   236,   653,   654,   655,   812,   813,
     656,   814,   815,   657,   658,   659,   660,   661,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   702,   662,   663,
       0,     0,     0,  1210,  1211,  1212,     0,  3871,  3872,  1215,
    1216,  1217,  1218,    86,    87,    88,   678,    90,    91,    92,
     679,     0,   680,    95,     0,     0,    98,    99,   100,   101,
     102,   103,     0,   104,   105,   681,     0,     0,   107,   108,
     109,   110,     0,     0,   112,   113,   114,   115,     0,   116,
       0,     0,   682,   683,     0,     0,     0,   684,   685,     0,
       0,     0,     0,   686,     0,     0,     0,     0,     0,     0,
       0,     0,   687,     0,   688,     0,   689,   690,    35,     0,
       0,     0,     0,     0,     0,     0,    41,    42,     0,     0,
       0,     0,  1207,     0,     0,     0,     0,     0,   418,   419,
     420,   421,   422,   423,   424,   425,     0,   426,   427,   428,
       0,     0,     0,     0,     0,     0,     0,   429,   430,     0,
     431,   432,     0,   433,   434,   435,   135,   136,     0,   138,
     139,     0,   436,   437,   438,   439,   440,     0,     0,   441,
     442,   692,   140,   443,     0,   444,  1208,   446,   447,   144,
       0,     0,     0,   448,   449,   450,   451,     0,   452,   693,
       0,   453,   454,   455,   456,   457,   458,     0,     0,   459,
       0,     0,     0,     0,     0,     0,     0,     0,   460,   461,
     462,   463,   695,   464,   155,   156,   465,     0,   466,     0,
     467,   468,   469,   470,   471,     0,   472,   473,   474,     0,
       0,   475,   476,   477,   478,   479,     0,   480,   481,   482,
       0,   483,   484,   485,     0,   486,   487,   488,   489,   164,
     490,   491,   492,   166,     0,  1209,     0,   494,   168,   495,
       0,   496,     0,   497,     0,     0,     0,   498,   499,   500,
       0,   501,   172,     0,   502,     0,   503,   504,   697,   505,
     506,     0,   507,   508,   509,     0,   510,   511,   512,   513,
     514,   515,     0,   516,     0,   175,     0,   517,   518,   519,
       0,   176,     0,   177,     0,   520,     0,     0,   521,     0,
     522,   523,   524,   525,   526,     0,   527,   528,     0,   529,
     181,     0,   530,     0,     0,   531,   532,   533,     0,     0,
     534,   535,   536,   537,   538,   539,   698,   540,   541,   699,
     542,   543,   544,   188,     0,   190,   545,   546,   191,     0,
     547,   548,     0,   549,     0,   194,   550,   195,   551,   552,
     553,     0,   554,     0,     0,   555,   556,   557,     0,     0,
     196,     0,     0,     0,   200,   558,   559,   560,   561,   562,
     563,   564,     0,   565,   201,   566,   202,   567,   568,   569,
       0,   570,   571,   572,   573,   574,   575,   576,   577,   204,
     578,   579,   580,   581,     0,   582,   583,   584,   585,   586,
     587,   588,   589,   590,   591,   592,     0,   593,   594,     0,
     595,   596,   213,   597,   598,   599,   600,   601,   602,   700,
     603,     0,   604,   605,   606,   607,   608,     0,   609,   218,
     610,   611,     0,   612,   221,   613,     0,   614,   615,   616,
     617,   618,   619,   620,   621,   622,   623,   223,     0,   624,
     625,     0,   626,   627,   628,   629,   630,   631,     0,   225,
     226,     0,     0,   633,   227,   634,   228,     0,   635,   636,
     637,   638,   639,   640,   641,     0,     0,   642,   643,   644,
     645,   646,     0,     0,   647,   648,   649,   650,   651,   701,
     235,     0,   652,     0,   653,   654,   655,     0,     0,   656,
       0,     0,   657,   658,   659,   660,   661,   238,   239,   240,
     241,   242,   243,   244,   245,   246,   702,   662,   663,     0,
       0,     0,  1210,  1211,  1212,     0,  1213,  1214,  1215,  1216,
    1217,  1218,    86,    87,    88,   678,    90,    91,    92,   679,
       0,   680,    95,     0,     0,    98,    99,   100,   101,   102,
     103,     0,   104,   105,   681,     0,     0,   107,   108,   109,
     110,     0,     0,   112,   113,   114,   115,     0,   116,     0,
       0,   682,   683,     0,     0,     0,   684,   685,     0,     0,
       0,     0,   686,     0,     0,     0,     0,     0,     0,     0,
       0,   687,     0,   688,     0,   689,   690,    35,     0,     0,
       0,     0,     0,     0,     0,    41,    42,     0,     0,     0,
       0,  1207,     0,     0,     0,     0,     0,   418,   419,   420,
     421,   422,   423,   424,   425,     0,   426,   427,   428,     0,
       0,     0,     0,     0,     0,     0,   429,   430,     0,   431,
     432,     0,   433,   434,   435,   135,   136,     0,   138,   139,
       0,   436,   437,   438,   439,   440,     0,     0,   441,   442,
     692,   140,   443,     0,   444,  1302,   446,   447,   144,     0,
       0,     0,   448,   449,   450,   451,     0,   452,   693,     0,
     453,   454,   455,   456,   457,   458,     0,     0,   459,     0,
       0,     0,     0,     0,     0,     0,     0,   460,   461,   462,
     463,   695,   464,   155,   156,   465,     0,   466,     0,   467,
     468,   469,   470,   471,     0,   472,   473,   474,     0,     0,
     475,   476,   477,   478,   479,     0,   480,   481,   482,     0,
     483,   484,   485,     0,   486,   487,   488,   489,   164,   490,
     491,   492,   166,     0,  1303,     0,   494,   168,   495,     0,
     496,     0,   497,     0,     0,     0,   498,   499,   500,     0,
     501,   172,     0,   502,     0,   503,   504,   697,   505,   506,
       0,   507,   508,   509,     0,   510,   511,   512,   513,   514,
     515,     0,   516,     0,   175,     0,   517,   518,   519,     0,
     176,     0,   177,     0,   520,     0,     0,   521,     0,   522,
     523,   524,   525,   526,     0,   527,   528,     0,   529,   181,
       0,   530,     0,     0,   531,   532,   533,     0,     0,   534,
     535,   536,   537,   538,   539,   698,   540,   541,   699,   542,
     543,   544,   188,     0,   190,   545,   546,   191,     0,   547,
     548,     0,   549,     0,   194,   550,   195,   551,   552,   553,
       0,   554,     0,     0,   555,   556,   557,     0,     0,   196,
       0,     0,     0,   200,   558,   559,   560,   561,   562,   563,
     564,     0,   565,   201,   566,   202,   567,   568,   569,     0,
     570,   571,   572,   573,   574,   575,   576,   577,   204,   578,
     579,   580,   581,     0,   582,   583,   584,   585,   586,   587,
     588,   589,   590,   591,   592,     0,   593,   594,     0,   595,
     596,   213,   597,   598,   599,   600,   601,   602,   700,   603,
       0,   604,   605,   606,   607,   608,     0,   609,   218,   610,
     611,     0,   612,   221,   613,     0,   614,   615,   616,   617,
     618,   619,   620,   621,   622,   623,   223,     0,   624,   625,
       0,   626,   627,   628,   629,   630,   631,     0,   225,   226,
       0,     0,   633,   227,   634,   228,     0,   635,   636,   637,
     638,   639,   640,   641,     0,     0,   642,   643,   644,   645,
     646,     0,     0,   647,   648,   649,   650,   651,   701,   235,
       0,   652,     0,   653,   654,   655,     0,     0,   656,     0,
       0,   657,   658,   659,   660,   661,   238,   239,   240,   241,
     242,   243,   244,   245,   246,   702,   662,   663,     0,     0,
       0,  1210,  1211,  1212,     0,  1213,  1214,  1215,  1216,  1217,
    1218,    86,    87,    88,   678,    90,    91,    92,   679,     0,
     680,    95,     0,     0,    98,    99,   100,   101,   102,   103,
       0,   104,   105,   681,     0,     0,   107,   108,   109,   110,
       0,     0,   112,   113,   114,   115,     0,   116,     0,     0,
     682,   683,     0,     0,     0,   684,   685,     0,     0,     0,
       0,   686,     0,     0,     0,     0,     0,     0,     0,     0,
     687,     0,   688,     0,   689,   690,    35,     0,     0,     0,
       0,     0,     0,     0,    41,    42,     0,     0,     0,     0,
    1207,     0,     0,     0,     0,     0,   418,   419,   420,   421,
     422,   423,   424,   425,     0,   426,   427,   428,     0,     0,
       0,     0,     0,     0,     0,   429,   430,     0,   431,   432,
       0,   433,   434,   435,   135,   136,     0,   138,   139,     0,
     436,   437,   438,   439,   440,     0,     0,   441,   442,   692,
     140,   443,     0,   444,  1359,   446,   447,   144,     0,     0,
       0,   448,   449,   450,   451,     0,   452,   693,     0,   453,
     454,   455,   456,   457,   458,     0,     0,   459,     0,     0,
       0,     0,     0,     0,     0,     0,   460,   461,   462,   463,
     695,   464,   155,   156,   465,     0,   466,     0,   467,   468,
     469,   470,   471,     0,   472,   473,   474,     0,     0,   475,
     476,   477,   478,   479,     0,   480,   481,   482,     0,   483,
     484,   485,     0,   486,   487,   488,   489,   164,   490,   491,
     492,   166,     0,  1360,     0,   494,   168,   495,     0,   496,
       0,   497,     0,     0,     0,   498,   499,   500,     0,   501,
     172,     0,   502,     0,   503,   504,   697,   505,  1361,     0,
     507,   508,   509,     0,   510,   511,   512,   513,   514,   515,
       0,   516,     0,   175,     0,   517,   518,   519,     0,   176,
       0,   177,     0,   520,     0,     0,   521,     0,   522,   523,
     524,   525,   526,     0,   527,   528,     0,   529,   181,     0,
     530,     0,     0,   531,   532,   533,     0,     0,   534,   535,
     536,   537,   538,   539,   698,   540,   541,   699,   542,   543,
     544,   188,     0,   190,   545,   546,   191,     0,   547,   548,
       0,   549,     0,   194,   550,   195,   551,   552,   553,     0,
     554,     0,     0,   555,   556,   557,     0,     0,   196,     0,
       0,     0,   200,   558,   559,   560,   561,   562,   563,   564,
       0,   565,   201,   566,   202,   567,   568,   569,     0,   570,
     571,   572,   573,   574,   575,   576,   577,   204,   578,   579,
     580,   581,     0,   582,   583,   584,   585,   586,   587,   588,
     589,   590,   591,   592,     0,   593,   594,     0,   595,   596,
     213,   597,   598,   599,   600,   601,   602,   700,   603,     0,
     604,   605,   606,   607,   608,     0,   609,   218,   610,   611,
       0,   612,   221,   613,     0,   614,   615,   616,   617,   618,
     619,   620,   621,   622,   623,   223,     0,   624,   625,     0,
     626,   627,   628,   629,   630,   631,     0,   225,   226,     0,
       0,   633,   227,   634,   228,     0,   635,   636,   637,   638,
     639,   640,   641,     0,     0,   642,   643,   644,   645,   646,
       0,     0,   647,   648,   649,   650,   651,   701,   235,     0,
     652,     0,   653,   654,   655,     0,     0,   656,     0,     0,
     657,   658,   659,   660,   661,   238,   239,   240,   241,   242,
     243,   244,   245,   246,   702,   662,   663,     0,     0,     0,
    1210,  1211,  1212,     0,  1213,  1214,  1215,  1216,  1217,  1218,
      86,    87,    88,   678,    90,    91,    92,   679,     0,   680,
      95,     0,     0,    98,    99,   100,   101,   102,   103,     0,
     104,   105,   681,     0,     0,   107,   108,   109,   110,     0,
       0,   112,   113,   114,   115,     0,   116,     0,     0,   682,
     683,     0,     0,     0,   684,   685,     0,     0,     0,     0,
     686,     0,     0,     0,     0,     0,     0,     0,     0,   687,
       0,   688,     0,   689,   690,    35,     0,     0,     0,     0,
       0,     0,     0,    41,    42,     0,     0,     0,     0,  1207,
       0,     0,     0,     0,     0,   418,   419,   420,   421,   422,
     423,   424,   425,     0,   426,   427,   428,     0,     0,     0,
       0,     0,     0,     0,   429,   430,     0,   431,   432,     0,
     433,   434,   435,   135,   136,     0,   138,   139,     0,   436,
     437,   438,   439,   440,     0,     0,   441,   442,   692,   140,
     443,     0,   444,  1885,   446,   447,   144,     0,     0,     0,
     448,   449,   450,   451,     0,   452,   693,     0,   453,   454,
     455,   456,   457,   458,     0,     0,   459,     0,     0,     0,
       0,     0,     0,     0,     0,   460,   461,   462,   463,   695,
     464,   155,   156,   465,     0,   466,     0,   467,   468,   469,
     470,   471,     0,   472,   473,   474,     0,     0,   475,   476,
     477,   478,   479,     0,   480,   481,   482,     0,   483,   484,
     485,     0,   486,   487,   488,   489,   164,   490,   491,   492,
     166,     0,  1886,     0,   494,   168,   495,     0,   496,     0,
     497,     0,     0,     0,   498,   499,   500,     0,   501,   172,
       0,   502,     0,   503,   504,   697,   505,   506,     0,   507,
     508,   509,     0,   510,   511,   512,   513,   514,   515,     0,
     516,     0,   175,     0,   517,   518,   519,     0,   176,     0,
     177,     0,   520,     0,     0,   521,     0,   522,   523,   524,
     525,   526,     0,   527,   528,     0,   529,   181,     0,   530,
       0,     0,   531,   532,   533,     0,     0,   534,   535,   536,
     537,   538,   539,   698,   540,   541,   699,   542,   543,   544,
     188,     0,   190,   545,   546,   191,     0,   547,   548,     0,
     549,     0,   194,   550,   195,   551,   552,   553,     0,   554,
       0,     0,   555,   556,   557,     0,     0,   196,     0,     0,
       0,   200,   558,   559,   560,   561,   562,   563,   564,     0,
     565,   201,   566,   202,   567,   568,   569,     0,   570,   571,
     572,   573,   574,   575,   576,   577,   204,   578,   579,   580,
     581,     0,   582,   583,   584,   585,   586,   587,   588,   589,
     590,   591,   592,     0,   593,   594,     0,   595,   596,   213,
     597,   598,   599,   600,   601,   602,   700,   603,     0,   604,
     605,   606,   607,   608,     0,   609,   218,   610,   611,     0,
     612,   221,   613,     0,   614,   615,   616,   617,   618,   619,
     620,   621,   622,   623,   223,     0,   624,   625,     0,   626,
     627,   628,   629,   630,   631,     0,   225,   226,     0,     0,
     633,   227,   634,   228,     0,   635,   636,   637,   638,   639,
     640,   641,     0,     0,   642,   643,   644,   645,   646,     0,
       0,   647,   648,   649,   650,   651,   701,   235,     0,   652,
       0,   653,   654,   655,     0,     0,   656,     0,     0,   657,
     658,   659,   660,   661,   238,   239,   240,   241,   242,   243,
     244,   245,   246,   702,   662,   663,     0,     0,     0,  1210,
    1211,  1212,     0,  1213,  1214,  1215,  1216,  1217,  1218,    86,
      87,    88,   678,    90,    91,    92,   679,     0,   680,    95,
       0,     0,    98,    99,   100,   101,   102,   103,     0,   104,
     105,   681,     0,     0,   107,   108,   109,   110,     0,     0,
     112,   113,   114,   115,     0,   116,     0,     0,   682,   683,
       0,     0,     0,   684,   685,     0,     0,     0,     0,   686,
       0,     0,     0,     0,     0,     0,     0,     0,   687,     0,
     688,     0,   689,   690,    35,     0,     0,     0,     0,     0,
       0,     0,    41,    42,     0,     0,     0,     0,  1207,     0,
       0,     0,     0,     0,   418,   419,   420,   421,   422,   423,
     424,   425,     0,   426,   427,   428,     0,     0,     0,     0,
       0,     0,     0,   429,   430,     0,   431,   432,     0,   433,
     434,   435,   135,   136,     0,   138,   139,     0,   436,   437,
     438,   439,   440,     0,     0,   441,   442,   692,   140,   443,
       0,   444,   445,   446,   447,   144,     0,     0,     0,   448,
     449,   450,   451,     0,   452,   693,     0,   453,   454,   455,
     456,   457,   458,     0,     0,   459,     0,     0,     0,     0,
       0,     0,     0,     0,   460,   461,   462,   463,   695,   464,
     155,   156,   465,     0,   466,     0,   467,   468,   469,   470,
     471,     0,   472,   473,   474,     0,     0,   475,   476,   477,
     478,   479,     0,   480,   481,   482,     0,   483,   484,   485,
       0,   486,   487,   488,   489,   164,   490,   491,   492,   166,
       0,   493,     0,   494,   168,   495,     0,   496,     0,   497,
       0,     0,     0,   498,   499,   500,     0,   501,   172,     0,
     502,     0,   503,   504,   697,   505,   506,     0,   507,   508,
     509,     0,   510,   511,   512,   513,   514,   515,     0,   516,
       0,   175,     0,   517,   518,   519,     0,   176,     0,   177,
       0,   520,     0,     0,   521,     0,   522,   523,   524,   525,
     526,     0,   527,   528,     0,   529,   181,     0,   530,     0,
       0,   531,   532,   533,     0,     0,   534,   535,   536,   537,
     538,   539,   698,   540,   541,   699,   542,   543,   544,   188,
       0,   190,   545,   546,   191,     0,   547,   548,     0,   549,
       0,   194,   550,   195,   551,   552,   553,     0,   554,     0,
       0,   555,   556,   557,     0,     0,   196,     0,     0,     0,
     200,   558,   559,   560,   561,   562,   563,   564,     0,   565,
     201,   566,   202,   567,   568,   569,     0,   570,   571,   572,
     573,   574,   575,   576,   577,   204,   578,   579,   580,   581,
       0,   582,   583,   584,   585,   586,   587,   588,   589,   590,
     591,   592,     0,   593,   594,     0,   595,   596,   213,   597,
     598,   599,   600,   601,   602,   700,   603,     0,   604,   605,
     606,   607,   608,     0,   609,   218,   610,   611,     0,   612,
     221,   613,     0,   614,   615,   616,   617,   618,   619,   620,
     621,   622,   623,   223,     0,   624,   625,     0,   626,   627,
     628,   629,   630,   631,     0,   225,   226,     0,     0,   633,
     227,   634,   228,     0,   635,   636,   637,   638,   639,   640,
     641,     0,     0,   642,   643,   644,   645,   646,     0,     0,
     647,   648,   649,   650,   651,   701,   235,     0,   652,     0,
     653,   654,   655,     0,     0,   656,     0,     0,   657,   658,
     659,   660,   661,   238,   239,   240,   241,   242,   243,   244,
     245,   246,   702,   662,   663,     0,     0,     0,  1210,  1211,
    1212,     0,  1213,  1214,  1215,  1216,  1217,  1218,    86,    87,
      88,   678,    90,    91,    92,   679,     0,   680,    95,     0,
       0,    98,    99,   100,   101,   102,   103,     0,   104,   105,
     681,     0,     0,   107,   108,   109,   110,     0,     0,   112,
     113,   114,   115,     0,   116,     0,     0,   682,   683,     0,
       0,     0,   684,   685,     0,     0,     0,     0,   686,     0,
       0,     0,     0,     0,     0,     0,     0,   687,     0,   688,
       0,   689,   690,    35,     0,     0,     0,     0,     0,     0,
       0,    41,    42,     0,     0,     0,     0,  1207,     0,     0,
       0,     0,     0,   418,   419,   420,   421,   422,   423,   424,
     425,     0,   426,   427,   428,     0,     0,     0,     0,     0,
       0,     0,   429,   430,     0,   431,   432,     0,   433,   434,
     435,   135,   136,     0,   138,   139,     0,   436,   437,   438,
     439,   440,     0,     0,   441,   442,   692,   140,   443,     0,
     444,  3139,   446,   447,   144,     0,     0,     0,   448,   449,
     450,   451,     0,   452,   693,     0,   453,   454,   455,   456,
     457,   458,     0,     0,   459,     0,     0,     0,     0,     0,
       0,     0,     0,   460,   461,   462,   463,   695,   464,   155,
     156,   465,     0,   466,     0,   467,   468,   469,   470,   471,
       0,   472,   473,   474,     0,     0,   475,   476,   477,   478,
     479,     0,   480,   481,   482,     0,   483,   484,   485,     0,
     486,   487,   488,   489,   164,   490,   491,   492,   166,     0,
    3140,     0,   494,   168,   495,     0,   496,     0,   497,     0,
       0,     0,   498,   499,   500,     0,   501,   172,     0,   502,
       0,   503,   504,   697,   505,   506,     0,   507,   508,   509,
       0,   510,   511,   512,   513,   514,   515,     0,   516,     0,
     175,     0,   517,   518,   519,     0,   176,     0,   177,     0,
     520,     0,     0,   521,     0,   522,   523,   524,   525,   526,
       0,   527,   528,     0,   529,   181,     0,   530,     0,     0,
     531,   532,   533,     0,     0,   534,   535,   536,   537,   538,
     539,   698,   540,   541,   699,   542,   543,   544,   188,     0,
     190,   545,   546,   191,     0,   547,   548,     0,   549,     0,
     194,   550,   195,   551,   552,   553,     0,   554,     0,     0,
     555,   556,   557,     0,     0,   196,     0,     0,     0,   200,
     558,   559,   560,   561,   562,   563,   564,     0,   565,   201,
     566,   202,   567,   568,   569,     0,   570,   571,   572,   573,
     574,   575,   576,   577,   204,   578,   579,   580,   581,     0,
     582,   583,   584,   585,   586,   587,   588,   589,   590,   591,
     592,     0,   593,   594,     0,   595,   596,   213,   597,   598,
     599,   600,   601,   602,   700,   603,     0,   604,   605,   606,
     607,   608,     0,   609,   218,   610,   611,     0,   612,   221,
     613,     0,   614,   615,   616,   617,   618,   619,   620,   621,
     622,   623,   223,     0,   624,   625,     0,   626,   627,   628,
     629,   630,   631,     0,   225,   226,     0,     0,   633,   227,
     634,   228,     0,   635,   636,   637,   638,   639,   640,   641,
       0,     0,   642,   643,   644,   645,   646,     0,     0,   647,
     648,   649,   650,   651,   701,   235,     0,   652,     0,   653,
     654,   655,     0,     0,   656,     0,     0,   657,   658,   659,
     660,   661,   238,   239,   240,   241,   242,   243,   244,   245,
     246,   702,   662,   663,     0,     0,     0,  1210,  1211,  1212,
       0,  1213,  1214,  1215,  1216,  1217,  1218,    86,    87,    88,
     678,    90,    91,    92,   679,     0,   680,    95,     0,     0,
      98,    99,   100,   101,   102,   103,     0,   104,   105,   681,
       0,     0,   107,   108,   109,   110,     0,     0,   112,   113,
     114,   115,     0,   116,     0,     0,   682,   683,     0,     0,
       0,   684,   685,     0,     0,     0,     0,   686,     0,     0,
       0,     0,     0,     0,     0,     0,   687,     0,   688,     0,
     689,   690,    35,     0,     0,     0,     0,     0,     0,     0,
      41,    42,     0,     0,     0,     0,  1207,     0,     0,     0,
       0,     0,   418,   419,   420,   421,   422,   423,   424,   425,
       0,   426,   427,   428,     0,     0,     0,     0,     0,     0,
       0,   429,   430,     0,   431,   432,     0,   433,   434,   435,
     135,   136,     0,   138,   139,     0,   436,   437,   438,   439,
     440,     0,     0,   441,   442,   692,   140,   443,     0,   444,
     445,   446,   447,   144,     0,     0,     0,   448,   449,   450,
     451,     0,   452,   693,     0,   453,   454,   455,   456,   457,
     458,     0,     0,   459,     0,     0,     0,     0,     0,     0,
       0,     0,   460,   461,   462,   463,   695,   464,   155,   156,
     465,     0,   466,     0,   467,   468,   469,   470,   471,     0,
     472,   473,   474,     0,     0,   475,   476,   477,   478,   479,
       0,   480,   481,   482,     0,   483,   484,   485,     0,   486,
     487,   488,   489,   164,   490,   491,   492,   166,     0,   493,
       0,   494,   168,   495,     0,   496,     0,   497,     0,     0,
       0,   498,   499,   500,     0,   501,   172,     0,   502,     0,
     503,   504,   697,   505,   506,     0,   507,   508,   509,     0,
     510,   511,   512,   513,   514,   515,     0,   516,     0,   175,
       0,   517,   518,   519,     0,   176,     0,   177,     0,   520,
       0,     0,   521,     0,   522,   523,   524,   525,   526,     0,
     527,   528,     0,   529,   181,     0,   530,     0,     0,   531,
     532,   533,     0,     0,   534,   535,   536,   537,   538,   539,
     698,   540,   541,   699,   542,   543,   544,   188,     0,   190,
     545,   546,   191,     0,   547,   548,     0,   549,     0,   194,
     550,   195,   551,   552,   553,     0,   554,     0,     0,  4750,
     556,   557,     0,     0,   196,     0,     0,     0,   200,   558,
     559,   560,   561,   562,   563,   564,     0,   565,   201,   566,
     202,   567,   568,   569,     0,   570,   571,   572,   573,   574,
     575,   576,   577,   204,   578,   579,   580,   581,     0,   582,
     583,   584,   585,   586,   587,   588,   589,   590,   591,   592,
       0,   593,   594,     0,   595,   596,   213,   597,   598,   599,
     600,   601,   602,   700,   603,     0,   604,   605,   606,   607,
     608,     0,   609,   218,   610,   611,     0,   612,   221,   613,
       0,   614,   615,   616,   617,   618,   619,   620,   621,   622,
     623,   223,     0,   624,   625,     0,   626,   627,   628,   629,
     630,   631,     0,   225,   226,     0,     0,   633,   227,   634,
     228,     0,   635,   636,   637,   638,   639,   640,   641,     0,
       0,   642,   643,   644,   645,   646,     0,     0,   647,   648,
     649,   650,   651,   701,   235,     0,   652,     0,   653,   654,
     655,     0,     0,   656,     0,     0,   657,   658,   659,   660,
     661,   238,   239,   240,   241,   242,   243,   244,   245,   246,
     702,   662,   663,     0,     0,     0,  1210,  1211,  1212,     0,
    1213,  1214,  1215,  1216,  1217,  1218,   726,    86,    87,    88,
     678,    90,    91,    92,   679,     0,   680,    95,     0,     0,
      98,    99,   100,   101,   102,   103,   727,   104,   105,   681,
     728,     0,   107,   108,   109,   110,   729,   730,   112,   113,
     114,   115,     0,   116,   731,   732,   682,   683,     0,     0,
       0,   684,   685,     0,     0,     0,     0,   686,     0,     0,
       0,     0,     0,     0,     0,     0,   687,     0,   688,     0,
     689,   690,    35,     0,     0,     0,     0,     0,     0,     0,
      41,    42,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   418,   419,   420,   421,   422,   423,   424,   425,
     733,   426,   427,   428,   734,   735,   736,   737,   738,   739,
     740,   429,   430,   741,   431,   432,   133,   433,   434,   435,
     135,   136,   137,   138,   139,   742,   436,   437,   438,   439,
     440,   743,   744,   441,   442,   745,   140,   443,   746,   444,
     445,   446,   447,   144,   747,   145,   748,   448,   449,   450,
     451,   148,   452,   749,   750,   453,   454,   455,   456,   457,
     458,   751,   151,   459,   752,   753,   754,   755,   152,   756,
     757,   758,   460,   461,   462,   463,   695,   464,   155,   156,
     465,   759,   466,   760,   467,   468,   469,   470,   471,   761,
     472,   473,   474,   762,   763,   475,   476,   477,   478,   479,
     764,   480,   481,   482,   765,   483,   484,   485,   766,   486,
     487,   488,   489,   164,   490,   491,   492,   166,   767,   493,
     768,   494,   168,   495,   769,   496,   770,   497,   169,   771,
     170,   498,   499,   500,   772,   501,   172,   773,   502,   774,
     503,   504,   697,   505,   506,   173,   507,   508,   509,   775,
     510,   511,   512,   513,   514,   515,   776,   516,   174,   175,
     777,   517,   518,   519,   778,   176,   779,   177,   780,   520,
     178,   179,   521,   180,   522,   523,   524,   525,   526,   781,
     527,   528,   782,   529,   181,   182,   530,   183,   783,   531,
     532,   533,   784,   785,   534,   535,   536,   537,   538,   539,
     698,   540,   541,   699,   542,   543,   544,   188,   189,   190,
     545,   546,   191,   786,   547,   548,   193,   549,   787,   194,
     550,   195,   551,   552,   553,   788,   554,   789,   790,   555,
     556,   557,   791,   792,   196,   197,   198,   199,   200,   558,
     559,   560,   561,   562,   563,   564,   793,   565,   201,   566,
     202,   567,   568,   569,   794,   570,   571,   572,   573,   574,
     575,   576,   577,   204,   578,   579,   580,   581,   795,   582,
     583,   584,   585,   586,   587,   588,   589,   590,   591,   592,
     796,   593,   594,   211,   595,   596,   213,   597,   598,   599,
     600,   601,   602,   700,   603,   797,   604,   605,   606,   607,
     608,   798,   609,   218,   610,   611,   220,   612,   221,   613,
     799,   614,   615,   616,   617,   618,   619,   620,   621,   622,
     623,   223,   800,   624,   625,   801,   626,   627,   628,   629,
     630,   631,   802,   225,   226,   803,   804,   633,   227,   634,
     228,   805,   635,   636,   637,   638,   639,   640,   641,   806,
     807,   642,   643,   644,   645,   646,   808,   809,   647,   648,
     649,   650,   651,   810,   235,   811,   652,   236,   653,   654,
     655,   812,   813,   656,   814,   815,   657,   658,   659,   660,
     661,   238,   239,   240,   241,   242,   243,   244,   245,   246,
     702,   662,   663,   726,    86,    87,    88,   678,    90,    91,
      92,   679,  2287,   680,    95,     0,     0,    98,    99,   100,
     101,   102,   103,   727,   104,   105,   681,   728,     0,   107,
     108,   109,   110,   729,   730,   112,   113,   114,   115,     0,
     116,   731,   732,   682,   683,     0,     0,     0,   684,   685,
       0,     0,     0,     0,   686,     0,     0,     0,     0,     0,
       0,     0,     0,   687,     0,   688,     0,   689,   690,    35,
       0,     0,     0,     0,     0,     0,     0,    41,    42,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   418,
     419,   420,   421,   422,   423,   424,   425,     0,   426,   427,
     428,     0,     0,     0,     0,     0,     0,     0,   429,   430,
       0,   431,   432,   133,   433,   434,   435,     0,  1900,   137,
    1901,  1902,     0,   436,   437,   438,   439,   440,     0,     0,
     441,   442,  1903,  1904,   443,     0,   444,   445,   446,   447,
       0,     0,   145,     0,   448,   449,   450,   451,   148,   452,
     693,     0,   453,   454,   455,   456,   457,   458,     0,   151,
     459,     0,     0,     0,     0,   152,     0,     0,     0,   460,
     461,   462,   463,   695,   464,  1905,  1906,   465,     0,   466,
       0,   467,   468,   469,   470,   471,     0,   472,   473,   474,
       0,     0,   475,   476,  1494,   478,   479,     0,   480,   481,
     482,     0,   483,   484,   485,     0,   486,   487,   488,   489,
       0,   490,   491,   492,     0,     0,   493,     0,   494,  1907,
     495,     0,   496,     0,   497,   169,     0,   170,   498,   499,
     500,     0,   501,     0,     0,   502,     0,   503,   504,   697,
     505,   506,   173,   507,   508,   509,     0,   510,   511,   512,
     513,   514,   515,     0,   516,   174,     0,     0,   517,   518,
     519,  1500,  1908,     0,  1909,     0,   520,   178,   179,   521,
     180,   522,   523,   524,   525,   526,     0,   527,   528,     0,
     529,     0,   182,   530,   183,     0,   531,   532,   533,     0,
       0,   534,   535,   536,   537,   538,   539,   698,   540,   541,
     699,   542,   543,   544,  1910,   189,  1911,   545,   546,     0,
       0,   547,   548,   193,   549,     0,     0,   550,  1912,   551,
     552,   553,     0,   554,     0,     0,   555,   556,   557,     0,
       0,     0,   197,   198,   199,     0,   558,   559,   560,   561,
     562,   563,   564,     0,   565,     0,   566,     0,   567,   568,
     569,     0,   570,   571,   572,   573,   574,   575,   576,   577,
    1913,   578,   579,   580,   581,     0,   582,   583,   584,   585,
     586,   587,   588,   589,   590,   591,   592,     0,   593,   594,
     211,   595,   596,     0,   597,   598,   599,   600,   601,   602,
     700,   603,     0,   604,   605,   606,   607,   608,     0,   609,
    1914,   610,   611,   220,   612,  1915,   613,     0,   614,   615,
     616,   617,   618,   619,   620,   621,   622,   623,     0,     0,
     624,   625,     0,   626,   627,   628,   629,   630,   631,     0,
    1916,  1917,     0,     0,   633,     0,   634,     0,     0,   635,
     636,   637,   638,   639,   640,   641,     0,     0,   642,   643,
     644,   645,   646,     0,     0,   647,   648,   649,   650,   651,
       0,  1918,     0,   652,   236,   653,   654,   655,     0,     0,
     656,     0,     0,   657,   658,   659,   660,   661,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   702,   662,   663,
       0,    86,    87,    88,   678,    90,    91,    92,   679,  2392,
     680,    95,     0,     0,    98,    99,   100,   101,   102,   103,
       0,   104,   105,   681,     0,     0,   107,   108,   109,   110,
       0,     0,   112,   113,   114,   115,     0,   116,     0,     0,
     682,   683,     0,     0,     0,   684,   685,     0,     0,     0,
       0,   686,     0,     0,     0,     0,     0,     0,     0,     0,
     687,     0,   688,     0,   689,   690,    35,     0,     0,     0,
       0,     0,     0,     0,    41,    42,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   418,   419,   420,   421,
     422,   423,   424,   425,     0,   426,   427,   428,     0,     0,
       0,     0,     0,     0,     0,   429,   430,     0,   431,   432,
       0,   433,   434,   435,   135,   136,     0,   138,   139,     0,
     436,   437,   438,   439,   440,     0,     0,   441,   442,   692,
     140,   443,     0,   444,   445,   446,   447,   144,     0,     0,
       0,   448,   449,   450,   451,     0,   452,   693,     0,   453,
     454,   455,   456,   457,   458,     0,     0,   459,     0,     0,
       0,     0,     0,     0,     0,     0,   460,   461,   462,   463,
     695,   464,   155,   156,   465,     0,   466,     0,   467,   468,
     469,   470,   471,     0,   472,   473,   474,     0,     0,   475,
     476,   477,   478,   479,     0,   480,   481,   482,     0,   483,
     484,   485,     0,   486,   487,   488,   489,   164,   490,   491,
     492,   166,     0,   493,     0,   494,   168,   495,     0,   496,
       0,   497,     0,     0,     0,   498,   499,   500,     0,   501,
     172,     0,   502,     0,   503,   504,   697,   505,   506,     0,
     507,   508,   509,     0,   510,   511,   512,   513,   514,   515,
       0,   516,     0,   175,     0,   517,   518,   519,     0,   176,
       0,   177,     0,   520,     0,     0,   521,     0,   522,   523,
     524,   525,   526,     0,   527,   528,     0,   529,   181,     0,
     530,     0,     0,   531,   532,   533,     0,     0,   534,   535,
     536,   537,   538,   539,   698,   540,   541,   699,   542,   543,
     544,   188,     0,   190,   545,   546,   191,     0,   547,   548,
       0,   549,     0,   194,   550,   195,   551,   552,   553,     0,
     554,     0,     0,   555,   556,   557,     0,     0,   196,     0,
       0,     0,   200,   558,   559,   560,   561,   562,   563,   564,
       0,   565,   201,   566,   202,   567,   568,   569,     0,   570,
     571,   572,   573,   574,   575,   576,   577,   204,   578,   579,
     580,   581,     0,   582,   583,   584,   585,   586,   587,   588,
     589,   590,   591,   592,     0,   593,   594,     0,   595,   596,
     213,   597,   598,   599,   600,   601,   602,   700,   603,     0,
     604,   605,   606,   607,   608,     0,   609,   218,   610,   611,
       0,   612,   221,   613,     0,   614,   615,   616,   617,   618,
     619,   620,   621,   622,   623,   223,     0,   624,   625,     0,
     626,   627,   628,   629,   630,   631,     0,   225,   226,     0,
       0,   633,   227,   634,   228,     0,   635,   636,   637,   638,
     639,   640,   641,     0,     0,   642,   643,   644,   645,   646,
       0,     0,   647,   648,   649,   650,   651,   701,   235,     0,
     652,     0,   653,   654,   655,     0,     0,   656,     0,     0,
     657,   658,   659,   660,   661,   238,   239,   240,   241,   242,
     243,   244,   245,   246,   702,   662,   663,     0,    86,    87,
      88,   678,    90,    91,    92,   679,  1090,   680,    95,     0,
       0,    98,    99,   100,   101,   102,   103,     0,   104,   105,
     681,     0,     0,   107,   108,   109,   110,     0,     0,   112,
     113,   114,   115,     0,   116,     0,     0,   682,   683,     0,
       0,     0,   684,   685,     0,     0,     0,     0,   686,     0,
       0,     0,     0,     0,     0,     0,     0,   687,     0,   688,
       0,   689,   690,    35,     0,     0,     0,     0,     0,     0,
       0,    41,    42,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   418,   419,   420,   421,   422,   423,   424,
     425,     0,   426,   427,   428,     0,     0,     0,     0,     0,
       0,     0,   429,   430,     0,   431,   432,     0,   433,   434,
     435,   135,   136,     0,   138,   139,     0,   436,   437,   438,
     439,   440,     0,     0,   441,   442,   692,   140,   443,     0,
     444,   445,   446,   447,   144,     0,     0,     0,   448,   449,
     450,   451,     0,   452,   693,     0,   453,   454,   455,   456,
     457,   458,     0,     0,   459,     0,     0,     0,     0,     0,
       0,     0,     0,   460,   461,   462,   463,   695,   464,   155,
     156,   465,     0,   466,     0,   467,   468,   469,   470,   471,
       0,   472,   473,   474,     0,     0,   475,   476,   477,   478,
     479,     0,   480,   481,   482,     0,   483,   484,   485,     0,
     486,   487,   488,   489,   164,   490,   491,   492,   166,     0,
     493,     0,   494,   168,   495,     0,   496,     0,   497,     0,
       0,     0,   498,   499,   500,     0,   501,   172,     0,   502,
       0,   503,   504,   697,   505,   506,     0,   507,   508,   509,
       0,   510,   511,   512,   513,   514,   515,     0,   516,     0,
     175,     0,   517,   518,   519,     0,   176,     0,   177,     0,
     520,     0,     0,   521,     0,   522,   523,   524,   525,   526,
       0,   527,   528,     0,   529,   181,     0,   530,     0,     0,
     531,   532,   533,     0,     0,   534,   535,   536,   537,   538,
     539,   698,   540,   541,   699,   542,   543,   544,   188,     0,
     190,   545,   546,   191,     0,   547,   548,     0,   549,     0,
     194,   550,   195,   551,   552,   553,     0,   554,     0,     0,
     555,   556,   557,     0,     0,   196,     0,     0,     0,   200,
     558,   559,   560,   561,   562,   563,   564,     0,   565,   201,
     566,   202,   567,   568,   569,     0,   570,   571,   572,   573,
     574,   575,   576,   577,   204,   578,   579,   580,   581,     0,
     582,   583,   584,   585,   586,   587,   588,   589,   590,   591,
     592,     0,   593,   594,     0,   595,   596,   213,   597,   598,
     599,   600,   601,   602,   700,   603,     0,   604,   605,   606,
     607,   608,     0,   609,   218,   610,   611,     0,   612,   221,
     613,     0,   614,   615,   616,   617,   618,   619,   620,   621,
     622,   623,   223,     0,   624,   625,     0,   626,   627,   628,
     629,   630,   631,     0,   225,   226,     0,     0,   633,   227,
     634,   228,     0,   635,   636,   637,   638,   639,   640,   641,
       0,     0,   642,   643,   644,   645,   646,     0,     0,   647,
     648,   649,   650,   651,   701,   235,     0,   652,     0,   653,
     654,   655,     0,     0,   656,     0,     0,   657,   658,   659,
     660,   661,   238,   239,   240,   241,   242,   243,   244,   245,
     246,   702,   662,   663,     0,    86,    87,    88,   678,    90,
      91,    92,   679,  4791,   680,    95,     0,     0,    98,    99,
     100,   101,   102,   103,     0,   104,   105,   681,     0,     0,
     107,   108,   109,   110,     0,     0,   112,   113,   114,   115,
       0,   116,     0,     0,   682,   683,     0,     0,     0,   684,
     685,     0,     0,     0,     0,   686,     0,     0,     0,     0,
       0,     0,     0,     0,   687,     0,   688,     0,   689,   690,
      35,   417,     0,     0,     0,     0,     0,     0,    41,    42,
       0,     0,     0,     0,     0,    45,     0,     0,     0,     0,
     418,   988,   420,   421,   422,   423,   424,   425,   989,   426,
     427,   428,     0,     0,     0,     0,     0,     0,     0,   429,
     430,     0,   431,   432,     0,   990,   434,   435,   135,   136,
       0,   138,   139,     0,   436,   437,   438,   439,   440,     0,
       0,   441,   442,   692,   140,   443,     0,   444,   445,   446,
     447,   144,     0,     0,     0,   448,   449,   450,   451,     0,
     452,   693,     0,   453,   454,   455,   456,   457,   458,     0,
       0,   459,     0,     0,     0,     0,     0,     0,     0,     0,
     460,   461,   462,   463,   695,   464,   155,   156,   465,     0,
     466,     0,   467,   468,   469,   470,   471,     0,   472,   473,
     474,     0,     0,   475,   476,   477,   478,   479,     0,   480,
     481,   482,     0,   483,   484,   485,     0,   486,   487,   488,
     489,   164,   490,   491,   492,   166,     0,   493,     0,   991,
     168,   495,     0,   496,     0,   992,     0,   993,     0,   498,
     499,   500,     0,   501,   172,     0,   502,     0,   503,   504,
     697,   505,   506,     0,   507,   508,   509,   994,   510,   511,
     512,   513,   514,   515,     0,   516,     0,   175,     0,   517,
     518,   519,     0,   176,     0,   177,     0,   520,     0,     0,
     521,     0,   522,   523,   524,   525,   995,     0,   527,   528,
       0,   529,   181,     0,   530,     0,     0,   531,   532,   533,
       0,     0,   534,   535,   536,   537,   538,   539,   698,   540,
     541,   699,   542,   543,   544,   188,     0,   190,   996,   546,
     191,     0,   547,   548,     0,   549,     0,   194,   550,   195,
     551,   552,   553,     0,   554,     0,     0,   555,   556,   557,
       0,     0,   196,     0,     0,     0,   200,   558,   559,   560,
     561,   562,   563,   564,     0,   565,   201,   566,   202,   567,
     568,   569,     0,   997,   571,   572,   573,   574,   575,   576,
     577,   204,   578,   579,   580,   581,     0,   582,   583,   998,
     585,   586,   587,   588,   589,   590,   591,   592,     0,   593,
     594,     0,   595,   596,   213,   597,   598,   599,   600,   601,
     602,   700,   603,     0,   604,   605,   606,   607,   608,     0,
     609,   218,   610,   611,     0,   612,   221,   613,     0,   614,
     615,   616,   617,   618,   619,   620,   621,   622,   623,   223,
       0,   624,   625,     0,   626,   627,   628,   629,   630,   631,
       0,   225,   226,     0,     0,   633,   227,   634,   228,     0,
     635,   636,   637,   638,   639,   640,   641,     0,     0,   642,
     643,   644,   645,   646,     0,     0,   647,   648,   649,   650,
     651,   701,   235,     0,   652,     0,   653,   654,   655,     0,
       0,   656,     0,     0,   657,   658,   659,   660,   661,   238,
     239,   240,   241,   242,   243,   244,   245,   246,   702,   662,
     663,     0,     0,     0,     0,     0,     0,     0,   999,  1000,
      86,    87,    88,   678,    90,    91,    92,   679,     0,   680,
      95,     0,     0,    98,    99,   100,   101,   102,   103,     0,
     104,   105,   681,     0,     0,   107,   108,   109,   110,     0,
       0,   112,   113,   114,   115,     0,   116,     0,     0,   682,
     683,     0,     0,     0,   684,   685,     0,     0,     0,     0,
     686,     0,     0,     0,     0,     0,     0,     0,     0,   687,
       0,   688,     0,   689,   690,    35,   417,     0,     0,     0,
       0,     0,     0,    41,    42,     0,     0,     0,     0,     0,
      45,     0,     0,     0,     0,   418,   988,   420,   421,   422,
     423,   424,   425,   989,   426,   427,   428,     0,     0,     0,
       0,     0,     0,     0,   429,   430,     0,   431,   432,     0,
    1021,   434,   435,   135,   136,     0,   138,   139,     0,   436,
     437,   438,   439,   440,     0,     0,   441,   442,   692,   140,
     443,     0,   444,   445,   446,   447,   144,     0,     0,     0,
     448,   449,   450,   451,     0,   452,   693,     0,   453,   454,
     455,   456,   457,   458,     0,     0,   459,     0,     0,     0,
       0,     0,     0,     0,     0,   460,   461,   462,   463,   695,
     464,   155,   156,   465,     0,   466,     0,   467,   468,   469,
     470,   471,     0,   472,   473,   474,     0,     0,   475,   476,
     477,   478,   479,     0,   480,   481,   482,     0,   483,   484,
     485,     0,   486,   487,   488,   489,   164,   490,   491,   492,
     166,     0,   493,     0,   991,   168,   495,     0,   496,     0,
    1022,     0,   993,     0,   498,   499,   500,     0,   501,   172,
       0,   502,     0,   503,   504,   697,   505,   506,     0,   507,
     508,   509,   994,   510,   511,   512,   513,   514,   515,     0,
     516,     0,   175,     0,   517,   518,   519,     0,   176,     0,
     177,     0,   520,     0,     0,   521,     0,   522,   523,   524,
     525,   995,     0,   527,   528,     0,   529,   181,     0,   530,
       0,     0,   531,   532,   533,     0,     0,   534,   535,   536,
     537,   538,   539,   698,   540,   541,   699,   542,   543,   544,
     188,     0,   190,   996,   546,   191,     0,   547,   548,     0,
     549,     0,   194,   550,   195,   551,   552,   553,     0,   554,
       0,     0,   555,   556,   557,     0,     0,   196,     0,     0,
       0,   200,   558,   559,   560,   561,   562,   563,   564,     0,
     565,   201,   566,   202,   567,   568,   569,     0,   997,   571,
     572,   573,   574,   575,   576,   577,   204,   578,   579,   580,
     581,     0,   582,   583,   998,   585,   586,   587,   588,   589,
     590,   591,   592,     0,   593,   594,     0,   595,   596,   213,
     597,   598,   599,   600,   601,   602,   700,   603,     0,   604,
     605,   606,   607,   608,     0,   609,   218,   610,   611,     0,
     612,   221,   613,     0,   614,   615,   616,   617,   618,   619,
     620,   621,   622,   623,   223,     0,   624,   625,     0,   626,
     627,   628,   629,   630,   631,     0,   225,   226,     0,     0,
     633,   227,   634,   228,     0,   635,   636,   637,   638,   639,
     640,   641,     0,     0,   642,   643,   644,   645,   646,     0,
       0,   647,   648,   649,   650,   651,   701,   235,     0,   652,
       0,   653,   654,   655,     0,     0,   656,     0,     0,   657,
     658,   659,   660,   661,   238,   239,   240,   241,   242,   243,
     244,   245,   246,   702,   662,   663,     0,     0,     0,     0,
       0,     0,     0,   999,  1000,    86,    87,    88,   678,    90,
      91,    92,   679,     0,   680,    95,     0,     0,    98,    99,
     100,   101,   102,   103,     0,   104,   105,   681,     0,     0,
     107,   108,   109,   110,     0,     0,   112,   113,   114,   115,
       0,   116,     0,     0,   682,   683,     0,     0,     0,   684,
     685,     0,     0,     0,     0,   686,     0,     0,     0,     0,
       0,     0,     0,     0,   687,     0,   688,     0,   689,   690,
      35,   417,     0,     0,     0,     0,     0,     0,    41,    42,
       0,     0,     0,     0,     0,    45,     0,     0,     0,     0,
     418,   419,   420,   421,   422,   423,   424,   425,  1407,   426,
     427,   428,     0,     0,     0,     0,     0,     0,     0,   429,
     430,     0,   431,   432,     0,   433,   434,   435,   135,   136,
       0,   138,   139,     0,   436,   437,   438,   439,   440,     0,
       0,   441,   442,   692,   140,   443,     0,   444,   445,   446,
     447,   144,     0,     0,     0,   448,   449,   450,   451,     0,
     452,   693,     0,   453,   454,   455,   456,   457,   458,     0,
       0,   459,     0,     0,     0,     0,     0,     0,     0,     0,
     460,   461,   462,   463,   695,   464,   155,   156,   465,     0,
     466,     0,   467,   468,   469,   470,   471,     0,   472,   473,
     474,     0,     0,   475,   476,   477,   478,   479,     0,   480,
     481,   482,     0,   483,   484,   485,     0,   486,   487,   488,
     489,   164,   490,   491,   492,   166,     0,   493,     0,   494,
     168,   495,     0,   496,     0,   497,     0,   993,     0,   498,
     499,   500,     0,   501,   172,     0,   502,     0,   503,   504,
     697,   505,   506,     0,   507,   508,   509,   994,   510,   511,
     512,   513,   514,   515,     0,   516,     0,   175,     0,   517,
     518,   519,     0,   176,     0,   177,     0,   520,     0,     0,
     521,     0,   522,   523,   524,   525,   526,     0,   527,   528,
       0,   529,   181,     0,   530,     0,     0,   531,   532,   533,
       0,     0,   534,   535,   536,   537,   538,   539,   698,   540,
     541,   699,   542,   543,   544,   188,     0,   190,   545,   546,
     191,     0,   547,   548,     0,   549,     0,   194,   550,   195,
     551,   552,   553,     0,   554,     0,     0,   555,   556,   557,
       0,     0,   196,     0,     0,     0,   200,   558,   559,   560,
     561,   562,   563,   564,     0,   565,   201,   566,   202,   567,
     568,   569,     0,   570,   571,   572,   573,   574,   575,   576,
     577,   204,   578,   579,   580,   581,     0,   582,   583,   584,
     585,   586,   587,   588,   589,   590,   591,   592,     0,   593,
     594,     0,   595,   596,   213,   597,   598,   599,   600,   601,
     602,   700,   603,     0,   604,   605,   606,   607,   608,     0,
     609,   218,   610,   611,     0,   612,   221,   613,     0,   614,
     615,   616,   617,   618,   619,   620,   621,   622,   623,   223,
       0,   624,   625,     0,   626,   627,   628,   629,   630,   631,
       0,   225,   226,     0,     0,   633,   227,   634,   228,     0,
     635,   636,   637,   638,   639,   640,   641,     0,     0,   642,
     643,   644,   645,   646,     0,     0,   647,   648,   649,   650,
     651,   701,   235,     0,   652,     0,   653,   654,   655,     0,
       0,   656,     0,     0,   657,   658,   659,   660,   661,   238,
     239,   240,   241,   242,   243,   244,   245,   246,   702,   662,
     663,     0,     0,     0,     0,     0,     0,     0,   999,  1000,
      86,    87,    88,   678,    90,    91,    92,   679,     0,   680,
      95,     0,     0,    98,    99,   100,   101,   102,   103,     0,
     104,   105,   681,     0,     0,   107,   108,   109,   110,     0,
       0,   112,   113,   114,   115,     0,   116,     0,     0,   682,
     683,     0,     0,     0,   684,   685,     0,     0,     0,     0,
     686,     0,     0,     0,     0,     0,     0,     0,     0,   687,
       0,   688,     0,   689,   690,    35,   417,     0,     0,     0,
       0,     0,     0,    41,    42,     0,     0,     0,     0,     0,
      45,     0,     0,     0,     0,   418,   419,   420,   421,   422,
     423,   424,   425,  1412,   426,   427,   428,     0,     0,     0,
       0,     0,     0,     0,   429,   430,     0,   431,   432,     0,
     433,   434,   435,   135,   136,     0,   138,   139,     0,   436,
     437,   438,   439,   440,     0,     0,   441,   442,   692,   140,
     443,     0,   444,   445,   446,   447,   144,     0,     0,     0,
     448,   449,   450,   451,     0,   452,   693,     0,   453,   454,
     455,   456,   457,   458,     0,     0,   459,     0,     0,     0,
       0,     0,     0,     0,     0,   460,   461,   462,   463,   695,
     464,   155,   156,   465,     0,   466,     0,   467,   468,   469,
     470,   471,     0,   472,   473,   474,     0,     0,   475,   476,
     477,   478,   479,     0,   480,   481,   482,     0,   483,   484,
     485,     0,   486,   487,   488,   489,   164,   490,   491,   492,
     166,     0,   493,     0,   494,   168,   495,     0,   496,     0,
     497,     0,   993,     0,   498,   499,   500,     0,   501,   172,
       0,   502,     0,   503,   504,   697,   505,   506,     0,   507,
     508,   509,   994,   510,   511,   512,   513,   514,   515,     0,
     516,     0,   175,     0,   517,   518,   519,     0,   176,     0,
     177,     0,   520,     0,     0,   521,     0,   522,   523,   524,
     525,   526,     0,   527,   528,     0,   529,   181,     0,   530,
       0,     0,   531,   532,   533,     0,     0,   534,   535,   536,
     537,   538,   539,   698,   540,   541,   699,   542,   543,   544,
     188,     0,   190,   545,   546,   191,     0,   547,   548,     0,
     549,     0,   194,   550,   195,   551,   552,   553,     0,   554,
       0,     0,   555,   556,   557,     0,     0,   196,     0,     0,
       0,   200,   558,   559,   560,   561,   562,   563,   564,     0,
     565,   201,   566,   202,   567,   568,   569,     0,   570,   571,
     572,   573,   574,   575,   576,   577,   204,   578,   579,   580,
     581,     0,   582,   583,   584,   585,   586,   587,   588,   589,
     590,   591,   592,     0,   593,   594,     0,   595,   596,   213,
     597,   598,   599,   600,   601,   602,   700,   603,     0,   604,
     605,   606,   607,   608,     0,   609,   218,   610,   611,     0,
     612,   221,   613,     0,   614,   615,   616,   617,   618,   619,
     620,   621,   622,   623,   223,     0,   624,   625,     0,   626,
     627,   628,   629,   630,   631,     0,   225,   226,     0,     0,
     633,   227,   634,   228,     0,   635,   636,   637,   638,   639,
     640,   641,     0,     0,   642,   643,   644,   645,   646,     0,
       0,   647,   648,   649,   650,   651,   701,   235,     0,   652,
       0,   653,   654,   655,     0,     0,   656,     0,     0,   657,
     658,   659,   660,   661,   238,   239,   240,   241,   242,   243,
     244,   245,   246,   702,   662,   663,     0,     0,     0,     0,
       0,     0,     0,   999,  1000,    86,    87,    88,   678,    90,
      91,    92,   679,     0,   680,    95,     0,     0,    98,    99,
     100,   101,   102,   103,     0,   104,   105,   681,     0,     0,
     107,   108,   109,   110,     0,     0,   112,   113,   114,   115,
       0,   116,     0,     0,   682,   683,     0,     0,     0,   684,
     685,     0,     0,     0,     0,   686,     0,     0,     0,     0,
       0,     0,     0,     0,   687,     0,   688,     0,   689,   690,
      35,   417,     0,     0,     0,     0,     0,     0,    41,    42,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     418,   419,   420,   421,   422,   423,   424,   425,     0,   426,
     427,   428,     0,     0,     0,     0,     0,     0,     0,   429,
     430,     0,   431,   432,     0,   433,   434,   435,   135,   136,
       0,   138,   139,     0,   436,   437,   438,   439,   440,     0,
       0,   441,   442,   692,   140,   443,     0,   444,   445,   446,
     447,   144,     0,     0,     0,   448,   449,   450,   451,     0,
     452,   693,     0,   453,   454,   455,   456,   457,   458,     0,
       0,   459,     0,     0,     0,     0,     0,     0,     0,     0,
     460,   461,   462,   463,   695,   464,   155,   156,   465,   696,
     466,     0,   467,   468,   469,   470,   471,     0,   472,   473,
     474,     0,     0,   475,   476,   477,   478,   479,     0,   480,
     481,   482,     0,   483,   484,   485,     0,   486,   487,   488,
     489,   164,   490,   491,   492,   166,     0,   493,     0,   494,
     168,   495,     0,   496,     0,   497,     0,     0,     0,   498,
     499,   500,     0,   501,   172,     0,   502,     0,   503,   504,
     697,   505,   506,     0,   507,   508,   509,     0,   510,   511,
     512,   513,   514,   515,     0,   516,     0,   175,     0,   517,
     518,   519,     0,   176,     0,   177,     0,   520,     0,     0,
     521,     0,   522,   523,   524,   525,   526,     0,   527,   528,
       0,   529,   181,     0,   530,     0,     0,   531,   532,   533,
       0,     0,   534,   535,   536,   537,   538,   539,   698,   540,
     541,   699,   542,   543,   544,   188,     0,   190,   545,   546,
     191,     0,   547,   548,     0,   549,     0,   194,   550,   195,
     551,   552,   553,     0,   554,     0,     0,   555,   556,   557,
       0,     0,   196,     0,     0,     0,   200,   558,   559,   560,
     561,   562,   563,   564,     0,   565,   201,   566,   202,   567,
     568,   569,     0,   570,   571,   572,   573,   574,   575,   576,
     577,   204,   578,   579,   580,   581,     0,   582,   583,   584,
     585,   586,   587,   588,   589,   590,   591,   592,     0,   593,
     594,     0,   595,   596,   213,   597,   598,   599,   600,   601,
     602,   700,   603,     0,   604,   605,   606,   607,   608,     0,
     609,   218,   610,   611,     0,   612,   221,   613,     0,   614,
     615,   616,   617,   618,   619,   620,   621,   622,   623,   223,
       0,   624,   625,     0,   626,   627,   628,   629,   630,   631,
       0,   225,   226,  1576,     0,   633,   227,   634,   228,     0,
     635,   636,   637,   638,   639,   640,   641,     0,     0,   642,
     643,   644,   645,   646,     0,     0,   647,   648,   649,   650,
     651,   701,   235,     0,   652,     0,   653,   654,   655,     0,
       0,   656,     0,     0,   657,   658,   659,   660,   661,   238,
     239,   240,   241,   242,   243,   244,   245,   246,   702,   662,
     663,     0,     0,  1061,  1577,    86,    87,    88,   678,    90,
      91,    92,   679,  1062,   680,    95,     0,     0,    98,    99,
     100,   101,   102,   103,     0,   104,   105,   681,     0,     0,
     107,   108,   109,   110,     0,     0,   112,   113,   114,   115,
       0,   116,     0,     0,   682,   683,     0,     0,     0,   684,
     685,     0,     0,     0,     0,   686,     0,     0,     0,     0,
       0,     0,     0,     0,   687,     0,   688,     0,   689,   690,
      35,     0,     0,     0,     0,     0,     0,     0,    41,    42,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     418,   419,   420,   421,   422,   423,   424,   425,     0,   426,
     427,   428,     0,     0,     0,     0,     0,     0,     0,   429,
     430,     0,   431,   432,     0,   433,   434,   435,   135,   136,
       0,   138,   139,     0,   436,   437,   438,   439,   440,     0,
       0,  1063,   442,  1037,   140,   443,     0,   444,   445,   446,
     447,   144,     0,     0,     0,   448,   449,   450,   451,     0,
     452,  1064,     0,  1065,   454,   455,   456,   457,   458,     0,
       0,   459,     0,     0,     0,     0,     0,     0,     0,     0,
     460,   461,   462,   463,   695,   464,   155,   156,   465,     0,
     466,     0,   467,   468,   469,   470,   471,     0,   472,   473,
     474,     0,     0,   475,   476,   477,   478,   479,     0,   480,
     481,   482,     0,   483,   484,   485,     0,   486,   487,   488,
     489,   164,   490,   491,   492,   166,     0,   493,     0,   494,
     168,   495,     0,   496,     0,   497,     0,     0,     0,   498,
     499,   500,     0,   501,   172,     0,   502,     0,   503,   504,
     697,   505,   506,     0,   507,   508,   509,     0,   510,   511,
     512,   513,   514,   515,     0,   516,     0,   175,     0,   517,
     518,   519,     0,   176,     0,   177,     0,   520,     0,     0,
     521,     0,   522,   523,   524,   525,   526,     0,   527,   528,
       0,   529,   181,     0,   530,     0,     0,   531,   532,  1066,
       0,     0,   534,   535,   536,   537,   538,   539,   698,   540,
     541,   699,   542,   543,  1067,   188,     0,   190,   545,   546,
     191,     0,   547,   548,     0,   549,     0,   194,   550,   195,
     551,   552,   553,     0,   554,     0,     0,   555,   556,   557,
       0,     0,   196,     0,     0,     0,   200,   558,   559,   560,
     561,   562,   563,   564,     0,   565,   201,   566,   202,   567,
     568,   569,     0,   570,   571,   572,   573,   574,   575,   576,
     577,   204,   578,   579,   580,   581,     0,   582,   583,   584,
     585,   586,   587,   588,   589,   590,   591,   592,     0,   593,
     594,     0,  1068,   596,   213,   597,   598,   599,  1069,   601,
     602,   700,   603,     0,   604,   605,   606,   607,  1070,     0,
     609,   218,   610,   611,     0,   612,   221,   613,     0,   614,
     615,   616,   617,   618,   619,   620,   621,   622,   623,   223,
       0,   624,   625,     0,   626,   627,   628,   629,   630,   631,
       0,  1071,   226,     0,     0,  1072,   227,   634,   228,     0,
     635,   636,   637,   638,   639,   640,   641,     0,     0,   642,
     643,   644,   645,   646,     0,     0,   647,   648,   649,   650,
     651,  1041,   235,     0,   652,     0,   653,   654,   655,     0,
       0,   656,     0,     0,   657,   658,   659,   660,  1073,   238,
     239,   240,   241,   242,   243,   244,   245,   246,   702,   662,
     663,   726,    86,    87,    88,   678,    90,    91,    92,   679,
       0,   680,    95,     0,     0,    98,    99,   100,   101,   102,
     103,   727,   104,   105,   681,   728,     0,   107,   108,   109,
     110,   729,   730,   112,   113,   114,   115,     0,   116,   731,
     732,   682,   683,     0,     0,     0,   684,   685,     0,     0,
       0,     0,   686,     0,     0,     0,     0,     0,     0,     0,
       0,   687,     0,   688,     0,   689,   690,    35,     0,     0,
       0,    37,    38,    39,    40,    41,    42,    43,    44,     0,
       0,     0,    45,     0,     0,     0,     0,   418,   419,   420,
     421,   422,   423,   424,   425,   733,   426,   427,   428,   734,
     735,   736,   737,   738,   739,   740,   429,   430,   741,   431,
     432,   133,   433,   434,   435,   135,   136,   137,   138,   139,
     742,   436,   437,   438,   439,   440,   743,   744,   441,   442,
     745,   140,   443,   746,   444,   445,   446,   447,   144,   747,
     145,   748,   448,   449,   450,   451,   148,   452,   749,   750,
     453,   454,   455,   456,   457,   458,   751,   151,   459,   752,
     753,   754,   755,   152,   756,   757,   758,   460,   461,   462,
     463,   695,   464,   155,   156,   465,   759,   466,   760,   467,
     468,   469,   470,   471,   761,   472,   473,   474,   762,   763,
     475,   476,   477,   478,   479,   764,   480,   481,   482,   765,
     483,   484,   485,   766,   486,   487,   488,   489,   164,   490,
     491,   492,   166,   767,   493,   768,   494,   168,   495,   769,
     496,   770,   497,   169,   771,   170,   498,   499,   500,   772,
     501,   172,   773,   502,   774,   503,   504,   697,   505,   506,
     173,   507,   508,   509,   775,   510,   511,   512,   513,   514,
     515,   776,   516,   174,   175,   777,   517,   518,   519,   778,
     176,   779,   177,   780,   520,   178,   179,   521,   180,   522,
     523,   524,   525,   526,   781,   527,   528,   782,   529,   181,
     182,   530,   183,   783,   531,   532,   533,   784,   785,   534,
     535,   536,   537,   538,   539,   698,   540,   541,   699,   542,
     543,   544,   188,   189,   190,   545,   546,   191,   786,   547,
     548,   193,   549,   787,   194,   550,   195,   551,   552,   553,
     788,   554,   789,   790,   555,   556,   557,   791,   792,   196,
     197,   198,   199,   200,   558,   559,   560,   561,   562,   563,
     564,   793,   565,   201,   566,   202,   567,   568,   569,   794,
     570,   571,   572,   573,   574,   575,   576,   577,   204,   578,
     579,   580,   581,   795,   582,   583,   584,   585,   586,   587,
     588,   589,   590,   591,   592,   796,   593,   594,   211,   595,
     596,   213,   597,   598,   599,   600,   601,   602,   700,   603,
     797,   604,   605,   606,   607,   608,   798,   609,   218,   610,
     611,   220,   612,   221,   613,   799,   614,   615,   616,   617,
     618,   619,   620,   621,   622,   623,   223,   800,   624,   625,
     801,   626,   627,   628,   629,   630,   631,   802,   225,   226,
     803,   804,   633,   227,   634,   228,   805,   635,   636,   637,
     638,   639,   640,   641,   806,   807,   642,   643,   644,   645,
     646,   808,   809,   647,   648,   649,   650,   651,   810,   235,
     811,   652,   236,   653,   654,   655,   812,   813,   656,   814,
     815,   657,   658,   659,   660,   661,   238,   239,   240,   241,
     242,   243,   244,   245,   246,   702,   662,   663,   726,    86,
      87,    88,   678,    90,    91,    92,   679,     0,   680,    95,
       0,     0,    98,    99,   100,   101,   102,   103,   727,   104,
     105,   681,   728,     0,   107,   108,   109,   110,   729,   730,
     112,   113,   114,   115,     0,   116,   731,   732,   682,   683,
       0,     0,     0,   684,   685,     0,     0,     0,     0,   686,
       0,     0,     0,     0,     0,     0,     0,     0,   687,     0,
     688,     0,   689,   690,    35,     0,     0,     0,     0,     0,
       0,     0,    41,    42,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   418,   419,   420,   421,   422,   423,
     424,   425,   733,   426,   427,   428,   734,   735,   736,   737,
     738,   739,   740,   429,   430,   741,   431,   432,   133,   433,
     434,   435,   135,   136,   137,   138,   139,   742,   436,   437,
     438,   439,   440,   743,   744,   441,   442,   745,   140,   443,
     746,   444,   445,   446,   447,   144,   747,   145,   748,   448,
     449,   450,   451,   148,   452,   749,   750,   453,   454,   455,
     456,   457,   458,   751,   151,   459,   752,   753,   754,   755,
     152,   756,   757,   758,   460,   461,   462,   463,   695,   464,
     155,   156,   465,   759,   466,   760,   467,   468,   469,   470,
     471,   761,   472,   473,   474,   762,   763,   475,   476,   477,
     478,   479,   764,   480,   481,   482,   765,   483,   484,   485,
     766,   486,   487,   488,   489,   164,   490,   491,   492,   166,
     767,   493,   768,   494,   168,   495,   769,   496,   770,   497,
     169,   771,   170,   498,   499,   500,   772,   501,   172,   773,
     502,   774,   503,   504,   697,   505,   506,   173,   507,   508,
     509,   775,   510,   511,   512,   513,   514,   515,   776,   516,
     174,   175,   777,   517,   518,   519,   778,   176,   779,   177,
     780,   520,   178,   179,   521,   180,   522,   523,   524,   525,
     526,   781,   527,   528,   782,   529,   181,   182,   530,   183,
     783,   531,   532,   533,   784,   785,   534,   535,   536,   537,
     538,   539,   698,   540,   541,   699,   542,   543,   544,   188,
     189,   190,   545,   546,   191,   786,   547,   548,   193,   549,
     787,   194,   550,   195,   551,   552,   553,   788,   554,   789,
     790,   555,   556,   557,   791,   792,   196,   197,   198,   199,
     200,   558,   559,   560,   561,   562,   563,   564,   793,   565,
     201,   566,   202,   567,   568,   569,   794,   570,   571,   572,
     573,   574,   575,   576,   577,   204,   578,   579,   580,   581,
     795,   582,   583,   584,   585,   586,   587,   588,   589,   590,
     591,   592,   796,   593,   594,   211,   595,   596,   213,   597,
     598,   599,   600,   601,   602,   700,   603,   797,   604,   605,
     606,   607,   608,   798,   609,   218,   610,   611,   220,   612,
     221,   613,   799,   614,   615,   616,   617,   618,   619,   620,
     621,   622,   623,   223,   800,   624,   625,   801,   626,   627,
     628,   629,   630,   631,   802,   225,   226,   803,   804,   633,
     227,   634,   228,   805,   635,   636,   637,   638,   639,   640,
     641,   806,   807,   642,   643,   644,   645,   646,   808,   809,
     647,   648,   649,   650,   651,   810,   235,   811,   652,   236,
     653,   654,   655,   812,   813,   656,   814,   815,   657,   658,
     659,   660,   661,   238,   239,   240,   241,   242,   243,   244,
     245,   246,   702,   662,   663,   726,    86,    87,    88,   678,
      90,    91,    92,   679,     0,   680,    95,     0,     0,    98,
      99,   100,   101,   102,   103,   727,   104,   105,   681,   728,
       0,   107,   108,   109,   110,   729,   730,   112,   113,   114,
     115,     0,   116,   731,   732,   682,   683,     0,     0,     0,
     684,   685,     0,     0,     0,     0,   686,     0,     0,     0,
       0,     0,     0,     0,     0,   687,     0,   688,     0,   689,
     690,    35,     0,     0,     0,     0,     0,     0,     0,    41,
      42,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   418,   419,   420,   421,  3204,   423,   424,   425,   733,
     426,   427,   428,   734,   735,   736,   737,   738,   739,   740,
     429,   430,   741,   431,   432,   133,   433,   434,   435,   135,
     136,   137,   138,   139,   742,   436,   437,   438,   439,   440,
     743,   744,   441,   442,   745,   140,   443,   746,   444,   445,
     446,   447,   144,   747,   145,   748,   448,   449,   450,   451,
     148,   452,   749,   750,   453,   454,   455,   456,   457,   458,
     751,   151,   459,   752,   753,   754,   755,   152,   756,   757,
     758,   460,   461,   462,   463,   695,   464,   155,   156,   465,
     759,   466,   760,   467,   468,   469,   470,   471,   761,   472,
     473,   474,   762,   763,   475,   476,   477,  3205,   479,   764,
     480,   481,   482,   765,   483,   484,   485,   766,   486,   487,
     488,   489,   164,   490,   491,   492,   166,   767,   493,   768,
     494,   168,   495,   769,   496,   770,   497,   169,   771,   170,
     498,   499,   500,   772,   501,   172,   773,   502,   774,   503,
     504,   697,   505,   506,   173,   507,   508,   509,   775,   510,
     511,   512,   513,   514,   515,   776,   516,   174,   175,   777,
     517,   518,   519,   778,   176,   779,   177,   780,   520,   178,
     179,   521,   180,   522,   523,   524,   525,   526,   781,   527,
     528,   782,   529,   181,   182,   530,   183,   783,   531,   532,
     533,   784,   785,   534,   535,   536,   537,   538,   539,   698,
     540,   541,   699,   542,   543,   544,   188,   189,   190,   545,
     546,   191,   786,   547,   548,   193,   549,   787,   194,   550,
     195,   551,   552,   553,   788,   554,   789,   790,   555,   556,
     557,   791,   792,   196,   197,   198,   199,   200,   558,   559,
     560,   561,   562,   563,   564,   793,   565,   201,   566,   202,
     567,   568,   569,   794,   570,   571,   572,   573,   574,   575,
     576,   577,   204,   578,   579,   580,   581,   795,   582,   583,
     584,   585,   586,   587,   588,   589,   590,   591,   592,   796,
     593,   594,   211,   595,   596,   213,   597,   598,   599,   600,
     601,   602,   700,   603,   797,   604,   605,   606,   607,   608,
     798,  3206,   218,   610,   611,   220,   612,   221,   613,   799,
     614,   615,   616,   617,   618,   619,   620,   621,   622,   623,
     223,   800,   624,   625,   801,   626,   627,   628,   629,   630,
     631,   802,   225,   226,   803,   804,   633,   227,   634,   228,
     805,   635,   636,   637,   638,   639,   640,   641,   806,   807,
     642,   643,   644,   645,   646,   808,   809,   647,   648,   649,
     650,   651,   810,   235,   811,   652,   236,   653,   654,   655,
     812,   813,   656,   814,   815,   657,   658,   659,   660,   661,
     238,   239,   240,   241,   242,   243,   244,   245,   246,   702,
     662,   663,   726,    86,    87,    88,   678,    90,    91,    92,
     679,     0,   680,    95,     0,     0,    98,    99,   100,   101,
     102,   103,   727,   104,   105,   681,   728,     0,   107,   108,
     109,   110,   729,   730,   112,   113,   114,   115,     0,   116,
     731,   732,   682,   683,     0,     0,     0,   684,   685,     0,
       0,     0,     0,   686,     0,     0,     0,     0,     0,     0,
       0,     0,   687,     0,   688,     0,   689,   690,    35,     0,
       0,     0,     0,     0,     0,     0,    41,    42,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   418,   419,
     420,   421,   422,   423,   424,   425,     0,   426,   427,   428,
       0,     0,     0,     0,     0,     0,     0,   429,   430,     0,
     431,   432,   133,   433,   434,   435,   135,   136,   137,   138,
     139,     0,   436,   437,   438,   439,   440,     0,     0,   441,
     442,   692,   140,   443,     0,   444,   445,   446,   447,   144,
       0,   145,     0,   448,   449,   450,   451,   148,   452,   693,
       0,   453,   454,   455,   456,   457,   458,     0,   151,   459,
       0,     0,     0,     0,   152,     0,     0,     0,   460,   461,
     462,   463,   695,   464,   155,   156,   465,     0,   466,     0,
     467,   468,   469,   470,   471,     0,   472,   473,   474,     0,
       0,   475,   476,   477,   478,   479,     0,   480,   481,   482,
       0,   483,   484,   485,     0,   486,   487,   488,   489,   164,
     490,   491,   492,   166,     0,   493,     0,   494,   168,   495,
       0,   496,     0,   497,   169,     0,   170,   498,   499,   500,
       0,   501,   172,     0,   502,     0,   503,   504,   697,   505,
     506,   173,   507,   508,   509,     0,   510,   511,   512,   513,
     514,   515,     0,   516,   174,   175,     0,   517,   518,   519,
       0,   176,     0,   177,     0,   520,   178,   179,   521,   180,
     522,   523,   524,   525,   526,     0,   527,   528,     0,   529,
     181,   182,   530,   183,     0,   531,   532,   533,     0,     0,
     534,   535,   536,   537,   538,   539,   698,   540,   541,   699,
     542,   543,   544,   188,   189,   190,   545,   546,   191,     0,
     547,   548,   193,   549,     0,   194,   550,   195,   551,   552,
     553,     0,   554,     0,     0,   555,   556,   557,     0,     0,
     196,   197,   198,   199,   200,   558,   559,   560,   561,   562,
     563,   564,     0,   565,   201,   566,   202,   567,   568,   569,
       0,   570,   571,   572,   573,   574,   575,   576,   577,   204,
     578,   579,   580,   581,     0,   582,   583,   584,   585,   586,
     587,   588,   589,   590,   591,   592,     0,   593,   594,   211,
     595,   596,   213,   597,   598,   599,   600,   601,   602,   700,
     603,     0,   604,   605,   606,   607,   608,     0,   609,   218,
     610,   611,   220,   612,   221,   613,     0,   614,   615,   616,
     617,   618,   619,   620,   621,   622,   623,   223,     0,   624,
     625,     0,   626,   627,   628,   629,   630,   631,     0,   225,
     226,     0,     0,   633,   227,   634,   228,     0,   635,   636,
     637,   638,   639,   640,   641,     0,     0,   642,   643,   644,
     645,   646,     0,     0,   647,   648,   649,   650,   651,   701,
     235,     0,   652,   236,   653,   654,   655,     0,     0,   656,
       0,     0,   657,   658,   659,   660,   661,   238,   239,   240,
     241,   242,   243,   244,   245,   246,   702,   662,   663,   726,
      86,    87,    88,   678,    90,    91,    92,   679,     0,   680,
      95,     0,     0,    98,    99,   100,   101,   102,   103,   727,
     104,   105,   681,   728,     0,   107,   108,   109,   110,   729,
     730,   112,   113,   114,   115,     0,   116,   731,   732,   682,
     683,     0,     0,     0,   684,   685,     0,     0,     0,     0,
     686,     0,     0,     0,     0,     0,     0,     0,     0,   687,
       0,   688,     0,   689,   690,    35,     0,     0,     0,     0,
       0,     0,     0,    41,    42,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   418,   419,   420,   421,   422,
     423,   424,   425,     0,   426,   427,   428,     0,     0,     0,
       0,     0,     0,     0,   429,   430,     0,   431,   432,   133,
     433,   434,   435,   135,   136,   137,   138,   139,     0,   436,
     437,   438,   439,   440,     0,     0,   441,   442,   692,   140,
     443,     0,   444,   445,   446,   447,   144,     0,   145,     0,
     448,   449,   450,   451,   148,   452,   693,     0,   453,   454,
     455,   456,   457,   458,     0,   151,   459,     0,     0,     0,
       0,   152,     0,     0,     0,   460,   461,   462,   463,   695,
     464,   155,   156,   465,     0,   466,     0,   467,   468,   469,
     470,   471,     0,   472,   473,   474,     0,     0,   475,   476,
     477,   478,   479,     0,   480,   481,   482,     0,   483,   484,
     485,     0,   486,   487,   488,   489,   164,   490,   491,   492,
     166,     0,   493,     0,   494,   168,   495,     0,   496,     0,
     497,   169,     0,   170,   498,   499,   500,     0,   501,   172,
       0,   502,     0,   503,   504,   697,   505,  1342,   173,   507,
     508,   509,     0,   510,   511,   512,   513,   514,   515,     0,
     516,   174,   175,     0,   517,   518,   519,     0,   176,     0,
     177,     0,   520,   178,   179,   521,   180,   522,   523,   524,
     525,   526,     0,   527,   528,     0,   529,   181,   182,   530,
     183,     0,   531,   532,   533,     0,     0,   534,   535,   536,
     537,   538,   539,   698,   540,   541,   699,   542,   543,   544,
     188,   189,   190,   545,   546,   191,     0,   547,   548,   193,
     549,     0,   194,   550,   195,   551,   552,   553,     0,   554,
       0,     0,   555,   556,   557,     0,     0,   196,   197,   198,
     199,   200,   558,   559,   560,   561,   562,   563,   564,     0,
     565,   201,   566,   202,   567,   568,   569,     0,   570,   571,
     572,   573,   574,   575,   576,   577,   204,   578,   579,   580,
     581,     0,   582,   583,   584,   585,   586,   587,   588,   589,
     590,   591,   592,     0,   593,   594,   211,   595,   596,   213,
     597,   598,   599,   600,   601,   602,   700,   603,     0,   604,
     605,   606,   607,   608,     0,   609,   218,   610,   611,   220,
     612,   221,   613,     0,   614,   615,   616,   617,   618,   619,
     620,   621,   622,   623,   223,     0,   624,   625,     0,   626,
     627,   628,   629,   630,   631,     0,   225,   226,     0,     0,
     633,   227,   634,   228,     0,   635,   636,   637,   638,   639,
     640,   641,     0,     0,   642,   643,   644,   645,   646,     0,
       0,   647,   648,   649,   650,   651,   701,   235,     0,   652,
     236,   653,   654,   655,     0,     0,   656,     0,     0,   657,
     658,   659,   660,   661,   238,   239,   240,   241,   242,   243,
     244,   245,   246,   702,   662,   663,   726,    86,    87,    88,
     678,    90,    91,    92,   679,     0,   680,    95,     0,     0,
      98,    99,   100,   101,   102,   103,   727,   104,   105,   681,
     728,     0,   107,   108,   109,   110,   729,   730,   112,   113,
     114,   115,     0,   116,   731,   732,   682,   683,     0,     0,
       0,   684,   685,     0,     0,     0,     0,   686,     0,     0,
       0,     0,     0,     0,     0,     0,   687,     0,   688,     0,
     689,   690,    35,     0,     0,     0,     0,     0,     0,     0,
      41,    42,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   418,   419,   420,   421,   422,   423,   424,   425,
       0,   426,   427,   428,     0,     0,     0,     0,     0,     0,
       0,   429,   430,     0,   431,   432,   133,   433,   434,   435,
     135,   136,   137,   138,   139,     0,   436,   437,   438,   439,
     440,     0,     0,   441,   442,   692,   140,   443,     0,   444,
     445,   446,   447,   144,     0,   145,     0,   448,   449,   450,
     451,   148,   452,   693,     0,   453,   454,   455,   456,   457,
     458,     0,   151,   459,     0,     0,     0,     0,   152,     0,
       0,     0,   460,   461,   462,   463,   695,   464,   155,   156,
     465,     0,   466,     0,   467,   468,   469,   470,   471,     0,
     472,   473,   474,     0,     0,   475,   476,   477,   478,   479,
       0,   480,   481,   482,     0,   483,   484,   485,     0,   486,
     487,   488,   489,   164,   490,   491,   492,   166,     0,   493,
       0,   494,   168,   495,     0,   496,     0,   497,   169,     0,
     170,   498,   499,   500,     0,   501,   172,     0,   502,     0,
     503,   504,   697,   505,  1352,   173,   507,   508,   509,     0,
     510,   511,   512,   513,   514,   515,     0,   516,   174,   175,
       0,   517,   518,   519,     0,   176,     0,   177,     0,   520,
     178,   179,   521,   180,   522,   523,   524,   525,   526,     0,
     527,   528,     0,   529,   181,   182,   530,   183,     0,   531,
     532,   533,     0,     0,   534,   535,   536,   537,   538,   539,
     698,   540,   541,   699,   542,   543,   544,   188,   189,   190,
     545,   546,   191,     0,   547,   548,   193,   549,     0,   194,
     550,   195,   551,   552,   553,     0,   554,     0,     0,   555,
     556,   557,     0,     0,   196,   197,   198,   199,   200,   558,
     559,   560,   561,   562,   563,   564,     0,   565,   201,   566,
     202,   567,   568,   569,     0,   570,   571,   572,   573,   574,
     575,   576,   577,   204,   578,   579,   580,   581,     0,   582,
     583,   584,   585,   586,   587,   588,   589,   590,   591,   592,
       0,   593,   594,   211,   595,   596,   213,   597,   598,   599,
     600,   601,   602,   700,   603,     0,   604,   605,   606,   607,
     608,     0,   609,   218,   610,   611,   220,   612,   221,   613,
       0,   614,   615,   616,   617,   618,   619,   620,   621,   622,
     623,   223,     0,   624,   625,     0,   626,   627,   628,   629,
     630,   631,     0,   225,   226,     0,     0,   633,   227,   634,
     228,     0,   635,   636,   637,   638,   639,   640,   641,     0,
       0,   642,   643,   644,   645,   646,     0,     0,   647,   648,
     649,   650,   651,   701,   235,     0,   652,   236,   653,   654,
     655,     0,     0,   656,     0,     0,   657,   658,   659,   660,
     661,   238,   239,   240,   241,   242,   243,   244,   245,   246,
     702,   662,   663,   726,    86,    87,    88,   678,    90,    91,
      92,   679,     0,   680,    95,     0,     0,    98,    99,   100,
     101,   102,   103,   727,   104,   105,   681,   728,     0,   107,
     108,   109,   110,   729,   730,   112,   113,   114,   115,     0,
     116,   731,   732,   682,   683,     0,     0,     0,   684,   685,
       0,     0,     0,     0,   686,     0,     0,     0,     0,     0,
       0,     0,     0,   687,     0,   688,     0,   689,   690,    35,
       0,     0,     0,     0,     0,     0,     0,    41,    42,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   418,
     419,   420,   421,   422,   423,   424,   425,     0,   426,   427,
     428,     0,     0,     0,     0,     0,     0,     0,   429,   430,
       0,   431,   432,   133,   433,   434,   435,     0,  1900,   137,
    1901,  1902,     0,   436,   437,   438,   439,   440,     0,     0,
     441,   442,  1903,  1904,   443,     0,   444,   445,   446,   447,
       0,     0,   145,     0,   448,   449,   450,   451,   148,   452,
     693,     0,   453,   454,   455,   456,   457,   458,     0,   151,
     459,     0,     0,     0,     0,   152,     0,     0,     0,   460,
     461,   462,   463,   695,   464,  1905,  1906,   465,     0,   466,
       0,   467,   468,   469,   470,   471,     0,   472,   473,   474,
       0,     0,   475,   476,  1494,   478,   479,     0,   480,   481,
     482,     0,   483,   484,   485,     0,   486,   487,   488,   489,
       0,   490,   491,   492,     0,     0,   493,     0,   494,  1907,
     495,     0,   496,     0,   497,   169,     0,   170,   498,   499,
     500,     0,   501,     0,     0,   502,     0,   503,   504,   697,
     505,   506,   173,   507,   508,   509,  2482,   510,   511,   512,
     513,   514,   515,     0,   516,   174,  2483,     0,   517,   518,
     519,  1500,  1908,     0,  1909,     0,   520,   178,   179,   521,
     180,   522,   523,   524,   525,   526,     0,   527,   528,     0,
     529,     0,   182,   530,   183,     0,   531,   532,   533,     0,
       0,   534,   535,   536,   537,   538,   539,   698,   540,   541,
     699,   542,   543,   544,  1910,   189,  1911,   545,   546,     0,
       0,   547,   548,   193,   549,     0,     0,   550,  1912,   551,
     552,   553,     0,   554,     0,     0,   555,   556,   557,     0,
       0,  2484,   197,   198,   199,     0,   558,   559,   560,   561,
     562,   563,   564,     0,   565,     0,   566,     0,   567,   568,
     569,     0,   570,   571,   572,   573,   574,   575,   576,   577,
    1913,   578,   579,   580,   581,     0,   582,   583,   584,   585,
     586,   587,   588,   589,   590,   591,   592,     0,   593,   594,
     211,   595,   596,     0,   597,   598,   599,   600,   601,   602,
     700,   603,     0,   604,   605,   606,   607,   608,     0,   609,
    2485,   610,   611,   220,   612,  1915,   613,     0,   614,   615,
     616,   617,   618,   619,   620,   621,   622,   623,     0,     0,
     624,   625,     0,   626,   627,   628,   629,   630,   631,     0,
    1916,  1917,     0,     0,   633,     0,   634,     0,     0,   635,
     636,   637,   638,   639,   640,   641,     0,     0,   642,   643,
     644,   645,   646,     0,     0,   647,   648,   649,   650,   651,
       0,  1918,  2486,   652,   236,   653,   654,   655,     0,     0,
     656,     0,     0,   657,   658,   659,   660,   661,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   702,   662,   663,
     726,    86,    87,    88,   678,    90,    91,    92,   679,     0,
     680,    95,     0,     0,    98,    99,   100,   101,   102,   103,
     727,   104,   105,   681,   728,     0,   107,   108,   109,   110,
     729,   730,   112,   113,   114,   115,     0,   116,   731,   732,
     682,   683,     0,     0,     0,   684,   685,     0,     0,     0,
       0,   686,     0,     0,     0,     0,     0,     0,     0,     0,
     687,     0,   688,     0,   689,   690,    35,     0,     0,     0,
       0,     0,     0,     0,    41,    42,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   418,   419,   420,   421,
     422,   423,   424,   425,     0,   426,   427,   428,     0,     0,
       0,     0,     0,     0,     0,   429,   430,     0,   431,   432,
     133,   433,   434,   435,     0,  1900,   137,  1901,  1902,     0,
     436,   437,   438,   439,   440,     0,     0,   441,   442,  1903,
    1904,   443,     0,   444,   445,   446,   447,     0,     0,   145,
       0,   448,   449,   450,   451,   148,   452,   693,     0,   453,
     454,   455,   456,   457,   458,     0,   151,   459,     0,     0,
       0,     0,   152,     0,     0,     0,   460,   461,   462,   463,
     695,   464,  1905,  1906,   465,     0,   466,     0,   467,   468,
     469,   470,   471,     0,   472,   473,   474,     0,     0,   475,
     476,  1494,   478,   479,     0,   480,   481,   482,     0,   483,
     484,   485,     0,   486,   487,   488,   489,     0,   490,   491,
     492,     0,     0,   493,     0,   494,  1907,   495,     0,   496,
       0,   497,   169,     0,   170,   498,   499,   500,     0,   501,
       0,     0,   502,     0,   503,   504,   697,   505,   506,   173,
     507,   508,   509,     0,   510,   511,   512,   513,   514,   515,
       0,   516,   174,     0,     0,   517,   518,   519,  1500,  1908,
       0,  1909,     0,   520,   178,   179,   521,   180,   522,   523,
     524,   525,   526,     0,   527,   528,     0,   529,     0,   182,
     530,   183,     0,   531,   532,   533,     0,     0,   534,   535,
     536,   537,   538,   539,   698,   540,   541,   699,   542,   543,
     544,  1910,   189,  1911,   545,   546,     0,     0,   547,   548,
     193,   549,  2470,     0,   550,  1912,   551,   552,   553,     0,
     554,     0,     0,   555,   556,   557,     0,     0,     0,   197,
     198,   199,     0,   558,   559,   560,   561,   562,   563,   564,
       0,   565,     0,   566,     0,   567,   568,   569,     0,   570,
     571,   572,   573,   574,   575,   576,   577,  1913,   578,   579,
     580,   581,     0,   582,   583,   584,   585,   586,   587,   588,
     589,   590,   591,   592,     0,   593,   594,   211,   595,   596,
       0,   597,   598,   599,   600,   601,   602,   700,   603,     0,
     604,   605,   606,   607,   608,     0,   609,  2485,   610,   611,
     220,   612,  1915,   613,     0,   614,   615,   616,   617,   618,
     619,   620,   621,   622,   623,     0,     0,   624,   625,  3974,
     626,   627,   628,   629,   630,   631,     0,  1916,  1917,     0,
       0,   633,     0,   634,     0,     0,   635,   636,   637,   638,
     639,   640,   641,     0,     0,   642,   643,   644,   645,   646,
       0,     0,   647,   648,   649,   650,   651,     0,  1918,     0,
     652,   236,   653,   654,   655,     0,     0,   656,     0,     0,
     657,   658,   659,   660,   661,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   702,   662,   663,   726,    86,    87,
      88,   678,    90,    91,    92,   679,     0,   680,    95,     0,
       0,    98,    99,   100,   101,   102,   103,   727,   104,   105,
     681,   728,     0,   107,   108,   109,   110,   729,   730,   112,
     113,   114,   115,     0,   116,   731,   732,   682,   683,     0,
       0,     0,   684,   685,     0,     0,     0,     0,   686,     0,
       0,     0,     0,     0,     0,     0,     0,   687,     0,   688,
       0,   689,   690,    35,     0,     0,     0,     0,     0,     0,
       0,    41,    42,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   418,   419,   420,   421,   422,   423,   424,
     425,     0,   426,   427,   428,     0,     0,     0,     0,     0,
       0,     0,   429,   430,     0,   431,   432,   133,   433,   434,
     435,     0,  1900,   137,  1901,  1902,     0,   436,   437,   438,
     439,   440,     0,     0,   441,   442,  1903,  1904,   443,     0,
     444,   445,   446,   447,     0,     0,   145,     0,   448,   449,
     450,   451,   148,   452,   693,     0,   453,   454,   455,   456,
     457,   458,     0,   151,   459,     0,     0,     0,     0,   152,
       0,     0,     0,   460,   461,   462,   463,   695,   464,  1905,
    1906,   465,     0,   466,     0,   467,   468,   469,   470,   471,
       0,   472,   473,   474,     0,     0,   475,   476,  1494,   478,
     479,     0,   480,   481,   482,     0,   483,   484,   485,     0,
     486,   487,   488,   489,     0,   490,   491,   492,     0,     0,
     493,     0,   494,  1907,   495,     0,   496,     0,   497,   169,
       0,   170,   498,   499,   500,     0,   501,     0,     0,   502,
       0,   503,   504,   697,   505,   506,   173,   507,   508,   509,
       0,   510,   511,   512,   513,   514,   515,     0,   516,   174,
       0,     0,   517,   518,   519,  1500,  1908,     0,  1909,     0,
     520,   178,   179,   521,   180,   522,   523,   524,   525,   526,
       0,   527,   528,     0,   529,     0,   182,   530,   183,     0,
     531,   532,   533,     0,     0,   534,   535,   536,   537,   538,
     539,   698,   540,   541,   699,   542,   543,   544,  1910,   189,
    1911,   545,   546,  2536,     0,   547,   548,   193,   549,     0,
       0,   550,  1912,   551,   552,   553,     0,   554,     0,     0,
     555,   556,   557,     0,     0,     0,   197,   198,   199,     0,
     558,   559,   560,   561,   562,   563,   564,     0,   565,     0,
     566,     0,   567,   568,   569,     0,   570,   571,   572,   573,
     574,   575,   576,   577,  1913,   578,   579,   580,   581,     0,
     582,   583,   584,   585,   586,   587,   588,   589,   590,   591,
     592,     0,   593,   594,   211,   595,   596,     0,   597,   598,
     599,   600,   601,   602,   700,   603,     0,   604,   605,   606,
     607,   608,     0,   609,  1914,   610,   611,   220,   612,  1915,
     613,     0,   614,   615,   616,   617,   618,   619,   620,   621,
     622,   623,     0,     0,   624,   625,     0,   626,   627,   628,
     629,   630,   631,     0,  1916,  1917,     0,     0,   633,     0,
     634,     0,     0,   635,   636,   637,   638,   639,   640,   641,
       0,     0,   642,   643,   644,   645,   646,     0,     0,   647,
     648,   649,   650,   651,     0,  1918,     0,   652,   236,   653,
     654,   655,     0,     0,   656,     0,     0,   657,   658,   659,
     660,   661,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   702,   662,   663,   726,    86,    87,    88,   678,    90,
      91,    92,   679,     0,   680,    95,     0,     0,    98,    99,
     100,   101,   102,   103,   727,   104,   105,   681,   728,     0,
     107,   108,   109,   110,   729,   730,   112,   113,   114,   115,
       0,   116,   731,   732,   682,   683,     0,     0,     0,   684,
     685,     0,     0,     0,     0,   686,     0,     0,     0,     0,
       0,     0,     0,     0,   687,     0,   688,     0,   689,   690,
      35,     0,     0,     0,     0,     0,     0,     0,    41,    42,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     418,   419,   420,   421,   422,   423,   424,   425,     0,   426,
     427,   428,     0,     0,     0,     0,     0,     0,     0,   429,
     430,     0,   431,   432,   133,   433,   434,   435,     0,  1900,
     137,  1901,  1902,     0,   436,   437,   438,   439,   440,     0,
       0,   441,   442,  1903,  1904,   443,     0,   444,   445,   446,
     447,     0,     0,   145,     0,   448,   449,   450,   451,   148,
     452,   693,     0,   453,   454,   455,   456,   457,   458,     0,
     151,   459,     0,     0,     0,     0,   152,     0,     0,     0,
     460,   461,   462,   463,   695,   464,  1905,  1906,   465,     0,
     466,     0,   467,   468,   469,   470,   471,     0,   472,   473,
     474,     0,     0,   475,   476,  1494,   478,   479,     0,   480,
     481,   482,     0,   483,   484,   485,     0,   486,   487,   488,
     489,     0,   490,   491,   492,     0,     0,   493,     0,   494,
    1907,   495,     0,   496,     0,   497,   169,     0,   170,   498,
     499,   500,     0,   501,     0,     0,   502,     0,   503,   504,
     697,   505,   506,   173,   507,   508,   509,     0,   510,   511,
     512,   513,   514,   515,     0,   516,   174,     0,     0,   517,
     518,   519,  1500,  1908,     0,  1909,     0,   520,   178,   179,
     521,   180,   522,   523,   524,   525,   526,     0,   527,   528,
       0,   529,     0,   182,   530,   183,     0,   531,   532,   533,
       0,     0,   534,   535,   536,   537,   538,   539,   698,   540,
     541,   699,   542,   543,   544,  1910,   189,  1911,   545,   546,
    3806,     0,   547,   548,   193,   549,     0,     0,   550,  1912,
     551,   552,   553,     0,   554,     0,     0,   555,   556,   557,
       0,     0,     0,   197,   198,   199,     0,   558,   559,   560,
     561,   562,   563,   564,     0,   565,     0,   566,     0,   567,
     568,   569,     0,   570,   571,   572,   573,   574,   575,   576,
     577,  1913,   578,   579,   580,   581,     0,   582,   583,   584,
     585,   586,   587,   588,   589,   590,   591,   592,     0,   593,
     594,   211,   595,   596,     0,   597,   598,   599,   600,   601,
     602,   700,   603,     0,   604,   605,   606,   607,   608,     0,
     609,  1914,   610,   611,   220,   612,  1915,   613,     0,   614,
     615,   616,   617,   618,   619,   620,   621,   622,   623,     0,
       0,   624,   625,     0,   626,   627,   628,   629,   630,   631,
       0,  1916,  1917,     0,     0,   633,     0,   634,     0,     0,
     635,   636,   637,   638,   639,   640,   641,     0,     0,   642,
     643,   644,   645,   646,     0,     0,   647,   648,   649,   650,
     651,     0,  1918,     0,   652,   236,   653,   654,   655,     0,
       0,   656,     0,     0,   657,   658,   659,   660,   661,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   702,   662,
     663,   726,    86,    87,    88,   678,    90,    91,    92,   679,
       0,   680,    95,     0,     0,    98,    99,   100,   101,   102,
     103,   727,   104,   105,   681,   728,     0,   107,   108,   109,
     110,   729,   730,   112,   113,   114,   115,     0,   116,   731,
     732,   682,   683,     0,     0,     0,   684,   685,     0,     0,
       0,     0,   686,     0,     0,     0,     0,     0,     0,     0,
       0,   687,     0,   688,     0,   689,   690,    35,     0,     0,
       0,     0,     0,     0,     0,    41,    42,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   418,   419,   420,
     421,   422,   423,   424,   425,     0,   426,   427,   428,     0,
       0,     0,     0,     0,     0,     0,   429,   430,     0,   431,
     432,   133,   433,   434,   435,     0,  1900,   137,  1901,  1902,
       0,   436,   437,   438,   439,   440,     0,     0,   441,   442,
    1903,  1904,   443,     0,   444,   445,   446,   447,     0,     0,
     145,     0,   448,   449,   450,   451,   148,   452,   693,     0,
     453,   454,   455,   456,   457,   458,     0,   151,   459,     0,
       0,     0,     0,   152,     0,     0,     0,   460,   461,   462,
     463,   695,   464,  1905,  1906,   465,     0,   466,     0,   467,
     468,   469,   470,   471,     0,   472,   473,   474,     0,     0,
     475,   476,  1494,   478,   479,     0,   480,   481,   482,     0,
     483,   484,   485,     0,   486,   487,   488,   489,     0,   490,
     491,   492,     0,     0,   493,     0,   494,  1907,   495,     0,
     496,     0,   497,   169,     0,   170,   498,   499,   500,     0,
     501,     0,     0,   502,     0,   503,   504,   697,   505,   506,
     173,   507,   508,   509,     0,   510,   511,   512,   513,   514,
     515,     0,   516,   174,     0,     0,   517,   518,   519,  1500,
    1908,     0,  1909,     0,   520,   178,   179,   521,   180,   522,
     523,   524,   525,   526,     0,   527,   528,     0,   529,     0,
     182,   530,   183,     0,   531,   532,   533,     0,     0,   534,
     535,   536,   537,   538,   539,   698,   540,   541,   699,   542,
     543,   544,  1910,   189,  1911,   545,   546,     0,     0,   547,
     548,   193,   549,     0,     0,   550,  1912,   551,   552,   553,
       0,   554,     0,     0,   555,   556,   557,     0,     0,     0,
     197,   198,   199,     0,   558,   559,   560,   561,   562,   563,
     564,     0,   565,     0,   566,     0,   567,   568,   569,     0,
     570,   571,   572,   573,   574,   575,   576,   577,  1913,   578,
     579,   580,   581,     0,   582,   583,   584,   585,   586,   587,
     588,   589,   590,   591,   592,     0,   593,   594,   211,   595,
     596,     0,   597,   598,   599,   600,   601,   602,   700,   603,
       0,   604,   605,   606,   607,   608,     0,   609,  1914,   610,
     611,   220,   612,  1915,   613,     0,   614,   615,   616,   617,
     618,   619,   620,   621,   622,   623,     0,     0,   624,   625,
       0,   626,   627,   628,   629,   630,   631,     0,  1916,  1917,
       0,     0,   633,     0,   634,     0,     0,   635,   636,   637,
     638,   639,   640,   641,     0,     0,   642,   643,   644,   645,
     646,     0,     0,   647,   648,   649,   650,   651,     0,  1918,
       0,   652,   236,   653,   654,   655,     0,     0,   656,     0,
       0,   657,   658,   659,   660,   661,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   702,   662,   663,   726,    86,
      87,    88,   678,    90,    91,    92,   679,     0,   680,    95,
       0,     0,    98,    99,   100,   101,   102,   103,   727,   104,
     105,   681,   728,     0,   107,   108,   109,   110,   729,   730,
     112,   113,   114,   115,     0,   116,   731,   732,   682,   683,
       0,     0,     0,   684,   685,     0,     0,     0,     0,   686,
       0,     0,     0,     0,     0,     0,     0,     0,   687,     0,
     688,     0,   689,   690,    35,     0,     0,     0,     0,     0,
       0,     0,    41,    42,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   418,   419,   420,   421,   422,   423,
     424,   425,     0,   426,   427,   428,     0,     0,     0,     0,
       0,     0,     0,   429,   430,     0,   431,   432,   133,   433,
     434,   435,     0,  1900,   137,  1901,  1902,     0,   436,   437,
     438,   439,   440,     0,     0,   441,   442,  1903,  1904,   443,
       0,   444,   445,   446,   447,     0,     0,   145,     0,   448,
     449,   450,   451,   148,   452,   693,     0,   453,   454,   455,
     456,   457,   458,     0,   151,   459,     0,     0,     0,     0,
     152,     0,     0,     0,   460,   461,   462,   463,   695,   464,
    1905,  1906,   465,     0,   466,     0,   467,   468,   469,   470,
     471,     0,   472,   473,   474,     0,     0,   475,   476,  1494,
     478,   479,     0,   480,   481,   482,     0,   483,   484,   485,
       0,   486,   487,   488,   489,     0,   490,   491,   492,     0,
       0,   493,     0,   494,  1907,   495,     0,   496,     0,   497,
     169,     0,   170,   498,   499,   500,     0,   501,     0,     0,
     502,     0,   503,   504,   697,   505,   506,   173,   507,   508,
     509,     0,   510,   511,   512,   513,   514,   515,     0,   516,
     174,     0,     0,   517,   518,   519,  1500,  1908,     0,  1909,
       0,   520,   178,   179,   521,   180,   522,   523,   524,   525,
     526,     0,   527,   528,     0,   529,     0,   182,   530,   183,
       0,   531,   532,   533,     0,     0,   534,   535,   536,   537,
     538,   539,   698,   540,   541,   699,   542,   543,   544,  1910,
     189,  1911,   545,   546,     0,     0,   547,   548,   193,   549,
       0,     0,   550,  1912,   551,   552,   553,     0,   554,     0,
       0,   555,   556,   557,     0,     0,     0,   197,   198,   199,
       0,   558,   559,   560,   561,   562,   563,   564,     0,   565,
       0,   566,     0,   567,   568,   569,     0,   570,   571,   572,
     573,   574,   575,   576,   577,  1913,   578,   579,   580,   581,
       0,   582,   583,   584,   585,   586,   587,   588,   589,   590,
     591,   592,     0,   593,   594,   211,   595,   596,     0,   597,
     598,   599,   600,   601,   602,   700,   603,     0,   604,   605,
     606,   607,   608,     0,   609,  2485,   610,   611,   220,   612,
    1915,   613,     0,   614,   615,   616,   617,   618,   619,   620,
     621,   622,   623,     0,     0,   624,   625,     0,   626,   627,
     628,   629,   630,   631,     0,  1916,  1917,     0,     0,   633,
       0,   634,     0,     0,   635,   636,   637,   638,   639,   640,
     641,     0,     0,   642,   643,   644,   645,   646,     0,     0,
     647,   648,   649,   650,   651,     0,  1918,     0,   652,   236,
     653,   654,   655,     0,     0,   656,     0,     0,   657,   658,
     659,   660,   661,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   702,   662,   663,   726,    86,    87,    88,   678,
      90,    91,    92,   679,     0,   680,    95,     0,     0,    98,
      99,   100,   101,   102,   103,   727,   104,   105,   681,   728,
       0,   107,   108,   109,   110,   729,   730,   112,   113,   114,
     115,     0,   116,   731,   732,   682,   683,     0,     0,     0,
     684,   685,     0,     0,     0,     0,   686,     0,     0,     0,
       0,     0,     0,     0,     0,   687,     0,   688,     0,   689,
     690,    35,     0,     0,     0,     0,     0,     0,     0,    41,
      42,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   418,   419,   420,   421,   422,   423,   424,   425,     0,
     426,   427,   428,     0,     0,     0,     0,     0,     0,     0,
     429,   430,     0,   431,   432,   133,   433,   434,   435,     0,
    1900,   137,  1901,  1902,     0,   436,   437,   438,   439,   440,
       0,     0,   441,   442,  1903,  1904,   443,     0,   444,   445,
     446,   447,     0,     0,   145,     0,   448,   449,   450,   451,
     148,   452,   693,     0,   453,   454,   455,   456,   457,   458,
       0,   151,   459,     0,     0,     0,     0,   152,     0,     0,
       0,   460,   461,   462,   463,   695,   464,  1905,  1906,   465,
       0,   466,     0,   467,   468,   469,   470,   471,     0,   472,
     473,   474,     0,     0,   475,   476,  1494,   478,   479,     0,
     480,   481,   482,     0,   483,   484,   485,     0,   486,   487,
     488,   489,     0,   490,   491,   492,     0,     0,   493,     0,
     494,  1907,   495,     0,   496,     0,   497,   169,     0,   170,
     498,   499,   500,     0,   501,     0,     0,   502,     0,   503,
     504,   697,   505,   506,   173,   507,   508,   509,     0,   510,
     511,   512,   513,   514,   515,     0,   516,   174,     0,     0,
     517,   518,   519,  1500,  1908,     0,  1909,     0,   520,   178,
     179,   521,   180,   522,   523,   524,   525,   526,     0,   527,
     528,     0,   529,     0,   182,   530,   183,     0,   531,   532,
     533,     0,     0,   534,   535,   536,   537,   538,   539,   698,
     540,   541,   699,   542,   543,   544,  1910,   189,  1911,   545,
     546,     0,     0,   547,   548,   193,   549,     0,     0,   550,
    1912,   551,   552,   553,     0,   554,     0,     0,   555,   556,
     557,     0,     0,     0,   197,   198,   199,     0,   558,   559,
     560,   561,   562,   563,   564,     0,   565,     0,   566,     0,
     567,   568,   569,     0,   570,   571,   572,   573,   574,   575,
     576,   577,  1913,   578,   579,   580,   581,     0,   582,   583,
     584,   585,   586,   587,   588,   589,   590,   591,   592,     0,
     593,   594,   211,   595,   596,     0,   597,   598,   599,   600,
     601,   602,   700,   603,     0,   604,   605,   606,   607,   608,
       0,   609,     0,   610,   611,   220,   612,  1915,   613,     0,
     614,   615,   616,   617,   618,   619,   620,   621,   622,   623,
       0,     0,   624,   625,     0,   626,   627,   628,   629,   630,
     631,     0,  1916,  1917,     0,     0,   633,     0,   634,     0,
       0,   635,   636,   637,   638,   639,   640,   641,     0,     0,
     642,   643,   644,   645,   646,     0,     0,   647,   648,   649,
     650,   651,     0,  1918,     0,   652,   236,   653,   654,   655,
       0,     0,   656,     0,     0,   657,   658,   659,   660,   661,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   702,
     662,   663,   726,    86,    87,    88,   678,    90,    91,    92,
     679,     0,   680,    95,     0,     0,    98,    99,   100,   101,
     102,   103,   727,   104,   105,   681,   728,     0,   107,   108,
     109,   110,   729,   730,   112,   113,   114,   115,     0,   116,
     731,   732,   682,   683,     0,     0,     0,   684,   685,     0,
       0,     0,     0,   686,     0,     0,     0,     0,     0,     0,
       0,     0,   687,     0,   688,     0,   689,   690,    35,     0,
       0,     0,     0,     0,     0,     0,    41,    42,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   418,   419,
     420,   421,   422,   423,   424,   425,     0,   426,   427,   428,
       0,     0,     0,     0,     0,     0,     0,   429,   430,     0,
     431,   432,   133,   433,   434,   435,     0,     0,   137,     0,
       0,     0,   436,   437,   438,   439,   440,     0,     0,   441,
     442,     0,     0,   443,     0,   444,   445,   446,   447,     0,
       0,   145,     0,   448,   449,   450,   451,   148,   452,   693,
       0,   453,   454,   455,   456,   457,   458,     0,   151,   459,
       0,     0,     0,     0,   152,     0,     0,     0,   460,   461,
     462,   463,   695,   464,     0,     0,   465,     0,   466,     0,
     467,   468,   469,   470,   471,     0,   472,   473,   474,     0,
       0,   475,   476,   477,   478,   479,     0,   480,   481,   482,
       0,   483,   484,   485,     0,   486,   487,   488,   489,     0,
     490,   491,   492,     0,     0,   493,     0,   494,     0,   495,
       0,   496,     0,   497,   169,     0,   170,   498,   499,   500,
       0,   501,     0,     0,   502,     0,   503,   504,   697,   505,
     506,   173,   507,   508,   509,     0,   510,   511,   512,   513,
     514,   515,     0,   516,   174,     0,     0,   517,   518,   519,
       0,     0,     0,     0,     0,   520,   178,   179,   521,   180,
     522,   523,   524,   525,   526,     0,   527,   528,     0,   529,
       0,   182,   530,   183,     0,   531,   532,   533,     0,     0,
     534,   535,   536,   537,   538,   539,   698,   540,   541,   699,
     542,   543,   544,     0,   189,     0,   545,   546,     0,     0,
     547,   548,   193,   549,     0,     0,   550,     0,   551,   552,
     553,     0,   554,     0,     0,   555,   556,   557,     0,     0,
       0,   197,   198,   199,     0,   558,   559,   560,   561,   562,
     563,   564,     0,   565,     0,   566,     0,   567,   568,   569,
       0,   570,   571,   572,   573,   574,   575,   576,   577,     0,
     578,   579,   580,   581,     0,   582,   583,   584,   585,   586,
     587,   588,   589,   590,   591,   592,     0,   593,   594,   211,
     595,   596,     0,   597,   598,   599,   600,   601,   602,   700,
     603,     0,   604,   605,   606,   607,   608,     0,   609,     0,
     610,   611,   220,   612,     0,   613,     0,   614,   615,   616,
     617,   618,   619,   620,   621,   622,   623,     0,     0,   624,
     625,     0,   626,   627,   628,   629,   630,   631,     0,     0,
       0,     0,     0,   633,     0,   634,     0,     0,   635,   636,
     637,   638,   639,   640,   641,     0,     0,   642,   643,   644,
     645,   646,     0,     0,   647,   648,   649,   650,   651,     0,
       0,     0,   652,   236,   653,   654,   655,     0,     0,   656,
       0,     0,   657,   658,   659,   660,   661,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   702,   662,   663,    86,
      87,    88,   678,    90,    91,    92,   679,     0,   680,    95,
       0,     0,    98,    99,   100,   101,   102,   103,     0,   104,
     105,   681,     0,     0,   107,   108,   109,   110,     0,     0,
     112,   113,   114,   115,     0,   116,     0,     0,   682,   683,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,    35,     0,     0,     0,     0,     0,
       0,     0,    41,    42,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   418,   419,   420,   421,   422,   423,
     424,   425,   733,   426,   427,   428,   734,   735,   736,   737,
     738,   739,   740,   429,   430,   741,   431,   432,   133,   433,
     434,   435,   135,   136,   137,   138,   139,   742,   436,   437,
     438,   439,   440,   743,   744,   441,   442,     0,   140,   443,
     746,   444,   445,   446,   447,   144,   747,   145,   748,   448,
     449,   450,   451,   148,   452,   749,   750,   453,   454,   455,
     456,   457,   458,   751,   151,   459,     0,   753,   754,   755,
     152,   756,   757,   758,   460,   461,   462,   463,     0,   464,
     155,   156,   465,   759,   466,   760,   467,   468,   469,   470,
     471,   761,   472,   473,   474,   762,   763,   475,   476,   477,
     478,   479,   764,   480,   481,   482,   765,   483,   484,   485,
     766,   486,   487,   488,   489,   164,   490,   491,   492,   166,
     767,   493,   768,   494,   168,   495,   769,   496,   770,   497,
     169,   771,   170,   498,   499,   500,   772,   501,   172,   773,
     502,   774,   503,   504,     0,   505,   506,   173,   507,   508,
     509,   775,   510,   511,   512,   513,   514,   515,   776,   516,
     174,   175,     0,   517,   518,   519,     0,   176,   779,   177,
     780,   520,   178,   179,   521,   180,   522,   523,   524,   525,
     526,   781,   527,   528,   782,   529,   181,   182,   530,   183,
     783,   531,   532,   533,   784,   785,   534,   535,   536,   537,
     538,   539,     0,   540,   541,     0,   542,   543,   544,   188,
     189,   190,   545,   546,   191,   786,   547,   548,   193,   549,
     787,   194,   550,   195,   551,   552,   553,   788,   554,   789,
     790,   555,   556,   557,   791,   792,   196,   197,   198,   199,
     200,   558,   559,   560,   561,   562,   563,   564,   793,   565,
     201,   566,   202,   567,   568,   569,   794,   570,   571,   572,
     573,   574,   575,   576,   577,   204,   578,   579,   580,   581,
     795,   582,   583,   584,   585,   586,   587,   588,   589,   590,
     591,   592,   796,   593,   594,   211,   595,   596,   213,   597,
     598,   599,   600,   601,   602,     0,   603,   797,   604,   605,
     606,   607,   608,   798,   609,   218,   610,   611,   220,   612,
     221,   613,   799,   614,   615,   616,   617,   618,   619,   620,
     621,   622,   623,   223,   800,   624,   625,   801,   626,   627,
     628,   629,   630,   631,   802,   225,   226,     0,   804,   633,
     227,   634,   228,   805,   635,   636,   637,   638,   639,   640,
     641,     0,   807,   642,   643,   644,   645,   646,   808,   809,
     647,   648,   649,   650,   651,     0,   235,   811,   652,   236,
     653,   654,   655,   812,   813,   656,   814,   815,   657,   658,
     659,   660,   661,   238,   239,   240,   241,   242,   243,   244,
     245,   246,     0,   662,   663,    86,    87,    88,   678,    90,
      91,    92,   679,     0,   680,    95,     0,     0,    98,    99,
     100,   101,   102,   103,     0,   104,   105,   681,     0,     0,
     107,   108,   109,   110,     0,     0,   112,   113,   114,   115,
       0,   116,     0,     0,   682,   683,     0,     0,     0,   684,
     685,     0,     0,     0,     0,   686,     0,     0,     0,     0,
       0,     0,     0,     0,   687,     0,   688,     0,   689,   690,
      35,   417,     0,     0,    37,    38,    39,    40,    41,    42,
       0,    44,     0,     0,     0,     0,     0,     0,     0,     0,
     418,   419,   420,   421,   422,   423,   424,   425,     0,   426,
     427,   428,     0,     0,     0,     0,     0,     0,     0,   429,
     430,     0,   431,   432,     0,   433,   434,   435,   135,   136,
       0,   138,   139,     0,   436,   437,   438,   439,   440,     0,
       0,   441,   442,   692,   140,   443,     0,   444,   445,   446,
     447,   144,     0,     0,     0,   448,   449,   450,   451,     0,
     452,   693,     0,   453,   454,   455,   456,   457,   458,     0,
       0,   459,     0,     0,     0,     0,     0,     0,     0,     0,
     460,   461,   462,   463,   695,   464,   155,   156,   465,  1152,
     466,     0,   467,   468,   469,   470,   471,     0,   472,   473,
     474,     0,     0,   475,   476,   477,   478,   479,     0,   480,
     481,   482,     0,   483,   484,   485,     0,   486,   487,   488,
     489,   164,   490,   491,   492,   166,     0,   493,     0,   494,
     168,   495,     0,   496,     0,   497,     0,     0,     0,   498,
     499,   500,     0,   501,   172,     0,   502,     0,   503,   504,
     697,   505,   506,     0,   507,   508,   509,     0,   510,   511,
     512,   513,   514,   515,     0,   516,     0,   175,     0,   517,
     518,   519,     0,   176,     0,   177,     0,   520,     0,     0,
     521,     0,   522,   523,   524,   525,   526,     0,   527,   528,
       0,   529,   181,     0,   530,     0,     0,   531,   532,   533,
       0,     0,   534,   535,   536,   537,   538,   539,   698,   540,
     541,   699,   542,   543,   544,   188,     0,   190,   545,   546,
     191,     0,   547,   548,     0,   549,     0,   194,   550,   195,
     551,   552,   553,     0,   554,     0,     0,   555,   556,   557,
       0,     0,   196,     0,     0,     0,   200,   558,   559,   560,
     561,   562,   563,   564,     0,   565,   201,   566,   202,   567,
     568,   569,     0,   570,   571,   572,   573,   574,   575,   576,
     577,   204,   578,   579,   580,   581,     0,   582,   583,   584,
     585,   586,   587,   588,   589,   590,   591,   592,     0,   593,
     594,     0,   595,   596,   213,   597,   598,   599,   600,   601,
     602,   700,   603,     0,   604,   605,   606,   607,   608,     0,
     609,   218,   610,   611,     0,   612,   221,   613,     0,   614,
     615,   616,   617,   618,   619,   620,   621,   622,   623,   223,
       0,   624,   625,     0,   626,   627,   628,   629,   630,   631,
       0,   225,   226,     0,     0,   633,   227,   634,   228,     0,
     635,   636,   637,   638,   639,   640,   641,     0,     0,   642,
     643,   644,   645,   646,     0,     0,   647,   648,   649,   650,
     651,   701,   235,     0,   652,     0,   653,   654,   655,     0,
       0,   656,     0,     0,   657,   658,   659,   660,   661,   238,
     239,   240,   241,   242,   243,   244,   245,   246,   702,   662,
     663,    86,    87,    88,   678,    90,    91,    92,   679,     0,
     680,    95,     0,     0,    98,    99,   100,   101,   102,   103,
       0,   104,   105,   681,     0,     0,   107,   108,   109,   110,
       0,     0,   112,   113,   114,   115,     0,   116,     0,     0,
     682,   683,     0,     0,     0,   684,   685,     0,     0,     0,
       0,   686,     0,     0,     0,     0,     0,     0,     0,     0,
     687,     0,   688,     0,   689,   690,    35,   417,     0,     0,
      37,    38,    39,    40,    41,    42,     0,    44,     0,     0,
       0,     0,     0,     0,     0,     0,   418,   419,   420,   421,
     422,   423,   424,   425,     0,   426,   427,   428,     0,     0,
       0,     0,     0,     0,     0,   429,   430,     0,   431,   432,
       0,   433,   434,   435,   135,   136,     0,   138,   139,     0,
     436,   437,   438,   439,   440,     0,     0,   441,   442,   692,
     140,   443,     0,   444,   445,   446,   447,   144,     0,     0,
       0,   448,   449,   450,   451,     0,   452,   693,     0,   453,
     454,   455,   456,   457,   458,     0,     0,   459,     0,     0,
       0,     0,     0,     0,     0,     0,   460,   461,   462,   463,
     695,   464,   155,   156,   465,     0,   466,     0,   467,   468,
     469,   470,   471,     0,   472,   473,   474,     0,     0,   475,
     476,   477,   478,   479,     0,   480,   481,   482,     0,   483,
     484,   485,     0,   486,   487,   488,   489,   164,   490,   491,
     492,   166,     0,   493,     0,   494,   168,   495,     0,   496,
       0,   497,     0,     0,     0,   498,   499,   500,     0,   501,
     172,     0,   502,     0,   503,   504,   697,   505,   506,     0,
     507,   508,   509,     0,   510,   511,   512,   513,   514,   515,
       0,   516,     0,   175,     0,   517,   518,   519,     0,   176,
       0,   177,     0,   520,     0,     0,   521,     0,   522,   523,
     524,   525,   526,     0,   527,   528,     0,   529,   181,     0,
     530,     0,     0,   531,   532,   533,     0,     0,   534,   535,
     536,   537,   538,   539,   698,   540,   541,   699,   542,   543,
     544,   188,     0,   190,   545,   546,   191,     0,   547,   548,
       0,   549,     0,   194,   550,   195,   551,   552,   553,     0,
     554,     0,     0,   555,   556,   557,     0,     0,   196,     0,
       0,     0,   200,   558,   559,   560,   561,   562,   563,   564,
       0,   565,   201,   566,   202,   567,   568,   569,     0,   570,
     571,   572,   573,   574,   575,   576,   577,   204,   578,   579,
     580,   581,     0,   582,   583,   584,   585,   586,   587,   588,
     589,   590,   591,   592,     0,   593,   594,     0,   595,   596,
     213,   597,   598,   599,   600,   601,   602,   700,   603,     0,
     604,   605,   606,   607,   608,     0,   609,   218,   610,   611,
       0,   612,   221,   613,     0,   614,   615,   616,   617,   618,
     619,   620,   621,   622,   623,   223,     0,   624,   625,     0,
     626,   627,   628,   629,   630,   631,     0,   225,   226,     0,
       0,   633,   227,   634,   228,     0,   635,   636,   637,   638,
     639,   640,   641,     0,     0,   642,   643,   644,   645,   646,
       0,     0,   647,   648,   649,   650,   651,   701,   235,     0,
     652,     0,   653,   654,   655,     0,     0,   656,     0,     0,
     657,   658,   659,   660,   661,   238,   239,   240,   241,   242,
     243,   244,   245,   246,   702,   662,   663,    86,    87,    88,
     678,    90,    91,    92,   679,     0,   680,    95,     0,     0,
      98,    99,   100,   101,   102,   103,     0,   104,   105,   681,
       0,     0,   107,   108,   109,   110,     0,     0,   112,   113,
     114,   115,     0,   116,     0,     0,   682,   683,     0,     0,
       0,   684,   685,     0,     0,     0,     0,   686,     0,     0,
       0,     0,     0,     0,     0,     0,   687,     0,   688,     0,
     689,   690,    35,     0,     0,     0,     0,     0,     0,     0,
      41,    42,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   418,   419,   420,   421,   422,   423,   424,   425,
       0,   426,   427,   428,     0,     0,     0,     0,     0,     0,
       0,   429,   430,     0,   431,   432,     0,   433,   434,   435,
     135,   136,     0,   138,   139,     0,   436,   437,   438,   439,
     440,     0,     0,   441,   442,   692,   140,   443,  2416,   444,
     445,   446,   447,   144,     0,     0,  2498,   448,   449,   450,
     451,     0,   452,   693,  2417,   453,   454,   455,   456,   457,
     458,     0,     0,   459,     0,     0,     0,     0,     0,     0,
       0,     0,   460,   461,   462,   463,   695,   464,   155,   156,
     465,     0,   466,     0,   467,   468,   469,   470,   471,     0,
     472,   473,   474,     0,     0,   475,   476,   477,   478,   479,
       0,   480,   481,   482,     0,   483,   484,   485,     0,  2499,
     487,   488,   489,   164,   490,   491,   492,   166,     0,   493,
       0,   494,   168,   495,     0,   496,  2419,   497,     0,     0,
       0,   498,   499,   500,     0,   501,   172,     0,   502,     0,
     503,   504,   697,   505,   506,     0,   507,   508,   509,     0,
     510,   511,   512,   513,   514,   515,     0,   516,     0,   175,
       0,   517,   518,   519,     0,   176,     0,   177,     0,   520,
       0,     0,   521,     0,   522,   523,   524,   525,   526,     0,
     527,   528,     0,   529,   181,     0,   530,     0,     0,   531,
     532,   533,     0,     0,   534,   535,   536,   537,   538,   539,
     698,   540,   541,   699,   542,   543,   544,   188,     0,   190,
     545,   546,   191,     0,   547,   548,     0,   549,     0,   194,
     550,   195,   551,   552,   553,     0,   554,     0,     0,   555,
     556,   557,     0,     0,   196,     0,     0,     0,   200,   558,
     559,   560,   561,   562,   563,   564,     0,   565,   201,   566,
     202,   567,   568,   569,  2420,   570,   571,   572,   573,   574,
     575,   576,   577,   204,   578,   579,   580,   581,     0,   582,
     583,   584,   585,   586,   587,   588,   589,   590,   591,   592,
       0,   593,   594,     0,   595,   596,   213,   597,   598,   599,
     600,   601,   602,   700,   603,     0,   604,   605,   606,   607,
     608,     0,   609,   218,   610,   611,     0,   612,   221,   613,
       0,   614,   615,   616,   617,   618,   619,   620,   621,   622,
     623,   223,     0,   624,   625,     0,   626,   627,   628,   629,
     630,   631,     0,   225,   226,     0,     0,   633,   227,   634,
     228,     0,   635,   636,   637,   638,   639,   640,   641,     0,
    2421,   642,   643,   644,   645,   646,     0,     0,   647,   648,
     649,   650,   651,   701,   235,     0,   652,     0,   653,   654,
     655,     0,     0,   656,     0,     0,   657,   658,   659,   660,
     661,   238,   239,   240,   241,   242,   243,   244,   245,   246,
     702,   662,   663,    86,    87,    88,   678,    90,    91,    92,
     679,     0,   680,    95,     0,     0,    98,    99,   100,   101,
     102,   103,     0,   104,   105,   681,     0,     0,   107,   108,
     109,   110,     0,     0,   112,   113,   114,   115,     0,   116,
       0,     0,   682,   683,     0,     0,     0,   684,   685,     0,
       0,     0,     0,   686,     0,     0,     0,     0,     0,     0,
       0,     0,   687,     0,   688,     0,   689,   690,    35,     0,
       0,     0,     0,     0,     0,     0,    41,    42,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   418,   419,
     420,   421,   422,   423,   424,   425,     0,   426,   427,   428,
       0,     0,     0,     0,     0,     0,     0,   429,   430,     0,
     431,   432,     0,   433,   434,   435,   135,   136,     0,   138,
     139,     0,   436,   437,   438,   439,   440,     0,     0,   441,
     442,   692,   140,   443,  2416,   444,   445,   446,   447,   144,
       0,     0,     0,   448,   449,   450,   451,     0,   452,   693,
    2417,   453,   454,   455,   456,   457,   458,     0,     0,   459,
       0,     0,     0,     0,     0,     0,     0,     0,   460,   461,
     462,   463,   695,   464,   155,   156,   465,     0,   466,     0,
     467,   468,   469,   470,   471,     0,   472,   473,   474,     0,
       0,   475,   476,   477,   478,   479,     0,   480,   481,   482,
       0,   483,   484,   485,     0,  2499,   487,   488,   489,   164,
     490,   491,   492,   166,     0,   493,     0,   494,   168,   495,
       0,   496,  2419,   497,     0,     0,     0,   498,   499,   500,
       0,   501,   172,     0,   502,     0,   503,   504,   697,   505,
     506,     0,   507,   508,   509,     0,   510,   511,   512,   513,
     514,   515,     0,   516,     0,   175,     0,   517,   518,   519,
       0,   176,     0,   177,     0,   520,     0,     0,   521,     0,
     522,   523,   524,   525,   526,     0,   527,   528,     0,   529,
     181,     0,   530,  3367,     0,   531,   532,   533,     0,     0,
     534,   535,   536,   537,   538,   539,   698,   540,   541,   699,
     542,   543,   544,   188,     0,   190,   545,   546,   191,     0,
     547,   548,     0,   549,     0,   194,   550,   195,   551,   552,
     553,     0,   554,     0,     0,   555,   556,   557,     0,     0,
     196,     0,     0,     0,   200,   558,   559,   560,   561,   562,
     563,   564,     0,   565,   201,   566,   202,   567,   568,   569,
    2420,   570,   571,   572,   573,   574,   575,   576,   577,   204,
     578,   579,   580,   581,     0,   582,   583,   584,   585,   586,
     587,   588,   589,   590,   591,   592,     0,   593,   594,     0,
     595,   596,   213,   597,   598,   599,   600,   601,   602,   700,
     603,     0,   604,   605,   606,   607,   608,     0,   609,   218,
     610,   611,     0,   612,   221,   613,     0,   614,   615,   616,
     617,   618,   619,   620,   621,   622,   623,   223,     0,   624,
     625,     0,   626,   627,   628,   629,   630,   631,     0,   225,
     226,     0,     0,   633,   227,   634,   228,     0,   635,   636,
     637,   638,   639,   640,   641,     0,  2421,   642,   643,   644,
     645,   646,     0,     0,   647,   648,   649,   650,   651,   701,
     235,     0,   652,     0,   653,   654,   655,     0,     0,   656,
       0,     0,   657,   658,   659,   660,   661,   238,   239,   240,
     241,   242,   243,   244,   245,   246,   702,   662,   663,    86,
      87,    88,   678,    90,    91,    92,   679,     0,   680,    95,
       0,     0,    98,    99,   100,   101,   102,   103,     0,   104,
     105,   681,     0,     0,   107,   108,   109,   110,     0,     0,
     112,   113,   114,   115,     0,   116,     0,     0,   682,   683,
       0,     0,     0,   684,   685,     0,     0,     0,     0,   686,
       0,     0,     0,     0,     0,     0,     0,     0,   687,     0,
     688,     0,   689,   690,    35,     0,     0,     0,     0,     0,
       0,     0,    41,    42,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   418,   419,   420,   421,   422,  1050,
     424,   425,  1008,   426,   427,   428,     0,     0,     0,     0,
       0,     0,     0,   429,   430,     0,   431,   432,     0,   433,
     434,   435,   135,   136,     0,   138,   139,     0,   436,   437,
     438,   439,   440,     0,     0,   441,   442,   692,   140,   443,
       0,   444,   445,   446,   447,   144,     0,     0,     0,   448,
     449,   450,   451,     0,   452,   693,     0,   453,   454,   455,
     456,   457,   458,  1009,     0,   459,     0,     0,     0,     0,
       0,     0,     0,     0,   460,   461,   462,   463,   695,   464,
     155,   156,   465,     0,   466,     0,   467,   468,   469,   470,
     471,     0,   472,   473,   474,     0,     0,   475,   476,   477,
     478,   479,     0,   480,   481,   482,     0,   483,   484,   485,
       0,   486,   487,   488,   489,   164,   490,   491,   492,   166,
       0,   493,     0,   494,   168,   495,     0,   496,     0,   497,
       0,     0,     0,   498,   499,   500,  1051,   501,   172,     0,
     502,     0,   503,   504,   697,   505,   506,     0,   507,   508,
     509,     0,   510,   511,   512,   513,   514,   515,     0,   516,
       0,   175,     0,   517,   518,   519,     0,   176,     0,   177,
       0,   520,     0,     0,   521,     0,   522,   523,   524,   525,
     526,     0,   527,   528,     0,   529,   181,     0,   530,     0,
       0,   531,   532,   533,     0,     0,   534,   535,   536,   537,
     538,   539,   698,   540,   541,   699,   542,   543,   544,   188,
       0,   190,   545,   546,   191,     0,   547,   548,     0,   549,
       0,   194,   550,   195,   551,   552,   553,     0,   554,     0,
       0,   555,   556,   557,     0,     0,   196,     0,     0,     0,
     200,   558,   559,   560,   561,   562,   563,   564,     0,   565,
     201,   566,   202,   567,   568,   569,     0,   570,   571,   572,
     573,   574,   575,   576,   577,   204,   578,   579,   580,   581,
    1010,   582,   583,   584,   585,   586,   587,   588,   589,   590,
     591,   592,     0,   593,   594,     0,   595,   596,   213,   597,
     598,   599,   600,   601,   602,   700,   603,  1011,   604,   605,
     606,   607,   608,     0,   609,   218,   610,   611,     0,   612,
     221,   613,     0,   614,   615,   616,   617,   618,   619,   620,
     621,   622,   623,   223,     0,   624,   625,     0,   626,   627,
     628,   629,   630,   631,     0,   225,   226,     0,     0,   633,
     227,   634,   228,     0,   635,   636,   637,   638,   639,   640,
     641,     0,     0,   642,   643,   644,   645,   646,     0,     0,
     647,   648,   649,   650,   651,   701,   235,     0,   652,     0,
     653,   654,   655,     0,     0,   656,     0,     0,   657,   658,
     659,   660,   661,   238,   239,   240,   241,   242,   243,   244,
     245,   246,   702,   662,   663,    86,    87,    88,   678,    90,
      91,    92,   679,     0,   680,    95,     0,     0,    98,    99,
     100,   101,   102,   103,     0,   104,   105,   681,     0,     0,
     107,   108,   109,   110,     0,     0,   112,   113,   114,   115,
       0,   116,     0,     0,   682,   683,     0,     0,     0,   684,
     685,     0,     0,     0,     0,   686,     0,     0,     0,     0,
       0,     0,     0,     0,   687,     0,   688,     0,   689,   690,
      35,     0,     0,     0,     0,     0,     0,     0,    41,    42,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     418,   419,   420,   421,   422,   423,   424,   425,  1008,   426,
     427,   428,     0,     0,     0,     0,     0,     0,     0,   429,
     430,     0,   431,   432,     0,   433,   434,   435,   135,   136,
       0,   138,   139,     0,   436,   437,   438,   439,   440,     0,
       0,   441,   442,   692,   140,   443,     0,   444,   445,   446,
     447,   144,     0,     0,     0,   448,   449,   450,   451,     0,
     452,   693,     0,   453,   454,   455,   456,   457,   458,  1009,
       0,   459,     0,     0,     0,     0,     0,     0,     0,     0,
     460,   461,   462,   463,   695,   464,   155,   156,   465,     0,
     466,     0,   467,   468,   469,   470,   471,     0,   472,   473,
     474,     0,     0,   475,   476,   477,   478,   479,     0,   480,
     481,   482,     0,   483,   484,   485,     0,   486,   487,   488,
     489,   164,   490,   491,   492,   166,     0,   493,     0,   494,
     168,   495,     0,   496,     0,   497,     0,     0,     0,   498,
     499,   500,  3101,   501,   172,     0,   502,     0,   503,   504,
     697,   505,   506,     0,   507,   508,   509,     0,   510,   511,
     512,   513,   514,   515,     0,   516,     0,   175,     0,   517,
     518,   519,     0,   176,     0,   177,     0,   520,     0,     0,
     521,     0,   522,   523,   524,   525,   526,     0,   527,   528,
       0,   529,   181,     0,   530,     0,     0,   531,   532,   533,
       0,     0,   534,   535,   536,   537,   538,   539,   698,   540,
     541,   699,   542,   543,   544,   188,     0,   190,   545,   546,
     191,     0,   547,   548,     0,   549,     0,   194,   550,   195,
     551,   552,   553,     0,   554,     0,     0,   555,   556,   557,
       0,     0,   196,     0,     0,     0,   200,   558,   559,   560,
     561,   562,   563,   564,     0,   565,   201,   566,   202,   567,
     568,   569,     0,   570,   571,   572,   573,   574,   575,   576,
     577,   204,   578,   579,   580,   581,  1010,   582,   583,   584,
     585,   586,   587,   588,   589,   590,   591,   592,     0,   593,
     594,     0,   595,   596,   213,   597,   598,   599,   600,   601,
     602,   700,   603,  1011,   604,   605,   606,   607,   608,     0,
     609,   218,   610,   611,     0,   612,   221,   613,     0,   614,
     615,   616,   617,   618,   619,   620,   621,   622,   623,   223,
       0,   624,   625,     0,   626,   627,   628,   629,   630,   631,
       0,   225,   226,     0,     0,   633,   227,   634,   228,     0,
     635,   636,   637,   638,   639,   640,   641,     0,     0,   642,
     643,   644,   645,   646,     0,     0,   647,   648,   649,   650,
     651,   701,   235,     0,   652,     0,   653,   654,   655,     0,
       0,   656,     0,     0,   657,   658,   659,   660,   661,   238,
     239,   240,   241,   242,   243,   244,   245,   246,   702,   662,
     663,    86,    87,    88,   678,    90,    91,    92,   679,     0,
     680,    95,     0,     0,    98,    99,   100,   101,   102,   103,
       0,   104,   105,   681,     0,     0,   107,   108,   109,   110,
       0,     0,   112,   113,   114,   115,     0,   116,     0,     0,
     682,   683,     0,     0,     0,   684,   685,     0,     0,     0,
       0,   686,     0,     0,     0,     0,     0,     0,     0,     0,
     687,     0,   688,     0,   689,   690,    35,     0,     0,     0,
      37,    38,    39,    40,    41,    42,     0,    44,     0,     0,
       0,     0,     0,     0,     0,     0,   418,   419,   420,   421,
     422,   423,   424,   425,     0,   426,   427,   428,     0,     0,
       0,     0,     0,     0,     0,   429,   430,     0,   431,   432,
       0,   433,   434,   435,   135,   136,     0,   138,   139,     0,
     436,   437,   438,   439,   440,     0,     0,   441,   442,   692,
     140,   443,     0,   444,   445,   446,   447,   144,     0,     0,
       0,   448,   449,   450,   451,     0,   452,   693,     0,   453,
     454,   455,   456,   457,   458,     0,     0,   459,     0,     0,
       0,     0,     0,     0,     0,     0,   460,   461,   462,   463,
     695,   464,   155,   156,   465,     0,   466,     0,   467,   468,
     469,   470,   471,     0,   472,   473,   474,     0,     0,   475,
     476,   477,   478,   479,     0,   480,   481,   482,     0,   483,
     484,   485,     0,   486,   487,   488,   489,   164,   490,   491,
     492,   166,     0,   493,     0,   494,   168,   495,     0,   496,
       0,   497,     0,     0,     0,   498,   499,   500,     0,   501,
     172,     0,   502,     0,   503,   504,   697,   505,   506,     0,
     507,   508,   509,     0,   510,   511,   512,   513,   514,   515,
       0,   516,     0,   175,     0,   517,   518,   519,     0,   176,
       0,   177,     0,   520,     0,     0,   521,     0,   522,   523,
     524,   525,   526,     0,   527,   528,     0,   529,   181,     0,
     530,     0,     0,   531,   532,   533,     0,     0,   534,   535,
     536,   537,   538,   539,   698,   540,   541,   699,   542,   543,
     544,   188,     0,   190,   545,   546,   191,     0,   547,   548,
       0,   549,     0,   194,   550,   195,   551,   552,   553,     0,
     554,     0,     0,   555,   556,   557,     0,     0,   196,     0,
       0,     0,   200,   558,   559,   560,   561,   562,   563,   564,
       0,   565,   201,   566,   202,   567,   568,   569,     0,   570,
     571,   572,   573,   574,   575,   576,   577,   204,   578,   579,
     580,   581,     0,   582,   583,   584,   585,   586,   587,   588,
     589,   590,   591,   592,     0,   593,   594,     0,   595,   596,
     213,   597,   598,   599,   600,   601,   602,   700,   603,     0,
     604,   605,   606,   607,   608,     0,   609,   218,   610,   611,
       0,   612,   221,   613,     0,   614,   615,   616,   617,   618,
     619,   620,   621,   622,   623,   223,     0,   624,   625,     0,
     626,   627,   628,   629,   630,   631,     0,   225,   226,     0,
       0,   633,   227,   634,   228,     0,   635,   636,   637,   638,
     639,   640,   641,     0,     0,   642,   643,   644,   645,   646,
       0,     0,   647,   648,   649,   650,   651,   701,   235,     0,
     652,     0,   653,   654,   655,     0,     0,   656,     0,     0,
     657,   658,   659,   660,   661,   238,   239,   240,   241,   242,
     243,   244,   245,   246,   702,   662,   663,    86,    87,    88,
     678,    90,    91,    92,   679,     0,   680,    95,     0,     0,
      98,    99,   100,   101,   102,   103,     0,   104,   105,   681,
       0,     0,   107,   108,   109,   110,     0,     0,   112,   113,
     114,   115,     0,   116,     0,     0,   682,   683,     0,     0,
       0,   684,   685,     0,     0,     0,     0,   686,     0,     0,
       0,     0,     0,     0,     0,     0,   687,     0,   688,     0,
     689,   690,    35,     0,     0,     0,     0,     0,     0,     0,
      41,    42,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   418,   419,   420,   421,   422,   423,   424,   425,
       0,   426,   427,   428,     0,     0,     0,     0,     0,     0,
       0,   429,   430,     0,   431,   432,     0,   433,   434,   435,
     135,   136,     0,   138,   139,     0,   436,   437,   438,   439,
     440,     0,     0,   441,   442,   692,   140,   443,  2416,   444,
     445,   446,   447,   144,     0,     0,     0,   448,   449,   450,
     451,     0,   452,   693,  2417,   453,   454,   455,   456,   457,
     458,     0,     0,   459,     0,     0,     0,     0,     0,     0,
       0,     0,   460,   461,   462,   463,   695,   464,   155,   156,
     465,     0,   466,     0,   467,   468,   469,   470,   471,     0,
     472,   473,   474,     0,     0,   475,   476,   477,   478,   479,
       0,   480,   481,   482,     0,   483,   484,   485,     0,  2499,
     487,   488,   489,   164,   490,   491,   492,   166,     0,   493,
       0,   494,   168,   495,     0,   496,  2419,   497,     0,     0,
       0,   498,   499,   500,     0,   501,   172,     0,   502,     0,
     503,   504,   697,   505,   506,     0,   507,   508,   509,     0,
     510,   511,   512,   513,   514,   515,     0,   516,     0,   175,
       0,   517,   518,   519,     0,   176,     0,   177,     0,   520,
       0,     0,   521,     0,   522,   523,   524,   525,   526,     0,
     527,   528,     0,   529,   181,     0,   530,     0,     0,   531,
     532,   533,     0,     0,   534,   535,   536,   537,   538,   539,
     698,   540,   541,   699,   542,   543,   544,   188,     0,   190,
     545,   546,   191,     0,   547,   548,     0,   549,     0,   194,
     550,   195,   551,   552,   553,     0,   554,     0,     0,   555,
     556,   557,     0,     0,   196,     0,     0,     0,   200,   558,
     559,   560,   561,   562,   563,   564,     0,   565,   201,   566,
     202,   567,   568,   569,  2420,   570,   571,   572,   573,   574,
     575,   576,   577,   204,   578,   579,   580,   581,     0,   582,
     583,   584,   585,   586,   587,   588,   589,   590,   591,   592,
       0,   593,   594,     0,   595,   596,   213,   597,   598,   599,
     600,   601,   602,   700,   603,     0,   604,   605,   606,   607,
     608,     0,   609,   218,   610,   611,     0,   612,   221,   613,
       0,   614,   615,   616,   617,   618,   619,   620,   621,   622,
     623,   223,     0,   624,   625,     0,   626,   627,   628,   629,
     630,   631,     0,   225,   226,     0,     0,   633,   227,   634,
     228,     0,   635,   636,   637,   638,   639,   640,   641,     0,
    2421,   642,   643,   644,   645,   646,     0,     0,   647,   648,
     649,   650,   651,   701,   235,     0,   652,     0,   653,   654,
     655,     0,     0,   656,     0,     0,   657,   658,   659,   660,
     661,   238,   239,   240,   241,   242,   243,   244,   245,   246,
     702,   662,   663,    86,    87,    88,   678,    90,    91,    92,
     679,     0,   680,    95,     0,     0,    98,    99,   100,   101,
     102,   103,     0,   104,   105,   681,     0,     0,   107,   108,
     109,   110,     0,     0,   112,   113,   114,   115,     0,   116,
       0,     0,   682,   683,     0,     0,     0,   684,   685,     0,
       0,     0,     0,   686,     0,     0,     0,     0,     0,     0,
       0,     0,   687,     0,   688,     0,   689,   690,    35,   417,
       0,     0,     0,     0,     0,     0,    41,    42,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   418,   419,
     420,   421,   422,   423,   424,   425,   691,   426,   427,   428,
       0,     0,     0,     0,     0,     0,     0,   429,   430,     0,
     431,   432,     0,   433,   434,   435,   135,   136,     0,   138,
     139,     0,   436,   437,   438,   439,   440,     0,     0,   441,
     442,   692,   140,   443,     0,   444,   445,   446,   447,   144,
       0,     0,     0,   448,   449,   450,   451,     0,   452,   693,
       0,   453,   454,   455,   456,   457,   458,     0,     0,   459,
     694,     0,     0,     0,     0,     0,     0,     0,   460,   461,
     462,   463,   695,   464,   155,   156,   465,   696,   466,     0,
     467,   468,   469,   470,   471,     0,   472,   473,   474,     0,
       0,   475,   476,   477,   478,   479,     0,   480,   481,   482,
       0,   483,   484,   485,     0,   486,   487,   488,   489,   164,
     490,   491,   492,   166,     0,   493,     0,   494,   168,   495,
       0,   496,     0,   497,     0,     0,     0,   498,   499,   500,
       0,   501,   172,     0,   502,     0,   503,   504,   697,   505,
     506,     0,   507,   508,   509,     0,   510,   511,   512,   513,
     514,   515,     0,   516,     0,   175,     0,   517,   518,   519,
       0,   176,     0,   177,     0,   520,     0,     0,   521,     0,
     522,   523,   524,   525,   526,     0,   527,   528,     0,   529,
     181,     0,   530,     0,     0,   531,   532,   533,     0,     0,
     534,   535,   536,   537,   538,   539,   698,   540,   541,   699,
     542,   543,   544,   188,     0,   190,   545,   546,   191,     0,
     547,   548,     0,   549,     0,   194,   550,   195,   551,   552,
     553,     0,   554,     0,     0,   555,   556,   557,     0,     0,
     196,     0,     0,     0,   200,   558,   559,   560,   561,   562,
     563,   564,     0,   565,   201,   566,   202,   567,   568,   569,
       0,   570,   571,   572,   573,   574,   575,   576,   577,   204,
     578,   579,   580,   581,     0,   582,   583,   584,   585,   586,
     587,   588,   589,   590,   591,   592,     0,   593,   594,     0,
     595,   596,   213,   597,   598,   599,   600,   601,   602,   700,
     603,     0,   604,   605,   606,   607,   608,     0,   609,   218,
     610,   611,     0,   612,   221,   613,     0,   614,   615,   616,
     617,   618,   619,   620,   621,   622,   623,   223,     0,   624,
     625,     0,   626,   627,   628,   629,   630,   631,     0,   225,
     226,     0,     0,   633,   227,   634,   228,     0,   635,   636,
     637,   638,   639,   640,   641,     0,     0,   642,   643,   644,
     645,   646,     0,     0,   647,   648,   649,   650,   651,   701,
     235,     0,   652,     0,   653,   654,   655,     0,     0,   656,
       0,     0,   657,   658,   659,   660,   661,   238,   239,   240,
     241,   242,   243,   244,   245,   246,   702,   662,   663,    86,
      87,    88,   678,    90,    91,    92,   679,     0,   680,    95,
       0,     0,    98,    99,   100,   101,   102,   103,     0,   104,
     105,   681,     0,     0,   107,   108,   109,   110,     0,     0,
     112,   113,   114,   115,     0,   116,     0,     0,   682,   683,
       0,     0,     0,   684,   685,     0,     0,     0,     0,   686,
       0,     0,     0,     0,     0,     0,     0,     0,   687,     0,
     688,     0,   689,   690,    35,     0,     0,     0,     0,     0,
       0,     0,    41,    42,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   418,   419,   420,   421,   422,   423,
     424,   425,  1008,   426,   427,   428,     0,     0,     0,     0,
       0,     0,     0,   429,   430,     0,   431,   432,     0,   433,
     434,   435,   135,   136,     0,   138,   139,     0,   436,   437,
     438,   439,   440,     0,     0,   441,   442,   692,   140,   443,
       0,   444,   445,   446,   447,   144,     0,     0,     0,   448,
     449,   450,   451,     0,   452,   693,     0,   453,   454,   455,
     456,   457,   458,  1009,     0,   459,     0,     0,     0,     0,
       0,     0,     0,     0,   460,   461,   462,   463,   695,   464,
     155,   156,   465,     0,   466,     0,   467,   468,   469,   470,
     471,     0,   472,   473,   474,     0,     0,   475,   476,   477,
     478,   479,     0,   480,   481,   482,     0,   483,   484,   485,
       0,   486,   487,   488,   489,   164,   490,   491,   492,   166,
       0,   493,     0,   494,   168,   495,     0,   496,     0,   497,
       0,     0,     0,   498,   499,   500,     0,   501,   172,     0,
     502,     0,   503,   504,   697,   505,   506,     0,   507,   508,
     509,     0,   510,   511,   512,   513,   514,   515,     0,   516,
       0,   175,     0,   517,   518,   519,     0,   176,     0,   177,
       0,   520,     0,     0,   521,     0,   522,   523,   524,   525,
     526,     0,   527,   528,     0,   529,   181,     0,   530,     0,
       0,   531,   532,   533,     0,     0,   534,   535,   536,   537,
     538,   539,   698,   540,   541,   699,   542,   543,   544,   188,
       0,   190,   545,   546,   191,     0,   547,   548,     0,   549,
       0,   194,   550,   195,   551,   552,   553,     0,   554,     0,
       0,   555,   556,   557,     0,     0,   196,     0,     0,     0,
     200,   558,   559,   560,   561,   562,   563,   564,     0,   565,
     201,   566,   202,   567,   568,   569,     0,   570,   571,   572,
     573,   574,   575,   576,   577,   204,   578,   579,   580,   581,
    1010,   582,   583,   584,   585,   586,   587,   588,   589,   590,
     591,   592,     0,   593,   594,     0,   595,   596,   213,   597,
     598,   599,   600,   601,   602,   700,   603,  1011,   604,   605,
     606,   607,   608,     0,   609,   218,   610,   611,     0,   612,
     221,   613,     0,   614,   615,   616,   617,   618,   619,   620,
     621,   622,   623,   223,     0,   624,   625,     0,   626,   627,
     628,   629,   630,   631,     0,   225,   226,     0,     0,   633,
     227,   634,   228,     0,   635,   636,   637,   638,   639,   640,
     641,     0,     0,   642,   643,   644,   645,   646,     0,     0,
     647,   648,   649,   650,   651,   701,   235,     0,   652,     0,
     653,   654,   655,     0,     0,   656,     0,     0,   657,   658,
     659,   660,   661,   238,   239,   240,   241,   242,   243,   244,
     245,   246,   702,   662,   663,    86,    87,    88,   678,    90,
      91,    92,   679,   920,   680,    95,     0,     0,    98,    99,
     100,   101,   102,   103,     0,   104,   105,   681,     0,     0,
     107,   108,   109,   110,     0,     0,   112,   113,   114,   115,
       0,   116,     0,     0,   682,   683,     0,     0,     0,   684,
     685,     0,     0,     0,     0,   686,     0,     0,     0,     0,
       0,     0,     0,     0,   687,     0,   688,     0,   689,   690,
      35,   417,     0,     0,     0,     0,     0,     0,    41,    42,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     418,   419,   420,   421,   422,   423,   424,   425,   921,   426,
     427,   428,     0,     0,     0,     0,     0,     0,     0,   429,
     430,     0,   431,   432,     0,   433,   434,   435,   135,   136,
       0,   138,   139,     0,   436,   437,   438,   439,   440,     0,
       0,   441,   442,   692,   140,   443,     0,   444,   445,   446,
     447,   144,     0,     0,     0,   448,   449,   450,   451,     0,
     452,   693,     0,   453,   454,   455,   456,   457,   458,     0,
       0,   459,     0,     0,     0,     0,     0,     0,     0,     0,
     460,   461,   462,   463,   695,   464,   155,   156,   465,     0,
     466,     0,   467,   468,   469,   470,   471,     0,   472,   473,
     474,     0,     0,   475,   476,   477,   478,   479,     0,   480,
     481,   482,     0,   483,   484,   485,     0,   486,   487,   488,
     489,   164,   490,   491,   492,   166,     0,   493,     0,   494,
     168,   495,     0,   496,     0,   497,     0,     0,     0,   498,
     499,   500,     0,   501,   172,     0,   502,     0,   503,   504,
     697,   505,   506,     0,   507,   508,   509,     0,   510,   511,
     512,   513,   514,   515,     0,   516,     0,   175,     0,   517,
     518,   519,     0,   176,     0,   177,     0,   520,     0,     0,
     521,     0,   522,   523,   524,   525,   526,     0,   527,   528,
       0,   529,   181,     0,   530,     0,     0,   531,   532,   533,
       0,     0,   534,   535,   536,   537,   538,   539,   698,   540,
     541,   699,   542,   543,   544,   188,     0,   190,   545,   546,
     191,     0,   547,   548,     0,   549,     0,   194,   550,   195,
     551,   552,   553,     0,   554,     0,     0,   555,   556,   557,
       0,     0,   196,     0,     0,     0,   200,   558,   559,   560,
     561,   562,   563,   564,     0,   565,   201,   566,   202,   567,
     922,   569,     0,   570,   571,   572,   573,   574,   575,   576,
     577,   204,   578,   579,   580,   581,     0,   582,   583,   584,
     585,   586,   587,   588,   589,   590,   591,   592,     0,   593,
     594,     0,   595,   596,   213,   597,   598,   599,   600,   601,
     602,   700,   603,     0,   604,   605,   606,   607,   608,     0,
     609,   218,   610,   611,     0,   612,   221,   613,     0,   614,
     615,   616,   617,   618,   619,   620,   621,   622,   623,   223,
       0,   624,   625,     0,   626,   627,   628,   629,   630,   631,
       0,   225,   226,     0,     0,   633,   227,   634,   228,     0,
     635,   636,   637,   638,   639,   640,   641,     0,     0,   642,
     643,   644,   645,   646,     0,     0,   647,   648,   649,   650,
     651,   701,   235,     0,   652,     0,   653,   654,   655,     0,
       0,   656,     0,     0,   657,   658,   659,   660,   661,   238,
     239,   240,   241,   242,   243,   244,   245,   246,   702,   662,
     663,    86,    87,    88,   678,    90,    91,    92,   679,     0,
     680,    95,     0,     0,    98,    99,   100,   101,   102,   103,
       0,   104,   105,   681,     0,     0,   107,   108,   109,   110,
       0,     0,   112,   113,   114,   115,     0,   116,     0,     0,
     682,   683,     0,     0,     0,   684,   685,     0,     0,     0,
       0,   686,     0,     0,     0,     0,     0,     0,     0,     0,
     687,     0,   688,     0,   689,   690,    35,     0,     0,     0,
       0,     0,     0,     0,    41,    42,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   418,   419,   420,   421,
     422,   423,   424,   425,  2091,   426,   427,   428,     0,     0,
       0,     0,     0,     0,     0,   429,   430,     0,   431,   432,
       0,   433,   434,   435,   135,   136,     0,   138,   139,     0,
     436,   437,   438,   439,   440,     0,     0,   441,   442,   692,
     140,   443,     0,   444,   445,   446,   447,   144,     0,     0,
       0,   448,   449,   450,   451,     0,   452,   693,     0,   453,
     454,   455,   456,   457,   458,     0,     0,   459,     0,     0,
       0,     0,     0,     0,     0,     0,   460,   461,   462,  2092,
     695,   464,   155,   156,   465,     0,   466,     0,   467,   468,
     469,   470,   471,     0,   472,   473,   474,     0,     0,   475,
    2093,   477,   478,   479,     0,   480,   481,   482,     0,   483,
     484,   485,     0,   486,   487,   488,   489,   164,   490,   491,
     492,   166,     0,   493,     0,   494,   168,   495,     0,   496,
    2094,   497,     0,     0,     0,  2095,   499,   500,     0,   501,
     172,     0,   502,     0,   503,   504,   697,   505,   506,     0,
     507,   508,   509,     0,   510,   511,   512,   513,   514,   515,
       0,   516,     0,   175,     0,   517,   518,   519,     0,   176,
       0,   177,     0,   520,     0,     0,   521,     0,   522,   523,
    2096,  2097,   526,     0,   527,   528,     0,   529,   181,     0,
     530,     0,     0,   531,   532,   533,     0,     0,   534,   535,
     536,   537,   538,   539,   698,   540,   541,   699,   542,   543,
     544,   188,     0,   190,   545,   546,   191,     0,   547,   548,
       0,   549,     0,   194,   550,   195,   551,   552,   553,     0,
     554,     0,     0,   555,   556,   557,     0,     0,   196,     0,
       0,     0,   200,   558,   559,   560,   561,   562,   563,   564,
       0,   565,   201,   566,   202,   567,   568,   569,     0,   570,
     571,   572,   573,   574,   575,   576,   577,   204,   578,   579,
     580,   581,     0,   582,   583,   584,   585,   586,   587,   588,
     589,   590,   591,   592,     0,   593,   594,     0,   595,   596,
     213,   597,   598,   599,  2098,   601,   602,   700,   603,     0,
    2099,   605,   606,   607,   608,     0,   609,   218,   610,   611,
       0,   612,   221,   613,     0,   614,   615,   616,   617,   618,
     619,   620,   621,   622,   623,   223,     0,   624,   625,  2100,
     626,  2101,   628,   629,   630,   631,     0,   225,   226,     0,
       0,   633,   227,   634,   228,     0,   635,   636,  2102,   638,
     639,   640,   641,     0,     0,   642,   643,   644,   645,   646,
       0,     0,   647,   648,   649,   650,   651,   701,   235,     0,
     652,     0,   653,   654,   655,     0,     0,   656,     0,     0,
     657,   658,   659,   660,   661,   238,   239,   240,   241,   242,
     243,   244,   245,   246,   702,   662,   663,    86,    87,    88,
     678,    90,    91,    92,   679,     0,   680,    95,     0,     0,
      98,    99,   100,   101,   102,   103,     0,   104,   105,   681,
       0,     0,   107,   108,   109,   110,     0,     0,   112,   113,
     114,   115,     0,   116,     0,     0,   682,   683,     0,     0,
       0,   684,   685,     0,     0,     0,     0,   686,     0,     0,
       0,     0,     0,     0,     0,     0,   687,     0,   688,     0,
     689,   690,    35,     0,     0,     0,     0,     0,     0,     0,
      41,    42,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   418,   419,   420,   421,   422,   423,   424,   425,
       0,   426,   427,   428,     0,     0,     0,     0,     0,     0,
       0,   429,   430,     0,   431,   432,     0,   433,   434,   435,
     135,   136,     0,   138,   139,     0,   436,   437,   438,   439,
     440,     0,     0,   441,   442,   692,   140,   443,     0,   444,
     445,   446,   447,   144,     0,     0,     0,   448,   449,   450,
     451,     0,   452,   693,     0,   453,   454,   455,   456,   457,
     458,  1009,     0,   459,     0,     0,     0,     0,     0,     0,
       0,     0,   460,   461,   462,   463,   695,   464,   155,   156,
     465,     0,   466,     0,   467,   468,   469,   470,   471,     0,
     472,   473,   474,     0,     0,   475,   476,   477,   478,   479,
       0,   480,   481,   482,     0,   483,   484,   485,     0,   486,
     487,   488,   489,   164,   490,   491,   492,   166,     0,   493,
       0,   494,   168,   495,     0,   496,     0,   497,     0,     0,
       0,   498,   499,   500,     0,   501,   172,     0,   502,     0,
     503,   504,   697,   505,   506,     0,   507,   508,   509,     0,
     510,   511,   512,   513,   514,   515,     0,   516,     0,   175,
       0,   517,   518,   519,     0,   176,     0,   177,     0,   520,
       0,     0,   521,     0,   522,   523,   524,   525,   526,     0,
     527,   528,     0,   529,   181,     0,   530,     0,     0,   531,
     532,   533,     0,     0,   534,   535,   536,   537,   538,   539,
     698,   540,   541,   699,   542,   543,   544,   188,     0,   190,
     545,   546,   191,     0,   547,   548,     0,   549,     0,   194,
     550,   195,   551,   552,   553,     0,   554,     0,     0,   555,
     556,   557,     0,     0,   196,     0,     0,     0,   200,   558,
     559,   560,   561,   562,   563,   564,     0,   565,   201,   566,
     202,   567,   568,   569,     0,   570,   571,   572,   573,   574,
     575,   576,   577,   204,   578,   579,   580,   581,  1010,   582,
     583,   584,   585,   586,   587,   588,   589,   590,   591,   592,
       0,   593,   594,     0,   595,   596,   213,   597,   598,   599,
     600,   601,   602,   700,   603,  1011,   604,   605,   606,   607,
     608,     0,   609,   218,   610,   611,     0,   612,   221,   613,
       0,   614,   615,   616,   617,   618,   619,   620,   621,   622,
     623,   223,     0,   624,   625,     0,   626,   627,   628,   629,
     630,   631,     0,   225,   226,     0,     0,   633,   227,   634,
     228,     0,   635,   636,   637,   638,   639,   640,   641,     0,
       0,   642,   643,   644,   645,   646,     0,     0,   647,   648,
     649,   650,   651,   701,   235,     0,   652,     0,   653,   654,
     655,     0,     0,   656,     0,     0,   657,   658,   659,   660,
     661,   238,   239,   240,   241,   242,   243,   244,   245,   246,
     702,   662,   663,    86,    87,    88,   678,    90,    91,    92,
     679,  2080,   680,    95,     0,     0,    98,    99,   100,   101,
     102,   103,     0,   104,   105,   681,     0,     0,   107,   108,
     109,   110,     0,     0,  2374,   113,   114,   115,     0,   116,
       0,     0,   682,   683,     0,     0,     0,   684,   685,     0,
       0,     0,     0,   686,     0,     0,     0,     0,     0,     0,
       0,     0,   687,     0,   688,     0,   689,   690,    35,   417,
       0,     0,     0,     0,     0,     0,    41,    42,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   418,   419,
     420,   421,   422,   423,   424,   425,     0,   426,   427,   428,
       0,     0,     0,     0,     0,     0,     0,   429,   430,     0,
     431,   432,     0,   433,   434,   435,   135,   136,     0,   138,
     139,     0,   436,   437,   438,   439,   440,     0,     0,   441,
     442,   692,   140,   443,     0,   444,   445,   446,   447,   144,
       0,     0,     0,   448,   449,   450,   451,     0,   452,   693,
       0,   453,   454,   455,   456,   457,   458,     0,     0,   459,
       0,     0,     0,     0,     0,     0,     0,     0,   460,   461,
     462,   463,   695,   464,   155,   156,   465,     0,   466,     0,
     467,   468,   469,   470,   471,     0,   472,   473,   474,     0,
       0,   475,   476,   477,   478,   479,     0,   480,   481,   482,
       0,   483,   484,   485,     0,   486,   487,   488,   489,   164,
     490,   491,   492,   166,     0,   493,     0,   494,   168,   495,
       0,   496,     0,   497,     0,     0,     0,   498,   499,  2976,
       0,   501,   172,     0,   502,     0,   503,   504,   697,   505,
     506,     0,   507,   508,   509,     0,   510,   511,   512,   513,
     514,   515,     0,   516,     0,   175,     0,   517,   518,   519,
       0,   176,     0,   177,     0,   520,     0,     0,   521,     0,
     522,   523,   524,   525,   526,     0,   527,   528,     0,   529,
     181,     0,   530,     0,     0,   531,   532,  2977,     0,     0,
     534,   535,   536,   537,   538,   539,   698,   540,   541,   699,
     542,   543,   544,   188,     0,   190,   545,   546,   191,     0,
     547,   548,     0,   549,     0,   194,   550,   195,   551,   552,
     553,     0,   554,     0,     0,   555,   556,   557,     0,     0,
     196,     0,     0,     0,   200,   558,   559,   560,   561,   562,
     563,   564,     0,   565,   201,   566,   202,   567,   568,   569,
       0,   570,   571,   572,   573,   574,   575,   576,   577,   204,
     578,   579,   580,   581,     0,   582,   583,   584,   585,   586,
     587,   588,   589,   590,   591,   592,     0,   593,   594,     0,
     595,   596,   213,   597,   598,   599,   600,   601,   602,   700,
     603,     0,   604,   605,   606,   607,   608,     0,   609,   218,
     610,   611,     0,   612,   221,   613,     0,   614,   615,   616,
     617,   618,   619,   620,   621,   622,   623,   223,     0,   624,
     625,  2978,   626,   627,  2979,   629,  2980,   631,     0,   225,
     226,     0,     0,   633,   227,   634,   228,     0,   635,   636,
     637,   638,   639,   640,   641,     0,     0,   642,   643,  2981,
     645,   646,     0,     0,   647,   648,   649,   650,   651,   701,
     235,     0,   652,     0,   653,   654,   655,     0,     0,   656,
       0,     0,   657,   658,   659,   660,   661,   238,   239,   240,
     241,   242,   243,   244,   245,   246,   702,   662,   663,    86,
      87,    88,   678,    90,    91,    92,   679,     0,   680,    95,
       0,     0,    98,    99,   100,   101,   102,   103,     0,   104,
     105,   681,     0,     0,   107,   108,   109,   110,     0,     0,
     112,   113,   114,   115,     0,   116,     0,     0,   682,   683,
       0,     0,     0,   684,   685,     0,     0,     0,     0,   686,
       0,     0,     0,     0,     0,     0,     0,     0,   687,     0,
     688,     0,   689,   690,    35,   417,     0,     0,     0,     0,
       0,     0,    41,    42,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   418,   419,   420,   421,   422,   423,
     424,   425,   718,   426,   427,   428,     0,     0,     0,     0,
       0,     0,     0,   429,   430,     0,   431,   432,     0,   433,
     434,   435,   135,   136,     0,   138,   139,     0,   436,   437,
     438,   439,   440,     0,     0,   441,   442,   692,   140,   443,
       0,   444,   445,   446,   447,   144,     0,     0,     0,   448,
     449,   450,   451,     0,   452,   693,     0,   453,   454,   455,
     456,   457,   458,     0,     0,   459,     0,     0,     0,     0,
       0,     0,     0,     0,   460,   461,   462,   463,   695,   464,
     155,   156,   465,     0,   466,     0,   467,   468,   469,   470,
     471,     0,   472,   473,   474,     0,     0,   475,   476,   477,
     478,   479,     0,   480,   481,   482,     0,   483,   484,   485,
       0,   486,   487,   488,   489,   164,   490,   491,   492,   166,
       0,   493,     0,   494,   168,   495,     0,   496,     0,   497,
       0,     0,     0,   498,   499,   500,     0,   501,   172,     0,
     502,     0,   503,   504,   697,   505,   506,     0,   507,   508,
     509,     0,   510,   511,   512,   513,   514,   515,     0,   516,
       0,   175,     0,   517,   518,   519,     0,   176,     0,   177,
       0,   520,     0,     0,   521,     0,   522,   523,   524,   525,
     526,     0,   527,   528,     0,   529,   181,     0,   530,     0,
       0,   531,   532,   533,     0,     0,   534,   535,   536,   537,
     538,   539,   698,   540,   541,   699,   542,   543,   544,   188,
       0,   190,   545,   546,   191,     0,   547,   548,     0,   549,
       0,   194,   550,   195,   551,   552,   553,     0,   554,     0,
       0,   555,   556,   557,     0,     0,   196,     0,     0,     0,
     200,   558,   559,   560,   561,   562,   563,   564,     0,   565,
     201,   566,   202,   567,   568,   569,     0,   570,   571,   572,
     573,   574,   575,   576,   577,   204,   578,   579,   580,   581,
       0,   582,   583,   584,   585,   586,   587,   588,   589,   590,
     591,   592,     0,   593,   594,     0,   595,   596,   213,   597,
     598,   599,   600,   601,   602,   700,   603,     0,   604,   605,
     606,   607,   608,     0,   609,   218,   610,   611,     0,   612,
     221,   613,     0,   614,   615,   616,   617,   618,   619,   620,
     621,   622,   623,   223,     0,   624,   625,     0,   626,   627,
     628,   629,   630,   631,     0,   225,   226,     0,     0,   633,
     227,   634,   228,     0,   635,   636,   637,   638,   639,   640,
     641,     0,     0,   642,   643,   644,   645,   646,     0,     0,
     647,   648,   649,   650,   651,   701,   235,     0,   652,     0,
     653,   654,   655,     0,     0,   656,     0,     0,   657,   658,
     659,   660,   661,   238,   239,   240,   241,   242,   243,   244,
     245,   246,   702,   662,   663,    86,    87,    88,   678,    90,
      91,    92,   679,     0,   680,    95,     0,     0,    98,    99,
     100,   101,   102,   103,     0,   104,   105,   681,     0,     0,
     107,   108,   109,   110,     0,     0,   112,   113,   114,   115,
       0,   116,     0,     0,   682,   683,     0,     0,     0,   684,
     685,     0,     0,     0,     0,   686,     0,     0,     0,     0,
       0,     0,     0,     0,   687,     0,   688,     0,   689,   690,
      35,   417,     0,     0,     0,     0,     0,     0,    41,    42,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     418,   419,   420,   421,   422,   423,   424,   425,     0,   426,
     427,   428,     0,     0,     0,     0,     0,     0,     0,   429,
     430,     0,   431,   432,     0,   433,   434,   435,   135,   136,
       0,   138,   139,     0,   436,   437,   438,   439,   440,     0,
       0,   441,   442,   692,   140,   443,     0,   444,   445,   446,
     447,   144,     0,     0,     0,   448,   449,   450,   451,     0,
     452,   693,     0,   453,   454,   455,   456,   457,   458,     0,
       0,   459,     0,     0,     0,     0,     0,     0,     0,     0,
     460,   461,   462,   463,   695,   464,   155,   156,   465,   696,
     466,     0,   467,   468,   469,   470,   471,     0,   472,   473,
     474,     0,     0,   475,   476,   477,   478,   479,     0,   480,
     481,   482,     0,   483,   484,   485,     0,   486,   487,   488,
     489,   164,   490,   491,   492,   166,     0,   493,     0,   494,
     168,   495,     0,   496,     0,   497,     0,     0,     0,   498,
     499,   500,     0,   501,   172,     0,   502,     0,   503,   504,
     697,   505,   506,     0,   507,   508,   509,     0,   510,   511,
     512,   513,   514,   515,     0,   516,     0,   175,     0,   517,
     518,   519,     0,   176,     0,   177,     0,   520,     0,     0,
     521,     0,   522,   523,   524,   525,   526,     0,   527,   528,
       0,   529,   181,     0,   530,     0,     0,   531,   532,   533,
       0,     0,   534,   535,   536,   537,   538,   539,   698,   540,
     541,   699,   542,   543,   544,   188,     0,   190,   545,   546,
     191,     0,   547,   548,     0,   549,     0,   194,   550,   195,
     551,   552,   553,     0,   554,     0,     0,   555,   556,   557,
       0,     0,   196,     0,     0,     0,   200,   558,   559,   560,
     561,   562,   563,   564,     0,   565,   201,   566,   202,   567,
     568,   569,     0,   570,   571,   572,   573,   574,   575,   576,
     577,   204,   578,   579,   580,   581,     0,   582,   583,   584,
     585,   586,   587,   588,   589,   590,   591,   592,     0,   593,
     594,     0,   595,   596,   213,   597,   598,   599,   600,   601,
     602,   700,   603,     0,   604,   605,   606,   607,   608,     0,
     609,   218,   610,   611,     0,   612,   221,   613,     0,   614,
     615,   616,   617,   618,   619,   620,   621,   622,   623,   223,
       0,   624,   625,     0,   626,   627,   628,   629,   630,   631,
       0,   225,   226,     0,     0,   633,   227,   634,   228,     0,
     635,   636,   637,   638,   639,   640,   641,     0,     0,   642,
     643,   644,   645,   646,     0,     0,   647,   648,   649,   650,
     651,   701,   235,     0,   652,     0,   653,   654,   655,     0,
       0,   656,     0,     0,   657,   658,   659,   660,   661,   238,
     239,   240,   241,   242,   243,   244,   245,   246,   702,   662,
     663,    86,    87,    88,   678,    90,    91,    92,   679,     0,
     680,    95,     0,     0,    98,    99,   100,   101,   102,   103,
       0,   104,   105,   681,     0,     0,   107,   108,   109,   110,
       0,     0,   112,   113,   114,   115,     0,   116,     0,     0,
     682,   683,     0,     0,     0,   684,   685,     0,     0,     0,
       0,   686,     0,     0,     0,     0,     0,     0,     0,     0,
     687,     0,   688,     0,   689,   690,    35,   417,     0,     0,
       0,     0,     0,     0,    41,    42,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   418,   419,   420,   421,
     422,   423,   424,   425,   870,   426,   427,   428,     0,     0,
       0,     0,     0,     0,     0,   429,   430,     0,   431,   432,
       0,   433,   434,   435,   135,   136,     0,   138,   139,     0,
     436,   437,   438,   439,   440,     0,     0,   441,   442,   692,
     140,   443,     0,   444,   445,   446,   447,   144,     0,     0,
       0,   448,   449,   450,   451,     0,   452,   693,     0,   453,
     454,   455,   456,   457,   458,     0,     0,   459,     0,     0,
       0,     0,     0,     0,     0,     0,   460,   461,   462,   463,
     695,   464,   155,   156,   465,     0,   466,     0,   467,   468,
     469,   470,   471,     0,   472,   473,   474,     0,     0,   475,
     476,   477,   478,   479,     0,   480,   481,   482,     0,   483,
     484,   485,     0,   486,   487,   488,   489,   164,   490,   491,
     492,   166,     0,   493,     0,   494,   168,   495,     0,   496,
       0,   497,     0,     0,     0,   498,   499,   500,     0,   501,
     172,     0,   502,     0,   503,   504,   697,   505,   506,     0,
     507,   508,   509,     0,   510,   511,   512,   513,   514,   515,
       0,   516,     0,   175,     0,   517,   518,   519,     0,   176,
       0,   177,     0,   520,     0,     0,   521,     0,   522,   523,
     524,   525,   526,     0,   527,   528,     0,   529,   181,     0,
     530,     0,     0,   531,   532,   533,     0,     0,   534,   535,
     536,   537,   538,   539,   698,   540,   541,   699,   542,   543,
     544,   188,     0,   190,   545,   546,   191,     0,   547,   548,
       0,   549,     0,   194,   550,   195,   551,   552,   553,     0,
     554,     0,     0,   555,   556,   557,     0,     0,   196,     0,
       0,     0,   200,   558,   559,   560,   561,   562,   563,   564,
       0,   565,   201,   566,   202,   567,   568,   569,     0,   570,
     571,   572,   573,   574,   575,   576,   577,   204,   578,   579,
     580,   581,     0,   582,   583,   584,   585,   586,   587,   588,
     589,   590,   591,   592,     0,   593,   594,     0,   595,   596,
     213,   597,   598,   599,   600,   601,   602,   700,   603,     0,
     604,   605,   606,   607,   608,     0,   609,   218,   610,   611,
       0,   612,   221,   613,     0,   614,   615,   616,   617,   618,
     619,   620,   621,   622,   623,   223,     0,   624,   625,     0,
     626,   627,   628,   629,   630,   631,     0,   225,   226,     0,
       0,   633,   227,   634,   228,     0,   635,   636,   637,   638,
     639,   640,   641,     0,     0,   642,   643,   644,   645,   646,
       0,     0,   647,   648,   649,   650,   651,   701,   235,     0,
     652,     0,   653,   654,   655,     0,     0,   656,     0,     0,
     657,   658,   659,   660,   661,   238,   239,   240,   241,   242,
     243,   244,   245,   246,   702,   662,   663,    86,    87,    88,
     678,    90,    91,    92,   679,     0,   680,    95,     0,     0,
      98,    99,   100,   101,   102,   103,     0,   104,   105,   681,
       0,     0,   107,   108,   109,   110,     0,     0,   112,   113,
     114,   115,     0,   116,     0,     0,   682,   683,     0,     0,
       0,   684,   685,     0,     0,     0,     0,   686,     0,     0,
       0,     0,     0,     0,     0,     0,   687,     0,   688,     0,
     689,   690,    35,   417,     0,     0,     0,     0,     0,     0,
      41,    42,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   418,   419,   420,   421,   422,   423,   424,   425,
    1334,   426,   427,   428,     0,     0,     0,     0,     0,     0,
       0,   429,   430,     0,   431,   432,     0,   433,   434,   435,
     135,   136,     0,   138,   139,     0,   436,   437,   438,   439,
     440,     0,     0,   441,   442,   692,   140,   443,     0,   444,
     445,   446,   447,   144,     0,     0,     0,   448,   449,   450,
     451,     0,   452,   693,     0,   453,   454,   455,   456,   457,
     458,     0,     0,   459,     0,     0,     0,     0,     0,     0,
       0,     0,   460,   461,   462,   463,   695,   464,   155,   156,
     465,     0,   466,     0,   467,   468,   469,   470,   471,     0,
     472,   473,   474,     0,     0,   475,   476,   477,   478,   479,
       0,   480,   481,   482,     0,   483,   484,   485,     0,   486,
     487,   488,   489,   164,   490,   491,   492,   166,     0,   493,
       0,   494,   168,   495,     0,   496,     0,   497,     0,     0,
       0,   498,   499,   500,     0,   501,   172,     0,   502,     0,
     503,   504,   697,   505,   506,     0,   507,   508,   509,     0,
     510,   511,   512,   513,   514,   515,     0,   516,     0,   175,
       0,   517,   518,   519,     0,   176,     0,   177,     0,   520,
       0,     0,   521,     0,   522,   523,   524,   525,   526,     0,
     527,   528,     0,   529,   181,     0,   530,     0,     0,   531,
     532,   533,     0,     0,   534,   535,   536,   537,   538,   539,
     698,   540,   541,   699,   542,   543,   544,   188,     0,   190,
     545,   546,   191,     0,   547,   548,     0,   549,     0,   194,
     550,   195,   551,   552,   553,     0,   554,     0,     0,   555,
     556,   557,     0,     0,   196,     0,     0,     0,   200,   558,
     559,   560,   561,   562,   563,   564,     0,   565,   201,   566,
     202,   567,   568,   569,     0,   570,   571,   572,   573,   574,
     575,   576,   577,   204,   578,   579,   580,   581,     0,   582,
     583,   584,   585,   586,   587,   588,   589,   590,   591,   592,
       0,   593,   594,     0,   595,   596,   213,   597,   598,   599,
     600,   601,   602,   700,   603,     0,   604,   605,   606,   607,
     608,     0,   609,   218,   610,   611,     0,   612,   221,   613,
       0,   614,   615,   616,   617,   618,   619,   620,   621,   622,
     623,   223,     0,   624,   625,     0,   626,   627,   628,   629,
     630,   631,     0,   225,   226,     0,     0,   633,   227,   634,
     228,     0,   635,   636,   637,   638,   639,   640,   641,     0,
       0,   642,   643,   644,   645,   646,     0,     0,   647,   648,
     649,   650,   651,   701,   235,     0,   652,     0,   653,   654,
     655,     0,     0,   656,     0,     0,   657,   658,   659,   660,
     661,   238,   239,   240,   241,   242,   243,   244,   245,   246,
     702,   662,   663,    86,    87,    88,   678,    90,    91,    92,
     679,     0,   680,    95,     0,     0,    98,    99,   100,   101,
     102,   103,     0,   104,   105,   681,     0,     0,   107,   108,
     109,   110,     0,     0,   112,   113,   114,   115,     0,   116,
       0,     0,   682,   683,     0,     0,     0,   684,   685,     0,
       0,     0,     0,   686,     0,     0,     0,     0,     0,     0,
       0,     0,   687,     0,   688,     0,   689,   690,    35,     0,
       0,     0,     0,     0,     0,     0,    41,    42,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   418,   419,
     420,   421,   422,   423,   424,   425,     0,   426,   427,   428,
     130,   131,     0,     0,     0,     0,     0,   429,   430,     0,
     431,   432,     0,   433,   434,   435,   135,   136,     0,   138,
     139,     0,   436,   437,   438,   439,   440,     0,     0,   441,
     442,   692,   140,   443,     0,   444,   445,   446,   447,   144,
       0,     0,     0,   448,   449,   450,   451,     0,   452,   693,
       0,   453,   454,   455,   456,   457,   458,     0,     0,   459,
       0,     0,     0,     0,     0,     0,     0,     0,   460,   461,
     462,   463,   695,   464,   155,   156,   465,     0,   466,     0,
     467,   468,   469,   470,   471,     0,   472,   473,   474,     0,
       0,   475,   476,   477,   478,   479,     0,   480,   481,   482,
       0,   483,   484,   485,     0,   486,   487,   488,   489,   164,
     490,   491,   492,   166,     0,   493,     0,   494,   168,   495,
       0,   496,     0,   497,     0,     0,     0,   498,   499,   500,
       0,   501,   172,     0,   502,     0,   503,   504,   697,   505,
     506,     0,   507,   508,   509,     0,   510,   511,   512,   513,
     514,   515,     0,   516,     0,   175,     0,   517,   518,   519,
       0,   176,     0,   177,     0,   520,     0,     0,   521,     0,
     522,   523,   524,   525,   526,     0,   527,   528,     0,   529,
     181,     0,   530,     0,     0,   531,   532,   533,     0,     0,
     534,   535,   536,   537,   538,   539,   698,   540,   541,   699,
     542,   543,   544,   188,     0,   190,   545,   546,   191,     0,
     547,   548,     0,   549,     0,   194,   550,   195,   551,   552,
     553,     0,   554,     0,     0,   555,   556,   557,     0,     0,
     196,     0,     0,     0,   200,   558,   559,   560,   561,   562,
     563,   564,     0,   565,   201,   566,   202,   567,   568,   569,
       0,   570,   571,   572,   573,   574,   575,   576,   577,   204,
     578,   579,   580,   581,     0,   582,   583,   584,   585,   586,
     587,   588,   589,   590,   591,   592,     0,   593,   594,     0,
     595,   596,   213,   597,   598,   599,   600,   601,   602,   700,
     603,     0,   604,   605,   606,   607,   608,     0,   609,   218,
     610,   611,     0,   612,   221,   613,     0,   614,   615,   616,
     617,   618,   619,   620,   621,   622,   623,   223,     0,   624,
     625,     0,   626,   627,   628,   629,   630,   631,     0,   225,
     226,     0,     0,   633,   227,   634,   228,     0,   635,   636,
     637,   638,   639,   640,   641,     0,     0,   642,   643,   644,
     645,   646,     0,     0,   647,   648,   649,   650,   651,   701,
     235,     0,   652,     0,   653,   654,   655,     0,     0,   656,
       0,     0,   657,   658,   659,   660,   661,   238,   239,   240,
     241,   242,   243,   244,   245,   246,   702,   662,   663,    86,
      87,    88,   678,    90,    91,    92,   679,     0,   680,    95,
       0,     0,    98,    99,   100,   101,   102,   103,     0,   104,
     105,   681,     0,     0,   107,   108,   109,   110,     0,     0,
     112,   113,   114,   115,     0,   116,     0,     0,   682,   683,
       0,     0,     0,   684,   685,     0,     0,     0,     0,   686,
       0,     0,     0,     0,     0,     0,     0,     0,   687,     0,
     688,     0,   689,   690,    35,     0,     0,     0,     0,     0,
       0,     0,    41,    42,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   418,   419,   420,   421,   422,   423,
     424,   425,  3188,   426,   427,   428,     0,     0,     0,     0,
       0,     0,     0,   429,   430,     0,   431,   432,     0,   433,
     434,   435,   135,   136,     0,   138,   139,     0,   436,   437,
     438,   439,   440,     0,     0,   441,   442,   692,   140,   443,
       0,   444,   445,   446,   447,   144,     0,     0,     0,   448,
     449,   450,   451,     0,   452,   693,     0,   453,   454,   455,
     456,   457,   458,     0,     0,   459,     0,     0,     0,     0,
       0,     0,     0,     0,   460,   461,   462,   463,   695,   464,
     155,   156,   465,     0,   466,     0,   467,   468,   469,   470,
     471,     0,   472,   473,   474,     0,     0,   475,   476,   477,
     478,   479,     0,   480,   481,   482,     0,   483,   484,   485,
       0,   486,   487,   488,   489,   164,   490,   491,   492,   166,
       0,   493,     0,   494,   168,   495,     0,   496,     0,   497,
       0,     0,     0,   498,   499,   500,     0,   501,   172,     0,
     502,     0,   503,   504,   697,   505,   506,     0,   507,   508,
     509,     0,   510,   511,   512,   513,   514,   515,     0,   516,
       0,   175,     0,   517,   518,   519,     0,   176,     0,   177,
       0,   520,     0,     0,   521,     0,   522,   523,   524,   525,
     526,     0,   527,   528,     0,   529,   181,     0,   530,     0,
       0,   531,   532,   533,     0,     0,   534,   535,   536,   537,
     538,   539,   698,   540,   541,   699,   542,   543,   544,   188,
       0,   190,   545,   546,   191,     0,   547,   548,     0,   549,
       0,   194,   550,   195,   551,   552,   553,     0,   554,     0,
       0,   555,   556,   557,     0,     0,   196,     0,     0,     0,
     200,   558,   559,   560,   561,   562,   563,   564,     0,   565,
     201,   566,   202,   567,   568,   569,     0,   570,   571,   572,
     573,   574,   575,   576,   577,   204,   578,   579,   580,   581,
       0,   582,   583,   584,   585,   586,   587,   588,   589,   590,
     591,   592,     0,   593,   594,     0,   595,   596,   213,   597,
     598,   599,   600,   601,   602,   700,   603,     0,   604,   605,
     606,   607,   608,     0,   609,   218,   610,   611,     0,   612,
     221,   613,     0,   614,   615,   616,   617,   618,   619,   620,
     621,   622,   623,   223,     0,   624,   625,     0,   626,   627,
     628,   629,   630,   631,     0,   225,   226,     0,     0,   633,
     227,   634,   228,     0,   635,   636,   637,   638,   639,   640,
     641,     0,     0,   642,   643,   644,   645,   646,  3189,     0,
     647,   648,   649,   650,   651,   701,   235,     0,   652,     0,
     653,   654,   655,     0,     0,   656,     0,     0,   657,   658,
     659,   660,   661,   238,   239,   240,   241,   242,   243,   244,
     245,   246,   702,   662,   663,    86,    87,    88,   678,    90,
      91,    92,   679,     0,   680,    95,     0,     0,    98,    99,
     100,   101,   102,   103,     0,   104,   105,   681,     0,     0,
     107,   108,   109,   110,     0,     0,   112,   113,   114,   115,
       0,   116,     0,     0,   682,   683,     0,     0,     0,   684,
     685,     0,     0,     0,     0,   686,     0,     0,     0,     0,
       0,     0,     0,     0,   687,     0,   688,     0,   689,   690,
      35,     0,     0,     0,     0,     0,     0,     0,    41,    42,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     418,   419,   420,   421,   422,   423,   424,   425,  3200,   426,
     427,   428,     0,     0,     0,     0,     0,     0,     0,   429,
     430,     0,   431,   432,     0,   433,   434,   435,   135,   136,
       0,   138,   139,     0,   436,   437,   438,   439,   440,     0,
       0,   441,   442,   692,   140,   443,     0,   444,   445,   446,
     447,   144,     0,     0,     0,   448,   449,   450,   451,     0,
     452,   693,     0,   453,   454,   455,   456,   457,   458,     0,
       0,   459,     0,     0,     0,     0,     0,     0,     0,     0,
     460,   461,   462,   463,   695,   464,   155,   156,   465,     0,
     466,     0,   467,   468,   469,   470,   471,     0,   472,   473,
     474,     0,     0,   475,   476,   477,   478,   479,     0,   480,
     481,   482,     0,   483,   484,   485,     0,   486,   487,   488,
     489,   164,   490,   491,   492,   166,     0,   493,     0,   494,
     168,   495,     0,   496,     0,   497,     0,     0,     0,   498,
     499,   500,     0,   501,   172,     0,   502,     0,   503,   504,
     697,   505,   506,     0,   507,   508,   509,     0,   510,   511,
     512,   513,   514,   515,     0,   516,     0,   175,     0,   517,
     518,   519,     0,   176,     0,   177,     0,   520,     0,     0,
     521,     0,   522,   523,   524,   525,   526,     0,   527,   528,
       0,   529,   181,     0,   530,     0,     0,   531,   532,   533,
       0,     0,   534,   535,   536,   537,   538,   539,   698,   540,
     541,   699,   542,   543,   544,   188,     0,   190,   545,   546,
     191,     0,   547,   548,     0,   549,     0,   194,   550,   195,
     551,   552,   553,     0,   554,     0,     0,   555,   556,   557,
       0,     0,   196,     0,     0,     0,   200,   558,   559,   560,
     561,   562,   563,   564,     0,   565,   201,   566,   202,   567,
     568,   569,     0,   570,   571,   572,   573,   574,   575,   576,
     577,   204,   578,   579,   580,   581,     0,   582,   583,   584,
     585,   586,   587,   588,   589,   590,   591,   592,     0,   593,
     594,     0,   595,   596,   213,   597,   598,   599,   600,   601,
     602,   700,   603,     0,   604,   605,   606,   607,   608,     0,
     609,   218,   610,   611,     0,   612,   221,   613,     0,   614,
     615,   616,   617,   618,   619,   620,   621,   622,   623,   223,
       0,   624,   625,     0,   626,   627,   628,   629,   630,   631,
       0,   225,   226,     0,     0,   633,   227,   634,   228,     0,
     635,   636,   637,   638,   639,   640,   641,     0,     0,   642,
     643,   644,   645,   646,  3201,     0,   647,   648,   649,   650,
     651,   701,   235,     0,   652,     0,   653,   654,   655,     0,
       0,   656,     0,     0,   657,   658,   659,   660,   661,   238,
     239,   240,   241,   242,   243,   244,   245,   246,   702,   662,
     663,    86,    87,    88,   678,    90,    91,    92,   679,     0,
     680,    95,     0,     0,    98,    99,   100,   101,   102,   103,
       0,   104,   105,   681,     0,     0,   107,   108,   109,   110,
       0,     0,   112,   113,   114,   115,     0,   116,     0,     0,
     682,   683,     0,     0,     0,   684,   685,     0,     0,     0,
       0,   686,     0,     0,     0,     0,     0,     0,     0,     0,
     687,     0,   688,     0,   689,   690,    35,   417,     0,     0,
       0,     0,     0,     0,    41,    42,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   418,   419,   420,   421,
     422,   423,   424,   425,     0,   426,   427,   428,     0,     0,
       0,     0,     0,     0,     0,   429,   430,     0,   431,   432,
       0,   433,   434,   435,   135,   136,     0,   138,   139,     0,
     436,   437,   438,   439,   440,     0,     0,   441,   442,   692,
     140,   443,     0,   444,   445,   446,   447,   144,     0,     0,
       0,   448,   449,   450,   451,     0,   452,   693,     0,   453,
     454,   455,   456,   457,   458,     0,     0,   459,     0,     0,
       0,     0,     0,     0,     0,     0,   460,   461,   462,   463,
     695,   464,   155,   156,   465,     0,   466,     0,   467,   468,
     469,   470,   471,     0,   472,   473,   474,     0,     0,   475,
     476,   477,   478,   479,     0,   480,   481,   482,     0,   483,
     484,   485,     0,   486,   487,   488,   489,   164,   490,   491,
     492,   166,     0,   493,     0,   494,   168,   495,     0,   496,
       0,   497,     0,     0,     0,   498,   499,   500,     0,   501,
     172,     0,   502,     0,   503,   504,   697,   505,   506,     0,
     507,   508,   509,     0,   510,   511,   512,   513,   514,   515,
       0,   516,     0,   175,     0,   517,   518,   519,     0,   176,
       0,   177,     0,   520,     0,     0,   521,     0,   522,   523,
     524,   525,   526,     0,   527,   528,     0,   529,   181,     0,
     530,     0,     0,   531,   532,   533,     0,     0,   534,   535,
     536,   537,   538,   539,   698,   540,   541,   699,   542,   543,
     544,   188,     0,   190,   545,   546,   191,     0,   547,   548,
       0,   549,     0,   194,   550,   195,   551,   552,   553,     0,
     554,     0,     0,   555,   556,   557,     0,     0,   196,     0,
       0,     0,   200,   558,   559,   560,   561,   562,   563,   564,
       0,   565,   201,   566,   202,   567,   568,   569,     0,   570,
     571,   572,   573,   574,   575,   576,   577,   204,   578,   579,
     580,   581,     0,   582,   583,   584,   585,   586,   587,   588,
     589,   590,   591,   592,     0,   593,   594,     0,   595,   596,
     213,   597,   598,   599,   600,   601,   602,   700,   603,     0,
     604,   605,   606,   607,   608,     0,   609,   218,   610,   611,
       0,   612,   221,   613,     0,   614,   615,   616,   617,   618,
     619,   620,   621,   622,   623,   223,     0,   624,   625,     0,
     626,   627,   628,   629,   630,   631,     0,   225,   226,     0,
       0,   633,   227,   634,   228,     0,   635,   636,   637,   638,
     639,   640,   641,     0,     0,   642,   643,   644,   645,   646,
       0,     0,   647,   648,   649,   650,   651,   701,   235,     0,
     652,     0,   653,   654,   655,     0,     0,   656,     0,     0,
     657,   658,   659,   660,   661,   238,   239,   240,   241,   242,
     243,   244,   245,   246,   702,   662,   663,    86,    87,    88,
     678,    90,    91,    92,   679,     0,   680,    95,     0,     0,
      98,    99,   100,   101,   102,   103,     0,   104,   105,   681,
       0,     0,   107,   108,   109,   110,     0,     0,   112,   113,
     114,   115,     0,   116,     0,     0,   682,   683,     0,     0,
       0,   684,   685,     0,     0,     0,     0,   686,     0,     0,
       0,     0,     0,     0,     0,     0,   687,     0,   688,     0,
     689,   690,    35,   417,     0,     0,     0,     0,     0,     0,
      41,    42,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   418,   419,   420,   421,   422,   423,   424,   425,
       0,   426,   427,   428,     0,     0,     0,     0,     0,     0,
       0,   429,   430,     0,   431,   432,     0,   433,   434,   435,
     135,   136,     0,   138,   139,     0,   436,   437,   438,   439,
     440,     0,     0,   441,   442,   692,   140,   443,     0,   444,
     445,   446,   447,   144,     0,     0,     0,   448,   449,   450,
     451,     0,   452,   693,     0,   453,   454,   455,   456,   457,
     458,     0,     0,   459,     0,     0,     0,     0,     0,     0,
       0,     0,   460,   461,   462,   463,   695,   464,   155,   156,
     465,     0,   466,     0,   467,   468,   469,   470,   471,     0,
     472,   473,   474,     0,     0,   475,   476,   477,   478,   479,
       0,   480,   481,   482,     0,   483,   484,   485,     0,   486,
     487,   488,   489,   164,   490,   491,   492,   166,     0,   493,
       0,   494,   168,   495,     0,   496,     0,   497,     0,     0,
       0,   498,   499,   500,     0,   501,   172,     0,   502,     0,
     503,   504,   697,   505,   506,     0,   507,   508,   509,     0,
     510,   511,   512,   513,   514,   515,     0,   516,     0,   175,
       0,   517,   518,   519,     0,   176,     0,   177,     0,   520,
       0,     0,   521,     0,   522,   523,   524,   525,   526,     0,
     527,   528,     0,   529,   181,     0,   530,     0,     0,   531,
     532,   533,     0,     0,   534,   535,   536,   537,   538,   539,
     698,   540,   541,   699,   542,   543,   544,   188,     0,   190,
     545,   546,   191,     0,   547,   548,     0,   549,     0,   194,
     550,   195,   551,   552,   553,     0,   554,     0,     0,   555,
     556,   557,     0,     0,   196,     0,     0,     0,   200,   558,
     559,   560,   561,   562,   563,   564,     0,   565,   201,   566,
     202,   567,   568,   569,     0,   570,   571,   572,   573,   574,
     575,   576,   577,   204,   578,   579,   580,   581,     0,   582,
     583,   584,   585,   586,   587,   588,   589,   590,   591,   592,
       0,   593,   594,     0,   595,   596,   213,   597,   598,   599,
     600,   601,   602,   700,   603,     0,   604,   605,   606,   607,
     608,     0,   609,   218,   610,   611,     0,   612,   221,   613,
       0,   614,   615,   616,   926,   618,   619,   620,   621,   622,
     623,   223,     0,   624,   625,     0,   626,   627,   628,   629,
     630,   631,     0,   225,   226,     0,     0,   633,   227,   634,
     228,     0,   635,   636,   637,   638,   639,   640,   641,     0,
       0,   642,   643,   644,   645,   646,     0,     0,   647,   648,
     649,   650,   651,   701,   235,     0,   652,     0,   653,   654,
     655,     0,     0,   656,     0,     0,   657,   658,   659,   660,
     661,   238,   239,   240,   241,   242,   243,   244,   245,   246,
     702,   662,   663,    86,    87,    88,   678,    90,    91,    92,
     679,     0,   680,    95,     0,     0,    98,    99,   100,   101,
     102,   103,     0,   104,   105,   681,     0,     0,   107,   108,
     109,   110,     0,     0,   112,   113,   114,   115,     0,   116,
       0,     0,   682,   683,     0,     0,     0,   684,   685,     0,
       0,     0,     0,   686,     0,     0,     0,     0,     0,     0,
       0,     0,   687,     0,   688,     0,   689,   690,    35,   417,
       0,     0,     0,     0,     0,     0,    41,    42,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   418,   419,
     420,   421,   422,   423,   424,   425,     0,   426,   427,   428,
       0,     0,     0,     0,     0,     0,     0,   429,   430,     0,
     431,   432,     0,   433,   434,   435,   135,   136,     0,   138,
     139,     0,   436,   437,   438,   439,   440,     0,     0,   441,
     442,   692,   140,   443,     0,   444,   445,   446,   447,   144,
       0,     0,     0,   448,   449,   450,   451,     0,   452,   693,
       0,   453,   454,   455,   456,   457,   458,     0,     0,   459,
       0,     0,     0,     0,     0,     0,     0,     0,   460,   461,
     462,   463,   695,   464,   155,   156,   465,     0,   466,     0,
     467,   468,   469,   470,   471,     0,   472,   473,   474,     0,
       0,   475,   476,   477,   478,   479,     0,   480,   481,   482,
       0,   483,   484,   485,     0,   486,   487,   488,   489,   164,
     490,   491,   492,   166,     0,   493,     0,   494,   168,   495,
       0,   496,     0,   497,     0,     0,     0,   498,   499,   500,
       0,   501,   172,     0,   502,     0,   503,   504,   697,   505,
     506,     0,   970,   508,   509,     0,   510,   511,   512,   513,
     514,   515,     0,   516,     0,   175,     0,   517,   518,   519,
       0,   176,     0,   177,     0,   520,     0,     0,   521,     0,
     522,   523,   524,   525,   526,     0,   527,   528,     0,   529,
     181,     0,   530,     0,     0,   531,   532,   533,     0,     0,
     534,   535,   536,   537,   538,   539,   698,   540,   541,   699,
     542,   543,   544,   188,     0,   190,   545,   546,   191,     0,
     547,   548,     0,   549,     0,   194,   550,   195,   551,   552,
     553,     0,   554,     0,     0,   555,   556,   557,     0,     0,
     196,     0,     0,     0,   200,   558,   559,   560,   561,   562,
     563,   564,     0,   565,   201,   566,   202,   567,   568,   569,
       0,   570,   571,   572,   573,   574,   575,   576,   577,   204,
     578,   579,   580,   581,     0,   582,   583,   584,   585,   586,
     587,   588,   589,   590,   591,   592,     0,   593,   594,     0,
     595,   596,   213,   597,   598,   599,   600,   601,   602,   700,
     603,     0,   604,   605,   606,   607,   608,     0,   609,   218,
     610,   611,     0,   612,   221,   613,     0,   614,   615,   616,
     617,   618,   619,   620,   621,   622,   623,   223,     0,   624,
     625,     0,   626,   627,   628,   629,   630,   631,     0,   225,
     226,     0,     0,   633,   227,   634,   228,     0,   635,   636,
     637,   638,   639,   640,   641,     0,     0,   642,   643,   644,
     645,   646,     0,     0,   647,   648,   649,   650,   651,   701,
     235,     0,   652,     0,   653,   654,   655,     0,     0,   656,
       0,     0,   657,   658,   659,   660,   661,   238,   239,   240,
     241,   242,   243,   244,   245,   246,   702,   662,   663,    86,
      87,    88,   678,    90,    91,    92,   679,     0,   680,    95,
       0,     0,    98,    99,   100,   101,   102,   103,     0,   104,
     105,   681,     0,     0,   107,   108,   109,   110,     0,     0,
     112,   113,   114,   115,     0,   116,     0,     0,   682,   683,
       0,     0,     0,   684,   685,     0,     0,     0,     0,   686,
       0,     0,     0,     0,     0,     0,     0,     0,   687,     0,
     688,     0,   689,   690,    35,   417,     0,     0,     0,     0,
       0,     0,    41,    42,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   418,   419,   420,   421,   422,   423,
     424,   425,     0,   426,   427,   428,     0,     0,     0,     0,
       0,     0,     0,   429,   430,     0,   431,   432,     0,   433,
     434,   435,   135,   136,     0,   138,   139,     0,   436,   437,
     438,   439,   440,     0,     0,   441,   442,   692,   140,   443,
       0,   444,   445,   446,   447,   144,     0,     0,     0,   448,
     449,   450,   451,     0,   452,   693,     0,   453,   454,   455,
     456,   457,   458,     0,     0,   459,     0,     0,     0,     0,
       0,     0,     0,     0,   460,   461,   462,   463,   695,   464,
     155,   156,   465,     0,   466,     0,   467,   468,   469,   470,
     471,     0,   472,   473,   474,     0,     0,   475,   476,   477,
     478,   479,     0,   480,   481,   482,     0,   483,   484,   485,
       0,   486,   487,   488,   489,   164,   490,   491,   492,   166,
       0,   493,     0,   494,   168,   495,     0,   496,     0,   497,
       0,     0,     0,   498,   499,   500,     0,   501,   172,     0,
     502,     0,   503,   504,   697,   505,   506,     0,   507,   508,
     509,     0,   510,   511,   512,   513,   514,   515,     0,   516,
       0,   175,     0,   517,   518,   519,     0,   176,     0,   177,
       0,   520,     0,     0,   521,     0,   522,   523,   524,   525,
     526,     0,   527,   528,     0,   529,   181,     0,   530,     0,
       0,   531,   532,   533,     0,     0,   534,   535,   536,   537,
     538,   539,   698,   540,   541,   699,   542,   543,   544,   188,
       0,   190,   545,   546,   191,     0,   547,   548,     0,   549,
       0,   194,   550,   195,   551,   552,   553,     0,   554,     0,
       0,   555,   556,   557,     0,     0,   196,     0,     0,     0,
     200,   558,   559,   560,   561,   562,   563,   564,     0,   565,
     201,   566,   202,   567,   568,   569,     0,   570,   571,   572,
     573,   574,   575,   576,   577,   204,   578,   579,   580,   581,
       0,   582,   583,   584,   585,   586,   587,   588,   589,   590,
     591,   592,     0,   593,   594,     0,   595,   596,   213,   597,
     598,   599,   600,   601,   602,   700,   603,     0,   604,   605,
     606,   607,   608,     0,   609,   218,   610,   611,     0,   612,
     221,   613,     0,   614,   615,   616,   617,   618,   619,   620,
     621,   622,   623,   223,     0,   624,   625,     0,   626,   627,
     628,   629,   630,   631,     0,   225,   226,     0,     0,  1025,
     227,   634,   228,     0,   635,   636,   637,   638,   639,   640,
     641,     0,     0,   642,   643,   644,   645,   646,     0,     0,
     647,   648,   649,   650,   651,   701,   235,     0,   652,     0,
     653,   654,   655,     0,     0,   656,     0,     0,   657,   658,
     659,   660,   661,   238,   239,   240,   241,   242,   243,   244,
     245,   246,   702,   662,   663,    86,    87,    88,   678,    90,
      91,    92,   679,     0,   680,    95,     0,     0,    98,    99,
     100,   101,   102,   103,     0,   104,   105,   681,     0,     0,
     107,   108,   109,   110,     0,     0,   112,   113,   114,   115,
       0,   116,     0,     0,   682,   683,     0,     0,     0,   684,
     685,     0,     0,     0,     0,   686,     0,     0,     0,     0,
       0,     0,     0,     0,   687,     0,   688,     0,   689,   690,
      35,     0,     0,     0,     0,     0,     0,     0,    41,    42,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     418,   419,   420,   421,   422,   423,   424,   425,     0,   426,
     427,   428,     0,     0,     0,     0,     0,     0,     0,   429,
     430,     0,   431,   432,     0,   433,   434,   435,   135,   136,
       0,   138,   139,     0,   436,   437,   438,   439,   440,     0,
       0,   441,   442,   692,   140,   443,     0,   444,   445,   446,
     447,   144,     0,     0,     0,   448,   449,   450,   451,     0,
     452,   693,     0,   453,   454,   455,   456,   457,   458,     0,
       0,   459,     0,     0,     0,     0,     0,     0,     0,     0,
     460,   461,   462,   463,   695,   464,   155,   156,   465,     0,
     466,     0,   467,   468,   469,   470,   471,     0,   472,   473,
     474,     0,     0,   475,   476,   477,   478,   479,     0,   480,
     481,   482,     0,   483,   484,   485,     0,   486,   487,   488,
     489,   164,   490,   491,   492,   166,     0,   493,     0,   494,
     168,   495,     0,   496,     0,   497,     0,     0,     0,   498,
     499,   500,     0,   501,   172,     0,   502,     0,   503,   504,
     697,   505,   506,     0,   507,   508,   509,     0,   510,   511,
     512,   513,   514,   515,     0,   516,     0,   175,     0,   517,
     518,   519,     0,   176,     0,   177,     0,   520,     0,     0,
     521,     0,   522,   523,   524,   525,   526,     0,   527,   528,
       0,   529,   181,     0,   530,     0,     0,   531,   532,   533,
       0,     0,   534,   535,   536,   537,   538,   539,   698,   540,
     541,   699,   542,   543,   544,   188,     0,   190,   545,   546,
     191,     0,   547,   548,     0,   549,     0,   194,   550,   195,
     551,   552,   553,     0,   554,     0,  1083,   555,   556,   557,
       0,     0,   196,     0,     0,     0,   200,   558,   559,   560,
     561,   562,   563,   564,     0,   565,   201,   566,   202,   567,
     568,   569,     0,   570,   571,   572,   573,   574,   575,   576,
     577,   204,   578,   579,   580,   581,     0,   582,   583,   584,
     585,   586,   587,   588,   589,   590,   591,   592,     0,   593,
     594,     0,   595,   596,   213,   597,   598,   599,   600,   601,
     602,   700,   603,     0,   604,   605,   606,   607,   608,     0,
     609,   218,   610,   611,     0,   612,   221,   613,     0,   614,
     615,   616,   617,   618,   619,   620,   621,   622,   623,   223,
       0,   624,   625,     0,   626,   627,   628,   629,   630,   631,
       0,   225,   226,     0,     0,   633,   227,   634,   228,     0,
     635,   636,   637,   638,   639,   640,   641,     0,     0,   642,
     643,   644,   645,   646,     0,     0,   647,   648,   649,   650,
     651,   701,   235,     0,   652,     0,   653,   654,   655,     0,
       0,   656,     0,     0,   657,   658,   659,   660,   661,   238,
     239,   240,   241,   242,   243,   244,   245,   246,   702,   662,
     663,    86,    87,    88,   678,    90,    91,    92,   679,     0,
     680,    95,     0,     0,    98,    99,   100,   101,   102,   103,
       0,   104,   105,   681,     0,     0,   107,   108,   109,   110,
       0,     0,   112,   113,   114,   115,     0,   116,     0,     0,
     682,   683,     0,     0,     0,   684,   685,     0,     0,     0,
       0,   686,     0,     0,     0,     0,     0,     0,     0,     0,
     687,     0,   688,     0,   689,   690,    35,     0,     0,     0,
       0,     0,     0,     0,    41,    42,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   418,   419,   420,   421,
     422,   423,   424,   425,     0,   426,   427,   428,     0,     0,
       0,     0,     0,     0,     0,   429,   430,     0,   431,   432,
       0,   433,   434,   435,   135,   136,     0,   138,   139,     0,
     436,   437,   438,   439,   440,     0,     0,   441,   442,   692,
     140,   443,     0,   444,   445,   446,   447,   144,     0,     0,
       0,   448,   449,   450,   451,     0,   452,   693,     0,   453,
     454,   455,   456,   457,   458,     0,     0,   459,     0,     0,
       0,     0,     0,     0,     0,     0,   460,   461,   462,   463,
     695,   464,   155,   156,   465,     0,   466,     0,   467,   468,
     469,   470,   471,     0,   472,   473,   474,     0,     0,   475,
     476,   477,   478,   479,     0,   480,   481,   482,     0,   483,
     484,   485,     0,   486,   487,   488,   489,   164,   490,   491,
     492,   166,     0,   493,     0,   494,   168,   495,     0,   496,
       0,   497,     0,     0,     0,   498,   499,   500,     0,   501,
     172,     0,   502,     0,   503,   504,   697,   505,  1230,     0,
     507,   508,   509,     0,   510,   511,   512,   513,   514,   515,
       0,   516,     0,   175,     0,   517,   518,   519,     0,   176,
       0,   177,     0,   520,     0,     0,   521,     0,   522,   523,
     524,   525,   526,     0,   527,   528,     0,   529,   181,     0,
     530,     0,     0,   531,   532,   533,     0,     0,   534,   535,
     536,   537,   538,   539,   698,   540,   541,   699,   542,   543,
     544,   188,     0,   190,   545,   546,   191,     0,   547,   548,
       0,   549,     0,   194,   550,   195,   551,   552,   553,     0,
     554,     0,  1083,   555,   556,   557,     0,     0,   196,     0,
       0,     0,   200,   558,   559,   560,   561,   562,   563,   564,
       0,   565,   201,   566,   202,   567,   568,   569,     0,   570,
     571,   572,   573,   574,   575,   576,   577,   204,   578,   579,
     580,   581,     0,   582,   583,   584,   585,   586,   587,   588,
     589,   590,   591,   592,     0,   593,   594,     0,   595,   596,
     213,   597,   598,   599,   600,   601,   602,   700,   603,     0,
     604,   605,   606,   607,   608,     0,   609,   218,   610,   611,
       0,   612,   221,   613,     0,   614,   615,   616,   617,   618,
     619,   620,   621,   622,   623,   223,     0,   624,   625,     0,
     626,   627,   628,   629,   630,   631,     0,   225,   226,     0,
       0,   633,   227,   634,   228,     0,   635,   636,   637,   638,
     639,   640,   641,     0,     0,   642,   643,   644,   645,   646,
       0,     0,   647,   648,   649,   650,   651,   701,   235,     0,
     652,     0,   653,   654,   655,     0,     0,   656,     0,     0,
     657,   658,   659,   660,   661,   238,   239,   240,   241,   242,
     243,   244,   245,   246,   702,   662,   663,    86,    87,    88,
     678,    90,    91,    92,   679,     0,   680,    95,     0,     0,
      98,    99,   100,   101,   102,   103,     0,   104,   105,   681,
       0,     0,   107,   108,   109,   110,     0,     0,   112,   113,
     114,   115,     0,   116,     0,     0,   682,   683,     0,     0,
       0,   684,   685,     0,     0,     0,     0,   686,     0,     0,
       0,     0,     0,     0,     0,     0,   687,     0,   688,     0,
     689,   690,    35,     0,     0,     0,     0,     0,     0,     0,
      41,    42,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   418,   419,   420,   421,   422,   423,   424,   425,
    1579,   426,   427,   428,     0,     0,     0,     0,     0,     0,
       0,   429,   430,     0,   431,   432,     0,   433,   434,   435,
     135,   136,     0,   138,   139,     0,   436,   437,   438,   439,
     440,     0,     0,   441,   442,   692,   140,   443,     0,   444,
     445,   446,   447,   144,     0,     0,     0,   448,   449,   450,
     451,     0,   452,   693,     0,   453,   454,   455,   456,   457,
     458,     0,     0,   459,     0,     0,     0,     0,     0,     0,
       0,     0,   460,   461,   462,   463,   695,   464,   155,   156,
     465,     0,   466,     0,   467,   468,   469,   470,   471,     0,
     472,   473,   474,     0,     0,   475,   476,   477,   478,   479,
       0,   480,   481,   482,     0,   483,   484,   485,     0,   486,
     487,   488,   489,   164,   490,   491,   492,   166,     0,   493,
       0,   494,   168,   495,     0,   496,     0,   497,     0,     0,
       0,   498,   499,   500,     0,   501,   172,     0,   502,     0,
     503,   504,   697,   505,   506,     0,   507,   508,   509,     0,
     510,   511,   512,   513,   514,   515,     0,   516,     0,   175,
       0,   517,   518,   519,     0,   176,     0,   177,     0,   520,
       0,     0,   521,     0,   522,   523,   524,   525,   526,     0,
     527,   528,     0,   529,   181,     0,   530,     0,     0,   531,
     532,   533,     0,     0,   534,   535,   536,   537,   538,   539,
     698,   540,   541,   699,   542,   543,   544,   188,     0,   190,
     545,   546,   191,     0,   547,   548,     0,   549,     0,   194,
     550,   195,   551,   552,   553,     0,   554,     0,     0,   555,
     556,   557,     0,     0,   196,     0,     0,     0,   200,   558,
     559,   560,   561,   562,   563,   564,     0,   565,   201,   566,
     202,   567,   568,   569,     0,   570,   571,   572,   573,   574,
     575,   576,   577,   204,   578,   579,   580,   581,     0,   582,
     583,   584,   585,   586,   587,   588,   589,   590,   591,   592,
       0,   593,   594,     0,   595,   596,   213,   597,   598,   599,
     600,   601,   602,   700,   603,     0,   604,   605,   606,   607,
     608,     0,   609,   218,   610,   611,     0,   612,   221,   613,
       0,   614,   615,   616,   617,   618,   619,   620,   621,   622,
     623,   223,     0,   624,   625,     0,   626,   627,   628,   629,
     630,   631,     0,   225,   226,     0,     0,   633,   227,   634,
     228,     0,   635,   636,   637,   638,   639,   640,   641,     0,
       0,   642,   643,   644,   645,   646,     0,     0,   647,   648,
     649,   650,   651,   701,   235,     0,   652,     0,   653,   654,
     655,     0,     0,   656,     0,     0,   657,   658,   659,   660,
     661,   238,   239,   240,   241,   242,   243,   244,   245,   246,
     702,   662,   663,    86,    87,    88,   678,    90,    91,    92,
     679,     0,   680,    95,     0,     0,    98,    99,   100,   101,
     102,   103,     0,   104,   105,   681,     0,     0,   107,   108,
     109,   110,     0,     0,   112,   113,   114,   115,     0,   116,
       0,     0,   682,   683,     0,     0,     0,   684,   685,     0,
       0,     0,     0,   686,     0,     0,     0,     0,     0,     0,
       0,     0,   687,     0,   688,     0,   689,   690,    35,     0,
       0,     0,     0,     0,     0,     0,    41,    42,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   418,   419,
     420,   421,   422,   423,   424,   425,     0,   426,   427,   428,
       0,     0,     0,     0,     0,     0,     0,   429,   430,     0,
     431,   432,     0,   433,   434,   435,   135,   136,     0,   138,
     139,     0,   436,   437,   438,   439,   440,     0,     0,   441,
     442,   692,   140,   443,     0,   444,   445,   446,   447,   144,
       0,     0,     0,   448,   449,   450,   451,     0,   452,   693,
       0,   453,   454,   455,   456,   457,   458,     0,     0,   459,
       0,     0,     0,     0,     0,     0,     0,     0,   460,   461,
     462,   463,   695,   464,   155,   156,   465,     0,   466,     0,
     467,   468,   469,   470,   471,     0,   472,   473,   474,     0,
       0,   475,   476,   477,   478,   479,     0,   480,   481,   482,
       0,   483,   484,   485,     0,   486,   487,   488,   489,   164,
     490,   491,   492,   166,     0,   493,     0,   494,   168,   495,
       0,   496,     0,   497,     0,     0,     0,   498,   499,   500,
       0,   501,   172,     0,   502,     0,   503,   504,   697,   505,
    1754,     0,   507,   508,   509,     0,   510,   511,   512,   513,
     514,   515,     0,   516,     0,   175,     0,   517,   518,   519,
       0,   176,     0,   177,     0,   520,     0,     0,   521,     0,
     522,   523,   524,   525,   526,     0,   527,   528,     0,   529,
     181,     0,   530,     0,     0,   531,   532,   533,     0,     0,
     534,   535,   536,   537,   538,   539,   698,   540,   541,   699,
     542,   543,   544,   188,     0,   190,   545,   546,   191,     0,
     547,   548,     0,   549,     0,   194,   550,   195,   551,   552,
     553,     0,   554,     0,  1083,   555,   556,   557,     0,     0,
     196,     0,     0,     0,   200,   558,   559,   560,   561,   562,
     563,   564,     0,   565,   201,   566,   202,   567,   568,   569,
       0,   570,   571,   572,   573,   574,   575,   576,   577,   204,
     578,   579,   580,   581,     0,   582,   583,   584,   585,   586,
     587,   588,   589,   590,   591,   592,     0,   593,   594,     0,
     595,   596,   213,   597,   598,   599,   600,   601,   602,   700,
     603,     0,   604,   605,   606,   607,   608,     0,   609,   218,
     610,   611,     0,   612,   221,   613,     0,   614,   615,   616,
     617,   618,   619,   620,   621,   622,   623,   223,     0,   624,
     625,     0,   626,   627,   628,   629,   630,   631,     0,   225,
     226,     0,     0,   633,   227,   634,   228,     0,   635,   636,
     637,   638,   639,   640,   641,     0,     0,   642,   643,   644,
     645,   646,     0,     0,   647,   648,   649,   650,   651,   701,
     235,     0,   652,     0,   653,   654,   655,     0,     0,   656,
       0,     0,   657,   658,   659,   660,   661,   238,   239,   240,
     241,   242,   243,   244,   245,   246,   702,   662,   663,    86,
      87,    88,   678,    90,    91,    92,   679,     0,   680,    95,
       0,     0,    98,    99,   100,   101,   102,   103,     0,   104,
     105,   681,     0,     0,   107,   108,   109,   110,     0,     0,
     112,   113,   114,   115,     0,   116,     0,     0,   682,   683,
       0,     0,     0,   684,   685,     0,     0,     0,     0,   686,
       0,     0,     0,     0,     0,     0,     0,     0,   687,     0,
     688,     0,   689,   690,    35,     0,     0,  1988,     0,     0,
       0,     0,    41,    42,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   418,   419,   420,   421,   422,   423,
     424,   425,     0,   426,   427,   428,     0,     0,     0,     0,
       0,     0,     0,   429,   430,     0,   431,   432,     0,   433,
     434,   435,   135,   136,     0,   138,   139,     0,   436,   437,
     438,   439,   440,     0,     0,   441,   442,   692,   140,   443,
       0,   444,   445,   446,   447,   144,     0,     0,     0,   448,
     449,   450,   451,     0,   452,   693,     0,   453,   454,   455,
     456,   457,   458,     0,     0,   459,     0,     0,     0,     0,
       0,     0,     0,     0,   460,   461,   462,   463,   695,   464,
     155,   156,   465,     0,   466,     0,   467,   468,   469,   470,
     471,     0,   472,   473,   474,     0,     0,   475,   476,   477,
     478,   479,     0,   480,   481,   482,     0,   483,   484,   485,
       0,   486,   487,   488,   489,   164,   490,   491,   492,   166,
       0,   493,     0,   494,   168,   495,     0,   496,     0,   497,
       0,     0,     0,   498,   499,   500,     0,   501,   172,     0,
     502,     0,   503,   504,   697,   505,   506,     0,   507,   508,
     509,     0,   510,   511,   512,   513,   514,   515,     0,   516,
       0,   175,     0,   517,   518,   519,     0,   176,     0,   177,
       0,   520,     0,     0,   521,     0,   522,   523,   524,   525,
     526,     0,   527,   528,     0,   529,   181,     0,   530,     0,
       0,   531,   532,   533,     0,     0,   534,   535,   536,   537,
     538,   539,   698,   540,   541,   699,   542,   543,   544,   188,
       0,   190,   545,   546,   191,     0,   547,   548,     0,   549,
       0,   194,   550,   195,   551,   552,   553,     0,   554,     0,
       0,   555,   556,   557,     0,     0,   196,     0,     0,     0,
     200,   558,   559,   560,   561,   562,   563,   564,     0,   565,
     201,   566,   202,   567,   568,   569,     0,   570,   571,   572,
     573,   574,   575,   576,   577,   204,   578,   579,   580,   581,
       0,   582,   583,   584,   585,   586,   587,   588,   589,   590,
     591,   592,     0,   593,   594,     0,   595,   596,   213,   597,
     598,   599,   600,   601,   602,   700,   603,     0,   604,   605,
     606,   607,   608,     0,   609,   218,   610,   611,     0,   612,
     221,   613,     0,   614,   615,   616,   617,   618,   619,   620,
     621,   622,   623,   223,     0,   624,   625,     0,   626,   627,
     628,   629,   630,   631,     0,   225,   226,     0,     0,   633,
     227,   634,   228,     0,   635,   636,   637,   638,   639,   640,
     641,     0,     0,   642,   643,   644,   645,   646,     0,     0,
     647,   648,   649,   650,   651,   701,   235,     0,   652,     0,
     653,   654,   655,     0,     0,   656,     0,     0,   657,   658,
     659,   660,   661,   238,   239,   240,   241,   242,   243,   244,
     245,   246,   702,   662,   663,    86,    87,    88,   678,    90,
      91,    92,   679,  2080,   680,    95,     0,     0,    98,    99,
     100,   101,   102,   103,     0,   104,   105,   681,     0,     0,
     107,   108,   109,   110,     0,     0,  2374,   113,   114,   115,
       0,   116,     0,     0,   682,   683,     0,     0,     0,   684,
     685,     0,     0,     0,     0,   686,     0,     0,     0,     0,
       0,     0,     0,     0,   687,     0,   688,     0,   689,   690,
      35,     0,     0,     0,     0,     0,     0,     0,    41,    42,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     418,   419,   420,   421,   422,   423,   424,   425,     0,   426,
     427,   428,     0,     0,     0,     0,     0,     0,     0,   429,
     430,     0,   431,   432,     0,   433,   434,   435,   135,   136,
       0,   138,   139,     0,   436,   437,   438,   439,   440,     0,
       0,   441,   442,   692,   140,   443,     0,   444,   445,   446,
     447,   144,     0,     0,     0,   448,   449,   450,   451,     0,
     452,   693,     0,   453,   454,   455,   456,   457,   458,     0,
       0,   459,     0,     0,     0,     0,     0,     0,     0,     0,
     460,   461,   462,   463,   695,   464,   155,   156,   465,     0,
     466,     0,   467,   468,   469,   470,   471,     0,   472,   473,
     474,     0,     0,   475,   476,   477,   478,   479,     0,   480,
     481,   482,     0,   483,   484,   485,     0,   486,   487,   488,
     489,   164,   490,   491,   492,   166,     0,   493,     0,   494,
     168,   495,     0,   496,     0,   497,     0,     0,     0,   498,
     499,   500,     0,   501,   172,     0,   502,     0,   503,   504,
     697,   505,   506,     0,   507,   508,   509,     0,   510,   511,
     512,   513,   514,   515,     0,   516,     0,   175,     0,   517,
     518,   519,     0,   176,     0,   177,     0,   520,     0,     0,
     521,     0,   522,   523,   524,   525,   526,     0,   527,   528,
       0,   529,   181,     0,   530,     0,     0,   531,   532,   533,
       0,     0,   534,   535,   536,   537,   538,   539,   698,   540,
     541,   699,   542,   543,   544,   188,     0,   190,   545,   546,
     191,     0,   547,   548,     0,   549,     0,   194,   550,   195,
     551,   552,   553,     0,   554,     0,     0,   555,   556,   557,
       0,     0,   196,     0,     0,     0,   200,   558,   559,   560,
     561,   562,   563,   564,     0,   565,   201,   566,   202,   567,
     568,   569,     0,   570,   571,   572,   573,   574,   575,   576,
     577,   204,   578,   579,   580,   581,     0,   582,   583,   584,
     585,   586,   587,   588,   589,   590,   591,   592,     0,   593,
     594,     0,   595,   596,   213,   597,   598,   599,   600,   601,
     602,   700,   603,     0,   604,   605,   606,   607,   608,     0,
     609,   218,   610,   611,     0,   612,   221,   613,     0,   614,
     615,   616,   617,   618,   619,   620,   621,   622,   623,   223,
       0,   624,   625,     0,   626,   627,   628,   629,   630,   631,
       0,   225,   226,     0,     0,   633,   227,   634,   228,     0,
     635,   636,   637,   638,   639,   640,   641,     0,     0,   642,
     643,   644,   645,   646,     0,     0,   647,   648,   649,   650,
     651,   701,   235,     0,   652,     0,   653,   654,   655,     0,
       0,   656,     0,     0,   657,   658,   659,   660,   661,   238,
     239,   240,   241,   242,   243,   244,   245,   246,   702,   662,
     663,    86,    87,    88,   678,    90,    91,    92,   679,     0,
     680,    95,     0,     0,    98,    99,   100,   101,   102,   103,
       0,   104,   105,   681,     0,     0,   107,   108,   109,   110,
       0,     0,   112,   113,   114,   115,     0,   116,     0,     0,
     682,   683,     0,     0,     0,   684,   685,     0,     0,     0,
       0,   686,     0,     0,     0,     0,     0,     0,     0,     0,
     687,     0,   688,     0,   689,   690,    35,     0,     0,     0,
       0,     0,     0,     0,    41,    42,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   418,   419,   420,   421,
     422,   423,   424,   425,     0,   426,   427,   428,     0,     0,
       0,     0,     0,  4114,     0,   429,   430,     0,   431,   432,
       0,   433,   434,   435,   135,   136,     0,   138,   139,     0,
     436,   437,   438,   439,   440,     0,     0,   441,   442,   692,
     140,   443,     0,   444,   445,   446,   447,   144,     0,     0,
       0,   448,   449,   450,   451,     0,   452,   693,     0,   453,
     454,   455,   456,   457,   458,     0,     0,   459,     0,     0,
       0,     0,     0,     0,     0,     0,   460,   461,   462,   463,
     695,   464,   155,   156,   465,     0,   466,     0,   467,   468,
     469,   470,   471,     0,   472,   473,   474,     0,     0,   475,
     476,   477,   478,   479,     0,   480,   481,   482,     0,   483,
     484,   485,     0,   486,   487,   488,   489,   164,   490,   491,
     492,   166,     0,   493,     0,   494,   168,   495,     0,   496,
       0,   497,     0,     0,     0,   498,   499,   500,     0,   501,
     172,     0,   502,     0,   503,   504,   697,   505,   506,     0,
     507,   508,   509,     0,   510,   511,   512,   513,   514,   515,
       0,   516,     0,   175,     0,   517,   518,   519,     0,   176,
       0,   177,     0,   520,     0,     0,   521,     0,   522,   523,
     524,   525,   526,     0,   527,   528,     0,   529,   181,     0,
     530,     0,     0,   531,   532,   533,     0,     0,   534,   535,
     536,   537,   538,   539,   698,   540,   541,   699,   542,   543,
     544,   188,     0,   190,   545,   546,   191,     0,   547,   548,
       0,   549,     0,   194,   550,   195,   551,   552,   553,     0,
     554,     0,     0,   555,   556,   557,     0,     0,   196,     0,
       0,     0,   200,   558,   559,   560,   561,   562,   563,   564,
       0,   565,   201,   566,   202,   567,   568,   569,     0,   570,
     571,   572,   573,   574,   575,   576,   577,   204,   578,   579,
     580,   581,     0,   582,   583,   584,   585,   586,   587,   588,
     589,   590,   591,   592,     0,   593,   594,     0,   595,   596,
     213,   597,   598,   599,   600,   601,   602,   700,   603,     0,
     604,   605,   606,   607,   608,     0,   609,   218,   610,   611,
       0,   612,   221,   613,     0,   614,   615,   616,   617,   618,
     619,   620,   621,   622,   623,   223,     0,   624,   625,     0,
     626,   627,   628,   629,   630,   631,     0,   225,   226,     0,
       0,   633,   227,   634,   228,     0,   635,   636,   637,   638,
     639,   640,   641,     0,     0,   642,   643,   644,   645,   646,
       0,     0,   647,   648,   649,   650,   651,   701,   235,     0,
     652,     0,   653,   654,   655,     0,     0,   656,     0,     0,
     657,   658,   659,   660,   661,   238,   239,   240,   241,   242,
     243,   244,   245,   246,   702,   662,   663,    86,    87,    88,
     678,    90,    91,    92,   679,     0,   680,    95,     0,     0,
      98,    99,   100,   101,   102,   103,     0,   104,   105,   681,
       0,     0,   107,   108,   109,   110,     0,     0,   112,   113,
     114,   115,     0,   116,     0,     0,   682,   683,     0,     0,
       0,   684,   685,     0,     0,     0,     0,   686,     0,     0,
       0,     0,     0,     0,     0,     0,   687,     0,   688,     0,
     689,   690,    35,     0,     0,     0,     0,     0,     0,     0,
      41,    42,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   418,   419,   420,   421,   422,   423,   424,   425,
       0,   426,   427,   428,     0,     0,     0,     0,     0,  4128,
       0,   429,   430,     0,   431,   432,     0,   433,   434,   435,
     135,   136,     0,   138,   139,     0,   436,   437,   438,   439,
     440,     0,     0,   441,   442,   692,   140,   443,     0,   444,
     445,   446,   447,   144,     0,     0,     0,   448,   449,   450,
     451,     0,   452,   693,     0,   453,   454,   455,   456,   457,
     458,     0,     0,   459,     0,     0,     0,     0,     0,     0,
       0,     0,   460,   461,   462,   463,   695,   464,   155,   156,
     465,     0,   466,     0,   467,   468,   469,   470,   471,     0,
     472,   473,   474,     0,     0,   475,   476,   477,   478,   479,
       0,   480,   481,   482,     0,   483,   484,   485,     0,   486,
     487,   488,   489,   164,   490,   491,   492,   166,     0,   493,
       0,   494,   168,   495,     0,   496,     0,   497,     0,     0,
       0,   498,   499,   500,     0,   501,   172,     0,   502,     0,
     503,   504,   697,   505,   506,     0,   507,   508,   509,     0,
     510,   511,   512,   513,   514,   515,     0,   516,     0,   175,
       0,   517,   518,   519,     0,   176,     0,   177,     0,   520,
       0,     0,   521,     0,   522,   523,   524,   525,   526,     0,
     527,   528,     0,   529,   181,     0,   530,     0,     0,   531,
     532,   533,     0,     0,   534,   535,   536,   537,   538,   539,
     698,   540,   541,   699,   542,   543,   544,   188,     0,   190,
     545,   546,   191,     0,   547,   548,     0,   549,     0,   194,
     550,   195,   551,   552,   553,     0,   554,     0,     0,   555,
     556,   557,     0,     0,   196,     0,     0,     0,   200,   558,
     559,   560,   561,   562,   563,   564,     0,   565,   201,   566,
     202,   567,   568,   569,     0,   570,   571,   572,   573,   574,
     575,   576,   577,   204,   578,   579,   580,   581,     0,   582,
     583,   584,   585,   586,   587,   588,   589,   590,   591,   592,
       0,   593,   594,     0,   595,   596,   213,   597,   598,   599,
     600,   601,   602,   700,   603,     0,   604,   605,   606,   607,
     608,     0,   609,   218,   610,   611,     0,   612,   221,   613,
       0,   614,   615,   616,   617,   618,   619,   620,   621,   622,
     623,   223,     0,   624,   625,     0,   626,   627,   628,   629,
     630,   631,     0,   225,   226,     0,     0,   633,   227,   634,
     228,     0,   635,   636,   637,   638,   639,   640,   641,     0,
       0,   642,   643,   644,   645,   646,     0,     0,   647,   648,
     649,   650,   651,   701,   235,     0,   652,     0,   653,   654,
     655,     0,     0,   656,     0,     0,   657,   658,   659,   660,
     661,   238,   239,   240,   241,   242,   243,   244,   245,   246,
     702,   662,   663,    86,    87,    88,   678,    90,    91,    92,
     679,     0,   680,    95,     0,     0,    98,    99,   100,   101,
     102,   103,     0,   104,   105,   681,     0,     0,   107,   108,
     109,   110,     0,     0,   112,   113,   114,   115,     0,   116,
       0,     0,   682,   683,     0,     0,     0,   684,   685,     0,
       0,     0,     0,   686,     0,     0,     0,     0,     0,     0,
       0,     0,   687,     0,   688,     0,   689,   690,    35,     0,
       0,     0,     0,     0,     0,     0,    41,    42,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   418,   419,
     420,   421,   422,   423,   424,   425,     0,   426,   427,   428,
       0,     0,     0,     0,     0,     0,     0,   429,   430,     0,
     431,   432,     0,   433,   434,   435,   135,   136,     0,   138,
     139,     0,   436,   437,   438,   439,   440,     0,     0,   441,
     442,   692,   140,   443,     0,   444,   445,   446,   447,   144,
       0,     0,     0,   448,   449,   450,   451,     0,   452,   693,
       0,   453,   454,   455,   456,   457,   458,     0,     0,   459,
       0,     0,     0,     0,     0,     0,     0,     0,   460,   461,
     462,   463,   695,   464,   155,   156,   465,  4348,   466,     0,
     467,   468,   469,   470,   471,     0,   472,   473,   474,     0,
       0,   475,   476,   477,   478,   479,     0,   480,   481,   482,
       0,   483,   484,   485,     0,   486,   487,   488,   489,   164,
     490,   491,   492,   166,     0,   493,     0,   494,   168,   495,
       0,   496,     0,   497,     0,     0,     0,   498,   499,   500,
       0,   501,   172,     0,   502,     0,   503,   504,   697,   505,
     506,     0,   507,   508,   509,     0,   510,   511,   512,   513,
     514,   515,     0,   516,     0,   175,     0,   517,   518,   519,
       0,   176,     0,   177,     0,   520,     0,     0,   521,     0,
     522,   523,   524,   525,   526,     0,   527,   528,     0,   529,
     181,     0,   530,     0,     0,   531,   532,   533,     0,     0,
     534,   535,   536,   537,   538,   539,   698,   540,   541,   699,
     542,   543,   544,   188,     0,   190,   545,   546,   191,     0,
     547,   548,     0,   549,     0,   194,   550,   195,   551,   552,
     553,     0,   554,     0,     0,   555,   556,   557,     0,     0,
     196,     0,     0,     0,   200,   558,   559,   560,   561,   562,
     563,   564,     0,   565,   201,   566,   202,   567,   568,   569,
       0,   570,   571,   572,   573,   574,   575,   576,   577,   204,
     578,   579,   580,   581,     0,   582,   583,   584,   585,   586,
     587,   588,   589,   590,   591,   592,     0,   593,   594,     0,
     595,   596,   213,   597,   598,   599,   600,   601,   602,   700,
     603,     0,   604,   605,   606,   607,   608,     0,   609,   218,
     610,   611,     0,   612,   221,   613,     0,   614,   615,   616,
     617,   618,   619,   620,   621,   622,   623,   223,     0,   624,
     625,     0,   626,   627,   628,   629,   630,   631,     0,   225,
     226,     0,     0,   633,   227,   634,   228,     0,   635,   636,
     637,   638,   639,   640,   641,     0,     0,   642,   643,   644,
     645,   646,     0,     0,   647,   648,   649,   650,   651,   701,
     235,     0,   652,     0,   653,   654,   655,     0,     0,   656,
       0,     0,   657,   658,   659,   660,   661,   238,   239,   240,
     241,   242,   243,   244,   245,   246,   702,   662,   663,    86,
      87,    88,   678,    90,    91,    92,   679,     0,   680,    95,
       0,     0,    98,    99,   100,   101,   102,   103,     0,   104,
     105,   681,     0,     0,   107,   108,   109,   110,     0,     0,
     112,   113,   114,   115,     0,   116,     0,     0,   682,   683,
       0,     0,     0,   684,   685,     0,     0,     0,     0,   686,
       0,     0,     0,     0,     0,     0,     0,     0,   687,     0,
     688,     0,   689,   690,    35,     0,     0,     0,     0,     0,
       0,     0,    41,    42,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   418,   419,   420,   421,   422,   423,
     424,   425,     0,   426,   427,   428,     0,     0,     0,     0,
       0,     0,     0,   429,   430,     0,   431,   432,     0,   433,
     434,   435,   135,   136,     0,   138,   139,     0,   436,   437,
     438,   439,   440,     0,     0,   441,   442,   692,   140,   443,
       0,   444,   445,   446,   447,   144,     0,     0,     0,   448,
     449,   450,   451,     0,   452,   693,     0,   453,   454,   455,
     456,   457,   458,     0,     0,   459,     0,     0,     0,     0,
       0,     0,     0,     0,   460,   461,   462,   463,   695,   464,
     155,   156,   465,  4350,   466,     0,   467,   468,   469,   470,
     471,     0,   472,   473,   474,     0,     0,   475,   476,   477,
     478,   479,     0,   480,   481,   482,     0,   483,   484,   485,
       0,   486,   487,   488,   489,   164,   490,   491,   492,   166,
       0,   493,     0,   494,   168,   495,     0,   496,     0,   497,
       0,     0,     0,   498,   499,   500,     0,   501,   172,     0,
     502,     0,   503,   504,   697,   505,   506,     0,   507,   508,
     509,     0,   510,   511,   512,   513,   514,   515,     0,   516,
       0,   175,     0,   517,   518,   519,     0,   176,     0,   177,
       0,   520,     0,     0,   521,     0,   522,   523,   524,   525,
     526,     0,   527,   528,     0,   529,   181,     0,   530,     0,
       0,   531,   532,   533,     0,     0,   534,   535,   536,   537,
     538,   539,   698,   540,   541,   699,   542,   543,   544,   188,
       0,   190,   545,   546,   191,     0,   547,   548,     0,   549,
       0,   194,   550,   195,   551,   552,   553,     0,   554,     0,
       0,   555,   556,   557,     0,     0,   196,     0,     0,     0,
     200,   558,   559,   560,   561,   562,   563,   564,     0,   565,
     201,   566,   202,   567,   568,   569,     0,   570,   571,   572,
     573,   574,   575,   576,   577,   204,   578,   579,   580,   581,
       0,   582,   583,   584,   585,   586,   587,   588,   589,   590,
     591,   592,     0,   593,   594,     0,   595,   596,   213,   597,
     598,   599,   600,   601,   602,   700,   603,     0,   604,   605,
     606,   607,   608,     0,   609,   218,   610,   611,     0,   612,
     221,   613,     0,   614,   615,   616,   617,   618,   619,   620,
     621,   622,   623,   223,     0,   624,   625,     0,   626,   627,
     628,   629,   630,   631,     0,   225,   226,     0,     0,   633,
     227,   634,   228,     0,   635,   636,   637,   638,   639,   640,
     641,     0,     0,   642,   643,   644,   645,   646,     0,     0,
     647,   648,   649,   650,   651,   701,   235,     0,   652,     0,
     653,   654,   655,     0,     0,   656,     0,     0,   657,   658,
     659,   660,   661,   238,   239,   240,   241,   242,   243,   244,
     245,   246,   702,   662,   663,    86,    87,    88,   678,    90,
      91,    92,   679,     0,   680,    95,     0,     0,    98,    99,
     100,   101,   102,   103,     0,   104,   105,   681,     0,     0,
     107,   108,   109,   110,     0,     0,   112,   113,   114,   115,
       0,   116,     0,     0,   682,   683,     0,     0,     0,   684,
     685,     0,     0,     0,     0,   686,     0,     0,     0,     0,
       0,     0,     0,     0,   687,     0,   688,     0,   689,   690,
      35,     0,     0,     0,     0,     0,     0,     0,    41,    42,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     418,   419,   420,   421,   422,   423,   424,   425,     0,   426,
     427,   428,     0,     0,     0,     0,     0,     0,     0,   429,
     430,     0,   431,   432,     0,   433,   434,   435,   135,   136,
       0,   138,   139,     0,   436,   437,   438,   439,   440,     0,
       0,   441,   442,   692,   140,   443,     0,   444,   445,   446,
     447,   144,     0,     0,     0,   448,   449,   450,   451,     0,
     452,   693,     0,   453,   454,   455,   456,   457,   458,     0,
       0,   459,     0,     0,     0,     0,     0,     0,     0,     0,
     460,   461,   462,   463,   695,   464,   155,   156,   465,  4352,
     466,     0,   467,   468,   469,   470,   471,     0,   472,   473,
     474,     0,     0,   475,   476,   477,   478,   479,     0,   480,
     481,   482,     0,   483,   484,   485,     0,   486,   487,   488,
     489,   164,   490,   491,   492,   166,     0,   493,     0,   494,
     168,   495,     0,   496,     0,   497,     0,     0,     0,   498,
     499,   500,     0,   501,   172,     0,   502,     0,   503,   504,
     697,   505,   506,     0,   507,   508,   509,     0,   510,   511,
     512,   513,   514,   515,     0,   516,     0,   175,     0,   517,
     518,   519,     0,   176,     0,   177,     0,   520,     0,     0,
     521,     0,   522,   523,   524,   525,   526,     0,   527,   528,
       0,   529,   181,     0,   530,     0,     0,   531,   532,   533,
       0,     0,   534,   535,   536,   537,   538,   539,   698,   540,
     541,   699,   542,   543,   544,   188,     0,   190,   545,   546,
     191,     0,   547,   548,     0,   549,     0,   194,   550,   195,
     551,   552,   553,     0,   554,     0,     0,   555,   556,   557,
       0,     0,   196,     0,     0,     0,   200,   558,   559,   560,
     561,   562,   563,   564,     0,   565,   201,   566,   202,   567,
     568,   569,     0,   570,   571,   572,   573,   574,   575,   576,
     577,   204,   578,   579,   580,   581,     0,   582,   583,   584,
     585,   586,   587,   588,   589,   590,   591,   592,     0,   593,
     594,     0,   595,   596,   213,   597,   598,   599,   600,   601,
     602,   700,   603,     0,   604,   605,   606,   607,   608,     0,
     609,   218,   610,   611,     0,   612,   221,   613,     0,   614,
     615,   616,   617,   618,   619,   620,   621,   622,   623,   223,
       0,   624,   625,     0,   626,   627,   628,   629,   630,   631,
       0,   225,   226,     0,     0,   633,   227,   634,   228,     0,
     635,   636,   637,   638,   639,   640,   641,     0,     0,   642,
     643,   644,   645,   646,     0,     0,   647,   648,   649,   650,
     651,   701,   235,     0,   652,     0,   653,   654,   655,     0,
       0,   656,     0,     0,   657,   658,   659,   660,   661,   238,
     239,   240,   241,   242,   243,   244,   245,   246,   702,   662,
     663,    86,    87,    88,   678,    90,    91,    92,   679,     0,
     680,    95,     0,     0,    98,    99,   100,   101,   102,   103,
       0,   104,   105,   681,     0,     0,   107,   108,   109,   110,
       0,     0,   112,   113,   114,   115,     0,   116,     0,     0,
     682,   683,     0,     0,     0,   684,   685,     0,     0,     0,
       0,   686,     0,     0,     0,     0,     0,     0,     0,     0,
     687,     0,   688,     0,   689,   690,    35,     0,     0,     0,
       0,     0,     0,     0,    41,    42,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   418,   419,   420,   421,
     422,   423,   424,   425,     0,   426,   427,   428,     0,     0,
       0,     0,     0,     0,     0,   429,   430,     0,   431,   432,
       0,   433,   434,   435,   135,   136,     0,   138,   139,     0,
     436,   437,   438,   439,   440,     0,     0,   441,   442,   692,
     140,   443,     0,   444,   445,   446,   447,   144,     0,     0,
       0,   448,   449,   450,   451,     0,   452,   693,     0,   453,
     454,   455,   456,   457,   458,     0,     0,   459,     0,     0,
       0,     0,     0,     0,     0,     0,   460,   461,   462,   463,
     695,   464,   155,   156,   465,     0,   466,     0,   467,   468,
     469,   470,   471,     0,   472,   473,   474,     0,     0,   475,
     476,   477,   478,   479,     0,   480,   481,   482,     0,   483,
     484,   485,     0,   486,   487,   488,   489,   164,   490,   491,
     492,   166,     0,   493,     0,   494,   168,   495,     0,   496,
       0,   497,     0,     0,     0,   498,   499,   500,     0,   501,
     172,     0,   502,     0,   503,   504,   697,   505,   506,     0,
     507,   508,   509,     0,   510,   511,   512,   513,   514,   515,
       0,   516,     0,   175,     0,   517,   518,   519,     0,   176,
       0,   177,     0,   520,     0,     0,   521,     0,   522,   523,
     524,   525,   526,     0,   527,   528,     0,   529,   181,     0,
     530,     0,     0,   531,   532,   533,     0,     0,   534,   535,
     536,   537,   538,   539,   698,   540,   541,   699,   542,   543,
     544,   188,     0,   190,   545,   546,   191,     0,   547,   548,
       0,   549,     0,   194,   550,   195,   551,   552,   553,     0,
     554,     0,     0,   555,   556,   557,     0,     0,   196,     0,
       0,     0,   200,   558,   559,   560,   561,   562,   563,   564,
       0,   565,   201,   566,   202,   567,   568,   569,     0,   570,
     571,   572,   573,   574,   575,   576,   577,   204,   578,   579,
     580,   581,     0,   582,   583,   584,   585,   586,   587,   588,
     589,   590,   591,   592,     0,   593,   594,     0,   595,   596,
     213,   597,   598,   599,   600,   601,   602,   700,   603,     0,
     604,   605,   606,   607,   608,     0,   609,   218,   610,   611,
       0,   612,   221,   613,     0,   614,   615,   616,   617,   618,
     619,   620,   621,   622,   623,   223,     0,   624,   625,     0,
     626,   627,   628,   629,   630,   631,     0,   225,   226,     0,
       0,   633,   227,   634,   228,     0,   635,   636,   637,   638,
     639,   640,   641,     0,     0,   642,   643,   644,   645,   646,
       0,  4753,   647,   648,   649,   650,   651,   701,   235,     0,
     652,     0,   653,   654,   655,     0,     0,   656,     0,     0,
     657,   658,   659,   660,   661,   238,   239,   240,   241,   242,
     243,   244,   245,   246,   702,   662,   663,    86,    87,    88,
     678,    90,    91,    92,   679,     0,   680,    95,     0,     0,
      98,    99,   100,   101,   102,   103,     0,   104,   105,   681,
       0,     0,   107,   108,   109,   110,     0,     0,   112,   113,
     114,   115,     0,   116,     0,     0,   682,   683,     0,     0,
       0,   684,   685,     0,     0,     0,     0,   686,     0,     0,
       0,     0,     0,     0,     0,     0,   687,     0,   688,     0,
     689,   690,    35,     0,     0,     0,     0,     0,     0,     0,
      41,    42,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   418,   419,   420,   421,   422,   423,   424,   425,
       0,   426,   427,   428,     0,     0,     0,     0,     0,     0,
       0,   429,   430,     0,   431,   432,     0,   433,   434,   435,
     135,   136,     0,   138,   139,     0,   436,   437,   438,   439,
     440,     0,     0,   441,   442,   692,   140,   443,     0,   444,
     445,   446,   447,   144,     0,     0,     0,   448,   449,   450,
     451,     0,   452,   693,     0,   453,   454,   455,   456,   457,
     458,     0,     0,   459,     0,     0,     0,     0,     0,     0,
       0,     0,   460,   461,   462,   463,   695,   464,   155,   156,
     465,     0,   466,     0,   467,   468,   469,   470,   471,     0,
     472,   473,   474,     0,     0,   475,   476,   477,   478,   479,
       0,   480,   481,   482,     0,   483,   484,   485,     0,   486,
     487,   488,   489,   164,   490,   491,   492,   166,     0,   493,
       0,   494,   168,   495,     0,   496,     0,   497,     0,     0,
       0,   498,   499,   500,     0,   501,   172,     0,   502,     0,
     503,   504,   697,   505,   506,     0,   507,   508,   509,     0,
     510,   511,   512,   513,   514,   515,     0,   516,     0,   175,
       0,   517,   518,   519,     0,   176,     0,   177,     0,   520,
       0,     0,   521,     0,   522,   523,   524,   525,   526,     0,
     527,   528,     0,   529,   181,     0,   530,     0,     0,   531,
     532,   533,     0,     0,   534,   535,   536,   537,   538,   539,
     698,   540,   541,   699,   542,   543,   544,   188,     0,   190,
     545,   546,   191,     0,   547,   548,     0,   549,     0,   194,
     550,   195,   551,   552,   553,     0,   554,     0,     0,   555,
     556,   557,     0,     0,   196,     0,     0,     0,   200,   558,
     559,   560,   561,   562,   563,   564,     0,   565,   201,   566,
     202,   567,   568,   569,     0,   570,   571,   572,   573,   574,
     575,   576,   577,   204,   578,   579,   580,   581,     0,   582,
     583,   584,   585,   586,   587,   588,   589,   590,   591,   592,
       0,   593,   594,     0,   595,   596,   213,   597,   598,   599,
     600,   601,   602,   700,   603,     0,   604,   605,   606,   607,
     608,     0,   609,   218,   610,   611,     0,   612,   221,   613,
       0,   614,   615,   616,   617,   618,   619,   620,   621,   622,
     623,   223,     0,   624,   625,     0,   626,   627,   628,   629,
     630,   631,     0,   225,   226,     0,     0,   633,   227,   634,
     228,     0,   635,   636,   637,   638,   639,   640,   641,     0,
       0,   642,   643,   644,   645,   646,     0,     0,   647,   648,
     649,   650,   651,   701,   235,     0,   652,     0,   653,   654,
     655,     0,     0,   656,     0,     0,   657,   658,   659,   660,
     661,   238,   239,   240,   241,   242,   243,   244,   245,   246,
     702,   662,   663,    86,    87,    88,   678,    90,    91,    92,
     679,     0,   680,    95,     0,     0,    98,    99,   100,   101,
     102,   103,     0,   104,   105,   681,     0,     0,   107,   108,
     109,   110,     0,     0,   112,   113,   114,   115,     0,   116,
       0,     0,   682,   683,     0,     0,     0,   684,   685,     0,
       0,     0,     0,   686,     0,     0,     0,     0,     0,     0,
       0,     0,   687,     0,   688,     0,   689,   690,    35,     0,
       0,     0,     0,     0,     0,     0,    41,    42,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   418,   419,
     420,   421,   422,   423,   424,   425,     0,   426,   427,   428,
       0,     0,     0,     0,     0,     0,     0,   429,   430,     0,
     431,   432,     0,   433,   434,   435,   135,   136,     0,   138,
     139,     0,   436,   437,   438,   439,   440,     0,     0,   441,
     442,   692,   140,   443,     0,   444,   445,   446,   447,   144,
       0,     0,     0,   448,   449,   450,   451,     0,   452,   693,
       0,   453,   454,   455,   456,   457,   458,     0,     0,   459,
       0,     0,     0,     0,     0,     0,     0,     0,   460,   461,
     462,   463,   695,   464,   155,   156,   465,     0,   466,     0,
     467,   468,   469,   470,   471,     0,   472,   473,   474,     0,
       0,   475,   476,   477,   478,   479,     0,   480,   481,   482,
       0,   483,   484,   485,     0,   486,   487,   488,   489,   164,
     490,   491,   492,   166,     0,   493,     0,   494,   168,   495,
       0,   496,     0,   497,     0,     0,     0,   498,   499,   500,
       0,   501,   172,     0,   502,     0,   503,   504,   697,   505,
     506,     0,   507,   508,   509,     0,   510,   511,   512,   513,
     514,   515,     0,   516,     0,   175,     0,   517,   518,   519,
       0,   176,     0,   177,     0,   520,     0,     0,   521,     0,
     522,   523,   524,   525,   526,     0,   527,   528,     0,   529,
     181,     0,   530,     0,     0,   531,   532,   533,     0,     0,
     534,   535,   536,   537,   538,   539,   698,   540,   541,   699,
     542,   543,   544,   188,     0,   190,   545,   546,   191,     0,
     547,   548,     0,   549,     0,   194,   550,   195,   551,   552,
     553,     0,   554,     0,     0,   555,   556,   557,     0,     0,
     196,     0,     0,     0,   200,   558,   559,   560,   561,   562,
     563,   564,     0,   565,   201,   566,   202,   567,   568,   569,
       0,   570,   571,   572,   573,   574,   575,   576,   577,   204,
     578,   579,   580,   581,     0,   582,   583,   584,   585,   586,
     587,   588,   589,   590,   591,   592,     0,   593,   594,     0,
     595,   596,   213,   597,   598,  1034,   600,   601,   602,   700,
     603,     0,   604,   605,   606,   607,   608,     0,   609,   218,
     610,   611,     0,   612,   221,   613,     0,   614,   615,   616,
     617,   618,   619,   620,   621,   622,   623,   223,     0,   624,
     625,     0,   626,   627,   628,   629,   630,   631,     0,   225,
     226,     0,     0,   633,   227,   634,   228,     0,   635,   636,
     637,   638,   639,   640,   641,     0,     0,   642,   643,   644,
     645,   646,     0,     0,   647,   648,   649,   650,   651,   701,
     235,     0,   652,     0,   653,   654,   655,     0,     0,   656,
       0,     0,   657,   658,   659,   660,   661,   238,   239,   240,
     241,   242,   243,   244,   245,   246,   702,   662,   663,    86,
      87,    88,   678,    90,    91,    92,   679,     0,   680,    95,
       0,     0,    98,    99,   100,   101,   102,   103,     0,   104,
     105,   681,     0,     0,   107,   108,   109,   110,     0,     0,
     112,   113,   114,   115,     0,   116,     0,     0,   682,   683,
       0,     0,     0,   684,   685,     0,     0,     0,     0,   686,
       0,     0,     0,     0,     0,     0,     0,     0,   687,     0,
     688,     0,   689,   690,    35,     0,     0,     0,     0,     0,
       0,     0,    41,    42,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   418,   419,   420,   421,   422,   423,
     424,   425,  1036,   426,   427,   428,     0,     0,     0,     0,
       0,     0,     0,   429,   430,     0,   431,   432,     0,   433,
     434,   435,   135,   136,     0,   138,   139,     0,   436,   437,
     438,   439,   440,     0,     0,   441,   442,  1037,   140,   443,
       0,   444,   445,   446,   447,   144,     0,     0,     0,   448,
     449,   450,   451,     0,   452,     0,     0,   453,   454,   455,
     456,   457,   458,     0,     0,   459,     0,     0,     0,     0,
       0,     0,     0,     0,   460,   461,   462,   463,   695,   464,
     155,   156,   465,     0,   466,     0,   467,   468,   469,   470,
     471,     0,   472,   473,   474,     0,     0,   475,   476,   477,
     478,   479,     0,   480,   481,   482,     0,   483,   484,   485,
       0,   486,   487,   488,   489,   164,   490,   491,   492,   166,
       0,   493,     0,   494,   168,   495,     0,   496,     0,   497,
       0,     0,     0,   498,   499,   500,     0,   501,   172,     0,
     502,     0,   503,   504,   697,   505,   506,     0,   507,   508,
     509,     0,   510,   511,   512,   513,   514,   515,     0,   516,
       0,   175,     0,   517,   518,   519,     0,   176,     0,   177,
       0,   520,     0,     0,   521,     0,   522,   523,   524,   525,
     526,     0,   527,   528,     0,   529,   181,     0,   530,     0,
       0,   531,   532,   533,     0,     0,   534,   535,   536,   537,
     538,   539,   698,   540,   541,   699,   542,   543,   544,   188,
       0,   190,   545,   546,   191,     0,   547,   548,     0,   549,
       0,   194,   550,   195,   551,   552,   553,     0,   554,     0,
       0,   555,   556,   557,     0,     0,   196,     0,     0,     0,
     200,   558,   559,   560,   561,   562,   563,   564,     0,   565,
     201,   566,   202,   567,   568,   569,     0,   570,   571,   572,
     573,   574,   575,   576,   577,   204,   578,   579,   580,   581,
       0,   582,   583,   584,   585,   586,   587,   588,   589,   590,
     591,   592,     0,   593,   594,     0,   595,   596,   213,   597,
     598,   599,   600,   601,   602,   700,   603,     0,   604,   605,
     606,   607,  1038,     0,   609,   218,   610,   611,     0,   612,
     221,   613,     0,   614,   615,   616,   617,   618,   619,   620,
     621,   622,   623,   223,     0,   624,   625,     0,   626,   627,
     628,   629,   630,   631,     0,  1039,   226,     0,     0,  1040,
     227,   634,   228,     0,   635,   636,   637,   638,   639,   640,
     641,     0,     0,   642,   643,   644,   645,   646,     0,     0,
     647,   648,   649,   650,   651,  1041,   235,     0,   652,     0,
     653,   654,   655,     0,     0,   656,     0,     0,   657,   658,
     659,   660,   661,   238,   239,   240,   241,   242,   243,   244,
     245,   246,   702,   662,   663,    86,    87,    88,   678,    90,
      91,    92,   679,     0,   680,    95,     0,     0,    98,    99,
     100,   101,   102,   103,     0,   104,   105,   681,     0,     0,
     107,   108,   109,   110,     0,     0,   112,   113,   114,   115,
       0,   116,     0,     0,   682,   683,     0,     0,     0,   684,
     685,     0,     0,     0,     0,   686,     0,     0,     0,     0,
       0,     0,     0,     0,   687,     0,   688,     0,   689,   690,
      35,     0,     0,     0,     0,     0,     0,     0,    41,    42,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     418,   419,   420,   421,   422,   423,   424,   425,  1077,   426,
     427,   428,     0,     0,     0,     0,     0,     0,     0,   429,
     430,     0,   431,   432,     0,   433,   434,   435,   135,   136,
       0,   138,   139,     0,   436,   437,   438,   439,   440,     0,
       0,   441,   442,  1037,   140,   443,     0,   444,   445,   446,
     447,   144,     0,     0,     0,   448,   449,   450,   451,     0,
     452,     0,     0,   453,   454,   455,   456,   457,   458,     0,
       0,   459,     0,     0,     0,     0,     0,     0,     0,     0,
     460,   461,   462,   463,   695,   464,   155,   156,   465,     0,
     466,     0,   467,   468,   469,   470,   471,     0,   472,   473,
     474,     0,     0,   475,   476,   477,   478,   479,     0,   480,
     481,   482,     0,   483,   484,   485,     0,   486,   487,   488,
     489,   164,   490,   491,   492,   166,     0,   493,     0,   494,
     168,   495,     0,   496,     0,   497,     0,     0,     0,   498,
     499,   500,     0,   501,   172,     0,   502,     0,   503,   504,
     697,   505,   506,     0,   507,   508,   509,     0,   510,   511,
     512,   513,   514,   515,     0,   516,     0,   175,     0,   517,
     518,   519,     0,   176,     0,   177,     0,   520,     0,     0,
     521,     0,   522,   523,   524,   525,   526,     0,   527,   528,
       0,   529,   181,     0,   530,     0,     0,   531,   532,   533,
       0,     0,   534,   535,   536,   537,   538,   539,   698,   540,
     541,   699,   542,   543,   544,   188,     0,   190,   545,   546,
     191,     0,   547,   548,     0,   549,     0,   194,   550,   195,
     551,   552,   553,     0,   554,     0,     0,   555,   556,   557,
       0,     0,   196,     0,     0,     0,   200,   558,   559,   560,
     561,   562,   563,   564,     0,   565,   201,   566,   202,   567,
     568,   569,     0,   570,   571,   572,   573,   574,   575,   576,
     577,   204,   578,   579,   580,   581,     0,   582,   583,   584,
     585,   586,   587,   588,   589,   590,   591,   592,     0,   593,
     594,     0,   595,   596,   213,   597,   598,   599,   600,   601,
     602,   700,   603,     0,   604,   605,   606,   607,  1078,     0,
     609,   218,   610,   611,     0,   612,   221,   613,     0,   614,
     615,   616,   617,   618,   619,   620,   621,   622,   623,   223,
       0,   624,   625,     0,   626,   627,   628,   629,   630,   631,
       0,  1079,   226,     0,     0,  1080,   227,   634,   228,     0,
     635,   636,   637,   638,   639,   640,   641,     0,     0,   642,
     643,   644,   645,   646,     0,     0,   647,   648,   649,   650,
     651,  1041,   235,     0,   652,     0,   653,   654,   655,     0,
       0,   656,     0,     0,   657,   658,   659,   660,   661,   238,
     239,   240,   241,   242,   243,   244,   245,   246,   702,   662,
     663,    86,    87,    88,   678,    90,    91,    92,   679,     0,
     680,    95,     0,     0,    98,    99,   100,   101,   102,   103,
       0,   104,   105,   681,     0,     0,   107,   108,   109,   110,
       0,     0,   112,   113,   114,   115,     0,   116,     0,     0,
     682,   683,     0,     0,     0,   684,   685,     0,     0,     0,
       0,   686,     0,     0,     0,     0,     0,     0,     0,     0,
     687,     0,   688,     0,   689,   690,    35,     0,     0,     0,
       0,     0,     0,     0,    41,    42,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   418,   419,   420,   421,
     422,   423,   424,   425,     0,   426,   427,   428,     0,     0,
       0,     0,     0,     0,     0,   429,   430,     0,   431,   432,
       0,   433,   434,   435,   135,   136,     0,   138,   139,     0,
     436,   437,   438,   439,   440,     0,     0,   441,   442,   692,
     140,   443,     0,   444,   445,   446,   447,   144,     0,     0,
       0,   448,   449,   450,   451,     0,   452,   693,     0,   453,
     454,   455,   456,   457,   458,     0,     0,   459,     0,     0,
       0,     0,     0,     0,     0,     0,   460,   461,   462,   463,
     695,   464,   155,   156,   465,     0,   466,     0,   467,   468,
     469,   470,   471,     0,   472,   473,   474,     0,     0,   475,
     476,   477,   478,   479,     0,   480,   481,   482,     0,   483,
     484,   485,     0,   486,   487,   488,   489,   164,   490,   491,
     492,   166,     0,   493,     0,   494,   168,   495,     0,   496,
       0,   497,     0,     0,     0,   498,   499,   500,     0,   501,
     172,     0,   502,     0,   503,   504,   697,   505,   506,     0,
     507,   508,   509,     0,   510,   511,   512,   513,   514,   515,
       0,   516,     0,   175,     0,   517,   518,   519,     0,   176,
       0,   177,     0,   520,     0,     0,   521,     0,   522,   523,
     524,   525,   526,     0,   527,   528,     0,   529,   181,     0,
     530,     0,     0,   531,   532,   533,     0,     0,   534,   535,
     536,   537,   538,   539,   698,   540,   541,   699,   542,   543,
     544,   188,     0,   190,   545,   546,   191,     0,   547,   548,
       0,   549,     0,   194,   550,   195,   551,   552,   553,     0,
     554,     0,     0,   555,   556,   557,     0,     0,   196,     0,
       0,     0,   200,   558,   559,   560,   561,   562,   563,   564,
       0,   565,   201,   566,   202,   567,   568,   569,     0,   570,
     571,   572,   573,   574,   575,   576,   577,   204,   578,   579,
    1097,   581,     0,   582,   583,   584,   585,   586,   587,   588,
     589,   590,   591,   592,     0,   593,   594,     0,   595,   596,
     213,   597,   598,   599,   600,   601,   602,   700,   603,     0,
     604,   605,   606,   607,   608,     0,   609,   218,   610,   611,
       0,   612,   221,   613,     0,   614,   615,   616,   617,   618,
     619,   620,   621,   622,   623,   223,     0,   624,   625,     0,
     626,   627,   628,   629,   630,   631,     0,   225,   226,     0,
       0,   633,   227,   634,   228,     0,   635,   636,   637,   638,
     639,   640,   641,     0,     0,   642,   643,   644,   645,   646,
       0,     0,   647,   648,   649,   650,   651,   701,   235,     0,
     652,     0,   653,   654,   655,     0,     0,   656,     0,     0,
     657,   658,   659,   660,   661,   238,   239,   240,   241,   242,
     243,   244,   245,   246,   702,   662,   663,    86,    87,    88,
     678,    90,    91,    92,   679,     0,   680,    95,     0,     0,
      98,    99,   100,   101,   102,   103,     0,   104,   105,   681,
       0,     0,   107,   108,   109,   110,     0,     0,   112,   113,
     114,   115,     0,   116,     0,     0,   682,   683,     0,     0,
       0,   684,   685,     0,     0,     0,     0,   686,     0,     0,
       0,     0,     0,     0,     0,     0,   687,     0,   688,     0,
     689,   690,    35,     0,     0,     0,     0,     0,     0,     0,
      41,    42,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   418,   419,   420,   421,   422,   423,   424,   425,
       0,   426,   427,   428,     0,     0,     0,     0,     0,     0,
       0,   429,   430,     0,   431,   432,     0,   433,   434,   435,
     135,   136,     0,   138,   139,     0,   436,   437,   438,   439,
     440,     0,     0,   441,   442,   692,   140,   443,     0,   444,
     445,   446,   447,   144,     0,     0,     0,   448,   449,   450,
     451,     0,   452,   693,     0,   453,   454,   455,   456,   457,
     458,     0,     0,   459,     0,     0,     0,     0,     0,     0,
       0,     0,   460,   461,   462,   463,   695,   464,   155,   156,
     465,     0,   466,     0,   467,   468,   469,   470,   471,     0,
     472,   473,   474,     0,     0,   475,   476,   477,   478,   479,
       0,   480,   481,   482,     0,   483,   484,   485,     0,   486,
     487,   488,   489,   164,   490,   491,   492,   166,     0,   493,
       0,   494,   168,   495,     0,   496,     0,   497,     0,     0,
       0,   498,   499,   500,     0,   501,   172,     0,   502,     0,
     503,   504,   697,   505,  1203,     0,   507,   508,   509,     0,
     510,   511,   512,   513,   514,   515,     0,   516,     0,   175,
       0,   517,   518,   519,     0,   176,     0,   177,     0,   520,
       0,     0,   521,     0,   522,   523,   524,   525,   526,     0,
     527,   528,     0,   529,   181,     0,   530,     0,     0,   531,
     532,   533,     0,     0,   534,   535,   536,   537,   538,   539,
     698,   540,   541,   699,   542,   543,   544,   188,     0,   190,
     545,   546,   191,     0,   547,   548,     0,   549,     0,   194,
     550,   195,   551,   552,   553,     0,   554,     0,     0,   555,
     556,   557,     0,     0,   196,     0,     0,     0,   200,   558,
     559,   560,   561,   562,   563,   564,     0,   565,   201,   566,
     202,   567,   568,   569,     0,   570,   571,   572,   573,   574,
     575,   576,   577,   204,   578,   579,   580,   581,     0,   582,
     583,   584,   585,   586,   587,   588,   589,   590,   591,   592,
       0,   593,   594,     0,   595,   596,   213,   597,   598,   599,
     600,   601,   602,   700,   603,     0,   604,   605,   606,   607,
     608,     0,   609,   218,   610,   611,     0,   612,   221,   613,
       0,   614,   615,   616,   617,   618,   619,   620,   621,   622,
     623,   223,     0,   624,   625,     0,   626,   627,   628,   629,
     630,   631,     0,   225,   226,     0,     0,   633,   227,   634,
     228,     0,   635,   636,   637,   638,   639,   640,   641,     0,
       0,   642,   643,   644,   645,   646,     0,     0,   647,   648,
     649,   650,   651,   701,   235,     0,   652,     0,   653,   654,
     655,     0,     0,   656,     0,     0,   657,   658,   659,   660,
     661,   238,   239,   240,   241,   242,   243,   244,   245,   246,
     702,   662,   663,    86,    87,    88,   678,    90,    91,    92,
     679,     0,   680,    95,     0,     0,    98,    99,   100,   101,
     102,   103,     0,   104,   105,   681,     0,     0,   107,   108,
     109,   110,     0,     0,   112,   113,   114,   115,     0,   116,
       0,     0,   682,   683,     0,     0,     0,   684,   685,     0,
       0,     0,     0,   686,     0,     0,     0,     0,     0,     0,
       0,     0,   687,     0,   688,     0,   689,   690,    35,     0,
       0,     0,     0,     0,     0,     0,    41,    42,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   418,   419,
     420,   421,   422,   423,   424,   425,     0,   426,   427,   428,
       0,     0,     0,     0,     0,     0,     0,   429,   430,     0,
     431,   432,     0,   433,   434,   435,   135,   136,     0,   138,
     139,     0,   436,   437,   438,   439,   440,     0,     0,   441,
     442,   692,   140,   443,     0,   444,   445,   446,   447,   144,
       0,     0,     0,   448,   449,   450,   451,     0,   452,   693,
       0,   453,   454,   455,   456,   457,   458,     0,     0,   459,
       0,     0,     0,     0,     0,     0,     0,     0,   460,   461,
     462,   463,   695,   464,   155,   156,   465,     0,   466,     0,
     467,   468,   469,   470,   471,     0,   472,   473,   474,     0,
       0,   475,   476,   477,   478,   479,     0,   480,   481,   482,
       0,   483,   484,   485,     0,   486,   487,   488,   489,   164,
     490,   491,   492,   166,     0,   493,     0,   494,   168,   495,
       0,   496,     0,   497,     0,     0,     0,   498,   499,   500,
       0,   501,   172,     0,   502,     0,   503,   504,   697,   505,
    1227,     0,   507,   508,   509,     0,   510,   511,   512,   513,
     514,   515,     0,   516,     0,   175,     0,   517,   518,   519,
       0,   176,     0,   177,     0,   520,     0,     0,   521,     0,
     522,   523,   524,   525,   526,     0,   527,   528,     0,   529,
     181,     0,   530,     0,     0,   531,   532,   533,     0,     0,
     534,   535,   536,   537,   538,   539,   698,   540,   541,   699,
     542,   543,   544,   188,     0,   190,   545,   546,   191,     0,
     547,   548,     0,   549,     0,   194,   550,   195,   551,   552,
     553,     0,   554,     0,     0,   555,   556,   557,     0,     0,
     196,     0,     0,     0,   200,   558,   559,   560,   561,   562,
     563,   564,     0,   565,   201,   566,   202,   567,   568,   569,
       0,   570,   571,   572,   573,   574,   575,   576,   577,   204,
     578,   579,   580,   581,     0,   582,   583,   584,   585,   586,
     587,   588,   589,   590,   591,   592,     0,   593,   594,     0,
     595,   596,   213,   597,   598,   599,   600,   601,   602,   700,
     603,     0,   604,   605,   606,   607,   608,     0,   609,   218,
     610,   611,     0,   612,   221,   613,     0,   614,   615,   616,
     617,   618,   619,   620,   621,   622,   623,   223,     0,   624,
     625,     0,   626,   627,   628,   629,   630,   631,     0,   225,
     226,     0,     0,   633,   227,   634,   228,     0,   635,   636,
     637,   638,   639,   640,   641,     0,     0,   642,   643,   644,
     645,   646,     0,     0,   647,   648,   649,   650,   651,   701,
     235,     0,   652,     0,   653,   654,   655,     0,     0,   656,
       0,     0,   657,   658,   659,   660,   661,   238,   239,   240,
     241,   242,   243,   244,   245,   246,   702,   662,   663,    86,
      87,    88,   678,    90,    91,    92,   679,     0,   680,    95,
       0,     0,    98,    99,   100,   101,   102,   103,     0,   104,
     105,   681,     0,     0,   107,   108,   109,   110,     0,     0,
     112,   113,   114,   115,     0,   116,     0,     0,   682,   683,
       0,     0,     0,   684,   685,     0,     0,     0,     0,   686,
       0,     0,     0,     0,     0,     0,     0,     0,   687,     0,
     688,     0,   689,   690,    35,     0,     0,     0,     0,     0,
       0,     0,    41,    42,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   418,   419,   420,   421,   422,   423,
     424,   425,     0,   426,   427,   428,     0,     0,     0,     0,
       0,     0,     0,   429,   430,     0,   431,   432,     0,   433,
     434,   435,   135,   136,     0,   138,   139,     0,   436,   437,
     438,   439,   440,     0,     0,   441,   442,   692,   140,   443,
       0,   444,   445,   446,   447,   144,     0,     0,     0,   448,
     449,   450,   451,     0,   452,   693,     0,   453,   454,   455,
     456,   457,   458,     0,     0,   459,     0,     0,     0,     0,
       0,     0,     0,     0,   460,   461,   462,   463,   695,   464,
     155,   156,   465,     0,   466,     0,   467,   468,   469,   470,
     471,     0,   472,   473,   474,     0,     0,   475,   476,   477,
     478,   479,     0,   480,   481,   482,     0,   483,   484,   485,
       0,   486,   487,   488,   489,   164,   490,   491,   492,   166,
       0,   493,     0,   494,   168,   495,     0,   496,     0,   497,
       0,     0,     0,   498,   499,   500,     0,   501,   172,     0,
     502,     0,   503,   504,   697,   505,  1239,     0,   507,   508,
     509,     0,   510,   511,   512,   513,   514,   515,     0,   516,
       0,   175,     0,   517,   518,   519,     0,   176,     0,   177,
       0,   520,     0,     0,   521,     0,   522,   523,   524,   525,
     526,     0,   527,   528,     0,   529,   181,     0,   530,     0,
       0,   531,   532,   533,     0,     0,   534,   535,   536,   537,
     538,   539,   698,   540,   541,   699,   542,   543,   544,   188,
       0,   190,   545,   546,   191,     0,   547,   548,     0,   549,
       0,   194,   550,   195,   551,   552,   553,     0,   554,     0,
       0,   555,   556,   557,     0,     0,   196,     0,     0,     0,
     200,   558,   559,   560,   561,   562,   563,   564,     0,   565,
     201,   566,   202,   567,   568,   569,     0,   570,   571,   572,
     573,   574,   575,   576,   577,   204,   578,   579,   580,   581,
       0,   582,   583,   584,   585,   586,   587,   588,   589,   590,
     591,   592,     0,   593,   594,     0,   595,   596,   213,   597,
     598,   599,   600,   601,   602,   700,   603,     0,   604,   605,
     606,   607,   608,     0,   609,   218,   610,   611,     0,   612,
     221,   613,     0,   614,   615,   616,   617,   618,   619,   620,
     621,   622,   623,   223,     0,   624,   625,     0,   626,   627,
     628,   629,   630,   631,     0,   225,   226,     0,     0,   633,
     227,   634,   228,     0,   635,   636,   637,   638,   639,   640,
     641,     0,     0,   642,   643,   644,   645,   646,     0,     0,
     647,   648,   649,   650,   651,   701,   235,     0,   652,     0,
     653,   654,   655,     0,     0,   656,     0,     0,   657,   658,
     659,   660,   661,   238,   239,   240,   241,   242,   243,   244,
     245,   246,   702,   662,   663,    86,    87,    88,   678,    90,
      91,    92,   679,     0,   680,    95,     0,     0,    98,    99,
     100,   101,   102,   103,     0,   104,   105,   681,     0,     0,
     107,   108,   109,   110,     0,     0,   112,   113,   114,   115,
       0,   116,     0,     0,   682,   683,     0,     0,     0,   684,
     685,     0,     0,     0,     0,   686,     0,     0,     0,     0,
       0,     0,     0,     0,   687,     0,   688,     0,   689,   690,
      35,     0,     0,     0,     0,     0,     0,     0,    41,    42,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     418,   419,   420,   421,   422,   423,   424,   425,     0,   426,
     427,   428,     0,     0,     0,     0,     0,     0,     0,   429,
     430,     0,   431,   432,     0,   433,   434,   435,   135,   136,
       0,   138,   139,     0,   436,   437,   438,   439,   440,     0,
       0,   441,   442,   692,   140,   443,     0,   444,   445,   446,
     447,   144,     0,     0,     0,   448,   449,   450,   451,     0,
     452,   693,     0,   453,   454,   455,   456,   457,   458,     0,
       0,   459,     0,     0,     0,     0,     0,     0,     0,     0,
     460,   461,   462,   463,   695,   464,   155,   156,   465,     0,
     466,     0,   467,   468,   469,   470,   471,     0,   472,   473,
     474,     0,     0,   475,   476,   477,   478,   479,     0,   480,
     481,   482,     0,   483,   484,   485,     0,   486,   487,   488,
     489,   164,   490,   491,   492,   166,     0,   493,     0,   494,
     168,   495,     0,   496,     0,   497,     0,     0,     0,   498,
     499,   500,     0,   501,   172,     0,   502,     0,   503,   504,
     697,   505,  1293,     0,   507,   508,   509,     0,   510,   511,
     512,   513,   514,   515,     0,   516,     0,   175,     0,   517,
     518,   519,     0,   176,     0,   177,     0,   520,     0,     0,
     521,     0,   522,   523,   524,   525,   526,     0,   527,   528,
       0,   529,   181,     0,   530,     0,     0,   531,   532,   533,
       0,     0,   534,   535,   536,   537,   538,   539,   698,   540,
     541,   699,   542,   543,   544,   188,     0,   190,   545,   546,
     191,     0,   547,   548,     0,   549,     0,   194,   550,   195,
     551,   552,   553,     0,   554,     0,     0,   555,   556,   557,
       0,     0,   196,     0,     0,     0,   200,   558,   559,   560,
     561,   562,   563,   564,     0,   565,   201,   566,   202,   567,
     568,   569,     0,   570,   571,   572,   573,   574,   575,   576,
     577,   204,   578,   579,   580,   581,     0,   582,   583,   584,
     585,   586,   587,   588,   589,   590,   591,   592,     0,   593,
     594,     0,   595,   596,   213,   597,   598,   599,   600,   601,
     602,   700,   603,     0,   604,   605,   606,   607,   608,     0,
     609,   218,   610,   611,     0,   612,   221,   613,     0,   614,
     615,   616,   617,   618,   619,   620,   621,   622,   623,   223,
       0,   624,   625,     0,   626,   627,   628,   629,   630,   631,
       0,   225,   226,     0,     0,   633,   227,   634,   228,     0,
     635,   636,   637,   638,   639,   640,   641,     0,     0,   642,
     643,   644,   645,   646,     0,     0,   647,   648,   649,   650,
     651,   701,   235,     0,   652,     0,   653,   654,   655,     0,
       0,   656,     0,     0,   657,   658,   659,   660,   661,   238,
     239,   240,   241,   242,   243,   244,   245,   246,   702,   662,
     663,    86,    87,    88,   678,    90,    91,    92,   679,     0,
     680,    95,     0,     0,    98,    99,   100,   101,   102,   103,
       0,   104,   105,   681,     0,     0,   107,   108,   109,   110,
       0,     0,   112,   113,   114,   115,     0,   116,     0,     0,
     682,   683,     0,     0,     0,   684,   685,     0,     0,     0,
       0,   686,     0,     0,     0,     0,     0,     0,     0,     0,
     687,     0,   688,     0,   689,   690,    35,     0,     0,     0,
       0,     0,     0,     0,    41,    42,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   418,   419,   420,   421,
     422,   423,   424,   425,     0,   426,   427,   428,     0,     0,
       0,     0,     0,     0,     0,   429,   430,     0,   431,   432,
       0,   433,   434,   435,   135,   136,     0,   138,   139,     0,
     436,   437,   438,   439,   440,     0,     0,   441,   442,   692,
     140,   443,     0,   444,   445,   446,   447,   144,     0,     0,
       0,   448,   449,   450,   451,     0,   452,   693,     0,   453,
     454,   455,   456,   457,   458,     0,     0,   459,     0,     0,
       0,     0,     0,     0,     0,     0,   460,   461,   462,   463,
     695,   464,   155,   156,   465,     0,   466,     0,   467,   468,
     469,   470,   471,     0,   472,   473,   474,     0,     0,   475,
     476,   477,   478,   479,     0,   480,   481,   482,     0,   483,
     484,   485,     0,   486,   487,   488,   489,   164,   490,   491,
     492,   166,     0,   493,     0,   494,   168,   495,     0,   496,
       0,   497,     0,     0,     0,   498,   499,   500,     0,   501,
     172,     0,   502,     0,   503,   504,   697,   505,  1307,     0,
     507,   508,   509,     0,   510,   511,   512,   513,   514,   515,
       0,   516,     0,   175,     0,   517,   518,   519,     0,   176,
       0,   177,     0,   520,     0,     0,   521,     0,   522,   523,
     524,   525,   526,     0,   527,   528,     0,   529,   181,     0,
     530,     0,     0,   531,   532,   533,     0,     0,   534,   535,
     536,   537,   538,   539,   698,   540,   541,   699,   542,   543,
     544,   188,     0,   190,   545,   546,   191,     0,   547,   548,
       0,   549,     0,   194,   550,   195,   551,   552,   553,     0,
     554,     0,     0,   555,   556,   557,     0,     0,   196,     0,
       0,     0,   200,   558,   559,   560,   561,   562,   563,   564,
       0,   565,   201,   566,   202,   567,   568,   569,     0,   570,
     571,   572,   573,   574,   575,   576,   577,   204,   578,   579,
     580,   581,     0,   582,   583,   584,   585,   586,   587,   588,
     589,   590,   591,   592,     0,   593,   594,     0,   595,   596,
     213,   597,   598,   599,   600,   601,   602,   700,   603,     0,
     604,   605,   606,   607,   608,     0,   609,   218,   610,   611,
       0,   612,   221,   613,     0,   614,   615,   616,   617,   618,
     619,   620,   621,   622,   623,   223,     0,   624,   625,     0,
     626,   627,   628,   629,   630,   631,     0,   225,   226,     0,
       0,   633,   227,   634,   228,     0,   635,   636,   637,   638,
     639,   640,   641,     0,     0,   642,   643,   644,   645,   646,
       0,     0,   647,   648,   649,   650,   651,   701,   235,     0,
     652,     0,   653,   654,   655,     0,     0,   656,     0,     0,
     657,   658,   659,   660,   661,   238,   239,   240,   241,   242,
     243,   244,   245,   246,   702,   662,   663,    86,    87,    88,
     678,    90,    91,    92,   679,     0,   680,    95,     0,     0,
      98,    99,   100,   101,   102,   103,     0,   104,   105,   681,
       0,     0,   107,   108,   109,   110,     0,     0,   112,   113,
     114,   115,     0,   116,     0,     0,   682,   683,     0,     0,
       0,   684,   685,     0,     0,     0,     0,   686,     0,     0,
       0,     0,     0,     0,     0,     0,   687,     0,   688,     0,
     689,   690,    35,     0,     0,     0,     0,     0,     0,     0,
      41,    42,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   418,   419,   420,   421,   422,   423,   424,   425,
       0,   426,   427,   428,     0,     0,     0,     0,     0,     0,
       0,   429,   430,     0,   431,   432,     0,   433,   434,   435,
     135,   136,     0,   138,   139,     0,   436,   437,   438,   439,
     440,     0,     0,   441,   442,   692,   140,   443,     0,   444,
     445,   446,   447,   144,     0,     0,     0,   448,   449,   450,
     451,     0,   452,   693,     0,   453,   454,   455,   456,   457,
     458,     0,     0,   459,     0,     0,     0,     0,     0,     0,
       0,     0,   460,   461,   462,   463,   695,   464,   155,   156,
     465,     0,   466,     0,   467,   468,   469,   470,   471,     0,
     472,   473,   474,     0,     0,   475,   476,   477,   478,   479,
       0,   480,   481,   482,     0,   483,   484,   485,     0,   486,
     487,   488,   489,   164,   490,   491,   492,   166,     0,   493,
       0,   494,   168,   495,     0,   496,     0,   497,     0,     0,
       0,   498,   499,   500,     0,   501,   172,     0,   502,     0,
     503,   504,   697,   505,  1347,     0,   507,   508,   509,     0,
     510,   511,   512,   513,   514,   515,     0,   516,     0,   175,
       0,   517,   518,   519,     0,   176,     0,   177,     0,   520,
       0,     0,   521,     0,   522,   523,   524,   525,   526,     0,
     527,   528,     0,   529,   181,     0,   530,     0,     0,   531,
     532,   533,     0,     0,   534,   535,   536,   537,   538,   539,
     698,   540,   541,   699,   542,   543,   544,   188,     0,   190,
     545,   546,   191,     0,   547,   548,     0,   549,     0,   194,
     550,   195,   551,   552,   553,     0,   554,     0,     0,   555,
     556,   557,     0,     0,   196,     0,     0,     0,   200,   558,
     559,   560,   561,   562,   563,   564,     0,   565,   201,   566,
     202,   567,   568,   569,     0,   570,   571,   572,   573,   574,
     575,   576,   577,   204,   578,   579,   580,   581,     0,   582,
     583,   584,   585,   586,   587,   588,   589,   590,   591,   592,
       0,   593,   594,     0,   595,   596,   213,   597,   598,   599,
     600,   601,   602,   700,   603,     0,   604,   605,   606,   607,
     608,     0,   609,   218,   610,   611,     0,   612,   221,   613,
       0,   614,   615,   616,   617,   618,   619,   620,   621,   622,
     623,   223,     0,   624,   625,     0,   626,   627,   628,   629,
     630,   631,     0,   225,   226,     0,     0,   633,   227,   634,
     228,     0,   635,   636,   637,   638,   639,   640,   641,     0,
       0,   642,   643,   644,   645,   646,     0,     0,   647,   648,
     649,   650,   651,   701,   235,     0,   652,     0,   653,   654,
     655,     0,     0,   656,     0,     0,   657,   658,   659,   660,
     661,   238,   239,   240,   241,   242,   243,   244,   245,   246,
     702,   662,   663,    86,    87,    88,   678,    90,    91,    92,
     679,     0,   680,    95,     0,     0,    98,    99,   100,   101,
     102,   103,     0,   104,   105,   681,     0,     0,   107,   108,
     109,   110,     0,     0,   112,   113,   114,   115,     0,   116,
       0,     0,   682,   683,     0,     0,     0,   684,   685,     0,
       0,     0,     0,   686,     0,     0,     0,     0,     0,     0,
       0,     0,   687,     0,   688,     0,   689,   690,    35,     0,
       0,     0,     0,     0,     0,     0,    41,    42,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   418,   419,
     420,   421,   422,   423,   424,   425,     0,   426,   427,   428,
       0,     0,     0,     0,     0,     0,     0,   429,   430,     0,
     431,   432,     0,   433,   434,   435,   135,   136,     0,   138,
     139,     0,   436,   437,   438,   439,   440,     0,     0,   441,
     442,   692,   140,   443,     0,   444,   445,   446,   447,   144,
       0,     0,     0,   448,   449,   450,   451,     0,   452,   693,
       0,   453,   454,   455,   456,   457,   458,     0,     0,   459,
       0,     0,     0,     0,     0,     0,     0,     0,   460,   461,
     462,   463,   695,   464,   155,   156,   465,     0,   466,     0,
     467,   468,   469,   470,   471,     0,   472,   473,   474,     0,
       0,   475,   476,   477,   478,   479,     0,   480,   481,   482,
       0,   483,   484,   485,     0,   486,   487,   488,   489,   164,
     490,   491,   492,   166,     0,   493,     0,   494,   168,   495,
       0,   496,     0,   497,     0,     0,     0,   498,   499,   500,
       0,   501,   172,     0,   502,     0,   503,   504,   697,   505,
    1366,     0,   507,   508,   509,     0,   510,   511,   512,   513,
     514,   515,     0,   516,     0,   175,     0,   517,   518,   519,
       0,   176,     0,   177,     0,   520,     0,     0,   521,     0,
     522,   523,   524,   525,   526,     0,   527,   528,     0,   529,
     181,     0,   530,     0,     0,   531,   532,   533,     0,     0,
     534,   535,   536,   537,   538,   539,   698,   540,   541,   699,
     542,   543,   544,   188,     0,   190,   545,   546,   191,     0,
     547,   548,     0,   549,     0,   194,   550,   195,   551,   552,
     553,     0,   554,     0,     0,   555,   556,   557,     0,     0,
     196,     0,     0,     0,   200,   558,   559,   560,   561,   562,
     563,   564,     0,   565,   201,   566,   202,   567,   568,   569,
       0,   570,   571,   572,   573,   574,   575,   576,   577,   204,
     578,   579,   580,   581,     0,   582,   583,   584,   585,   586,
     587,   588,   589,   590,   591,   592,     0,   593,   594,     0,
     595,   596,   213,   597,   598,   599,   600,   601,   602,   700,
     603,     0,   604,   605,   606,   607,   608,     0,   609,   218,
     610,   611,     0,   612,   221,   613,     0,   614,   615,   616,
     617,   618,   619,   620,   621,   622,   623,   223,     0,   624,
     625,     0,   626,   627,   628,   629,   630,   631,     0,   225,
     226,     0,     0,   633,   227,   634,   228,     0,   635,   636,
     637,   638,   639,   640,   641,     0,     0,   642,   643,   644,
     645,   646,     0,     0,   647,   648,   649,   650,   651,   701,
     235,     0,   652,     0,   653,   654,   655,     0,     0,   656,
       0,     0,   657,   658,   659,   660,   661,   238,   239,   240,
     241,   242,   243,   244,   245,   246,   702,   662,   663,    86,
      87,    88,   678,    90,    91,    92,   679,     0,   680,    95,
       0,     0,    98,    99,   100,   101,   102,   103,     0,   104,
     105,   681,     0,     0,   107,   108,   109,   110,     0,     0,
     112,   113,   114,   115,     0,   116,     0,     0,   682,   683,
       0,     0,     0,   684,   685,     0,     0,     0,     0,   686,
       0,     0,     0,     0,     0,     0,     0,     0,   687,     0,
     688,     0,   689,   690,    35,     0,     0,     0,     0,     0,
       0,     0,    41,    42,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   418,   419,   420,   421,   422,   423,
     424,   425,     0,   426,   427,   428,     0,     0,     0,     0,
       0,     0,     0,   429,   430,     0,   431,   432,     0,   433,
     434,   435,   135,   136,     0,   138,   139,     0,   436,   437,
     438,   439,   440,     0,     0,   441,   442,   692,   140,   443,
       0,   444,   445,   446,   447,   144,     0,     0,     0,   448,
     449,   450,   451,     0,   452,   693,     0,   453,   454,   455,
     456,   457,   458,     0,     0,   459,     0,     0,     0,     0,
       0,     0,     0,     0,   460,   461,   462,   463,   695,   464,
     155,   156,   465,     0,   466,     0,   467,   468,   469,   470,
     471,     0,   472,   473,   474,     0,     0,   475,   476,   477,
     478,   479,     0,   480,   481,   482,     0,   483,   484,   485,
       0,   486,   487,   488,   489,   164,   490,   491,   492,   166,
       0,   493,     0,   494,   168,   495,     0,   496,     0,   497,
       0,     0,     0,   498,   499,   500,     0,   501,   172,     0,
     502,     0,   503,   504,   697,   505,  1368,     0,   507,   508,
     509,     0,   510,   511,   512,   513,   514,   515,     0,   516,
       0,   175,     0,   517,   518,   519,     0,   176,     0,   177,
       0,   520,     0,     0,   521,     0,   522,   523,   524,   525,
     526,     0,   527,   528,     0,   529,   181,     0,   530,     0,
       0,   531,   532,   533,     0,     0,   534,   535,   536,   537,
     538,   539,   698,   540,   541,   699,   542,   543,   544,   188,
       0,   190,   545,   546,   191,     0,   547,   548,     0,   549,
       0,   194,   550,   195,   551,   552,   553,     0,   554,     0,
       0,   555,   556,   557,     0,     0,   196,     0,     0,     0,
     200,   558,   559,   560,   561,   562,   563,   564,     0,   565,
     201,   566,   202,   567,   568,   569,     0,   570,   571,   572,
     573,   574,   575,   576,   577,   204,   578,   579,   580,   581,
       0,   582,   583,   584,   585,   586,   587,   588,   589,   590,
     591,   592,     0,   593,   594,     0,   595,   596,   213,   597,
     598,   599,   600,   601,   602,   700,   603,     0,   604,   605,
     606,   607,   608,     0,   609,   218,   610,   611,     0,   612,
     221,   613,     0,   614,   615,   616,   617,   618,   619,   620,
     621,   622,   623,   223,     0,   624,   625,     0,   626,   627,
     628,   629,   630,   631,     0,   225,   226,     0,     0,   633,
     227,   634,   228,     0,   635,   636,   637,   638,   639,   640,
     641,     0,     0,   642,   643,   644,   645,   646,     0,     0,
     647,   648,   649,   650,   651,   701,   235,     0,   652,     0,
     653,   654,   655,     0,     0,   656,     0,     0,   657,   658,
     659,   660,   661,   238,   239,   240,   241,   242,   243,   244,
     245,   246,   702,   662,   663,    86,    87,    88,   678,    90,
      91,    92,   679,     0,   680,    95,     0,     0,    98,    99,
     100,   101,   102,   103,     0,   104,   105,   681,     0,     0,
     107,   108,   109,   110,     0,     0,   112,   113,   114,   115,
       0,   116,     0,     0,   682,   683,     0,     0,     0,   684,
     685,     0,     0,     0,     0,   686,     0,     0,     0,     0,
       0,     0,     0,     0,   687,     0,   688,     0,   689,   690,
      35,     0,     0,     0,     0,     0,     0,     0,    41,    42,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     418,   419,   420,   421,   422,   423,   424,   425,     0,   426,
     427,   428,     0,     0,     0,     0,     0,     0,     0,   429,
     430,     0,   431,   432,     0,   433,   434,   435,   135,   136,
       0,   138,   139,     0,   436,   437,   438,   439,   440,     0,
       0,   441,   442,   692,   140,   443,     0,   444,   445,   446,
     447,   144,     0,     0,     0,   448,   449,   450,   451,     0,
     452,   693,     0,   453,   454,   455,   456,   457,   458,     0,
       0,   459,     0,     0,     0,     0,     0,     0,     0,     0,
     460,   461,   462,   463,   695,   464,   155,   156,   465,     0,
     466,     0,   467,   468,   469,   470,   471,     0,   472,   473,
     474,     0,     0,   475,   476,   477,   478,   479,     0,   480,
     481,   482,     0,   483,   484,   485,     0,   486,   487,   488,
     489,   164,   490,   491,   492,   166,     0,   493,     0,   494,
     168,   495,     0,   496,     0,   497,     0,     0,     0,   498,
     499,   500,     0,   501,   172,     0,   502,     0,   503,   504,
     697,   505,  1370,     0,   507,   508,   509,     0,   510,   511,
     512,   513,   514,   515,     0,   516,     0,   175,     0,   517,
     518,   519,     0,   176,     0,   177,     0,   520,     0,     0,
     521,     0,   522,   523,   524,   525,   526,     0,   527,   528,
       0,   529,   181,     0,   530,     0,     0,   531,   532,   533,
       0,     0,   534,   535,   536,   537,   538,   539,   698,   540,
     541,   699,   542,   543,   544,   188,     0,   190,   545,   546,
     191,     0,   547,   548,     0,   549,     0,   194,   550,   195,
     551,   552,   553,     0,   554,     0,     0,   555,   556,   557,
       0,     0,   196,     0,     0,     0,   200,   558,   559,   560,
     561,   562,   563,   564,     0,   565,   201,   566,   202,   567,
     568,   569,     0,   570,   571,   572,   573,   574,   575,   576,
     577,   204,   578,   579,   580,   581,     0,   582,   583,   584,
     585,   586,   587,   588,   589,   590,   591,   592,     0,   593,
     594,     0,   595,   596,   213,   597,   598,   599,   600,   601,
     602,   700,   603,     0,   604,   605,   606,   607,   608,     0,
     609,   218,   610,   611,     0,   612,   221,   613,     0,   614,
     615,   616,   617,   618,   619,   620,   621,   622,   623,   223,
       0,   624,   625,     0,   626,   627,   628,   629,   630,   631,
       0,   225,   226,     0,     0,   633,   227,   634,   228,     0,
     635,   636,   637,   638,   639,   640,   641,     0,     0,   642,
     643,   644,   645,   646,     0,     0,   647,   648,   649,   650,
     651,   701,   235,     0,   652,     0,   653,   654,   655,     0,
       0,   656,     0,     0,   657,   658,   659,   660,   661,   238,
     239,   240,   241,   242,   243,   244,   245,   246,   702,   662,
     663,    86,    87,    88,   678,    90,    91,    92,   679,     0,
     680,    95,     0,     0,    98,    99,   100,   101,   102,   103,
       0,   104,   105,   681,     0,     0,   107,   108,   109,   110,
       0,     0,   112,   113,   114,   115,     0,   116,     0,     0,
     682,   683,     0,     0,     0,   684,   685,     0,     0,     0,
       0,   686,     0,     0,     0,     0,     0,     0,     0,     0,
     687,     0,   688,     0,   689,   690,    35,     0,     0,     0,
       0,     0,     0,     0,    41,    42,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   418,   419,   420,   421,
     422,   423,   424,   425,     0,   426,   427,   428,     0,     0,
       0,     0,     0,     0,     0,   429,   430,     0,   431,   432,
       0,   433,   434,   435,   135,   136,     0,   138,   139,     0,
     436,   437,   438,   439,   440,     0,     0,   441,   442,   692,
     140,   443,     0,   444,   445,   446,   447,   144,     0,     0,
       0,   448,   449,   450,   451,     0,   452,   693,     0,   453,
     454,   455,   456,   457,   458,     0,     0,   459,     0,     0,
       0,     0,     0,     0,     0,     0,   460,   461,   462,   463,
     695,   464,   155,   156,   465,     0,   466,     0,   467,   468,
     469,   470,   471,     0,   472,   473,   474,     0,     0,   475,
     476,   477,   478,   479,     0,   480,   481,   482,     0,   483,
     484,   485,     0,   486,   487,   488,   489,   164,   490,   491,
     492,   166,     0,   493,     0,   494,   168,   495,     0,   496,
       0,   497,     0,     0,     0,   498,   499,   500,     0,   501,
     172,     0,   502,     0,   503,   504,   697,   505,  1373,     0,
     507,   508,   509,     0,   510,   511,   512,   513,   514,   515,
       0,   516,     0,   175,     0,   517,   518,   519,     0,   176,
       0,   177,     0,   520,     0,     0,   521,     0,   522,   523,
     524,   525,   526,     0,   527,   528,     0,   529,   181,     0,
     530,     0,     0,   531,   532,   533,     0,     0,   534,   535,
     536,   537,   538,   539,   698,   540,   541,   699,   542,   543,
     544,   188,     0,   190,   545,   546,   191,     0,   547,   548,
       0,   549,     0,   194,   550,   195,   551,   552,   553,     0,
     554,     0,     0,   555,   556,   557,     0,     0,   196,     0,
       0,     0,   200,   558,   559,   560,   561,   562,   563,   564,
       0,   565,   201,   566,   202,   567,   568,   569,     0,   570,
     571,   572,   573,   574,   575,   576,   577,   204,   578,   579,
     580,   581,     0,   582,   583,   584,   585,   586,   587,   588,
     589,   590,   591,   592,     0,   593,   594,     0,   595,   596,
     213,   597,   598,   599,   600,   601,   602,   700,   603,     0,
     604,   605,   606,   607,   608,     0,   609,   218,   610,   611,
       0,   612,   221,   613,     0,   614,   615,   616,   617,   618,
     619,   620,   621,   622,   623,   223,     0,   624,   625,     0,
     626,   627,   628,   629,   630,   631,     0,   225,   226,     0,
       0,   633,   227,   634,   228,     0,   635,   636,   637,   638,
     639,   640,   641,     0,     0,   642,   643,   644,   645,   646,
       0,     0,   647,   648,   649,   650,   651,   701,   235,     0,
     652,     0,   653,   654,   655,     0,     0,   656,     0,     0,
     657,   658,   659,   660,   661,   238,   239,   240,   241,   242,
     243,   244,   245,   246,   702,   662,   663,    86,    87,    88,
     678,    90,    91,    92,   679,     0,   680,    95,     0,     0,
      98,    99,   100,   101,   102,   103,     0,   104,   105,   681,
       0,     0,   107,   108,   109,   110,     0,     0,   112,   113,
     114,   115,     0,   116,     0,     0,   682,   683,     0,     0,
       0,   684,   685,     0,     0,     0,     0,   686,     0,     0,
       0,     0,     0,     0,     0,     0,   687,     0,   688,     0,
     689,   690,    35,     0,     0,     0,     0,     0,     0,     0,
      41,    42,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   418,   419,   420,   421,   422,   423,   424,   425,
       0,   426,   427,   428,     0,     0,     0,     0,     0,     0,
       0,   429,   430,     0,   431,   432,     0,   433,   434,   435,
     135,   136,     0,   138,   139,     0,   436,   437,   438,   439,
     440,     0,     0,   441,   442,   692,   140,   443,     0,   444,
     445,   446,   447,   144,     0,     0,     0,   448,   449,   450,
     451,     0,   452,   693,     0,   453,   454,   455,   456,   457,
     458,     0,     0,   459,     0,     0,     0,     0,     0,     0,
       0,     0,   460,   461,   462,   463,   695,   464,   155,   156,
     465,     0,   466,     0,   467,   468,   469,   470,   471,     0,
     472,   473,   474,     0,     0,   475,   476,   477,   478,   479,
       0,   480,   481,   482,     0,   483,   484,   485,     0,   486,
     487,   488,   489,   164,   490,   491,   492,   166,     0,   493,
       0,   494,   168,   495,     0,   496,     0,   497,     0,     0,
       0,   498,   499,   500,     0,   501,   172,     0,   502,     0,
     503,   504,   697,   505,  1379,     0,   507,   508,   509,     0,
     510,   511,   512,   513,   514,   515,     0,   516,     0,   175,
       0,   517,   518,   519,     0,   176,     0,   177,     0,   520,
       0,     0,   521,     0,   522,   523,   524,   525,   526,     0,
     527,   528,     0,   529,   181,     0,   530,     0,     0,   531,
     532,   533,     0,     0,   534,   535,   536,   537,   538,   539,
     698,   540,   541,   699,   542,   543,   544,   188,     0,   190,
     545,   546,   191,     0,   547,   548,     0,   549,     0,   194,
     550,   195,   551,   552,   553,     0,   554,     0,     0,   555,
     556,   557,     0,     0,   196,     0,     0,     0,   200,   558,
     559,   560,   561,   562,   563,   564,     0,   565,   201,   566,
     202,   567,   568,   569,     0,   570,   571,   572,   573,   574,
     575,   576,   577,   204,   578,   579,   580,   581,     0,   582,
     583,   584,   585,   586,   587,   588,   589,   590,   591,   592,
       0,   593,   594,     0,   595,   596,   213,   597,   598,   599,
     600,   601,   602,   700,   603,     0,   604,   605,   606,   607,
     608,     0,   609,   218,   610,   611,     0,   612,   221,   613,
       0,   614,   615,   616,   617,   618,   619,   620,   621,   622,
     623,   223,     0,   624,   625,     0,   626,   627,   628,   629,
     630,   631,     0,   225,   226,     0,     0,   633,   227,   634,
     228,     0,   635,   636,   637,   638,   639,   640,   641,     0,
       0,   642,   643,   644,   645,   646,     0,     0,   647,   648,
     649,   650,   651,   701,   235,     0,   652,     0,   653,   654,
     655,     0,     0,   656,     0,     0,   657,   658,   659,   660,
     661,   238,   239,   240,   241,   242,   243,   244,   245,   246,
     702,   662,   663,    86,    87,    88,   678,    90,    91,    92,
     679,     0,   680,    95,     0,     0,    98,    99,   100,   101,
     102,   103,     0,   104,   105,   681,     0,     0,   107,   108,
     109,   110,     0,     0,   112,   113,   114,   115,     0,   116,
       0,     0,   682,   683,     0,     0,     0,   684,   685,     0,
       0,     0,     0,   686,     0,     0,     0,     0,     0,     0,
       0,     0,   687,     0,   688,     0,   689,   690,    35,     0,
       0,     0,     0,     0,     0,     0,    41,    42,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   418,   419,
     420,   421,   422,   423,   424,   425,     0,   426,   427,   428,
       0,     0,     0,     0,     0,     0,     0,   429,   430,     0,
     431,   432,  1590,   433,   434,   435,   135,   136,     0,   138,
     139,     0,   436,   437,   438,   439,   440,     0,     0,  1063,
     442,  1037,   140,  1591,     0,   444,   445,   446,   447,   144,
       0,     0,     0,   448,   449,   450,   451,     0,   452,     0,
       0,   453,   454,   455,   456,   457,   458,     0,     0,   459,
       0,     0,     0,     0,     0,     0,     0,     0,   460,   461,
     462,   463,   695,   464,   155,   156,   465,     0,   466,     0,
     467,   468,   469,   470,   471,     0,   472,   473,   474,     0,
       0,   475,   476,   477,   478,   479,     0,   480,   481,   482,
       0,   483,   484,   485,     0,   486,   487,   488,   489,   164,
     490,   491,   492,   166,     0,   493,     0,   494,   168,   495,
       0,   496,     0,   497,     0,     0,     0,   498,   499,   500,
       0,   501,   172,     0,   502,     0,   503,   504,   697,   505,
     506,     0,   507,   508,   509,     0,   510,   511,   512,   513,
     514,   515,     0,   516,     0,   175,     0,   517,   518,   519,
       0,   176,     0,   177,     0,   520,     0,     0,   521,     0,
     522,   523,   524,   525,   526,     0,   527,   528,     0,   529,
     181,     0,   530,     0,     0,   531,   532,   533,     0,     0,
     534,   535,   536,   537,   538,   539,   698,   540,   541,   699,
     542,   543,  1067,   188,     0,   190,   545,   546,   191,     0,
     547,   548,     0,   549,     0,   194,   550,   195,   551,   552,
     553,     0,   554,     0,     0,   555,   556,   557,     0,     0,
     196,     0,     0,     0,   200,   558,   559,   560,   561,   562,
     563,   564,     0,   565,   201,   566,   202,   567,   568,   569,
       0,   570,   571,   572,   573,   574,   575,   576,   577,   204,
     578,   579,   580,   581,     0,   582,   583,   584,   585,   586,
     587,   588,   589,   590,   591,   592,     0,   593,   594,     0,
    1068,   596,   213,   597,   598,   599,  1069,   601,   602,   700,
     603,     0,   604,   605,   606,   607,  1583,     0,   609,   218,
     610,   611,     0,   612,   221,   613,     0,   614,   615,   616,
     617,   618,   619,   620,   621,   622,   623,   223,     0,   624,
     625,     0,   626,   627,   628,   629,   630,   631,     0,  1071,
     226,     0,     0,  1072,   227,   634,   228,     0,   635,   636,
     637,   638,   639,   640,   641,     0,     0,   642,   643,   644,
     645,   646,     0,     0,   647,   648,   649,   650,   651,  1041,
     235,     0,   652,     0,   653,   654,   655,     0,     0,   656,
       0,     0,   657,   658,   659,   660,  1073,   238,   239,   240,
     241,   242,   243,   244,   245,   246,   702,   662,   663,  1717,
      87,    88,   678,    90,    91,    92,   679,     0,   680,    95,
       0,     0,    98,    99,   100,   101,   102,   103,     0,   104,
     105,   681,     0,     0,   107,   108,   109,   110,     0,     0,
     112,   113,   114,   115,     0,   116,     0,     0,   682,   683,
       0,     0,     0,   684,   685,     0,     0,     0,     0,   686,
       0,     0,     0,     0,     0,     0,     0,     0,   687,     0,
     688,     0,   689,   690,    35,     0,     0,     0,     0,     0,
       0,     0,    41,    42,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   418,   419,   420,   421,   422,   423,
     424,   425,     0,   426,   427,   428,     0,     0,     0,     0,
       0,     0,     0,   429,   430,     0,   431,   432,     0,   433,
     434,   435,   135,   136,     0,   138,   139,     0,   436,   437,
     438,   439,   440,     0,     0,   441,   442,   692,   140,   443,
       0,   444,   445,   446,   447,   144,     0,     0,     0,   448,
     449,   450,   451,     0,   452,   693,     0,   453,   454,   455,
     456,   457,   458,     0,     0,   459,     0,     0,     0,     0,
       0,     0,     0,     0,   460,   461,   462,   463,   695,   464,
     155,   156,   465,     0,   466,     0,   467,   468,   469,   470,
     471,     0,   472,   473,   474,     0,     0,   475,   476,   477,
     478,   479,     0,   480,   481,   482,     0,   483,   484,   485,
       0,   486,   487,   488,   489,   164,   490,   491,   492,   166,
       0,   493,     0,   494,   168,   495,     0,   496,     0,   497,
       0,     0,     0,   498,   499,   500,     0,   501,   172,     0,
     502,     0,   503,   504,   697,   505,   506,     0,   507,   508,
     509,     0,   510,   511,   512,   513,   514,   515,     0,   516,
       0,   175,     0,   517,   518,   519,     0,   176,     0,   177,
       0,   520,     0,     0,   521,     0,   522,   523,   524,   525,
     526,     0,   527,   528,     0,   529,   181,     0,   530,     0,
       0,   531,   532,   533,     0,     0,   534,   535,   536,   537,
     538,   539,   698,   540,   541,   699,   542,   543,   544,   188,
       0,   190,   545,   546,   191,     0,   547,   548,     0,   549,
       0,   194,   550,   195,   551,   552,   553,     0,   554,     0,
       0,   555,   556,   557,     0,     0,   196,     0,     0,     0,
     200,   558,   559,   560,   561,   562,   563,   564,     0,   565,
     201,   566,   202,   567,   568,   569,     0,   570,   571,   572,
     573,   574,   575,   576,   577,   204,   578,   579,   580,   581,
       0,   582,   583,   584,   585,   586,   587,   588,   589,   590,
     591,   592,     0,   593,   594,     0,   595,   596,   213,   597,
     598,   599,   600,   601,   602,   700,   603,     0,   604,   605,
     606,   607,   608,     0,   609,   218,   610,   611,     0,   612,
     221,   613,     0,   614,   615,   616,   617,   618,   619,   620,
     621,   622,   623,   223,     0,   624,   625,     0,   626,   627,
     628,   629,   630,   631,     0,   225,   226,     0,     0,   633,
     227,   634,   228,     0,   635,   636,   637,   638,   639,   640,
     641,     0,     0,   642,   643,   644,   645,   646,     0,     0,
     647,   648,   649,   650,   651,   701,   235,     0,   652,     0,
     653,   654,   655,     0,     0,   656,     0,     0,   657,   658,
     659,   660,   661,   238,   239,   240,   241,   242,   243,   244,
     245,   246,   702,   662,   663,    86,    87,    88,   678,    90,
      91,    92,   679,     0,   680,    95,     0,     0,    98,    99,
     100,   101,   102,   103,     0,   104,   105,   681,     0,     0,
     107,   108,   109,   110,     0,     0,   112,   113,   114,   115,
       0,   116,     0,     0,   682,   683,     0,     0,     0,   684,
     685,     0,     0,     0,     0,   686,     0,     0,     0,     0,
       0,     0,     0,     0,   687,     0,   688,     0,   689,   690,
      35,     0,     0,     0,     0,     0,     0,     0,    41,    42,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     418,   419,   420,   421,   422,   423,   424,   425,     0,   426,
     427,   428,     0,     0,     0,     0,     0,     0,     0,   429,
     430,     0,   431,   432,     0,   433,   434,   435,   135,   136,
       0,   138,   139,     0,   436,   437,   438,   439,   440,     0,
       0,   441,   442,   692,   140,   443,     0,   444,   445,   446,
     447,   144,     0,     0,     0,   448,   449,   450,   451,     0,
     452,   693,     0,   453,   454,   455,   456,   457,   458,     0,
       0,   459,     0,     0,     0,     0,     0,     0,     0,     0,
     460,   461,   462,   463,   695,   464,   155,   156,   465,     0,
     466,     0,   467,   468,   469,   470,   471,     0,   472,   473,
     474,     0,     0,   475,   476,   477,   478,   479,     0,   480,
     481,   482,     0,   483,   484,   485,     0,   486,   487,   488,
     489,   164,   490,   491,   492,   166,     0,   493,     0,   494,
     168,   495,     0,   496,     0,   497,     0,     0,     0,   498,
     499,   500,     0,   501,   172,     0,   502,     0,   503,   504,
     697,   505,  1800,     0,   507,   508,   509,     0,   510,   511,
     512,   513,   514,   515,     0,   516,     0,   175,     0,   517,
     518,   519,     0,   176,     0,   177,     0,   520,     0,     0,
     521,     0,   522,   523,   524,   525,   526,     0,   527,   528,
       0,   529,   181,     0,   530,     0,     0,   531,   532,   533,
       0,     0,   534,   535,   536,   537,   538,   539,   698,   540,
     541,   699,   542,   543,   544,   188,     0,   190,   545,   546,
     191,     0,   547,   548,     0,   549,     0,   194,   550,   195,
     551,   552,   553,     0,   554,     0,     0,   555,   556,   557,
       0,     0,   196,     0,     0,     0,   200,   558,   559,   560,
     561,   562,   563,   564,     0,   565,   201,   566,   202,   567,
     568,   569,     0,   570,   571,   572,   573,   574,   575,   576,
     577,   204,   578,   579,   580,   581,     0,   582,   583,   584,
     585,   586,   587,   588,   589,   590,   591,   592,     0,   593,
     594,     0,   595,   596,   213,   597,   598,   599,   600,   601,
     602,   700,   603,     0,   604,   605,   606,   607,   608,     0,
     609,   218,   610,   611,     0,   612,   221,   613,     0,   614,
     615,   616,   617,   618,   619,   620,   621,   622,   623,   223,
       0,   624,   625,     0,   626,   627,   628,   629,   630,   631,
       0,   225,   226,     0,     0,   633,   227,   634,   228,     0,
     635,   636,   637,   638,   639,   640,   641,     0,     0,   642,
     643,   644,   645,   646,     0,     0,   647,   648,   649,   650,
     651,   701,   235,     0,   652,     0,   653,   654,   655,     0,
       0,   656,     0,     0,   657,   658,   659,   660,   661,   238,
     239,   240,   241,   242,   243,   244,   245,   246,   702,   662,
     663,    86,    87,    88,   678,    90,    91,    92,   679,     0,
     680,    95,     0,     0,    98,    99,   100,   101,   102,   103,
       0,   104,   105,   681,     0,     0,   107,   108,   109,   110,
       0,     0,   112,   113,   114,   115,     0,   116,     0,     0,
     682,   683,     0,     0,     0,   684,   685,     0,     0,     0,
       0,   686,     0,     0,     0,     0,     0,     0,     0,     0,
     687,     0,   688,     0,   689,   690,    35,     0,     0,     0,
       0,     0,     0,     0,    41,    42,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   418,   419,   420,   421,
     422,   423,   424,   425,     0,   426,   427,   428,     0,     0,
       0,     0,     0,     0,     0,   429,   430,     0,   431,   432,
       0,   433,   434,   435,   135,   136,     0,   138,   139,     0,
     436,   437,   438,   439,   440,     0,     0,   441,   442,   692,
     140,   443,     0,   444,   445,   446,   447,   144,     0,     0,
       0,   448,   449,   450,   451,     0,   452,   693,     0,   453,
     454,   455,   456,   457,   458,     0,     0,   459,     0,     0,
       0,     0,     0,     0,     0,     0,   460,   461,   462,   463,
     695,   464,   155,   156,   465,     0,   466,     0,   467,   468,
     469,   470,   471,     0,   472,   473,   474,     0,     0,   475,
     476,   477,   478,   479,     0,   480,   481,   482,     0,   483,
     484,   485,     0,   486,   487,   488,   489,   164,   490,   491,
     492,   166,     0,   493,     0,   494,   168,   495,     0,   496,
       0,   497,     0,     0,     0,   498,   499,   500,     0,   501,
     172,     0,   502,     0,   503,   504,   697,   505,  1947,     0,
     507,   508,   509,     0,   510,   511,   512,   513,   514,   515,
       0,   516,     0,   175,     0,   517,   518,   519,     0,   176,
       0,   177,     0,   520,     0,     0,   521,     0,   522,   523,
     524,   525,   526,     0,   527,   528,     0,   529,   181,     0,
     530,     0,     0,   531,   532,   533,     0,     0,   534,   535,
     536,   537,   538,   539,   698,   540,   541,   699,   542,   543,
     544,   188,     0,   190,   545,   546,   191,     0,   547,   548,
       0,   549,     0,   194,   550,   195,   551,   552,   553,     0,
     554,     0,     0,   555,   556,   557,     0,     0,   196,     0,
       0,     0,   200,   558,   559,   560,   561,   562,   563,   564,
       0,   565,   201,   566,   202,   567,   568,   569,     0,   570,
     571,   572,   573,   574,   575,   576,   577,   204,   578,   579,
     580,   581,     0,   582,   583,   584,   585,   586,   587,   588,
     589,   590,   591,   592,     0,   593,   594,     0,   595,   596,
     213,   597,   598,   599,   600,   601,   602,   700,   603,     0,
     604,   605,   606,   607,   608,     0,   609,   218,   610,   611,
       0,   612,   221,   613,     0,   614,   615,   616,   617,   618,
     619,   620,   621,   622,   623,   223,     0,   624,   625,     0,
     626,   627,   628,   629,   630,   631,     0,   225,   226,     0,
       0,   633,   227,   634,   228,     0,   635,   636,   637,   638,
     639,   640,   641,     0,     0,   642,   643,   644,   645,   646,
       0,     0,   647,   648,   649,   650,   651,   701,   235,     0,
     652,     0,   653,   654,   655,     0,     0,   656,     0,     0,
     657,   658,   659,   660,   661,   238,   239,   240,   241,   242,
     243,   244,   245,   246,   702,   662,   663,    86,    87,    88,
     678,    90,    91,    92,   679,     0,   680,    95,     0,     0,
      98,    99,   100,   101,   102,   103,     0,   104,   105,   681,
       0,     0,   107,   108,   109,   110,     0,     0,   112,   113,
     114,   115,     0,   116,     0,     0,   682,   683,     0,     0,
       0,   684,   685,     0,     0,     0,     0,   686,     0,     0,
       0,     0,     0,     0,     0,     0,   687,     0,   688,     0,
     689,   690,    35,     0,     0,     0,     0,     0,     0,     0,
      41,    42,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   418,   419,   420,   421,   422,   423,   424,   425,
       0,   426,   427,   428,     0,     0,     0,     0,     0,     0,
       0,   429,   430,     0,   431,   432,     0,   433,   434,   435,
     135,   136,     0,   138,   139,     0,   436,   437,   438,   439,
     440,     0,     0,   441,   442,   692,   140,   443,     0,   444,
     445,   446,   447,   144,     0,     0,     0,   448,   449,   450,
     451,     0,   452,   693,     0,   453,   454,   455,   456,   457,
     458,     0,     0,   459,     0,     0,     0,     0,     0,     0,
       0,     0,   460,   461,   462,   463,   695,   464,   155,   156,
     465,     0,   466,     0,   467,   468,   469,   470,   471,     0,
     472,   473,   474,     0,     0,   475,   476,   477,   478,   479,
       0,   480,   481,   482,     0,   483,   484,   485,     0,   486,
     487,   488,   489,   164,   490,   491,   492,   166,     0,   493,
       0,   494,   168,   495,     0,   496,     0,   497,     0,     0,
       0,   498,   499,   500,     0,   501,   172,     0,   502,     0,
     503,   504,   697,   505,  1977,     0,   507,   508,   509,     0,
     510,   511,   512,   513,   514,   515,     0,   516,     0,   175,
       0,   517,   518,   519,     0,   176,     0,   177,     0,   520,
       0,     0,   521,     0,   522,   523,   524,   525,   526,     0,
     527,   528,     0,   529,   181,     0,   530,     0,     0,   531,
     532,   533,     0,     0,   534,   535,   536,   537,   538,   539,
     698,   540,   541,   699,   542,   543,   544,   188,     0,   190,
     545,   546,   191,     0,   547,   548,     0,   549,     0,   194,
     550,   195,   551,   552,   553,     0,   554,     0,     0,   555,
     556,   557,     0,     0,   196,     0,     0,     0,   200,   558,
     559,   560,   561,   562,   563,   564,     0,   565,   201,   566,
     202,   567,   568,   569,     0,   570,   571,   572,   573,   574,
     575,   576,   577,   204,   578,   579,   580,   581,     0,   582,
     583,   584,   585,   586,   587,   588,   589,   590,   591,   592,
       0,   593,   594,     0,   595,   596,   213,   597,   598,   599,
     600,   601,   602,   700,   603,     0,   604,   605,   606,   607,
     608,     0,   609,   218,   610,   611,     0,   612,   221,   613,
       0,   614,   615,   616,   617,   618,   619,   620,   621,   622,
     623,   223,     0,   624,   625,     0,   626,   627,   628,   629,
     630,   631,     0,   225,   226,     0,     0,   633,   227,   634,
     228,     0,   635,   636,   637,   638,   639,   640,   641,     0,
       0,   642,   643,   644,   645,   646,     0,     0,   647,   648,
     649,   650,   651,   701,   235,     0,   652,     0,   653,   654,
     655,     0,     0,   656,     0,     0,   657,   658,   659,   660,
     661,   238,   239,   240,   241,   242,   243,   244,   245,   246,
     702,   662,   663,    86,    87,    88,   678,    90,    91,    92,
     679,     0,   680,    95,     0,     0,    98,    99,   100,   101,
     102,   103,     0,   104,   105,   681,     0,     0,   107,   108,
     109,   110,     0,     0,   112,   113,   114,   115,     0,   116,
       0,     0,   682,   683,     0,     0,     0,   684,   685,     0,
       0,     0,     0,   686,     0,     0,     0,     0,     0,     0,
       0,     0,   687,     0,   688,     0,   689,   690,    35,     0,
       0,     0,     0,     0,     0,     0,    41,    42,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   418,   419,
     420,   421,   422,   423,   424,   425,     0,   426,   427,   428,
       0,     0,     0,     0,     0,     0,     0,   429,   430,     0,
     431,   432,     0,   433,   434,   435,   135,   136,     0,   138,
     139,     0,   436,   437,   438,   439,   440,     0,     0,   441,
     442,   692,   140,   443,     0,   444,   445,   446,   447,   144,
       0,     0,     0,   448,   449,   450,   451,     0,   452,   693,
       0,   453,   454,   455,   456,   457,   458,     0,     0,   459,
       0,     0,     0,     0,     0,     0,     0,     0,   460,   461,
     462,   463,   695,   464,   155,   156,   465,     0,   466,     0,
     467,   468,   469,   470,   471,     0,   472,   473,   474,     0,
       0,   475,   476,   477,   478,   479,     0,   480,   481,   482,
       0,   483,   484,   485,     0,   486,   487,   488,   489,   164,
     490,   491,   492,   166,     0,   493,     0,   494,   168,   495,
       0,   496,     0,   497,     0,     0,     0,   498,   499,   500,
       0,   501,   172,     0,   502,     0,   503,   504,   697,   505,
    2012,     0,   507,   508,   509,     0,   510,   511,   512,   513,
     514,   515,     0,   516,     0,   175,     0,   517,   518,   519,
       0,   176,     0,   177,     0,   520,     0,     0,   521,     0,
     522,   523,   524,   525,   526,     0,   527,   528,     0,   529,
     181,     0,   530,     0,     0,   531,   532,   533,     0,     0,
     534,   535,   536,   537,   538,   539,   698,   540,   541,   699,
     542,   543,   544,   188,     0,   190,   545,   546,   191,     0,
     547,   548,     0,   549,     0,   194,   550,   195,   551,   552,
     553,     0,   554,     0,     0,   555,   556,   557,     0,     0,
     196,     0,     0,     0,   200,   558,   559,   560,   561,   562,
     563,   564,     0,   565,   201,   566,   202,   567,   568,   569,
       0,   570,   571,   572,   573,   574,   575,   576,   577,   204,
     578,   579,   580,   581,     0,   582,   583,   584,   585,   586,
     587,   588,   589,   590,   591,   592,     0,   593,   594,     0,
     595,   596,   213,   597,   598,   599,   600,   601,   602,   700,
     603,     0,   604,   605,   606,   607,   608,     0,   609,   218,
     610,   611,     0,   612,   221,   613,     0,   614,   615,   616,
     617,   618,   619,   620,   621,   622,   623,   223,     0,   624,
     625,     0,   626,   627,   628,   629,   630,   631,     0,   225,
     226,     0,     0,   633,   227,   634,   228,     0,   635,   636,
     637,   638,   639,   640,   641,     0,     0,   642,   643,   644,
     645,   646,     0,     0,   647,   648,   649,   650,   651,   701,
     235,     0,   652,     0,   653,   654,   655,     0,     0,   656,
       0,     0,   657,   658,   659,   660,   661,   238,   239,   240,
     241,   242,   243,   244,   245,   246,   702,   662,   663,    86,
      87,    88,   678,    90,    91,    92,   679,     0,   680,    95,
       0,     0,    98,    99,   100,   101,   102,   103,     0,   104,
     105,   681,     0,     0,   107,   108,   109,   110,     0,     0,
     112,   113,   114,   115,     0,   116,     0,     0,   682,   683,
       0,     0,     0,   684,   685,     0,     0,     0,     0,   686,
       0,     0,     0,     0,     0,     0,     0,     0,   687,     0,
     688,     0,   689,   690,    35,     0,     0,     0,     0,     0,
       0,     0,    41,    42,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   418,   419,   420,   421,   422,   423,
     424,   425,     0,   426,   427,   428,     0,     0,     0,     0,
       0,     0,     0,   429,   430,     0,   431,   432,     0,   433,
     434,   435,   135,   136,     0,   138,   139,     0,   436,   437,
     438,   439,   440,     0,     0,   441,   442,   692,   140,   443,
       0,   444,   445,   446,   447,   144,     0,     0,     0,   448,
     449,   450,   451,     0,   452,   693,     0,   453,   454,   455,
     456,   457,   458,     0,     0,   459,     0,     0,     0,     0,
       0,     0,     0,     0,   460,   461,   462,   463,   695,   464,
     155,   156,   465,     0,   466,     0,   467,   468,   469,   470,
     471,     0,   472,   473,   474,     0,     0,   475,   476,   477,
     478,   479,     0,   480,   481,   482,     0,   483,   484,   485,
       0,   486,   487,   488,   489,   164,   490,   491,   492,   166,
       0,   493,     0,   494,   168,   495,     0,   496,     0,   497,
       0,     0,     0,   498,   499,   500,     0,   501,   172,     0,
     502,     0,   503,   504,   697,   505,  2014,     0,   507,   508,
     509,     0,   510,   511,   512,   513,   514,   515,     0,   516,
       0,   175,     0,   517,   518,   519,     0,   176,     0,   177,
       0,   520,     0,     0,   521,     0,   522,   523,   524,   525,
     526,     0,   527,   528,     0,   529,   181,     0,   530,     0,
       0,   531,   532,   533,     0,     0,   534,   535,   536,   537,
     538,   539,   698,   540,   541,   699,   542,   543,   544,   188,
       0,   190,   545,   546,   191,     0,   547,   548,     0,   549,
       0,   194,   550,   195,   551,   552,   553,     0,   554,     0,
       0,   555,   556,   557,     0,     0,   196,     0,     0,     0,
     200,   558,   559,   560,   561,   562,   563,   564,     0,   565,
     201,   566,   202,   567,   568,   569,     0,   570,   571,   572,
     573,   574,   575,   576,   577,   204,   578,   579,   580,   581,
       0,   582,   583,   584,   585,   586,   587,   588,   589,   590,
     591,   592,     0,   593,   594,     0,   595,   596,   213,   597,
     598,   599,   600,   601,   602,   700,   603,     0,   604,   605,
     606,   607,   608,     0,   609,   218,   610,   611,     0,   612,
     221,   613,     0,   614,   615,   616,   617,   618,   619,   620,
     621,   622,   623,   223,     0,   624,   625,     0,   626,   627,
     628,   629,   630,   631,     0,   225,   226,     0,     0,   633,
     227,   634,   228,     0,   635,   636,   637,   638,   639,   640,
     641,     0,     0,   642,   643,   644,   645,   646,     0,     0,
     647,   648,   649,   650,   651,   701,   235,     0,   652,     0,
     653,   654,   655,     0,     0,   656,     0,     0,   657,   658,
     659,   660,   661,   238,   239,   240,   241,   242,   243,   244,
     245,   246,   702,   662,   663,    86,    87,    88,   678,    90,
      91,    92,   679,     0,   680,    95,     0,     0,    98,    99,
     100,   101,   102,   103,     0,   104,   105,   681,     0,     0,
     107,   108,   109,   110,     0,     0,   112,   113,   114,   115,
       0,   116,     0,     0,   682,   683,     0,     0,     0,   684,
     685,     0,     0,     0,     0,   686,     0,     0,     0,     0,
       0,     0,     0,     0,   687,     0,   688,     0,   689,   690,
      35,     0,     0,     0,     0,     0,     0,     0,    41,    42,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     418,   419,   420,   421,   422,   423,   424,   425,     0,   426,
     427,   428,     0,     0,     0,     0,     0,     0,     0,   429,
     430,     0,   431,   432,     0,   433,   434,   435,   135,   136,
       0,   138,   139,     0,   436,   437,   438,   439,   440,     0,
       0,   441,   442,   692,   140,   443,     0,   444,   445,   446,
     447,   144,     0,     0,     0,   448,   449,   450,   451,     0,
     452,   693,     0,   453,   454,   455,   456,   457,   458,     0,
       0,   459,     0,     0,     0,     0,     0,     0,     0,     0,
     460,   461,   462,   463,   695,   464,   155,   156,   465,     0,
     466,     0,   467,   468,   469,   470,   471,     0,   472,   473,
     474,     0,     0,   475,   476,   477,   478,   479,     0,   480,
     481,   482,     0,   483,   484,   485,     0,   486,   487,   488,
     489,   164,   490,   491,   492,   166,     0,   493,     0,   494,
     168,   495,     0,   496,     0,   497,     0,     0,     0,   498,
     499,   500,     0,   501,   172,     0,   502,     0,   503,   504,
     697,   505,  2016,     0,   507,   508,   509,     0,   510,   511,
     512,   513,   514,   515,     0,   516,     0,   175,     0,   517,
     518,   519,     0,   176,     0,   177,     0,   520,     0,     0,
     521,     0,   522,   523,   524,   525,   526,     0,   527,   528,
       0,   529,   181,     0,   530,     0,     0,   531,   532,   533,
       0,     0,   534,   535,   536,   537,   538,   539,   698,   540,
     541,   699,   542,   543,   544,   188,     0,   190,   545,   546,
     191,     0,   547,   548,     0,   549,     0,   194,   550,   195,
     551,   552,   553,     0,   554,     0,     0,   555,   556,   557,
       0,     0,   196,     0,     0,     0,   200,   558,   559,   560,
     561,   562,   563,   564,     0,   565,   201,   566,   202,   567,
     568,   569,     0,   570,   571,   572,   573,   574,   575,   576,
     577,   204,   578,   579,   580,   581,     0,   582,   583,   584,
     585,   586,   587,   588,   589,   590,   591,   592,     0,   593,
     594,     0,   595,   596,   213,   597,   598,   599,   600,   601,
     602,   700,   603,     0,   604,   605,   606,   607,   608,     0,
     609,   218,   610,   611,     0,   612,   221,   613,     0,   614,
     615,   616,   617,   618,   619,   620,   621,   622,   623,   223,
       0,   624,   625,     0,   626,   627,   628,   629,   630,   631,
       0,   225,   226,     0,     0,   633,   227,   634,   228,     0,
     635,   636,   637,   638,   639,   640,   641,     0,     0,   642,
     643,   644,   645,   646,     0,     0,   647,   648,   649,   650,
     651,   701,   235,     0,   652,     0,   653,   654,   655,     0,
       0,   656,     0,     0,   657,   658,   659,   660,   661,   238,
     239,   240,   241,   242,   243,   244,   245,   246,   702,   662,
     663,    86,    87,    88,   678,    90,    91,    92,   679,     0,
     680,    95,     0,     0,    98,    99,   100,   101,   102,   103,
       0,   104,   105,   681,     0,     0,   107,   108,   109,   110,
       0,     0,   112,   113,   114,   115,     0,   116,     0,     0,
     682,   683,     0,     0,     0,   684,   685,     0,     0,     0,
       0,   686,     0,     0,     0,     0,     0,     0,     0,     0,
     687,     0,   688,     0,   689,   690,    35,     0,     0,     0,
       0,     0,     0,     0,    41,    42,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   418,   419,   420,   421,
     422,   423,   424,   425,     0,   426,   427,   428,     0,     0,
       0,     0,     0,     0,     0,   429,   430,     0,   431,   432,
       0,   433,   434,   435,   135,   136,     0,   138,   139,     0,
     436,   437,   438,   439,   440,     0,     0,   441,   442,   692,
     140,   443,     0,   444,   445,   446,   447,   144,     0,     0,
       0,   448,   449,   450,   451,     0,   452,   693,     0,   453,
     454,   455,   456,   457,   458,     0,     0,   459,     0,     0,
       0,     0,     0,     0,     0,     0,   460,   461,   462,   463,
     695,   464,   155,   156,   465,     0,   466,     0,   467,   468,
     469,   470,   471,     0,   472,   473,   474,     0,     0,   475,
     476,   477,   478,   479,     0,   480,   481,   482,     0,   483,
     484,   485,     0,   486,   487,   488,   489,   164,   490,   491,
     492,   166,     0,   493,     0,   494,   168,   495,     0,   496,
       0,   497,     0,     0,     0,   498,   499,   500,     0,   501,
     172,     0,   502,     0,   503,   504,   697,   505,   506,     0,
     507,   508,   509,     0,   510,   511,   512,   513,   514,   515,
       0,   516,     0,   175,     0,   517,   518,   519,     0,   176,
       0,   177,     0,   520,     0,     0,   521,     0,   522,   523,
     524,   525,   526,     0,   527,   528,     0,   529,   181,     0,
     530,     0,     0,   531,   532,   533,     0,     0,   534,   535,
     536,   537,   538,   539,   698,   540,   541,   699,   542,   543,
     544,   188,     0,   190,   545,   546,   191,     0,   547,   548,
       0,   549,     0,   194,   550,   195,   551,   552,   553,     0,
     554,     0,     0,   555,   556,   557,     0,     0,   196,     0,
       0,     0,   200,   558,   559,   560,   561,   562,   563,   564,
       0,   565,   201,   566,   202,   567,   568,   569,     0,   570,
     571,   572,   573,   574,   575,   576,   577,   204,   578,   579,
     580,   581,     0,   582,   583,   584,   585,   586,   587,   588,
     589,   590,   591,   592,     0,   593,   594,     0,   595,   596,
     213,   597,   598,  2129,   600,   601,   602,   700,   603,     0,
     604,   605,   606,   607,   608,     0,   609,   218,   610,   611,
       0,   612,   221,   613,     0,   614,   615,   616,   617,   618,
     619,   620,   621,   622,   623,   223,     0,   624,   625,     0,
     626,   627,   628,   629,   630,   631,     0,   225,   226,     0,
       0,   633,   227,   634,   228,     0,   635,   636,   637,   638,
     639,   640,   641,     0,     0,   642,   643,   644,   645,   646,
       0,     0,   647,   648,   649,   650,   651,   701,   235,     0,
     652,     0,   653,   654,   655,     0,     0,   656,     0,     0,
     657,   658,   659,   660,   661,   238,   239,   240,   241,   242,
     243,   244,   245,   246,   702,   662,   663,    86,    87,    88,
     678,    90,    91,    92,   679,     0,   680,    95,     0,     0,
      98,    99,   100,   101,   102,   103,     0,   104,   105,   681,
       0,     0,   107,   108,   109,   110,     0,     0,   112,   113,
     114,   115,     0,   116,     0,     0,   682,   683,     0,     0,
       0,   684,   685,     0,     0,     0,     0,   686,     0,     0,
       0,     0,     0,     0,     0,     0,   687,     0,   688,     0,
     689,   690,    35,     0,     0,     0,     0,     0,     0,     0,
      41,    42,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   418,   419,   420,   421,   422,   423,   424,   425,
       0,   426,   427,   428,     0,     0,     0,     0,     0,  2340,
       0,   429,   430,     0,   431,   432,     0,   433,   434,   435,
     135,   136,     0,   138,   139,     0,   436,   437,   438,   439,
     440,     0,     0,   441,   442,   692,   140,   443,     0,   444,
     445,   446,   447,   144,     0,     0,     0,   448,   449,   450,
     451,     0,   452,   693,     0,   453,   454,   455,   456,   457,
     458,     0,     0,   459,     0,     0,     0,     0,     0,     0,
       0,     0,   460,   461,   462,   463,   695,   464,   155,   156,
     465,     0,   466,     0,   467,   468,   469,   470,   471,     0,
     472,   473,   474,     0,     0,   475,   476,   477,   478,   479,
       0,   480,   481,   482,     0,   483,   484,   485,     0,   486,
     487,   488,   489,   164,   490,   491,   492,   166,     0,   493,
       0,   494,   168,   495,     0,   496,     0,   497,     0,     0,
       0,   498,   499,   500,     0,   501,   172,     0,   502,     0,
     503,   504,   697,   505,   506,     0,   507,   508,   509,     0,
     510,   511,   512,   513,   514,   515,     0,   516,     0,   175,
       0,   517,   518,   519,     0,   176,     0,   177,     0,   520,
       0,     0,   521,     0,   522,   523,   524,   525,   526,     0,
     527,   528,     0,   529,   181,     0,   530,     0,     0,   531,
     532,   533,     0,     0,   534,   535,   536,   537,   538,   539,
     698,   540,   541,   699,   542,   543,   544,   188,     0,   190,
     545,   546,   191,     0,   547,   548,     0,   549,     0,   194,
     550,   195,   551,   552,   553,     0,   554,     0,     0,   555,
     556,   557,     0,     0,   196,     0,     0,     0,   200,   558,
     559,   560,   561,   562,   563,   564,     0,   565,   201,   566,
     202,   567,   568,   569,     0,   570,   571,   572,   573,   574,
     575,   576,   577,   204,   578,   579,   580,   581,     0,   582,
     583,   584,   585,   586,   587,   588,   589,   590,   591,   592,
       0,   593,   594,     0,   595,   596,   213,   597,   598,   599,
     600,   601,   602,   700,   603,     0,   604,   605,   606,   607,
     608,     0,     0,   218,   610,   611,     0,   612,   221,   613,
       0,   614,   615,   616,   617,   618,   619,   620,   621,   622,
     623,   223,     0,   624,   625,     0,   626,   627,   628,   629,
     630,   631,     0,   225,   226,     0,     0,   633,   227,   634,
     228,     0,   635,   636,   637,   638,   639,   640,   641,     0,
       0,   642,   643,   644,   645,   646,     0,     0,   647,   648,
     649,   650,   651,   701,   235,     0,   652,     0,   653,   654,
     655,     0,     0,   656,     0,     0,   657,   658,   659,   660,
     661,   238,   239,   240,   241,   242,   243,   244,   245,   246,
     702,   662,   663,    86,    87,    88,   678,    90,    91,    92,
     679,     0,   680,    95,     0,     0,    98,    99,   100,   101,
     102,   103,     0,   104,   105,   681,     0,     0,   107,   108,
     109,   110,     0,     0,   112,   113,   114,   115,     0,   116,
       0,     0,   682,   683,     0,     0,     0,   684,   685,     0,
       0,     0,     0,   686,     0,     0,     0,     0,     0,     0,
       0,     0,   687,     0,   688,     0,   689,   690,    35,     0,
       0,     0,     0,     0,     0,     0,    41,    42,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   418,   419,
     420,   421,   422,   423,   424,   425,     0,   426,   427,   428,
       0,     0,     0,     0,     0,     0,     0,   429,   430,     0,
     431,   432,     0,   433,   434,   435,   135,   136,     0,   138,
     139,     0,   436,   437,   438,   439,   440,     0,     0,   441,
     442,   692,   140,   443,     0,   444,   445,   446,   447,   144,
       0,     0,     0,   448,   449,   450,   451,     0,   452,   693,
       0,   453,   454,   455,   456,   457,   458,     0,     0,   459,
       0,     0,     0,     0,     0,     0,     0,     0,   460,   461,
     462,   463,   695,   464,   155,   156,   465,     0,   466,     0,
     467,   468,   469,   470,   471,     0,   472,   473,   474,     0,
       0,   475,   476,   477,   478,   479,     0,   480,   481,   482,
       0,   483,   484,   485,     0,   486,   487,   488,   489,   164,
     490,   491,   492,   166,     0,   493,     0,   494,   168,   495,
       0,   496,     0,   497,     0,     0,     0,   498,   499,   500,
       0,   501,   172,     0,   502,     0,   503,   504,   697,   505,
    2735,     0,   507,   508,   509,     0,   510,   511,   512,   513,
     514,   515,     0,   516,     0,   175,     0,   517,   518,   519,
       0,   176,     0,   177,     0,   520,     0,     0,   521,     0,
     522,   523,   524,   525,   526,     0,   527,   528,     0,   529,
     181,     0,   530,     0,     0,   531,   532,   533,     0,     0,
     534,   535,   536,   537,   538,   539,   698,   540,   541,   699,
     542,   543,   544,   188,     0,   190,   545,   546,   191,     0,
     547,   548,     0,   549,     0,   194,   550,   195,   551,   552,
     553,     0,   554,     0,     0,   555,   556,   557,     0,     0,
     196,     0,     0,     0,   200,   558,   559,   560,   561,   562,
     563,   564,     0,   565,   201,   566,   202,   567,   568,   569,
       0,   570,   571,   572,   573,   574,   575,   576,   577,   204,
     578,   579,   580,   581,     0,   582,   583,   584,   585,   586,
     587,   588,   589,   590,   591,   592,     0,   593,   594,     0,
     595,   596,   213,   597,   598,   599,   600,   601,   602,   700,
     603,     0,   604,   605,   606,   607,   608,     0,   609,   218,
     610,   611,     0,   612,   221,   613,     0,   614,   615,   616,
     617,   618,   619,   620,   621,   622,   623,   223,     0,   624,
     625,     0,   626,   627,   628,   629,   630,   631,     0,   225,
     226,     0,     0,   633,   227,   634,   228,     0,   635,   636,
     637,   638,   639,   640,   641,     0,     0,   642,   643,   644,
     645,   646,     0,     0,   647,   648,   649,   650,   651,   701,
     235,     0,   652,     0,   653,   654,   655,     0,     0,   656,
       0,     0,   657,   658,   659,   660,   661,   238,   239,   240,
     241,   242,   243,   244,   245,   246,   702,   662,   663,    86,
      87,    88,   678,    90,    91,    92,   679,     0,   680,    95,
       0,     0,    98,    99,   100,   101,   102,   103,     0,   104,
     105,   681,     0,     0,   107,   108,   109,   110,     0,     0,
     112,   113,   114,   115,     0,   116,     0,     0,   682,   683,
       0,     0,     0,   684,   685,     0,     0,     0,     0,   686,
       0,     0,     0,     0,     0,     0,     0,     0,   687,     0,
     688,     0,   689,   690,    35,     0,     0,     0,     0,     0,
       0,     0,    41,    42,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   418,   419,   420,   421,   422,   423,
     424,   425,     0,   426,   427,   428,     0,     0,     0,     0,
       0,     0,     0,   429,   430,     0,   431,   432,     0,   433,
     434,   435,   135,   136,     0,   138,   139,     0,   436,   437,
     438,   439,   440,     0,     0,   441,   442,   692,   140,   443,
       0,   444,   445,   446,   447,   144,     0,     0,     0,   448,
     449,   450,   451,     0,   452,   693,     0,   453,   454,   455,
     456,   457,   458,     0,     0,   459,     0,     0,     0,     0,
       0,     0,     0,     0,   460,   461,   462,   463,   695,   464,
     155,   156,   465,     0,   466,     0,   467,   468,   469,   470,
     471,     0,   472,   473,   474,     0,     0,   475,   476,   477,
     478,   479,     0,   480,   481,   482,     0,   483,   484,   485,
       0,   486,   487,   488,   489,   164,   490,   491,   492,   166,
       0,   493,     0,   494,   168,   495,     0,   496,     0,   497,
       0,     0,     0,   498,   499,   500,     0,   501,   172,     0,
     502,     0,   503,   504,   697,   505,  3112,     0,   507,   508,
     509,     0,   510,   511,   512,   513,   514,   515,     0,   516,
       0,   175,     0,   517,   518,   519,     0,   176,     0,   177,
       0,   520,     0,     0,   521,     0,   522,   523,   524,   525,
     526,     0,   527,   528,     0,   529,   181,     0,   530,     0,
       0,   531,   532,   533,     0,     0,   534,   535,   536,   537,
     538,   539,   698,   540,   541,   699,   542,   543,   544,   188,
       0,   190,   545,   546,   191,     0,   547,   548,     0,   549,
       0,   194,   550,   195,   551,   552,   553,     0,   554,     0,
       0,   555,   556,   557,     0,     0,   196,     0,     0,     0,
     200,   558,   559,   560,   561,   562,   563,   564,     0,   565,
     201,   566,   202,   567,   568,   569,     0,   570,   571,   572,
     573,   574,   575,   576,   577,   204,   578,   579,   580,   581,
       0,   582,   583,   584,   585,   586,   587,   588,   589,   590,
     591,   592,     0,   593,   594,     0,   595,   596,   213,   597,
     598,   599,   600,   601,   602,   700,   603,     0,   604,   605,
     606,   607,   608,     0,   609,   218,   610,   611,     0,   612,
     221,   613,     0,   614,   615,   616,   617,   618,   619,   620,
     621,   622,   623,   223,     0,   624,   625,     0,   626,   627,
     628,   629,   630,   631,     0,   225,   226,     0,     0,   633,
     227,   634,   228,     0,   635,   636,   637,   638,   639,   640,
     641,     0,     0,   642,   643,   644,   645,   646,     0,     0,
     647,   648,   649,   650,   651,   701,   235,     0,   652,     0,
     653,   654,   655,     0,     0,   656,     0,     0,   657,   658,
     659,   660,   661,   238,   239,   240,   241,   242,   243,   244,
     245,   246,   702,   662,   663,    86,    87,    88,   678,    90,
      91,    92,   679,     0,   680,    95,     0,     0,    98,    99,
     100,   101,   102,   103,     0,   104,   105,   681,     0,     0,
     107,   108,   109,   110,     0,     0,   112,   113,   114,   115,
       0,   116,     0,     0,   682,   683,     0,     0,     0,   684,
     685,     0,     0,     0,     0,   686,     0,     0,     0,     0,
       0,     0,     0,     0,   687,     0,   688,     0,   689,   690,
      35,     0,     0,     0,     0,     0,     0,     0,    41,    42,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     418,   419,   420,   421,   422,   423,   424,   425,     0,   426,
     427,   428,     0,     0,     0,     0,     0,     0,     0,   429,
     430,     0,   431,   432,     0,   433,   434,   435,   135,   136,
       0,   138,   139,     0,   436,   437,   438,   439,   440,     0,
       0,   441,   442,   692,   140,   443,     0,   444,   445,   446,
     447,   144,     0,     0,     0,   448,   449,   450,   451,     0,
     452,   693,     0,   453,   454,   455,   456,   457,   458,     0,
       0,   459,     0,     0,     0,     0,     0,     0,     0,     0,
     460,   461,   462,   463,   695,   464,   155,   156,   465,     0,
     466,     0,   467,   468,   469,   470,   471,     0,   472,   473,
     474,     0,     0,   475,   476,   477,   478,   479,     0,   480,
     481,   482,     0,   483,   484,   485,     0,   486,   487,   488,
     489,   164,   490,   491,   492,   166,     0,   493,     0,   494,
     168,   495,     0,   496,     0,   497,     0,     0,     0,   498,
     499,   500,     0,   501,   172,     0,   502,     0,   503,   504,
     697,   505,  3191,     0,   507,   508,   509,     0,   510,   511,
     512,   513,   514,   515,     0,   516,     0,   175,     0,   517,
     518,   519,     0,   176,     0,   177,     0,   520,     0,     0,
     521,     0,   522,   523,   524,   525,   526,     0,   527,   528,
       0,   529,   181,     0,   530,     0,     0,   531,   532,   533,
       0,     0,   534,   535,   536,   537,   538,   539,   698,   540,
     541,   699,   542,   543,   544,   188,     0,   190,   545,   546,
     191,     0,   547,   548,     0,   549,     0,   194,   550,   195,
     551,   552,   553,     0,   554,     0,     0,   555,   556,   557,
       0,     0,   196,     0,     0,     0,   200,   558,   559,   560,
     561,   562,   563,   564,     0,   565,   201,   566,   202,   567,
     568,   569,     0,   570,   571,   572,   573,   574,   575,   576,
     577,   204,   578,   579,   580,   581,     0,   582,   583,   584,
     585,   586,   587,   588,   589,   590,   591,   592,     0,   593,
     594,     0,   595,   596,   213,   597,   598,   599,   600,   601,
     602,   700,   603,     0,   604,   605,   606,   607,   608,     0,
     609,   218,   610,   611,     0,   612,   221,   613,     0,   614,
     615,   616,   617,   618,   619,   620,   621,   622,   623,   223,
       0,   624,   625,     0,   626,   627,   628,   629,   630,   631,
       0,   225,   226,     0,     0,   633,   227,   634,   228,     0,
     635,   636,   637,   638,   639,   640,   641,     0,     0,   642,
     643,   644,   645,   646,     0,     0,   647,   648,   649,   650,
     651,   701,   235,     0,   652,     0,   653,   654,   655,     0,
       0,   656,     0,     0,   657,   658,   659,   660,   661,   238,
     239,   240,   241,   242,   243,   244,   245,   246,   702,   662,
     663,    86,    87,    88,   678,    90,    91,    92,   679,     0,
     680,    95,     0,     0,    98,    99,   100,   101,   102,   103,
       0,   104,   105,   681,     0,     0,   107,   108,   109,   110,
       0,     0,   112,   113,   114,   115,     0,   116,     0,     0,
     682,   683,     0,     0,     0,   684,   685,     0,     0,     0,
       0,   686,     0,     0,     0,     0,     0,     0,     0,     0,
     687,     0,   688,     0,   689,   690,    35,     0,     0,     0,
       0,     0,     0,     0,    41,    42,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   418,   419,   420,   421,
     422,   423,   424,   425,     0,   426,   427,   428,     0,     0,
       0,     0,     0,     0,     0,   429,   430,     0,   431,   432,
       0,   433,   434,   435,   135,   136,     0,   138,   139,     0,
     436,   437,   438,   439,   440,     0,     0,   441,   442,   692,
     140,   443,     0,   444,   445,   446,   447,   144,     0,     0,
       0,   448,   449,   450,   451,     0,   452,   693,     0,   453,
     454,   455,   456,   457,   458,     0,     0,   459,     0,     0,
       0,     0,     0,     0,     0,     0,   460,   461,   462,   463,
     695,   464,   155,   156,   465,     0,   466,     0,   467,   468,
     469,   470,   471,     0,   472,   473,   474,     0,     0,   475,
     476,   477,   478,   479,     0,   480,   481,   482,     0,   483,
     484,   485,     0,   486,   487,   488,   489,   164,   490,   491,
     492,   166,     0,   493,     0,   494,   168,   495,     0,   496,
       0,   497,     0,     0,     0,   498,   499,   500,     0,   501,
     172,     0,   502,     0,   503,   504,   697,   505,  3193,     0,
     507,   508,   509,     0,   510,   511,   512,   513,   514,   515,
       0,   516,     0,   175,     0,   517,   518,   519,     0,   176,
       0,   177,     0,   520,     0,     0,   521,     0,   522,   523,
     524,   525,   526,     0,   527,   528,     0,   529,   181,     0,
     530,     0,     0,   531,   532,   533,     0,     0,   534,   535,
     536,   537,   538,   539,   698,   540,   541,   699,   542,   543,
     544,   188,     0,   190,   545,   546,   191,     0,   547,   548,
       0,   549,     0,   194,   550,   195,   551,   552,   553,     0,
     554,     0,     0,   555,   556,   557,     0,     0,   196,     0,
       0,     0,   200,   558,   559,   560,   561,   562,   563,   564,
       0,   565,   201,   566,   202,   567,   568,   569,     0,   570,
     571,   572,   573,   574,   575,   576,   577,   204,   578,   579,
     580,   581,     0,   582,   583,   584,   585,   586,   587,   588,
     589,   590,   591,   592,     0,   593,   594,     0,   595,   596,
     213,   597,   598,   599,   600,   601,   602,   700,   603,     0,
     604,   605,   606,   607,   608,     0,   609,   218,   610,   611,
       0,   612,   221,   613,     0,   614,   615,   616,   617,   618,
     619,   620,   621,   622,   623,   223,     0,   624,   625,     0,
     626,   627,   628,   629,   630,   631,     0,   225,   226,     0,
       0,   633,   227,   634,   228,     0,   635,   636,   637,   638,
     639,   640,   641,     0,     0,   642,   643,   644,   645,   646,
       0,     0,   647,   648,   649,   650,   651,   701,   235,     0,
     652,     0,   653,   654,   655,     0,     0,   656,     0,     0,
     657,   658,   659,   660,   661,   238,   239,   240,   241,   242,
     243,   244,   245,   246,   702,   662,   663,    86,    87,    88,
     678,    90,    91,    92,   679,     0,   680,    95,     0,     0,
      98,    99,   100,   101,   102,   103,     0,   104,   105,   681,
       0,     0,   107,   108,   109,   110,     0,     0,   112,   113,
     114,   115,     0,   116,     0,     0,   682,   683,     0,     0,
       0,   684,   685,     0,     0,     0,     0,   686,     0,     0,
       0,     0,     0,     0,     0,     0,   687,     0,   688,     0,
     689,   690,    35,     0,     0,     0,     0,     0,     0,     0,
      41,    42,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   418,   419,   420,   421,   422,   423,   424,   425,
       0,   426,   427,   428,     0,     0,     0,     0,     0,     0,
       0,   429,   430,     0,   431,   432,     0,   433,   434,   435,
     135,   136,     0,   138,   139,     0,   436,   437,   438,   439,
     440,     0,     0,   441,   442,   692,   140,   443,     0,   444,
     445,   446,   447,   144,     0,     0,     0,   448,   449,   450,
     451,     0,   452,   693,     0,   453,   454,   455,   456,   457,
     458,     0,     0,   459,     0,     0,     0,     0,     0,     0,
       0,     0,   460,   461,   462,   463,   695,   464,   155,   156,
     465,     0,   466,     0,   467,   468,   469,   470,   471,     0,
     472,   473,   474,     0,     0,   475,   476,   477,   478,   479,
       0,   480,   481,   482,     0,   483,   484,   485,     0,   486,
     487,   488,   489,   164,   490,   491,   492,   166,     0,   493,
       0,   494,   168,   495,     0,   496,     0,   497,     0,     0,
       0,   498,   499,   500,     0,   501,   172,     0,   502,     0,
     503,   504,   697,   505,  3291,     0,   507,   508,   509,     0,
     510,   511,   512,   513,   514,   515,     0,   516,     0,   175,
       0,   517,   518,   519,     0,   176,     0,   177,     0,   520,
       0,     0,   521,     0,   522,   523,   524,   525,   526,     0,
     527,   528,     0,   529,   181,     0,   530,     0,     0,   531,
     532,   533,     0,     0,   534,   535,   536,   537,   538,   539,
     698,   540,   541,   699,   542,   543,   544,   188,     0,   190,
     545,   546,   191,     0,   547,   548,     0,   549,     0,   194,
     550,   195,   551,   552,   553,     0,   554,     0,     0,   555,
     556,   557,     0,     0,   196,     0,     0,     0,   200,   558,
     559,   560,   561,   562,   563,   564,     0,   565,   201,   566,
     202,   567,   568,   569,     0,   570,   571,   572,   573,   574,
     575,   576,   577,   204,   578,   579,   580,   581,     0,   582,
     583,   584,   585,   586,   587,   588,   589,   590,   591,   592,
       0,   593,   594,     0,   595,   596,   213,   597,   598,   599,
     600,   601,   602,   700,   603,     0,   604,   605,   606,   607,
     608,     0,   609,   218,   610,   611,     0,   612,   221,   613,
       0,   614,   615,   616,   617,   618,   619,   620,   621,   622,
     623,   223,     0,   624,   625,     0,   626,   627,   628,   629,
     630,   631,     0,   225,   226,     0,     0,   633,   227,   634,
     228,     0,   635,   636,   637,   638,   639,   640,   641,     0,
       0,   642,   643,   644,   645,   646,     0,     0,   647,   648,
     649,   650,   651,   701,   235,     0,   652,     0,   653,   654,
     655,     0,     0,   656,     0,     0,   657,   658,   659,   660,
     661,   238,   239,   240,   241,   242,   243,   244,   245,   246,
     702,   662,   663,    86,    87,    88,   678,    90,    91,    92,
     679,     0,   680,    95,     0,     0,    98,    99,   100,   101,
     102,   103,     0,   104,   105,   681,     0,     0,   107,   108,
     109,   110,     0,     0,   112,   113,   114,   115,     0,   116,
       0,     0,   682,   683,     0,     0,     0,   684,   685,     0,
       0,     0,     0,   686,     0,     0,     0,     0,     0,     0,
       0,     0,   687,     0,   688,     0,   689,   690,    35,     0,
       0,     0,     0,     0,     0,     0,    41,    42,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   418,   419,
     420,   421,   422,   423,   424,   425,     0,   426,   427,   428,
       0,     0,     0,     0,     0,     0,     0,   429,   430,     0,
     431,   432,     0,   433,   434,   435,   135,   136,     0,   138,
     139,     0,   436,   437,   438,   439,   440,     0,     0,  1063,
     442,  1037,   140,   443,     0,   444,   445,   446,   447,   144,
       0,     0,     0,   448,   449,   450,   451,     0,   452,     0,
       0,   453,   454,   455,   456,   457,   458,     0,     0,   459,
       0,     0,     0,     0,     0,     0,     0,     0,   460,   461,
     462,   463,   695,   464,   155,   156,   465,     0,   466,     0,
     467,   468,   469,   470,   471,     0,   472,   473,   474,     0,
       0,   475,   476,   477,   478,   479,     0,   480,   481,   482,
       0,   483,   484,   485,     0,   486,   487,   488,   489,   164,
     490,   491,   492,   166,     0,   493,     0,   494,   168,   495,
       0,   496,     0,   497,     0,     0,     0,   498,   499,   500,
       0,   501,   172,     0,   502,     0,   503,   504,   697,   505,
     506,     0,   507,   508,   509,     0,   510,   511,   512,   513,
     514,   515,     0,   516,     0,   175,     0,   517,   518,   519,
       0,   176,     0,   177,     0,   520,     0,     0,   521,     0,
     522,   523,   524,   525,   526,     0,   527,   528,     0,   529,
     181,     0,   530,     0,     0,   531,   532,   533,     0,     0,
     534,   535,   536,   537,   538,   539,   698,   540,   541,   699,
     542,   543,  1067,   188,     0,   190,   545,   546,   191,     0,
     547,   548,     0,   549,     0,   194,   550,   195,   551,   552,
     553,     0,   554,     0,     0,   555,   556,   557,     0,     0,
     196,     0,     0,     0,   200,   558,   559,   560,   561,   562,
     563,   564,     0,   565,   201,   566,   202,   567,   568,   569,
       0,   570,   571,   572,   573,   574,   575,   576,   577,   204,
     578,   579,   580,   581,     0,   582,   583,   584,   585,   586,
     587,   588,   589,   590,   591,   592,     0,   593,   594,     0,
    1068,   596,   213,   597,   598,   599,  1069,   601,   602,   700,
     603,     0,   604,   605,   606,   607,  1583,     0,   609,   218,
     610,   611,     0,   612,   221,   613,     0,   614,   615,   616,
     617,   618,   619,   620,   621,   622,   623,   223,     0,   624,
     625,     0,   626,   627,   628,   629,   630,   631,     0,  1071,
     226,     0,     0,  1072,   227,   634,   228,     0,   635,   636,
     637,   638,   639,   640,   641,     0,     0,   642,   643,   644,
     645,   646,     0,     0,   647,   648,   649,   650,   651,  1041,
     235,     0,   652,     0,   653,   654,   655,     0,     0,   656,
       0,     0,   657,   658,   659,   660,  1073,   238,   239,   240,
     241,   242,   243,   244,   245,   246,   702,   662,   663,    86,
      87,    88,   678,    90,    91,    92,   679,     0,   680,    95,
       0,     0,    98,    99,   100,   101,   102,   103,     0,   104,
     105,   681,     0,     0,   107,   108,   109,   110,     0,     0,
     112,   113,   114,   115,     0,   116,     0,     0,   682,   683,
       0,     0,     0,   684,   685,     0,     0,     0,     0,   686,
       0,     0,     0,     0,     0,     0,     0,     0,   687,     0,
     688,     0,   689,   690,    35,     0,     0,     0,     0,     0,
       0,     0,    41,    42,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   418,   419,   420,   421,   422,   423,
     424,   425,     0,   426,   427,   428,     0,     0,     0,     0,
       0,     0,     0,   429,   430,     0,   431,   432,     0,   433,
     434,   435,   135,   136,     0,   138,   139,     0,   436,   437,
     438,   439,   440,     0,     0,  1063,   442,  1037,   140,   443,
       0,   444,   445,   446,   447,   144,     0,     0,     0,   448,
     449,   450,   451,     0,   452,     0,     0,   453,   454,   455,
     456,   457,   458,     0,     0,   459,     0,     0,     0,     0,
       0,     0,     0,     0,   460,   461,   462,   463,   695,   464,
     155,   156,   465,     0,   466,     0,   467,   468,   469,   470,
     471,     0,   472,   473,   474,     0,     0,   475,   476,   477,
     478,   479,     0,   480,   481,   482,     0,   483,   484,   485,
       0,   486,   487,   488,   489,   164,   490,   491,   492,   166,
       0,   493,     0,   494,   168,   495,     0,   496,     0,   497,
       0,     0,     0,   498,   499,   500,     0,   501,   172,     0,
     502,     0,   503,   504,   697,   505,   506,     0,   507,   508,
     509,     0,   510,   511,   512,   513,   514,   515,     0,   516,
       0,   175,     0,   517,   518,   519,     0,   176,     0,   177,
       0,   520,     0,     0,   521,     0,   522,   523,   524,   525,
     526,     0,   527,   528,     0,   529,   181,     0,   530,     0,
       0,   531,   532,   533,     0,     0,   534,   535,   536,   537,
     538,   539,   698,   540,   541,   699,   542,   543,  1067,   188,
       0,   190,   545,   546,   191,     0,   547,   548,     0,   549,
       0,   194,   550,   195,   551,   552,   553,     0,   554,     0,
       0,   555,   556,   557,     0,     0,   196,     0,     0,     0,
     200,   558,   559,   560,   561,   562,   563,   564,     0,   565,
     201,   566,   202,   567,   568,   569,     0,   570,   571,   572,
     573,   574,   575,   576,   577,   204,   578,   579,   580,   581,
       0,   582,   583,   584,   585,   586,   587,   588,   589,   590,
     591,   592,     0,   593,   594,     0,  1068,   596,   213,   597,
     598,   599,  1069,   601,   602,   700,   603,     0,   604,   605,
     606,   607,  1583,     0,   609,   218,   610,   611,     0,   612,
     221,   613,     0,   614,   615,   616,   617,   618,   619,   620,
     621,   622,   623,   223,     0,   624,   625,     0,   626,  2407,
     628,   629,   630,   631,     0,  1071,   226,     0,     0,  1072,
     227,   634,   228,     0,   635,   636,   637,   638,   639,   640,
     641,     0,     0,   642,   643,   644,   645,   646,     0,     0,
     647,   648,   649,   650,   651,  1041,   235,     0,   652,     0,
     653,   654,   655,     0,     0,   656,     0,     0,   657,   658,
     659,   660,  1073,   238,   239,   240,   241,   242,   243,   244,
     245,   246,   702,   662,   663,    86,    87,    88,   678,    90,
      91,    92,   679,     0,   680,    95,     0,     0,    98,    99,
     100,   101,   102,   103,     0,   104,   105,   681,     0,     0,
     107,   108,   109,   110,     0,     0,   112,   113,   114,   115,
       0,   116,     0,     0,   682,   683,     0,     0,     0,   684,
     685,     0,     0,     0,     0,   686,     0,     0,     0,     0,
       0,     0,     0,     0,   687,     0,   688,     0,   689,   690,
      35,     0,     0,     0,     0,     0,     0,     0,    41,    42,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     418,   419,   420,   421,   422,   423,   424,   425,     0,   426,
     427,   428,     0,     0,     0,     0,     0,     0,     0,   429,
     430,     0,   431,   432,     0,   433,   434,   435,   135,   136,
       0,   138,   139,     0,   436,   437,   438,   439,   440,     0,
       0,  1063,   442,  1037,   140,   443,     0,   444,   445,   446,
     447,   144,     0,     0,     0,   448,   449,   450,   451,     0,
     452,     0,     0,   453,   454,   455,   456,   457,   458,     0,
       0,   459,     0,     0,     0,     0,     0,     0,     0,     0,
     460,   461,   462,   463,   695,   464,   155,   156,   465,     0,
     466,     0,   467,   468,   469,   470,   471,     0,   472,   473,
     474,     0,     0,   475,   476,   477,   478,   479,     0,   480,
     481,   482,     0,   483,   484,   485,     0,   486,   487,   488,
     489,   164,   490,   491,   492,   166,     0,   493,     0,   494,
     168,   495,     0,   496,     0,   497,     0,     0,     0,   498,
     499,   500,     0,   501,   172,     0,   502,     0,   503,   504,
     697,   505,   506,     0,   507,   508,   509,     0,   510,   511,
     512,   513,   514,   515,     0,   516,     0,   175,     0,   517,
     518,   519,     0,   176,     0,   177,     0,   520,     0,     0,
     521,     0,   522,   523,   524,   525,   526,     0,   527,   528,
       0,   529,   181,     0,   530,     0,     0,   531,   532,   533,
       0,     0,   534,   535,   536,   537,   538,   539,   698,   540,
     541,   699,   542,   543,  1067,   188,     0,   190,   545,   546,
     191,     0,   547,   548,     0,   549,     0,   194,   550,   195,
     551,   552,   553,     0,   554,     0,     0,   555,   556,   557,
       0,     0,   196,     0,     0,     0,   200,   558,   559,   560,
     561,   562,   563,   564,     0,   565,   201,   566,   202,   567,
     568,   569,     0,   570,   571,   572,   573,   574,   575,   576,
     577,   204,   578,   579,   580,   581,     0,   582,   583,   584,
     585,   586,   587,   588,   589,   590,   591,   592,     0,   593,
     594,     0,  1068,   596,   213,   597,   598,   599,  2474,   601,
     602,   700,   603,     0,   604,   605,   606,   607,  2475,     0,
     609,   218,   610,   611,     0,   612,   221,   613,     0,   614,
     615,   616,   617,   618,   619,   620,   621,   622,   623,   223,
       0,   624,   625,     0,   626,   627,   628,   629,   630,   631,
       0,  1071,   226,     0,     0,  2476,   227,   634,   228,     0,
     635,   636,   637,   638,   639,   640,   641,     0,     0,   642,
     643,   644,   645,   646,     0,     0,   647,   648,   649,   650,
     651,  1041,   235,     0,   652,     0,   653,   654,   655,     0,
       0,   656,     0,     0,   657,   658,   659,   660,  1073,   238,
     239,   240,   241,   242,   243,   244,   245,   246,   702,   662,
     663,    86,    87,    88,   678,    90,    91,    92,   679,     0,
     680,    95,     0,     0,    98,    99,   100,   101,   102,   103,
       0,   104,   105,   681,     0,     0,   107,   108,   109,   110,
       0,     0,   112,   113,   114,   115,     0,   116,     0,     0,
     682,   683,     0,     0,     0,   684,   685,     0,     0,     0,
       0,   686,     0,     0,     0,     0,     0,     0,     0,     0,
     687,     0,   688,     0,   689,   690,    35,     0,     0,     0,
       0,     0,     0,     0,    41,    42,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   418,   419,   420,   421,
     422,   423,   424,   425,     0,   426,   427,   428,     0,     0,
       0,     0,     0,     0,     0,   429,   430,     0,   431,   432,
       0,   433,   434,   435,   135,   136,     0,   138,   139,     0,
     436,   437,   438,   439,   440,     0,     0,  1063,   442,  1037,
     140,   443,     0,   444,   445,   446,   447,   144,     0,     0,
       0,   448,   449,   450,   451,     0,   452,     0,     0,   453,
     454,   455,   456,   457,   458,     0,     0,   459,     0,     0,
       0,     0,     0,     0,     0,     0,   460,   461,   462,   463,
     695,   464,   155,   156,   465,     0,   466,     0,   467,   468,
     469,   470,   471,     0,   472,   473,   474,     0,     0,   475,
     476,   477,   478,   479,     0,   480,   481,   482,     0,   483,
     484,   485,     0,   486,   487,   488,   489,   164,   490,   491,
     492,   166,     0,   493,     0,   494,   168,   495,     0,   496,
       0,   497,     0,     0,     0,   498,   499,   500,     0,   501,
     172,     0,   502,     0,   503,   504,   697,   505,   506,     0,
     507,   508,   509,     0,   510,   511,   512,   513,   514,   515,
       0,   516,     0,   175,     0,   517,   518,   519,     0,   176,
       0,   177,     0,   520,     0,     0,   521,     0,   522,   523,
     524,   525,   526,     0,   527,   528,     0,   529,   181,     0,
     530,     0,     0,   531,   532,   533,     0,     0,   534,   535,
     536,   537,   538,   539,   698,   540,   541,   699,   542,   543,
    1067,   188,     0,   190,   545,   546,   191,     0,   547,   548,
       0,   549,     0,   194,   550,   195,   551,   552,   553,     0,
     554,     0,     0,   555,   556,   557,     0,     0,   196,     0,
       0,     0,   200,   558,   559,   560,   561,   562,   563,   564,
       0,   565,   201,   566,   202,   567,   568,   569,     0,   570,
     571,   572,   573,   574,   575,   576,   577,   204,   578,   579,
     580,   581,     0,   582,   583,   584,   585,   586,   587,   588,
     589,   590,   591,   592,     0,   593,   594,     0,  1068,   596,
     213,   597,   598,   599,  1069,   601,   602,   700,   603,     0,
     604,   605,   606,   607,  2475,     0,   609,   218,   610,   611,
       0,   612,   221,   613,     0,   614,   615,   616,   617,   618,
     619,   620,   621,   622,   623,   223,     0,   624,   625,     0,
     626,   627,   628,   629,   630,   631,     0,  1071,   226,     0,
       0,  2476,   227,   634,   228,     0,   635,   636,   637,   638,
     639,   640,   641,     0,     0,   642,   643,   644,   645,   646,
       0,     0,   647,   648,   649,   650,   651,  1041,   235,     0,
     652,     0,   653,   654,   655,     0,     0,   656,     0,     0,
     657,   658,   659,   660,  1073,   238,   239,   240,   241,   242,
     243,   244,   245,   246,   702,   662,   663,    86,    87,    88,
     678,    90,    91,    92,   679,     0,   680,    95,     0,     0,
      98,    99,   100,   101,   102,   103,     0,   104,   105,   681,
       0,     0,   107,   108,   109,   110,     0,     0,   112,   113,
     114,   115,     0,   116,     0,     0,   682,   683,     0,     0,
       0,   684,   685,     0,     0,     0,     0,   686,     0,     0,
       0,     0,     0,     0,     0,     0,   687,     0,   688,     0,
     689,   690,    35,     0,     0,     0,     0,     0,     0,     0,
      41,    42,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   418,   419,   420,   421,   422,   423,   424,   425,
       0,   426,   427,   428,     0,     0,     0,     0,     0,     0,
       0,   429,   430,     0,   431,   432,     0,   433,   434,   435,
     135,   136,     0,   138,   139,     0,   436,   437,   438,   439,
     440,     0,     0,   441,   442,   692,   140,   443,     0,   444,
     445,   446,   447,   144,     0,     0,     0,   448,   449,   450,
     451,     0,   452,   693,     0,   453,   454,   455,   456,   457,
     458,     0,     0,   459,     0,     0,     0,     0,     0,     0,
       0,     0,   460,   461,   462,   463,   695,   464,   155,   156,
     465,     0,   466,     0,   467,   468,   469,   470,   471,     0,
     472,   473,   474,     0,     0,   475,   476,   477,   478,   479,
       0,   480,   481,   482,     0,   483,   484,   485,     0,   486,
     487,   488,   489,   164,   490,   491,   492,   166,     0,   493,
       0,   494,   168,   495,     0,   496,     0,   497,     0,     0,
       0,   498,   499,   500,     0,   501,   172,     0,   502,     0,
     503,   504,   697,   505,   506,     0,   507,   508,   509,     0,
     510,   511,   512,   513,   514,   515,     0,   516,     0,   175,
       0,   517,   518,   519,     0,   176,     0,   177,     0,   520,
       0,     0,   521,     0,   522,   523,   524,   525,   526,     0,
     527,   528,     0,   529,   181,     0,   530,     0,     0,   531,
     532,   533,     0,     0,   534,   535,   536,   537,   538,   539,
     698,   540,   541,   699,   542,   543,   544,   188,     0,   190,
     545,   546,   191,     0,   547,   548,     0,   549,     0,   194,
     550,   195,   551,   552,   553,     0,   554,     0,     0,   555,
     556,   557,     0,     0,   196,     0,     0,     0,   200,   558,
     559,   560,   561,     0,   563,   564,     0,   565,   201,   566,
     202,   567,   568,   569,     0,   570,   571,   572,   573,   574,
     575,     0,   577,   204,   578,   579,   580,   581,     0,   582,
     583,   584,   585,   586,   587,   588,   589,   590,   591,   592,
       0,   593,   594,     0,   595,   596,   213,     0,   598,   599,
     600,   601,   602,   700,   603,     0,   604,   605,   606,   607,
     608,     0,   609,   218,   610,   611,     0,   612,   221,   613,
       0,   614,   615,   616,   617,   618,   619,   620,   621,   622,
     623,   223,     0,   624,   625,     0,   626,   627,   628,   629,
     630,   631,     0,   225,   226,     0,     0,   633,   227,   634,
     228,     0,   635,   636,   637,   638,   639,   640,   641,     0,
       0,   642,   643,   644,   645,   646,     0,     0,   647,   648,
     649,   650,   651,   701,   235,     0,   652,     0,   653,   654,
     655,     0,     0,   656,     0,     0,   657,   658,   659,   660,
     661,   238,   239,   240,   241,   242,   243,   244,   245,   246,
     702,   662,   663,    86,    87,    88,     0,    90,    91,    92,
       0,     0,     0,    95,     0,     0,    98,    99,   100,   101,
     102,   103,     0,   104,   105,     0,     0,     0,   107,   108,
     109,   110,     0,   111,   112,   113,   114,   115, -2392,   116,
     117,   118,     0,     0,     0,     0,     0,   121,   122,     0,
       0,     0,     0,   123,     0,     0,     0,     0,     0,     0,
       0,     0,   124,     0,   125,     0,   126,   127,    35,     0,
    1147,     0,     0,     0,     0,     0,    41,    42,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   133,     0,     0,     0,   135,   136,   137,   138,
     139,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   140,     0,     0,     0,     0,     0,     0,   144,
       0,   145,     0,     0,     0,     0,     0,   148,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   151,     0,
       0,     0,     0,     0,   152,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   155,   156,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   162,     0,     0,     0,     0,     0,     0,     0,   164,
       0,     0,     0,   166,     0,     0,     0,     0,   168,     0,
       0,     0,     0,     0,   169,     0,   170,     0,     0,     0,
       0,     0,   172,     0,     0,     0,     0,     0,     0,     0,
       0,   173,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   174,   175,     0,     0,     0,     0,
       0,   176,     0,   177,     0,     0,   178,   179,     0,   180,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     181,   182,     0,   183,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   188,   189,   190,     0,     0,   191,     0,
       0,     0,   193,     0,     0,   194,     0,   195,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     196,   197,   198,   199,   200,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   201,     0,   202,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   204,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   211,
       0,     0,   213,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   218,
       0,     0,   220,     0,   221,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   223,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   225,
     226,     0,     0,     0,   227,     0,   228,     0,     0,     0,
       0,     0,     0,     0,     0,   231,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     235,     0,     0,   236,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   238,   239,   240,
     241,   242,   243,   244,   245,   246,    86,    87,    88,     0,
      90,    91,    92,     0,     0,     0,    95,     0,     0,    98,
      99,   100,   101,   102,   103,     0,   104,   105,     0,     0,
       0,   107,   108,   109,   110,     0,   111,   112,   113,   114,
     115,     0,   116,   117,   118,     0,     0,     0,     0,     0,
     121,   122,     0,     0,     0,     0,   123,     0,     0,     0,
       0,     0,     0,     0,     0,   124,     0,   125,     0,   126,
       0,    35,     0,     0,     0,     0,     0,     0,     0,    41,
      42,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   133,     0,     0,     0,   135,
     136,   137,   138,   139,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   140,     0,     0,     0,     0,
       0,     0,   144,     0,   145,     0,     0,     0,     0,     0,
     148,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   151,     0,     0,     0,     0,     0,   152,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   155,   156,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   162,     0,     0,     0,     0,     0,
       0,     0,   164,     0,     0,     0,   166,     0,     0,     0,
       0,   168,     0,     0,     0,     0,     0,   169,     0,   170,
       0,     0,     0,     0,     0,   172,     0,     0,     0,     0,
       0,     0,     0,     0,   173,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   174,   175,     0,
       0,     0,     0,     0,   176,     0,   177,     0,     0,   178,
     179,     0,   180,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   181,   182,     0,   183,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   188,   189,   190,     0,
       0,   191,     0,     0,     0,   193,     0,     0,   194,     0,
     195,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   196,   197,   198,   199,   200,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   201,     0,   202,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   204,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   211,     0,     0,   213,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   218,     0,     0,   220,     0,   221,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     223,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   225,   226,     0,     0,     0,   227,     0,   228,
       0,     0,     0,     0,     0,     0,     0,     0,   231,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   235,     0,     0,   236,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     238,   239,   240,   241,   242,   243,   244,   245,   246,    86,
      87,    88,     0,    90,    91,    92,     0,     0,     0,    95,
       0,     0,    98,    99,   100,   101,   102,   103,     0,   104,
     105,     0,     0,     0,   107,   108,   109,   110,     0,   111,
     112,   113,   114,   115,     0,   116,   117,   118,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,    35,     0,     0,     0,     0,     0,
       0,     0,    41,    42,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   133,     0,
       0,     0,   135,   136,   137,   138,   139,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   140,     0,
       0,     0,     0,     0,     0,   144,     0,   145,     0,     0,
       0,     0,     0,   148,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   151,     0,     0,     0,     0,     0,
     152,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     155,   156,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   162,     0,     0,
       0,     0,     0,     0,     0,   164,     0,     0,     0,   166,
       0,     0,     0,     0,   168,     0,     0,     0,     0,     0,
     169,     0,   170,     0,     0,     0,     0,     0,   172,     0,
       0,     0,     0,     0,     0,     0,     0,   173,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     174,   175,     0,     0,     0,     0,     0,   176,     0,   177,
       0,     0,   178,   179,     0,   180,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   181,   182,     0,   183,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   188,
     189,   190,     0,     0,   191,     0,     0,     0,   193,     0,
       0,   194,     0,   195,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   196,   197,   198,   199,
     200,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     201,     0,   202,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   204,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   211,     0,     0,   213,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   218,     0,     0,   220,     0,
     221,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   223,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   225,   226,     0,     0,     0,
     227,     0,   228,     0,     0,     0,     0,     0,     0,     0,
       0,   231,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   235,     0,     0,   236,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   238,   239,   240,   241,   242,   243,   244,
     245,   246,    86,    87,    88,     0,    90,    91,    92,     0,
       0,     0,    95,     0,     0,    98,    99,   100,   101,   102,
     103,     0,   104,   105,     0,     0,     0,   107,   108,   109,
     110,     0,     0,   112,   113,   114,   115,     0,   116,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,    35,     0,     0,
       0,     0,     0,     0,     0,    41,    42,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   133,     0,     0,     0,   135,   136,   137,   138,   139,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   140,     0,     0,     0,     0,     0,     0,   144,     0,
     145,     0,     0,     0,     0,     0,   148,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   151,     0,     0,
       0,     0,     0,   152,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   155,   156,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   164,     0,
       0,     0,   166,     0,     0,     0,     0,   168,     0,     0,
       0,     0,     0,   169,     0,   170,     0,     0,     0,     0,
       0,   172,     0,     0,     0,     0,     0,     0,     0,     0,
     173,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   174,   175,     0,     0,     0,     0,     0,
     176,     0,   177,     0,     0,   178,   179,     0,   180,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   181,
     182,     0,   183,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   188,   189,   190,     0,     0,   191,     0,     0,
       0,   193,     0,     0,   194,     0,   195,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   196,
     197,   198,   199,   200,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   201,     0,   202,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   204,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   211,     0,
       0,   213,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   218,     0,
       0,   220,     0,   221,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   223,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   225,   226,
       0,     0,     0,   227,     0,   228,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   235,
       0,     0,   236,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   238,   239,   240,   241,
     242,   243,   244,   245,   246,    35,   417,     0,     0,    37,
      38,    39,    40,    41,    42,    43,    44,     0,     0,     0,
      45,     0,     0,     0,     0,   418,   419,   420,   421,   422,
     423,   424,   425,     0,   426,   427,   428,     0,     0,     0,
       0,     0,     0,     0,   429,   430,     0,   431,   432,   133,
     433,   434,   435,   135,   136,   137,   138,   139,     0,   436,
     437,   438,   439,   440,     0,     0,   441,   442,     0,   140,
     443,     0,   444,   445,   446,   447,   144,     0,   145,     0,
     448,   449,   450,   451,   148,   452,     0,     0,   453,   454,
     455,   456,   457,   458,     0,   151,   459,     0,     0,     0,
       0,   152,     0,     0,     0,   460,   461,   462,   463,     0,
     464,   155,   156,   465,     0,   466,     0,   467,   468,   469,
     470,   471,     0,   472,   473,   474,     0,     0,   475,   476,
     477,   478,   479,     0,   480,   481,   482,     0,   483,   484,
     485,     0,   486,   487,   488,   489,   164,   490,   491,   492,
     166,  2056,   493,     0,   494,   168,   495,     0,   496,     0,
     497,   169,     0,   170,   498,   499,   500,     0,   501,   172,
       0,   502,     0,   503,   504,     0,   505,   506,   173,   507,
     508,   509,     0,   510,   511,   512,   513,   514,   515,     0,
     516,   174,   175,     0,   517,   518,   519,     0,   176,     0,
     177,     0,   520,   178,   179,   521,   180,   522,   523,   524,
     525,   526,     0,   527,   528,     0,   529,   181,   182,   530,
     183,     0,   531,   532,   533,     0,     0,   534,   535,   536,
     537,   538,   539,     0,   540,   541,     0,   542,   543,   544,
     188,   189,   190,   545,   546,   191,     0,   547,   548,   193,
     549,     0,   194,   550,   195,   551,   552,   553,     0,   554,
    2057,     0,   555,   556,   557,     0,     0,   196,   197,   198,
     199,   200,   558,   559,   560,   561,   562,   563,   564,     0,
     565,   201,   566,   202,   567,   568,   569,     0,   570,   571,
     572,   573,   574,   575,   576,   577,   204,   578,   579,   580,
     581,     0,   582,   583,   584,   585,   586,   587,   588,   589,
     590,   591,   592,     0,   593,   594,   211,   595,   596,   213,
     597,   598,   599,   600,   601,   602,     0,   603,     0,   604,
     605,   606,   607,   608,     0,   609,   218,   610,   611,   220,
     612,   221,   613,     0,   614,   615,   616,   617,   618,   619,
     620,   621,   622,   623,   223,     0,   624,   625,     0,   626,
     627,   628,   629,   630,   631,     0,   225,   226,     0,     0,
     633,   227,   634,   228,  2058,   635,   636,   637,   638,   639,
     640,   641,     0,     0,   642,   643,   644,   645,   646,     0,
       0,   647,   648,   649,   650,   651,     0,   235,     0,   652,
     236,   653,   654,   655,     0,     0,   656,     0,     0,   657,
     658,   659,   660,   661,   238,   239,   240,   241,   242,   243,
     244,   245,   246,    35,   662,   663,     0,     0,     0,     0,
       0,    41,    42,  1674,  1675,  4604,     0,     0,     0,     0,
       0,     0,  4605,   418,   419,   420,   421,   422,   423,   424,
     425,     0,   426,   427,   428,   130,   131,     0,     0,     0,
       0,     0,   429,   430,     0,   431,   432,   133,   433,   434,
     435,   135,   136,   137,   138,   139,     0,   436,   437,   438,
     439,   440,     0,     0,   441,   442,     0,   140,   443,     0,
     444,   445,   446,   447,   144,     0,   145,     0,   448,   449,
     450,   451,   148,   452,     0,     0,   453,   454,   455,   456,
     457,   458,     0,   151,   459,     0,     0,     0,     0,   152,
       0,     0,     0,   460,   461,   462,   463,     0,   464,   155,
     156,   465,     0,   466,     0,   467,   468,   469,   470,   471,
       0,   472,   473,   474,     0,     0,   475,   476,   477,   478,
     479,     0,   480,   481,   482,     0,   483,   484,   485,     0,
     486,   487,   488,   489,   164,   490,   491,   492,   166,     0,
     493,     0,   494,   168,   495,     0,   496,     0,   497,   169,
       0,   170,   498,   499,   500,     0,   501,   172,     0,   502,
       0,   503,   504,     0,   505,   506,   173,   507,   508,   509,
       0,   510,   511,   512,   513,   514,   515,     0,   516,   174,
     175,     0,   517,   518,   519,     0,   176,     0,   177,     0,
     520,   178,   179,   521,   180,   522,   523,   524,   525,   526,
       0,   527,   528,     0,   529,   181,   182,   530,   183,     0,
     531,   532,   533,     0,     0,   534,   535,   536,   537,   538,
     539,     0,   540,   541,     0,   542,   543,   544,   188,   189,
     190,   545,   546,   191,     0,   547,   548,   193,   549,     0,
     194,   550,   195,   551,   552,   553,     0,   554,     0,     0,
     555,   556,   557,     0,     0,   196,   197,   198,   199,   200,
     558,   559,   560,   561,   562,   563,   564,     0,   565,   201,
     566,   202,   567,   568,   569,     0,   570,   571,   572,   573,
     574,   575,   576,   577,   204,   578,   579,   580,   581,     0,
     582,   583,   584,   585,   586,   587,   588,   589,   590,   591,
     592,     0,   593,   594,   211,   595,   596,   213,   597,   598,
     599,   600,   601,   602,     0,   603,   216,   604,   605,   606,
     607,   608,     0,   609,   218,   610,   611,   220,   612,   221,
     613,     0,   614,   615,   616,   617,   618,   619,   620,   621,
     622,   623,   223,     0,   624,   625,   224,   626,   627,   628,
     629,   630,   631,     0,   225,   226,     0,     0,   633,   227,
     634,   228,     0,   635,   636,   637,   638,   639,   640,   641,
       0,     0,   642,   643,   644,   645,   646,     0,     0,   647,
     648,   649,   650,   651,   234,   235,     0,   652,   236,   653,
     654,   655,     0,     0,   656,     0,   237,   657,   658,   659,
     660,   661,   238,   239,   240,   241,   242,   243,   244,   245,
     246,     0,   662,   663,    35,   417,     0,     0,    37,    38,
      39,    40,    41,    42,    43,    44,     0,     0,     0,    45,
     247,     0,     0,     0,   418,   419,   420,   421,   422,   423,
     424,   425,     0,   426,   427,   428,     0,     0,     0,     0,
       0,     0,     0,   429,   430,     0,   431,   432,   133,   433,
     434,   435,   135,   136,   137,   138,   139,     0,   436,   437,
     438,   439,   440,     0,     0,   441,   442,     0,   140,   443,
       0,   444,   445,   446,   447,   144,     0,   145,     0,   448,
     449,   450,   451,   148,   452,     0,     0,   453,   454,   455,
     456,   457,   458,     0,   151,   459,     0,     0,     0,     0,
     152,     0,     0,     0,   460,   461,   462,   463,     0,   464,
     155,   156,   465,  2275,   466,     0,   467,   468,   469,   470,
     471,     0,   472,   473,   474,     0,     0,   475,   476,   477,
     478,   479,     0,   480,   481,   482,     0,   483,   484,   485,
       0,   486,   487,   488,   489,   164,   490,   491,   492,   166,
    2056,   493,     0,   494,   168,   495,     0,   496,     0,   497,
     169,     0,   170,   498,   499,   500,     0,   501,   172,     0,
     502,     0,   503,   504,     0,   505,   506,   173,   507,   508,
     509,     0,   510,   511,   512,   513,   514,   515,     0,   516,
     174,   175,     0,   517,   518,   519,     0,   176,     0,   177,
       0,   520,   178,   179,   521,   180,   522,   523,   524,   525,
     526,     0,   527,   528,     0,   529,   181,   182,   530,   183,
       0,   531,   532,   533,     0,     0,   534,   535,   536,   537,
     538,   539,     0,   540,   541,     0,   542,   543,   544,   188,
     189,   190,   545,   546,   191,     0,   547,   548,   193,   549,
       0,   194,   550,   195,   551,   552,   553,     0,   554,  2057,
       0,   555,   556,   557,     0,     0,   196,   197,   198,   199,
     200,   558,   559,   560,   561,   562,   563,   564,     0,   565,
     201,   566,   202,   567,   568,   569,     0,   570,   571,   572,
     573,   574,   575,   576,   577,   204,   578,   579,   580,   581,
       0,   582,   583,   584,   585,   586,   587,   588,   589,   590,
     591,   592,     0,   593,   594,   211,   595,   596,   213,   597,
     598,   599,   600,   601,   602,     0,   603,     0,   604,   605,
     606,   607,   608,     0,   609,   218,   610,   611,   220,   612,
     221,   613,     0,   614,   615,   616,   617,   618,   619,   620,
     621,   622,   623,   223,     0,   624,   625,     0,   626,   627,
     628,   629,   630,   631,     0,   225,   226,     0,     0,   633,
     227,   634,   228,  2058,   635,   636,   637,   638,   639,   640,
     641,     0,     0,   642,   643,   644,   645,   646,     0,     0,
     647,   648,   649,   650,   651,     0,   235,     0,   652,   236,
     653,   654,   655,     0,     0,   656,     0,     0,   657,   658,
     659,   660,   661,   238,   239,   240,   241,   242,   243,   244,
     245,   246,     0,   662,   663,     0,     0,     0,     0,     0,
      35,   417,  1674,  1675,    37,    38,    39,    40,    41,    42,
      43,    44,     0,     0,     0,    45,     0,     0,     0,     0,
     418,   419,   420,   421,   422,   423,   424,   425,     0,   426,
     427,   428,     0,     0,     0,     0,     0,     0,     0,   429,
     430,     0,   431,   432,   133,   433,   434,   435,   135,   136,
     137,   138,   139,     0,   436,   437,   438,   439,   440,     0,
       0,   441,   442,     0,   140,   443,     0,   444,   445,   446,
     447,   144,     0,   145,     0,   448,   449,   450,   451,   148,
     452,     0,     0,   453,   454,   455,   456,   457,   458,     0,
     151,   459,     0,     0,     0,     0,   152,     0,     0,     0,
     460,   461,   462,   463,     0,   464,   155,   156,   465,  2280,
     466,     0,   467,   468,   469,   470,   471,     0,   472,   473,
     474,     0,     0,   475,   476,   477,   478,   479,     0,   480,
     481,   482,     0,   483,   484,   485,     0,   486,   487,   488,
     489,   164,   490,   491,   492,   166,  2056,   493,     0,   494,
     168,   495,     0,   496,     0,   497,   169,     0,   170,   498,
     499,   500,     0,   501,   172,     0,   502,     0,   503,   504,
       0,   505,   506,   173,   507,   508,   509,     0,   510,   511,
     512,   513,   514,   515,     0,   516,   174,   175,     0,   517,
     518,   519,     0,   176,     0,   177,     0,   520,   178,   179,
     521,   180,   522,   523,   524,   525,   526,     0,   527,   528,
       0,   529,   181,   182,   530,   183,     0,   531,   532,   533,
       0,     0,   534,   535,   536,   537,   538,   539,     0,   540,
     541,     0,   542,   543,   544,   188,   189,   190,   545,   546,
     191,     0,   547,   548,   193,   549,     0,   194,   550,   195,
     551,   552,   553,     0,   554,  2057,     0,   555,   556,   557,
       0,     0,   196,   197,   198,   199,   200,   558,   559,   560,
     561,   562,   563,   564,     0,   565,   201,   566,   202,   567,
     568,   569,     0,   570,   571,   572,   573,   574,   575,   576,
     577,   204,   578,   579,   580,   581,     0,   582,   583,   584,
     585,   586,   587,   588,   589,   590,   591,   592,     0,   593,
     594,   211,   595,   596,   213,   597,   598,   599,   600,   601,
     602,     0,   603,     0,   604,   605,   606,   607,   608,     0,
     609,   218,   610,   611,   220,   612,   221,   613,     0,   614,
     615,   616,   617,   618,   619,   620,   621,   622,   623,   223,
       0,   624,   625,     0,   626,   627,   628,   629,   630,   631,
       0,   225,   226,     0,     0,   633,   227,   634,   228,  2058,
     635,   636,   637,   638,   639,   640,   641,     0,     0,   642,
     643,   644,   645,   646,     0,     0,   647,   648,   649,   650,
     651,     0,   235,     0,   652,   236,   653,   654,   655,     0,
       0,   656,     0,     0,   657,   658,   659,   660,   661,   238,
     239,   240,   241,   242,   243,   244,   245,   246,     0,   662,
     663,     0,     0,     0,     0,     0,    35,   417,  1674,  1675,
      37,    38,    39,    40,    41,    42,    43,    44,     0,     0,
       0,    45,     0,     0,     0,     0,   418,   419,   420,   421,
     422,   423,   424,   425,     0,   426,   427,   428,     0,     0,
       0,     0,     0,     0,     0,   429,   430,     0,   431,   432,
     133,   433,   434,   435,   135,   136,   137,   138,   139,     0,
     436,   437,   438,   439,   440,     0,     0,   441,   442,     0,
     140,   443,     0,   444,   445,   446,   447,   144,     0,   145,
       0,   448,   449,   450,   451,   148,   452,     0,     0,   453,
     454,   455,   456,   457,   458,     0,   151,   459,     0,     0,
       0,     0,   152,     0,     0,     0,   460,   461,   462,   463,
       0,   464,   155,   156,   465,     0,   466,     0,   467,   468,
     469,   470,   471,     0,   472,   473,   474,     0,     0,   475,
     476,   477,   478,   479,     0,   480,   481,   482,     0,   483,
     484,   485,     0,   486,   487,   488,   489,   164,   490,   491,
     492,   166,  2056,   493,     0,   494,   168,   495,     0,   496,
       0,   497,   169,     0,   170,   498,   499,   500,     0,   501,
     172,     0,   502,     0,   503,   504,     0,   505,   506,   173,
     507,   508,   509,     0,   510,   511,   512,   513,   514,   515,
       0,   516,   174,   175,     0,   517,   518,   519,     0,   176,
       0,   177,     0,   520,   178,   179,   521,   180,   522,   523,
     524,   525,   526,     0,   527,   528,     0,   529,   181,   182,
     530,   183,     0,   531,   532,   533,     0,     0,   534,   535,
     536,   537,   538,   539,     0,   540,   541,     0,   542,   543,
     544,   188,   189,   190,   545,   546,   191,     0,   547,   548,
     193,   549,     0,   194,   550,   195,   551,   552,   553,     0,
     554,  2057,     0,   555,   556,   557,     0,     0,   196,   197,
     198,   199,   200,   558,   559,   560,   561,   562,   563,   564,
       0,   565,   201,   566,   202,   567,   568,   569,     0,   570,
     571,   572,   573,   574,   575,   576,   577,   204,   578,   579,
     580,   581,     0,   582,   583,   584,   585,   586,   587,   588,
     589,   590,   591,   592,     0,   593,   594,   211,   595,   596,
     213,   597,   598,   599,   600,   601,   602,     0,   603,     0,
     604,   605,   606,   607,   608,     0,   609,   218,   610,   611,
     220,   612,   221,   613,     0,   614,   615,   616,   617,   618,
     619,   620,   621,   622,   623,   223,     0,   624,   625,     0,
     626,   627,   628,   629,   630,   631,     0,   225,   226,     0,
       0,   633,   227,   634,   228,  2058,   635,   636,   637,   638,
     639,   640,   641,     0,     0,   642,   643,   644,   645,   646,
       0,     0,   647,   648,   649,   650,   651,     0,   235,     0,
     652,   236,   653,   654,   655,     0,     0,   656,     0,     0,
     657,   658,   659,   660,   661,   238,   239,   240,   241,   242,
     243,   244,   245,   246,     0,   662,   663,     0,     0,     0,
       0,     0,    35,     0,  1674,  1675,    37,    38,    39,    40,
      41,    42,     0,    44,     0,     0,     0,     0,     0,     0,
       0,     0,   418,   419,   420,   421,   422,   423,   424,   425,
       0,   426,   427,   428,     0,     0,     0,     0,     0,     0,
       0,   429,   430,     0,   431,   432,   133,   433,   434,   435,
     135,   136,   137,   138,   139,     0,   436,   437,   438,   439,
     440,     0,     0,   441,   442,     0,   140,   443,     0,   444,
     445,   446,   447,   144,     0,   145,     0,   448,   449,   450,
     451,   148,   452,     0,     0,   453,   454,   455,   456,   457,
     458,     0,   151,   459,     0,     0,     0,     0,   152,     0,
       0,     0,   460,   461,   462,   463,     0,   464,   155,   156,
     465,     0,   466,     0,   467,   468,   469,   470,   471,     0,
     472,   473,   474,     0,     0,   475,   476,   477,   478,   479,
       0,   480,   481,   482,     0,   483,   484,   485,     0,   486,
     487,   488,   489,   164,   490,   491,   492,   166,  2056,   493,
       0,   494,   168,   495,     0,   496,     0,   497,   169,     0,
     170,   498,   499,   500,     0,   501,   172,     0,   502,     0,
     503,   504,     0,   505,   506,   173,   507,   508,   509,     0,
     510,   511,   512,   513,   514,   515,     0,   516,   174,   175,
       0,   517,   518,   519,     0,   176,     0,   177,     0,   520,
     178,   179,   521,   180,   522,   523,   524,   525,   526,     0,
     527,   528,     0,   529,   181,   182,   530,   183,     0,   531,
     532,   533,     0,     0,   534,   535,   536,   537,   538,   539,
       0,   540,   541,     0,   542,   543,   544,   188,   189,   190,
     545,   546,   191,     0,   547,   548,   193,   549,     0,   194,
     550,   195,   551,   552,   553,     0,   554,  2057,     0,   555,
     556,   557,     0,     0,   196,   197,   198,   199,   200,   558,
     559,   560,   561,   562,   563,   564,     0,   565,   201,   566,
     202,   567,   568,   569,     0,   570,   571,   572,   573,   574,
     575,   576,   577,   204,   578,   579,   580,   581,     0,   582,
     583,   584,   585,   586,   587,   588,   589,   590,   591,   592,
       0,   593,   594,   211,   595,   596,   213,   597,   598,   599,
     600,   601,   602,     0,   603,     0,   604,   605,   606,   607,
     608,     0,   609,   218,   610,   611,   220,   612,   221,   613,
       0,   614,   615,   616,   617,   618,   619,   620,   621,   622,
     623,   223,     0,   624,   625,     0,   626,   627,   628,   629,
     630,   631,     0,   225,   226,     0,     0,   633,   227,   634,
     228,  2058,   635,   636,   637,   638,   639,   640,   641,     0,
       0,   642,   643,   644,   645,   646,     0,     0,   647,   648,
     649,   650,   651,     0,   235,     0,   652,   236,   653,   654,
     655,     0,     0,   656,     0,     0,   657,   658,   659,   660,
     661,   238,   239,   240,   241,   242,   243,   244,   245,   246,
       0,   662,   663,    35,   417,     0,     0,    37,    38,    39,
      40,    41,    42,     0,    44,     0,     0,     0,     0,     0,
       0,     0,     0,   418,   419,   420,   421,   422,   423,   424,
     425,     0,   426,   427,   428,     0,     0,     0,     0,     0,
       0,     0,   429,   430,     0,   431,   432,   133,   433,   434,
     435,   135,   136,   137,   138,   139,     0,   436,   437,   438,
     439,   440,     0,     0,   441,   442,     0,   140,   443,     0,
     444,   445,   446,   447,   144,     0,   145,     0,   448,   449,
     450,   451,   148,   452,     0,     0,   453,   454,   455,   456,
     457,   458,     0,   151,   459,     0,     0,     0,     0,   152,
       0,     0,     0,   460,   461,   462,   463,     0,   464,   155,
     156,   465,     0,   466,     0,   467,   468,   469,   470,   471,
       0,   472,   473,   474,     0,     0,   475,   476,   477,   478,
     479,     0,   480,   481,   482,     0,   483,   484,   485,     0,
     486,   487,   488,   489,   164,   490,   491,   492,   166,     0,
     493,     0,   494,   168,   495,     0,   496,     0,   497,   169,
       0,   170,   498,   499,   500,     0,   501,   172,     0,   502,
       0,   503,   504,     0,   505,   506,   173,   507,   508,   509,
       0,   510,   511,   512,   513,   514,   515,     0,   516,   174,
     175,     0,   517,   518,   519,     0,   176,     0,   177,     0,
     520,   178,   179,   521,   180,   522,   523,   524,   525,   526,
       0,   527,   528,     0,   529,   181,   182,   530,   183,     0,
     531,   532,   533,     0,     0,   534,   535,   536,   537,   538,
     539,     0,   540,   541,     0,   542,   543,   544,   188,   189,
     190,   545,   546,   191,     0,   547,   548,   193,   549,     0,
     194,   550,   195,   551,   552,   553,     0,   554,     0,     0,
     555,   556,   557,     0,     0,   196,   197,   198,   199,   200,
     558,   559,   560,   561,   562,   563,   564,     0,   565,   201,
     566,   202,   567,   568,   569,     0,   570,   571,   572,   573,
     574,   575,   576,   577,   204,   578,   579,   580,   581,     0,
     582,   583,   584,   585,   586,   587,   588,   589,   590,   591,
     592,     0,   593,   594,   211,   595,   596,   213,   597,   598,
     599,   600,   601,   602,     0,   603,     0,   604,   605,   606,
     607,   608,     0,   609,   218,   610,   611,   220,   612,   221,
     613,     0,   614,   615,   616,   617,   618,   619,   620,   621,
     622,   623,   223,     0,   624,   625,     0,   626,   627,   628,
     629,   630,   631,     0,   225,   226,   632,     0,   633,   227,
     634,   228,     0,   635,   636,   637,   638,   639,   640,   641,
       0,     0,   642,   643,   644,   645,   646,     0,     0,   647,
     648,   649,   650,   651,     0,   235,     0,   652,   236,   653,
     654,   655,     0,     0,   656,     0,     0,   657,   658,   659,
     660,   661,   238,   239,   240,   241,   242,   243,   244,   245,
     246,     0,   662,   663,    35,   417,     0,     0,    37,    38,
      39,    40,    41,    42,     0,    44,     0,     0,     0,     0,
       0,     0,     0,     0,   418,   419,   420,   421,   422,   423,
     424,   425,     0,   426,   427,   428,     0,     0,     0,     0,
       0,     0,     0,   429,   430,     0,   431,   432,   133,   433,
     434,   435,   135,   136,   137,   138,   139,     0,   436,   437,
     438,   439,   440,     0,     0,   441,   442,     0,   140,   443,
       0,   444,   445,   446,   447,   144,     0,   145,     0,   448,
     449,   450,   451,   148,   452,     0,     0,   453,   454,   455,
     456,   457,   458,     0,   151,   459,     0,     0,     0,     0,
     152,     0,     0,     0,   460,   461,   462,   463,     0,   464,
     155,   156,   465,     0,   466,     0,   467,   468,   469,   470,
     471,     0,   472,   473,   474,     0,     0,   475,   476,   477,
     478,   479,     0,   480,   481,   482,     0,   483,   484,   485,
       0,   486,   487,   488,   489,   164,   490,   491,   492,   166,
       0,   493,     0,   494,   168,   495,     0,   496,     0,   497,
     169,     0,   170,   498,   499,   500,     0,   501,   172,     0,
     502,     0,   503,   504,     0,   505,   506,   173,   507,   508,
     509,     0,   510,   511,   512,   513,   514,   515,     0,   516,
     174,   175,     0,   517,   518,   519,     0,   176,     0,   177,
       0,   520,   178,   179,   521,   180,   522,   523,   524,   525,
     526,     0,   527,   528,     0,   529,   181,   182,   530,   183,
       0,   531,   532,   533,     0,     0,   534,   535,   536,   537,
     538,   539,     0,   540,   541,     0,   542,   543,   544,   188,
     189,   190,   545,   546,   191,     0,   547,   548,   193,   549,
       0,   194,   550,   195,   551,   552,   553,     0,   554,     0,
       0,   555,   556,   557,     0,     0,   196,   197,   198,   199,
     200,   558,   559,   560,   561,   562,   563,   564,     0,   565,
     201,   566,   202,   567,   568,   569,     0,   570,   571,   572,
     573,   574,   575,   576,   577,   204,   578,   579,   580,   581,
       0,   582,   583,   584,   585,   586,   587,   588,   589,   590,
     591,   592,     0,   593,   594,   211,   595,   596,   213,   597,
     598,   599,   600,   601,   602,     0,   603,     0,   604,   605,
     606,   607,   608,     0,   609,   218,   610,   611,   220,   612,
     221,   613,     0,   614,   615,   616,   617,   618,   619,   620,
     621,   622,   623,   223,     0,   624,   625,     0,   626,   627,
     628,   629,   630,   631,     0,   225,   226,     0,     0,   633,
     227,   634,   228,     0,   635,   636,   637,   638,   639,   640,
     641,     0,     0,   642,   643,   644,   645,   646,     0,     0,
     647,   648,   649,   650,   651,     0,   235,     0,   652,   236,
     653,   654,   655,     0,     0,   656,     0,     0,   657,   658,
     659,   660,   661,   238,   239,   240,   241,   242,   243,   244,
     245,   246,    35,   662,   663,     0,    37,    38,    39,    40,
      41,    42,     0,    44,     0,     0,     0,     0,     0,     0,
       0,     0,   418,   419,   420,   421,   422,   423,   424,   425,
       0,   426,   427,   428,     0,     0,     0,     0,     0,     0,
       0,   429,   430,     0,   431,   432,   133,   433,   434,   435,
     135,   136,   137,   138,   139,     0,   436,   437,   438,   439,
     440,     0,     0,   441,   442,     0,   140,   443,     0,   444,
     445,   446,   447,   144,     0,   145,     0,   448,   449,   450,
     451,   148,   452,     0,     0,   453,   454,   455,   456,   457,
     458,     0,   151,   459,     0,     0,     0,     0,   152,     0,
       0,     0,   460,   461,   462,   463,     0,   464,   155,   156,
     465,  2260,   466,     0,   467,   468,   469,   470,   471,     0,
     472,   473,   474,     0,     0,   475,   476,   477,   478,   479,
       0,   480,   481,   482,     0,   483,   484,   485,     0,   486,
     487,   488,   489,   164,   490,   491,   492,   166,     0,   493,
       0,   494,   168,   495,     0,   496,     0,   497,   169,     0,
     170,   498,   499,   500,     0,   501,   172,     0,   502,     0,
     503,   504,     0,   505,   506,   173,   507,   508,   509,     0,
     510,   511,   512,   513,   514,   515,     0,   516,   174,   175,
       0,   517,   518,   519,     0,   176,     0,   177,     0,   520,
     178,   179,   521,   180,   522,   523,   524,   525,   526,     0,
     527,   528,     0,   529,   181,   182,   530,   183,     0,   531,
     532,   533,     0,     0,   534,   535,   536,   537,   538,   539,
       0,   540,   541,     0,   542,   543,   544,   188,   189,   190,
     545,   546,   191,     0,   547,   548,   193,   549,     0,   194,
     550,   195,   551,   552,   553,     0,   554,     0,     0,   555,
     556,   557,     0,     0,   196,   197,   198,   199,   200,   558,
     559,   560,   561,   562,   563,   564,     0,   565,   201,   566,
     202,   567,   568,   569,     0,   570,   571,   572,   573,   574,
     575,   576,   577,   204,   578,   579,   580,   581,     0,   582,
     583,   584,   585,   586,   587,   588,   589,   590,   591,   592,
       0,   593,   594,   211,   595,   596,   213,   597,   598,   599,
     600,   601,   602,     0,   603,     0,   604,   605,   606,   607,
     608,     0,   609,   218,   610,   611,   220,   612,   221,   613,
       0,   614,   615,   616,   617,   618,   619,   620,   621,   622,
     623,   223,     0,   624,   625,     0,   626,   627,   628,   629,
     630,   631,     0,   225,   226,     0,     0,   633,   227,   634,
     228,     0,   635,   636,   637,   638,   639,   640,   641,     0,
       0,   642,   643,   644,   645,   646,     0,     0,   647,   648,
     649,   650,   651,     0,   235,     0,   652,   236,   653,   654,
     655,     0,     0,   656,     0,     0,   657,   658,   659,   660,
     661,   238,   239,   240,   241,   242,   243,   244,   245,   246,
      35,   662,   663,     0,    37,    38,    39,    40,    41,    42,
       0,    44,     0,     0,     0,     0,     0,     0,     0,     0,
     418,   419,   420,   421,   422,   423,   424,   425,     0,   426,
     427,   428,     0,     0,     0,     0,     0,     0,     0,   429,
     430,     0,   431,   432,   133,   433,   434,   435,   135,   136,
     137,   138,   139,     0,   436,   437,   438,   439,   440,     0,
       0,   441,   442,     0,   140,   443,     0,   444,   445,   446,
     447,   144,     0,   145,     0,   448,   449,   450,   451,   148,
     452,     0,     0,   453,   454,   455,   456,   457,   458,     0,
     151,   459,     0,     0,     0,     0,   152,     0,     0,     0,
     460,   461,   462,   463,     0,   464,   155,   156,   465,     0,
     466,     0,   467,   468,   469,   470,   471,     0,   472,   473,
     474,     0,     0,   475,   476,   477,   478,   479,     0,   480,
     481,   482,     0,   483,   484,   485,     0,   486,   487,   488,
     489,   164,   490,   491,   492,   166,     0,   493,     0,   494,
     168,   495,     0,   496,     0,   497,   169,     0,   170,   498,
     499,   500,     0,   501,   172,     0,   502,     0,   503,   504,
       0,   505,   506,   173,   507,   508,   509,     0,   510,   511,
     512,   513,   514,   515,     0,   516,   174,   175,     0,   517,
     518,   519,     0,   176,     0,   177,     0,   520,   178,   179,
     521,   180,   522,   523,   524,   525,   526,     0,   527,   528,
       0,   529,   181,   182,   530,   183,     0,   531,   532,   533,
       0,     0,   534,   535,   536,   537,   538,   539,     0,   540,
     541,     0,   542,   543,   544,   188,   189,   190,   545,   546,
     191,     0,   547,   548,   193,   549,     0,   194,   550,   195,
     551,   552,   553,     0,   554,     0,     0,   555,   556,   557,
       0,     0,   196,   197,   198,   199,   200,   558,   559,   560,
     561,   562,   563,   564,     0,   565,   201,   566,   202,   567,
     568,   569,     0,   570,   571,   572,   573,   574,   575,   576,
     577,   204,   578,   579,   580,   581,     0,   582,   583,   584,
     585,   586,   587,   588,   589,   590,   591,   592,     0,   593,
     594,   211,   595,   596,   213,   597,   598,   599,   600,   601,
     602,     0,   603,     0,   604,   605,   606,   607,   608,     0,
     609,   218,   610,   611,   220,   612,   221,   613,     0,   614,
     615,   616,   617,   618,   619,   620,   621,   622,   623,   223,
       0,   624,   625,     0,   626,   627,   628,   629,   630,   631,
       0,   225,   226,     0,     0,   633,   227,   634,   228,     0,
     635,   636,   637,   638,   639,   640,   641,     0,     0,   642,
     643,   644,   645,   646,     0,     0,   647,   648,   649,   650,
     651,     0,   235,     0,   652,   236,   653,   654,   655,     0,
       0,   656,     0,     0,   657,   658,   659,   660,   661,   238,
     239,   240,   241,   242,   243,   244,   245,   246,    35,   662,
     663,     0,    37,    38,    39,    40,    41,    42,     0,    44,
       0,     0,     0,     0,     0,     0,     0,     0,   418,   419,
     420,   421,   422,   423,   424,   425,     0,   426,   427,   428,
       0,     0,     0,     0,     0,     0,     0,   429,   430,     0,
     431,   432,   133,   433,   434,   435,   135,   136,   137,   138,
     139,     0,   436,   437,   438,   439,   440,     0,     0,   441,
     442,     0,   140,   443,     0,   444,   445,   446,   447,   144,
       0,   145,     0,   448,   449,   450,   451,   148,   452,     0,
       0,   453,   454,   455,   456,   457,   458,     0,   151,   459,
       0,     0,     0,     0,   152,     0,     0,     0,   460,   461,
     462,   463,     0,   464,   155,   156,   465,     0,   466,     0,
     467,   468,   469,   470,   471,     0,   472,   473,   474,     0,
       0,   475,   476,   477,   478,   479,     0,   480,   481,   482,
       0,   483,   484,   485,     0,   486,   487,   488,   489,   164,
     490,   491,   492,   166,     0,   493,     0,   494,   168,   495,
       0,   496,     0,   497,   169,     0,   170,   498,   499,   500,
       0,   501,   172,     0,   502,     0,   503,   504,     0,   505,
    2036,   173,   507,   508,   509,     0,   510,   511,   512,   513,
     514,   515,     0,   516,   174,   175,     0,   517,   518,   519,
       0,   176,     0,   177,     0,   520,   178,   179,   521,   180,
     522,   523,   524,   525,   526,     0,   527,   528,     0,   529,
     181,   182,   530,   183,     0,   531,   532,   533,     0,     0,
     534,   535,   536,   537,   538,   539,     0,   540,   541,     0,
     542,   543,   544,   188,   189,   190,   545,   546,   191,     0,
     547,   548,   193,   549,     0,   194,   550,   195,   551,   552,
     553,     0,   554,     0,     0,   555,   556,   557,     0,     0,
     196,   197,   198,   199,   200,   558,   559,   560,   561,   562,
     563,   564,     0,   565,   201,   566,   202,   567,   568,   569,
       0,   570,   571,   572,   573,   574,   575,   576,   577,   204,
     578,   579,   580,   581,     0,   582,   583,   584,   585,   586,
     587,   588,   589,   590,   591,   592,     0,   593,   594,   211,
     595,   596,   213,   597,   598,   599,   600,   601,   602,     0,
     603,     0,   604,   605,   606,   607,   608,     0,   609,   218,
     610,   611,   220,   612,   221,   613,     0,   614,   615,   616,
     617,   618,   619,   620,   621,   622,   623,   223,     0,   624,
     625,     0,   626,   627,   628,   629,   630,   631,     0,   225,
     226,     0,     0,   633,   227,   634,   228,     0,   635,   636,
     637,   638,   639,   640,   641,     0,     0,   642,   643,   644,
     645,   646,     0,     0,   647,   648,   649,   650,   651,     0,
     235,     0,   652,   236,   653,   654,   655,     0,     0,   656,
       0,     0,   657,   658,   659,   660,   661,   238,   239,   240,
     241,   242,   243,   244,   245,   246,    35,   662,   663,     0,
       0,     0,     0,     0,    41,    42,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   418,   419,   420,   421,
     422,   423,   424,   425,     0,   426,   427,   428,     0,     0,
       0,     0,     0,     0,     0,   429,   430,     0,   431,   432,
     133,   433,   434,   435,   135,   136,   137,   138,   139,     0,
     436,   437,   438,   439,   440,     0,     0,   441,   442,     0,
     140,   443,     0,   444,   445,   446,   447,   144,     0,   145,
       0,   448,   449,   450,   451,   148,   452,     0,     0,   453,
     454,   455,   456,   457,   458,     0,   151,   459,     0,     0,
       0,     0,   152,     0,     0,  2595,   460,   461,   462,   463,
       0,   464,   155,   156,   465,     0,   466,     0,   467,   468,
     469,   470,   471,     0,   472,   473,   474,     0,     0,   475,
     476,   477,   478,   479,     0,   480,   481,   482,     0,   483,
     484,   485,     0,   486,   487,   488,   489,   164,   490,   491,
     492,   166,     0,   493,     0,   494,   168,   495,     0,   496,
       0,   497,   169,     0,   170,   498,   499,   500,     0,   501,
     172,     0,   502,     0,   503,   504,     0,   505,   506,   173,
     507,   508,   509,     0,   510,   511,   512,   513,   514,   515,
       0,   516,   174,   175,     0,   517,   518,   519,     0,   176,
       0,   177,     0,   520,   178,   179,   521,   180,   522,   523,
     524,   525,   526,     0,   527,   528,     0,   529,   181,   182,
     530,   183,     0,   531,   532,   533,     0,     0,   534,   535,
     536,   537,   538,   539,     0,   540,   541,     0,   542,   543,
     544,   188,   189,   190,   545,   546,   191,     0,   547,   548,
     193,   549,     0,   194,   550,   195,   551,   552,   553,     0,
     554,     0,     0,   555,   556,   557,     0,     0,   196,   197,
     198,   199,   200,   558,   559,   560,   561,   562,   563,   564,
       0,   565,   201,   566,   202,   567,   568,   569,     0,   570,
     571,   572,   573,   574,   575,   576,   577,   204,   578,   579,
     580,   581,     0,   582,   583,   584,   585,   586,   587,   588,
     589,   590,   591,   592,     0,   593,   594,   211,   595,   596,
     213,   597,   598,   599,   600,   601,   602,     0,   603,     0,
     604,   605,   606,   607,   608,     0,   609,   218,   610,   611,
     220,   612,   221,   613,     0,   614,   615,   616,   617,   618,
     619,   620,   621,   622,   623,   223,     0,   624,   625,     0,
     626,   627,   628,   629,   630,   631,     0,   225,   226,     0,
       0,   633,   227,   634,   228,     0,   635,   636,   637,   638,
     639,   640,   641,     0,     0,   642,   643,   644,   645,   646,
    2596,     0,   647,   648,   649,   650,   651,     0,   235,     0,
     652,   236,   653,   654,   655,     0,     0,   656,     0,     0,
     657,   658,   659,   660,   661,   238,   239,   240,   241,   242,
     243,   244,   245,   246,    35,   662,   663,     0,     0,     0,
       0,     0,    41,    42,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   418,   419,   420,   421,   422,   423,
     424,   425,     0,   426,   427,   428,   130,   131,     0,     0,
       0,     0,     0,   429,   430,     0,   431,   432,   133,   433,
     434,   435,   135,   136,   137,   138,   139,     0,   436,   437,
     438,   439,   440,     0,     0,   441,   442,     0,   140,   443,
       0,   444,   445,   446,   447,   144,     0,   145,     0,   448,
     449,   450,   451,   148,   452,     0,     0,   453,   454,   455,
     456,   457,   458,     0,   151,   459,     0,     0,     0,     0,
     152,     0,     0,     0,   460,   461,   462,   463,     0,   464,
     155,   156,   465,     0,   466,     0,   467,   468,   469,   470,
     471,     0,   472,   473,   474,     0,     0,   475,   476,   477,
     478,   479,     0,   480,   481,   482,     0,   483,   484,   485,
       0,   486,   487,   488,   489,   164,   490,   491,   492,   166,
       0,   493,     0,   494,   168,   495,     0,   496,     0,   497,
     169,     0,   170,   498,   499,   500,     0,   501,   172,     0,
     502,     0,   503,   504,     0,   505,   506,   173,   507,   508,
     509,     0,   510,   511,   512,   513,   514,   515,     0,   516,
     174,   175,     0,   517,   518,   519,     0,   176,     0,   177,
       0,   520,   178,   179,   521,   180,   522,   523,   524,   525,
     526,     0,   527,   528,     0,   529,   181,   182,   530,   183,
       0,   531,   532,   533,     0,     0,   534,   535,   536,   537,
     538,   539,     0,   540,   541,     0,   542,   543,   544,   188,
     189,   190,   545,   546,   191,     0,   547,   548,   193,   549,
       0,   194,   550,   195,   551,   552,   553,     0,   554,     0,
       0,   555,   556,   557,     0,     0,   196,   197,   198,   199,
     200,   558,   559,   560,   561,   562,   563,   564,     0,   565,
     201,   566,   202,   567,   568,   569,     0,   570,   571,   572,
     573,   574,   575,   576,   577,   204,   578,   579,   580,   581,
       0,   582,   583,   584,   585,   586,   587,   588,   589,   590,
     591,   592,     0,   593,   594,   211,   595,   596,   213,   597,
     598,   599,   600,   601,   602,     0,   603,     0,   604,   605,
     606,   607,   608,     0,   609,   218,   610,   611,   220,   612,
     221,   613,     0,   614,   615,   616,   617,   618,   619,   620,
     621,   622,   623,   223,     0,   624,   625,     0,   626,   627,
     628,   629,   630,   631,     0,   225,   226,     0,     0,   633,
     227,   634,   228,     0,   635,   636,   637,   638,   639,   640,
     641,     0,     0,   642,   643,   644,   645,   646,     0,     0,
     647,   648,   649,   650,   651,     0,   235,     0,   652,   236,
     653,   654,   655,     0,     0,   656,     0,     0,   657,   658,
     659,   660,   661,   238,   239,   240,   241,   242,   243,   244,
     245,   246,    35,   662,   663,     0,     0,     0,     0,     0,
      41,    42,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   418,   419,   420,   421,   422,   423,   424,   425,
    1223,   426,   427,   428,     0,     0,     0,     0,     0,     0,
       0,   429,   430,     0,   431,   432,   133,   433,   434,   435,
     135,   136,   137,   138,   139,     0,   436,   437,   438,   439,
     440,     0,     0,   441,   442,     0,   140,   443,     0,   444,
     445,   446,   447,   144,     0,   145,     0,   448,   449,   450,
     451,   148,   452,     0,     0,   453,   454,   455,   456,   457,
     458,     0,   151,   459,     0,     0,     0,     0,   152,     0,
       0,     0,   460,   461,   462,   463,     0,   464,   155,   156,
     465,     0,   466,     0,   467,   468,   469,   470,   471,     0,
     472,   473,   474,     0,     0,   475,   476,   477,   478,   479,
       0,   480,   481,   482,     0,   483,   484,   485,     0,   486,
     487,   488,   489,   164,   490,   491,   492,   166,     0,   493,
       0,   494,   168,   495,     0,   496,     0,   497,   169,     0,
     170,   498,   499,   500,     0,   501,   172,     0,   502,     0,
     503,   504,     0,   505,   506,   173,   507,   508,   509,     0,
     510,   511,   512,   513,   514,   515,     0,   516,   174,   175,
       0,   517,   518,   519,     0,   176,     0,   177,     0,   520,
     178,   179,   521,   180,   522,   523,   524,   525,   526,     0,
     527,   528,     0,   529,   181,   182,   530,   183,     0,   531,
     532,   533,     0,     0,   534,   535,   536,   537,   538,   539,
       0,   540,   541,     0,   542,   543,   544,   188,   189,   190,
     545,   546,   191,     0,   547,   548,   193,   549,     0,   194,
     550,   195,   551,   552,   553,     0,   554,     0,     0,   555,
     556,   557,     0,     0,   196,   197,   198,   199,   200,   558,
     559,   560,   561,   562,   563,   564,     0,   565,   201,   566,
     202,   567,   568,   569,     0,   570,   571,   572,   573,   574,
     575,   576,   577,   204,   578,   579,   580,   581,     0,   582,
     583,   584,   585,   586,   587,   588,   589,   590,   591,   592,
       0,   593,   594,   211,   595,   596,   213,   597,   598,   599,
     600,   601,   602,     0,   603,     0,   604,   605,   606,   607,
     608,     0,   609,   218,   610,   611,   220,   612,   221,   613,
       0,   614,   615,   616,   617,   618,   619,   620,   621,   622,
     623,   223,     0,   624,   625,     0,   626,   627,   628,   629,
     630,   631,     0,   225,   226,     0,     0,   633,   227,   634,
     228,     0,   635,   636,   637,   638,   639,   640,   641,     0,
       0,   642,   643,   644,   645,   646,     0,     0,   647,   648,
     649,   650,   651,     0,   235,     0,   652,   236,   653,   654,
     655,     0,     0,   656,     0,     0,   657,   658,   659,   660,
     661,   238,   239,   240,   241,   242,   243,   244,   245,   246,
      35,   662,   663,     0,     0,     0,     0,     0,    41,    42,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     418,   419,   420,   421,   422,   423,   424,   425,  1236,   426,
     427,   428,     0,     0,     0,     0,     0,     0,     0,   429,
     430,     0,   431,   432,   133,   433,   434,   435,   135,   136,
     137,   138,   139,     0,   436,   437,   438,   439,   440,     0,
       0,   441,   442,     0,   140,   443,     0,   444,   445,   446,
     447,   144,     0,   145,     0,   448,   449,   450,   451,   148,
     452,     0,     0,   453,   454,   455,   456,   457,   458,     0,
     151,   459,     0,     0,     0,     0,   152,     0,     0,     0,
     460,   461,   462,   463,     0,   464,   155,   156,   465,     0,
     466,     0,   467,   468,   469,   470,   471,     0,   472,   473,
     474,     0,     0,   475,   476,   477,   478,   479,     0,   480,
     481,   482,     0,   483,   484,   485,     0,   486,   487,   488,
     489,   164,   490,   491,   492,   166,     0,   493,     0,   494,
     168,   495,     0,   496,     0,   497,   169,     0,   170,   498,
     499,   500,     0,   501,   172,     0,   502,     0,   503,   504,
       0,   505,   506,   173,   507,   508,   509,     0,   510,   511,
     512,   513,   514,   515,     0,   516,   174,   175,     0,   517,
     518,   519,     0,   176,     0,   177,     0,   520,   178,   179,
     521,   180,   522,   523,   524,   525,   526,     0,   527,   528,
       0,   529,   181,   182,   530,   183,     0,   531,   532,   533,
       0,     0,   534,   535,  1237,   537,   538,   539,     0,   540,
     541,     0,   542,   543,   544,   188,   189,   190,   545,   546,
     191,     0,   547,   548,   193,   549,     0,   194,   550,   195,
     551,   552,   553,     0,   554,     0,     0,   555,   556,   557,
       0,     0,   196,   197,   198,   199,   200,   558,   559,   560,
     561,   562,   563,   564,     0,   565,   201,   566,   202,   567,
     568,   569,     0,   570,   571,   572,   573,   574,   575,   576,
     577,   204,   578,   579,   580,   581,     0,   582,   583,   584,
     585,   586,   587,   588,   589,   590,   591,   592,     0,   593,
     594,   211,   595,   596,   213,   597,   598,   599,   600,   601,
     602,     0,   603,     0,   604,   605,   606,   607,   608,     0,
     609,   218,   610,   611,   220,   612,   221,   613,     0,   614,
     615,   616,   617,   618,   619,   620,   621,   622,   623,   223,
       0,   624,   625,     0,   626,   627,   628,   629,   630,   631,
       0,   225,   226,     0,     0,   633,   227,   634,   228,     0,
     635,   636,   637,   638,   639,   640,   641,     0,     0,   642,
     643,   644,   645,   646,     0,     0,   647,   648,   649,   650,
     651,     0,   235,     0,   652,   236,   653,   654,   655,     0,
       0,   656,     0,     0,   657,   658,   659,   660,   661,   238,
     239,   240,   241,   242,   243,   244,   245,   246,    35,   662,
     663,     0,     0,     0,     0,     0,    41,    42,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   418,   419,
     420,   421,   422,   423,   424,   425,     0,   426,   427,   428,
       0,     0,     0,     0,     0,     0,     0,   429,   430,     0,
     431,   432,   133,   433,   434,   435,   135,   136,   137,   138,
     139,     0,   436,   437,   438,   439,   440,     0,     0,   441,
     442,     0,   140,   443,     0,   444,   445,   446,   447,   144,
       0,   145,     0,   448,   449,   450,   451,   148,   452,     0,
       0,   453,   454,   455,   456,   457,   458,     0,   151,   459,
       0,     0,     0,     0,   152,     0,     0,     0,   460,   461,
     462,   463,     0,   464,   155,   156,   465,     0,   466,     0,
     467,   468,   469,   470,   471,     0,   472,   473,   474,     0,
       0,   475,   476,   477,   478,   479,     0,   480,   481,   482,
       0,   483,   484,   485,     0,   486,   487,   488,   489,   164,
     490,   491,   492,   166,     0,   493,     0,   494,   168,   495,
       0,   496,     0,   497,   169,     0,   170,   498,   499,   500,
       0,   501,   172,  3472,   502,     0,   503,   504,     0,   505,
     506,   173,   507,   508,   509,     0,   510,   511,   512,   513,
     514,   515,     0,   516,   174,   175,     0,   517,   518,   519,
       0,   176,     0,   177,     0,   520,   178,   179,   521,   180,
     522,   523,   524,   525,   526,     0,   527,   528,     0,   529,
     181,   182,   530,   183,     0,   531,   532,   533,     0,     0,
     534,   535,   536,   537,   538,   539,     0,   540,   541,     0,
     542,   543,   544,   188,   189,   190,   545,   546,   191,     0,
     547,   548,   193,   549,     0,   194,   550,   195,   551,   552,
     553,     0,   554,     0,     0,   555,   556,   557,     0,     0,
     196,   197,   198,   199,   200,   558,   559,   560,   561,   562,
     563,   564,     0,   565,   201,   566,   202,   567,   568,   569,
       0,   570,   571,   572,   573,   574,   575,   576,   577,   204,
     578,   579,   580,   581,     0,   582,   583,   584,   585,   586,
     587,   588,   589,   590,   591,   592,     0,   593,   594,   211,
     595,   596,   213,   597,   598,   599,   600,   601,   602,     0,
     603,     0,   604,   605,   606,   607,   608,     0,   609,   218,
     610,   611,   220,   612,   221,   613,     0,   614,   615,   616,
     617,   618,   619,   620,   621,   622,   623,   223,     0,   624,
     625,     0,   626,   627,   628,   629,   630,   631,     0,   225,
     226,     0,     0,   633,   227,   634,   228,     0,   635,   636,
     637,   638,   639,   640,   641,     0,     0,   642,   643,   644,
     645,   646,     0,     0,   647,   648,   649,   650,   651,     0,
     235,     0,   652,   236,   653,   654,   655,     0,     0,   656,
       0,     0,   657,   658,   659,   660,   661,   238,   239,   240,
     241,   242,   243,   244,   245,   246,    35,   662,   663,     0,
       0,     0,     0,     0,    41,    42,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   418,   419,   420,   421,
     422,   423,   424,   425,     0,   426,   427,   428,     0,     0,
       0,     0,     0,     0,     0,   429,   430,     0,   431,   432,
     133,   433,   434,   435,   135,   136,   137,   138,   139,     0,
     436,   437,   438,   439,   440,     0,     0,   441,   442,     0,
     140,   443,     0,   444,   445,   446,   447,   144,     0,   145,
       0,   448,   449,   450,   451,   148,   452,     0,     0,   453,
     454,   455,   456,   457,   458,     0,   151,   459,     0,     0,
       0,     0,   152,     0,     0,     0,   460,   461,   462,   463,
       0,   464,   155,   156,   465,     0,   466,     0,   467,   468,
     469,   470,   471,     0,   472,   473,   474,     0,     0,   475,
     476,   477,   478,   479,     0,   480,   481,   482,     0,   483,
     484,   485,     0,   486,   487,   488,   489,   164,   490,   491,
     492,   166,     0,   493,     0,   494,   168,   495,     0,   496,
       0,   497,   169,     0,   170,   498,   499,   500,     0,   501,
     172,     0,   502,     0,   503,   504,     0,   505,   506,   173,
     507,   508,   509,     0,   510,   511,   512,   513,   514,   515,
       0,   516,   174,   175,     0,   517,   518,   519,     0,   176,
       0,   177,     0,   520,   178,   179,   521,   180,   522,   523,
     524,   525,   526,     0,   527,   528,     0,   529,   181,   182,
     530,   183,     0,   531,   532,   533,     0,     0,   534,   535,
     536,   537,   538,   539,     0,   540,   541,     0,   542,   543,
     544,   188,   189,   190,   545,   546,   191,     0,   547,   548,
     193,   549,     0,   194,   550,   195,   551,   552,   553,     0,
     554,     0,     0,   555,   556,   557,     0,     0,   196,   197,
     198,   199,   200,   558,   559,   560,   561,   562,   563,   564,
       0,   565,   201,   566,   202,   567,   568,   569,     0,   570,
     571,   572,   573,   574,   575,   576,   577,   204,   578,   579,
     580,   581,     0,   582,   583,   584,   585,   586,   587,   588,
     589,   590,   591,   592,     0,   593,   594,   211,   595,   596,
     213,   597,   598,   599,   600,   601,   602,     0,   603,     0,
     604,   605,   606,   607,   608,     0,   609,   218,   610,   611,
     220,   612,   221,   613,     0,   614,   615,   616,   617,   618,
     619,   620,   621,   622,   623,   223,     0,   624,   625,     0,
     626,   627,   628,   629,   630,   631,     0,   225,   226,     0,
       0,   633,   227,   634,   228,     0,   635,   636,   637,   638,
     639,   640,   641,     0,     0,   642,   643,   644,   645,   646,
       0,     0,   647,   648,   649,   650,   651,     0,   235,     0,
     652,   236,   653,   654,   655,     0,     0,   656,     0,     0,
     657,   658,   659,   660,   661,   238,   239,   240,   241,   242,
     243,   244,   245,   246,    35,   662,   663,     0,     0,     0,
       0,     0,    41,    42,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   418,   419,   420,   421,   422,   423,
     424,   425,     0,   426,   427,   428,     0,     0,     0,     0,
       0,     0,     0,   429,   430,     0,   431,   432,   133,   433,
     434,   435,   135,   136,   137,   138,   139,     0,   436,   437,
     438,   439,   440,     0,     0,   441,   442,     0,   140,   443,
       0,   444,   445,   446,   447,   144,     0,   145,     0,   448,
     449,   450,   451,   148,   452,     0,     0,   453,   454,   455,
     456,   457,   458,     0,   151,   459,     0,     0,     0,     0,
     152,     0,     0,     0,   460,   461,   462,   463,     0,   464,
     155,   156,   465,     0,   466,     0,   467,   468,   469,   470,
     471,     0,   472,   473,   474,     0,     0,   475,   476,   477,
     478,   479,     0,   480,   481,   482,     0,   483,   484,   485,
       0,   486,   487,   488,   489,   164,   490,   491,   492,   166,
       0,   493,     0,   494,   168,   495,     0,   496,     0,   497,
     169,     0,   170,   498,   499,   500,     0,   501,   172,     0,
     502,     0,   503,   504,     0,   505,   506,   173,   507,   508,
     509,     0,   510,   511,   512,   513,   514,   515,     0,   516,
     174,   175,     0,   517,   518,   519,     0,   176,     0,   177,
       0,   520,   178,   179,   521,   180,   522,   523,   524,   525,
     526,     0,   527,   528,     0,   529,   181,   182,   530,   183,
       0,   531,   532,   533,     0,     0,   534,   535,  1315,   537,
     538,   539,     0,   540,   541,     0,   542,   543,   544,   188,
     189,   190,   545,   546,   191,     0,   547,   548,   193,   549,
       0,   194,   550,   195,   551,   552,   553,     0,   554,     0,
       0,   555,   556,   557,     0,     0,   196,   197,   198,   199,
     200,   558,   559,   560,   561,   562,   563,   564,     0,   565,
     201,   566,   202,   567,   568,   569,     0,   570,   571,   572,
     573,   574,   575,   576,   577,   204,   578,   579,   580,   581,
       0,   582,   583,   584,   585,   586,   587,   588,   589,   590,
     591,   592,     0,   593,   594,   211,   595,   596,   213,   597,
     598,   599,   600,   601,   602,     0,   603,     0,   604,   605,
     606,   607,   608,     0,   609,   218,   610,   611,   220,   612,
     221,   613,     0,   614,   615,   616,   617,   618,   619,   620,
     621,   622,   623,   223,     0,   624,   625,     0,   626,   627,
     628,   629,   630,   631,     0,   225,   226,     0,     0,   633,
     227,   634,   228,     0,   635,   636,   637,   638,   639,   640,
     641,     0,     0,   642,   643,   644,   645,   646,     0,     0,
     647,   648,   649,   650,   651,     0,   235,     0,   652,   236,
     653,   654,   655,     0,     0,   656,     0,     0,   657,   658,
     659,   660,   661,   238,   239,   240,   241,   242,   243,   244,
     245,   246,    35,   662,   663,     0,     0,     0,     0,     0,
      41,    42,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   418,   419,   420,   421,   422,   423,   424,   425,
       0,   426,   427,   428,     0,     0,     0,     0,     0,     0,
       0,   429,   430,     0,   431,   432,   133,   433,   434,   435,
     135,   136,   137,   138,   139,     0,   436,   437,   438,   439,
     440,     0,     0,   441,   442,     0,   140,   443,     0,   444,
     445,   446,   447,   144,     0,   145,     0,   448,   449,   450,
     451,   148,   452,     0,     0,   453,   454,   455,   456,   457,
     458,     0,   151,   459,     0,     0,     0,     0,   152,     0,
       0,     0,   460,   461,   462,   463,     0,   464,   155,   156,
     465,     0,   466,     0,   467,   468,   469,   470,   471,     0,
     472,   473,   474,     0,     0,   475,   476,   477,   478,   479,
       0,   480,   481,   482,     0,   483,   484,   485,     0,   486,
     487,   488,   489,   164,   490,   491,   492,   166,     0,   493,
       0,   494,   168,   495,     0,   496,     0,   497,   169,     0,
     170,   498,   499,   500,     0,   501,   172,     0,   502,     0,
     503,   504,     0,   505,  1354,   173,   507,   508,   509,     0,
     510,   511,   512,   513,   514,   515,     0,   516,   174,   175,
       0,   517,   518,   519,     0,   176,     0,   177,     0,   520,
     178,   179,   521,   180,   522,   523,   524,   525,   526,     0,
     527,   528,     0,   529,   181,   182,   530,   183,     0,   531,
     532,   533,     0,     0,   534,   535,   536,   537,   538,   539,
       0,   540,   541,     0,   542,   543,   544,   188,   189,   190,
     545,   546,   191,     0,   547,   548,   193,   549,     0,   194,
     550,   195,   551,   552,   553,     0,   554,     0,     0,   555,
     556,   557,     0,     0,   196,   197,   198,   199,   200,   558,
     559,   560,   561,   562,   563,   564,     0,   565,   201,   566,
     202,   567,   568,   569,     0,   570,   571,   572,   573,   574,
     575,   576,   577,   204,   578,   579,   580,   581,     0,   582,
     583,   584,   585,   586,   587,   588,   589,   590,   591,   592,
       0,   593,   594,   211,   595,   596,   213,   597,   598,   599,
     600,   601,   602,     0,   603,     0,   604,   605,   606,   607,
     608,     0,   609,   218,   610,   611,   220,   612,   221,   613,
       0,   614,   615,   616,   617,   618,   619,   620,   621,   622,
     623,   223,     0,   624,   625,     0,   626,   627,   628,   629,
     630,   631,     0,   225,   226,     0,     0,   633,   227,   634,
     228,     0,   635,   636,   637,   638,   639,   640,   641,     0,
       0,   642,   643,   644,   645,   646,     0,     0,   647,   648,
     649,   650,   651,     0,   235,     0,   652,   236,   653,   654,
     655,     0,     0,   656,     0,     0,   657,   658,   659,   660,
     661,   238,   239,   240,   241,   242,   243,   244,   245,   246,
      35,   662,   663,     0,     0,     0,     0,     0,    41,    42,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     418,   419,   420,   421,   422,   423,   424,   425,     0,   426,
     427,   428,     0,     0,     0,     0,     0,     0,     0,   429,
     430,     0,   431,   432,   133,   433,   434,   435,   135,   136,
     137,   138,   139,     0,   436,   437,   438,   439,   440,     0,
       0,   441,   442,     0,   140,   443,     0,   444,   445,   446,
     447,   144,     0,   145,     0,   448,   449,   450,   451,   148,
     452,     0,     0,   453,   454,   455,   456,   457,   458,     0,
     151,   459,     0,     0,     0,     0,   152,     0,     0,     0,
     460,   461,   462,   463,     0,   464,   155,   156,   465,     0,
     466,     0,   467,   468,   469,   470,   471,     0,   472,   473,
     474,     0,     0,   475,   476,   477,   478,   479,     0,   480,
     481,   482,     0,   483,   484,   485,     0,   486,   487,   488,
     489,   164,   490,   491,   492,   166,     0,   493,     0,   494,
     168,   495,     0,   496,     0,   497,   169,     0,   170,   498,
     499,   500,     0,   501,   172,     0,   502,     0,   503,   504,
       0,   505,  1364,   173,   507,   508,   509,     0,   510,   511,
     512,   513,   514,   515,     0,   516,   174,   175,     0,   517,
     518,   519,     0,   176,     0,   177,     0,   520,   178,   179,
     521,   180,   522,   523,   524,   525,   526,     0,   527,   528,
       0,   529,   181,   182,   530,   183,     0,   531,   532,   533,
       0,     0,   534,   535,   536,   537,   538,   539,     0,   540,
     541,     0,   542,   543,   544,   188,   189,   190,   545,   546,
     191,     0,   547,   548,   193,   549,     0,   194,   550,   195,
     551,   552,   553,     0,   554,     0,     0,   555,   556,   557,
       0,     0,   196,   197,   198,   199,   200,   558,   559,   560,
     561,   562,   563,   564,     0,   565,   201,   566,   202,   567,
     568,   569,     0,   570,   571,   572,   573,   574,   575,   576,
     577,   204,   578,   579,   580,   581,     0,   582,   583,   584,
     585,   586,   587,   588,   589,   590,   591,   592,     0,   593,
     594,   211,   595,   596,   213,   597,   598,   599,   600,   601,
     602,     0,   603,     0,   604,   605,   606,   607,   608,     0,
     609,   218,   610,   611,   220,   612,   221,   613,     0,   614,
     615,   616,   617,   618,   619,   620,   621,   622,   623,   223,
       0,   624,   625,     0,   626,   627,   628,   629,   630,   631,
       0,   225,   226,     0,     0,   633,   227,   634,   228,     0,
     635,   636,   637,   638,   639,   640,   641,     0,     0,   642,
     643,   644,   645,   646,     0,     0,   647,   648,   649,   650,
     651,     0,   235,     0,   652,   236,   653,   654,   655,     0,
       0,   656,     0,     0,   657,   658,   659,   660,   661,   238,
     239,   240,   241,   242,   243,   244,   245,   246,    35,   662,
     663,     0,     0,     0,     0,     0,    41,    42,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   418,   419,
     420,   421,   422,   423,   424,   425,     0,   426,   427,   428,
       0,     0,     0,     0,     0,     0,     0,   429,   430,     0,
     431,   432,   133,   433,   434,   435,   135,   136,   137,   138,
     139,     0,   436,   437,   438,   439,   440,     0,     0,   441,
     442,     0,   140,   443,     0,   444,   445,   446,   447,   144,
       0,   145,     0,   448,   449,   450,   451,   148,   452,     0,
       0,   453,   454,   455,   456,   457,   458,     0,   151,   459,
       0,     0,     0,     0,   152,     0,     0,     0,   460,   461,
     462,   463,     0,   464,   155,   156,   465,     0,   466,     0,
     467,   468,   469,   470,   471,     0,   472,   473,   474,     0,
       0,   475,   476,   477,   478,   479,     0,   480,   481,   482,
       0,   483,   484,   485,     0,   486,   487,   488,   489,   164,
     490,   491,   492,   166,     0,   493,     0,   494,   168,   495,
       0,   496,     0,   497,   169,     0,   170,   498,   499,   500,
       0,   501,   172,     0,   502,     0,   503,   504,     0,   505,
    1375,   173,   507,   508,   509,     0,   510,   511,   512,   513,
     514,   515,     0,   516,   174,   175,     0,   517,   518,   519,
       0,   176,     0,   177,     0,   520,   178,   179,   521,   180,
     522,   523,   524,   525,   526,     0,   527,   528,     0,   529,
     181,   182,   530,   183,     0,   531,   532,   533,     0,     0,
     534,   535,  1376,   537,   538,   539,     0,   540,   541,     0,
     542,   543,   544,   188,   189,   190,   545,   546,   191,     0,
     547,   548,   193,   549,     0,   194,   550,   195,   551,   552,
     553,     0,   554,     0,     0,   555,   556,   557,     0,     0,
     196,   197,   198,   199,   200,   558,   559,   560,   561,   562,
     563,   564,     0,   565,   201,   566,   202,   567,   568,   569,
       0,   570,   571,   572,   573,   574,   575,   576,   577,   204,
     578,   579,   580,   581,     0,   582,   583,   584,   585,   586,
     587,   588,   589,   590,   591,   592,     0,   593,   594,   211,
     595,   596,   213,   597,   598,   599,   600,   601,   602,     0,
     603,     0,   604,   605,   606,   607,   608,     0,   609,   218,
     610,   611,   220,   612,   221,   613,     0,   614,   615,   616,
     617,   618,   619,   620,   621,   622,   623,   223,     0,   624,
     625,     0,   626,   627,   628,   629,   630,   631,     0,   225,
     226,     0,     0,   633,   227,   634,   228,     0,   635,   636,
     637,   638,   639,   640,   641,     0,     0,   642,   643,   644,
     645,   646,     0,     0,   647,   648,   649,   650,   651,     0,
     235,     0,   652,   236,   653,   654,   655,     0,     0,   656,
       0,     0,   657,   658,   659,   660,   661,   238,   239,   240,
     241,   242,   243,   244,   245,   246,     0,   662,   663
};

static const yytype_int16 yycheck[] =
{
       2,    78,   364,   894,   247,  1353,   167,  1065,    78,    78,
      78,  1113,   932,  1009,  1010,  1011,    78,   229,  1357,  1015,
    1362,  1081,  1118,  1229,    78,  1224,   187,   117,   210,  1183,
      84,  1401,     2,  1611,   154,   153,  1248,  1775,  1740,  1238,
    1450,  1930,   150,  1431,  2045,  2095,   932,  1914,  1492,  1493,
    2832,  1464,   724,   224,  1285,  1304,   976,  1628,  1521,   950,
      78,   160,   165,   117,   380,  1314,    84,  1511,   380,  1072,
     171,  2249,   162,  1873,    78,  1932,    78,   117,  1780,  1784,
    2991,   852,    84,   203,  3417,  2667,  3154,    89,   165,  1793,
    2675,  1290,  1668,  1669,  1670,  1294,  3428,  3204,   132,  3206,
    1299,  3365,  2299,  2535,  1973,  1828,    96,  1306,   162,   210,
    1775,  1632,  1343,  2134,  3667,   117,   106,  1316,  2585,   725,
    3333,   352,   162,   894,  1160,  1160,  3346,  3716,   117,  1141,
    2810,  1836,  3050,  3346,  2989,  3613,  1393,  1841,  1842,   952,
    3912,   231,    94,  2987,  2988,  1723,   975,  3764,  1068,   962,
    3709,   153,   142,  3954,  3975,  3619,   217,  2924,  1767,  1727,
     162,  1780,  1414,  1663,  1664,  2034,  2347,   157,  1394,   167,
    4398,  2490,  2491,   162,  3964,  1976,  1200,   231,  1385,   950,
     132,  4193,  1068,  3618,  1984,    21,  1110,  1110,   366,   187,
    3677,   231,   366,  1205,  3350,  3351,  3352,  3353,  3354,  3355,
      30,   153,   154,  1155,  1156,  3550,  2387,   209,  3884,    10,
    2391,   163,  2985,    88,   117,   217,   114,   219,    88,   967,
     209,   108,    72,  3952,   121,   143,  4539,  4679,   217,   231,
     219,    81,    78,   114,  3963,   135,    86,    72,  2670,   180,
     128,  1228,   231,   113,  1231,   204,   832,   102,   920,   229,
     128,   203,    93,  1240,    72,  4672,    99,   223,    95,   162,
     128,    78,   156,   106,    75,    76,    77,    78,    86,  2632,
    3043,    82,   179,   143,   128,   149,   434,   187,    72,  1481,
    1482,  4498,  1539,  4500,   228,    14,  3156,  1283,   112,  3056,
    3879,    78,    86,   112,   322,   372,   228,   111,  4619,   322,
      84,    29,   372,   372,   372,  1507,   103,   104,    37,   322,
     372,  2200,  2744,   325,  2746,   269,   327,    22,   339,   456,
     145,   474,    75,    76,    77,    78,   380,   267,   231,    82,
     372,    99,    95,    14,  1394,   495,   506,   495,   106,   230,
     510,   173,    78,    72,    78,    88,    75,    76,    77,    78,
     510,   372,    81,    82,    83,    84,    37,    86,   511,   401,
     197,   415,   380,    75,    76,    77,    78,    72,   372,   210,
      82,   508,   326,    75,    76,    77,    78,  1268,   380,   145,
      82,    78,   135,  1595,    99,    72,  1540,   153,   145,  1401,
    1062,   106,    78,    78,    81,    78,   182,   415,  2448,    86,
      99,   360,    72,   145,    88,    75,    76,    77,    78,    78,
    1564,    81,    82,   415,    78,   149,    86,    78,    75,    76,
      77,    78,    78,   102,     8,    82,  4198,    11,    12,   113,
     227,   165,   229,   247,   197,   228,  4664,   328,    22,    23,
      24,   185,    26,    27,   199,   145,  2168,    31,    32,    33,
      75,    76,    77,    78,  1917,   145,   228,    82,  1378,   143,
    2182,  1905,  1906,  2644,   416,    90,   248,   478,  1912,    75,
      76,    77,    78,    38,  4795,    40,    82,   185,   310,   211,
     508,  1401,   173,   377,    90,   508,    75,    76,    77,    78,
     378,   228,  1378,    82,  3364,   508,   508,  1268,   153,  1559,
     378,    90,   339,    25,    75,    76,    77,    78,  4725,  2231,
     378,    82,   234,   247,   632,   228,   456,   261,   834,    90,
     375,  2092,   834,   180,   378,  2096,   372,  2098,   508,   436,
    2101,   259,   387,  4950,  1882,   372,    75,    76,    77,    78,
    1600,  1601,   508,    82,   385,  1887,   456,  3703,  1468,   508,
    1363,  1157,  1158,   434,   495,   372,   676,   677,    75,    76,
      77,    78,   403,   461,   401,    82,   409,   511,  3788,   476,
    4883,   228,   446,    90,  1403,  3788,   508,    75,    76,    77,
      78,  1593,  1468,   438,    82,   372,  1598,  1599,   506,   173,
    4362,  1177,   510,    75,    76,    77,    78,   421,  4187,  4400,
      82,  3934,   421,    75,    76,    77,    78,  5059,   508,   434,
      82,   508,    75,    76,    77,    78,  2194,   511,  2485,    82,
     456,   508,   459,   511,  1437,  1824,   461,  1826,  1834,   504,
     632,   415,   366,   511,   504,  1383,   372,  2494,   372,  1452,
    4118,   409,  4414,   511,  4122,  1876,  4110,   346,  1897,   499,
     500,   137,  1465,   135,  4330,  4331,  4332,  4333,  4334,  1871,
     461,  2239,  4391,   267,   475,  2243,   502,   153,   434,   466,
    1590,   173,   458,  3105,  4109,   372,   506,   434,  1598,  1599,
     632,   499,   500,   494,  3948,  4172,   372,   372,   859,   372,
     508,   454,   434,  4038,   409,   267,   375,   508,  2086,  2038,
     228,  1903,  1904,   372,  1590,   499,   500,   398,   372,  1911,
     454,   372,   465,  4941,    85,   470,   372,  3628,   511,   185,
     304,   434,   208,   841,   676,   677,  1650,  1650,   427,   511,
     429,  1683,   267,   976,   434,  4747,   508,  3893,   470,   225,
     830,   263,   173,   151,   434,  1757,   454,   312,   979,  2550,
    1774,  1113,  2490,  1765,  2093,   508,  2461,   838,   501,   502,
     503,   504,  4534,  2102,   173,   349,   847,   885,  1755,  4541,
     499,   500,   724,   475,   511,   874,   830,   434,  3633,   434,
     834,   189,   495,   141,   237,  5013,   180,   474,  1394,   511,
     830,    88,   494,    99,   506,   261,   508,   510,   510,   880,
    3385,   310,   922,   173,  1816,   173,   508,  1819,  1820,   352,
     180,    25,   499,   500,  1801,  2067,   834,   501,   502,   503,
     504,  2073,   332,   941,  3002,  2051,  2531,   988,   830,   990,
     500,   992,   834,  2401,  3015,  2042,   838,   998,   495,  3612,
    3613,   830,   237,    97,   182,   847,   848,   210,  2348,  1020,
    2350,   173,   854,   510,  3173,   936,  3175,   310,    88,   443,
    1021,  1022,   864,   117,   972,   946,   223,   353,   137,    95,
    2479,  1883,  4662,   976,   183,   339,  2133,  2134,   880,  2498,
      99,  4755,  4756,   508,  3316,  3317,   192,  2144,   115,   184,
     892,  2148,   372,   436,   896,   376,    72,     0,   975,  2156,
    2157,   209,   508,   267,   160,   907,   434,   511,   372,   136,
      86,   219,  2169,  2170,  3681,  1806,  1087,  3985,   312,   508,
     401,   401,   424,  2180,   926,  1103,   465,   830,   147,  1103,
     932,   160,   340,   476,   936,   154,   245,   508,   510,   208,
    3713,   185,   312,   231,   946,   947,  1117,   160,  3311,   231,
     952,  3314,  3315,   197,   228,  3318,   225,   328,  2160,  2161,
     962,  3324,   181,   449,   236,   967,   179,   325,   920,   508,
     922,   197,   269,   268,   976,   441,   511,   233,   267,   317,
     119,   490,  2720,   973,  1980,  2708,   182,   230,   454,  2049,
    1093,   508,   990,   424,   992,   389,   207,   967,   211,   267,
     990,   511,   992,   210,   233,  1066,   237,   460,   262,  1070,
     508,  4489,  1002,   128,  3333,   424,  4494,   374,   970,  4497,
     428,  4485,   974,  1021,  1022,  4846,   508,  3346,  1199,  4830,
    1064,  1021,  1022,   252,  1088,  1806,   508,  2191,  4627,   269,
     403,  2099,  2100,   180,   414,   508,  4836,   417,   100,   263,
      75,    76,    77,    78,   265,  4388,   424,    82,  1060,   512,
      75,    76,    77,    78,  1066,   460,  1068,    82,  1070,   185,
    1088,    75,    76,    77,    78,   271,   267,  1066,    82,   310,
     355,  1070,  4414,   228,   353,    72,  1088,    95,    75,    76,
      77,    78,   456,  1095,    81,    82,    83,    84,    95,    86,
     228,  4975,   424,   248,   101,   244,   350,  3426,   396,   248,
    1062,   383,  1064,   197,   396,   389,   312,  3006,  4225,    14,
     248,   332,   267,   379,   495,   496,   497,  2018,   499,   500,
     501,   502,   503,   504,   192,  2055,   194,   425,   508,   267,
     310,  4942,  4542,   425,   387,   261,   372,   286,   512,   326,
     379,    14,   991,  1155,  1156,   368,   995,   996,   997,   217,
     230,   385,   444,   151,   153,   361,  1005,   456,  2890,  2891,
    4759,  1141,  1253,  2895,    99,    75,    76,    77,    78,  4951,
     449,   394,    82,  1264,   180,   105,  4745,  1191,   456,   197,
    1160,   180,   228,   467,   175,   310,   403,  2010,   417,   442,
     197,   189,   499,   500,   501,   502,   503,   504,  2021,  2653,
     262,   424,   248,  2935,  2936,   401,  4833,   511,   474,   241,
    2033,   515,  5012,   180,  2284,  2054,  5016,  2798,  1327,   460,
    4141,   267,  4632,   508,   219,  1205,   192,   448,   194,   222,
    4151,   975,   976,  1324,  4722,   474,   330,  2018,   121,   462,
     466,  1253,  4170,   509,   312,   220,   512,   394,   328,   317,
     241,   474,  1264,   378,   322,   456,   405,   192,  5058,   499,
     500,   501,   502,   503,   504,  2166,  2334,   299,   394,   248,
     509,   151,  4137,   512,   508,  1287,   401,   424,  4132,   151,
     460,   211,   376,   137,  4149,   508,  1539,   365,   171,    71,
      72,  4890,   287,    75,    76,    77,    78,    79,    80,    81,
      82,   456,   121,  3170,    86,   511,   312,   401,   299,   189,
    3177,   302,  1324,   312,   510,   462,  1403,   189,   456,   506,
     424,   339,  2581,   510,  4887,  4888,   180,   474,   454,  4019,
      85,   182,   339,    88,   309,  4118,  4566,   417,  4748,  4122,
    2386,  2386,   340,  4566,  2366,    51,   151,    95,  4758,   434,
     317,  1363,   171,   101,   372,   348,   322,   512,   113,  1103,
     392,   508,   352,    69,   119,   372,  1378,   456,   434,  4643,
    1382,  1383,   440,  1385,   512,  4649,   228,   260,  4977,  2737,
    1621,  1393,   450,   401,   189,  2166,   182,  1713,   143,  1401,
     468,  1713,  2741,   372,   401,  2747,   248,   376,   180,   175,
     332,   392,  1382,  1383,    85,  1385,  1406,    88,  1408,  3469,
     456,  1411,   326,  1413,   248,   267,  1416,  1417,  1418,   508,
     271,  1401,   401,   155,  3172,  1437,   511,   310,  2637,  1429,
     428,  2690,  2691,  2692,  2693,  2051,    85,   209,  1450,    88,
    1452,   260,  1442,  2702,  1444,   511,   436,  1635,  1636,   197,
    1638,  1635,  1636,  1465,  1638,   109,  1468,  1955,   312,  3788,
     340,   312,   194,   317,   160,   241,   512,  1479,   340,   332,
    3947,  1652,  5035,   508,  3505,   271,  1974,   249,  4821,  5078,
     374,  3688,  3855,   508,   266,  3016,   476,  1449,  3861,  3862,
    2731,   310,   174,   248,   508,   474,  1508,  3172,   489,   353,
    2497,   299,   499,   500,   302,   415,   416,   390,   290,  1609,
     361,   332,    25,   367,   269,   270,   312,   508,   338,  3100,
    3253,   229,    35,   299,  1536,  1537,   302,  1539,   391,   172,
     237,  2553,  1576,  1577,   188,   340,   383,   233,   372,  2561,
    1552,  2563,   376,   219,  1556,  1609,   273,  3262,   428,  2450,
     103,   104,  3994,  2550,  3996,  1404,   428,   408,  1407,  1609,
     315,  1410,   175,  1412,   297,   361,  1415,   401,   299,   251,
    1419,   390,   107,   328,  2571,   274,  3455,   509,  1590,   511,
     474,  1593,   129,   310,  4505,  4506,  1598,  1599,   269,   511,
     137,   339,  2859,   515,   392,   449,  1608,  1609,  1662,  1663,
    1664,   385,  4680,   310,   456,  2602,  4949,   160,   455,  4951,
    1609,   287,  1662,  1593,  1576,  1577,   392,   511,  1598,  1599,
     269,   134,   339,   428,   372,  1637,   179,  1727,   241,  1641,
    1642,   183,   339,   341,   361,  1663,  1664,  1681,    95,   230,
     474,  2908,  4434,  1752,   101,   180,  4763,   328,   324,  1713,
    1662,  1663,  1664,   401,  1835,   298,  1720,   300,   211,  1403,
     512,   392,  5026,  1727,   175,   372,   192,   258,   194,  2450,
     454,  1683,  2939,  2496,   184,    85,   403,  1727,    88,   328,
      75,    76,    77,    78,   401,  1713,   299,    82,   509,   302,
     511,   217,  1720,   245,  1674,  1675,  1609,  3411,   406,  2381,
    3414,  1713,   183,   232,    88,    88,  4489,  2974,  1720,  1721,
    2716,  4494,  3110,   489,  4497,  1727,   436,   499,   500,  1681,
    1700,  1701,  1734,   190,  3178,   134,   135,   454,  1727,   113,
     241,  1475,  5006,   200,  5098,  1734,   192,  4529,   194,  4531,
     197,   423,   424,   290,   499,   500,   501,   502,   503,   504,
     263,  1495,  4535,   460,  3340,  1767,   476,   162,   268,   143,
     143,   290,    71,  1775,   245,   456,  4208,  4209,  1767,   436,
      79,    80,   365,  4851,  2545,   360,    14,  1757,  4370,   392,
    2802,  1525,   145,  4563,  4379,  1765,   313,   314,   299,  3141,
     153,   317,  1804,  2723,  1808,  1539,   322,  1811,  4390,    37,
    3532,   386,   395,  3535,  3536,  3537,  3538,  3539,  3540,  3541,
    3542,  3543,  3544,  4593,  1727,   368,  4737,   508,   499,   500,
     501,   502,   503,   504,   273,   508,   231,  2723,   219,  2600,
    2760,   424,   223,  3565,    72,    88,  1816,  1937,   248,  1819,
    1820,   394,  1856,   152,    88,  1857,  1860,   496,   497,   339,
     499,   500,   501,   502,   503,   504,   312,   312,   223,   269,
     113,   310,  3594,  3595,  2760,  1877,   322,   394,   233,   113,
     506,   424,   339,  1937,  3741,   468,   489,   513,  2006,   512,
     394,   392,   372,   248,  1896,   269,  3467,  1937,  3129,  4672,
     143,  1635,  1636,   202,  1638,   508,   287,   424,   427,   143,
     429,   385,  1914,  1883,   359,   372,   474,  3717,  1999,   462,
     424,   401,   511,   466,   440,   387,    85,  2008,   328,    88,
     512,   474,   172,   452,   450,  1937,   387,  2108,   514,   413,
    1942,  4304,  4305,   324,  2126,   462,   105,   330,  1937,  4722,
     335,  3157,  2055,   511,   253,  1957,   339,   474,   462,   339,
      85,   387,   229,    88,   403,   508,    75,    76,    77,    78,
     495,  1973,    41,    82,  3527,  4153,   438,  2054,  2294,  3185,
     105,   506,  2294,   508,   509,   510,   511,   438,   113,   372,
     257,   508,   372,   389,   119,  3007,  3574,  1999,  3551,   323,
    3889,  3004,   326,  2005,   508,   272,  2008,  3395,  2010,  2011,
     182,   263,   438,   253,  2095,   454,  3404,   284,   143,  2021,
     474,   401,   389,   475,  2125,   361,   381,   509,   508,   511,
     426,  2033,  2034,  2132,  1937,   269,   270,   373,  2184,  2116,
    2042,  2187,   494,  2045,  3749,   344,  2116,  2116,  2116,    75,
      76,    77,    78,  2055,  2116,   456,    82,   511,   298,   426,
     300,   397,  3766,  3767,   506,  2956,    75,    76,    77,    78,
     512,   126,  2042,    82,  2064,  2045,  2066,  3490,   474,   475,
    2070,   315,  2072,   255,   467,  2075,  3791,  3007,   438,  2079,
     394,  3554,  3555,  2095,   355,   495,   496,   497,   228,   499,
     500,   501,   502,   503,   504,   507,   182,   474,   475,   511,
     269,  3689,   508,  2785,  2204,   382,    81,   172,   248,   244,
     424,    86,     2,   248,   475,   499,   500,   501,   502,   503,
     504,  2133,  2134,     5,   509,    16,  1287,   512,   310,  2141,
     312,   508,  2144,   494,   269,   270,  2148,   223,   447,  3497,
    2204,  2153,  2313,    25,  2156,  2157,   455,   508,   462,   458,
    3359,   286,  2164,    35,  2204,  2167,  2168,  2169,  2170,   328,
     474,  3158,   475,   153,  4175,  2177,  2178,  4950,  2180,   255,
    2182,  2183,  3592,  3905,  2186,  2956,   232,   312,    71,   321,
     315,   494,  4974,  2296,  4083,   250,    79,    80,    71,    72,
    2202,  2203,  2204,   328,   508,   508,  2208,  3127,   317,    89,
    2212,   468,  4644,  4080,  2216,  2204,  2218,  2219,  2220,  2221,
    2222,  2223,  2224,  2225,  2226,   427,  2228,   429,   339,  2411,
    3968,  2413,  2234,  4596,   310,  2237,   312,  3224,   507,   161,
    2294,  3127,   511,   298,   290,   300,   506,  4566,   508,   219,
     510,  3953,   232,   223,   339,   310,  3027,    75,    76,    77,
      78,   372,   134,  3494,    82,   499,   500,   501,   502,   503,
     504,   251,   391,   153,   152,    85,  2294,  2339,    88,   159,
     405,   128,   223,   338,  3097,  3098,   223,   372,  2406,  2460,
     401,   317,  2294,   275,  2348,   105,  2350,  2299,    97,  1450,
     147,  2204,   243,    34,  3561,   185,   243,   229,   317,   509,
     290,  2401,   512,  3757,   161,   232,   401,   287,   117,   365,
    2054,     7,   377,   201,   196,   508,  3714,  3715,   434,   427,
    2348,   429,  2350,    19,    20,   257,   495,   496,   497,   438,
     499,   500,   501,   502,   503,   504,  2348,  2401,  2350,   438,
     272,   331,   374,    39,   324,  4674,    42,   412,   511,   512,
    2441,  2401,   284,  4085,  4086,   212,   391,  2448,  2370,   161,
     495,   496,   497,   290,   499,   500,   501,   502,   503,   504,
     297,   427,  2116,   429,   326,   307,  2388,  3383,  2390,   331,
     297,   263,   326,   339,   297,  2397,  2366,   331,   251,  2401,
    2402,   279,   280,  2405,   326,   207,   452,    75,    76,    77,
      78,   339,  2401,   157,    82,   293,  2386,   219,  2388,   513,
    2390,   223,   468,  2541,    85,  2427,   372,    72,  2430,  2381,
    3243,  2521,   474,   475,  4005,  4006,  4007,   229,   243,  2441,
    3360,   150,  3362,  3655,   372,   438,  2448,   427,   376,   429,
      98,   501,   502,   503,  1808,   401,   468,  1811,   438,   269,
     382,   339,   125,   265,  2518,   257,  2468,  2521,  3622,   449,
     156,   391,   452,   401,  3360,  2209,  3362,  2479,  2518,   275,
     272,  2521,   514,  2485,    85,   287,  3498,    88,  2490,  2491,
    2479,   508,   284,  2495,  2496,   508,   503,   145,  2401,   317,
    2502,   508,  1856,   510,   105,  3425,  1860,   193,    86,   506,
     427,   508,   429,  1224,   365,   307,  2518,  2519,   328,  2521,
     385,   386,   324,  3625,  3626,  1236,   174,  1238,   127,  2518,
     332,   509,  2521,   511,   456,   452,   509,   426,   511,  3425,
    2542,   468,  2544,  2545,   395,   326,  2548,   195,   426,   503,
     428,   389,   511,  2542,   508,  4133,   510,   125,   206,   389,
     159,  3374,  3333,  3376,  2566,   385,   386,  4617,  2676,   508,
    1721,   510,  2662,   424,  2576,  3346,   339,   225,  2907,   115,
    2909,  2910,   230,  2553,   271,   474,   475,  2589,   426,  4167,
     382,  2561,   508,  2563,   510,    71,   426,  2599,  2600,    75,
      76,    77,    78,    79,    80,  2339,    82,   275,  2662,   372,
     509,   329,   511,   376,   491,  2518,   215,   468,  2521,   508,
     510,   509,  2662,   511,  1775,    71,    72,   329,   276,  4518,
     389,   326,  2994,    79,    80,   223,   474,   475,   401,   434,
      86,  2643,  3848,  2645,   474,   475,   448,   246,   509,   297,
     511,   389,   509,  1804,   511,    75,    76,    77,    78,   509,
    2662,   511,    82,   509,   326,   511,  2668,   426,   269,   491,
     508,  2673,   509,  2662,   511,  4413,  3489,   509,   508,   511,
     509,  4091,   511,   282,   115,   495,   496,   497,   426,   499,
     500,   501,   502,   503,   504,   509,  2939,   511,   509,   175,
     511,   474,   475,  2705,  4275,  4276,   329,  4278,   356,   492,
     493,   474,   509,   312,   511,   474,   475,   314,  2720,   491,
     509,  2723,   511,  4314,  4446,  4316,  1877,   328,  3977,  4320,
     509,  4322,   511,  4455,   271,   383,   474,   475,   509,   501,
     511,   389,   511,   512,   121,  1896,   227,   395,    71,   508,
    4472,  4473,   632,   474,   475,  2836,    79,    80,  2760,  2662,
     180,  2842,   509,  1914,   511,   241,  2768,  2979,  2980,  2981,
     508,   511,   509,    96,   511,   508,   424,   376,   426,   378,
      85,   380,   509,    88,   511,   162,   509,   386,   511,   509,
     427,  1942,   429,   509,   393,   443,   125,   394,   389,   427,
     105,   429,   401,  3046,   228,   389,  2808,   267,   113,   186,
    4067,   410,   512,   509,   119,   511,   501,   514,  2820,   418,
     468,  1455,  1456,   299,   201,  2915,   302,   424,   205,   152,
    2832,  2921,  2802,  2785,  2836,   426,   514,   509,   143,   511,
    2842,   263,   426,   509,   434,   511,    85,   224,   434,    88,
     227,   509,   434,   511,  2005,   434,   508,  2859,  2860,   434,
     203,  2915,   239,  2865,   108,   462,   105,  2921,   125,   263,
     469,    75,    76,    77,    78,  2915,   269,   474,    82,   202,
     434,  2921,    86,   474,   475,   389,   508,   401,  2890,  2891,
     474,   475,   389,  2895,   495,   496,   497,   510,   499,   500,
     501,   502,   503,   504,  2985,  2907,  2908,  2909,  2910,   212,
     508,   508,   509,  2915,   477,   512,   392,   508,  2920,  2921,
     248,  2923,   426,  2925,   508,   248,  2915,   508,   326,   426,
     253,   212,  2921,  2935,  2936,   212,   509,  2939,   511,   244,
     317,  4311,   509,   248,   511,   509,  3023,   511,   325,   509,
    2952,   511,  2954,  3023,  3023,  3023,  2958,   509,  4660,   511,
     510,  3023,  3043,   223,   269,   270,    75,    76,    77,    78,
     474,   475,  2974,    82,  4696,   212,   180,   474,   475,   326,
     512,   286,   359,  2985,   285,  2987,  2988,  2989,   182,  4377,
       2,   509,   509,   511,   511,   875,   326,   509,  4010,   511,
      85,   456,   508,    88,   508,  3007,   509,   312,   511,  3011,
     315,   508,  2915,   489,   509,   438,   511,  3788,  2921,   468,
     105,   344,  3024,   328,   321,   391,   331,  3029,   113,   509,
     269,   511,   275,  3035,   119,   508,   358,  3007,   137,  4193,
    4450,  3043,   137,   108,   143,   499,   500,   501,   502,   503,
     508,  2202,   932,   933,   153,   509,   474,   509,   143,   511,
     383,   509,   312,   511,    85,   477,   509,    88,   511,   115,
     312,   180,    75,    76,    77,    78,   509,   115,   511,    82,
    3082,   180,   509,   182,   511,   443,  2237,   967,   339,   328,
     499,   500,   501,   502,   503,  3097,  3098,   223,   507,   422,
     405,  3103,   150,    75,    76,    77,    78,   468,  4168,  4847,
      82,    75,    76,    77,    78,  3928,  3929,   509,    82,   511,
     468,   509,  3124,   511,   447,  3127,   356,   509,  3130,   511,
     513,   509,   455,   511,   212,   458,    75,    76,    77,    78,
     509,   212,   511,    82,  4715,  1025,   509,    89,   511,   508,
    3204,  3205,  3206,   212,  4725,   167,   255,   477,   509,   244,
     511,   212,   212,   248,  3204,  3205,  3206,   509,   212,   511,
    3172,  3173,   511,  3175,  1054,   187,   509,   180,   511,    75,
      76,    77,    78,  1063,   269,   270,    82,  1067,  1068,  1069,
     495,   496,   497,   212,   499,   500,   501,   502,   503,   504,
     424,   286,  3204,  3205,  3206,  2939,   511,   509,  4779,   511,
     509,   212,   511,   312,   326,  3204,  3205,  3206,   317,  2953,
     509,  3223,   511,   212,   509,  4613,   511,   312,   212,  3231,
     315,  3233,  3234,   212,   509,  4605,   511,   509,  2972,   511,
     509,  3243,   511,   328,   326,  4502,   331,   509,   269,   511,
     509,  2985,   511,   212,   353,  3345,   495,   496,   497,   212,
     499,   500,   501,   502,   503,   504,   108,  4158,   367,   224,
      75,    76,    77,    78,   508,  1155,  1156,    82,   285,   223,
    1160,    75,    76,    77,    78,  3287,   223,  4697,    82,  3023,
     326,  3345,  4435,  4436,  4437,  4438,   509,  4868,   511,  4311,
     508,  3204,  3205,  3206,  3306,  3345,   509,   328,   511,  3043,
    3312,   509,  3046,   511,   223,   508,  3434,  3437,   349,   509,
     405,   511,  1107,  4123,  1109,  4125,   508,   508,   508,   508,
    3332,  3333,   508,   508,  2485,   508,   508,   508,   508,  2490,
    2491,   508,   508,  3345,  3346,  3407,   508,   508,   508,   508,
     449,  2502,   508,   508,  3416,   508,  3345,  4767,  3360,  3602,
    3362,  4771,  4772,  3333,   508,   508,   508,  4363,   508,   508,
    3613,   508,  3374,   336,  3376,  3437,  3346,   511,   108,   163,
     267,   285,   108,   269,   223,   223,   324,  4158,  3469,   322,
     401,  4311,  3604,  3605,  3606,  3607,   501,   263,   392,   302,
     511,  4600,  4790,   179,   511,   495,   455,    14,  3410,   511,
     495,   496,   497,   389,   499,   500,   501,   502,   503,   504,
    4768,   508,   508,  3425,  3426,   508,   511,  4769,  4524,   434,
     434,   510,   434,   389,   434,   207,  4775,  3439,  4777,   434,
     153,   434,  3345,   434,  4701,   212,   389,   219,   326,   282,
     317,   223,   393,  3455,   434,   145,   434,   434,   455,   322,
     253,   326,   153,   508,   434,   434,   508,  3469,   511,   339,
    3472,   212,   174,   456,   495,   496,   497,  3567,   499,   500,
     501,   502,   503,   504,   434,  3437,   434,  3489,   456,   434,
    3492,   125,   125,   265,  2645,   330,   114,   114,  1378,   434,
     434,   389,  1382,  1383,   434,  1385,  3508,   434,   434,  3511,
     434,   434,   511,  3567,   434,   287,  3518,   326,   326,   477,
     269,  1401,  3524,   474,  3526,   465,   508,  3567,  3498,  3531,
    3532,  3612,  3613,  3535,  3536,  3537,  3538,  3539,  3540,  3541,
    3542,  3543,  3544,  4913,   108,   107,  3548,  3549,   508,    97,
     212,   508,   324,   326,  3556,   312,   508,   180,   456,  3561,
     332,   212,   467,  3565,    89,  3567,  1446,  3569,   293,  2720,
     322,   108,   312,   223,   108,   275,   508,  3579,  3567,   510,
    3582,   212,  3584,   390,   212,   456,   212,   456,  1468,    14,
    3592,  3593,  3594,  3595,   511,   316,   212,  3599,   212,   321,
    3602,   474,   434,   228,   432,  4663,   508,   508,   470,   491,
    3612,  3613,   304,    88,   511,   304,   401,   432,   508,   508,
    4877,  3623,   434,   228,   508,   436,   511,   495,   511,  3631,
     509,  3633,  3713,   242,  4736,   265,   242,   511,   403,   108,
     327,   273,   167,   456,    34,  4536,    10,   511,   509,  3810,
     509,  1287,   509,   434,   434,   389,   152,   389,   127,   508,
     456,  1541,   187,   273,  3567,   273,   434,   508,   317,  2820,
    1642,  1551,   317,  3407,  3676,   434,   448,   438,  2890,  2891,
    3682,  1561,  3416,  2895,  4575,  4605,  3688,   434,   391,   468,
     159,   275,  5040,   317,   115,   333,   408,  3787,   325,  3789,
     372,   434,   372,  3437,   326,   511,   434,   389,   243,   361,
    1590,  3713,   398,  1593,  1594,   434,   434,   269,  1598,  1599,
     108,   456,   269,  2935,  2936,   269,   269,   456,   269,  3783,
     325,   495,   107,  3787,   506,  3789,   506,   509,   510,   434,
     506,   434,  3744,  3783,   495,   212,   215,  3787,   468,  3789,
     223,   225,   322,   508,   398,    95,   212,   211,   508,   474,
     108,   101,   240,   326,   502,  4536,   326,   108,   240,   212,
     223,   326,   326,   223,   511,  3865,   477,   246,   398,    96,
     248,  3783,   248,   248,   511,  3787,  3788,  3789,   511,   234,
     301,   125,   438,   326,  3783,  4566,   275,   511,  3787,   321,
    3789,   141,   468,  1683,  4575,   424,   275,   511,    98,   228,
     509,  3865,   509,   282,  1450,   509,   491,   343,  3788,   228,
     491,   509,   434,   471,   509,  3865,  3828,   335,   509,  3831,
     509,   509,   509,   509,    90,   509,  2987,  2988,  2989,    90,
     509,   131,   509,   312,   509,   509,   509,   508,   508,   462,
     190,   454,   379,   495,   144,   512,   471,   197,   511,   495,
     200,   287,   509,  3865,   326,   329,   509,   157,  3602,   326,
     511,   508,   251,   508,   212,   434,  3865,   477,  3612,  3613,
    3783,   434,   259,   434,  3787,   317,  3789,   212,   434,   330,
     212,   287,   344,  4889,   434,   344,   453,   295,   434,   389,
    3962,  3871,  3872,  3905,   434,   195,   848,   376,   295,   295,
     434,   380,   854,   253,   434,   434,   206,   386,   434,   434,
     434,   434,   864,   312,   393,   434,  3928,  3929,    95,   389,
    3932,   389,   401,  3935,   101,   225,   212,   434,   389,   114,
     230,   410,  4004,   434,   509,   269,   401,   508,   269,   418,
     892,   269,  1832,   302,   896,   967,   506,   287,   443,   115,
     509,   374,  3865,   495,   509,   907,  3968,  3969,  3970,   511,
     310,   173,   312,   511,   141,   325,   988,   508,   990,  3130,
     992,   509,   322,   326,   108,   237,   998,   999,  1000,   223,
     330,   509,   434,  4913,  4885,   456,   389,   456,   389,   339,
     469,   511,    95,  4185,   473,   474,   389,   297,   101,  1021,
    1022,  4013,   127,   329,   210,  1895,   210,   506,  4179,   173,
     269,  3172,  3173,   190,  3175,   203,    88,   228,  4030,   509,
     197,   223,   372,   200,   467,   135,   376,  4118,   328,   509,
    4010,  4122,   228,   236,   159,   327,   509,   223,   141,   108,
     456,   456,   434,   259,   434,   223,   495,   389,   443,   443,
     508,   401,   509,   509,   495,  4067,   356,   511,   508,   434,
    4231,   509,   509,   509,   509,  4077,  4078,   511,  4080,  1959,
    3231,   508,  3233,  4085,  4086,  1721,   253,   434,  4090,  4091,
     508,   389,   434,   509,  4096,  4097,   143,   190,  4100,   389,
     215,   434,   509,  4165,   197,   395,   509,   200,   398,   212,
     173,   269,   443,   508,  4885,   509,  4118,   269,   273,   459,
    4122,   474,   357,   398,   223,   477,   507,   254,   148,  1141,
    4132,   246,   508,   511,   424,  4137,  3287,   508,   511,  4501,
     430,   509,   426,   310,   511,   312,   508,  4149,  1160,   434,
      85,   509,   398,   443,   233,   322,   228,   269,   269,   269,
     253,  3312,  2042,   330,   269,  2045,   366,   282,  1804,   125,
     509,  4225,   339,  4175,   228,   472,   472,  4338,   468,   508,
     272,   509,  3333,  4153,   511,  4225,  4188,   334,   272,   509,
     509,   125,   238,  1205,   508,  3346,  2168,   312,   508,   322,
     509,   509,   495,   434,  4206,  4175,   228,   474,   253,   376,
    2182,   143,   495,  1155,  1156,   443,   317,   310,   434,   312,
     317,   212,   511,  4225,   339,   511,   269,   507,  3962,   322,
     230,   228,  4234,   456,   401,   248,  4225,   330,   456,   108,
     198,  1877,   474,  4245,   470,    95,   339,   508,  4250,   474,
     228,   101,   256,   508,   329,  4257,   228,   372,   508,  3410,
    1896,   376,   366,   508,   461,   380,   411,   509,   509,   508,
    4004,   386,   508,  2153,   272,  3426,   342,   326,   393,   372,
     509,   367,   473,   376,  4365,   509,   401,   509,  3439,   508,
     434,   141,   459,   434,  4296,   410,   508,   474,   223,   187,
     317,   108,   317,   418,   296,   251,  1942,   357,   401,  4311,
     508,   211,   108,   508,   330,   386,   386,   125,   332,   509,
    3532,   508,  4225,  3535,  3536,  3537,  3538,  3539,  3540,  3541,
    3542,  3543,  3544,   495,   125,   509,   508,   508,   456,   310,
     190,  4311,   326,   426,   509,    82,   398,   197,   218,   357,
     200,   137,  4354,   329,   469,   137,   193,    85,   460,   366,
    3511,   511,   108,  4365,   228,   461,   459,   223,   364,  2005,
    1382,  1383,   198,  1385,   253,   326,    85,   471,   326,    88,
    3531,   108,  3594,  3595,  4118,   474,   508,  2267,  4122,  1401,
     108,   329,   329,   509,   508,   508,   125,   385,   185,   454,
     509,   509,    82,   253,   113,  3556,   385,    94,  4489,   105,
     119,  4413,   211,  4494,   357,   372,  4497,   508,   508,  1859,
    1202,  2674,  1599,  3007,  2528,  3185,  3787,  2593,  3329,  3864,
    4782,  4165,  4434,  4913,   143,  4603,  4656,  3926,  4660,  4356,
    4642,  3592,  3104,  2790,  4446,  4981,  4535,  5039,  4450,  4927,
    4926,  4997,  4831,  4455,  4535,  3108,  3918,  2665,  2665,  3783,
     310,  3205,   312,   988,  1960,   990,  2659,   992,  3397,  5044,
    4472,  4473,   322,   998,  4476,  5111,  5103,  3345,  4637,  5008,
     330,  3332,  3633,  4577,  1950,  4901,  4989,  4489,  4580,   339,
    2370,  1438,  4494,  4574,   187,  4497,  1021,  1022,  4013,  4744,
    4502,  4503,  2491,  3968,  4847,  3966,  2386,  3290,  2388,   933,
    2390,  5021,  5105,  4603,    78,  1082,  4822,  2297,  2296,  3951,
      84,  2055,   372,  4166,  3023,    89,   376,  4529,  2335,  4531,
    4520,  3686,  2773,  4535,  1627,   244,  4617,  3024,  1396,   248,
    1644,  1097,  1645,  4513,  2337,  3035,  3030,  1647,  2336,  4603,
    3043,   401,  3613,   117,  3051,  4110,  4124,  4723,  1087,  3612,
     269,   270,  3687,  4603,  4566,  3577,  2202,  4699,  1652,  3569,
    4968,  4972,  4574,  4969,  3027,  2953,  2861,   286,  3682,  2951,
    2234,  1593,  3434,  1331,  4646,  2724,  1598,  1599,   632,  1993,
    4959,  4672,  1664,  2370,  2474,   969,  4566,   381,   162,  2345,
    1658,  4603,  1178,  4605,  1449,  2379,   315,  3001,  2378,   459,
    2386,  3693,  4152,  3694,  4603,  4617,  1141,  3660,  2786,   328,
     414,  1662,  2390,  2084,  1573,     2,  1382,  4168,    -1,  1001,
    1155,  1156,    -1,    -1,    -1,  1160,    -1,  3788,    -1,    -1,
      -1,  4722,    -1,    -1,    -1,   209,  1158,    -1,    -1,    -1,
      -1,  1158,    -1,   217,    -1,   219,    -1,    -1,    -1,    -1,
    1672,    -1,  1674,  1675,    -1,    -1,    -1,   231,    -1,    -1,
    4672,    -1,  4674,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    1205,  1693,    -1,    -1,    -1,    -1,    -1,    -1,  1700,  1701,
      -1,    -1,    -1,  3905,  4696,  4697,   405,  4699,    -1,  4701,
    4603,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4763,
      -1,    -1,    -1,    -1,    -1,    -1,  4718,    -1,    -1,    -1,
    4722,    -1,    -1,  4763,    -1,  4727,    -1,  4808,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  1683,    -1,    -1,  2624,  1757,    -1,    -1,    -1,    -1,
      -1,    -1,  2632,  1765,    -1,  4489,    -1,    -1,    -1,    -1,
    4494,  4763,    -1,  4497,    -1,  4767,    -1,  4829,    -1,  4771,
    4772,    -1,    -1,    -1,  4763,    -1,    -1,    -1,    -1,    -1,
      -1,  3932,    -1,    -1,    -1,    -1,   495,   496,   497,    -1,
     499,   500,   501,   502,   503,   504,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  1816,    -1,  4808,  1819,  1820,  2689,
      -1,    -1,    -1,    -1,    -1,    -1,   380,  3968,  5061,    -1,
      -1,    -1,    -1,    -1,    -1,  4827,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  2717,    -1,    -1,
      -1,    -1,    -1,  2723,    -1,  4847,    -1,    -1,    -1,    -1,
      -1,   415,  4854,    -1,    -1,    -1,    -1,    -1,  4939,    -1,
    4763,    -1,    -1,    -1,    -1,    -1,  2502,    -1,    -1,  4950,
      -1,  1883,    -1,  4085,  4086,  4877,  1401,    -1,    -1,    -1,
    2760,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  4894,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  4984,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  4913,  4646,    -1,    -1,  1857,    -1,    -1,  2890,  2891,
      -1,    -1,    -1,  2895,    -1,    -1,    -1,    -1,    -1,  4080,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  4939,    -1,    -1,
    4091,    -1,    -1,    -1,  5021,    -1,    -1,  5009,  4950,    -1,
      -1,  5021,  5021,  5021,    -1,    -1,    -1,    -1,    -1,  5021,
      -1,    -1,    -1,  2935,  2936,    -1,  5056,    -1,    -1,  4971,
    4972,    -1,  4974,    -1,    -1,    -1,    -1,    -1,    -1,  1991,
      -1,  4132,  4984,    -1,  5061,    -1,  4137,    -1,  4722,    -1,
      -1,  5061,  5061,  5061,    -1,    -1,    -1,    -1,  4149,  5061,
      -1,    -1,  5056,    -1,    -1,    -1,    -1,    -1,    -1,  2645,
      -1,    -1,    -1,  5103,    -1,  1957,  5056,    -1,    -1,    -1,
      -1,  5111,    -1,    -1,  5026,    -1,  5107,    -1,  5105,    -1,
    2042,  1973,    -1,  2045,  5036,  5105,  5105,  5105,    -1,    -1,
      -1,    -1,    -1,  5105,    -1,    -1,    -1,    -1,    -1,  5103,
      -1,    -1,    -1,    -1,  5056,  4206,    -1,  5111,    -1,    -1,
      -1,    -1,    -1,  5103,    -1,    -1,    -1,  5056,  1593,  2011,
      -1,  5111,    85,  1598,  1599,    88,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  4234,    -1,    -1,  5056,    -1,    -1,    -1,
      -1,    -1,  2034,    -1,    -1,  4829,  5098,    -1,    -1,  4250,
     113,  5103,    -1,    -1,    -1,  5107,   119,    -1,    -1,  5111,
      -1,    -1,    -1,    -1,  5103,    -1,    -1,    -1,    -1,    -1,
      85,    -1,  5111,    88,    -1,    -1,    -1,  3007,    -1,    -1,
     143,    -1,    -1,  5103,  2146,  2147,    -1,    -1,    -1,    -1,
     105,  5111,  2154,    -1,    -1,  4296,  2158,  2159,   113,    -1,
      -1,    -1,    -1,  5056,   119,    -1,    -1,    -1,  1683,    -1,
      -1,  2173,    -1,  2175,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   143,    -1,
      -1,    -1,    -1,    -1,  2820,  2197,    -1,  2199,    -1,    -1,
      -1,    -1,   205,    -1,    -1,    -1,    85,    -1,   849,    88,
    5103,    -1,    -1,    -1,    -1,    -1,   857,    -1,  5111,    -1,
      -1,    -1,    -1,    -1,   865,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   873,    -1,   113,    -1,    -1,   878,    -1,    -1,
     119,   244,  1757,    -1,  4446,   248,    -1,  2249,    -1,    -1,
    1765,    -1,    -1,    -1,    -1,    -1,    -1,  3127,    -1,    -1,
      -1,    -1,    -1,    -1,   143,    -1,   269,   270,    -1,    -1,
    4472,  4473,  4413,    -1,    -1,    -1,   830,    -1,    -1,    -1,
     834,    -1,    -1,   286,    -1,  5009,    -1,    -1,    -1,   244,
      -1,    -1,    -1,   248,   848,    -1,    -1,  5021,    -1,    -1,
     854,  1816,    -1,    -1,  1819,  1820,    -1,    -1,    -1,  4450,
     864,  2313,   315,    -1,   269,   270,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   328,    -1,    -1,    -1,    -1,
      -1,   286,    -1,    -1,    -1,    -1,    -1,  5061,   892,    -1,
    3210,    -1,   896,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   907,    -1,    -1,    -1,   312,    -1,    -1,
     315,    -1,    -1,    -1,  2366,   244,    -1,    -1,  1883,   248,
      -1,  3241,    -1,   328,    -1,    -1,   331,    -1,   932,    -1,
      -1,  5105,    -1,    -1,  2386,    -1,  2388,    -1,  2390,    -1,
     269,   270,  1033,   947,    -1,    -1,    -1,    -1,   952,    -1,
      -1,    -1,   405,    -1,    -1,    -1,    -1,   286,   962,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3289,
      -1,    -1,   976,    -1,  1065,  4566,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   315,    -1,  2370,    -1,
      -1,  3311,  1083,    -1,  3314,  3315,    -1,    -1,  3318,   328,
     405,    -1,    -1,    -1,  3324,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  3333,  1105,  2397,    -1,    -1,    -1,  3339,
    2402,    -1,    -1,  2405,    -1,    -1,  3346,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    3360,    -1,  3362,    -1,  4696,  2427,   499,   500,   501,   502,
     503,   504,    -1,    -1,  3130,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  1066,    -1,  1068,    -1,  1070,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   405,    -1,  3398,    -1,
      -1,    -1,    -1,  4674,  1088,    -1,  2468,    -1,    -1,    -1,
     495,   496,   497,    -1,   499,   500,   501,   502,   503,   504,
      -1,  2553,   507,    -1,  3424,  3425,  4697,    -1,   513,  2561,
      -1,  2563,    -1,  2495,    -1,  1206,    -1,    -1,    -1,    -1,
    3532,    -1,    -1,  3535,  3536,  3537,  3538,  3539,  3540,  3541,
    3542,  3543,  3544,    -1,    -1,    -1,  4727,  2519,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  1155,  1156,  3565,    -1,  3231,    -1,  3233,    -1,    -1,
      -1,    -1,  2544,    -1,    -1,    -1,  2548,   496,   497,    -1,
     499,   500,   501,   502,   503,   504,  4767,    -1,    -1,    -1,
    4771,  4772,  3594,  3595,  2566,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  2576,    -1,    -1,    -1,    -1,  2651,
      -1,    -1,    -1,    -1,    -1,  1296,    -1,  2589,    -1,    -1,
      -1,  3287,    -1,    -1,    -1,    -1,    -1,  2599,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  1318,  1319,  1320,
      -1,    -1,    -1,    -1,    -1,    -1,  3312,    -1,    71,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    79,    80,    -1,    -1,
      -1,    -1,    85,    -1,    -1,    88,  4847,    -1,  3578,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   105,    -1,    -1,   108,    -1,    -1,    -1,    -1,
     113,    -1,    -1,    -1,    -1,    -1,   119,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     143,    -1,  3632,    -1,    -1,    -1,    -1,    -1,    78,    -1,
      -1,    -1,    -1,    -1,    84,    -1,    -1,    -1,    -1,    89,
      -1,    -1,    -1,    -1,  3410,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  1436,    -1,    -1,  2313,    -1,
    2802,    -1,    -1,    -1,    -1,    -1,    -1,   117,    -1,  1363,
      -1,    -1,  1453,  3439,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  1464,  1378,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    85,    -1,    -1,    88,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  1401,    -1,    -1,
      85,  2366,   162,    88,    -1,  2370,   105,    -1,    -1,    -1,
      -1,   244,    -1,    -1,   113,   248,    -1,    -1,    -1,    -1,
     119,  2386,    -1,    -1,    -1,    -1,  2808,    -1,   113,    -1,
      -1,    -1,    -1,  1437,   119,  3511,   269,   270,    -1,    -1,
      -1,    -1,    -1,    -1,   143,    -1,    -1,    -1,  1452,    -1,
    2832,    -1,    -1,   286,    -1,  3531,    -1,    -1,   143,    -1,
      -1,  1465,    -1,    -1,  1468,    -1,    -1,    -1,  3788,    -1,
      -1,   231,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   312,
    3556,    -1,   315,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  3811,    -1,  3905,  3814,   328,  3816,    -1,   331,    -1,
      -1,    -1,    85,    -1,    -1,    88,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  1605,    -1,  3592,    -1,    -1,    -1,
     205,    -1,   105,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     113,    -1,    -1,    -1,    -1,  3855,   119,    -1,    -1,    -1,
      -1,  3861,  3862,    -1,  3864,   244,    -1,    -1,    -1,   248,
    3002,    -1,    -1,  3005,    -1,  3007,    -1,  1369,    -1,   244,
     143,    -1,  1653,   248,  3884,    -1,    -1,    -1,  1380,    -1,
     269,   270,   405,    -1,    -1,  3895,  3896,  3897,  3898,    -1,
      -1,    -1,    -1,    -1,   269,   270,  1590,   286,  2553,    -1,
     108,    -1,    -1,    -1,  1598,  1599,  2561,    -1,  2563,    -1,
      -1,   286,    -1,    -1,    -1,  1609,    -1,    -1,    -1,   127,
      -1,    -1,    -1,   312,    -1,    -1,   315,    -1,    -1,    -1,
     380,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   328,
     315,    -1,   331,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   159,    -1,   328,    -1,  3965,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   415,    -1,    -1,  1662,  1663,
    1664,   244,   495,   496,   497,   248,   499,   500,   501,   502,
     503,   504,    -1,  4085,  4086,    -1,    -1,    -1,    -1,  1683,
      -1,    -1,    -1,    -1,    -1,    -1,   269,   270,  1779,    -1,
      -1,    -1,    -1,    -1,    -1,  1786,    -1,   215,    -1,    -1,
    3082,    -1,    -1,   286,    -1,    -1,   405,  4027,    -1,  1713,
      -1,    -1,    -1,    -1,    -1,    -1,  1720,    -1,    -1,    -1,
     405,  1812,    -1,  1727,  1815,    -1,    -1,    -1,   246,   312,
    1734,    -1,   315,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  3124,    -1,    -1,   328,    -1,    -1,   331,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  1847,   275,    -1,    -1,
      -1,    -1,    -1,  1767,   282,    -1,    -1,    -1,    -1,    -1,
    1861,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  1875,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   312,    -1,   495,   496,   497,    -1,
     499,   500,   501,   502,   503,   504,    -1,    -1,    -1,    -1,
     509,    -1,    -1,    -1,   499,   500,   501,   502,   503,   504,
      -1,    -1,   405,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  4153,  4154,    -1,    -1,  2802,    -1,    85,
      -1,  3223,    88,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  3234,  1857,    -1,  4175,  3932,    -1,   376,   105,
      -1,    -1,   380,    -1,    -1,    -1,    -1,   113,   386,    -1,
      -1,    -1,    -1,   119,    -1,   393,    -1,    -1,    -1,    -1,
      -1,  3333,    -1,   401,  1975,    -1,  3338,  3339,    -1,    -1,
    1981,    -1,   410,    -1,  3346,    -1,    -1,   143,    -1,    -1,
     418,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   495,   496,   497,    -1,   499,   500,   501,   502,
     503,   504,    -1,    -1,  3306,  3377,   509,    -1,    -1,    -1,
      -1,    -1,    -1,  1937,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   469,    -1,  1957,    -1,   473,    -1,    -1,    -1,    -1,
      -1,  2052,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1973,
      -1,    -1,    -1,    -1,  4294,  4295,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  4304,  4305,    -1,    -1,    -1,    -1,
      -1,  4311,    -1,    -1,    -1,  4315,    -1,    85,   244,    -1,
      88,    -1,   248,    -1,    -1,    -1,  2010,  2011,  2099,  2100,
    4330,  4331,  4332,  4333,  4334,  4091,    -1,  2021,    -1,    -1,
      -1,    -1,    -1,   269,   270,   113,    -1,    -1,    -1,  2033,
    2034,   119,    -1,    -1,  4446,    -1,    -1,    -1,    -1,    -1,
     286,    -1,  3007,  4455,    -1,    -1,  3498,    -1,    -1,    89,
      -1,  2055,    -1,    -1,    -1,   143,    -1,    -1,    -1,    -1,
    4472,  4473,    -1,    -1,    -1,  4385,   312,    -1,    -1,   315,
     830,    -1,    -1,  3455,   834,    -1,    -1,   117,    -1,    -1,
      -1,    -1,   328,    -1,    -1,   331,    -1,    -1,   848,    -1,
    3472,    -1,  4412,    -1,   854,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   864,    -1,    -1,    -1,    -1,    -1,
    3492,    -1,    -1,    -1,    -1,  4435,  4436,  4437,  4438,    -1,
      -1,    -1,   162,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    4206,    -1,   892,    -1,    -1,    -1,   896,    -1,    -1,    -1,
      -1,    -1,  2233,    -1,    -1,    -1,    -1,   907,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   244,    -1,  4234,   405,
     248,    -1,    -1,    -1,    -1,    -1,   108,  2258,    -1,   209,
      -1,    -1,   932,    -1,  4250,    -1,    -1,   217,    -1,   219,
      -1,   269,   270,    -1,    -1,   127,    -1,   947,  2000,    -1,
      -1,   231,   952,    -1,    -1,    -1,    -1,  2009,   286,    -1,
    2204,  2013,   962,    -1,  2295,    -1,  2297,  2019,  2020,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   976,   159,    -1,    -1,
    4296,    -1,    -1,    -1,   312,  2037,    -1,   315,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3690,    -1,
     328,    -1,    -1,  2334,    -1,    -1,  4566,    -1,    -1,   495,
     496,   497,    -1,   499,   500,   501,   502,   503,   504,    -1,
      -1,    -1,    -1,   509,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   215,    -1,    -1,  4596,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  4696,  4605,    -1,    -1,    -1,  4609,
    2294,  4611,    -1,    -1,  4614,  4615,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   246,    -1,    -1,    -1,  1068,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   405,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    85,  1088,    -1,
      88,    -1,    -1,   275,    -1,    -1,  3788,    -1,    -1,    -1,
     282,    -1,    -1,    -1,  2348,    85,  2350,   105,    88,    -1,
      -1,    -1,    -1,    -1,    -1,   113,    -1,    -1,  3810,    -1,
      -1,   119,  3744,    -1,    -1,    -1,  2370,    -1,  3333,    -1,
     312,    -1,    -1,   113,  4450,    -1,    -1,    -1,    -1,   119,
      -1,  3346,    -1,    -1,    -1,   143,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  2397,    -1,  1155,  1156,  2401,  2402,    -1,
      -1,  2405,    -1,   143,    -1,    -1,    -1,   495,   496,   497,
      -1,   499,   500,   501,   502,   503,   504,    -1,    -1,  3871,
    3872,    -1,    -1,  2427,  2515,    -1,    -1,    -1,  3880,    -1,
      -1,    -1,  3884,    -1,   376,    -1,    -1,    -1,   380,  2530,
      -1,    -1,    -1,  3895,   386,    -1,  3828,    -1,    -1,  3831,
      -1,   393,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   401,
      -1,    -1,    -1,  4783,  2468,   205,    -1,    -1,   410,    -1,
      -1,    -1,    95,    -1,    -1,  2479,   418,    -1,   101,    85,
      -1,  2293,    88,    -1,    -1,    -1,   244,    -1,    -1,    -1,
     248,  2495,  2496,    -1,    -1,    -1,    -1,    -1,    -1,   105,
      -1,    -1,    -1,    -1,   244,    -1,    -1,   113,   248,    -1,
      -1,   269,   270,   119,  2518,  2519,    -1,  2521,   141,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   469,   286,   269,
     270,   473,    -1,  3498,    -1,    -1,    -1,   143,  2542,    -1,
    2544,    -1,    -1,    -1,  2548,    -1,   286,    -1,    -1,    -1,
      -1,    -1,    -1,  3935,   312,    -1,    -1,   315,  4010,    -1,
      -1,    -1,  2566,    -1,    -1,    -1,    -1,   190,    -1,    -1,
     328,    -1,  2576,   331,   197,   315,    -1,   200,    -1,    -1,
      -1,  2672,    -1,    -1,    -1,  2589,    -1,    -1,   328,    -1,
      -1,    -1,    -1,  4913,    -1,  2599,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  1363,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1378,    -1,
      -1,  4697,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     253,  4013,    -1,    -1,    -1,    -1,    -1,    -1,   244,    -1,
      -1,  1401,   248,    -1,    -1,    -1,    -1,   405,    -1,    -1,
      -1,  4727,    -1,    -1,    -1,    -1,    -1,    -1,  2662,    -1,
      -1,    -1,    -1,   269,   270,   405,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  1437,    -1,    -1,
     286,    -1,    -1,    -1,    -1,    -1,    -1,   310,    -1,   312,
      -1,  4767,  1452,    -1,    -1,  4771,  4772,    -1,    -1,   322,
      -1,  4153,    -1,    -1,    -1,  1465,   312,   330,  1468,   315,
      -1,    -1,    -1,    -1,    -1,    -1,   339,    -1,    -1,  2723,
      -1,    -1,   328,  4175,    -1,   331,    -1,  4179,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  5056,   495,   496,   497,
      -1,   499,   500,   501,   502,   503,   504,    85,    -1,   372,
      88,   509,    -1,   376,    -1,    -1,  2760,    -1,    -1,   499,
     500,   501,   502,   503,   504,    -1,    -1,   105,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   113,    -1,    -1,   401,  4231,
      -1,   119,    -1,  5103,    -1,    -1,    -1,    -1,    -1,    -1,
     830,  5111,    -1,    -1,    -1,    -1,  4248,  4249,    -1,   405,
      -1,  4253,  4254,    -1,  2808,   143,    -1,    85,   848,    -1,
      88,    -1,    -1,    -1,   854,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  3788,   864,    -1,    -1,    -1,  2832,    -1,
    1590,    -1,    -1,    -1,    -1,   113,   459,    -1,  1598,  1599,
      -1,   119,    -1,    -1,    -1,  3810,    -1,    -1,    -1,  1609,
      -1,    -1,   892,    -1,    95,    -1,   896,    -1,    -1,  4311,
     101,    -1,    -1,  4245,    -1,   143,    -1,   907,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  4257,    -1,    -1,  4330,  4331,
    4332,  4333,  4334,    -1,    -1,    -1,  4338,  2978,    -1,   495,
     496,   497,   932,   499,   500,   501,   502,   503,   504,    -1,
     141,   507,  1662,  1663,  1664,    -1,   244,   947,    -1,    -1,
     248,  2915,   952,    -1,    -1,    -1,    -1,  2921,    -1,    -1,
      -1,    -1,   962,  1683,  2736,    -1,    -1,   205,    -1,    -1,
      -1,   269,   270,    -1,    -1,    -1,   976,    -1,    -1,    -1,
    2752,  2753,    -1,    -1,  2756,    -1,    -1,    -1,   286,   190,
    2762,    -1,    95,  1713,    -1,    -1,   197,    -1,   101,   200,
    1720,    -1,    -1,    95,    -1,    -1,   244,  1727,    -1,   101,
     248,    -1,    -1,    -1,   312,    -1,    -1,   315,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     328,   269,   270,   331,    -1,    -1,    -1,    -1,   141,    -1,
      -1,    -1,    -1,  3007,    -1,    -1,    -1,    -1,   286,   141,
      -1,    -1,   253,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  2834,    -1,    -1,    -1,  1066,    -1,  1068,    -1,
    1070,    -1,    -1,    -1,    -1,    -1,    -1,   315,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  4010,    -1,   190,    -1,    -1,
     328,    -1,  4434,    -1,   197,    -1,    -1,   200,   190,    -1,
      -1,  4513,    -1,    -1,    -1,   197,    -1,   405,   200,   310,
      -1,   312,    -1,    -1,    -1,    -1,    -1,    -1,  3082,    -1,
      -1,   322,    -1,    85,    -1,    -1,    88,    -1,    -1,   330,
      -1,    -1,    -1,  3097,  3098,    -1,    -1,  1857,   339,    -1,
      -1,    -1,    -1,   105,    -1,    -1,    -1,    -1,    -1,    -1,
     253,   113,    -1,    -1,  4566,  1155,  1156,   119,    -1,    -1,
    3124,   253,    -1,  3127,    -1,    -1,    -1,   405,    -1,    -1,
      -1,   372,    -1,    -1,    -1,   376,    -1,    -1,    -1,    -1,
      -1,   143,    -1,    -1,    -1,    -1,    -1,  4529,    -1,  4531,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   495,   496,   497,
     401,   499,   500,   501,   502,   503,   504,   310,    -1,   312,
      -1,   509,    -1,    -1,    -1,    -1,    -1,  1937,   310,   322,
     312,    -1,    -1,    -1,    -1,    -1,    -1,   330,    -1,    -1,
     322,    -1,    -1,    -1,    -1,    -1,   339,  1957,   330,    -1,
    3204,  3205,  3206,    -1,    -1,    -1,    -1,   339,    -1,    -1,
      -1,    -1,    -1,  1973,  4179,    -1,    -1,    -1,   459,  3223,
      -1,   499,   500,   501,   502,   503,   504,    -1,    -1,   372,
    3234,    -1,    -1,   376,    -1,    95,    -1,    -1,    -1,  3243,
     372,   101,   244,    -1,   376,    -1,   248,    -1,    95,    -1,
    2010,  2011,    -1,    -1,   101,    -1,    -1,    -1,   401,    -1,
      -1,  2021,    -1,    -1,    -1,    -1,  4231,   269,   270,   401,
      -1,    -1,    -1,  2033,  2034,  3366,  3367,    -1,    -1,    -1,
      -1,   141,    -1,    -1,   286,    -1,    -1,    -1,    -1,    -1,
      -1,  3382,    -1,    -1,   141,  2055,    -1,    -1,    -1,    -1,
      -1,  3113,  3306,    -1,    -1,  3396,    -1,    -1,    -1,    -1,
     312,    -1,    -1,   315,  3405,    -1,   459,    -1,    -1,    -1,
      -1,    -1,    -1,  1363,    -1,    -1,   328,   459,  3419,   331,
     190,    -1,    -1,    -1,    -1,    -1,    -1,   197,  1378,    -1,
     200,  3345,    -1,   190,    -1,    -1,  4311,    -1,    -1,    -1,
     197,    85,    -1,   200,    88,    -1,  3360,    -1,  3362,    -1,
      -1,  1401,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    3374,    -1,  3376,  4338,    -1,    -1,    -1,    -1,    -1,   113,
    3192,    -1,  3194,    -1,    -1,   119,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   253,    -1,    -1,    -1,  1437,    -1,  3490,
      -1,    -1,  4854,   405,    -1,    -1,   253,    -1,    -1,   143,
      -1,    -1,  1452,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  3425,    -1,    -1,    -1,  1465,    -1,    -1,  1468,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  2204,    -1,    -1,    -1,    -1,    -1,
     310,  3455,   312,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   322,   310,    -1,   312,    -1,    -1,  3472,    -1,
     330,   205,    -1,    -1,  3286,   322,    -1,    -1,    -1,   339,
    3292,    -1,    -1,   330,    -1,  3489,    -1,    -1,  3492,    -1,
      -1,    -1,   339,   495,   496,   497,    -1,   499,   500,   501,
     502,   503,   504,    -1,    -1,    -1,    -1,   509,    -1,    -1,
     244,    -1,   372,    -1,   248,    -1,   376,    -1,  3609,  3610,
    3611,    -1,    -1,    -1,    -1,   372,    -1,    -1,    -1,   376,
      -1,    -1,    -1,    -1,  2294,   269,   270,    -1,    -1,    -1,
      -1,   401,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    1590,    -1,   286,    -1,   401,    -1,    -1,    -1,  1598,  1599,
      -1,    -1,    -1,  3567,    -1,    -1,    -1,    -1,    -1,  1609,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   315,    -1,    -1,    -1,    -1,    -1,    -1,  2348,    -1,
    2350,    -1,  4974,    -1,   328,    -1,    -1,    -1,    -1,   459,
      -1,  4566,    -1,    -1,  5056,    -1,    -1,    -1,    -1,    -1,
    2370,    -1,   459,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  1662,    -1,    -1,    -1,  3438,    -1,    -1,    -1,
    3442,  3443,    -1,  3445,    -1,  3447,  3448,  2397,    -1,    -1,
      -1,  2401,  2402,  1683,  3456,  2405,    -1,    -1,    -1,    85,
      -1,  5103,    88,    -1,    -1,    -1,    -1,    -1,    -1,  5111,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  2427,    -1,   105,
      -1,   405,    -1,    -1,    -1,    -1,    -1,   113,    -1,  3491,
      -1,    -1,    -1,   119,    -1,    -1,    85,  1727,    -1,    88,
      -1,    -1,    -1,    -1,  1734,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   105,   143,  2468,    -1,
      -1,    -1,    -1,    -1,   113,    -1,    -1,    -1,    -1,    -1,
     119,    -1,    -1,    -1,    -1,    -1,    -1,  1767,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  2495,  2496,    -1,    -1,    -1,
    3744,    -1,    -1,    -1,   143,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2518,  2519,
      -1,  2521,    -1,    -1,    -1,   499,   500,   501,   502,   503,
     504,   839,   840,    -1,    -1,   843,    -1,   845,    -1,  3783,
      -1,    -1,    -1,  3787,  2544,  3789,    -1,    -1,  2548,    -1,
      -1,    -1,    -1,    -1,    -1,   863,    -1,    -1,    -1,    -1,
      -1,  3892,    -1,    -1,    -1,    -1,  2566,    -1,   244,    -1,
      -1,    -1,   248,    -1,    -1,   883,  2576,  1857,    -1,   887,
    3911,    -1,    -1,    -1,  3828,    -1,    -1,  3831,    -1,  2589,
      -1,    -1,    -1,   269,   270,    -1,   904,    -1,    -1,  2599,
      -1,    -1,    -1,    -1,    -1,   244,    -1,  3938,    -1,   248,
     286,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  3865,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     269,   270,    -1,    -1,    -1,    -1,   312,    -1,    -1,   315,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   286,    -1,  4854,
      -1,    -1,   328,    -1,    -1,   331,    -1,  1937,    -1,    -1,
      95,    -1,  2662,    -1,    -1,    -1,   101,    -1,    -1,    -1,
      -1,    -1,    -1,   312,    -1,    -1,   315,  1957,    -1,    -1,
      -1,    -1,    -1,    -1,  3928,  3929,    -1,    -1,    -1,   328,
      -1,  3935,   331,  1973,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   141,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  2723,    -1,    -1,    -1,    -1,    -1,   405,
    2010,  2011,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  2021,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  2033,  2034,   190,    -1,    -1,    -1,    -1,
    2760,    -1,   197,    -1,    -1,   200,   405,    -1,    -1,  4013,
      -1,  4102,  4103,  4104,  4105,  2055,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,     3,    -1,
      -1,    -1,    -1,    -1,     9,    -1,    -1,    -1,    13,    -1,
      15,    -1,    17,    18,    -1,    -1,    -1,    -1,  2808,    -1,
      -1,    -1,    -1,    28,    -1,    -1,    -1,    -1,   253,   495,
     496,   497,    -1,   499,   500,   501,   502,   503,   504,    -1,
      45,    46,  2832,   509,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   495,   496,   497,    -1,
     499,   500,   501,   502,   503,   504,    -1,    -1,    -1,    -1,
     509,    -1,    -1,    -1,    -1,   310,    91,   312,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   101,   322,   103,   104,
      -1,    -1,    -1,    -1,    -1,   330,    -1,    -1,    -1,    -1,
    1208,  1209,    -1,   118,   339,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  2915,    -1,    -1,    -1,    -1,
      -1,  2921,    -1,   138,  2204,   140,   141,    -1,    -1,    -1,
      -1,   146,    -1,   148,    -1,    -1,    -1,   372,    -1,  3991,
      -1,   376,    -1,   158,    -1,   160,    -1,  3999,  4000,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   174,
      -1,   176,    -1,    -1,   179,    -1,   401,    -1,    -1,    -1,
      -1,    -1,    -1,  1281,    -1,    -1,   191,    -1,   193,    -1,
      -1,  4225,   197,    -1,    -1,    -1,    -1,    -1,   203,    -1,
      -1,    -1,    -1,    -1,  1302,  1303,   211,    -1,   213,    -1,
      -1,  4245,    -1,    -1,   219,    -1,    -1,  3007,    -1,    -1,
      -1,    -1,    -1,  4257,  1322,    -1,    -1,    -1,   233,    -1,
      -1,    -1,    -1,    -1,   459,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  1359,  1360,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  4311,    -1,    -1,
      -1,    -1,    -1,   288,   289,    -1,    -1,    -1,    -1,   294,
      -1,    85,  3082,    -1,    88,  4416,    -1,    -1,   303,    -1,
    2370,    -1,    -1,    -1,    -1,    -1,    -1,  3097,  3098,   314,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   113,
      -1,    -1,    -1,    -1,    -1,   119,    -1,  2397,    -1,    -1,
      -1,  2401,  2402,    -1,  3124,  2405,    -1,  3127,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   351,    -1,    -1,   143,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  2427,   363,    -1,
      -1,    -1,  4204,   368,   369,    -1,   371,    -1,    -1,    -1,
      -1,   376,    -1,    -1,    -1,    -1,   381,    -1,    -1,   384,
      -1,    -1,    -1,   388,    -1,    -1,    98,    -1,   393,   394,
      -1,    -1,    -1,  4235,  4236,    -1,   401,    -1,  2468,   404,
    4434,    -1,    -1,    85,    -1,    -1,    88,   412,    -1,  2479,
      -1,   205,    -1,    -1,  3204,  3205,  3206,    -1,    -1,   424,
      -1,    -1,    -1,   105,    -1,  2495,  2496,    -1,    -1,    -1,
      -1,   113,   144,  3223,    -1,    -1,   441,   119,   443,    -1,
      -1,    -1,    -1,    -1,  3234,   157,   451,    -1,  2518,  2519,
     244,  2521,   457,  3243,   248,  4297,  4298,   462,    -1,    -1,
      -1,   143,   174,    -1,    -1,    -1,    -1,    -1,   180,   474,
      -1,    -1,  2542,    -1,  2544,   269,   270,    -1,  2548,    -1,
      -1,    -1,    -1,   195,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   286,    -1,   206,  4529,  2566,  4531,    -1,    -1,
      -1,    -1,   214,   508,    -1,  4626,  2576,   512,    -1,    -1,
      -1,    -1,    -1,   225,    -1,    -1,  3306,    -1,   230,  2589,
      -1,   315,    -1,    -1,   236,    -1,    -1,    -1,    -1,  2599,
      -1,    -1,    -1,    -1,   328,    -1,    -1,    -1,    -1,   251,
      -1,    -1,  4663,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  3345,    -1,    -1,    -1,    -1,
      -1,    -1,   244,    -1,   276,    -1,   248,    -1,    -1,  4603,
    3360,  4605,  3362,    -1,    -1,    -1,    -1,    -1,  4420,    -1,
    4422,  4423,    -1,    -1,  3374,   297,  3376,   269,   270,    -1,
      -1,  4433,  2662,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   286,    -1,    -1,    -1,    -1,    -1,
      -1,   405,    -1,    -1,    -1,    -1,   328,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     312,    -1,    -1,   315,    -1,  3425,  4757,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   356,    -1,   328,    -1,    -1,   331,
      -1,    -1,    -1,  2723,    -1,    -1,    -1,    -1,    -1,    -1,
      94,    -1,    -1,    -1,    -1,  3455,    -1,    -1,    -1,    -1,
      -1,   383,    -1,    -1,    -1,   387,    -1,   389,    -1,    -1,
      -1,    -1,  3472,   395,    -1,    -1,   398,    -1,    -1,    -1,
    2760,  1789,    -1,    -1,    -1,    -1,    -1,    -1,   132,  3489,
      -1,    -1,  3492,    -1,    -1,   499,   500,   501,   502,   503,
     504,    -1,   424,    -1,   426,    -1,    -1,    -1,   430,   153,
      -1,    -1,    -1,   405,    -1,    -1,   438,    -1,    -1,  4763,
      -1,   443,    -1,    -1,    -1,    -1,    -1,   171,  2808,    -1,
      -1,    -1,    -1,   455,    -1,  1843,  1844,  1845,  1846,    -1,
     184,    -1,    -1,    -1,    -1,    -1,   468,    -1,   192,    -1,
      -1,    -1,  2832,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   208,    -1,   210,  3567,    -1,    -1,
     214,    -1,    -1,    -1,    -1,    -1,    -1,  1885,  1886,    -1,
     224,    -1,    -1,  1891,    -1,    -1,    -1,    -1,   232,    -1,
      -1,    -1,    -1,    85,    -1,    -1,    88,    -1,    -1,    -1,
      -1,    -1,    -1,   495,   496,   497,    -1,   499,   500,   501,
     502,   503,   504,   105,    -1,    -1,    -1,   509,    -1,    -1,
      -1,   113,    -1,    -1,    -1,    -1,    -1,   119,  1936,    -1,
      -1,    -1,    -1,    -1,    -1,  2915,    -1,    -1,  4690,    -1,
      -1,  2921,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   143,    -1,    -1,    -1,  1963,  1964,  1965,  1966,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4913,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  4746,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  2023,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  2032,    -1,    -1,  3007,  4780,    -1,
    4974,  2039,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  3744,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   244,    -1,    -1,    -1,   248,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   269,   270,    -1,
      -1,    -1,    -1,  3783,    -1,    -1,    -1,  3787,    -1,  3789,
      -1,    -1,    -1,    -1,   286,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  3082,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  5056,    -1,    -1,    -1,    -1,  3097,  3098,    -1,
     312,    -1,    -1,   315,    -1,    -1,    -1,    -1,  3828,    -1,
       5,  3831,    -1,    -1,    -1,    -1,   328,    -1,    -1,   331,
      -1,    -1,    -1,    -1,  3124,    -1,    -1,  3127,    -1,    -1,
      25,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  5103,
      35,    36,    -1,    -1,    -1,  3865,    41,  5111,    43,    44,
      -1,    -1,    47,    48,    49,    50,    51,    52,    53,    54,
      55,    56,    57,    58,    59,    60,    61,    62,    63,    64,
      65,    66,    67,    68,    69,    70,    71,    -1,    73,  2207,
      75,    76,    77,    78,    79,    80,    81,    82,    -1,    -1,
      -1,    86,    -1,   405,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  3204,  3205,  3206,    -1,  3928,  3929,
      -1,    -1,    -1,    -1,    -1,  3935,    -1,    -1,    85,    -1,
      -1,    88,    -1,  3223,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  3234,    -1,    -1,    -1,   105,   134,
      -1,    -1,    -1,  3243,    -1,    -1,   113,    -1,    -1,    -1,
      -1,    -1,   119,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  5034,    -1,    -1,    -1,    -1,    -1,   632,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   143,    -1,    -1,    -1,
      -1,    -1,    -1,   495,   496,   497,    -1,   499,   500,   501,
     502,   503,   504,  4013,    -1,    -1,    -1,   509,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  3306,    -1,    -1,   204,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   221,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  3345,   241,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    3360,    -1,  3362,    -1,    -1,    -1,    -1,    -1,   263,    -1,
      -1,    -1,    -1,    -1,  3374,    -1,  3376,   244,    -1,    -1,
      -1,   248,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   269,   270,   299,    -1,    -1,   302,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  2443,  2444,  2445,    -1,   286,
      -1,    -1,   317,    -1,  2452,  3425,  2454,    -1,  2456,  2457,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   312,    -1,    -1,   315,    -1,
      -1,    -1,    -1,    -1,    -1,  3455,    -1,    -1,    -1,    -1,
      -1,   328,    85,    -1,   331,    88,    -1,    -1,    -1,    -1,
      -1,    -1,  3472,    -1,   838,   839,   840,   841,    -1,   843,
      -1,   845,   105,   847,    -1,   849,    -1,    -1,   852,  3489,
     113,    -1,  3492,   857,    -1,   859,   119,   392,    -1,   863,
      -1,   865,    -1,    -1,    -1,  4225,    -1,    -1,    -1,   873,
      -1,    -1,    -1,    -1,   878,    -1,   880,    -1,    -1,   883,
     143,   885,    -1,   887,    -1,  4245,    -1,    -1,    -1,    -1,
     894,  2559,    -1,   897,    -1,    -1,    -1,  4257,   405,   434,
     904,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   448,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3567,   463,    -1,
      -1,    -1,   936,    -1,    -1,    -1,    -1,   941,    -1,    -1,
      -1,    -1,   946,    -1,    -1,    -1,   950,    -1,    -1,  2617,
      -1,  4311,    -1,    -1,   489,    -1,    -1,  2625,    -1,    -1,
     495,   965,  2630,    -1,   499,   500,   501,   502,   503,    -1,
      -1,   506,   507,   508,   509,    -1,   511,   512,   513,   514,
     515,   244,    -1,    -1,    -1,   248,    -1,    -1,   495,   496,
     497,    -1,   499,   500,   501,   502,   503,   504,    -1,    -1,
      -1,    -1,   509,    -1,    -1,    -1,   269,   270,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  1020,    -1,    -1,    -1,
      -1,    -1,    -1,   286,    -1,    -1,    -1,    -1,    -1,  1033,
    1034,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  2711,    -1,    -1,    -1,    -1,    -1,   312,
      -1,    -1,   315,    -1,    -1,    -1,  1060,    -1,    -1,    -1,
    1064,  1065,    -1,    -1,    -1,   328,    -1,    -1,   331,    -1,
      -1,    -1,    -1,    -1,  4434,  2743,    -1,  2745,    -1,  1083,
      -1,    -1,    -1,  1087,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  1095,    -1,    -1,    -1,    -1,    85,    -1,    -1,    88,
      -1,  1105,    -1,    -1,  3744,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  1117,    -1,    -1,   105,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   113,    -1,    -1,    -1,    -1,    -1,
     119,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   405,  3783,    -1,    -1,    -1,  3787,    -1,  3789,
      -1,    -1,    -1,    -1,   143,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4529,
      -1,  4531,    -1,    -1,    -1,    -1,    -1,    95,  1287,    -1,
      -1,    -1,    -1,   101,    -1,  2853,    -1,    -1,  3828,    -1,
      -1,  3831,    -1,    -1,    -1,  1199,    -1,    -1,    -1,    -1,
      -1,    -1,  1206,    -1,  1208,  1209,    -1,    -1,   126,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   141,    -1,  3865,    -1,    -1,    -1,    -1,
      -1,    -1,   495,   496,   497,    -1,   499,   500,   501,   502,
     503,   504,    -1,  4603,    -1,  4605,   509,    -1,    -1,  1253,
      -1,    -1,    -1,    -1,   172,   244,    -1,    -1,    -1,   248,
    1264,    -1,    -1,    -1,  1268,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   190,    -1,    -1,    -1,    -1,  1281,    -1,   197,
     269,   270,   200,    -1,    -1,    -1,    -1,    -1,  3928,  3929,
      -1,    -1,  1296,    -1,    -1,  3935,    -1,   286,  1302,  1303,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  1318,  1319,  1320,    -1,  1322,    -1,
    1324,    -1,    -1,   312,  1328,    -1,   315,    -1,    -1,    -1,
      -1,    -1,   250,    -1,    -1,   253,    -1,    -1,    -1,   328,
      -1,  1450,   331,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  1357,    -1,  1359,  1360,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  4013,    -1,    -1,    -1,    -1,    -1,    -1,
     298,    85,   300,    -1,    88,    -1,    -1,    -1,    -1,  1393,
      -1,    -1,   310,    -1,   312,    -1,    -1,    -1,    -1,    -1,
      -1,   105,    -1,  4763,   322,    -1,    -1,    -1,    -1,   113,
      -1,    -1,   330,    -1,    -1,   119,   405,    -1,    -1,    -1,
     338,   339,    -1,    -1,    -1,    -1,    -1,  1431,  1432,    -1,
      -1,    -1,  1436,    -1,  1438,    -1,    -1,    -1,    -1,   143,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1453,
      -1,    -1,    -1,    -1,   372,    -1,    -1,  1461,   376,   377,
    1464,    -1,    -1,  1467,    -1,    -1,    -1,    -1,  3136,    -1,
    3138,  3139,  3140,    -1,    -1,  1479,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   401,  1593,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   412,    -1,    -1,    95,    -1,    -1,
      -1,    -1,    -1,   101,  1508,    -1,   495,   496,   497,    -1,
     499,   500,   501,   502,   503,   504,    -1,    -1,    -1,   223,
     509,    -1,    -1,    -1,   228,    -1,    85,    -1,   126,    88,
      -1,    -1,  1536,  1537,    -1,  1539,    -1,    -1,    -1,    -1,
     244,   459,    -1,   141,   248,    -1,   105,    -1,    -1,    -1,
     109,    -1,  1556,  4913,   113,    -1,    -1,    -1,    -1,    -1,
     119,    -1,    -1,    -1,    -1,   269,   270,    -1,    -1,    -1,
      -1,    -1,  1576,  1577,   172,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   286,    -1,   143,  4225,    -1,    -1,    -1,    -1,
      -1,    -1,   190,    -1,    -1,    -1,    -1,    -1,    -1,   197,
      -1,  1605,   200,    -1,  1608,  4245,    -1,    -1,   312,    -1,
      -1,   315,  1721,    -1,  4974,    -1,    -1,  4257,    -1,    -1,
      -1,    -1,    -1,    -1,   328,    -1,    -1,   331,    -1,   188,
      -1,    -1,    -1,  1637,    -1,    -1,    -1,  1641,  1642,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1652,  1653,
    1654,    -1,   250,    -1,    -1,   253,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  1775,    -1,    -1,    -1,
      -1,  4311,    -1,    -1,    -1,    -1,    -1,  1681,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   244,    -1,    -1,    -1,   248,
      -1,    -1,    -1,    -1,    -1,  1804,  5056,    -1,    -1,    -1,
     298,   405,   300,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     269,   270,   310,    -1,   312,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   322,    -1,    -1,   286,    -1,    -1,
      -1,    -1,   330,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     338,   339,    -1,  5103,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  5111,    -1,   312,    -1,    -1,   315,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1877,   328,
      -1,    -1,   331,    -1,   372,  1779,  1780,    -1,   376,   377,
      -1,  3449,  1786,    -1,  3452,  1789,    -1,  1896,    -1,    -1,
      -1,   495,   496,   497,  4434,   499,   500,   501,   502,   503,
     504,    -1,  1806,   401,    -1,  1914,    -1,    -1,  1812,    -1,
      -1,  1815,    -1,    -1,   412,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  1835,  3500,  1942,    -1,    -1,    -1,    -1,    -1,  1843,
    1844,  1845,  1846,  1847,    -1,    -1,   405,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  1861,    -1,    -1,
      -1,   459,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1873,
      85,  1875,    -1,    88,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  1885,  1886,    -1,    -1,    -1,    -1,  1891,    -1,  4529,
     105,  4531,    -1,    -1,    -1,    -1,  2005,   456,   113,    -1,
      -1,    -1,    -1,    -1,   119,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   143,    -1,
      -1,    -1,  1936,    -1,    -1,    -1,   495,   496,   497,    -1,
     499,   500,   501,   502,   503,   504,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1963,
    1964,  1965,  1966,  4603,    -1,  4605,    -1,    -1,    -1,    -1,
      -1,  1975,    -1,    -1,    -1,    -1,    -1,  1981,    -1,    -1,
    1984,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  1999,    -1,    -1,    -1,    -1,
      -1,    -1,  2006,    -1,  2008,    -1,    -1,   222,    -1,    -1,
      -1,    -1,    -1,    -1,  2018,    -1,    -1,    -1,    -1,  2023,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2032,   244,
      -1,    -1,    -1,   248,  2038,  2039,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2052,    -1,
      -1,    -1,    -1,    -1,   269,   270,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3735,  3736,  3737,
    3738,   286,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  2086,    -1,    -1,    -1,    -1,    -1,    -1,  2093,
      -1,  2095,    -1,  2202,    -1,  2099,  2100,   312,  2102,    -1,
     315,    -1,    -1,    -1,  2108,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   328,    -1,    -1,   331,    -1,    -1,    -1,
      -1,  2125,  2126,  4763,    -1,  2129,    -1,    -1,    -1,  2133,
    2134,    -1,    -1,   348,    -1,    -1,    -1,  2141,    -1,    -1,
    2144,    -1,    -1,    -1,  2148,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  2156,  2157,    -1,    -1,    -1,    -1,    -1,    -1,
    2164,    -1,  2166,  2167,  2168,  2169,  2170,    -1,    -1,    -1,
      -1,    -1,    -1,  2177,  2178,    -1,  2180,    -1,  2182,  2183,
      -1,    -1,  2186,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     405,    -1,    -1,    98,    -1,    -1,    -1,    -1,    -1,  2203,
      -1,    -1,    -1,  2207,  2208,   110,    -1,    -1,  2212,    -1,
      -1,    -1,  2216,    -1,  2218,  2219,  2220,  2221,  2222,  2223,
    2224,  2225,  2226,    -1,  2228,    -1,   131,    -1,    -1,  2233,
    2234,    -1,    -1,  2237,    -1,  3903,    -1,    -1,    -1,   144,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   157,    -1,  2258,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   174,
      -1,    -1,    -1,  4913,    -1,    -1,    -1,    -1,    -1,    -1,
     495,   496,   497,    -1,   499,   500,   501,   502,   503,   504,
     195,  2295,    -1,  2297,    -1,  2299,    -1,    -1,    -1,    -1,
      -1,   206,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   214,
      -1,    -1,    -1,    85,    -1,    -1,    88,    -1,    -1,    -1,
     225,    -1,    -1,    -1,    -1,   230,    -1,    -1,    -1,    -1,
    2334,   236,    -1,   105,  4974,    -1,  2340,    -1,  2342,    -1,
      -1,   113,    -1,    -1,    -1,    -1,   251,   119,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   143,    -1,    -1,    -1,    -1,  2485,    -1,    -1,    -1,
      -1,  2490,  2491,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   297,  2502,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  2406,    -1,    -1,    -1,    -1,  2411,    -1,  2413,
      -1,    -1,    -1,    -1,    -1,    -1,  5056,    -1,    -1,    -1,
      -1,    -1,    -1,   328,    -1,    -1,  2430,    -1,    -1,    -1,
      -1,    -1,    -1,   338,    -1,    -1,    -1,  2441,    -1,  2443,
    2444,  2445,    -1,    -1,  2448,    -1,  2450,    -1,  2452,    -1,
    2454,   356,  2456,  2457,    -1,    -1,  2460,    -1,    -1,    -1,
      -1,    -1,    -1,  5103,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  5111,   244,    -1,    -1,    -1,   248,    -1,   383,    -1,
      -1,    -1,   387,    -1,   389,    -1,    -1,    -1,    -1,    -1,
     395,    -1,    -1,   398,  2498,    -1,    -1,   269,   270,    -1,
    2504,    -1,    -1,    -1,    -1,  2509,    -1,    -1,    -1,    -1,
      -1,  2515,    -1,    -1,   286,    -1,    -1,    -1,    -1,   424,
      -1,   426,    -1,    -1,    -1,   430,  2530,    -1,    -1,    -1,
    2534,  2535,    -1,   438,    -1,    -1,  2645,  2541,   443,    -1,
     312,    -1,    -1,   315,    -1,    -1,    -1,    -1,    -1,    -1,
     455,    -1,    -1,    -1,    -1,  2559,   328,    -1,    -1,   331,
      -1,    -1,    -1,   468,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   350,    -1,
      -1,  2585,    -1,  2587,  2588,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4277,
      -1,  2720,    -1,  2617,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  2625,    -1,  4291,    -1,    -1,  2630,    -1,    -1,    -1,
      -1,    -1,    -1,   405,    -1,    -1,    -1,    -1,    -1,  2643,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   419,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  2667,    -1,    -1,  2670,    -1,  2672,    -1,
    2674,    -1,    -1,  2677,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2703,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  2711,  2712,    -1,
      -1,  2820,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    2724,  4389,    -1,   495,   496,   497,    -1,   499,   500,   501,
     502,   503,   504,    -1,    -1,    -1,    -1,  2741,    -1,  2743,
    2744,  2745,  2746,    -1,    -1,    -1,     5,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  2768,    -1,    25,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    35,    36,    -1,    -1,
      -1,    -1,    -1,    -1,    43,    44,  2790,    -1,    47,    48,
      49,    50,    51,    52,    53,    54,    55,    56,    57,    58,
      59,    60,    61,    62,    63,    64,    65,    66,    67,    68,
      69,    70,    71,    -1,    -1,    -1,    75,    76,    77,    78,
      79,    80,    81,    82,    -1,    -1,    -1,    86,    -1,    -1,
      -1,    -1,  2836,    -1,    -1,    -1,    -1,    -1,  2842,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2853,
     160,    -1,    -1,    -1,    -1,  2859,  2860,    -1,    -1,    -1,
      -1,  2865,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4537,
    4538,  4539,    -1,    -1,    -1,   134,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  2890,  2891,    -1,    -1,
      -1,  2895,    -1,    -1,    -1,    -1,    -1,   207,    -1,    -1,
      -1,    -1,    -1,  2907,  2908,  2909,  2910,    -1,    -1,   219,
      -1,    -1,    -1,   223,    -1,    -1,  2920,    -1,   228,  2923,
      -1,  2925,  2926,   233,    -1,    -1,   236,    -1,   238,    -1,
      -1,  2935,  2936,    -1,    -1,  2939,    -1,    -1,    -1,    -1,
      -1,    85,    -1,    -1,    88,   204,    -1,    -1,  2952,    -1,
    2954,    -1,  2956,    -1,  2958,   265,    -1,    -1,    -1,    -1,
      -1,   105,   221,    -1,   108,    -1,    -1,    -1,    -1,   113,
    2974,    -1,    -1,    -1,  2978,   119,    -1,   287,    -1,    -1,
      -1,  2985,   241,  2987,  2988,  2989,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   143,
      -1,    -1,    -1,  4671,   263,    -1,    -1,  3011,    -1,    -1,
      -1,    -1,    -1,    -1,   324,    -1,    -1,    -1,    -1,    -1,
    3024,  3130,   332,    -1,    -1,  3029,    -1,    -1,    -1,    -1,
      -1,  3035,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3043,
     299,    -1,  3046,   302,    -1,    -1,  3050,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   317,    -1,
      -1,    -1,    -1,  3172,  3173,    -1,  3175,    -1,    -1,   379,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  4753,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  1287,    -1,    -1,  3103,
     244,  3105,    -1,    -1,   248,    -1,  3110,    -1,  4776,    -1,
    4778,    -1,    -1,    -1,   424,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  3231,    -1,  3233,   269,   270,    -1,    -1,    -1,
      -1,    -1,  3136,   392,  3138,  3139,  3140,    -1,   448,    -1,
      -1,    -1,   286,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   471,    -1,   473,   474,    -1,    -1,    -1,   312,    -1,
      -1,   315,    -1,    -1,    -1,   434,    -1,    -1,  3287,    -1,
      -1,    -1,    -1,    -1,   328,    -1,    -1,   331,    -1,   448,
      -1,    -1,    -1,    -1,    -1,    -1,   506,    -1,    -1,   509,
     510,    -1,   512,  3312,   463,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  4883,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  3333,    -1,    -1,    -1,    -1,    -1,
     489,    -1,    -1,    -1,    -1,    -1,   495,  3346,    -1,    -1,
     499,   500,   501,   502,   503,    -1,    -1,   506,   507,   508,
      -1,    -1,    -1,    -1,   513,   514,    -1,    -1,    -1,  1450,
      -1,   405,    -1,    -1,    -1,    -1,  4934,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  3410,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  3316,  3317,    -1,    -1,    -1,  3426,    -1,    -1,
      -1,    -1,    -1,    -1,  4992,    -1,    -1,    -1,    -1,    -1,
    3439,    -1,    -1,    -1,    -1,  3339,    -1,    -1,    -1,   117,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   495,   496,   497,    -1,   499,   500,   501,   502,   503,
     504,    -1,  3366,  3367,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  5041,    98,    -1,    -1,    -1,  3382,    -1,
      -1,    -1,    -1,    -1,   162,    -1,    -1,    -1,    -1,    -1,
      -1,  3395,  3396,  1287,    -1,    -1,    -1,    -1,    -1,    -1,
    3404,  3405,  3511,    -1,    -1,    -1,    -1,   131,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  3419,    -1,    -1,    -1,    -1,
     144,   145,  3531,    -1,    -1,    -1,    -1,    -1,    -1,   153,
    3434,   209,    -1,   157,    -1,    -1,    -1,    -1,    -1,   217,
      -1,   219,    -1,    -1,    -1,  3449,    -1,  3556,  3452,    -1,
     174,    -1,    -1,   231,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  3469,    -1,    -1,    -1,    -1,
      -1,   195,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   206,  3592,    -1,    -1,  3490,    -1,    -1,    -1,
     214,    -1,    -1,    -1,    -1,    -1,  3500,    -1,    -1,    -1,
      -1,   225,    -1,    -1,  3508,    -1,   230,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  3518,    -1,    -1,    -1,    -1,    -1,
    3524,    -1,  3526,    -1,    -1,    -1,    -1,   251,  3532,    -1,
    1721,  3535,  3536,  3537,  3538,  3539,  3540,  3541,  3542,  3543,
    3544,    -1,    -1,    -1,  3548,  3549,    -1,    -1,    -1,    -1,
      -1,    -1,   276,    -1,    -1,    -1,  1450,  3561,    -1,    -1,
      -1,  3565,    -1,    -1,    -1,  3569,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   297,    -1,  3579,    -1,    -1,  3582,    -1,
    3584,    -1,    -1,    -1,  1775,    -1,    -1,    -1,    -1,  3593,
    3594,  3595,    -1,    -1,    -1,  3599,    -1,    -1,  3602,    -1,
      -1,    -1,    -1,    -1,   328,  3609,  3610,  3611,  3612,  3613,
    3614,    -1,    -1,  1804,  3618,  3619,    -1,    -1,    -1,  3623,
      -1,    -1,    -1,    -1,    -1,  3629,    -1,  3631,    -1,  3633,
      -1,    -1,   356,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   383,
      -1,    -1,    -1,   387,    -1,   389,    -1,    -1,    -1,    -1,
      -1,   395,  3676,    -1,   398,    -1,    -1,    -1,  3682,  3788,
      -1,    -1,  3686,    -1,  3688,    -1,  1877,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     424,    -1,   426,    -1,    -1,  1896,   430,    -1,    -1,  3713,
    3714,  3715,    -1,  3717,   438,    -1,    -1,    -1,    -1,   443,
      -1,    -1,    -1,  1914,    -1,    -1,    -1,    -1,     5,    -1,
      -1,  3735,  3736,  3737,  3738,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   468,    -1,    -1,    -1,    25,    -1,
      -1,  1942,    -1,    -1,    -1,    -1,    -1,    -1,    35,    36,
      -1,    -1,    -1,    -1,    -1,    -1,    43,    44,    -1,  3773,
      47,    48,    49,    50,    51,    52,    53,    54,    55,    56,
      57,    58,    59,    60,    61,    62,    63,    64,    65,    66,
      67,    68,    69,    70,    71,    -1,    -1,    -1,    75,    76,
      77,    78,    79,    80,    81,    82,    -1,    -1,    -1,    86,
      -1,    -1,    -1,    -1,  2005,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  3932,   160,    -1,    -1,  1721,    -1,    -1,
      -1,    -1,    85,    -1,    -1,    88,    -1,    -1,    -1,    -1,
      -1,  3845,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   105,    -1,    -1,   108,    -1,   134,    -1,  3968,
     113,    -1,    -1,    -1,    -1,    -1,   119,    -1,    -1,    -1,
      -1,   207,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    3884,  1775,    -1,   219,    -1,    -1,    -1,   223,  3892,    -1,
     143,    -1,   228,    -1,    -1,    -1,    -1,   233,    -1,  3903,
     236,  3905,   238,    -1,    -1,    -1,    -1,  3911,    -1,    -1,
    1804,    -1,    -1,  3917,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  3926,    -1,    -1,    -1,    -1,   204,    -1,   265,
      -1,    -1,    -1,    -1,  3938,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  3947,   221,    -1,    -1,    -1,    -1,  3953,
      -1,   287,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   241,  3969,  3970,    -1,    -1,    -1,
      -1,  4080,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  4091,  1877,    -1,    -1,   263,    -1,   324,    -1,
    3994,   244,  3996,    -1,    -1,   248,   332,    -1,    -1,    -1,
      -1,    -1,  1896,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  2202,    -1,    -1,    -1,    -1,   269,   270,    -1,    -1,
    1914,    -1,   299,    -1,    -1,   302,  4030,    -1,    -1,    -1,
      -1,    -1,    -1,   286,    -1,    -1,    -1,    -1,    -1,    -1,
     317,    -1,    -1,   379,    -1,    -1,    -1,    -1,  1942,    -1,
      -1,    -1,   830,    -1,    -1,    -1,    -1,    -1,    -1,   312,
     838,    -1,   315,  4067,    -1,    -1,    -1,    -1,    -1,   847,
      -1,    -1,    -1,  4077,  4078,   328,    -1,    -1,   331,    -1,
      -1,  4085,  4086,    -1,    -1,    -1,  4090,    -1,   424,    -1,
      -1,    -1,  4096,  4097,    -1,    -1,  4100,  4206,  4102,  4103,
    4104,  4105,   880,    -1,    -1,  4109,  4110,  4111,    -1,    -1,
    4114,  2005,   448,    -1,  4118,   392,    -1,    -1,  4122,    -1,
      -1,    -1,    -1,    -1,  4128,  4234,    -1,    -1,  4132,    -1,
      -1,    -1,    -1,  4137,    -1,   471,    -1,   473,   474,  4143,
      -1,  4250,    -1,    -1,    -1,  4149,    -1,    -1,    -1,    -1,
      -1,    -1,   405,    -1,  4158,    -1,    -1,   434,   936,    -1,
      -1,    -1,  4166,    -1,    -1,    -1,  4170,    -1,   946,    -1,
     506,   448,    -1,   509,   510,    -1,   512,    -1,    -1,    -1,
      -1,  4185,    -1,    -1,  4188,    -1,   463,  4296,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  4208,  4209,    -1,    -1,    -1,    -1,
      -1,    -1,   489,    -1,    -1,    -1,    -1,    -1,   495,    -1,
      -1,    -1,   499,   500,   501,   502,   503,    -1,  4232,   506,
     507,   508,   509,    -1,    -1,    -1,   513,    -1,    -1,    -1,
      -1,    -1,   495,   496,   497,    -1,   499,   500,   501,   502,
     503,   504,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  4277,    -1,    -1,    -1,    -1,  1287,    -1,
      -1,    -1,  1060,    -1,    -1,    -1,    -1,  4291,  1066,   160,
      -1,    -1,  1070,    -1,  2485,    -1,    -1,    -1,    -1,  2490,
    2491,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2202,    -1,
      -1,  2502,    -1,    -1,    -1,    -1,    -1,  1095,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  4330,  4331,  4332,  4333,
    4334,    -1,    -1,    -1,    -1,    -1,   207,    -1,    -1,    -1,
      -1,  4450,    -1,    -1,    -1,    -1,    -1,    -1,   219,    -1,
    4354,    -1,   223,    -1,    -1,    -1,    -1,   228,    -1,    -1,
      -1,  4365,   233,    -1,    -1,   236,  4370,   238,    -1,    -1,
      -1,    -1,    -1,  4377,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  4389,  4390,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   265,    -1,    -1,    -1,    -1,    -1,
      85,    -1,    -1,    88,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  4416,    -1,  4418,    -1,   287,    -1,    -1,    -1,
     105,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   113,    -1,
      -1,    -1,    -1,    -1,   119,    -1,    -1,    -1,    -1,    -1,
      -1,  1450,  4446,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  4455,    -1,   324,  2645,    -1,    -1,  4566,   143,    -1,
      -1,   332,    -1,    -1,    -1,    -1,    -1,    -1,  4472,  4473,
      -1,    -1,  4476,    -1,    -1,  1253,    -1,    -1,    -1,    -1,
      -1,  4485,    -1,    -1,    -1,  4489,  1264,    -1,    -1,    -1,
    4494,    -1,    -1,  4497,  4498,    -1,  4500,    -1,  4502,  4503,
      -1,    -1,    85,    -1,    -1,    88,    -1,    -1,   379,  1287,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   105,    -1,    -1,    -1,    -1,    -1,    -1,  2720,
     113,  4535,  4536,  4537,  4538,  4539,   119,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  1324,    -1,    -1,    -1,
      -1,    -1,    -1,   424,    -1,    -1,    -1,    -1,    -1,   244,
     143,    -1,    -1,   248,    -1,  4674,    -1,    -1,    -1,    -1,
    4574,  4575,    -1,    -1,    -1,    -1,    -1,   448,    -1,    -1,
      -1,    -1,    -1,    -1,   269,   270,    -1,    -1,  4697,    -1,
      -1,  2485,    -1,    -1,    -1,    -1,  2490,  2491,    -1,    -1,
     471,   286,   473,   474,    -1,    -1,    -1,    -1,  2502,  4613,
      -1,    -1,    -1,  4617,    -1,  1393,    -1,    -1,  4727,    -1,
      -1,    -1,  4626,    -1,    -1,    -1,    -1,   312,    -1,  2820,
     315,    -1,    -1,  4637,    -1,   506,    -1,    -1,   509,   510,
    4644,   512,    -1,   328,  4648,   228,   331,    -1,    -1,    -1,
      85,    -1,    -1,    88,    -1,    -1,  4660,    -1,  4767,  4663,
     345,   244,  4771,  4772,    -1,   248,    -1,  4671,  4672,    -1,
     105,    -1,  1450,   108,    -1,    -1,    -1,    -1,   113,    -1,
      -1,    -1,    -1,    -1,   119,    -1,   269,   270,    -1,    -1,
      -1,    -1,  4696,    -1,    -1,  4699,    -1,  4701,    -1,    -1,
      -1,  1479,    -1,   286,    -1,    -1,    -1,    -1,   143,    -1,
      -1,    -1,  1721,    -1,  4718,    -1,    -1,    -1,  4722,    -1,
     405,  4725,    -1,    -1,    -1,    -1,    -1,  4731,    -1,   312,
    1508,    -1,   315,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   328,    -1,    -1,   331,  4753,
      -1,  2645,    -1,  4757,    -1,    -1,    -1,    -1,  1536,  1537,
      -1,  1539,    -1,    -1,    -1,    -1,  1775,    -1,    -1,    -1,
      -1,  4775,  4776,  4777,  4778,    -1,    -1,    -1,  1556,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  4790,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  1804,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  4808,    -1,    -1,    -1,    -1,   244,
     495,   496,   497,   248,   499,   500,   501,   502,   503,   504,
      -1,    -1,   405,  4827,    -1,    -1,  2720,    -1,    -1,    -1,
    1608,  1609,    -1,    -1,   269,   270,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   286,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1637,
      -1,    -1,    -1,  1641,  1642,    -1,    -1,    -1,  1877,    -1,
      -1,    -1,    -1,  4877,    -1,    -1,    -1,   312,    -1,  4883,
     315,  4885,    -1,    -1,    -1,    -1,    -1,  1896,    -1,    -1,
    4894,    -1,    -1,   328,    -1,    -1,   331,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  1914,    -1,    -1,    -1,    -1,
      -1,    -1,   495,   496,   497,    -1,   499,   500,   501,   502,
     503,   504,    -1,    -1,    -1,    -1,  2820,    -1,    -1,    -1,
    4934,    -1,    -1,  1942,    -1,  4939,    -1,    -1,    -1,  3130,
      -1,    -1,    -1,  1721,    -1,    -1,  4950,    -1,    -1,  1727,
      -1,    -1,    -1,    -1,    -1,  4959,  1734,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  4968,    -1,    -1,  4971,  4972,    -1,
     405,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    4984,  3172,  3173,    -1,  3175,    -1,    -1,    -1,  4992,  1767,
      -1,    -1,    -1,    -1,    -1,    -1,  2005,  1775,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  5026,    -1,    -1,    -1,  1804,    -1,    -1,    -1,
      -1,    -1,  5036,    -1,    -1,    -1,    -1,  5041,    -1,    -1,
    3231,    -1,  3233,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    85,    -1,    -1,    88,    -1,    -1,    -1,
     495,   496,   497,    -1,   499,   500,   501,   502,   503,   504,
      -1,    -1,    -1,   105,    -1,    -1,   108,    -1,    -1,    -1,
      -1,   113,    -1,    -1,    -1,    -1,    85,   119,    -1,    88,
      -1,    -1,    -1,    -1,  5098,    -1,  3287,    -1,    -1,  1877,
      -1,    -1,    -1,  5107,    -1,    -1,   105,    -1,    -1,    -1,
      -1,   143,    -1,    -1,   113,    -1,    -1,    -1,  1896,    -1,
     119,  3312,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  1914,    -1,    -1,    -1,
      -1,    -1,  3333,    -1,   143,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  3346,    -1,    -1,    -1,  1937,
      -1,    -1,    -1,    -1,  1942,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  2202,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   244,    -1,    -1,    -1,   248,    -1,    -1,  3410,
      -1,  1999,    -1,    -1,    -1,    -1,    -1,  2005,    -1,    -1,
    2008,    -1,    -1,    -1,    -1,  3426,  3130,   269,   270,    -1,
      -1,    -1,    -1,    -1,    -1,   244,    -1,    -1,  3439,   248,
      -1,    -1,    -1,    -1,   286,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     269,   270,    -1,    -1,    -1,    -1,    -1,    -1,  3172,  3173,
     312,  3175,    -1,   315,    -1,    -1,    -1,   286,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   328,    -1,    -1,   331,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   312,    -1,    -1,   315,  2095,    -1,    -1,
    3511,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   328,
      -1,    -1,   331,    -1,    -1,    -1,    -1,  3231,    -1,  3233,
    3531,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  2133,  2134,    -1,    -1,    -1,
      -1,    -1,    -1,  2141,    -1,  3556,  2144,    -1,    -1,    -1,
    2148,    -1,    -1,   405,    -1,    -1,    -1,    -1,  2156,  2157,
      -1,    -1,    -1,    -1,    -1,    -1,  2164,    -1,    -1,  2167,
    2168,  2169,  2170,  3287,    -1,    -1,    -1,    -1,    -1,  2177,
    2178,  3592,  2180,    -1,  2182,  2183,   405,    -1,  2186,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3312,    -1,
      -1,    -1,    -1,    -1,  2202,  2203,  2204,    -1,    -1,    -1,
    2208,    -1,   431,    -1,  2212,    -1,    -1,    -1,  2216,  3333,
    2218,  2219,  2220,  2221,  2222,  2223,  2224,  2225,  2226,    -1,
    2228,    -1,  3346,    -1,    -1,    -1,  2234,    -1,    -1,  2237,
      -1,    -1,    -1,   495,   496,   497,    -1,   499,   500,   501,
     502,   503,   504,    -1,    -1,    -1,  2485,    -1,    -1,    -1,
      -1,  2490,  2491,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    85,  2502,    -1,    88,   495,   496,   497,    -1,
     499,   500,   501,   502,   503,   504,    -1,    -1,    -1,     5,
      -1,    -1,   105,    -1,    -1,    -1,  3410,    -1,    -1,    -1,
     113,  2299,    -1,    -1,    -1,    -1,   119,    -1,    -1,    25,
      -1,    -1,  3426,    -1,    -1,    -1,    -1,    -1,    -1,    35,
      36,    -1,    -1,    -1,    -1,  3439,    -1,    43,    44,    -1,
     143,    47,    48,    49,    50,    51,    52,    53,    54,    55,
      56,    57,    58,    59,    60,    61,    62,    63,    64,    65,
      66,    67,    68,    69,    70,    71,    -1,    -1,    -1,    75,
      76,    77,    78,    79,    80,    81,    82,    -1,    -1,    -1,
      86,   209,    -1,    -1,    -1,    -1,    -1,  3788,    -1,   217,
      -1,   219,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3511,    -1,    -1,
      -1,    -1,    -1,  2401,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  2645,  3531,   134,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   244,  2430,    -1,    -1,   248,    -1,    -1,    -1,    -1,
      -1,    -1,  3556,  2441,    -1,    -1,    -1,    -1,    -1,    -1,
    2448,    -1,    -1,    -1,    -1,    -1,   269,   270,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   286,    -1,    -1,    -1,    -1,  3592,    -1,
      -1,  2479,    -1,    -1,    -1,    -1,    -1,  2485,   204,    -1,
      -1,  2720,  2490,  2491,    -1,    -1,    -1,    -1,    -1,   312,
      -1,    -1,   315,    -1,  2502,   221,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   328,    -1,    -1,   331,    -1,
    2518,  3932,    -1,  2521,    -1,   241,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  2542,    -1,    -1,   263,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3968,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   299,    -1,    -1,   302,    -1,    -1,    -1,
      -1,  2820,   405,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   317,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  1287,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  2643,    -1,  2645,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  2662,    -1,    -1,    -1,    -1,  4080,
      -1,    -1,    -1,    -1,  3788,    -1,   392,    -1,    -1,    -1,
    4091,    -1,   495,   496,   497,    -1,   499,   500,   501,   502,
     503,   504,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   434,    -1,
      -1,    -1,  2720,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   448,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   463,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    2768,    -1,    -1,   489,    -1,    -1,    -1,    -1,    -1,   495,
      -1,    -1,    -1,   499,   500,   501,   502,   503,    -1,    -1,
     506,   507,   508,   509,    -1,  4206,  1450,   513,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3932,    -1,
      -1,    -1,  2820,  4234,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2836,  4250,
      -1,    -1,    -1,    -1,  2842,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  3968,    -1,    -1,    -1,    -1,    -1,
      -1,  2859,  2860,    -1,    -1,    -1,    -1,  2865,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  4296,    -1,    -1,    -1,    -1,
      -1,    -1,  2890,  2891,    -1,    -1,    -1,  2895,    -1,    -1,
      -1,  3130,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2907,
    2908,  2909,  2910,    -1,    -1,    -1,    -1,  2915,    -1,    -1,
      -1,    -1,  2920,  2921,    -1,  2923,    -1,  2925,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  2935,  2936,    -1,
      -1,  2939,    -1,  3172,  3173,    -1,  3175,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  2952,    -1,  2954,    -1,    -1,    -1,
    2958,    -1,    -1,    -1,    -1,    -1,  4080,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  2974,  4091,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  2985,    -1,  2987,
    2988,  2989,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     838,    -1,  3231,    -1,  3233,    -1,    -1,    -1,    -1,   847,
      -1,    -1,    -1,  3011,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  3024,    -1,    -1,    -1,
      -1,  3029,    -1,    -1,    -1,    -1,    -1,  3035,    -1,  4450,
      -1,    -1,   880,    -1,    -1,  3043,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3287,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  1721,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  3312,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  4206,    -1,    -1,    -1,    -1,    -1,   936,    -1,
      -1,    -1,    -1,    -1,  3333,  3103,    -1,    -1,   946,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3346,    -1,    -1,
    4234,  1775,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  3130,    -1,    -1,    -1,  4250,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    1804,    -1,    -1,    -1,    -1,  4566,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  3172,  3173,    -1,  3175,    -1,    -1,
      -1,  3410,  4296,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3426,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  3204,  3205,  3206,    -1,
    3439,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  1060,  1877,    -1,    -1,    -1,    -1,  1066,    -1,
      -1,    -1,  1070,  3231,    -1,  3233,    -1,    -1,    -1,    -1,
      -1,    -1,  1896,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  1095,    -1,    -1,
    1914,    -1,    -1,  4674,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  3511,    -1,    -1,    -1,  4697,    -1,  1942,  3287,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  3531,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  3312,    -1,  4727,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3556,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  3333,  4450,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3345,  3346,    -1,
      -1,  2005,    -1,    -1,    -1,    -1,  4767,    -1,    -1,    -1,
    4771,  4772,    -1,  3592,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    1287,    -1,  3410,    -1,    -1,  1253,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  1264,    -1,  3426,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  3439,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1287,
      -1,    -1,  4566,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  3469,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  1324,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    3508,    -1,    -1,  3511,    -1,    -1,    -1,    -1,    -1,    -1,
    3518,    -1,    -1,    -1,    -1,    -1,  3524,    -1,  3526,    -1,
      -1,    -1,    -1,  3531,  3532,    -1,    -1,  3535,  3536,  3537,
    3538,  3539,  3540,  3541,  3542,  3543,  3544,    -1,  2202,    -1,
    3548,  3549,    -1,    -1,    -1,  1393,    -1,    -1,  3556,  3788,
    4674,    -1,    -1,  3561,    -1,    -1,    -1,  3565,    -1,  3567,
      -1,  3569,    -1,  1450,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  3579,    -1,  4697,  3582,    -1,  3584,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  3592,  3593,  3594,  3595,    -1,    -1,
      -1,  3599,    -1,    -1,  3602,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  1450,  4727,  3612,  3613,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  3623,    -1,    -1,    98,    -1,
      -1,    -1,    -1,  3631,    -1,  3633,    -1,    -1,    -1,    -1,
     110,  1479,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  4767,    -1,    -1,    -1,  4771,  4772,    -1,
      -1,   131,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    1508,    -1,    -1,    -1,   144,    -1,    -1,    -1,  3676,    -1,
      -1,    -1,    -1,   153,  3682,    -1,    -1,   157,    -1,    -1,
    3688,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1536,  1537,
      -1,  1539,    -1,  3932,   174,    -1,    -1,    -1,    -1,    -1,
     180,    -1,    -1,    -1,    -1,  3713,    -1,    -1,  1556,    -1,
      -1,    -1,    -1,    -1,    -1,   195,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   206,    -1,    -1,  3968,
      -1,    -1,    -1,    -1,   214,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   225,    -1,    -1,    -1,    -1,
      -1,    -1,   232,    -1,    -1,    -1,   236,    -1,    -1,    -1,
    1608,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   251,    -1,    -1,    -1,  3783,    -1,    -1,    -1,  3787,
    3788,  3789,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1637,
      -1,    -1,    -1,  1641,  1642,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     290,    -1,    -1,    -1,    -1,    -1,    -1,   297,    -1,    -1,
      -1,  2485,    -1,    -1,    -1,    -1,  2490,  2491,    -1,    -1,
      -1,    -1,    -1,    -1,  1721,    -1,    -1,    -1,  2502,    -1,
      -1,  4080,    -1,    -1,    -1,    -1,    -1,    -1,   328,    -1,
      -1,   331,  4091,    -1,    -1,    -1,    -1,  3865,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  1721,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   365,  1734,    -1,  1775,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3905,    -1,    -1,
      -1,    -1,    -1,   383,    -1,    -1,    -1,    -1,    -1,   389,
      -1,    -1,    -1,    -1,    -1,   395,    -1,  1804,   398,  1767,
      -1,    -1,    -1,    -1,  3932,    -1,    -1,  1775,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   424,    -1,   426,   427,    -1,   429,
     430,    -1,    -1,    -1,    -1,    -1,  1804,    -1,   438,    -1,
    3968,  3969,  3970,   443,    -1,    -1,    -1,  4206,    -1,   449,
      -1,    -1,   452,    -1,    -1,   455,    -1,    -1,    -1,    -1,
      -1,  2645,    -1,    -1,    -1,    -1,    -1,    -1,   468,    -1,
    1877,    -1,    -1,    -1,    -1,  4234,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1896,
      -1,  4250,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  4030,    -1,    -1,    -1,    -1,  1914,    -1,  1877,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1896,    -1,
      -1,    -1,    -1,    -1,    -1,  1942,  2720,  4296,    -1,  4067,
      -1,    -1,    -1,    -1,    -1,    -1,  1914,    -1,    -1,  4077,
    4078,    -1,  4080,    -1,    -1,    -1,    -1,  4085,  4086,    -1,
      -1,    -1,  4090,  4091,    -1,    -1,    -1,    -1,  4096,  4097,
      -1,    -1,  4100,    -1,  1942,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    4118,    -1,    -1,    -1,  4122,    -1,    -1,    -1,  2005,    -1,
      -1,    -1,    -1,    -1,  4132,    -1,    -1,    -1,    -1,  4137,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  4149,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  1999,    -1,    -1,    -1,    -1,  2820,  2005,    -1,    -1,
    2008,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    4188,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4206,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  4450,    -1,    -1,    -1,    -1,    -1,  4225,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  4234,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  4250,    -1,    -1,    -1,    -1,  2095,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  2133,  2134,    -1,  4296,    -1,
    1287,    -1,    -1,  2141,    -1,    -1,  2144,    -1,    -1,    -1,
    2148,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2156,  2157,
      -1,    -1,    -1,    -1,    -1,  2202,  2164,    -1,    -1,  2167,
    2168,  2169,  2170,    -1,    -1,    -1,    -1,  4566,    -1,  2177,
    2178,    -1,  2180,    -1,  2182,  2183,    -1,    -1,  2186,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  4354,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  2202,  2203,    -1,  4365,    -1,    -1,
    2208,    -1,    -1,    -1,  2212,    -1,    -1,    -1,  2216,    -1,
    2218,  2219,  2220,  2221,  2222,  2223,  2224,  2225,  2226,    -1,
    2228,    -1,    -1,    -1,    -1,    -1,  2234,    -1,    -1,  2237,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  4413,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  4674,    -1,    -1,  4446,    -1,
      -1,    -1,  4450,    -1,    -1,    -1,    -1,  4455,    -1,    -1,
      -1,  2299,    -1,  1450,    -1,    -1,    -1,    -1,  4697,    -1,
      -1,    -1,    -1,    -1,  4472,  4473,  3130,    -1,  4476,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  4489,    -1,    -1,    -1,    -1,  4494,    -1,  4727,  4497,
      -1,    -1,    -1,    -1,  4502,  4503,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3172,  3173,
      -1,  3175,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  4535,  4767,    -1,
      -1,    -1,  4771,  4772,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4566,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  4574,  3231,    -1,  3233,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  2430,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  2441,    -1,  4603,    -1,    -1,  2485,    -1,
    2448,    -1,    -1,  2490,  2491,    -1,    -1,    -1,    -1,  4617,
      -1,    -1,    -1,    -1,    -1,  2502,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  3287,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  2479,    -1,    -1,    -1,    -1,    -1,  2485,    -1,    -1,
      -1,    -1,  2490,  2491,    -1,    -1,    -1,    -1,  3312,    -1,
      -1,    -1,    -1,    -1,  2502,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  4672,    -1,  4674,    -1,    -1,  3333,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  3346,    -1,    -1,    -1,    -1,    -1,  4696,  4697,
      -1,  4699,    -1,  4701,  2542,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    4718,    -1,    -1,    -1,  4722,    -1,    -1,    -1,    -1,  4727,
      -1,    -1,    -1,    -1,  1721,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  3410,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  4763,    -1,    -1,  2645,  4767,
      -1,    -1,  3426,  4771,  4772,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  3439,    -1,    -1,  1775,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  2643,    -1,  2645,    -1,    -1,
    4808,    -1,    -1,    -1,    -1,    -1,    -1,  1804,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4827,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  2720,    -1,    -1,    -1,    -1,    -1,  4847,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3511,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3531,    -1,  4877,
      -1,    -1,  2720,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    1877,    -1,    -1,    -1,    -1,    -1,  4894,    -1,    -1,    -1,
      -1,    -1,  3556,    -1,    -1,    -1,    -1,    -1,    -1,  1896,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  1914,    -1,    -1,
    2768,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3592,    -1,
      -1,  4939,    -1,  2820,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  4950,    -1,    -1,  1942,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  4971,  4972,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  2820,    -1,    -1,    -1,  4984,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2836,    -1,
      -1,    -1,    -1,    -1,  2842,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2005,    -1,
      -1,  2859,  2860,    -1,    -1,    -1,    -1,  2865,  5026,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  5036,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  2890,  2891,    -1,    -1,    -1,  2895,  5056,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2907,
    2908,  2909,  2910,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  2920,    -1,    -1,  2923,   154,  2925,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   163,    -1,  2935,  2936,    -1,
    5098,  2939,    -1,    -1,    -1,  5103,    -1,    -1,    -1,  5107,
      -1,    -1,    -1,  5111,  2952,    -1,  2954,    -1,    -1,    -1,
    2958,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  3788,   203,  2974,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  2985,    -1,  2987,
    2988,  2989,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   237,
      -1,    -1,    -1,  3011,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  3024,    -1,    -1,    -1,
      -1,  3029,    -1,    -1,    -1,    -1,    -1,  3035,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  3043,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  2202,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  3130,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  3103,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3932,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  3130,    -1,    -1,  3172,  3173,    -1,  3175,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  3968,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  3172,  3173,    -1,  3175,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   416,    -1,
      -1,    -1,    -1,    -1,  3231,    -1,  3233,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  3231,    -1,  3233,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    3287,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  4080,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  3312,    -1,  4091,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3287,
      -1,    -1,    -1,    -1,    -1,    -1,  3333,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3346,
      -1,    -1,    -1,    -1,  3312,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  3333,    -1,    -1,  2485,    -1,
      -1,    -1,    -1,  2490,  2491,    -1,    -1,    -1,  3346,    -1,
      -1,    -1,    -1,    -1,    -1,  2502,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  3410,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3426,
      -1,    -1,  4206,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  3439,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  3410,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    4234,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3426,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  4250,    -1,    -1,    -1,
      -1,  3439,    -1,    -1,    -1,    -1,    -1,    -1,   676,   677,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  3469,    -1,    -1,  3511,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  4296,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  3531,    -1,   724,    -1,  2645,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    3508,    -1,    -1,  3511,    -1,    -1,    -1,    -1,    -1,  3556,
    3518,    -1,    -1,    -1,    -1,    -1,  3524,    -1,  3526,    -1,
      -1,    -1,    -1,  3531,  3532,    -1,    -1,  3535,  3536,  3537,
    3538,  3539,  3540,  3541,  3542,  3543,  3544,    -1,    -1,    -1,
    3548,  3549,    -1,    -1,    -1,  3592,    -1,    -1,  3556,    -1,
      -1,    -1,    -1,  3561,    -1,    -1,    -1,  3565,    -1,    -1,
      -1,  3569,    -1,  2720,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  3579,    -1,    -1,  3582,    -1,  3584,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  3592,  3593,  3594,  3595,    -1,    -1,
      -1,  3599,    -1,    -1,  3602,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  3612,  3613,    -1,   845,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  3623,    -1,   855,   856,    -1,
     858,    -1,   860,  3631,   862,  3633,  4450,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   881,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   889,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     898,   899,    -1,  2820,    -1,   903,    -1,    -1,  3676,    -1,
      -1,    -1,    -1,    -1,  3682,    -1,    -1,    -1,    -1,    -1,
    3688,    -1,   920,    -1,   922,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   937,
      -1,    -1,    -1,    -1,    -1,  3713,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   953,    -1,    -1,   956,    -1,
     958,    -1,   960,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   974,    -1,    -1,    -1,
      -1,  3788,  4566,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    3788,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  1029,    -1,  1031,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  1062,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    4674,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1097,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  4697,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  3932,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3905,    -1,    -1,
      -1,    -1,    -1,  4727,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  3968,    -1,    -1,  3932,    -1,    -1,    -1,    -1,    -1,
    1168,    -1,  1170,    -1,    -1,    -1,  1174,    -1,    -1,    -1,
      -1,    -1,    -1,  4767,    -1,    -1,    -1,  4771,  4772,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  1194,    -1,    -1,    -1,
    3968,  3969,  3970,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  3130,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  1241,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  3172,  3173,    -1,  3175,  1257,
      -1,    -1,  4030,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  1270,  4080,    -1,    -1,    -1,    -1,    -1,  1277,
      -1,    -1,    -1,    -1,  4091,    -1,    -1,    -1,    -1,    -1,
      -1,  1289,    -1,    -1,  1292,    -1,    -1,    -1,    -1,  4067,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4077,
    4078,    -1,  4080,    -1,  3231,    -1,  3233,  4085,  4086,    -1,
      -1,    -1,  4090,  4091,    -1,    -1,    -1,  1325,  4096,  4097,
      -1,    -1,  4100,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    4118,    -1,    -1,    -1,  4122,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  4132,    -1,    -1,    -1,    -1,  4137,
    3287,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  4149,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  3312,    -1,    -1,    -1,  4206,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  3333,    -1,    -1,    -1,
    4188,    -1,    -1,    -1,    -1,    -1,    -1,  4234,    -1,  3346,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4206,    -1,
      -1,    -1,    -1,  4250,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  4234,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  4250,    -1,    -1,    -1,    -1,    -1,    -1,  4296,
      -1,    -1,    -1,  3410,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3426,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  3439,    -1,    -1,    -1,    -1,    -1,  4296,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  4354,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  3511,    -1,    -1,  4365,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  3531,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1627,
    1628,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3556,
      -1,    -1,    -1,  4450,    -1,  4413,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  3592,    -1,    -1,  4446,    -1,
      -1,    -1,  4450,    -1,    -1,    -1,    -1,  4455,  1686,    -1,
      -1,  1689,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1697,
      -1,    -1,    -1,    -1,  4472,  4473,    -1,    -1,  4476,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  1715,    -1,    -1,
      -1,  4489,    -1,    -1,    -1,    -1,  4494,    -1,    -1,  4497,
      -1,    -1,    -1,    -1,  4502,  4503,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  1753,    -1,    -1,    -1,  4566,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  4535,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
       5,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4566,    -1,
      25,    -1,    -1,    -1,    -1,    -1,  4574,    -1,    -1,    -1,
      35,    36,    -1,    -1,    -1,    -1,    -1,    -1,    43,    44,
      -1,    -1,    47,    48,    49,    50,    51,    52,    53,    54,
      55,    56,    57,    58,    59,    60,    61,    62,    63,    64,
      65,    66,    67,    68,    69,    70,    71,    -1,    -1,  4617,
      75,    76,    77,    78,    79,    80,    81,    82,    -1,    -1,
      -1,    86,    -1,    -1,    -1,    -1,    -1,  4674,    -1,    -1,
      -1,  3788,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    4697,    -1,    -1,    89,    -1,    -1,    -1,    -1,    94,    -1,
      96,    -1,    -1,    -1,  4672,    -1,  4674,    -1,    -1,   134,
     106,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    4727,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4696,  4697,
      -1,  4699,    -1,  4701,    -1,    -1,   132,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   142,    -1,  1946,    -1,
    4718,    -1,    -1,    -1,  4722,    -1,    -1,   153,   154,  4727,
    4767,   157,    -1,  1961,  4771,  4772,    -1,   163,    -1,    -1,
      -1,   167,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   204,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   187,    -1,    -1,    -1,    -1,   221,    -1,    -1,  4767,
      -1,    -1,    -1,  4771,  4772,    -1,    -1,   203,    -1,  2007,
      -1,    -1,    -1,    -1,    -1,  3932,   241,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  2022,    -1,  2024,    -1,  2026,    -1,
      -1,    -1,    -1,  2031,    -1,    -1,    -1,    -1,   263,    -1,
    4808,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  3968,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4827,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   299,    -1,    -1,   302,    -1,  4847,
      -1,    -1,  2080,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   317,    -1,  2092,    -1,    -1,    -1,  2096,    -1,
    2098,    -1,    -1,  2101,    -1,    -1,    -1,    -1,    -1,  4877,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  4894,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  4080,    -1,    -1,    -1,   392,    -1,    -1,
      -1,  4939,    -1,    -1,  4091,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  4950,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  4971,  4972,    -1,    -1,    -1,    -1,   434,
      -1,    -1,    -1,    -1,    -1,    -1,  4984,    -1,    -1,    -1,
     416,    -1,    -1,   448,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   463,    -1,
      -1,    -1,  2240,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  5026,    -1,
      -1,    -1,    -1,    -1,   489,    -1,    -1,    -1,  5036,    -1,
     495,    -1,    -1,    -1,   499,   500,   501,   502,   503,    -1,
      -1,   506,   507,   508,    -1,    -1,    -1,    -1,   513,  4206,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  4234,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    5098,    -1,    -1,  4250,    -1,    -1,    -1,    -1,    -1,  5107,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4296,
      -1,    -1,    -1,  2381,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    2398,  2399,    -1,    -1,    -1,  2403,  2404,    -1,    -1,  2407,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2417,
      -1,    -1,    -1,    -1,    -1,    -1,  2424,    -1,    -1,    -1,
    2428,  2429,    -1,    -1,  2432,  2433,   632,    -1,    -1,    -1,
      -1,  2439,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  2451,    -1,  2453,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  2469,    -1,    -1,    -1,    -1,  2474,    -1,    -1,    -1,
     676,   677,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  2505,  2506,  2507,
    2508,    -1,    -1,    -1,  2512,  2513,    -1,    -1,    -1,    -1,
      -1,    -1,  2520,    -1,    -1,  2523,    -1,    -1,   724,  2527,
      -1,    -1,    -1,  4450,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  2549,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  2560,    -1,  2562,    -1,    -1,    -1,    -1,  2567,
      -1,    -1,    -1,    -1,  2572,  2573,  2574,  2575,    -1,  2577,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  2590,  2591,  2592,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  2603,  2604,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4566,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  2663,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   919,   920,    -1,   922,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  4674,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   970,    -1,    -1,   973,   974,    -1,
    4697,    -1,    -1,    -1,    -1,    -1,    -1,  2785,    -1,    -1,
      -1,    -1,   988,    -1,   990,    -1,   992,    -1,    -1,    -1,
    2798,    -1,   998,    -1,    -1,    -1,  1002,    -1,    -1,    -1,
    4727,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  1021,  1022,    -1,  2826,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    4767,    -1,    -1,    -1,  4771,  4772,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  1062,    -1,  1064,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  1141,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1155,
    1156,    -1,    -1,  1159,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1205,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  3022,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  3083,  3084,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  3100,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3125,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  3134,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  3149,  3150,    -1,    -1,    -1,  3154,    -1,    -1,    -1,
      -1,  3159,  3160,  3161,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3195,  3196,  3197,
    3198,    -1,    -1,    -1,    -1,  1401,    -1,    -1,    -1,    -1,
    1406,    -1,  1408,    -1,    -1,  1411,    -1,  1413,    -1,    -1,
    1416,  1417,  1418,    -1,    -1,    -1,  1422,  3225,  3226,  3227,
      -1,    -1,    -1,  1429,    -1,    -1,    -1,  3235,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  1442,    -1,  1444,    -1,
      -1,    -1,    -1,  1449,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  3299,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3307,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  3361,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  1567,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    1576,  1577,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  1593,    -1,    -1,
      -1,    -1,  1598,  1599,    -1,  3403,    -1,    -1,  3406,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3437,
      -1,    -1,  3440,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  3454,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3467,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  1681,    -1,  1683,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  1693,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   838,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   847,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  1757,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1765,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   880,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    1816,    -1,    -1,  1819,  1820,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   936,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   946,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  1883,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  3720,    -1,  3722,    -1,    -1,    -1,    -1,    -1,
      -1,  3729,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3745,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1060,
      -1,    -1,    -1,    -1,  3762,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  3771,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  1095,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3817,
    3818,  3819,  3820,  3821,  3822,  3823,  3824,    -1,    -1,    -1,
      -1,  3829,  3830,    -1,  3832,  3833,  3834,  3835,  3836,  3837,
    3838,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3847,
      -1,  3849,  3850,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2064,    -1,
    2066,    -1,    -1,    -1,  2070,    -1,  2072,    -1,    -1,  2075,
      -1,    -1,    -1,  2079,    -1,    -1,    -1,    -1,  2084,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  3899,  3900,  3901,    -1,    -1,  3904,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  1253,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  1264,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  1287,  3985,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    1060,    -1,    -1,    -1,    -1,    -1,    -1,  4005,  4006,  4007,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  1324,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  1095,    -1,  2233,    -1,    -1,
      -1,    -1,    -1,    -1,  2240,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  2249,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  1393,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  2313,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1450,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    2366,    -1,    -1,    -1,  2370,    -1,    -1,    -1,  1479,    -1,
    2376,    -1,  2378,    -1,    -1,  2381,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  1508,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4217,
    4218,  4219,  4220,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  1536,  1537,    -1,  1539,    -1,
      -1,    -1,    -1,  4241,  4242,  4243,  4244,    -1,  4246,  4247,
      -1,    -1,    -1,    -1,    -1,  1556,    -1,    -1,    -1,    -1,
    4258,  4259,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  4275,  4276,    -1,
    4278,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  1608,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  1637,    -1,    -1,    -1,
    1641,  1642,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  2553,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  2561,    -1,  2563,    -1,    -1,
      -1,    -1,    -1,    -1,  4372,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  4381,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  4402,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1479,
    1721,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4426,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1508,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  1775,    -1,  1536,  1537,    -1,  1539,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4487,
      -1,    -1,    -1,    -1,    -1,    -1,  1556,    -1,    -1,    -1,
      -1,    -1,  4500,  1804,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1608,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  1877,  1637,    -1,    -1,
      -1,  1641,  1642,    -1,    -1,    -1,  4584,    -1,    -1,  2785,
    2786,    -1,    -1,    -1,    -1,  1896,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  2802,    -1,    -1,    -1,
      -1,    -1,    -1,  1914,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  1942,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  4680,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1999,    -1,
      -1,    -1,    -1,    -1,  2005,    -1,    -1,  2008,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  4715,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  4725,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  4761,    -1,    -1,    -1,    -1,  4766,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  4779,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  2095,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  3002,    -1,    -1,    -1,
      -1,  3007,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  2133,  2134,    -1,    -1,    -1,    -1,    -1,    -1,
    2141,    -1,    -1,  2144,    -1,    -1,    -1,  2148,    -1,    -1,
      -1,    -1,    -1,  4851,    -1,  2156,  2157,    -1,    -1,    -1,
      -1,    -1,    -1,  2164,    -1,    -1,  2167,  2168,  2169,  2170,
    4868,    -1,    -1,    -1,    -1,    -1,  2177,  2178,    -1,  2180,
      -1,  2182,  2183,    -1,    -1,  2186,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  2202,  2203,    -1,    -1,    -1,    -1,  2208,    -1,    -1,
      -1,  2212,    -1,    -1,    -1,  2216,    -1,  2218,  2219,  2220,
    2221,  2222,  2223,  2224,  2225,  2226,    -1,  2228,    -1,    -1,
    4928,    -1,    -1,  2234,    -1,  4933,  2237,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2299,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  2141,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  2164,    -1,    -1,  2167,    -1,    -1,
    2170,    -1,    -1,    -1,    -1,    -1,    -1,  2177,  2178,    -1,
      -1,    -1,    -1,  2183,    -1,    -1,  2186,    -1,    -1,  2430,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3333,    -1,    -1,
    2441,    -1,    -1,  2203,    -1,    -1,    -1,  2448,  2208,    -1,
    3346,    -1,  2212,    -1,    -1,    -1,  2216,    -1,  2218,  2219,
    2220,  2221,  2222,  2223,  2224,  2225,  2226,    -1,  2228,    -1,
      -1,    -1,    -1,    -1,  2234,    -1,    -1,  2237,    -1,    -1,
      -1,    -1,    -1,    -1,  2485,    -1,    -1,    -1,    -1,  2490,
    2491,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  2502,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2299,
      -1,  3437,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  3498,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  2643,    -1,  2645,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    2430,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2720,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  2768,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3693,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2820,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  2836,    -1,    -1,    -1,    -1,
      -1,  2842,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2859,  2860,
      -1,    -1,    -1,    -1,  2865,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  2643,    -1,    -1,    -1,    -1,    -1,  2890,
    2891,    -1,  3788,    -1,  2895,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  2907,  2908,  2909,  2910,
      -1,    -1,    -1,    -1,  3810,    -1,    -1,    -1,    -1,  2920,
      -1,    -1,  2923,    -1,  2925,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  2935,  2936,    -1,    -1,  2939,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  2952,    -1,  2954,    -1,    -1,    -1,  2958,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  2974,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  2985,    -1,  2987,  2988,  2989,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2768,    -1,
    3011,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  3024,    -1,    -1,    -1,    -1,  3029,    -1,
      -1,    -1,    -1,    -1,  3035,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  3043,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    2860,    -1,  3103,    -1,    -1,  2865,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  4010,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3130,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    1552,    -1,    -1,    -1,    -1,    -1,    -1,  2907,    -1,  2909,
    2910,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    2920,    -1,    -1,  2923,    -1,  2925,    -1,    -1,    -1,    -1,
      -1,  3172,  3173,    -1,  3175,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  2952,    -1,  2954,    -1,    -1,    -1,  2958,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  1623,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  2987,  2988,  2989,
    3231,    -1,  3233,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  3011,    -1,    -1,    -1,    -1,    -1,  4153,    -1,    -1,
      -1,    -1,    -1,    -1,  3024,    -1,    -1,    -1,    -1,  3029,
      -1,    -1,    -1,    -1,    -1,  3035,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  4179,    -1,    -1,  3287,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  3312,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  3333,    -1,    -1,  4231,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  3103,    -1,  3346,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3410,
      -1,    -1,    -1,    -1,    -1,  4311,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  3426,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3439,    -1,
      -1,    -1,  4338,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3469,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3508,    -1,    -1,
    3511,    -1,    -1,    -1,    -1,    -1,    -1,  3518,    -1,    -1,
      -1,    -1,    -1,  3524,    -1,  3526,    -1,    -1,    -1,    -1,
    3531,  3532,    -1,    -1,  3535,  3536,  3537,  3538,  3539,  3540,
    3541,  3542,  3543,  3544,    -1,    -1,    -1,  3548,  3549,    -1,
      -1,    -1,    -1,    -1,    -1,  3556,    -1,    -1,    -1,    -1,
    3561,    -1,    -1,    -1,  3565,    -1,    -1,    -1,  3569,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3579,    -1,
      -1,  3582,    -1,  3584,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  3592,  3593,  3594,  3595,    -1,    -1,    -1,  3599,    -1,
      -1,  3602,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  3612,  3613,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  3623,    -1,  4520,    -1,    -1,    -1,    -1,    -1,
    3631,    -1,  3633,    -1,    -1,  2047,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    4566,    -1,    -1,    -1,    -1,  3676,    -1,    -1,    -1,    -1,
      -1,  3682,    -1,    -1,    -1,    -1,    -1,  3688,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  3713,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  2139,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3508,    -1,
      -1,  2163,    -1,    -1,    -1,    -1,  2168,    -1,  3518,    -1,
      -1,    -1,    -1,    -1,  3524,    -1,  3526,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  2188,  2189,    -1,    -1,
    2192,    -1,    -1,    -1,    -1,    -1,    -1,  3788,  3548,  3549,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3569,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3579,
    2232,    -1,  3582,    -1,  3584,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  3593,    -1,    -1,    -1,    -1,    -1,  3599,
      -1,    -1,  3602,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  3623,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  3631,    -1,  3633,  2286,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  2309,    -1,    -1,
      -1,    -1,    -1,    -1,  3905,    -1,    -1,    -1,    -1,  2321,
      -1,    -1,  2324,    -1,    -1,    -1,  3676,    -1,    -1,    -1,
      -1,    -1,  3682,    -1,    -1,    -1,    -1,    -1,  3688,    -1,
      -1,  3932,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4854,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3968,  3969,  3970,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4030,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  4067,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  4077,  4078,    -1,  4080,
      -1,    -1,    -1,    -1,  4085,  4086,    -1,    -1,    -1,  4090,
    4091,    -1,    -1,    -1,    -1,  4096,  4097,    -1,    -1,  4100,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  4118,    -1,    -1,
      -1,  4122,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  4132,    -1,    -1,    -1,    -1,  4137,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4149,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  4188,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  4206,    -1,    -1,    -1,  3969,
    3970,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  4234,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4250,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    4030,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  4296,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  4077,  4078,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    4090,    -1,    -1,    -1,    -1,    -1,  4096,  4097,    -1,    -1,
    4100,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  4354,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  4365,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  4132,    -1,    -1,    -1,    -1,  4137,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4149,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  4413,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4188,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  4446,    -1,    -1,    -1,  4450,
      -1,  2863,    -1,    -1,  4455,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  4472,  4473,    -1,  2886,  4476,  2888,    -1,  2890,  2891,
    2892,    -1,    -1,  2895,    -1,    -1,    -1,  2899,  4489,    -1,
      -1,    -1,    -1,  4494,  2906,    -1,  4497,    -1,    -1,  2911,
      -1,  4502,  4503,    -1,    -1,  2917,    -1,    -1,    -1,    -1,
    2922,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2931,
      -1,    -1,    -1,  2935,  2936,    -1,  2938,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  4535,    -1,    -1,    -1,  2950,    -1,
      -1,    -1,    -1,    -1,    -1,  2957,    -1,  2959,  2960,  2961,
    2962,  2963,  2964,  2965,  2966,  2967,  2968,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  4566,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  4574,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  2993,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  4354,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  4617,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  4672,    -1,  4674,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  4696,  4697,    -1,  4699,    -1,
    4701,    -1,    -1,    -1,    -1,    -1,  3118,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  4476,  4718,    -1,    -1,
      -1,  4722,    -1,    -1,    -1,    -1,  4727,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  4503,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  4767,    -1,    -1,    -1,
    4771,  4772,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  4808,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  4827,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  4847,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  4877,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  4894,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  3334,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4939,  4699,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4950,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4718,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    4971,  4972,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  4984,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  5026,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  5036,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  3458,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  4827,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  3507,    -1,  5098,    -1,    -1,
      -1,  3513,    -1,    -1,    -1,    -1,  5107,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3529,  3530,    -1,
    3532,    -1,    -1,  3535,  3536,  3537,  3538,  3539,  3540,  3541,
    3542,  3543,  3544,  3545,  4894,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3570,    -1,
      -1,  3573,    -1,  3575,    -1,    -1,    -1,    -1,  3580,  3581,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  3594,  3595,  3596,    -1,  3598,    -1,    -1,  3601,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  4971,  4972,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3659,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3671,
      -1,    -1,    -1,    -1,    -1,    -1,  5026,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  5036,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3710,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  5098,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  3905,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
       6,     7,     8,    -1,    10,    11,    12,    -1,    -1,    -1,
      16,    -1,    -1,    19,    20,    21,    22,    23,    24,    -1,
      26,    27,    -1,    -1,    -1,    31,    32,    33,    34,    -1,
      36,    37,    38,    39,    40,    -1,    42,    43,    44,    -1,
      -1,    -1,    -1,    -1,    50,    51,    -1,    -1,    -1,    -1,
      56,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    65,
      -1,    67,    -1,    69,    -1,    71,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    79,    80,    -1,    -1,    -1,    -1,  4031,
      -1,    -1,    -1,  4035,  4036,  4037,    -1,    -1,  4040,    -1,
      -1,    -1,    -1,  4045,  4046,  4047,  4048,  4049,  4050,  4051,
    4052,  4053,  4054,  4055,  4056,    -1,    -1,    -1,    -1,   115,
      -1,    -1,    -1,   119,   120,   121,   122,   123,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   135,
      -1,    -1,  4084,  4085,  4086,  4087,   142,  4089,   144,    -1,
      -1,  4093,  4094,  4095,   150,    -1,  4098,    -1,    -1,  4101,
      -1,    -1,    -1,    -1,    -1,   161,    -1,    -1,    -1,    -1,
      -1,   167,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   177,   178,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  4134,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  4146,    -1,    -1,    -1,   204,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   212,    -1,    -1,    -1,
     216,  4163,    -1,    -1,    -1,   221,    -1,    -1,    -1,    -1,
      -1,   227,    -1,   229,    -1,    -1,    -1,    -1,    -1,   235,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   244,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   257,   258,    -1,    -1,    -1,    -1,    -1,   264,    -1,
     266,    -1,    -1,   269,   270,    -1,   272,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   283,   284,    -1,
     286,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     306,   307,   308,    -1,    -1,   311,    -1,    -1,    -1,   315,
      -1,    -1,   318,    -1,   320,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   333,   334,   335,
     336,   337,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   347,    -1,   349,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   362,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   382,    -1,    -1,   385,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   402,    -1,    -1,   405,
      -1,   407,    -1,    -1,    -1,  4357,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   420,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   432,   433,    -1,    -1,
      -1,   437,    -1,   439,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   448,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   463,  4410,  4411,
     466,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   480,   481,   482,   483,   484,   485,
     486,   487,   488,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    4442,    -1,    -1,    -1,  4446,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4460,   515,
    4462,    -1,    -1,    -1,    -1,  4467,  4468,  4469,    -1,    -1,
    4472,  4473,  4474,  4475,    -1,  4477,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,     6,     7,     8,    -1,    10,
      11,    12,    -1,    -1,    -1,    16,    -1,    -1,    19,    20,
      21,    22,    23,    24,    -1,    26,    27,    -1,    -1,    -1,
      31,    32,    33,    34,    -1,    36,    37,    38,    39,    40,
      41,    42,    43,    44,    -1,    -1,    -1,    -1,    -1,    50,
      51,  4533,    -1,    -1,    -1,    56,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    65,    -1,    67,    -1,    69,    70,
      71,    -1,    73,    -1,    -1,    -1,    -1,    -1,    79,    80,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   115,    -1,    -1,    -1,   119,   120,
     121,   122,   123,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   135,    -1,    -1,    -1,    -1,    -1,
      -1,   142,    -1,   144,    -1,    -1,    -1,  4629,    -1,   150,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     161,    -1,    -1,    -1,    -1,    -1,   167,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   177,   178,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   204,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   212,    -1,  4695,  4696,   216,    -1,    -1,    -1,    -1,
     221,    -1,    -1,    -1,    -1,    -1,   227,    -1,   229,  4711,
    4712,  4713,    -1,    -1,   235,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   244,    -1,    -1,    -1,    -1,  4730,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   257,   258,    -1,    -1,
      -1,    -1,    -1,   264,    -1,   266,    -1,    -1,   269,   270,
      -1,   272,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   283,   284,    -1,   286,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   306,   307,   308,    -1,    -1,
     311,    -1,    -1,    -1,   315,    -1,    -1,   318,    -1,   320,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   333,   334,   335,   336,   337,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   347,    -1,   349,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   362,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  4857,    -1,    -1,    -1,    -1,
      -1,   382,    -1,    -1,   385,  4867,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   402,    -1,    -1,   405,    -1,   407,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   420,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   432,   433,    -1,    -1,    -1,   437,    -1,   439,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   448,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  4938,    -1,    -1,    -1,
      -1,    -1,   463,    -1,    -1,   466,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   480,
     481,   482,   483,   484,   485,   486,   487,   488,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  4983,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,     5,     6,     7,     8,     9,    10,    11,    12,    13,
      -1,    15,    16,    -1,    -1,    19,    20,    21,    22,    23,
      24,    25,    26,    27,    28,    29,    -1,    31,    32,    33,
      34,    35,    36,    37,    38,    39,    40,  5029,    42,    43,
      44,    45,    46,    -1,    -1,    -1,    50,    51,    -1,    -1,
      -1,    -1,    56,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    65,    -1,    67,    -1,    69,    70,    71,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    79,    80,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  5077,    -1,    91,    92,    93,
      94,    95,    96,    97,    98,    99,   100,   101,   102,   103,
     104,   105,   106,   107,   108,   109,   110,   111,   112,   113,
     114,   115,   116,   117,   118,   119,   120,   121,   122,   123,
     124,   125,   126,   127,   128,   129,   130,   131,   132,   133,
     134,   135,   136,   137,   138,   139,   140,   141,   142,   143,
     144,   145,   146,   147,   148,   149,   150,   151,   152,   153,
     154,   155,   156,   157,   158,   159,   160,   161,   162,   163,
     164,   165,   166,   167,   168,   169,   170,   171,   172,   173,
     174,   175,   176,   177,   178,   179,   180,   181,   182,   183,
     184,   185,   186,   187,   188,   189,   190,   191,   192,   193,
     194,   195,   196,   197,   198,   199,   200,   201,   202,   203,
     204,   205,   206,   207,   208,   209,   210,   211,   212,   213,
     214,   215,   216,   217,   218,   219,   220,   221,   222,   223,
     224,   225,   226,   227,   228,   229,   230,   231,   232,   233,
     234,   235,   236,   237,   238,   239,   240,   241,   242,   243,
     244,   245,   246,   247,   248,   249,   250,   251,   252,   253,
     254,   255,   256,   257,   258,   259,   260,   261,   262,   263,
     264,   265,   266,   267,   268,   269,   270,   271,   272,   273,
     274,   275,   276,   277,   278,   279,   280,   281,   282,   283,
     284,   285,   286,   287,   288,   289,   290,   291,   292,   293,
     294,   295,   296,   297,   298,   299,   300,   301,   302,   303,
     304,   305,   306,   307,   308,   309,   310,   311,   312,   313,
     314,   315,   316,   317,   318,   319,   320,   321,   322,   323,
     324,   325,   326,   327,   328,   329,   330,   331,   332,   333,
     334,   335,   336,   337,   338,   339,   340,   341,   342,   343,
     344,   345,   346,   347,   348,   349,   350,   351,   352,   353,
     354,   355,   356,   357,   358,   359,   360,   361,   362,   363,
     364,   365,   366,   367,   368,   369,   370,   371,   372,   373,
     374,   375,   376,   377,   378,   379,   380,   381,   382,   383,
     384,   385,   386,   387,   388,   389,   390,   391,   392,   393,
     394,   395,   396,   397,   398,   399,   400,   401,   402,   403,
     404,   405,   406,   407,   408,   409,   410,   411,   412,   413,
     414,   415,   416,   417,   418,   419,   420,   421,   422,   423,
     424,   425,   426,   427,   428,   429,   430,   431,   432,   433,
     434,   435,   436,   437,   438,   439,   440,   441,   442,   443,
     444,   445,   446,   447,   448,   449,   450,   451,   452,   453,
     454,   455,   456,   457,   458,   459,   460,   461,   462,   463,
     464,   465,   466,   467,   468,   469,   470,   471,   472,   473,
     474,   475,   476,   477,   478,   479,   480,   481,   482,   483,
     484,   485,   486,   487,   488,   489,   490,   491,     3,    -1,
      -1,     6,     7,     8,     9,    10,    11,    12,    13,    -1,
      15,    16,    17,    18,    19,    20,    21,    22,    23,    24,
     514,    26,    27,    28,    -1,    -1,    31,    32,    33,    34,
      -1,    36,    37,    38,    39,    40,    -1,    42,    43,    44,
      45,    46,    -1,    -1,    -1,    50,    51,    -1,    -1,    -1,
      -1,    56,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      65,    -1,    67,    -1,    69,    70,    71,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    79,    80,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    91,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   101,    -1,   103,   104,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   113,    -1,
     115,    -1,    -1,   118,   119,   120,   121,   122,   123,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     135,    -1,    -1,   138,    -1,   140,   141,   142,    -1,   144,
      -1,   146,    -1,   148,    -1,   150,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   158,    -1,   160,   161,    -1,    -1,    -1,
      -1,    -1,   167,    -1,    -1,    -1,    -1,    -1,    -1,   174,
      -1,   176,   177,   178,   179,    -1,    -1,    -1,    -1,    -1,
     185,    -1,    -1,    -1,    -1,    -1,   191,    -1,   193,    -1,
      -1,    -1,   197,    -1,    -1,    -1,    -1,    -1,   203,   204,
      -1,    -1,    -1,    -1,    -1,    -1,   211,   212,   213,    -1,
      -1,   216,    -1,    -1,   219,    -1,   221,    -1,    -1,    -1,
      -1,    -1,   227,    -1,   229,    -1,    -1,    -1,   233,    -1,
     235,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   244,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   257,   258,    -1,    -1,   261,    -1,    -1,   264,
      -1,   266,    -1,    -1,   269,   270,    -1,   272,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   283,   284,
      -1,   286,    -1,   288,   289,    -1,    -1,    -1,    -1,   294,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   303,    -1,
      -1,   306,   307,   308,    -1,    -1,   311,    -1,    -1,   314,
     315,    -1,    -1,   318,    -1,   320,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   333,   334,
     335,   336,   337,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   347,    -1,   349,    -1,   351,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   362,   363,    -1,
      -1,    -1,    -1,   368,   369,    -1,   371,    -1,    -1,    -1,
      -1,   376,    -1,    -1,    -1,    -1,   381,   382,    -1,   384,
     385,    -1,    -1,   388,    -1,    -1,    -1,    -1,   393,   394,
      -1,    -1,    -1,    -1,    -1,    -1,   401,   402,    -1,   404,
     405,    -1,   407,    -1,    -1,    -1,    -1,   412,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   420,    -1,    -1,    -1,   424,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   432,   433,    -1,
      -1,    -1,   437,    -1,   439,    -1,   441,    -1,   443,    -1,
      -1,    -1,    -1,   448,    -1,    -1,   451,    -1,    -1,   454,
      -1,    -1,   457,    -1,    -1,    -1,    -1,   462,   463,    -1,
      -1,   466,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   474,
      -1,    -1,    -1,    -1,    -1,   480,   481,   482,   483,   484,
     485,   486,   487,   488,     6,     7,     8,    -1,    10,    11,
      12,    -1,    -1,    -1,    16,    -1,    -1,    19,    20,    21,
      22,    23,    24,   508,    26,    27,    -1,   512,    -1,    31,
      32,    33,    34,    -1,    36,    37,    38,    39,    40,    -1,
      42,    43,    44,    -1,    -1,    -1,    -1,    -1,    50,    51,
      -1,    -1,    -1,    -1,    56,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    65,    -1,    67,    -1,    69,    -1,    71,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    79,    80,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   115,    -1,    -1,    -1,   119,   120,   121,
     122,   123,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   135,    -1,    -1,    -1,    -1,    -1,    -1,
     142,    -1,   144,    -1,    -1,    -1,    -1,    -1,   150,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   161,
      -1,    -1,    -1,    -1,    -1,   167,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   177,   178,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   204,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     212,    -1,    -1,    -1,   216,    -1,    -1,    -1,    -1,   221,
      -1,    -1,    -1,    -1,    -1,   227,    -1,   229,    -1,    -1,
      -1,    -1,    -1,   235,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   244,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   257,   258,    -1,    -1,    -1,
      -1,    -1,   264,    -1,   266,    -1,    -1,   269,   270,    -1,
     272,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   283,   284,    -1,   286,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   306,   307,   308,    -1,    -1,   311,
      -1,    -1,    -1,   315,    -1,    -1,   318,    -1,   320,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   333,   334,   335,   336,   337,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   347,    -1,   349,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     362,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     382,    -1,    -1,   385,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     402,    -1,    -1,   405,    -1,   407,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   420,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     432,   433,    -1,    -1,    -1,   437,    -1,   439,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   448,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   463,    -1,    -1,   466,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   480,   481,
     482,   483,   484,   485,   486,   487,   488,    -1,     5,     6,
       7,     8,     9,    10,    11,    12,    13,    -1,    15,    16,
      -1,    -1,    19,    20,    21,    22,    23,    24,    25,    26,
      27,    28,    29,   515,    31,    32,    33,    34,    35,    36,
      37,    38,    39,    40,    -1,    42,    43,    44,    45,    46,
      -1,    -1,    -1,    50,    51,    -1,    -1,    -1,    -1,    56,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    65,    -1,
      67,    -1,    69,    70,    71,    72,    -1,    -1,    75,    76,
      77,    78,    79,    80,    81,    82,    83,    84,    85,    86,
      87,    -1,    -1,    -1,    91,    92,    93,    94,    95,    96,
      97,    98,    99,   100,   101,   102,    -1,    -1,    -1,    -1,
     107,    -1,    -1,   110,   111,    -1,   113,   114,   115,   116,
     117,   118,   119,   120,   121,   122,   123,    -1,   125,   126,
     127,   128,   129,   130,   131,   132,   133,   134,   135,   136,
      -1,   138,   139,   140,   141,   142,    -1,   144,    -1,   146,
     147,   148,   149,   150,   151,   152,    -1,   154,   155,   156,
     157,   158,   159,    -1,   161,   162,    -1,   164,   165,   166,
     167,   168,   169,   170,   171,   172,   173,   174,   175,   176,
     177,   178,   179,    -1,   181,    -1,   183,   184,   185,   186,
     187,    -1,   189,   190,   191,   192,    -1,   194,   195,   196,
     197,   198,    -1,   200,   201,   202,    -1,   204,   205,   206,
      -1,   208,   209,   210,   211,   212,   213,   214,   215,   216,
     217,   218,    -1,   220,   221,   222,    -1,   224,    -1,   226,
     227,    -1,   229,   230,   231,   232,    -1,   234,   235,    -1,
     237,    -1,   239,   240,   241,   242,   243,   244,   245,   246,
     247,    -1,   249,   250,   251,   252,   253,   254,    -1,   256,
     257,   258,    -1,   260,   261,   262,   263,   264,    -1,   266,
      -1,   268,   269,   270,   271,   272,   273,   274,   275,   276,
     277,    -1,   279,   280,    -1,   282,   283,   284,   285,   286,
      -1,   288,   289,   290,   291,   292,   293,   294,   295,   296,
     297,   298,   299,   300,   301,   302,   303,   304,   305,   306,
     307,   308,   309,   310,   311,   312,   313,   314,   315,   316,
     317,   318,   319,   320,   321,   322,   323,    -1,   325,    -1,
      -1,   328,   329,   330,    -1,    -1,   333,   334,   335,   336,
     337,   338,   339,   340,   341,   342,   343,   344,    -1,   346,
     347,   348,   349,   350,   351,   352,    -1,   354,   355,   356,
     357,   358,   359,   360,   361,   362,   363,   364,   365,   366,
      -1,   368,   369,   370,   371,   372,   373,   374,   375,   376,
     377,   378,    -1,   380,   381,   382,   383,   384,   385,   386,
     387,   388,   389,   390,   391,   392,   393,    -1,   395,   396,
     397,   398,   399,   400,   401,   402,   403,   404,   405,   406,
     407,   408,    -1,   410,   411,   412,   413,   414,   415,   416,
     417,   418,   419,   420,    -1,   422,   423,    -1,   425,   426,
     427,   428,   429,   430,    -1,   432,   433,    -1,    -1,   436,
     437,   438,   439,   440,   441,   442,   443,   444,   445,   446,
     447,    -1,   449,   450,   451,   452,   453,   454,   455,    -1,
     457,   458,   459,   460,   461,   462,   463,   464,   465,   466,
     467,   468,   469,    -1,    -1,   472,    -1,    -1,   475,   476,
     477,   478,   479,   480,   481,   482,   483,   484,   485,   486,
     487,   488,   489,   490,   491,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   499,   500,   501,    -1,    -1,    -1,    -1,    -1,
      -1,   508,   509,     5,     6,     7,     8,     9,    10,    11,
      12,    13,    -1,    15,    16,    -1,    -1,    19,    20,    21,
      22,    23,    24,    25,    26,    27,    28,    29,    -1,    31,
      32,    33,    34,    35,    36,    37,    38,    39,    40,    -1,
      42,    43,    44,    45,    46,    -1,    -1,    -1,    50,    51,
      -1,    -1,    -1,    -1,    56,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    65,    -1,    67,    -1,    69,    70,    71,
      72,    -1,    -1,    75,    76,    77,    78,    79,    80,    81,
      82,    83,    84,    85,    86,    87,    -1,    -1,    -1,    91,
      92,    93,    94,    95,    96,    97,    98,    -1,   100,   101,
     102,    -1,    -1,    -1,    -1,   107,    -1,    -1,   110,   111,
      -1,   113,   114,   115,   116,   117,   118,   119,   120,   121,
     122,   123,    -1,   125,   126,   127,   128,   129,   130,   131,
     132,   133,   134,   135,   136,    -1,   138,   139,   140,   141,
     142,    -1,   144,    -1,   146,   147,   148,   149,   150,   151,
     152,    -1,   154,   155,   156,   157,   158,   159,    -1,   161,
     162,    -1,   164,   165,   166,   167,   168,   169,   170,   171,
     172,   173,   174,   175,   176,   177,   178,   179,    -1,   181,
      -1,   183,   184,   185,   186,   187,    -1,   189,   190,   191,
      -1,    -1,   194,   195,   196,   197,   198,    -1,   200,   201,
     202,    -1,   204,   205,   206,    -1,   208,   209,   210,   211,
     212,   213,   214,   215,   216,   217,   218,    -1,   220,   221,
     222,    -1,   224,    -1,   226,   227,    -1,   229,   230,   231,
     232,    -1,   234,   235,    -1,   237,    -1,   239,   240,   241,
     242,   243,   244,   245,   246,   247,    -1,   249,   250,   251,
     252,   253,   254,    -1,   256,   257,   258,    -1,   260,   261,
     262,   263,   264,    -1,   266,    -1,   268,   269,   270,   271,
     272,   273,   274,   275,   276,   277,    -1,   279,   280,    -1,
     282,   283,   284,   285,   286,    -1,   288,   289,   290,   291,
     292,   293,   294,   295,   296,   297,   298,   299,   300,   301,
     302,   303,   304,   305,   306,   307,   308,   309,   310,   311,
     312,   313,   314,   315,   316,   317,   318,   319,   320,   321,
     322,   323,    -1,   325,    -1,    -1,   328,   329,   330,    -1,
      -1,   333,   334,   335,   336,   337,   338,   339,   340,   341,
     342,   343,   344,    -1,   346,   347,   348,   349,   350,   351,
     352,    -1,   354,   355,   356,   357,   358,   359,   360,   361,
     362,   363,   364,   365,   366,    -1,   368,   369,   370,   371,
     372,   373,   374,   375,   376,   377,   378,    -1,   380,   381,
     382,   383,   384,   385,   386,   387,   388,   389,   390,   391,
     392,   393,    -1,   395,   396,   397,   398,   399,   400,   401,
     402,   403,   404,   405,   406,   407,   408,    -1,   410,   411,
     412,   413,   414,   415,   416,   417,   418,   419,   420,    -1,
     422,   423,    -1,   425,   426,   427,   428,   429,   430,    -1,
     432,   433,    -1,    -1,   436,   437,   438,   439,   440,   441,
     442,   443,   444,   445,   446,   447,    -1,   449,   450,   451,
     452,   453,   454,   455,    -1,   457,   458,   459,   460,   461,
     462,   463,    -1,   465,   466,   467,   468,   469,    -1,    -1,
     472,    -1,    -1,   475,   476,   477,   478,   479,   480,   481,
     482,   483,   484,   485,   486,   487,   488,   489,   490,   491,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   499,   500,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   508,   509,     5,     6,
       7,     8,     9,    10,    11,    12,    13,    -1,    15,    16,
      -1,    -1,    19,    20,    21,    22,    23,    24,    25,    26,
      27,    28,    29,    -1,    31,    32,    33,    34,    35,    36,
      37,    38,    39,    40,    -1,    42,    43,    44,    45,    46,
      -1,    -1,    -1,    50,    51,    -1,    -1,    -1,    -1,    56,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    65,    -1,
      67,    -1,    69,    70,    71,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    79,    80,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    91,    92,    93,    94,    95,    96,
      97,    98,    -1,   100,   101,   102,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   110,   111,    -1,   113,   114,   115,   116,
     117,   118,    -1,   120,   121,   122,   123,    -1,   125,   126,
     127,   128,   129,    -1,    -1,   132,   133,   134,   135,   136,
      -1,   138,   139,   140,   141,    -1,    -1,   144,    -1,   146,
     147,   148,   149,   150,   151,   152,    -1,   154,   155,   156,
     157,   158,   159,    -1,   161,   162,    -1,    -1,    -1,    -1,
     167,    -1,    -1,    -1,   171,   172,   173,   174,   175,   176,
     177,   178,   179,    -1,   181,    -1,   183,   184,   185,   186,
     187,    -1,   189,   190,   191,    -1,    -1,   194,   195,   196,
     197,   198,    -1,   200,   201,   202,    -1,   204,   205,   206,
      -1,   208,   209,   210,   211,    -1,   213,   214,   215,    -1,
      -1,   218,    -1,   220,   221,   222,    -1,   224,    -1,   226,
     227,    -1,   229,   230,   231,   232,    -1,   234,    -1,    -1,
     237,    -1,   239,   240,   241,   242,   243,   244,   245,   246,
     247,   248,   249,   250,   251,   252,   253,   254,    -1,   256,
     257,   258,    -1,   260,   261,   262,   263,   264,    -1,   266,
      -1,   268,   269,   270,   271,   272,   273,   274,   275,   276,
     277,    -1,   279,   280,    -1,   282,    -1,   284,   285,   286,
      -1,   288,   289,   290,    -1,    -1,   293,   294,   295,   296,
     297,   298,   299,   300,   301,   302,   303,   304,   305,   306,
     307,   308,   309,   310,    -1,    -1,   313,   314,   315,   316,
      -1,    -1,   319,   320,   321,   322,   323,    -1,   325,    -1,
      -1,   328,   329,   330,    -1,    -1,   333,   334,   335,   336,
      -1,   338,   339,   340,   341,   342,   343,   344,    -1,   346,
      -1,   348,    -1,   350,   351,   352,    -1,   354,   355,   356,
     357,   358,   359,   360,   361,   362,   363,   364,   365,   366,
      -1,   368,   369,   370,   371,   372,   373,   374,   375,   376,
     377,   378,    -1,   380,   381,   382,   383,   384,    -1,   386,
     387,   388,   389,   390,   391,   392,   393,    -1,   395,   396,
     397,   398,   399,    -1,   401,   402,   403,   404,   405,   406,
     407,   408,    -1,   410,   411,   412,   413,   414,   415,   416,
     417,   418,   419,    -1,    -1,   422,   423,    -1,   425,   426,
     427,   428,   429,   430,    -1,   432,   433,    -1,    -1,   436,
      -1,   438,    -1,    -1,   441,   442,   443,   444,   445,   446,
     447,    -1,    -1,   450,   451,   452,   453,   454,    -1,    -1,
     457,   458,   459,   460,   461,    -1,   463,   464,   465,   466,
     467,   468,   469,    -1,    -1,   472,    -1,    -1,   475,   476,
     477,   478,   479,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   489,   490,   491,    -1,    -1,    -1,    -1,     5,
       6,     7,     8,     9,    10,    11,    12,    13,    -1,    15,
      16,    -1,   509,    19,    20,    21,    22,    23,    24,    25,
      26,    27,    28,    29,    -1,    31,    32,    33,    34,    35,
      36,    37,    38,    39,    40,    -1,    42,    43,    44,    45,
      46,    -1,    -1,    -1,    50,    51,    -1,    -1,    -1,    -1,
      56,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    65,
      -1,    67,    -1,    69,    70,    71,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    79,    80,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    91,    92,    93,    94,    95,
      96,    97,    98,    -1,   100,   101,   102,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   110,   111,    -1,   113,   114,   115,
     116,   117,   118,    -1,   120,   121,   122,   123,    -1,   125,
     126,   127,   128,   129,    -1,    -1,   132,   133,   134,   135,
     136,    -1,   138,   139,   140,   141,    -1,    -1,   144,    -1,
     146,   147,   148,   149,   150,   151,   152,    -1,   154,   155,
     156,   157,   158,   159,    -1,   161,   162,    -1,    -1,    -1,
      -1,   167,    -1,    -1,    -1,   171,   172,   173,   174,   175,
     176,   177,   178,   179,    -1,   181,    -1,   183,   184,   185,
     186,   187,    -1,   189,   190,   191,    -1,    -1,   194,   195,
     196,   197,   198,    -1,   200,   201,   202,    -1,   204,   205,
     206,    -1,   208,   209,   210,   211,    -1,   213,   214,   215,
      -1,    -1,   218,    -1,   220,   221,   222,    -1,   224,    -1,
     226,   227,    -1,   229,   230,   231,   232,    -1,   234,    -1,
      -1,   237,    -1,   239,   240,   241,   242,   243,   244,   245,
     246,   247,   248,   249,   250,   251,   252,   253,   254,    -1,
     256,   257,   258,    -1,   260,   261,   262,   263,   264,    -1,
     266,    -1,   268,   269,   270,   271,   272,   273,   274,   275,
     276,   277,    -1,   279,   280,    -1,   282,    -1,   284,   285,
     286,    -1,   288,   289,   290,    -1,    -1,   293,   294,   295,
     296,   297,   298,   299,   300,   301,   302,   303,   304,   305,
     306,   307,   308,   309,   310,    -1,    -1,   313,   314,   315,
     316,    -1,    -1,   319,   320,   321,   322,   323,    -1,   325,
      -1,    -1,   328,   329,   330,    -1,    -1,   333,   334,   335,
     336,    -1,   338,   339,   340,   341,   342,   343,   344,    -1,
     346,    -1,   348,    -1,   350,   351,   352,    -1,   354,   355,
     356,   357,   358,   359,   360,   361,   362,   363,   364,   365,
     366,    -1,   368,   369,   370,   371,   372,   373,   374,   375,
     376,   377,   378,    -1,   380,   381,   382,   383,   384,    -1,
     386,   387,   388,   389,   390,   391,   392,   393,    -1,   395,
     396,   397,   398,   399,    -1,   401,   402,   403,   404,   405,
     406,   407,   408,    -1,   410,   411,   412,   413,   414,   415,
     416,   417,   418,   419,    -1,    -1,   422,   423,    -1,   425,
     426,   427,   428,   429,   430,    -1,   432,   433,    -1,    -1,
     436,    -1,   438,    -1,    -1,   441,   442,   443,   444,   445,
     446,   447,    -1,    -1,   450,   451,   452,   453,   454,    -1,
      -1,   457,   458,   459,   460,   461,    -1,   463,   464,   465,
     466,   467,   468,   469,    -1,    -1,   472,    -1,    -1,   475,
     476,   477,   478,   479,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   489,   490,   491,    -1,    -1,    -1,    -1,
       5,     6,     7,     8,     9,    10,    11,    12,    13,    -1,
      15,    16,    -1,   509,    19,    20,    21,    22,    23,    24,
      25,    26,    27,    28,    29,    -1,    31,    32,    33,    34,
      35,    36,    37,    38,    39,    40,    -1,    42,    43,    44,
      45,    46,    -1,    -1,    -1,    50,    51,    -1,    -1,    -1,
      -1,    56,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      65,    -1,    67,    -1,    69,    70,    71,    72,    -1,    -1,
      75,    76,    77,    78,    79,    80,    81,    82,    83,    84,
      85,    86,    87,    -1,    -1,    -1,    91,    92,    93,    94,
      95,    96,    97,    98,    -1,   100,   101,   102,    -1,    -1,
      -1,    -1,   107,    -1,    -1,   110,   111,    -1,   113,   114,
     115,   116,   117,   118,   119,   120,   121,   122,   123,   124,
     125,   126,   127,   128,   129,   130,   131,   132,   133,   134,
     135,   136,    -1,   138,   139,   140,   141,   142,    -1,   144,
      -1,   146,   147,   148,   149,   150,   151,   152,    -1,   154,
     155,   156,   157,   158,   159,    -1,   161,   162,    -1,   164,
     165,   166,   167,   168,   169,   170,   171,   172,   173,   174,
     175,   176,   177,   178,   179,    -1,   181,    -1,   183,   184,
     185,   186,   187,    -1,   189,   190,   191,    -1,    -1,   194,
     195,   196,   197,   198,    -1,   200,   201,   202,    -1,   204,
     205,   206,    -1,   208,   209,   210,   211,   212,   213,   214,
     215,   216,   217,   218,    -1,   220,   221,   222,    -1,   224,
      -1,   226,   227,   228,   229,   230,   231,   232,    -1,   234,
     235,    -1,   237,    -1,   239,   240,   241,   242,   243,   244,
     245,   246,   247,    -1,   249,   250,   251,   252,   253,   254,
      -1,   256,   257,   258,    -1,   260,   261,   262,   263,   264,
      -1,   266,    -1,   268,   269,   270,   271,   272,   273,   274,
     275,   276,   277,    -1,   279,   280,   281,   282,   283,   284,
     285,   286,    -1,   288,   289,   290,   291,   292,   293,   294,
     295,   296,   297,   298,   299,   300,   301,   302,   303,   304,
     305,   306,   307,   308,   309,   310,   311,   312,   313,   314,
     315,   316,   317,   318,   319,   320,   321,   322,   323,    -1,
     325,    -1,    -1,   328,   329,   330,    -1,    -1,   333,   334,
     335,   336,   337,   338,   339,   340,   341,   342,   343,   344,
      -1,   346,   347,   348,   349,   350,   351,   352,    -1,   354,
     355,   356,   357,   358,   359,   360,   361,   362,   363,   364,
     365,   366,    -1,   368,   369,   370,   371,   372,   373,   374,
     375,   376,   377,   378,    -1,   380,   381,   382,   383,   384,
     385,   386,   387,   388,   389,   390,   391,   392,   393,    -1,
     395,   396,   397,   398,   399,   400,   401,   402,   403,   404,
     405,   406,   407,   408,    -1,   410,   411,   412,   413,   414,
     415,   416,   417,   418,   419,   420,    -1,   422,   423,    -1,
     425,   426,   427,   428,   429,   430,    -1,   432,   433,    -1,
     435,   436,   437,   438,   439,   440,   441,   442,   443,   444,
     445,   446,   447,    -1,   449,   450,   451,   452,   453,   454,
     455,    -1,   457,   458,   459,   460,   461,   462,   463,    -1,
     465,   466,   467,   468,   469,    -1,    -1,   472,    -1,    -1,
     475,   476,   477,   478,   479,   480,   481,   482,   483,   484,
     485,   486,   487,   488,   489,   490,   491,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   499,   500,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   508,     5,     6,     7,     8,     9,    10,
      11,    12,    13,    -1,    15,    16,    -1,    -1,    19,    20,
      21,    22,    23,    24,    25,    26,    27,    28,    29,    -1,
      31,    32,    33,    34,    35,    36,    37,    38,    39,    40,
      -1,    42,    43,    44,    45,    46,    -1,    -1,    -1,    50,
      51,    -1,    -1,    -1,    -1,    56,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    65,    -1,    67,    -1,    69,    70,
      71,    72,    -1,    -1,    75,    76,    77,    78,    79,    80,
      81,    82,    83,    84,    85,    86,    87,    -1,    -1,    -1,
      91,    92,    93,    94,    95,    96,    97,    98,    -1,   100,
     101,   102,    -1,    -1,    -1,    -1,   107,    -1,    -1,   110,
     111,    -1,   113,   114,   115,   116,   117,   118,   119,   120,
     121,   122,   123,    -1,   125,   126,   127,   128,   129,   130,
     131,   132,   133,   134,   135,   136,    -1,   138,   139,   140,
     141,   142,    -1,   144,    -1,   146,   147,   148,   149,   150,
     151,   152,    -1,   154,   155,   156,   157,   158,   159,    -1,
     161,   162,    -1,   164,   165,   166,   167,   168,   169,   170,
     171,   172,   173,   174,   175,   176,   177,   178,   179,    -1,
     181,    -1,   183,   184,   185,   186,   187,    -1,   189,   190,
     191,    -1,    -1,   194,   195,   196,   197,   198,    -1,   200,
     201,   202,    -1,   204,   205,   206,    -1,   208,   209,   210,
     211,   212,   213,   214,   215,   216,   217,   218,    -1,   220,
     221,   222,    -1,   224,    -1,   226,   227,    -1,   229,   230,
     231,   232,    -1,   234,   235,    -1,   237,    -1,   239,   240,
     241,   242,   243,   244,   245,   246,   247,    -1,   249,   250,
     251,   252,   253,   254,    -1,   256,   257,   258,    -1,   260,
     261,   262,   263,   264,    -1,   266,    -1,   268,   269,   270,
     271,   272,   273,   274,   275,   276,   277,    -1,   279,   280,
      -1,   282,   283,   284,   285,   286,    -1,   288,   289,   290,
     291,   292,   293,   294,   295,   296,   297,   298,   299,   300,
     301,   302,   303,   304,   305,   306,   307,   308,   309,   310,
     311,   312,   313,   314,   315,   316,   317,   318,   319,   320,
     321,   322,   323,    -1,   325,    -1,    -1,   328,   329,   330,
      -1,    -1,   333,   334,   335,   336,   337,   338,   339,   340,
     341,   342,   343,   344,    -1,   346,   347,   348,   349,   350,
     351,   352,    -1,   354,   355,   356,   357,   358,   359,   360,
     361,   362,   363,   364,   365,   366,    -1,   368,   369,   370,
     371,   372,   373,   374,   375,   376,   377,   378,    -1,   380,
     381,   382,   383,   384,   385,   386,   387,   388,   389,   390,
     391,   392,   393,   394,   395,   396,   397,   398,   399,   400,
     401,   402,   403,   404,   405,   406,   407,   408,    -1,   410,
     411,   412,   413,   414,   415,   416,   417,   418,   419,   420,
      -1,   422,   423,   424,   425,   426,   427,   428,   429,   430,
      -1,   432,   433,    -1,    -1,   436,   437,   438,   439,   440,
     441,   442,   443,   444,   445,   446,   447,    -1,   449,   450,
     451,   452,   453,   454,   455,    -1,   457,   458,   459,   460,
     461,   462,   463,    -1,   465,   466,   467,   468,   469,    -1,
      -1,   472,    -1,   474,   475,   476,   477,   478,   479,   480,
     481,   482,   483,   484,   485,   486,   487,   488,   489,   490,
     491,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   499,   500,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   508,     5,     6,
       7,     8,     9,    10,    11,    12,    13,    -1,    15,    16,
      -1,    -1,    19,    20,    21,    22,    23,    24,    25,    26,
      27,    28,    29,    -1,    31,    32,    33,    34,    35,    36,
      37,    38,    39,    40,    -1,    42,    43,    44,    45,    46,
      -1,    -1,    -1,    50,    51,    -1,    -1,    -1,    -1,    56,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    65,    -1,
      67,    -1,    69,    70,    71,    72,    -1,    -1,    75,    76,
      77,    78,    79,    80,    81,    82,    83,    84,    85,    86,
      87,    -1,    -1,    -1,    91,    92,    93,    94,    95,    96,
      97,    98,    -1,   100,   101,   102,    -1,    -1,    -1,    -1,
     107,    -1,    -1,   110,   111,    -1,   113,   114,   115,   116,
     117,   118,   119,   120,   121,   122,   123,    -1,   125,   126,
     127,   128,   129,   130,   131,   132,   133,   134,   135,   136,
      -1,   138,   139,   140,   141,   142,    -1,   144,    -1,   146,
     147,   148,   149,   150,   151,   152,    -1,   154,   155,   156,
     157,   158,   159,    -1,   161,   162,    -1,   164,   165,   166,
     167,   168,   169,   170,   171,   172,   173,   174,   175,   176,
     177,   178,   179,    -1,   181,    -1,   183,   184,   185,   186,
     187,    -1,   189,   190,   191,    -1,    -1,   194,   195,   196,
     197,   198,    -1,   200,   201,   202,    -1,   204,   205,   206,
      -1,   208,   209,   210,   211,   212,   213,   214,   215,   216,
     217,   218,    -1,   220,   221,   222,    -1,   224,    -1,   226,
     227,    -1,   229,   230,   231,   232,    -1,   234,   235,    -1,
     237,    -1,   239,   240,   241,   242,   243,   244,   245,   246,
     247,    -1,   249,   250,   251,   252,   253,   254,    -1,   256,
     257,   258,    -1,   260,   261,   262,   263,   264,    -1,   266,
      -1,   268,   269,   270,   271,   272,   273,   274,   275,   276,
     277,    -1,   279,   280,    -1,   282,   283,   284,   285,   286,
      -1,   288,   289,   290,   291,   292,   293,   294,   295,   296,
     297,   298,   299,   300,   301,   302,   303,   304,   305,   306,
     307,   308,   309,   310,   311,   312,   313,   314,   315,   316,
     317,   318,   319,   320,   321,   322,   323,    -1,   325,    -1,
      -1,   328,   329,   330,    -1,    -1,   333,   334,   335,   336,
     337,   338,   339,   340,   341,   342,   343,   344,    -1,   346,
     347,   348,   349,   350,   351,   352,    -1,   354,   355,   356,
     357,   358,   359,   360,   361,   362,   363,   364,   365,   366,
      -1,   368,   369,   370,   371,   372,   373,   374,   375,   376,
     377,   378,    -1,   380,   381,   382,   383,   384,   385,   386,
     387,   388,   389,   390,   391,   392,   393,    -1,   395,   396,
     397,   398,   399,   400,   401,   402,   403,   404,   405,   406,
     407,   408,    -1,   410,   411,   412,   413,   414,   415,   416,
     417,   418,   419,   420,    -1,   422,   423,    -1,   425,   426,
     427,   428,   429,   430,    -1,   432,   433,    -1,    -1,   436,
     437,   438,   439,   440,   441,   442,   443,   444,   445,   446,
     447,    -1,   449,   450,   451,   452,   453,   454,   455,    -1,
     457,   458,   459,   460,   461,   462,   463,    -1,   465,   466,
     467,   468,   469,    -1,    -1,   472,    -1,    -1,   475,   476,
     477,   478,   479,   480,   481,   482,   483,   484,   485,   486,
     487,   488,   489,   490,   491,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   499,   500,    -1,    -1,    -1,    -1,    -1,   506,
     507,   508,     5,     6,     7,     8,     9,    10,    11,    12,
      13,    -1,    15,    16,    -1,    -1,    19,    20,    21,    22,
      23,    24,    25,    26,    27,    28,    29,    -1,    31,    32,
      33,    34,    35,    36,    37,    38,    39,    40,    -1,    42,
      43,    44,    45,    46,    -1,    -1,    -1,    50,    51,    -1,
      -1,    -1,    -1,    56,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    65,    -1,    67,    -1,    69,    70,    71,    72,
      -1,    -1,    75,    76,    77,    78,    79,    80,    81,    82,
      83,    84,    85,    86,    87,    -1,    -1,    -1,    91,    92,
      93,    94,    95,    96,    97,    98,    -1,   100,   101,   102,
      -1,    -1,    -1,    -1,   107,    -1,    -1,   110,   111,    -1,
     113,   114,   115,   116,   117,   118,   119,   120,   121,   122,
     123,    -1,   125,   126,   127,   128,   129,   130,   131,   132,
     133,   134,   135,   136,    -1,   138,   139,   140,   141,   142,
      -1,   144,    -1,   146,   147,   148,   149,   150,   151,   152,
      -1,   154,   155,   156,   157,   158,   159,    -1,   161,   162,
      -1,   164,   165,   166,   167,   168,   169,   170,   171,   172,
     173,   174,   175,   176,   177,   178,   179,    -1,   181,    -1,
     183,   184,   185,   186,   187,    -1,   189,   190,   191,    -1,
      -1,   194,   195,   196,   197,   198,    -1,   200,   201,   202,
      -1,   204,   205,   206,    -1,   208,   209,   210,   211,   212,
     213,   214,   215,   216,   217,   218,    -1,   220,   221,   222,
      -1,   224,    -1,   226,   227,    -1,   229,   230,   231,   232,
      -1,   234,   235,    -1,   237,    -1,   239,   240,   241,   242,
     243,   244,   245,   246,   247,    -1,   249,   250,   251,   252,
     253,   254,    -1,   256,   257,   258,    -1,   260,   261,   262,
     263,   264,    -1,   266,    -1,   268,   269,   270,   271,   272,
     273,   274,   275,   276,   277,    -1,   279,   280,    -1,   282,
     283,   284,   285,   286,    -1,   288,   289,   290,   291,   292,
     293,   294,   295,   296,   297,   298,   299,   300,   301,   302,
     303,   304,   305,   306,   307,   308,   309,   310,   311,   312,
     313,   314,   315,   316,   317,   318,   319,   320,   321,   322,
     323,    -1,   325,    -1,    -1,   328,   329,   330,    -1,    -1,
     333,   334,   335,   336,   337,   338,   339,   340,   341,   342,
     343,   344,    -1,   346,   347,   348,   349,   350,   351,   352,
      -1,   354,   355,   356,   357,   358,   359,   360,   361,   362,
     363,   364,   365,   366,    -1,   368,   369,   370,   371,   372,
     373,   374,   375,   376,   377,   378,    -1,   380,   381,   382,
     383,   384,   385,   386,   387,   388,   389,   390,   391,   392,
     393,    -1,   395,   396,   397,   398,   399,   400,   401,   402,
     403,   404,   405,   406,   407,   408,    -1,   410,   411,   412,
     413,   414,   415,   416,   417,   418,   419,   420,    -1,   422,
     423,    -1,   425,   426,   427,   428,   429,   430,    -1,   432,
     433,    -1,    -1,   436,   437,   438,   439,   440,   441,   442,
     443,   444,   445,   446,   447,    -1,   449,   450,   451,   452,
     453,   454,   455,    -1,   457,   458,   459,   460,   461,   462,
     463,    -1,   465,   466,   467,   468,   469,    -1,    -1,   472,
      -1,    -1,   475,   476,   477,   478,   479,   480,   481,   482,
     483,   484,   485,   486,   487,   488,   489,   490,   491,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   499,   500,   501,    -1,
      -1,    -1,    -1,    -1,    -1,   508,     5,     6,     7,     8,
       9,    10,    11,    12,    13,    -1,    15,    16,    -1,    -1,
      19,    20,    21,    22,    23,    24,    25,    26,    27,    28,
      29,    -1,    31,    32,    33,    34,    35,    36,    37,    38,
      39,    40,    -1,    42,    43,    44,    45,    46,    -1,    -1,
      -1,    50,    51,    -1,    -1,    -1,    -1,    56,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    65,    -1,    67,    -1,
      69,    70,    71,    72,    -1,    -1,    75,    76,    77,    78,
      79,    80,    81,    82,    83,    84,    85,    86,    87,    -1,
      -1,    -1,    91,    92,    93,    94,    95,    96,    97,    98,
      -1,   100,   101,   102,    -1,    -1,    -1,    -1,   107,    -1,
      -1,   110,   111,    -1,   113,   114,   115,   116,   117,   118,
     119,   120,   121,   122,   123,    -1,   125,   126,   127,   128,
     129,   130,   131,   132,   133,   134,   135,   136,    -1,   138,
     139,   140,   141,   142,    -1,   144,    -1,   146,   147,   148,
     149,   150,   151,   152,    -1,   154,   155,   156,   157,   158,
     159,    -1,   161,   162,    -1,   164,   165,   166,   167,   168,
     169,   170,   171,   172,   173,   174,   175,   176,   177,   178,
     179,   180,   181,    -1,   183,   184,   185,   186,   187,    -1,
     189,   190,   191,    -1,    -1,   194,   195,   196,   197,   198,
      -1,   200,   201,   202,    -1,   204,   205,   206,    -1,   208,
     209,   210,   211,   212,   213,   214,   215,   216,   217,   218,
      -1,   220,   221,   222,    -1,   224,    -1,   226,   227,    -1,
     229,   230,   231,   232,    -1,   234,   235,    -1,   237,    -1,
     239,   240,   241,   242,   243,   244,   245,   246,   247,    -1,
     249,   250,   251,   252,   253,   254,    -1,   256,   257,   258,
      -1,   260,   261,   262,   263,   264,    -1,   266,    -1,   268,
     269,   270,   271,   272,   273,   274,   275,   276,   277,    -1,
     279,   280,    -1,   282,   283,   284,   285,   286,    -1,   288,
     289,   290,   291,   292,   293,   294,   295,   296,   297,   298,
     299,   300,   301,   302,   303,   304,   305,   306,   307,   308,
     309,   310,   311,   312,   313,   314,   315,   316,   317,   318,
     319,   320,   321,   322,   323,    -1,   325,    -1,    -1,   328,
     329,   330,    -1,    -1,   333,   334,   335,   336,   337,   338,
     339,   340,   341,   342,   343,   344,    -1,   346,   347,   348,
     349,   350,   351,   352,    -1,   354,   355,   356,   357,   358,
     359,   360,   361,   362,   363,   364,   365,   366,    -1,   368,
     369,   370,   371,   372,   373,   374,   375,   376,   377,   378,
      -1,   380,   381,   382,   383,   384,   385,   386,   387,   388,
     389,   390,   391,   392,   393,    -1,   395,   396,   397,   398,
     399,   400,   401,   402,   403,   404,   405,   406,   407,   408,
      -1,   410,   411,   412,   413,   414,   415,   416,   417,   418,
     419,   420,    -1,   422,   423,    -1,   425,   426,   427,   428,
     429,   430,    -1,   432,   433,    -1,    -1,   436,   437,   438,
     439,   440,   441,   442,   443,   444,   445,   446,   447,    -1,
     449,   450,   451,   452,   453,   454,   455,    -1,   457,   458,
     459,   460,   461,   462,   463,    -1,   465,   466,   467,   468,
     469,    -1,    -1,   472,    -1,    -1,   475,   476,   477,   478,
     479,   480,   481,   482,   483,   484,   485,   486,   487,   488,
     489,   490,   491,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     499,   500,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   508,
       5,     6,     7,     8,     9,    10,    11,    12,    13,    -1,
      15,    16,    -1,    -1,    19,    20,    21,    22,    23,    24,
      25,    26,    27,    28,    29,    -1,    31,    32,    33,    34,
      35,    36,    37,    38,    39,    40,    -1,    42,    43,    44,
      45,    46,    -1,    -1,    -1,    50,    51,    -1,    -1,    -1,
      -1,    56,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      65,    -1,    67,    -1,    69,    70,    71,    72,    -1,    -1,
      75,    76,    77,    78,    79,    80,    81,    82,    83,    84,
      85,    86,    87,    -1,    -1,    -1,    91,    92,    93,    94,
      95,    96,    97,    98,    99,   100,   101,   102,    -1,    -1,
      -1,    -1,   107,    -1,    -1,   110,   111,    -1,   113,   114,
     115,   116,   117,   118,   119,   120,   121,   122,   123,    -1,
     125,   126,   127,   128,   129,   130,   131,   132,   133,   134,
     135,   136,    -1,   138,   139,   140,   141,   142,    -1,   144,
      -1,   146,   147,   148,   149,   150,   151,   152,    -1,   154,
     155,   156,   157,   158,   159,    -1,   161,   162,    -1,   164,
     165,   166,   167,   168,   169,   170,   171,   172,   173,   174,
     175,   176,   177,   178,   179,    -1,   181,    -1,   183,   184,
     185,   186,   187,    -1,   189,   190,   191,    -1,    -1,   194,
     195,   196,   197,   198,    -1,   200,   201,   202,    -1,   204,
     205,   206,    -1,   208,   209,   210,   211,   212,   213,   214,
     215,   216,   217,   218,    -1,   220,   221,   222,    -1,   224,
      -1,   226,   227,    -1,   229,   230,   231,   232,    -1,   234,
     235,    -1,   237,    -1,   239,   240,   241,   242,   243,   244,
     245,   246,   247,    -1,   249,   250,   251,   252,   253,   254,
      -1,   256,   257,   258,    -1,   260,   261,   262,   263,   264,
      -1,   266,    -1,   268,   269,   270,   271,   272,   273,   274,
     275,   276,   277,    -1,   279,   280,    -1,   282,   283,   284,
     285,   286,    -1,   288,   289,   290,   291,   292,   293,   294,
     295,   296,   297,   298,   299,   300,   301,   302,   303,   304,
     305,   306,   307,   308,   309,   310,   311,   312,   313,   314,
     315,   316,   317,   318,   319,   320,   321,   322,   323,    -1,
     325,    -1,    -1,   328,   329,   330,    -1,    -1,   333,   334,
     335,   336,   337,   338,   339,   340,   341,   342,   343,   344,
      -1,   346,   347,   348,   349,   350,   351,   352,    -1,   354,
     355,   356,   357,   358,   359,   360,   361,   362,   363,   364,
     365,   366,    -1,   368,   369,   370,   371,   372,   373,   374,
     375,   376,   377,   378,    -1,   380,   381,   382,   383,   384,
     385,   386,   387,   388,   389,   390,   391,   392,   393,    -1,
     395,   396,   397,   398,   399,   400,   401,   402,   403,   404,
     405,   406,   407,   408,    -1,   410,   411,   412,   413,   414,
     415,   416,   417,   418,   419,   420,    -1,   422,   423,    -1,
     425,   426,   427,   428,   429,   430,    -1,   432,   433,    -1,
      -1,   436,   437,   438,   439,   440,   441,   442,   443,   444,
     445,   446,   447,    -1,   449,   450,   451,   452,   453,   454,
     455,    -1,   457,   458,   459,   460,   461,   462,   463,    -1,
     465,   466,   467,   468,   469,    -1,    -1,   472,    -1,    -1,
     475,   476,   477,   478,   479,   480,   481,   482,   483,   484,
     485,   486,   487,   488,   489,   490,   491,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   499,   500,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   508,     5,     6,     7,     8,     9,    10,
      11,    12,    13,    -1,    15,    16,    -1,    -1,    19,    20,
      21,    22,    23,    24,    25,    26,    27,    28,    29,    -1,
      31,    32,    33,    34,    35,    36,    37,    38,    39,    40,
      -1,    42,    43,    44,    45,    46,    -1,    -1,    -1,    50,
      51,    -1,    -1,    -1,    -1,    56,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    65,    -1,    67,    -1,    69,    70,
      71,    72,    -1,    -1,    75,    76,    77,    78,    79,    80,
      81,    82,    83,    84,    85,    86,    87,    -1,    -1,    -1,
      91,    92,    93,    94,    95,    96,    97,    98,    -1,   100,
     101,   102,    -1,    -1,    -1,    -1,   107,    -1,    -1,   110,
     111,    -1,   113,   114,   115,   116,   117,   118,   119,   120,
     121,   122,   123,    -1,   125,   126,   127,   128,   129,   130,
     131,   132,   133,   134,   135,   136,    -1,   138,   139,   140,
     141,   142,    -1,   144,    -1,   146,   147,   148,   149,   150,
     151,   152,    -1,   154,   155,   156,   157,   158,   159,    -1,
     161,   162,    -1,   164,   165,   166,   167,   168,   169,   170,
     171,   172,   173,   174,   175,   176,   177,   178,   179,    -1,
     181,    -1,   183,   184,   185,   186,   187,    -1,   189,   190,
     191,    -1,    -1,   194,   195,   196,   197,   198,    -1,   200,
     201,   202,    -1,   204,   205,   206,    -1,   208,   209,   210,
     211,   212,   213,   214,   215,   216,   217,   218,    -1,   220,
     221,   222,    -1,   224,    -1,   226,   227,   228,   229,   230,
     231,   232,    -1,   234,   235,    -1,   237,    -1,   239,   240,
     241,   242,   243,   244,   245,   246,   247,    -1,   249,   250,
     251,   252,   253,   254,    -1,   256,   257,   258,    -1,   260,
     261,   262,   263,   264,    -1,   266,    -1,   268,   269,   270,
     271,   272,   273,   274,   275,   276,   277,    -1,   279,   280,
      -1,   282,   283,   284,   285,   286,    -1,   288,   289,   290,
     291,   292,   293,   294,   295,   296,   297,   298,   299,   300,
     301,   302,   303,   304,   305,   306,   307,   308,   309,   310,
     311,   312,   313,   314,   315,   316,   317,   318,   319,   320,
     321,   322,   323,    -1,   325,    -1,    -1,   328,   329,   330,
      -1,    -1,   333,   334,   335,   336,   337,   338,   339,   340,
     341,   342,   343,   344,    -1,   346,   347,   348,   349,   350,
     351,   352,    -1,   354,   355,   356,   357,   358,   359,   360,
     361,   362,   363,   364,   365,   366,    -1,   368,   369,   370,
     371,   372,   373,   374,   375,   376,   377,   378,    -1,   380,
     381,   382,   383,   384,   385,   386,   387,   388,   389,   390,
     391,   392,   393,    -1,   395,   396,   397,   398,   399,   400,
     401,   402,   403,   404,   405,   406,   407,   408,    -1,   410,
     411,   412,   413,   414,   415,   416,   417,   418,   419,   420,
      -1,   422,   423,    -1,   425,   426,   427,   428,   429,   430,
      -1,   432,   433,    -1,    -1,   436,   437,   438,   439,   440,
     441,   442,   443,   444,   445,   446,   447,    -1,   449,   450,
     451,   452,   453,   454,   455,    -1,   457,   458,   459,   460,
     461,   462,   463,    -1,   465,   466,   467,   468,   469,    -1,
      -1,   472,    -1,    -1,   475,   476,   477,   478,   479,   480,
     481,   482,   483,   484,   485,   486,   487,   488,   489,   490,
     491,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   499,   500,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   508,     5,     6,
       7,     8,     9,    10,    11,    12,    13,    -1,    15,    16,
      -1,    -1,    19,    20,    21,    22,    23,    24,    25,    26,
      27,    28,    29,    -1,    31,    32,    33,    34,    35,    36,
      37,    38,    39,    40,    -1,    42,    43,    44,    45,    46,
      -1,    -1,    -1,    50,    51,    -1,    -1,    -1,    -1,    56,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    65,    -1,
      67,    -1,    69,    70,    71,    72,    -1,    -1,    75,    76,
      77,    78,    79,    80,    81,    82,    83,    84,    85,    86,
      87,    -1,    -1,    -1,    91,    92,    93,    94,    95,    96,
      97,    98,    -1,   100,   101,   102,    -1,    -1,    -1,    -1,
     107,    -1,    -1,   110,   111,    -1,   113,   114,   115,   116,
     117,   118,   119,   120,   121,   122,   123,    -1,   125,   126,
     127,   128,   129,   130,   131,   132,   133,   134,   135,   136,
      -1,   138,   139,   140,   141,   142,    -1,   144,    -1,   146,
     147,   148,   149,   150,   151,   152,    -1,   154,   155,   156,
     157,   158,   159,    -1,   161,   162,    -1,   164,   165,   166,
     167,   168,   169,   170,   171,   172,   173,   174,   175,   176,
     177,   178,   179,    -1,   181,    -1,   183,   184,   185,   186,
     187,    -1,   189,   190,   191,    -1,    -1,   194,   195,   196,
     197,   198,    -1,   200,   201,   202,    -1,   204,   205,   206,
      -1,   208,   209,   210,   211,   212,   213,   214,   215,   216,
     217,   218,    -1,   220,   221,   222,    -1,   224,    -1,   226,
     227,    -1,   229,   230,   231,   232,    -1,   234,   235,    -1,
     237,    -1,   239,   240,   241,   242,   243,   244,   245,   246,
     247,    -1,   249,   250,   251,   252,   253,   254,    -1,   256,
     257,   258,    -1,   260,   261,   262,   263,   264,    -1,   266,
      -1,   268,   269,   270,   271,   272,   273,   274,   275,   276,
     277,    -1,   279,   280,    -1,   282,   283,   284,   285,   286,
      -1,   288,   289,   290,   291,   292,   293,   294,   295,   296,
     297,   298,   299,   300,   301,   302,   303,   304,   305,   306,
     307,   308,   309,   310,   311,   312,   313,   314,   315,   316,
     317,   318,   319,   320,   321,   322,   323,    -1,   325,    -1,
      -1,   328,   329,   330,    -1,    -1,   333,   334,   335,   336,
     337,   338,   339,   340,   341,   342,   343,   344,    -1,   346,
     347,   348,   349,   350,   351,   352,    -1,   354,   355,   356,
     357,   358,   359,   360,   361,   362,   363,   364,   365,   366,
      -1,   368,   369,   370,   371,   372,   373,   374,   375,   376,
     377,   378,    -1,   380,   381,   382,   383,   384,   385,   386,
     387,   388,   389,   390,   391,   392,   393,    -1,   395,   396,
     397,   398,   399,   400,   401,   402,   403,   404,   405,   406,
     407,   408,    -1,   410,   411,   412,   413,   414,   415,   416,
     417,   418,   419,   420,    -1,   422,   423,    -1,   425,   426,
     427,   428,   429,   430,    -1,   432,   433,    -1,    -1,   436,
     437,   438,   439,   440,   441,   442,   443,   444,   445,   446,
     447,    -1,   449,   450,   451,   452,   453,   454,   455,    -1,
     457,   458,   459,   460,   461,   462,   463,   464,   465,   466,
     467,   468,   469,    -1,    -1,   472,    -1,    -1,   475,   476,
     477,   478,   479,   480,   481,   482,   483,   484,   485,   486,
     487,   488,   489,   490,   491,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   499,   500,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   508,     5,     6,     7,     8,     9,    10,    11,    12,
      13,    -1,    15,    16,    -1,    -1,    19,    20,    21,    22,
      23,    24,    25,    26,    27,    28,    29,    -1,    31,    32,
      33,    34,    35,    36,    37,    38,    39,    40,    -1,    42,
      43,    44,    45,    46,    -1,    -1,    -1,    50,    51,    -1,
      -1,    -1,    -1,    56,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    65,    -1,    67,    -1,    69,    70,    71,    72,
      -1,    -1,    75,    76,    77,    78,    79,    80,    81,    82,
      83,    84,    85,    86,    87,    -1,    -1,    -1,    91,    92,
      93,    94,    95,    96,    97,    98,    -1,   100,   101,   102,
      -1,    -1,    -1,    -1,   107,    -1,    -1,   110,   111,    -1,
     113,   114,   115,   116,   117,   118,   119,   120,   121,   122,
     123,    -1,   125,   126,   127,   128,   129,   130,   131,   132,
     133,   134,   135,   136,    -1,   138,   139,   140,   141,   142,
      -1,   144,    -1,   146,   147,   148,   149,   150,   151,   152,
      -1,   154,   155,   156,   157,   158,   159,    -1,   161,   162,
     163,   164,   165,   166,   167,   168,   169,   170,   171,   172,
     173,   174,   175,   176,   177,   178,   179,    -1,   181,    -1,
     183,   184,   185,   186,   187,    -1,   189,   190,   191,    -1,
      -1,   194,   195,   196,   197,   198,    -1,   200,   201,   202,
      -1,   204,   205,   206,    -1,   208,   209,   210,   211,   212,
     213,   214,   215,   216,   217,   218,    -1,   220,   221,   222,
      -1,   224,    -1,   226,   227,    -1,   229,   230,   231,   232,
      -1,   234,   235,    -1,   237,    -1,   239,   240,   241,   242,
     243,   244,   245,   246,   247,    -1,   249,   250,   251,   252,
     253,   254,    -1,   256,   257,   258,    -1,   260,   261,   262,
     263,   264,    -1,   266,    -1,   268,   269,   270,   271,   272,
     273,   274,   275,   276,   277,    -1,   279,   280,    -1,   282,
     283,   284,   285,   286,    -1,   288,   289,   290,   291,   292,
     293,   294,   295,   296,   297,   298,   299,   300,   301,   302,
     303,   304,   305,   306,   307,   308,   309,   310,   311,   312,
     313,   314,   315,   316,   317,   318,   319,   320,   321,   322,
     323,    -1,   325,    -1,    -1,   328,   329,   330,    -1,    -1,
     333,   334,   335,   336,   337,   338,   339,   340,   341,   342,
     343,   344,    -1,   346,   347,   348,   349,   350,   351,   352,
      -1,   354,   355,   356,   357,   358,   359,   360,   361,   362,
     363,   364,   365,   366,    -1,   368,   369,   370,   371,   372,
     373,   374,   375,   376,   377,   378,    -1,   380,   381,   382,
     383,   384,   385,   386,   387,   388,   389,   390,   391,   392,
     393,    -1,   395,   396,   397,   398,   399,   400,   401,   402,
     403,   404,   405,   406,   407,   408,    -1,   410,   411,   412,
     413,   414,   415,   416,   417,   418,   419,   420,    -1,   422,
     423,    -1,   425,   426,   427,   428,   429,   430,    -1,   432,
     433,    -1,    -1,   436,   437,   438,   439,   440,   441,   442,
     443,   444,   445,   446,   447,    -1,   449,   450,   451,   452,
     453,   454,   455,    -1,   457,   458,   459,   460,   461,   462,
     463,    -1,   465,   466,   467,   468,   469,    -1,    -1,   472,
      -1,    -1,   475,   476,   477,   478,   479,   480,   481,   482,
     483,   484,   485,   486,   487,   488,   489,   490,   491,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   499,   500,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   508,     5,     6,     7,     8,
       9,    10,    11,    12,    13,    -1,    15,    16,    -1,    -1,
      19,    20,    21,    22,    23,    24,    25,    26,    27,    28,
      29,    -1,    31,    32,    33,    34,    35,    36,    37,    38,
      39,    40,    -1,    42,    43,    44,    45,    46,    -1,    -1,
      -1,    50,    51,    -1,    -1,    -1,    -1,    56,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    65,    -1,    67,    -1,
      69,    70,    71,    72,    -1,    -1,    75,    76,    77,    78,
      79,    80,    81,    82,    83,    84,    85,    86,    87,    -1,
      -1,    -1,    91,    92,    93,    94,    95,    96,    97,    98,
      -1,   100,   101,   102,    -1,    -1,    -1,    -1,   107,    -1,
      -1,   110,   111,    -1,   113,   114,   115,   116,   117,   118,
     119,   120,   121,   122,   123,    -1,   125,   126,   127,   128,
     129,   130,   131,   132,   133,   134,   135,   136,    -1,   138,
     139,   140,   141,   142,    -1,   144,    -1,   146,   147,   148,
     149,   150,   151,   152,    -1,   154,   155,   156,   157,   158,
     159,    -1,   161,   162,   163,   164,   165,   166,   167,   168,
     169,   170,   171,   172,   173,   174,   175,   176,   177,   178,
     179,    -1,   181,    -1,   183,   184,   185,   186,   187,    -1,
     189,   190,   191,    -1,    -1,   194,   195,   196,   197,   198,
      -1,   200,   201,   202,    -1,   204,   205,   206,    -1,   208,
     209,   210,   211,   212,   213,   214,   215,   216,   217,   218,
      -1,   220,   221,   222,    -1,   224,    -1,   226,   227,    -1,
     229,   230,   231,   232,    -1,   234,   235,    -1,   237,    -1,
     239,   240,   241,   242,   243,   244,   245,   246,   247,    -1,
     249,   250,   251,   252,   253,   254,    -1,   256,   257,   258,
      -1,   260,   261,   262,   263,   264,    -1,   266,    -1,   268,
     269,   270,   271,   272,   273,   274,   275,   276,   277,    -1,
     279,   280,    -1,   282,   283,   284,   285,   286,    -1,   288,
     289,   290,   291,   292,   293,   294,   295,   296,   297,   298,
     299,   300,   301,   302,   303,   304,   305,   306,   307,   308,
     309,   310,   311,   312,   313,   314,   315,   316,   317,   318,
     319,   320,   321,   322,   323,    -1,   325,    -1,    -1,   328,
     329,   330,    -1,    -1,   333,   334,   335,   336,   337,   338,
     339,   340,   341,   342,   343,   344,    -1,   346,   347,   348,
     349,   350,   351,   352,    -1,   354,   355,   356,   357,   358,
     359,   360,   361,   362,   363,   364,   365,   366,    -1,   368,
     369,   370,   371,   372,   373,   374,   375,   376,   377,   378,
      -1,   380,   381,   382,   383,   384,   385,   386,   387,   388,
     389,   390,   391,   392,   393,    -1,   395,   396,   397,   398,
     399,   400,   401,   402,   403,   404,   405,   406,   407,   408,
      -1,   410,   411,   412,   413,   414,   415,   416,   417,   418,
     419,   420,    -1,   422,   423,    -1,   425,   426,   427,   428,
     429,   430,    -1,   432,   433,    -1,    -1,   436,   437,   438,
     439,   440,   441,   442,   443,   444,   445,   446,   447,    -1,
     449,   450,   451,   452,   453,   454,   455,    -1,   457,   458,
     459,   460,   461,   462,   463,    -1,   465,   466,   467,   468,
     469,    -1,    -1,   472,    -1,    -1,   475,   476,   477,   478,
     479,   480,   481,   482,   483,   484,   485,   486,   487,   488,
     489,   490,   491,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     499,   500,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   508,
       5,     6,     7,     8,     9,    10,    11,    12,    13,    -1,
      15,    16,    -1,    -1,    19,    20,    21,    22,    23,    24,
      25,    26,    27,    28,    29,    -1,    31,    32,    33,    34,
      35,    36,    37,    38,    39,    40,    -1,    42,    43,    44,
      45,    46,    -1,    -1,    -1,    50,    51,    -1,    -1,    -1,
      -1,    56,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      65,    -1,    67,    -1,    69,    70,    71,    72,    -1,    -1,
      75,    76,    77,    78,    79,    80,    81,    82,    83,    84,
      85,    86,    87,    -1,    -1,    -1,    91,    92,    93,    94,
      95,    96,    97,    98,    -1,   100,   101,   102,    -1,    -1,
      -1,    -1,   107,    -1,    -1,   110,   111,    -1,   113,   114,
     115,   116,   117,   118,   119,   120,   121,   122,   123,    -1,
     125,   126,   127,   128,   129,   130,   131,   132,   133,   134,
     135,   136,    -1,   138,   139,   140,   141,   142,    -1,   144,
      -1,   146,   147,   148,   149,   150,   151,   152,    -1,   154,
     155,   156,   157,   158,   159,    -1,   161,   162,   163,   164,
     165,   166,   167,   168,   169,   170,   171,   172,   173,   174,
     175,   176,   177,   178,   179,    -1,   181,    -1,   183,   184,
     185,   186,   187,    -1,   189,   190,   191,    -1,    -1,   194,
     195,   196,   197,   198,    -1,   200,   201,   202,    -1,   204,
     205,   206,    -1,   208,   209,   210,   211,   212,   213,   214,
     215,   216,   217,   218,    -1,   220,   221,   222,    -1,   224,
      -1,   226,   227,    -1,   229,   230,   231,   232,    -1,   234,
     235,    -1,   237,    -1,   239,   240,   241,   242,   243,   244,
     245,   246,   247,    -1,   249,   250,   251,   252,   253,   254,
      -1,   256,   257,   258,    -1,   260,   261,   262,   263,   264,
      -1,   266,    -1,   268,   269,   270,   271,   272,   273,   274,
     275,   276,   277,    -1,   279,   280,    -1,   282,   283,   284,
     285,   286,    -1,   288,   289,   290,   291,   292,   293,   294,
     295,   296,   297,   298,   299,   300,   301,   302,   303,   304,
     305,   306,   307,   308,   309,   310,   311,   312,   313,   314,
     315,   316,   317,   318,   319,   320,   321,   322,   323,    -1,
     325,    -1,    -1,   328,   329,   330,    -1,    -1,   333,   334,
     335,   336,   337,   338,   339,   340,   341,   342,   343,   344,
      -1,   346,   347,   348,   349,   350,   351,   352,    -1,   354,
     355,   356,   357,   358,   359,   360,   361,   362,   363,   364,
     365,   366,    -1,   368,   369,   370,   371,   372,   373,   374,
     375,   376,   377,   378,    -1,   380,   381,   382,   383,   384,
     385,   386,   387,   388,   389,   390,   391,   392,   393,    -1,
     395,   396,   397,   398,   399,   400,   401,   402,   403,   404,
     405,   406,   407,   408,    -1,   410,   411,   412,   413,   414,
     415,   416,   417,   418,   419,   420,    -1,   422,   423,    -1,
     425,   426,   427,   428,   429,   430,    -1,   432,   433,    -1,
      -1,   436,   437,   438,   439,   440,   441,   442,   443,   444,
     445,   446,   447,    -1,   449,   450,   451,   452,   453,   454,
     455,    -1,   457,   458,   459,   460,   461,   462,   463,    -1,
     465,   466,   467,   468,   469,    -1,    -1,   472,    -1,    -1,
     475,   476,   477,   478,   479,   480,   481,   482,   483,   484,
     485,   486,   487,   488,   489,   490,   491,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   499,   500,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   508,     5,     6,     7,     8,     9,    10,
      11,    12,    13,    -1,    15,    16,    -1,    -1,    19,    20,
      21,    22,    23,    24,    25,    26,    27,    28,    29,    -1,
      31,    32,    33,    34,    35,    36,    37,    38,    39,    40,
      -1,    42,    43,    44,    45,    46,    -1,    -1,    -1,    50,
      51,    -1,    -1,    -1,    -1,    56,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    65,    -1,    67,    -1,    69,    70,
      71,    72,    -1,    -1,    75,    76,    77,    78,    79,    80,
      81,    82,    83,    84,    85,    86,    87,    -1,    -1,    -1,
      91,    92,    93,    94,    95,    96,    97,    98,    -1,   100,
     101,   102,    -1,    -1,    -1,    -1,   107,    -1,    -1,   110,
     111,    -1,   113,   114,   115,   116,   117,   118,   119,   120,
     121,   122,   123,    -1,   125,   126,   127,   128,   129,   130,
     131,   132,   133,   134,   135,   136,    -1,   138,   139,   140,
     141,   142,    -1,   144,    -1,   146,   147,   148,   149,   150,
     151,   152,    -1,   154,   155,   156,   157,   158,   159,    -1,
     161,   162,    -1,   164,   165,   166,   167,   168,   169,   170,
     171,   172,   173,   174,   175,   176,   177,   178,   179,    -1,
     181,    -1,   183,   184,   185,   186,   187,    -1,   189,   190,
     191,    -1,    -1,   194,   195,   196,   197,   198,    -1,   200,
     201,   202,    -1,   204,   205,   206,    -1,   208,   209,   210,
     211,   212,   213,   214,   215,   216,   217,   218,    -1,   220,
     221,   222,    -1,   224,    -1,   226,   227,    -1,   229,   230,
     231,   232,    -1,   234,   235,    -1,   237,    -1,   239,   240,
     241,   242,   243,   244,   245,   246,   247,    -1,   249,   250,
     251,   252,   253,   254,    -1,   256,   257,   258,    -1,   260,
     261,   262,   263,   264,    -1,   266,    -1,   268,   269,   270,
     271,   272,   273,   274,   275,   276,   277,    -1,   279,   280,
      -1,   282,   283,   284,   285,   286,    -1,   288,   289,   290,
     291,   292,   293,   294,   295,   296,   297,   298,   299,   300,
     301,   302,   303,   304,   305,   306,   307,   308,   309,   310,
     311,   312,   313,   314,   315,   316,   317,   318,   319,   320,
     321,   322,   323,    -1,   325,    -1,    -1,   328,   329,   330,
      -1,    -1,   333,   334,   335,   336,   337,   338,   339,   340,
     341,   342,   343,   344,    -1,   346,   347,   348,   349,   350,
     351,   352,    -1,   354,   355,   356,   357,   358,   359,   360,
     361,   362,   363,   364,   365,   366,    -1,   368,   369,   370,
     371,   372,   373,   374,   375,   376,   377,   378,    -1,   380,
     381,   382,   383,   384,   385,   386,   387,   388,   389,   390,
     391,   392,   393,    -1,   395,   396,   397,   398,   399,   400,
     401,   402,   403,   404,   405,   406,   407,   408,    -1,   410,
     411,   412,   413,   414,   415,   416,   417,   418,   419,   420,
      -1,   422,   423,    -1,   425,   426,   427,   428,   429,   430,
      -1,   432,   433,    -1,    -1,   436,   437,   438,   439,   440,
     441,   442,   443,   444,   445,   446,   447,    -1,   449,   450,
     451,   452,   453,   454,   455,    -1,   457,   458,   459,   460,
     461,   462,   463,    -1,   465,   466,   467,   468,   469,    -1,
      -1,   472,    -1,    -1,   475,   476,   477,   478,   479,   480,
     481,   482,   483,   484,   485,   486,   487,   488,   489,   490,
     491,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   499,   500,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   508,     5,     6,
       7,     8,     9,    10,    11,    12,    13,    -1,    15,    16,
      -1,    -1,    19,    20,    21,    22,    23,    24,    25,    26,
      27,    28,    29,    -1,    31,    32,    33,    34,    35,    36,
      37,    38,    39,    40,    -1,    42,    43,    44,    45,    46,
      -1,    -1,    -1,    50,    51,    -1,    -1,    -1,    -1,    56,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    65,    -1,
      67,    -1,    69,    70,    71,    72,    -1,    -1,    75,    76,
      77,    78,    79,    80,    81,    82,    83,    84,    85,    86,
      87,    -1,    -1,    -1,    91,    92,    93,    94,    95,    96,
      97,    98,    -1,   100,   101,   102,    -1,    -1,    -1,    -1,
     107,    -1,    -1,   110,   111,    -1,   113,   114,   115,   116,
     117,   118,   119,   120,   121,   122,   123,    -1,   125,   126,
     127,   128,   129,   130,   131,   132,   133,   134,   135,   136,
      -1,   138,   139,   140,   141,   142,    -1,   144,    -1,   146,
     147,   148,   149,   150,   151,   152,    -1,   154,   155,   156,
     157,   158,   159,    -1,   161,   162,    -1,   164,   165,   166,
     167,   168,   169,   170,   171,   172,   173,   174,   175,   176,
     177,   178,   179,    -1,   181,    -1,   183,   184,   185,   186,
     187,    -1,   189,   190,   191,    -1,    -1,   194,   195,   196,
     197,   198,    -1,   200,   201,   202,    -1,   204,   205,   206,
      -1,   208,   209,   210,   211,   212,   213,   214,   215,   216,
     217,   218,    -1,   220,   221,   222,    -1,   224,    -1,   226,
     227,    -1,   229,   230,   231,   232,    -1,   234,   235,    -1,
     237,    -1,   239,   240,   241,   242,   243,   244,   245,   246,
     247,    -1,   249,   250,   251,   252,   253,   254,    -1,   256,
     257,   258,    -1,   260,   261,   262,   263,   264,    -1,   266,
      -1,   268,   269,   270,   271,   272,   273,   274,   275,   276,
     277,    -1,   279,   280,    -1,   282,   283,   284,   285,   286,
      -1,   288,   289,   290,   291,   292,   293,   294,   295,   296,
     297,   298,   299,   300,   301,   302,   303,   304,   305,   306,
     307,   308,   309,   310,   311,   312,   313,   314,   315,   316,
     317,   318,   319,   320,   321,   322,   323,    -1,   325,    -1,
      -1,   328,   329,   330,    -1,    -1,   333,   334,   335,   336,
     337,   338,   339,   340,   341,   342,   343,   344,    -1,   346,
     347,   348,   349,   350,   351,   352,    -1,   354,   355,   356,
     357,   358,   359,   360,   361,   362,   363,   364,   365,   366,
      -1,   368,   369,   370,   371,   372,   373,   374,   375,   376,
     377,   378,    -1,   380,   381,   382,   383,   384,   385,   386,
     387,   388,   389,   390,   391,   392,   393,    -1,   395,   396,
     397,   398,   399,   400,   401,   402,   403,   404,   405,   406,
     407,   408,    -1,   410,   411,   412,   413,   414,   415,   416,
     417,   418,   419,   420,    -1,   422,   423,    -1,   425,   426,
     427,   428,   429,   430,    -1,   432,   433,    -1,    -1,   436,
     437,   438,   439,   440,   441,   442,   443,   444,   445,   446,
     447,    -1,   449,   450,   451,   452,   453,   454,   455,    -1,
     457,   458,   459,   460,   461,   462,   463,    -1,   465,   466,
     467,   468,   469,    -1,    -1,   472,    -1,    -1,   475,   476,
     477,   478,   479,   480,   481,   482,   483,   484,   485,   486,
     487,   488,   489,   490,   491,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   499,   500,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   508,     5,     6,     7,     8,     9,    10,    11,    12,
      13,    -1,    15,    16,    -1,    -1,    19,    20,    21,    22,
      23,    24,    25,    26,    27,    28,    29,    -1,    31,    32,
      33,    34,    35,    36,    37,    38,    39,    40,    -1,    42,
      43,    44,    45,    46,    -1,    -1,    -1,    50,    51,    -1,
      -1,    -1,    -1,    56,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    65,    -1,    67,    -1,    69,    70,    71,    72,
      -1,    -1,    75,    76,    77,    78,    79,    80,    81,    82,
      83,    84,    85,    86,    87,    -1,    -1,    -1,    91,    92,
      93,    94,    95,    96,    97,    98,    -1,   100,   101,   102,
      -1,    -1,    -1,    -1,   107,    -1,    -1,   110,   111,    -1,
     113,   114,   115,   116,   117,   118,   119,   120,   121,   122,
     123,    -1,   125,   126,   127,   128,   129,   130,   131,   132,
     133,   134,   135,   136,    -1,   138,   139,   140,   141,   142,
      -1,   144,    -1,   146,   147,   148,   149,   150,   151,   152,
      -1,   154,   155,   156,   157,   158,   159,    -1,   161,   162,
      -1,   164,   165,   166,   167,   168,   169,   170,   171,   172,
     173,   174,   175,   176,   177,   178,   179,    -1,   181,    -1,
     183,   184,   185,   186,   187,    -1,   189,   190,   191,    -1,
      -1,   194,   195,   196,   197,   198,    -1,   200,   201,   202,
      -1,   204,   205,   206,    -1,   208,   209,   210,   211,   212,
     213,   214,   215,   216,   217,   218,    -1,   220,   221,   222,
      -1,   224,    -1,   226,   227,    -1,   229,   230,   231,   232,
      -1,   234,   235,    -1,   237,    -1,   239,   240,   241,   242,
     243,   244,   245,   246,   247,    -1,   249,   250,   251,   252,
     253,   254,    -1,   256,   257,   258,    -1,   260,   261,   262,
     263,   264,    -1,   266,    -1,   268,   269,   270,   271,   272,
     273,   274,   275,   276,   277,    -1,   279,   280,    -1,   282,
     283,   284,   285,   286,    -1,   288,   289,   290,   291,   292,
     293,   294,   295,   296,   297,   298,   299,   300,   301,   302,
     303,   304,   305,   306,   307,   308,   309,   310,   311,   312,
     313,   314,   315,   316,   317,   318,   319,   320,   321,   322,
     323,    -1,   325,    -1,    -1,   328,   329,   330,    -1,    -1,
     333,   334,   335,   336,   337,   338,   339,   340,   341,   342,
     343,   344,    -1,   346,   347,   348,   349,   350,   351,   352,
      -1,   354,   355,   356,   357,   358,   359,   360,   361,   362,
     363,   364,   365,   366,    -1,   368,   369,   370,   371,   372,
     373,   374,   375,   376,   377,   378,    -1,   380,   381,   382,
     383,   384,   385,   386,   387,   388,   389,   390,   391,   392,
     393,    -1,   395,   396,   397,   398,   399,   400,   401,   402,
     403,   404,   405,   406,   407,   408,    -1,   410,   411,   412,
     413,   414,   415,   416,   417,   418,   419,   420,    -1,   422,
     423,    -1,   425,   426,   427,   428,   429,   430,    -1,   432,
     433,    -1,    -1,   436,   437,   438,   439,   440,   441,   442,
     443,   444,   445,   446,   447,    -1,   449,   450,   451,   452,
     453,   454,   455,    -1,   457,   458,   459,   460,   461,   462,
     463,    -1,   465,   466,   467,   468,   469,    -1,    -1,   472,
      -1,    -1,   475,   476,   477,   478,   479,   480,   481,   482,
     483,   484,   485,   486,   487,   488,   489,   490,   491,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   499,   500,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   508,     5,     6,     7,     8,
       9,    10,    11,    12,    13,    -1,    15,    16,    -1,    -1,
      19,    20,    21,    22,    23,    24,    25,    26,    27,    28,
      29,    -1,    31,    32,    33,    34,    35,    36,    37,    38,
      39,    40,    -1,    42,    43,    44,    45,    46,    -1,    -1,
      -1,    50,    51,    -1,    -1,    -1,    -1,    56,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    65,    -1,    67,    -1,
      69,    70,    71,    72,    -1,    -1,    75,    76,    77,    78,
      79,    80,    81,    82,    83,    84,    85,    86,    87,    -1,
      -1,    -1,    91,    92,    93,    94,    95,    96,    97,    98,
      -1,   100,   101,   102,    -1,    -1,    -1,    -1,   107,    -1,
      -1,   110,   111,    -1,   113,   114,   115,   116,   117,   118,
     119,   120,   121,   122,   123,    -1,   125,   126,   127,   128,
     129,   130,   131,   132,   133,   134,   135,   136,    -1,   138,
     139,   140,   141,   142,    -1,   144,    -1,   146,   147,   148,
     149,   150,   151,   152,    -1,   154,   155,   156,   157,   158,
     159,    -1,   161,   162,    -1,   164,   165,   166,   167,   168,
     169,   170,   171,   172,   173,   174,   175,   176,   177,   178,
     179,    -1,   181,    -1,   183,   184,   185,   186,   187,    -1,
     189,   190,   191,    -1,    -1,   194,   195,   196,   197,   198,
      -1,   200,   201,   202,    -1,   204,   205,   206,    -1,   208,
     209,   210,   211,   212,   213,   214,   215,   216,   217,   218,
      -1,   220,   221,   222,    -1,   224,    -1,   226,   227,    -1,
     229,   230,   231,   232,    -1,   234,   235,    -1,   237,    -1,
     239,   240,   241,   242,   243,   244,   245,   246,   247,    -1,
     249,   250,   251,   252,   253,   254,    -1,   256,   257,   258,
      -1,   260,   261,   262,   263,   264,    -1,   266,    -1,   268,
     269,   270,   271,   272,   273,   274,   275,   276,   277,    -1,
     279,   280,    -1,   282,   283,   284,   285,   286,    -1,   288,
     289,   290,   291,   292,   293,   294,   295,   296,   297,   298,
     299,   300,   301,   302,   303,   304,   305,   306,   307,   308,
     309,   310,   311,    -1,   313,   314,   315,   316,   317,   318,
     319,   320,   321,   322,   323,    -1,   325,    -1,    -1,   328,
     329,   330,    -1,    -1,   333,   334,   335,   336,   337,   338,
     339,   340,   341,   342,   343,   344,    -1,   346,   347,   348,
     349,   350,   351,   352,    -1,   354,   355,   356,   357,   358,
     359,   360,   361,   362,   363,   364,   365,   366,    -1,   368,
     369,   370,   371,   372,   373,   374,   375,   376,   377,   378,
      -1,   380,   381,   382,   383,   384,   385,   386,   387,   388,
     389,   390,   391,   392,   393,    -1,   395,   396,   397,   398,
     399,   400,   401,   402,   403,   404,   405,   406,   407,   408,
      -1,   410,   411,   412,   413,   414,   415,   416,   417,   418,
     419,   420,    -1,   422,   423,    -1,   425,   426,   427,   428,
     429,   430,    -1,   432,   433,    -1,    -1,   436,   437,   438,
     439,   440,   441,   442,   443,   444,   445,   446,   447,    -1,
      -1,   450,   451,   452,   453,   454,   455,    -1,   457,   458,
     459,   460,   461,   462,   463,    -1,   465,   466,   467,   468,
     469,    -1,    -1,   472,    -1,    -1,   475,   476,   477,   478,
     479,   480,   481,   482,   483,   484,   485,   486,   487,   488,
     489,   490,   491,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     499,   500,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   508,
       5,     6,     7,     8,     9,    10,    11,    12,    13,    -1,
      15,    16,    -1,    -1,    19,    20,    21,    22,    23,    24,
      25,    26,    27,    28,    29,    -1,    31,    32,    33,    34,
      35,    36,    37,    38,    39,    40,    -1,    42,    43,    44,
      45,    46,    -1,    -1,    -1,    50,    51,    -1,    -1,    -1,
      -1,    56,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      65,    -1,    67,    -1,    69,    70,    71,    72,    -1,    -1,
      75,    76,    77,    78,    79,    80,    81,    82,    83,    84,
      85,    86,    87,    -1,    -1,    -1,    91,    92,    93,    94,
      95,    96,    97,    98,    -1,   100,   101,   102,    -1,    -1,
      -1,    -1,   107,    -1,    -1,   110,   111,    -1,   113,   114,
     115,   116,   117,   118,   119,   120,   121,   122,   123,    -1,
     125,   126,   127,   128,   129,   130,   131,   132,   133,   134,
     135,   136,    -1,   138,   139,   140,   141,   142,    -1,   144,
      -1,   146,   147,   148,   149,   150,   151,   152,    -1,   154,
     155,   156,   157,   158,   159,    -1,   161,   162,   163,   164,
     165,   166,   167,   168,   169,   170,   171,   172,   173,   174,
     175,   176,   177,   178,   179,    -1,   181,    -1,   183,   184,
     185,   186,   187,    -1,   189,   190,   191,    -1,    -1,   194,
     195,   196,   197,   198,    -1,   200,   201,   202,    -1,   204,
     205,   206,    -1,   208,   209,   210,   211,   212,   213,   214,
     215,   216,   217,   218,    -1,   220,   221,   222,    -1,   224,
      -1,   226,   227,    -1,   229,   230,   231,   232,    -1,   234,
     235,    -1,   237,    -1,   239,   240,   241,   242,   243,    -1,
     245,   246,   247,    -1,   249,   250,   251,   252,   253,   254,
      -1,   256,   257,   258,    -1,   260,   261,   262,   263,   264,
      -1,   266,    -1,   268,   269,   270,   271,   272,   273,   274,
     275,   276,   277,    -1,   279,   280,    -1,   282,   283,   284,
     285,    -1,    -1,   288,   289,   290,   291,   292,   293,   294,
     295,   296,   297,   298,   299,   300,   301,   302,   303,   304,
     305,   306,   307,   308,   309,   310,   311,    -1,   313,   314,
     315,   316,   317,   318,   319,   320,   321,   322,   323,    -1,
     325,    -1,    -1,   328,   329,   330,    -1,    -1,   333,   334,
     335,   336,   337,   338,   339,   340,   341,   342,   343,   344,
      -1,   346,   347,   348,   349,   350,   351,   352,    -1,   354,
     355,   356,   357,   358,   359,   360,   361,   362,   363,   364,
     365,   366,    -1,   368,   369,   370,   371,   372,   373,   374,
     375,   376,   377,   378,    -1,   380,   381,   382,   383,   384,
     385,   386,   387,   388,   389,   390,   391,   392,   393,    -1,
     395,   396,   397,   398,   399,   400,   401,   402,   403,   404,
      -1,   406,   407,   408,    -1,   410,   411,   412,   413,   414,
     415,   416,   417,   418,   419,   420,    -1,   422,   423,    -1,
     425,   426,   427,   428,   429,   430,    -1,   432,   433,    -1,
      -1,   436,   437,   438,   439,   440,   441,   442,   443,   444,
     445,   446,   447,    -1,   449,   450,   451,   452,   453,   454,
     455,    -1,   457,   458,   459,   460,   461,   462,   463,    -1,
     465,   466,   467,   468,   469,    -1,    -1,   472,    -1,    -1,
     475,   476,   477,   478,   479,   480,   481,   482,   483,   484,
     485,   486,   487,   488,   489,   490,   491,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   499,   500,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   508,     5,     6,     7,     8,     9,    10,
      11,    12,    13,    -1,    15,    16,    -1,    -1,    19,    20,
      21,    22,    23,    24,    25,    26,    27,    28,    29,    -1,
      31,    32,    33,    34,    35,    36,    37,    38,    39,    40,
      -1,    42,    43,    44,    45,    46,    -1,    -1,    -1,    50,
      51,    -1,    -1,    -1,    -1,    56,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    65,    -1,    67,    -1,    69,    70,
      71,    72,    -1,    -1,    75,    76,    77,    78,    79,    80,
      81,    82,    83,    84,    -1,    86,    87,    -1,    -1,    -1,
      91,    92,    93,    94,    95,    96,    97,    98,    -1,   100,
     101,   102,    -1,    -1,    -1,    -1,   107,    -1,    -1,   110,
     111,    -1,   113,   114,   115,   116,   117,   118,   119,   120,
     121,   122,   123,    -1,   125,   126,   127,   128,   129,   130,
     131,   132,   133,   134,   135,   136,    -1,   138,   139,   140,
     141,   142,    -1,   144,    -1,   146,   147,   148,   149,   150,
     151,   152,    -1,   154,   155,   156,   157,   158,   159,    -1,
     161,   162,    -1,   164,   165,   166,   167,   168,   169,   170,
     171,   172,   173,   174,   175,   176,   177,   178,   179,    -1,
     181,    -1,   183,   184,   185,   186,   187,    -1,   189,   190,
     191,    -1,    -1,   194,   195,   196,   197,   198,    -1,   200,
     201,   202,    -1,   204,   205,   206,    -1,   208,   209,   210,
     211,   212,   213,   214,   215,   216,   217,   218,    -1,   220,
     221,   222,    -1,   224,    -1,   226,   227,    -1,   229,   230,
     231,   232,    -1,   234,   235,    -1,   237,    -1,   239,   240,
     241,   242,   243,   244,   245,   246,   247,    -1,   249,   250,
     251,   252,   253,   254,    -1,   256,   257,   258,    -1,   260,
     261,   262,   263,   264,    -1,   266,    -1,   268,   269,   270,
     271,   272,   273,   274,   275,   276,   277,    -1,   279,   280,
      -1,   282,   283,   284,   285,   286,    -1,   288,   289,   290,
     291,   292,   293,   294,   295,   296,   297,   298,   299,   300,
     301,   302,   303,   304,   305,   306,   307,   308,   309,   310,
     311,    -1,   313,   314,   315,   316,   317,   318,   319,   320,
     321,   322,   323,    -1,   325,    -1,    -1,   328,   329,   330,
      -1,    -1,   333,   334,   335,   336,   337,   338,   339,   340,
     341,   342,   343,   344,    -1,   346,   347,   348,   349,   350,
     351,   352,    -1,   354,   355,   356,   357,   358,   359,   360,
     361,   362,   363,   364,   365,   366,    -1,   368,   369,   370,
     371,   372,   373,   374,   375,   376,   377,   378,    -1,   380,
     381,   382,   383,   384,   385,   386,   387,   388,   389,   390,
     391,   392,   393,    -1,   395,   396,   397,   398,   399,   400,
     401,   402,   403,   404,   405,   406,   407,   408,    -1,   410,
     411,   412,   413,   414,   415,   416,   417,   418,   419,   420,
      -1,   422,   423,    -1,   425,   426,   427,   428,   429,   430,
      -1,   432,   433,    -1,    -1,   436,   437,   438,   439,   440,
     441,   442,   443,   444,   445,   446,   447,    -1,    -1,   450,
     451,   452,   453,   454,   455,    -1,   457,   458,   459,   460,
     461,   462,   463,    -1,   465,   466,   467,   468,   469,    -1,
      -1,   472,    -1,    -1,   475,   476,   477,   478,   479,   480,
     481,   482,   483,   484,   485,   486,   487,   488,   489,   490,
     491,    -1,    -1,    -1,     5,     6,     7,     8,     9,    10,
      11,    12,    13,    -1,    15,    16,    -1,   508,    19,    20,
      21,    22,    23,    24,    25,    26,    27,    28,    29,    -1,
      31,    32,    33,    34,    35,    36,    37,    38,    39,    40,
      -1,    42,    43,    44,    45,    46,    -1,    -1,    -1,    50,
      51,    -1,    -1,    -1,    -1,    56,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    65,    -1,    67,    -1,    69,    70,
      71,    72,    -1,    -1,    75,    76,    77,    78,    79,    80,
      81,    82,    83,    84,    -1,    86,    87,    -1,    -1,    -1,
      91,    92,    93,    94,    95,    96,    97,    98,    -1,   100,
     101,   102,    -1,    -1,    -1,    -1,   107,    -1,    -1,   110,
     111,    -1,   113,   114,   115,   116,   117,   118,   119,   120,
     121,   122,   123,    -1,   125,   126,   127,   128,   129,   130,
     131,   132,   133,   134,   135,   136,    -1,   138,   139,   140,
     141,   142,    -1,   144,    -1,   146,   147,   148,   149,   150,
     151,   152,    -1,   154,   155,   156,   157,   158,   159,    -1,
     161,   162,    -1,   164,   165,   166,   167,   168,   169,   170,
     171,   172,   173,   174,   175,   176,   177,   178,   179,    -1,
     181,    -1,   183,   184,   185,   186,   187,    -1,   189,   190,
     191,    -1,    -1,   194,   195,   196,   197,   198,    -1,   200,
     201,   202,    -1,   204,   205,   206,    -1,   208,   209,   210,
     211,   212,   213,   214,   215,   216,   217,   218,    -1,   220,
     221,   222,    -1,   224,    -1,   226,   227,    -1,   229,   230,
     231,   232,    -1,   234,   235,    -1,   237,    -1,   239,   240,
     241,   242,   243,   244,   245,   246,   247,    -1,   249,   250,
     251,   252,   253,   254,    -1,   256,   257,   258,    -1,   260,
     261,   262,   263,   264,    -1,   266,    -1,   268,   269,   270,
     271,   272,   273,   274,   275,   276,   277,    -1,   279,   280,
      -1,   282,   283,   284,   285,   286,    -1,   288,   289,   290,
     291,   292,   293,   294,   295,   296,   297,   298,   299,   300,
     301,   302,   303,   304,   305,   306,   307,   308,   309,   310,
     311,    -1,   313,   314,   315,   316,   317,   318,   319,   320,
     321,   322,   323,    -1,   325,    -1,    -1,   328,   329,   330,
      -1,    -1,   333,   334,   335,   336,   337,   338,   339,   340,
     341,   342,   343,   344,    -1,   346,   347,   348,   349,   350,
     351,   352,    -1,   354,   355,   356,   357,   358,   359,   360,
     361,   362,   363,   364,   365,   366,    -1,   368,   369,   370,
     371,   372,   373,   374,   375,   376,   377,   378,    -1,   380,
     381,   382,   383,   384,   385,   386,   387,   388,   389,   390,
     391,   392,   393,    -1,   395,   396,   397,   398,   399,   400,
     401,   402,   403,   404,   405,   406,   407,   408,    -1,   410,
     411,   412,   413,   414,   415,   416,   417,   418,   419,   420,
      -1,   422,   423,    -1,   425,   426,   427,   428,   429,   430,
      -1,   432,   433,    -1,    -1,   436,   437,   438,   439,   440,
     441,   442,   443,   444,   445,   446,   447,    -1,    -1,   450,
     451,   452,   453,   454,   455,    -1,   457,   458,   459,   460,
     461,   462,   463,    -1,   465,   466,   467,   468,   469,    -1,
      -1,   472,    -1,    -1,   475,   476,   477,   478,   479,   480,
     481,   482,   483,   484,   485,   486,   487,   488,   489,   490,
     491,    -1,    -1,    -1,     5,     6,     7,     8,     9,    10,
      11,    12,    13,    -1,    15,    16,    -1,   508,    19,    20,
      21,    22,    23,    24,    25,    26,    27,    28,    29,    -1,
      31,    32,    33,    34,    35,    36,    37,    38,    39,    40,
      -1,    42,    43,    44,    45,    46,    -1,    -1,    -1,    50,
      51,    -1,    -1,    -1,    -1,    56,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    65,    -1,    67,    -1,    69,    70,
      71,    72,    -1,    -1,    75,    76,    77,    78,    79,    80,
      81,    82,    83,    84,    85,    86,    87,    -1,    -1,    -1,
      91,    92,    93,    94,    95,    96,    97,    98,    -1,   100,
     101,   102,    -1,    -1,    -1,    -1,   107,    -1,    -1,   110,
     111,    -1,   113,   114,   115,   116,   117,   118,    -1,   120,
     121,   122,   123,    -1,   125,   126,   127,   128,   129,   130,
     131,   132,   133,   134,   135,   136,    -1,   138,   139,   140,
     141,   142,    -1,   144,    -1,   146,   147,   148,   149,   150,
     151,   152,    -1,   154,   155,   156,   157,   158,   159,    -1,
     161,   162,    -1,   164,   165,   166,   167,   168,   169,   170,
     171,   172,   173,   174,   175,   176,   177,   178,   179,    -1,
     181,    -1,   183,   184,   185,   186,   187,    -1,   189,   190,
     191,    -1,    -1,   194,   195,   196,   197,   198,    -1,   200,
     201,   202,    -1,   204,    -1,   206,    -1,   208,   209,   210,
     211,   212,   213,   214,   215,   216,   217,   218,    -1,   220,
     221,   222,    -1,   224,    -1,   226,   227,    -1,   229,   230,
     231,   232,    -1,   234,   235,    -1,   237,    -1,   239,   240,
     241,   242,   243,    -1,   245,   246,   247,    -1,   249,   250,
     251,   252,   253,   254,    -1,   256,   257,   258,    -1,   260,
     261,   262,   263,   264,    -1,   266,    -1,   268,   269,   270,
     271,   272,   273,   274,   275,   276,   277,    -1,   279,   280,
      -1,   282,   283,   284,   285,    -1,    -1,   288,   289,   290,
     291,   292,   293,   294,   295,   296,   297,   298,   299,   300,
     301,   302,   303,   304,   305,   306,   307,   308,   309,   310,
     311,    -1,   313,   314,   315,   316,   317,   318,   319,   320,
     321,   322,   323,    -1,   325,    -1,    -1,   328,   329,   330,
      -1,    -1,   333,   334,   335,   336,   337,   338,   339,   340,
     341,   342,   343,   344,    -1,   346,   347,   348,   349,   350,
     351,   352,    -1,   354,   355,   356,   357,   358,   359,   360,
     361,   362,   363,   364,   365,   366,    -1,   368,   369,   370,
     371,   372,   373,   374,   375,   376,   377,   378,    -1,   380,
     381,   382,   383,   384,   385,   386,   387,   388,   389,   390,
     391,   392,   393,    -1,   395,   396,   397,   398,   399,   400,
     401,   402,   403,   404,    -1,   406,   407,   408,    -1,   410,
     411,   412,   413,   414,   415,   416,   417,   418,   419,   420,
      -1,   422,   423,    -1,   425,   426,   427,   428,   429,   430,
      -1,   432,   433,    -1,    -1,   436,   437,   438,   439,   440,
     441,   442,   443,   444,   445,   446,   447,    -1,   449,   450,
     451,   452,   453,   454,   455,    -1,   457,   458,   459,   460,
     461,   462,   463,    -1,   465,   466,   467,   468,   469,    -1,
      -1,   472,    -1,    -1,   475,   476,   477,   478,   479,   480,
     481,   482,   483,   484,   485,   486,   487,   488,   489,   490,
     491,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   499,   500,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   508,     5,     6,
       7,     8,     9,    10,    11,    12,    13,    -1,    15,    16,
      -1,    -1,    19,    20,    21,    22,    23,    24,    25,    26,
      27,    28,    29,    -1,    31,    32,    33,    34,    35,    36,
      37,    38,    39,    40,    -1,    42,    43,    44,    45,    46,
      -1,    -1,    -1,    50,    51,    -1,    -1,    -1,    -1,    56,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    65,    -1,
      67,    -1,    69,    70,    71,    72,    -1,    -1,    75,    76,
      77,    78,    79,    80,    81,    82,    83,    84,    85,    86,
      87,    -1,    -1,    -1,    91,    92,    93,    94,    95,    96,
      97,    98,    -1,   100,   101,   102,    -1,    -1,    -1,    -1,
     107,    -1,    -1,   110,   111,    -1,   113,   114,   115,   116,
     117,   118,    -1,   120,   121,   122,   123,    -1,   125,   126,
     127,   128,   129,   130,   131,   132,   133,   134,   135,   136,
      -1,   138,   139,   140,   141,   142,    -1,   144,    -1,   146,
     147,   148,   149,   150,   151,   152,    -1,   154,   155,   156,
     157,   158,   159,    -1,   161,   162,    -1,   164,   165,   166,
     167,   168,   169,   170,   171,   172,   173,   174,   175,   176,
     177,   178,   179,    -1,   181,    -1,   183,   184,   185,   186,
     187,    -1,   189,   190,   191,    -1,    -1,   194,   195,   196,
     197,   198,    -1,   200,   201,   202,    -1,   204,    -1,   206,
      -1,   208,   209,   210,   211,   212,   213,   214,   215,   216,
     217,   218,    -1,   220,   221,   222,    -1,   224,    -1,   226,
     227,    -1,   229,   230,   231,   232,    -1,   234,   235,    -1,
     237,    -1,   239,   240,   241,   242,   243,    -1,   245,   246,
     247,    -1,   249,   250,   251,   252,   253,   254,    -1,   256,
     257,   258,    -1,   260,   261,   262,   263,   264,    -1,   266,
      -1,   268,   269,   270,   271,   272,   273,   274,   275,   276,
     277,    -1,   279,   280,    -1,   282,   283,   284,   285,    -1,
      -1,   288,   289,   290,   291,   292,   293,   294,   295,   296,
     297,   298,   299,   300,   301,   302,   303,   304,   305,   306,
     307,   308,   309,   310,   311,    -1,   313,   314,   315,   316,
     317,   318,   319,   320,   321,   322,   323,    -1,   325,    -1,
      -1,   328,   329,   330,    -1,    -1,   333,   334,   335,   336,
     337,   338,   339,   340,   341,   342,   343,   344,    -1,   346,
     347,   348,   349,   350,   351,   352,    -1,   354,   355,   356,
     357,   358,   359,   360,   361,   362,   363,   364,   365,   366,
      -1,   368,   369,   370,   371,   372,   373,   374,   375,   376,
     377,   378,    -1,   380,   381,   382,   383,   384,   385,   386,
     387,   388,   389,   390,   391,   392,   393,    -1,   395,   396,
     397,   398,   399,   400,   401,   402,   403,   404,    -1,   406,
     407,   408,    -1,   410,   411,   412,   413,   414,   415,   416,
     417,   418,   419,   420,    -1,   422,   423,    -1,   425,   426,
     427,   428,   429,   430,    -1,   432,   433,    -1,    -1,   436,
     437,   438,   439,   440,   441,   442,   443,   444,   445,   446,
     447,    -1,    -1,   450,   451,   452,   453,   454,   455,    -1,
     457,   458,   459,   460,   461,   462,   463,    -1,   465,   466,
     467,   468,   469,    -1,    -1,   472,    -1,    -1,   475,   476,
     477,   478,   479,   480,   481,   482,   483,   484,   485,   486,
     487,   488,   489,   490,   491,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   499,   500,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   508,     5,     6,     7,     8,     9,    10,    11,    12,
      13,    -1,    15,    16,    -1,    -1,    19,    20,    21,    22,
      23,    24,    25,    26,    27,    28,    29,    -1,    31,    32,
      33,    34,    35,    36,    37,    38,    39,    40,    -1,    42,
      43,    44,    45,    46,    -1,    -1,    -1,    50,    51,    -1,
      -1,    -1,    -1,    56,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    65,    -1,    67,    -1,    69,    70,    71,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    79,    80,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    91,    92,
      93,    94,    95,    96,    97,    98,    -1,   100,   101,   102,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   110,   111,    -1,
     113,   114,   115,   116,   117,   118,   119,   120,   121,   122,
     123,    -1,   125,   126,   127,   128,   129,    -1,   131,   132,
     133,   134,   135,   136,    -1,   138,   139,   140,   141,   142,
      -1,   144,    -1,   146,   147,   148,   149,   150,   151,   152,
      -1,   154,   155,   156,   157,   158,   159,    -1,   161,   162,
      -1,   164,   165,   166,   167,   168,   169,   170,   171,   172,
     173,   174,   175,   176,   177,   178,   179,    -1,   181,    -1,
     183,   184,   185,   186,   187,    -1,   189,   190,   191,    -1,
      -1,   194,   195,   196,   197,   198,    -1,   200,   201,   202,
      -1,   204,   205,   206,    -1,   208,   209,   210,   211,   212,
     213,   214,   215,   216,    -1,   218,    -1,   220,   221,   222,
      -1,   224,    -1,   226,   227,    -1,   229,   230,   231,   232,
      -1,   234,   235,    -1,   237,    -1,   239,   240,   241,   242,
     243,   244,   245,   246,   247,    -1,   249,   250,   251,   252,
     253,   254,    -1,   256,   257,   258,    -1,   260,   261,   262,
      -1,   264,    -1,   266,    -1,   268,   269,   270,   271,   272,
     273,   274,   275,   276,   277,   278,   279,   280,    -1,   282,
     283,   284,   285,   286,    -1,   288,   289,   290,   291,   292,
     293,   294,   295,   296,   297,   298,   299,   300,   301,   302,
     303,   304,   305,   306,   307,   308,   309,   310,   311,    -1,
     313,   314,   315,   316,    -1,   318,   319,   320,   321,   322,
     323,    -1,   325,    -1,   327,   328,   329,   330,    -1,    -1,
     333,   334,   335,   336,   337,   338,   339,   340,   341,   342,
     343,   344,    -1,   346,   347,   348,   349,   350,   351,   352,
      -1,   354,   355,   356,   357,   358,   359,   360,   361,   362,
     363,   364,   365,   366,    -1,   368,   369,   370,   371,   372,
     373,   374,   375,   376,   377,   378,    -1,   380,   381,   382,
     383,   384,   385,   386,   387,   388,   389,   390,   391,   392,
     393,   394,   395,   396,   397,   398,   399,   400,   401,   402,
     403,   404,   405,   406,   407,   408,    -1,   410,   411,   412,
     413,   414,   415,   416,   417,   418,   419,   420,    -1,   422,
     423,   424,   425,   426,   427,   428,   429,   430,    -1,   432,
     433,    -1,    -1,   436,   437,   438,   439,    -1,   441,   442,
     443,   444,   445,   446,   447,    -1,    -1,   450,   451,   452,
     453,   454,   455,    -1,   457,   458,   459,   460,   461,   462,
     463,    -1,   465,   466,   467,   468,   469,    -1,    -1,   472,
      -1,   474,   475,   476,   477,   478,   479,   480,   481,   482,
     483,   484,   485,   486,   487,   488,   489,   490,   491,    -1,
      -1,    -1,     5,     6,     7,     8,     9,    10,    11,    12,
      13,    -1,    15,    16,    -1,   508,    19,    20,    21,    22,
      23,    24,    25,    26,    27,    28,    29,    -1,    31,    32,
      33,    34,    35,    36,    37,    38,    39,    40,    -1,    42,
      43,    44,    45,    46,    -1,    -1,    -1,    50,    51,    -1,
      -1,    -1,    -1,    56,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    65,    -1,    67,    -1,    69,    70,    71,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    79,    80,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    91,    92,
      93,    94,    95,    96,    97,    98,    -1,   100,   101,   102,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   110,   111,    -1,
     113,   114,   115,   116,   117,   118,   119,   120,   121,   122,
     123,    -1,   125,   126,   127,   128,   129,    -1,   131,   132,
     133,   134,   135,   136,    -1,   138,   139,   140,   141,   142,
      -1,   144,    -1,   146,   147,   148,   149,   150,   151,   152,
      -1,   154,   155,   156,   157,   158,   159,    -1,   161,   162,
      -1,   164,   165,   166,   167,   168,   169,   170,   171,   172,
     173,   174,   175,   176,   177,   178,   179,    -1,   181,    -1,
     183,   184,   185,   186,   187,    -1,   189,   190,   191,    -1,
      -1,   194,   195,   196,   197,   198,    -1,   200,   201,   202,
      -1,   204,   205,   206,    -1,   208,   209,   210,   211,   212,
     213,   214,   215,   216,    -1,   218,    -1,   220,   221,   222,
      -1,   224,    -1,   226,   227,    -1,   229,   230,   231,   232,
      -1,   234,   235,    -1,   237,    -1,   239,   240,   241,   242,
     243,   244,   245,   246,   247,    -1,   249,   250,   251,   252,
     253,   254,    -1,   256,   257,   258,    -1,   260,   261,   262,
      -1,   264,    -1,   266,    -1,   268,   269,   270,   271,   272,
     273,   274,   275,   276,   277,   278,   279,   280,    -1,   282,
     283,   284,   285,   286,    -1,   288,   289,   290,   291,   292,
     293,   294,   295,   296,   297,   298,   299,   300,   301,   302,
     303,   304,   305,   306,   307,   308,   309,   310,   311,    -1,
     313,   314,   315,   316,    -1,   318,   319,   320,   321,   322,
     323,    -1,   325,    -1,   327,   328,   329,   330,    -1,    -1,
     333,   334,   335,   336,   337,   338,   339,   340,   341,   342,
     343,   344,    -1,   346,   347,   348,   349,   350,   351,   352,
      -1,   354,   355,   356,   357,   358,   359,   360,   361,   362,
     363,   364,   365,   366,    -1,   368,   369,   370,   371,   372,
     373,   374,   375,   376,   377,   378,    -1,   380,   381,   382,
     383,   384,   385,   386,   387,   388,   389,   390,   391,   392,
     393,    -1,   395,   396,   397,   398,   399,   400,   401,   402,
     403,   404,   405,   406,   407,   408,    -1,   410,   411,   412,
     413,   414,   415,   416,   417,   418,   419,   420,    -1,   422,
     423,    -1,   425,   426,   427,   428,   429,   430,    -1,   432,
     433,    -1,    -1,   436,   437,   438,   439,    -1,   441,   442,
     443,   444,   445,   446,   447,    -1,    -1,   450,   451,   452,
     453,   454,   455,    -1,   457,   458,   459,   460,   461,   462,
     463,    -1,   465,   466,   467,   468,   469,    -1,    -1,   472,
      -1,    -1,   475,   476,   477,   478,   479,   480,   481,   482,
     483,   484,   485,   486,   487,   488,   489,   490,   491,    -1,
      -1,    -1,     5,     6,     7,     8,     9,    10,    11,    12,
      13,    -1,    15,    16,    -1,   508,    19,    20,    21,    22,
      23,    24,    25,    26,    27,    28,    29,    -1,    31,    32,
      33,    34,    35,    36,    37,    38,    39,    40,    -1,    42,
      43,    44,    45,    46,    -1,    -1,    -1,    50,    51,    -1,
      -1,    -1,    -1,    56,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    65,    -1,    67,    -1,    69,    70,    71,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    79,    80,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    91,    92,
      93,    94,    95,    96,    97,    98,    -1,   100,   101,   102,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   110,   111,    -1,
     113,   114,   115,   116,   117,   118,   119,   120,   121,   122,
     123,    -1,   125,   126,   127,   128,   129,    -1,   131,   132,
     133,   134,   135,   136,    -1,   138,   139,   140,   141,   142,
      -1,   144,    -1,   146,   147,   148,   149,   150,   151,   152,
      -1,   154,   155,   156,   157,   158,   159,    -1,   161,   162,
      -1,   164,   165,   166,   167,   168,   169,   170,   171,   172,
     173,   174,   175,   176,   177,   178,   179,    -1,   181,    -1,
     183,   184,   185,   186,   187,    -1,   189,   190,   191,    -1,
      -1,   194,   195,   196,   197,   198,    -1,   200,   201,   202,
      -1,   204,   205,   206,    -1,   208,   209,   210,   211,   212,
     213,   214,   215,   216,    -1,   218,    -1,   220,   221,   222,
      -1,   224,    -1,   226,   227,    -1,   229,   230,   231,   232,
      -1,   234,   235,    -1,   237,    -1,   239,   240,   241,   242,
     243,   244,   245,   246,   247,    -1,   249,   250,   251,   252,
     253,   254,    -1,   256,   257,   258,    -1,   260,   261,   262,
      -1,   264,    -1,   266,    -1,   268,   269,   270,   271,   272,
     273,   274,   275,   276,   277,    -1,   279,   280,    -1,   282,
     283,   284,   285,   286,    -1,   288,   289,   290,   291,   292,
     293,   294,   295,   296,   297,   298,   299,   300,   301,   302,
     303,   304,   305,   306,   307,   308,   309,   310,   311,    -1,
     313,   314,   315,   316,    -1,   318,   319,   320,   321,   322,
     323,    -1,   325,    -1,    -1,   328,   329,   330,    -1,    -1,
     333,   334,   335,   336,   337,   338,   339,   340,   341,   342,
     343,   344,    -1,   346,   347,   348,   349,   350,   351,   352,
      -1,   354,   355,   356,   357,   358,   359,   360,   361,   362,
     363,   364,   365,   366,    -1,   368,   369,   370,   371,   372,
     373,   374,   375,   376,   377,   378,    -1,   380,   381,   382,
     383,   384,   385,   386,   387,   388,   389,   390,   391,   392,
     393,    -1,   395,   396,   397,   398,   399,   400,   401,   402,
     403,   404,   405,   406,   407,   408,    -1,   410,   411,   412,
     413,   414,   415,   416,   417,   418,   419,   420,    -1,   422,
     423,    -1,   425,   426,   427,   428,   429,   430,    -1,   432,
     433,    -1,    -1,   436,   437,   438,   439,    -1,   441,   442,
     443,   444,   445,   446,   447,    -1,    -1,   450,   451,   452,
     453,   454,   455,    -1,   457,   458,   459,   460,   461,   462,
     463,    -1,   465,   466,   467,   468,   469,    -1,    -1,   472,
      -1,    -1,   475,   476,   477,   478,   479,   480,   481,   482,
     483,   484,   485,   486,   487,   488,   489,   490,   491,    -1,
      -1,    -1,     5,     6,     7,     8,     9,    10,    11,    12,
      13,    -1,    15,    16,    -1,   508,    19,    20,    21,    22,
      23,    24,    25,    26,    27,    28,    29,    -1,    31,    32,
      33,    34,    35,    36,    37,    38,    39,    40,    -1,    42,
      43,    44,    45,    46,    -1,    -1,    -1,    50,    51,    -1,
      -1,    -1,    -1,    56,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    65,    -1,    67,    -1,    69,    70,    71,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    79,    80,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    91,    92,
      93,    94,    95,    96,    97,    98,    -1,   100,   101,   102,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   110,   111,    -1,
     113,   114,   115,   116,   117,   118,   119,   120,   121,   122,
     123,    -1,   125,   126,   127,   128,   129,    -1,   131,   132,
     133,   134,   135,   136,    -1,   138,   139,   140,   141,   142,
      -1,   144,    -1,   146,   147,   148,   149,   150,   151,   152,
      -1,   154,   155,   156,   157,   158,   159,    -1,   161,   162,
      -1,   164,   165,   166,   167,   168,   169,   170,   171,   172,
     173,   174,   175,   176,   177,   178,   179,    -1,   181,    -1,
     183,   184,   185,   186,   187,    -1,   189,   190,   191,    -1,
      -1,   194,   195,   196,   197,   198,    -1,   200,   201,   202,
      -1,   204,   205,   206,    -1,   208,   209,   210,   211,   212,
     213,   214,   215,   216,    -1,   218,    -1,   220,   221,   222,
      -1,   224,    -1,   226,   227,    -1,   229,   230,   231,   232,
      -1,   234,   235,    -1,   237,    -1,   239,   240,   241,   242,
     243,   244,   245,   246,   247,    -1,   249,   250,   251,   252,
     253,   254,    -1,   256,   257,   258,    -1,   260,   261,   262,
      -1,   264,    -1,   266,    -1,   268,   269,   270,   271,   272,
     273,   274,   275,   276,   277,    -1,   279,   280,    -1,   282,
     283,   284,   285,   286,    -1,   288,   289,   290,   291,   292,
     293,   294,   295,   296,   297,   298,   299,   300,   301,   302,
     303,   304,   305,   306,   307,   308,   309,   310,   311,    -1,
     313,   314,   315,   316,    -1,   318,   319,   320,   321,   322,
     323,    -1,   325,    -1,    -1,   328,   329,   330,    -1,    -1,
     333,   334,   335,   336,   337,   338,   339,   340,   341,   342,
     343,   344,    -1,   346,   347,   348,   349,   350,   351,   352,
      -1,   354,   355,   356,   357,   358,   359,   360,   361,   362,
     363,   364,   365,   366,    -1,   368,   369,   370,   371,   372,
     373,   374,   375,   376,   377,   378,    -1,   380,   381,   382,
     383,   384,   385,   386,   387,   388,   389,   390,   391,   392,
     393,    -1,   395,   396,   397,   398,   399,   400,   401,   402,
     403,   404,   405,   406,   407,   408,    -1,   410,   411,   412,
     413,   414,   415,   416,   417,   418,   419,   420,    -1,   422,
     423,    -1,   425,   426,   427,   428,   429,   430,    -1,   432,
     433,    -1,    -1,   436,   437,   438,   439,    -1,   441,   442,
     443,   444,   445,   446,   447,    -1,    -1,   450,   451,   452,
     453,   454,   455,    -1,   457,   458,   459,   460,   461,   462,
     463,    -1,   465,   466,   467,   468,   469,    -1,    -1,   472,
      -1,    -1,   475,   476,   477,   478,   479,   480,   481,   482,
     483,   484,   485,   486,   487,   488,   489,   490,   491,    -1,
      -1,    -1,     5,     6,     7,     8,     9,    10,    11,    12,
      13,    -1,    15,    16,    -1,   508,    19,    20,    21,    22,
      23,    24,    25,    26,    27,    28,    29,    -1,    31,    32,
      33,    34,    35,    36,    37,    38,    39,    40,    -1,    42,
      43,    44,    45,    46,    -1,    -1,    -1,    50,    51,    -1,
      -1,    -1,    -1,    56,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    65,    -1,    67,    -1,    69,    70,    71,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    79,    80,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    91,    92,
      93,    94,    95,    96,    97,    98,    -1,   100,   101,   102,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   110,   111,    -1,
     113,   114,   115,   116,   117,   118,   119,   120,   121,   122,
     123,    -1,   125,   126,   127,   128,   129,    -1,    -1,   132,
     133,   134,   135,   136,    -1,   138,   139,   140,   141,   142,
      -1,   144,    -1,   146,   147,   148,   149,   150,   151,   152,
      -1,   154,   155,   156,   157,   158,   159,    -1,   161,   162,
      -1,    -1,    -1,    -1,   167,    -1,    -1,    -1,   171,   172,
     173,   174,   175,   176,   177,   178,   179,    -1,   181,    -1,
     183,   184,   185,   186,   187,    -1,   189,   190,   191,    -1,
      -1,   194,   195,   196,   197,   198,    -1,   200,   201,   202,
      -1,   204,   205,   206,    -1,   208,   209,   210,   211,   212,
     213,   214,   215,   216,    -1,   218,    -1,   220,   221,   222,
      -1,   224,    -1,   226,   227,    -1,   229,   230,   231,   232,
      -1,   234,   235,    -1,   237,    -1,   239,   240,   241,   242,
     243,   244,   245,   246,   247,    -1,   249,   250,   251,   252,
     253,   254,    -1,   256,   257,   258,    -1,   260,   261,   262,
      -1,   264,    -1,   266,    -1,   268,   269,   270,   271,   272,
     273,   274,   275,   276,   277,    -1,   279,   280,    -1,   282,
     283,   284,   285,   286,    -1,   288,   289,   290,    -1,    -1,
     293,   294,   295,   296,   297,   298,   299,   300,   301,   302,
     303,   304,   305,   306,   307,   308,   309,   310,   311,    -1,
     313,   314,   315,   316,    -1,   318,   319,   320,   321,   322,
     323,    -1,   325,    -1,    -1,   328,   329,   330,    -1,    -1,
     333,   334,   335,   336,   337,   338,   339,   340,   341,   342,
     343,   344,    -1,   346,   347,   348,   349,   350,   351,   352,
      -1,   354,   355,   356,   357,   358,   359,   360,   361,   362,
     363,   364,   365,   366,    -1,   368,   369,   370,   371,   372,
     373,   374,   375,   376,   377,   378,    -1,   380,   381,   382,
     383,   384,   385,   386,   387,   388,   389,   390,   391,   392,
     393,    -1,   395,   396,   397,   398,   399,    -1,   401,   402,
     403,   404,   405,   406,   407,   408,    -1,   410,   411,   412,
     413,   414,   415,   416,   417,   418,   419,   420,    -1,   422,
     423,    -1,   425,   426,   427,   428,   429,   430,    -1,   432,
     433,    -1,    -1,   436,   437,   438,   439,    -1,   441,   442,
     443,   444,   445,   446,   447,    -1,    -1,   450,   451,   452,
     453,   454,    -1,    -1,   457,   458,   459,   460,   461,   462,
     463,    -1,   465,   466,   467,   468,   469,    -1,    -1,   472,
      -1,    -1,   475,   476,   477,   478,   479,   480,   481,   482,
     483,   484,   485,   486,   487,   488,   489,   490,   491,    -1,
      -1,    -1,    -1,     6,     7,     8,     9,    10,    11,    12,
      13,    -1,    15,    16,    -1,   508,    19,    20,    21,    22,
      23,    24,    -1,    26,    27,    28,    -1,    -1,    31,    32,
      33,    34,    -1,    -1,    37,    38,    39,    40,    -1,    42,
      -1,    -1,    45,    46,    -1,    -1,    -1,    50,    51,    -1,
      -1,    -1,    -1,    56,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    65,    -1,    67,    -1,    69,    70,    71,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    79,    80,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    91,    92,
      93,    94,    95,    96,    97,    98,    -1,   100,   101,   102,
      -1,    -1,    -1,    -1,    -1,   108,    -1,   110,   111,    -1,
     113,   114,    -1,   116,   117,   118,   119,   120,    -1,   122,
     123,    -1,   125,   126,   127,   128,   129,    -1,    -1,   132,
     133,   134,   135,   136,    -1,   138,   139,   140,   141,   142,
      -1,    -1,    -1,   146,   147,   148,   149,    -1,   151,   152,
      -1,   154,   155,   156,   157,   158,   159,    -1,   161,   162,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   171,   172,
     173,   174,   175,   176,   177,   178,   179,    -1,   181,    -1,
     183,   184,   185,   186,   187,    -1,   189,   190,   191,    -1,
      -1,   194,   195,   196,   197,   198,    -1,   200,   201,   202,
      -1,   204,   205,   206,    -1,   208,   209,   210,   211,   212,
     213,   214,   215,   216,    -1,   218,    -1,   220,   221,   222,
      -1,   224,    -1,   226,    -1,    -1,   229,   230,   231,   232,
      -1,   234,   235,    -1,   237,    -1,   239,   240,   241,   242,
     243,    -1,   245,   246,   247,    -1,   249,   250,   251,   252,
     253,   254,    -1,   256,   257,   258,    -1,   260,   261,   262,
      -1,   264,    -1,   266,    -1,   268,    -1,    -1,   271,   272,
     273,   274,   275,   276,   277,    -1,   279,   280,    -1,   282,
     283,   284,   285,    -1,    -1,   288,   289,   290,    -1,    -1,
     293,   294,   295,   296,   297,   298,   299,   300,   301,   302,
     303,   304,   305,   306,   307,   308,   309,   310,   311,    -1,
     313,   314,    -1,   316,    -1,   318,   319,   320,   321,   322,
     323,    -1,   325,    -1,    -1,   328,   329,   330,    -1,    -1,
     333,    -1,    -1,    -1,   337,   338,   339,   340,   341,   342,
     343,   344,    -1,   346,   347,   348,   349,   350,   351,   352,
      -1,   354,   355,   356,   357,   358,   359,   360,   361,   362,
     363,   364,   365,   366,    -1,   368,   369,   370,   371,   372,
     373,   374,   375,   376,   377,   378,    -1,   380,   381,   382,
     383,   384,   385,   386,   387,   388,   389,   390,   391,   392,
     393,    -1,   395,   396,   397,   398,   399,    -1,   401,   402,
     403,   404,    -1,   406,   407,   408,    -1,   410,   411,   412,
     413,   414,   415,   416,   417,   418,   419,   420,    -1,   422,
     423,    -1,   425,   426,   427,   428,   429,   430,    -1,   432,
     433,    -1,    -1,   436,   437,   438,   439,    -1,   441,   442,
     443,   444,   445,   446,   447,    -1,    -1,   450,   451,   452,
     453,   454,    -1,    -1,   457,   458,   459,   460,   461,   462,
     463,    -1,   465,    -1,   467,   468,   469,    -1,    -1,   472,
      -1,    -1,   475,   476,   477,   478,   479,   480,   481,   482,
     483,   484,   485,   486,   487,   488,   489,   490,   491,    -1,
      -1,    -1,    -1,    -1,     6,     7,     8,     9,    10,    11,
      12,    13,    -1,    15,    16,    -1,   509,    19,    20,    21,
      22,    23,    24,    -1,    26,    27,    28,    -1,    -1,    31,
      32,    33,    34,    -1,    -1,    37,    38,    39,    40,    -1,
      42,    -1,    -1,    45,    46,    -1,    -1,    -1,    50,    51,
      -1,    -1,    -1,    -1,    56,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    65,    -1,    67,    -1,    69,    70,    71,
      -1,    -1,    -1,    75,    76,    77,    78,    79,    80,    -1,
      82,    -1,    -1,    -1,    86,    -1,    -1,    -1,    -1,    91,
      92,    93,    94,    95,    96,    97,    98,    -1,   100,   101,
     102,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   110,   111,
      -1,   113,   114,    -1,   116,   117,   118,   119,   120,    -1,
     122,   123,    -1,   125,   126,   127,   128,   129,    -1,    -1,
     132,   133,   134,   135,   136,    -1,   138,   139,   140,   141,
     142,    -1,    -1,    -1,   146,   147,   148,   149,    -1,   151,
     152,    -1,   154,   155,   156,   157,   158,   159,    -1,    -1,
     162,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   171,
     172,   173,   174,   175,   176,   177,   178,   179,    -1,   181,
      -1,   183,   184,   185,   186,   187,    -1,   189,   190,   191,
      -1,    -1,   194,   195,   196,   197,   198,    -1,   200,   201,
     202,    -1,   204,   205,   206,    -1,   208,   209,   210,   211,
     212,   213,   214,   215,   216,    -1,   218,    -1,   220,   221,
     222,    -1,   224,    -1,   226,    -1,    -1,    -1,   230,   231,
     232,    -1,   234,   235,    -1,   237,    -1,   239,   240,   241,
     242,   243,    -1,   245,   246,   247,    -1,   249,   250,   251,
     252,   253,   254,    -1,   256,    -1,   258,    -1,   260,   261,
     262,    -1,   264,    -1,   266,    -1,   268,    -1,    -1,   271,
      -1,   273,   274,   275,   276,   277,    -1,   279,   280,    -1,
     282,   283,    -1,   285,    -1,    -1,   288,   289,   290,    -1,
      -1,   293,   294,   295,   296,   297,   298,   299,   300,   301,
     302,   303,   304,   305,   306,    -1,   308,   309,   310,   311,
      -1,   313,   314,    -1,   316,    -1,   318,   319,   320,   321,
     322,   323,    -1,   325,    -1,    -1,   328,   329,   330,    -1,
      -1,   333,    -1,    -1,    -1,   337,   338,   339,   340,   341,
     342,   343,   344,    -1,   346,   347,   348,   349,   350,   351,
     352,    -1,   354,   355,   356,   357,   358,   359,   360,   361,
     362,   363,   364,   365,   366,    -1,   368,   369,   370,   371,
     372,   373,   374,   375,   376,   377,   378,    -1,   380,   381,
      -1,   383,   384,   385,   386,   387,   388,   389,   390,   391,
     392,   393,    -1,   395,   396,   397,   398,   399,    -1,   401,
     402,   403,   404,    -1,   406,   407,   408,    -1,   410,   411,
     412,   413,   414,   415,   416,   417,   418,   419,   420,    -1,
     422,   423,    -1,   425,   426,   427,   428,   429,   430,    -1,
     432,   433,    -1,    -1,   436,   437,   438,   439,    -1,   441,
     442,   443,   444,   445,   446,   447,    -1,    -1,   450,   451,
     452,   453,   454,    -1,    -1,   457,   458,   459,   460,   461,
     462,   463,    -1,   465,    -1,   467,   468,   469,    -1,    -1,
     472,    -1,    -1,   475,   476,   477,   478,   479,   480,   481,
     482,   483,   484,   485,   486,   487,   488,   489,   490,   491,
      -1,    -1,    -1,    -1,     6,     7,     8,     9,    10,    11,
      12,    13,    -1,    15,    16,   507,   508,    19,    20,    21,
      22,    23,    24,    -1,    26,    27,    28,    -1,    -1,    31,
      32,    33,    34,    -1,    -1,    37,    38,    39,    40,    -1,
      42,    -1,    -1,    45,    46,    -1,    -1,    -1,    50,    51,
      -1,    -1,    -1,    -1,    56,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    65,    -1,    67,    -1,    69,    70,    71,
      -1,    -1,    -1,    75,    76,    77,    78,    79,    80,    -1,
      82,    -1,    -1,    -1,    86,    -1,    -1,    -1,    -1,    91,
      92,    93,    94,    95,    96,    97,    98,    -1,   100,   101,
     102,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   110,   111,
      -1,   113,   114,    -1,   116,   117,   118,   119,   120,    -1,
     122,   123,    -1,   125,   126,   127,   128,   129,    -1,    -1,
     132,   133,   134,   135,   136,    -1,   138,   139,   140,   141,
     142,    -1,    -1,    -1,   146,   147,   148,   149,    -1,   151,
     152,    -1,   154,   155,   156,   157,   158,   159,    -1,    -1,
     162,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   171,
     172,   173,   174,   175,   176,   177,   178,   179,    -1,   181,
      -1,   183,   184,   185,   186,   187,    -1,   189,   190,   191,
      -1,    -1,   194,   195,   196,   197,   198,    -1,   200,   201,
     202,    -1,   204,   205,   206,    -1,   208,   209,   210,   211,
     212,   213,   214,   215,   216,    -1,   218,    -1,   220,   221,
     222,    -1,   224,    -1,   226,    -1,    -1,    -1,   230,   231,
     232,    -1,   234,   235,    -1,   237,    -1,   239,   240,   241,
     242,   243,    -1,   245,   246,   247,    -1,   249,   250,   251,
     252,   253,   254,    -1,   256,    -1,   258,    -1,   260,   261,
     262,    -1,   264,    -1,   266,    -1,   268,    -1,    -1,   271,
      -1,   273,   274,   275,   276,   277,    -1,   279,   280,    -1,
     282,   283,    -1,   285,    -1,    -1,   288,   289,   290,    -1,
      -1,   293,   294,   295,   296,   297,   298,   299,   300,   301,
     302,   303,   304,   305,   306,    -1,   308,   309,   310,   311,
      -1,   313,   314,    -1,   316,    -1,   318,   319,   320,   321,
     322,   323,    -1,   325,    -1,    -1,   328,   329,   330,    -1,
      -1,   333,    -1,    -1,    -1,   337,   338,   339,   340,   341,
     342,   343,   344,    -1,   346,   347,   348,   349,   350,   351,
     352,    -1,   354,   355,   356,   357,   358,   359,   360,   361,
     362,   363,   364,   365,   366,    -1,   368,   369,   370,   371,
     372,   373,   374,   375,   376,   377,   378,    -1,   380,   381,
      -1,   383,   384,   385,   386,   387,   388,   389,   390,   391,
     392,   393,    -1,   395,   396,   397,   398,   399,    -1,   401,
     402,   403,   404,    -1,   406,   407,   408,    -1,   410,   411,
     412,   413,   414,   415,   416,   417,   418,   419,   420,    -1,
     422,   423,    -1,   425,   426,   427,   428,   429,   430,    -1,
     432,   433,    -1,    -1,   436,   437,   438,   439,    -1,   441,
     442,   443,   444,   445,   446,   447,    -1,    -1,   450,   451,
     452,   453,   454,    -1,    -1,   457,   458,   459,   460,   461,
     462,   463,    -1,   465,    -1,   467,   468,   469,    -1,    -1,
     472,    -1,    -1,   475,   476,   477,   478,   479,   480,   481,
     482,   483,   484,   485,   486,   487,   488,   489,   490,   491,
      -1,    -1,    -1,    -1,     6,     7,     8,     9,    10,    11,
      12,    13,    -1,    15,    16,    -1,   508,    19,    20,    21,
      22,    23,    24,    -1,    26,    27,    28,    -1,    -1,    31,
      32,    33,    34,    -1,    -1,    37,    38,    39,    40,    -1,
      42,    -1,    -1,    45,    46,    -1,    -1,    -1,    50,    51,
      -1,    -1,    -1,    -1,    56,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    65,    -1,    67,    -1,    69,    70,    71,
      72,    -1,    -1,    -1,    -1,    -1,    -1,    79,    80,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    91,
      92,    93,    94,    95,    96,    97,    98,    -1,   100,   101,
     102,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   110,   111,
      -1,   113,   114,    -1,   116,   117,   118,   119,   120,    -1,
     122,   123,    -1,   125,   126,   127,   128,   129,    -1,    -1,
     132,   133,   134,   135,   136,    -1,   138,   139,   140,   141,
     142,    -1,    -1,    -1,   146,   147,   148,   149,    -1,   151,
     152,    -1,   154,   155,   156,   157,   158,   159,    -1,    -1,
     162,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   171,
     172,   173,   174,   175,   176,   177,   178,   179,    -1,   181,
      -1,   183,   184,   185,   186,   187,    -1,   189,   190,   191,
      -1,    -1,   194,   195,   196,   197,   198,    -1,   200,   201,
     202,    -1,   204,   205,   206,    -1,   208,   209,   210,   211,
     212,   213,   214,   215,   216,    -1,   218,    -1,   220,   221,
     222,    -1,   224,    -1,   226,    -1,    -1,    -1,   230,   231,
     232,    -1,   234,   235,    -1,   237,    -1,   239,   240,   241,
     242,   243,    -1,   245,   246,   247,    -1,   249,   250,   251,
     252,   253,   254,    -1,   256,    -1,   258,    -1,   260,   261,
     262,    -1,   264,    -1,   266,    -1,   268,    -1,    -1,   271,
      -1,   273,   274,   275,   276,   277,    -1,   279,   280,    -1,
     282,   283,    -1,   285,    -1,    -1,   288,   289,   290,    -1,
      -1,   293,   294,   295,   296,   297,   298,   299,   300,   301,
     302,   303,   304,   305,   306,    -1,   308,   309,   310,   311,
      -1,   313,   314,    -1,   316,    -1,   318,   319,   320,   321,
     322,   323,    -1,   325,    -1,    -1,   328,   329,   330,    -1,
      -1,   333,    -1,    -1,    -1,   337,   338,   339,   340,   341,
     342,   343,   344,    -1,   346,   347,   348,   349,   350,   351,
     352,    -1,   354,   355,   356,   357,   358,   359,   360,   361,
     362,   363,   364,   365,   366,    -1,   368,   369,   370,   371,
     372,   373,   374,   375,   376,   377,   378,    -1,   380,   381,
      -1,   383,   384,   385,   386,   387,   388,   389,   390,   391,
     392,   393,   394,   395,   396,   397,   398,   399,    -1,   401,
     402,   403,   404,    -1,   406,   407,   408,    -1,   410,   411,
     412,   413,   414,   415,   416,   417,   418,   419,   420,    -1,
     422,   423,   424,   425,   426,   427,   428,   429,   430,    -1,
     432,   433,    -1,    -1,   436,   437,   438,   439,    -1,   441,
     442,   443,   444,   445,   446,   447,    -1,    -1,   450,   451,
     452,   453,   454,    -1,    -1,   457,   458,   459,   460,   461,
     462,   463,    -1,   465,    -1,   467,   468,   469,    -1,    -1,
     472,    -1,   474,   475,   476,   477,   478,   479,   480,   481,
     482,   483,   484,   485,   486,   487,   488,   489,   490,   491,
      -1,    -1,    -1,    -1,     6,     7,     8,     9,    10,    11,
      12,    13,    -1,    15,    16,    -1,   508,    19,    20,    21,
      22,    23,    24,    -1,    26,    27,    28,    -1,    -1,    31,
      32,    33,    34,    -1,    -1,    37,    38,    39,    40,    -1,
      42,    -1,    -1,    45,    46,    -1,    -1,    -1,    50,    51,
      -1,    -1,    -1,    -1,    56,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    65,    -1,    67,    -1,    69,    70,    71,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    79,    80,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    91,
      92,    93,    94,    95,    96,    97,    98,    -1,   100,   101,
     102,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   110,   111,
      -1,   113,   114,    -1,   116,   117,   118,   119,   120,    -1,
     122,   123,    -1,   125,   126,   127,   128,   129,    -1,    -1,
     132,   133,   134,   135,   136,    -1,   138,   139,   140,   141,
     142,    -1,    -1,    -1,   146,   147,   148,   149,    -1,   151,
     152,    -1,   154,   155,   156,   157,   158,   159,    -1,    -1,
     162,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   171,
     172,   173,   174,   175,   176,   177,   178,   179,    -1,   181,
      -1,   183,   184,   185,   186,   187,    -1,   189,   190,   191,
      -1,    -1,   194,   195,   196,   197,   198,    -1,   200,   201,
     202,    -1,   204,   205,   206,    -1,   208,   209,   210,   211,
     212,   213,   214,   215,   216,    -1,   218,    -1,   220,   221,
     222,    -1,   224,    -1,   226,    -1,    -1,    -1,   230,   231,
     232,    -1,   234,   235,    -1,   237,    -1,   239,   240,   241,
     242,   243,    -1,   245,   246,   247,    -1,   249,   250,   251,
     252,   253,   254,    -1,   256,    -1,   258,    -1,   260,   261,
     262,    -1,   264,    -1,   266,    -1,   268,    -1,    -1,   271,
      -1,   273,   274,   275,   276,   277,    -1,   279,   280,    -1,
     282,   283,    -1,   285,    -1,    -1,   288,   289,   290,    -1,
      -1,   293,   294,   295,   296,   297,   298,   299,   300,   301,
     302,   303,   304,   305,   306,    -1,   308,   309,   310,   311,
      -1,   313,   314,    -1,   316,    -1,   318,   319,   320,   321,
     322,   323,    -1,   325,    -1,    -1,   328,   329,   330,    -1,
      -1,   333,    -1,    -1,    -1,   337,   338,   339,   340,   341,
     342,   343,   344,    -1,   346,   347,   348,   349,   350,   351,
     352,    -1,   354,   355,   356,   357,   358,   359,   360,   361,
     362,   363,   364,   365,   366,    -1,   368,   369,   370,   371,
     372,   373,   374,   375,   376,   377,   378,    -1,   380,   381,
      -1,   383,   384,   385,   386,   387,   388,   389,   390,   391,
     392,   393,   394,   395,   396,   397,   398,   399,    -1,   401,
     402,   403,   404,    -1,   406,   407,   408,    -1,   410,   411,
     412,   413,   414,   415,   416,   417,   418,   419,   420,    -1,
     422,   423,   424,   425,   426,   427,   428,   429,   430,    -1,
     432,   433,    -1,    -1,   436,   437,   438,   439,    -1,   441,
     442,   443,   444,   445,   446,   447,    -1,    -1,   450,   451,
     452,   453,   454,    -1,    -1,   457,   458,   459,   460,   461,
     462,   463,    -1,   465,    -1,   467,   468,   469,    -1,    -1,
     472,    -1,   474,   475,   476,   477,   478,   479,   480,   481,
     482,   483,   484,   485,   486,   487,   488,   489,   490,   491,
      -1,    -1,    -1,    -1,     6,     7,     8,     9,    10,    11,
      12,    13,    -1,    15,    16,    -1,   508,    19,    20,    21,
      22,    23,    24,    -1,    26,    27,    28,    -1,    -1,    31,
      32,    33,    34,    -1,    -1,    37,    38,    39,    40,    -1,
      42,    -1,    -1,    45,    46,    -1,    -1,    -1,    50,    51,
      -1,    -1,    -1,    -1,    56,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    65,    -1,    67,    -1,    69,    70,    71,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    79,    80,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    91,
      92,    93,    94,    95,    96,    97,    98,    -1,   100,   101,
     102,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   110,   111,
      -1,   113,   114,    -1,   116,   117,   118,   119,   120,    -1,
     122,   123,    -1,   125,   126,   127,   128,   129,    -1,    -1,
     132,   133,   134,   135,   136,    -1,   138,   139,   140,   141,
     142,    -1,    -1,    -1,   146,   147,   148,   149,    -1,   151,
     152,    -1,   154,   155,   156,   157,   158,   159,    -1,    -1,
     162,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   171,
     172,   173,   174,   175,   176,   177,   178,   179,    -1,   181,
      -1,   183,   184,   185,   186,   187,    -1,   189,   190,   191,
      -1,    -1,   194,   195,   196,   197,   198,    -1,   200,   201,
     202,    -1,   204,   205,   206,    -1,   208,   209,   210,   211,
     212,   213,   214,   215,   216,    -1,   218,    -1,   220,   221,
     222,    -1,   224,    -1,   226,    -1,    -1,    -1,   230,   231,
     232,    -1,   234,   235,    -1,   237,    -1,   239,   240,   241,
     242,   243,    -1,   245,   246,   247,    -1,   249,   250,   251,
     252,   253,   254,    -1,   256,    -1,   258,    -1,   260,   261,
     262,    -1,   264,    -1,   266,    -1,   268,    -1,    -1,   271,
      -1,   273,   274,   275,   276,   277,    -1,   279,   280,    -1,
     282,   283,    -1,   285,    -1,    -1,   288,   289,   290,    -1,
      -1,   293,   294,   295,   296,   297,   298,   299,   300,   301,
     302,   303,   304,   305,   306,    -1,   308,   309,   310,   311,
      -1,   313,   314,    -1,   316,    -1,   318,   319,   320,   321,
     322,   323,    -1,   325,    -1,    -1,   328,   329,   330,    -1,
      -1,   333,    -1,    -1,    -1,   337,   338,   339,   340,   341,
     342,   343,   344,    -1,   346,   347,   348,   349,   350,   351,
     352,    -1,   354,   355,   356,   357,   358,   359,   360,   361,
     362,   363,   364,   365,   366,    -1,   368,   369,   370,   371,
     372,   373,   374,   375,   376,   377,   378,    -1,   380,   381,
      -1,   383,   384,   385,   386,   387,   388,   389,   390,   391,
     392,   393,    -1,   395,   396,   397,   398,   399,    -1,   401,
     402,   403,   404,    -1,   406,   407,   408,    -1,   410,   411,
     412,   413,   414,   415,   416,   417,   418,   419,   420,    -1,
     422,   423,    -1,   425,   426,   427,   428,   429,   430,    -1,
     432,   433,    -1,    -1,   436,   437,   438,   439,    -1,   441,
     442,   443,   444,   445,   446,   447,    -1,    -1,   450,   451,
     452,   453,   454,    -1,    -1,   457,   458,   459,   460,   461,
     462,   463,    -1,   465,    -1,   467,   468,   469,    -1,    -1,
     472,    -1,    -1,   475,   476,   477,   478,   479,   480,   481,
     482,   483,   484,   485,   486,   487,   488,   489,   490,   491,
      -1,    -1,    -1,    -1,     6,     7,     8,     9,    10,    11,
      12,    13,    -1,    15,    16,    -1,   508,    19,    20,    21,
      22,    23,    24,    -1,    26,    27,    28,    -1,    -1,    31,
      32,    33,    34,    -1,    -1,    37,    38,    39,    40,    -1,
      42,    -1,    -1,    45,    46,    -1,    -1,    -1,    50,    51,
      -1,    -1,    -1,    -1,    56,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    65,    -1,    67,    -1,    69,    70,    71,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    79,    80,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    91,
      92,    93,    94,    95,    96,    97,    98,    -1,   100,   101,
     102,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   110,   111,
      -1,   113,   114,    -1,   116,   117,   118,   119,   120,    -1,
     122,   123,    -1,   125,   126,   127,   128,   129,    -1,    -1,
     132,   133,   134,   135,   136,    -1,   138,   139,   140,   141,
     142,    -1,    -1,    -1,   146,   147,   148,   149,    -1,   151,
     152,    -1,   154,   155,   156,   157,   158,   159,    -1,    -1,
     162,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   171,
     172,   173,   174,   175,   176,   177,   178,   179,    -1,   181,
      -1,   183,   184,   185,   186,   187,    -1,   189,   190,   191,
      -1,    -1,   194,   195,   196,   197,   198,    -1,   200,   201,
     202,    -1,   204,   205,   206,    -1,   208,   209,   210,   211,
     212,   213,   214,   215,   216,    -1,   218,    -1,   220,   221,
     222,    -1,   224,    -1,   226,    -1,    -1,    -1,   230,   231,
     232,    -1,   234,   235,    -1,   237,    -1,   239,   240,   241,
     242,   243,    -1,   245,   246,   247,    -1,   249,   250,   251,
     252,   253,   254,    -1,   256,    -1,   258,    -1,   260,   261,
     262,    -1,   264,    -1,   266,    -1,   268,    -1,    -1,   271,
      -1,   273,   274,   275,   276,   277,    -1,   279,   280,    -1,
     282,   283,    -1,   285,    -1,    -1,   288,   289,   290,    -1,
      -1,   293,   294,   295,   296,   297,   298,   299,   300,   301,
     302,   303,   304,   305,   306,    -1,   308,   309,   310,   311,
      -1,   313,   314,    -1,   316,    -1,   318,   319,   320,   321,
     322,   323,    -1,   325,    -1,    -1,   328,   329,   330,    -1,
      -1,   333,    -1,    -1,    -1,   337,   338,   339,   340,   341,
     342,   343,   344,    -1,   346,   347,   348,   349,   350,   351,
     352,    -1,   354,   355,   356,   357,   358,   359,   360,   361,
     362,   363,   364,   365,   366,    -1,   368,   369,   370,   371,
     372,   373,   374,   375,   376,   377,   378,    -1,   380,   381,
      -1,   383,   384,   385,   386,   387,   388,   389,   390,   391,
     392,   393,    -1,   395,   396,   397,   398,   399,    -1,   401,
     402,   403,   404,    -1,   406,   407,   408,    -1,   410,   411,
     412,   413,   414,   415,   416,   417,   418,   419,   420,    -1,
     422,   423,    -1,   425,   426,   427,   428,   429,   430,    -1,
     432,   433,    -1,    -1,   436,   437,   438,   439,    -1,   441,
     442,   443,   444,   445,   446,   447,    -1,    -1,   450,   451,
     452,   453,   454,    -1,    -1,   457,   458,   459,   460,   461,
     462,   463,    -1,   465,    -1,   467,   468,   469,    -1,    -1,
     472,    -1,    -1,   475,   476,   477,   478,   479,   480,   481,
     482,   483,   484,   485,   486,   487,   488,   489,   490,   491,
      -1,    -1,    -1,    -1,     6,     7,     8,     9,    10,    11,
      12,    13,    -1,    15,    16,    -1,   508,    19,    20,    21,
      22,    23,    24,    -1,    26,    27,    28,    -1,    -1,    31,
      32,    33,    34,    -1,    -1,    37,    38,    39,    40,    -1,
      42,    -1,    -1,    45,    46,    -1,    -1,    -1,    50,    51,
      -1,    -1,    -1,    -1,    56,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    65,    -1,    67,    -1,    69,    70,    71,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    79,    80,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    91,
      92,    93,    94,    95,    96,    97,    98,    -1,   100,   101,
     102,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   110,   111,
      -1,   113,   114,    -1,   116,   117,   118,   119,   120,    -1,
     122,   123,    -1,   125,   126,   127,   128,   129,    -1,    -1,
     132,   133,   134,   135,   136,    -1,   138,   139,   140,   141,
     142,    -1,    -1,    -1,   146,   147,   148,   149,    -1,   151,
     152,    -1,   154,   155,   156,   157,   158,   159,    -1,    -1,
     162,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   171,
     172,   173,   174,   175,   176,   177,   178,   179,    -1,   181,
      -1,   183,   184,   185,   186,   187,    -1,   189,   190,   191,
      -1,    -1,   194,   195,   196,   197,   198,    -1,   200,   201,
     202,    -1,   204,   205,   206,    -1,   208,   209,   210,   211,
     212,   213,   214,   215,   216,    -1,   218,    -1,   220,   221,
     222,    -1,   224,    -1,   226,    -1,    -1,    -1,   230,   231,
     232,    -1,   234,   235,    -1,   237,    -1,   239,   240,   241,
     242,   243,    -1,   245,   246,   247,    -1,   249,   250,   251,
     252,   253,   254,    -1,   256,    -1,   258,    -1,   260,   261,
     262,    -1,   264,    -1,   266,    -1,   268,    -1,    -1,   271,
      -1,   273,   274,   275,   276,   277,    -1,   279,   280,    -1,
     282,   283,    -1,   285,    -1,    -1,   288,   289,   290,    -1,
      -1,   293,   294,   295,   296,   297,   298,   299,   300,   301,
     302,   303,   304,   305,   306,    -1,   308,   309,   310,   311,
      -1,   313,   314,    -1,   316,    -1,   318,   319,   320,   321,
     322,   323,    -1,   325,    -1,    -1,   328,   329,   330,    -1,
      -1,   333,    -1,    -1,    -1,   337,   338,   339,   340,   341,
     342,   343,   344,    -1,   346,   347,   348,   349,   350,   351,
     352,    -1,   354,   355,   356,   357,   358,   359,   360,   361,
     362,   363,   364,   365,   366,    -1,   368,   369,   370,   371,
     372,   373,   374,   375,   376,   377,   378,    -1,   380,   381,
      -1,   383,   384,   385,   386,   387,   388,   389,   390,   391,
     392,   393,    -1,   395,   396,   397,   398,   399,    -1,   401,
     402,   403,   404,    -1,   406,   407,   408,    -1,   410,   411,
     412,   413,   414,   415,   416,   417,   418,   419,   420,    -1,
     422,   423,    -1,   425,   426,   427,   428,   429,   430,    -1,
     432,   433,    -1,    -1,   436,   437,   438,   439,    -1,   441,
     442,   443,   444,   445,   446,   447,    -1,    -1,   450,   451,
     452,   453,   454,    -1,    -1,   457,   458,   459,   460,   461,
     462,   463,    -1,   465,    -1,   467,   468,   469,    -1,    -1,
     472,    -1,    -1,   475,   476,   477,   478,   479,   480,   481,
     482,   483,   484,   485,   486,   487,   488,   489,   490,   491,
      -1,    -1,    -1,    -1,     6,     7,     8,     9,    10,    11,
      12,    13,    -1,    15,    16,    -1,   508,    19,    20,    21,
      22,    23,    24,    -1,    26,    27,    28,    -1,    -1,    31,
      32,    33,    34,    -1,    -1,    37,    38,    39,    40,    -1,
      42,    -1,    -1,    45,    46,    -1,    -1,    -1,    50,    51,
      -1,    -1,    -1,    -1,    56,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    65,    -1,    67,    -1,    69,    70,    71,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    79,    80,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    91,
      92,    93,    94,    95,    96,    97,    98,    -1,   100,   101,
     102,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   110,   111,
      -1,   113,   114,    -1,   116,   117,   118,   119,   120,    -1,
     122,   123,    -1,   125,   126,   127,   128,   129,    -1,    -1,
     132,   133,   134,   135,   136,    -1,   138,   139,   140,   141,
     142,    -1,    -1,    -1,   146,   147,   148,   149,    -1,   151,
     152,    -1,   154,   155,   156,   157,   158,   159,    -1,    -1,
     162,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   171,
     172,   173,   174,   175,   176,   177,   178,   179,    -1,   181,
      -1,   183,   184,   185,   186,   187,    -1,   189,   190,   191,
      -1,    -1,   194,   195,   196,   197,   198,    -1,   200,   201,
     202,    -1,   204,   205,   206,    -1,   208,   209,   210,   211,
     212,   213,   214,   215,   216,    -1,   218,    -1,   220,   221,
     222,    -1,   224,    -1,   226,    -1,    -1,    -1,   230,   231,
     232,    -1,   234,   235,    -1,   237,    -1,   239,   240,   241,
     242,   243,    -1,   245,   246,   247,    -1,   249,   250,   251,
     252,   253,   254,    -1,   256,    -1,   258,    -1,   260,   261,
     262,    -1,   264,    -1,   266,    -1,   268,    -1,    -1,   271,
      -1,   273,   274,   275,   276,   277,    -1,   279,   280,    -1,
     282,   283,    -1,   285,    -1,    -1,   288,   289,   290,    -1,
      -1,   293,   294,   295,   296,   297,   298,   299,   300,   301,
     302,   303,   304,   305,   306,    -1,   308,   309,   310,   311,
      -1,   313,   314,    -1,   316,    -1,   318,   319,   320,   321,
     322,   323,    -1,   325,    -1,    -1,   328,   329,   330,    -1,
      -1,   333,    -1,    -1,    -1,   337,   338,   339,   340,   341,
     342,   343,   344,    -1,   346,   347,   348,   349,   350,   351,
     352,    -1,   354,   355,   356,   357,   358,   359,   360,   361,
     362,   363,   364,   365,   366,    -1,   368,   369,   370,   371,
     372,   373,   374,   375,   376,   377,   378,    -1,   380,   381,
      -1,   383,   384,   385,   386,   387,   388,   389,   390,   391,
     392,   393,    -1,   395,   396,   397,   398,   399,    -1,   401,
     402,   403,   404,    -1,   406,   407,   408,    -1,   410,   411,
     412,   413,   414,   415,   416,   417,   418,   419,   420,    -1,
     422,   423,    -1,   425,   426,   427,   428,   429,   430,    -1,
     432,   433,    -1,    -1,   436,   437,   438,   439,    -1,   441,
     442,   443,   444,   445,   446,   447,    -1,    -1,   450,   451,
     452,   453,   454,    -1,    -1,   457,   458,   459,   460,   461,
     462,   463,    -1,   465,    -1,   467,   468,   469,    -1,    -1,
     472,    -1,    -1,   475,   476,   477,   478,   479,   480,   481,
     482,   483,   484,   485,   486,   487,   488,   489,   490,   491,
      -1,    -1,    -1,     5,     6,     7,     8,     9,    10,    11,
      12,    13,    -1,    15,    16,    -1,   508,    19,    20,    21,
      22,    23,    24,    25,    26,    27,    28,    29,    -1,    31,
      32,    33,    34,    35,    36,    37,    38,    39,    40,    -1,
      42,    43,    44,    45,    46,    -1,    -1,    -1,    50,    51,
      -1,    -1,    -1,    -1,    56,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    65,    -1,    67,    -1,    69,    70,    71,
      72,    -1,    -1,    75,    76,    77,    78,    79,    80,    81,
      82,    -1,    -1,    85,    86,    -1,    -1,    -1,    -1,    91,
      92,    93,    94,    95,    96,    97,    98,    99,   100,   101,
     102,   103,   104,   105,   106,   107,   108,   109,   110,   111,
     112,   113,   114,   115,   116,   117,   118,    -1,   120,   121,
     122,   123,   124,   125,   126,   127,   128,   129,   130,   131,
     132,   133,   134,   135,   136,   137,   138,   139,   140,   141,
      -1,   143,   144,   145,   146,   147,   148,   149,   150,   151,
     152,   153,   154,   155,   156,   157,   158,   159,   160,   161,
     162,    -1,   164,   165,   166,   167,   168,   169,   170,   171,
     172,   173,   174,   175,   176,   177,   178,   179,   180,   181,
     182,   183,   184,   185,   186,   187,   188,   189,   190,   191,
     192,   193,   194,   195,   196,   197,   198,   199,   200,   201,
     202,   203,   204,   205,   206,   207,   208,   209,   210,   211,
      -1,   213,   214,   215,    -1,   217,   218,   219,   220,   221,
     222,   223,   224,   225,   226,   227,   228,   229,   230,   231,
     232,   233,   234,    -1,   236,   237,   238,   239,   240,   241,
     242,   243,   244,   245,   246,   247,   248,   249,   250,   251,
     252,   253,   254,   255,   256,   257,    -1,    -1,   260,   261,
     262,   263,   264,   265,   266,   267,   268,   269,   270,   271,
     272,   273,   274,   275,   276,   277,   278,   279,   280,   281,
     282,    -1,   284,   285,   286,   287,   288,   289,   290,   291,
     292,   293,   294,   295,   296,   297,   298,   299,   300,   301,
     302,   303,   304,   305,   306,   307,   308,   309,   310,    -1,
     312,   313,   314,   315,   316,   317,    -1,   319,   320,   321,
     322,   323,   324,   325,   326,   327,   328,   329,   330,   331,
     332,    -1,   334,   335,   336,    -1,   338,   339,   340,   341,
     342,   343,   344,   345,   346,    -1,   348,    -1,   350,   351,
     352,   353,   354,   355,   356,   357,   358,   359,   360,   361,
     362,   363,   364,   365,   366,   367,   368,   369,   370,   371,
     372,   373,   374,   375,   376,   377,   378,   379,   380,   381,
     382,   383,   384,    -1,   386,   387,   388,   389,   390,   391,
     392,   393,   394,   395,   396,   397,   398,   399,   400,   401,
     402,   403,   404,   405,   406,   407,   408,   409,   410,   411,
     412,   413,   414,   415,   416,   417,   418,   419,    -1,   421,
     422,   423,   424,   425,   426,   427,   428,   429,   430,   431,
     432,   433,    -1,   435,   436,    -1,   438,    -1,   440,   441,
     442,   443,   444,   445,   446,   447,    -1,   449,   450,   451,
     452,   453,   454,   455,   456,   457,   458,   459,   460,   461,
      -1,   463,   464,   465,   466,   467,   468,   469,   470,   471,
     472,   473,   474,   475,   476,   477,   478,   479,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   489,   490,   491,
      -1,    -1,    -1,   495,   496,   497,    -1,   499,   500,   501,
     502,   503,   504,     6,     7,     8,     9,    10,    11,    12,
      13,    -1,    15,    16,    -1,    -1,    19,    20,    21,    22,
      23,    24,    -1,    26,    27,    28,    -1,    -1,    31,    32,
      33,    34,    -1,    -1,    37,    38,    39,    40,    -1,    42,
      -1,    -1,    45,    46,    -1,    -1,    -1,    50,    51,    -1,
      -1,    -1,    -1,    56,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    65,    -1,    67,    -1,    69,    70,    71,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    79,    80,    -1,    -1,
      -1,    -1,    85,    -1,    -1,    -1,    -1,    -1,    91,    92,
      93,    94,    95,    96,    97,    98,    -1,   100,   101,   102,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   110,   111,    -1,
     113,   114,    -1,   116,   117,   118,   119,   120,    -1,   122,
     123,    -1,   125,   126,   127,   128,   129,    -1,    -1,   132,
     133,   134,   135,   136,    -1,   138,   139,   140,   141,   142,
      -1,    -1,    -1,   146,   147,   148,   149,    -1,   151,   152,
      -1,   154,   155,   156,   157,   158,   159,    -1,    -1,   162,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   171,   172,
     173,   174,   175,   176,   177,   178,   179,    -1,   181,    -1,
     183,   184,   185,   186,   187,    -1,   189,   190,   191,    -1,
      -1,   194,   195,   196,   197,   198,    -1,   200,   201,   202,
      -1,   204,   205,   206,    -1,   208,   209,   210,   211,   212,
     213,   214,   215,   216,    -1,   218,    -1,   220,   221,   222,
      -1,   224,    -1,   226,    -1,    -1,    -1,   230,   231,   232,
      -1,   234,   235,    -1,   237,    -1,   239,   240,   241,   242,
     243,    -1,   245,   246,   247,    -1,   249,   250,   251,   252,
     253,   254,    -1,   256,    -1,   258,    -1,   260,   261,   262,
      -1,   264,    -1,   266,    -1,   268,    -1,    -1,   271,    -1,
     273,   274,   275,   276,   277,    -1,   279,   280,    -1,   282,
     283,    -1,   285,    -1,    -1,   288,   289,   290,    -1,    -1,
     293,   294,   295,   296,   297,   298,   299,   300,   301,   302,
     303,   304,   305,   306,    -1,   308,   309,   310,   311,    -1,
     313,   314,    -1,   316,    -1,   318,   319,   320,   321,   322,
     323,    -1,   325,    -1,    -1,   328,   329,   330,    -1,    -1,
     333,    -1,    -1,    -1,   337,   338,   339,   340,   341,   342,
     343,   344,    -1,   346,   347,   348,   349,   350,   351,   352,
      -1,   354,   355,   356,   357,   358,   359,   360,   361,   362,
     363,   364,   365,   366,    -1,   368,   369,   370,   371,   372,
     373,   374,   375,   376,   377,   378,    -1,   380,   381,    -1,
     383,   384,   385,   386,   387,   388,   389,   390,   391,   392,
     393,    -1,   395,   396,   397,   398,   399,    -1,   401,   402,
     403,   404,    -1,   406,   407,   408,    -1,   410,   411,   412,
     413,   414,   415,   416,   417,   418,   419,   420,    -1,   422,
     423,    -1,   425,   426,   427,   428,   429,   430,    -1,   432,
     433,    -1,    -1,   436,   437,   438,   439,    -1,   441,   442,
     443,   444,   445,   446,   447,    -1,    -1,   450,   451,   452,
     453,   454,    -1,    -1,   457,   458,   459,   460,   461,   462,
     463,    -1,   465,    -1,   467,   468,   469,    -1,    -1,   472,
      -1,    -1,   475,   476,   477,   478,   479,   480,   481,   482,
     483,   484,   485,   486,   487,   488,   489,   490,   491,    -1,
      -1,    -1,   495,   496,   497,    -1,   499,   500,   501,   502,
     503,   504,     6,     7,     8,     9,    10,    11,    12,    13,
      -1,    15,    16,    -1,    -1,    19,    20,    21,    22,    23,
      24,    -1,    26,    27,    28,    -1,    -1,    31,    32,    33,
      34,    -1,    -1,    37,    38,    39,    40,    -1,    42,    -1,
      -1,    45,    46,    -1,    -1,    -1,    50,    51,    -1,    -1,
      -1,    -1,    56,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    65,    -1,    67,    -1,    69,    70,    71,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    79,    80,    -1,    -1,    -1,
      -1,    85,    -1,    -1,    -1,    -1,    -1,    91,    92,    93,
      94,    95,    96,    97,    98,    -1,   100,   101,   102,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   110,   111,    -1,   113,
     114,    -1,   116,   117,   118,   119,   120,    -1,   122,   123,
      -1,   125,   126,   127,   128,   129,    -1,    -1,   132,   133,
     134,   135,   136,    -1,   138,   139,   140,   141,   142,    -1,
      -1,    -1,   146,   147,   148,   149,    -1,   151,   152,    -1,
     154,   155,   156,   157,   158,   159,    -1,    -1,   162,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   171,   172,   173,
     174,   175,   176,   177,   178,   179,    -1,   181,    -1,   183,
     184,   185,   186,   187,    -1,   189,   190,   191,    -1,    -1,
     194,   195,   196,   197,   198,    -1,   200,   201,   202,    -1,
     204,   205,   206,    -1,   208,   209,   210,   211,   212,   213,
     214,   215,   216,    -1,   218,    -1,   220,   221,   222,    -1,
     224,    -1,   226,    -1,    -1,    -1,   230,   231,   232,    -1,
     234,   235,    -1,   237,    -1,   239,   240,   241,   242,   243,
      -1,   245,   246,   247,    -1,   249,   250,   251,   252,   253,
     254,    -1,   256,    -1,   258,    -1,   260,   261,   262,    -1,
     264,    -1,   266,    -1,   268,    -1,    -1,   271,    -1,   273,
     274,   275,   276,   277,    -1,   279,   280,    -1,   282,   283,
      -1,   285,    -1,    -1,   288,   289,   290,    -1,    -1,   293,
     294,   295,   296,   297,   298,   299,   300,   301,   302,   303,
     304,   305,   306,    -1,   308,   309,   310,   311,    -1,   313,
     314,    -1,   316,    -1,   318,   319,   320,   321,   322,   323,
      -1,   325,    -1,    -1,   328,   329,   330,    -1,    -1,   333,
      -1,    -1,    -1,   337,   338,   339,   340,   341,   342,   343,
     344,    -1,   346,   347,   348,   349,   350,   351,   352,    -1,
     354,   355,   356,   357,   358,   359,   360,   361,   362,   363,
     364,   365,   366,    -1,   368,   369,   370,   371,   372,   373,
     374,   375,   376,   377,   378,    -1,   380,   381,    -1,   383,
     384,   385,   386,   387,   388,   389,   390,   391,   392,   393,
      -1,   395,   396,   397,   398,   399,    -1,   401,   402,   403,
     404,    -1,   406,   407,   408,    -1,   410,   411,   412,   413,
     414,   415,   416,   417,   418,   419,   420,    -1,   422,   423,
      -1,   425,   426,   427,   428,   429,   430,    -1,   432,   433,
      -1,    -1,   436,   437,   438,   439,    -1,   441,   442,   443,
     444,   445,   446,   447,    -1,    -1,   450,   451,   452,   453,
     454,    -1,    -1,   457,   458,   459,   460,   461,   462,   463,
      -1,   465,    -1,   467,   468,   469,    -1,    -1,   472,    -1,
      -1,   475,   476,   477,   478,   479,   480,   481,   482,   483,
     484,   485,   486,   487,   488,   489,   490,   491,    -1,    -1,
      -1,   495,   496,   497,    -1,   499,   500,   501,   502,   503,
     504,     6,     7,     8,     9,    10,    11,    12,    13,    -1,
      15,    16,    -1,    -1,    19,    20,    21,    22,    23,    24,
      -1,    26,    27,    28,    -1,    -1,    31,    32,    33,    34,
      -1,    -1,    37,    38,    39,    40,    -1,    42,    -1,    -1,
      45,    46,    -1,    -1,    -1,    50,    51,    -1,    -1,    -1,
      -1,    56,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      65,    -1,    67,    -1,    69,    70,    71,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    79,    80,    -1,    -1,    -1,    -1,
      85,    -1,    -1,    -1,    -1,    -1,    91,    92,    93,    94,
      95,    96,    97,    98,    -1,   100,   101,   102,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   110,   111,    -1,   113,   114,
      -1,   116,   117,   118,   119,   120,    -1,   122,   123,    -1,
     125,   126,   127,   128,   129,    -1,    -1,   132,   133,   134,
     135,   136,    -1,   138,   139,   140,   141,   142,    -1,    -1,
      -1,   146,   147,   148,   149,    -1,   151,   152,    -1,   154,
     155,   156,   157,   158,   159,    -1,    -1,   162,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   171,   172,   173,   174,
     175,   176,   177,   178,   179,    -1,   181,    -1,   183,   184,
     185,   186,   187,    -1,   189,   190,   191,    -1,    -1,   194,
     195,   196,   197,   198,    -1,   200,   201,   202,    -1,   204,
     205,   206,    -1,   208,   209,   210,   211,   212,   213,   214,
     215,   216,    -1,   218,    -1,   220,   221,   222,    -1,   224,
      -1,   226,    -1,    -1,    -1,   230,   231,   232,    -1,   234,
     235,    -1,   237,    -1,   239,   240,   241,   242,   243,    -1,
     245,   246,   247,    -1,   249,   250,   251,   252,   253,   254,
      -1,   256,    -1,   258,    -1,   260,   261,   262,    -1,   264,
      -1,   266,    -1,   268,    -1,    -1,   271,    -1,   273,   274,
     275,   276,   277,    -1,   279,   280,    -1,   282,   283,    -1,
     285,    -1,    -1,   288,   289,   290,    -1,    -1,   293,   294,
     295,   296,   297,   298,   299,   300,   301,   302,   303,   304,
     305,   306,    -1,   308,   309,   310,   311,    -1,   313,   314,
      -1,   316,    -1,   318,   319,   320,   321,   322,   323,    -1,
     325,    -1,    -1,   328,   329,   330,    -1,    -1,   333,    -1,
      -1,    -1,   337,   338,   339,   340,   341,   342,   343,   344,
      -1,   346,   347,   348,   349,   350,   351,   352,    -1,   354,
     355,   356,   357,   358,   359,   360,   361,   362,   363,   364,
     365,   366,    -1,   368,   369,   370,   371,   372,   373,   374,
     375,   376,   377,   378,    -1,   380,   381,    -1,   383,   384,
     385,   386,   387,   388,   389,   390,   391,   392,   393,    -1,
     395,   396,   397,   398,   399,    -1,   401,   402,   403,   404,
      -1,   406,   407,   408,    -1,   410,   411,   412,   413,   414,
     415,   416,   417,   418,   419,   420,    -1,   422,   423,    -1,
     425,   426,   427,   428,   429,   430,    -1,   432,   433,    -1,
      -1,   436,   437,   438,   439,    -1,   441,   442,   443,   444,
     445,   446,   447,    -1,    -1,   450,   451,   452,   453,   454,
      -1,    -1,   457,   458,   459,   460,   461,   462,   463,    -1,
     465,    -1,   467,   468,   469,    -1,    -1,   472,    -1,    -1,
     475,   476,   477,   478,   479,   480,   481,   482,   483,   484,
     485,   486,   487,   488,   489,   490,   491,    -1,    -1,    -1,
     495,   496,   497,    -1,   499,   500,   501,   502,   503,   504,
       6,     7,     8,     9,    10,    11,    12,    13,    -1,    15,
      16,    -1,    -1,    19,    20,    21,    22,    23,    24,    -1,
      26,    27,    28,    -1,    -1,    31,    32,    33,    34,    -1,
      -1,    37,    38,    39,    40,    -1,    42,    -1,    -1,    45,
      46,    -1,    -1,    -1,    50,    51,    -1,    -1,    -1,    -1,
      56,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    65,
      -1,    67,    -1,    69,    70,    71,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    79,    80,    -1,    -1,    -1,    -1,    85,
      -1,    -1,    -1,    -1,    -1,    91,    92,    93,    94,    95,
      96,    97,    98,    -1,   100,   101,   102,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   110,   111,    -1,   113,   114,    -1,
     116,   117,   118,   119,   120,    -1,   122,   123,    -1,   125,
     126,   127,   128,   129,    -1,    -1,   132,   133,   134,   135,
     136,    -1,   138,   139,   140,   141,   142,    -1,    -1,    -1,
     146,   147,   148,   149,    -1,   151,   152,    -1,   154,   155,
     156,   157,   158,   159,    -1,    -1,   162,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   171,   172,   173,   174,   175,
     176,   177,   178,   179,    -1,   181,    -1,   183,   184,   185,
     186,   187,    -1,   189,   190,   191,    -1,    -1,   194,   195,
     196,   197,   198,    -1,   200,   201,   202,    -1,   204,   205,
     206,    -1,   208,   209,   210,   211,   212,   213,   214,   215,
     216,    -1,   218,    -1,   220,   221,   222,    -1,   224,    -1,
     226,    -1,    -1,    -1,   230,   231,   232,    -1,   234,   235,
      -1,   237,    -1,   239,   240,   241,   242,   243,    -1,   245,
     246,   247,    -1,   249,   250,   251,   252,   253,   254,    -1,
     256,    -1,   258,    -1,   260,   261,   262,    -1,   264,    -1,
     266,    -1,   268,    -1,    -1,   271,    -1,   273,   274,   275,
     276,   277,    -1,   279,   280,    -1,   282,   283,    -1,   285,
      -1,    -1,   288,   289,   290,    -1,    -1,   293,   294,   295,
     296,   297,   298,   299,   300,   301,   302,   303,   304,   305,
     306,    -1,   308,   309,   310,   311,    -1,   313,   314,    -1,
     316,    -1,   318,   319,   320,   321,   322,   323,    -1,   325,
      -1,    -1,   328,   329,   330,    -1,    -1,   333,    -1,    -1,
      -1,   337,   338,   339,   340,   341,   342,   343,   344,    -1,
     346,   347,   348,   349,   350,   351,   352,    -1,   354,   355,
     356,   357,   358,   359,   360,   361,   362,   363,   364,   365,
     366,    -1,   368,   369,   370,   371,   372,   373,   374,   375,
     376,   377,   378,    -1,   380,   381,    -1,   383,   384,   385,
     386,   387,   388,   389,   390,   391,   392,   393,    -1,   395,
     396,   397,   398,   399,    -1,   401,   402,   403,   404,    -1,
     406,   407,   408,    -1,   410,   411,   412,   413,   414,   415,
     416,   417,   418,   419,   420,    -1,   422,   423,    -1,   425,
     426,   427,   428,   429,   430,    -1,   432,   433,    -1,    -1,
     436,   437,   438,   439,    -1,   441,   442,   443,   444,   445,
     446,   447,    -1,    -1,   450,   451,   452,   453,   454,    -1,
      -1,   457,   458,   459,   460,   461,   462,   463,    -1,   465,
      -1,   467,   468,   469,    -1,    -1,   472,    -1,    -1,   475,
     476,   477,   478,   479,   480,   481,   482,   483,   484,   485,
     486,   487,   488,   489,   490,   491,    -1,    -1,    -1,   495,
     496,   497,    -1,   499,   500,   501,   502,   503,   504,     6,
       7,     8,     9,    10,    11,    12,    13,    -1,    15,    16,
      -1,    -1,    19,    20,    21,    22,    23,    24,    -1,    26,
      27,    28,    -1,    -1,    31,    32,    33,    34,    -1,    -1,
      37,    38,    39,    40,    -1,    42,    -1,    -1,    45,    46,
      -1,    -1,    -1,    50,    51,    -1,    -1,    -1,    -1,    56,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    65,    -1,
      67,    -1,    69,    70,    71,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    79,    80,    -1,    -1,    -1,    -1,    85,    -1,
      -1,    -1,    -1,    -1,    91,    92,    93,    94,    95,    96,
      97,    98,    -1,   100,   101,   102,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   110,   111,    -1,   113,   114,    -1,   116,
     117,   118,   119,   120,    -1,   122,   123,    -1,   125,   126,
     127,   128,   129,    -1,    -1,   132,   133,   134,   135,   136,
      -1,   138,   139,   140,   141,   142,    -1,    -1,    -1,   146,
     147,   148,   149,    -1,   151,   152,    -1,   154,   155,   156,
     157,   158,   159,    -1,    -1,   162,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   171,   172,   173,   174,   175,   176,
     177,   178,   179,    -1,   181,    -1,   183,   184,   185,   186,
     187,    -1,   189,   190,   191,    -1,    -1,   194,   195,   196,
     197,   198,    -1,   200,   201,   202,    -1,   204,   205,   206,
      -1,   208,   209,   210,   211,   212,   213,   214,   215,   216,
      -1,   218,    -1,   220,   221,   222,    -1,   224,    -1,   226,
      -1,    -1,    -1,   230,   231,   232,    -1,   234,   235,    -1,
     237,    -1,   239,   240,   241,   242,   243,    -1,   245,   246,
     247,    -1,   249,   250,   251,   252,   253,   254,    -1,   256,
      -1,   258,    -1,   260,   261,   262,    -1,   264,    -1,   266,
      -1,   268,    -1,    -1,   271,    -1,   273,   274,   275,   276,
     277,    -1,   279,   280,    -1,   282,   283,    -1,   285,    -1,
      -1,   288,   289,   290,    -1,    -1,   293,   294,   295,   296,
     297,   298,   299,   300,   301,   302,   303,   304,   305,   306,
      -1,   308,   309,   310,   311,    -1,   313,   314,    -1,   316,
      -1,   318,   319,   320,   321,   322,   323,    -1,   325,    -1,
      -1,   328,   329,   330,    -1,    -1,   333,    -1,    -1,    -1,
     337,   338,   339,   340,   341,   342,   343,   344,    -1,   346,
     347,   348,   349,   350,   351,   352,    -1,   354,   355,   356,
     357,   358,   359,   360,   361,   362,   363,   364,   365,   366,
      -1,   368,   369,   370,   371,   372,   373,   374,   375,   376,
     377,   378,    -1,   380,   381,    -1,   383,   384,   385,   386,
     387,   388,   389,   390,   391,   392,   393,    -1,   395,   396,
     397,   398,   399,    -1,   401,   402,   403,   404,    -1,   406,
     407,   408,    -1,   410,   411,   412,   413,   414,   415,   416,
     417,   418,   419,   420,    -1,   422,   423,    -1,   425,   426,
     427,   428,   429,   430,    -1,   432,   433,    -1,    -1,   436,
     437,   438,   439,    -1,   441,   442,   443,   444,   445,   446,
     447,    -1,    -1,   450,   451,   452,   453,   454,    -1,    -1,
     457,   458,   459,   460,   461,   462,   463,    -1,   465,    -1,
     467,   468,   469,    -1,    -1,   472,    -1,    -1,   475,   476,
     477,   478,   479,   480,   481,   482,   483,   484,   485,   486,
     487,   488,   489,   490,   491,    -1,    -1,    -1,   495,   496,
     497,    -1,   499,   500,   501,   502,   503,   504,     6,     7,
       8,     9,    10,    11,    12,    13,    -1,    15,    16,    -1,
      -1,    19,    20,    21,    22,    23,    24,    -1,    26,    27,
      28,    -1,    -1,    31,    32,    33,    34,    -1,    -1,    37,
      38,    39,    40,    -1,    42,    -1,    -1,    45,    46,    -1,
      -1,    -1,    50,    51,    -1,    -1,    -1,    -1,    56,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    65,    -1,    67,
      -1,    69,    70,    71,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    79,    80,    -1,    -1,    -1,    -1,    85,    -1,    -1,
      -1,    -1,    -1,    91,    92,    93,    94,    95,    96,    97,
      98,    -1,   100,   101,   102,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   110,   111,    -1,   113,   114,    -1,   116,   117,
     118,   119,   120,    -1,   122,   123,    -1,   125,   126,   127,
     128,   129,    -1,    -1,   132,   133,   134,   135,   136,    -1,
     138,   139,   140,   141,   142,    -1,    -1,    -1,   146,   147,
     148,   149,    -1,   151,   152,    -1,   154,   155,   156,   157,
     158,   159,    -1,    -1,   162,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   171,   172,   173,   174,   175,   176,   177,
     178,   179,    -1,   181,    -1,   183,   184,   185,   186,   187,
      -1,   189,   190,   191,    -1,    -1,   194,   195,   196,   197,
     198,    -1,   200,   201,   202,    -1,   204,   205,   206,    -1,
     208,   209,   210,   211,   212,   213,   214,   215,   216,    -1,
     218,    -1,   220,   221,   222,    -1,   224,    -1,   226,    -1,
      -1,    -1,   230,   231,   232,    -1,   234,   235,    -1,   237,
      -1,   239,   240,   241,   242,   243,    -1,   245,   246,   247,
      -1,   249,   250,   251,   252,   253,   254,    -1,   256,    -1,
     258,    -1,   260,   261,   262,    -1,   264,    -1,   266,    -1,
     268,    -1,    -1,   271,    -1,   273,   274,   275,   276,   277,
      -1,   279,   280,    -1,   282,   283,    -1,   285,    -1,    -1,
     288,   289,   290,    -1,    -1,   293,   294,   295,   296,   297,
     298,   299,   300,   301,   302,   303,   304,   305,   306,    -1,
     308,   309,   310,   311,    -1,   313,   314,    -1,   316,    -1,
     318,   319,   320,   321,   322,   323,    -1,   325,    -1,    -1,
     328,   329,   330,    -1,    -1,   333,    -1,    -1,    -1,   337,
     338,   339,   340,   341,   342,   343,   344,    -1,   346,   347,
     348,   349,   350,   351,   352,    -1,   354,   355,   356,   357,
     358,   359,   360,   361,   362,   363,   364,   365,   366,    -1,
     368,   369,   370,   371,   372,   373,   374,   375,   376,   377,
     378,    -1,   380,   381,    -1,   383,   384,   385,   386,   387,
     388,   389,   390,   391,   392,   393,    -1,   395,   396,   397,
     398,   399,    -1,   401,   402,   403,   404,    -1,   406,   407,
     408,    -1,   410,   411,   412,   413,   414,   415,   416,   417,
     418,   419,   420,    -1,   422,   423,    -1,   425,   426,   427,
     428,   429,   430,    -1,   432,   433,    -1,    -1,   436,   437,
     438,   439,    -1,   441,   442,   443,   444,   445,   446,   447,
      -1,    -1,   450,   451,   452,   453,   454,    -1,    -1,   457,
     458,   459,   460,   461,   462,   463,    -1,   465,    -1,   467,
     468,   469,    -1,    -1,   472,    -1,    -1,   475,   476,   477,
     478,   479,   480,   481,   482,   483,   484,   485,   486,   487,
     488,   489,   490,   491,    -1,    -1,    -1,   495,   496,   497,
      -1,   499,   500,   501,   502,   503,   504,     6,     7,     8,
       9,    10,    11,    12,    13,    -1,    15,    16,    -1,    -1,
      19,    20,    21,    22,    23,    24,    -1,    26,    27,    28,
      -1,    -1,    31,    32,    33,    34,    -1,    -1,    37,    38,
      39,    40,    -1,    42,    -1,    -1,    45,    46,    -1,    -1,
      -1,    50,    51,    -1,    -1,    -1,    -1,    56,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    65,    -1,    67,    -1,
      69,    70,    71,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      79,    80,    -1,    -1,    -1,    -1,    85,    -1,    -1,    -1,
      -1,    -1,    91,    92,    93,    94,    95,    96,    97,    98,
      -1,   100,   101,   102,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   110,   111,    -1,   113,   114,    -1,   116,   117,   118,
     119,   120,    -1,   122,   123,    -1,   125,   126,   127,   128,
     129,    -1,    -1,   132,   133,   134,   135,   136,    -1,   138,
     139,   140,   141,   142,    -1,    -1,    -1,   146,   147,   148,
     149,    -1,   151,   152,    -1,   154,   155,   156,   157,   158,
     159,    -1,    -1,   162,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   171,   172,   173,   174,   175,   176,   177,   178,
     179,    -1,   181,    -1,   183,   184,   185,   186,   187,    -1,
     189,   190,   191,    -1,    -1,   194,   195,   196,   197,   198,
      -1,   200,   201,   202,    -1,   204,   205,   206,    -1,   208,
     209,   210,   211,   212,   213,   214,   215,   216,    -1,   218,
      -1,   220,   221,   222,    -1,   224,    -1,   226,    -1,    -1,
      -1,   230,   231,   232,    -1,   234,   235,    -1,   237,    -1,
     239,   240,   241,   242,   243,    -1,   245,   246,   247,    -1,
     249,   250,   251,   252,   253,   254,    -1,   256,    -1,   258,
      -1,   260,   261,   262,    -1,   264,    -1,   266,    -1,   268,
      -1,    -1,   271,    -1,   273,   274,   275,   276,   277,    -1,
     279,   280,    -1,   282,   283,    -1,   285,    -1,    -1,   288,
     289,   290,    -1,    -1,   293,   294,   295,   296,   297,   298,
     299,   300,   301,   302,   303,   304,   305,   306,    -1,   308,
     309,   310,   311,    -1,   313,   314,    -1,   316,    -1,   318,
     319,   320,   321,   322,   323,    -1,   325,    -1,    -1,   328,
     329,   330,    -1,    -1,   333,    -1,    -1,    -1,   337,   338,
     339,   340,   341,   342,   343,   344,    -1,   346,   347,   348,
     349,   350,   351,   352,    -1,   354,   355,   356,   357,   358,
     359,   360,   361,   362,   363,   364,   365,   366,    -1,   368,
     369,   370,   371,   372,   373,   374,   375,   376,   377,   378,
      -1,   380,   381,    -1,   383,   384,   385,   386,   387,   388,
     389,   390,   391,   392,   393,    -1,   395,   396,   397,   398,
     399,    -1,   401,   402,   403,   404,    -1,   406,   407,   408,
      -1,   410,   411,   412,   413,   414,   415,   416,   417,   418,
     419,   420,    -1,   422,   423,    -1,   425,   426,   427,   428,
     429,   430,    -1,   432,   433,    -1,    -1,   436,   437,   438,
     439,    -1,   441,   442,   443,   444,   445,   446,   447,    -1,
      -1,   450,   451,   452,   453,   454,    -1,    -1,   457,   458,
     459,   460,   461,   462,   463,    -1,   465,    -1,   467,   468,
     469,    -1,    -1,   472,    -1,    -1,   475,   476,   477,   478,
     479,   480,   481,   482,   483,   484,   485,   486,   487,   488,
     489,   490,   491,    -1,    -1,    -1,   495,   496,   497,    -1,
     499,   500,   501,   502,   503,   504,     5,     6,     7,     8,
       9,    10,    11,    12,    13,    -1,    15,    16,    -1,    -1,
      19,    20,    21,    22,    23,    24,    25,    26,    27,    28,
      29,    -1,    31,    32,    33,    34,    35,    36,    37,    38,
      39,    40,    -1,    42,    43,    44,    45,    46,    -1,    -1,
      -1,    50,    51,    -1,    -1,    -1,    -1,    56,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    65,    -1,    67,    -1,
      69,    70,    71,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      79,    80,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    91,    92,    93,    94,    95,    96,    97,    98,
      99,   100,   101,   102,   103,   104,   105,   106,   107,   108,
     109,   110,   111,   112,   113,   114,   115,   116,   117,   118,
     119,   120,   121,   122,   123,   124,   125,   126,   127,   128,
     129,   130,   131,   132,   133,   134,   135,   136,   137,   138,
     139,   140,   141,   142,   143,   144,   145,   146,   147,   148,
     149,   150,   151,   152,   153,   154,   155,   156,   157,   158,
     159,   160,   161,   162,   163,   164,   165,   166,   167,   168,
     169,   170,   171,   172,   173,   174,   175,   176,   177,   178,
     179,   180,   181,   182,   183,   184,   185,   186,   187,   188,
     189,   190,   191,   192,   193,   194,   195,   196,   197,   198,
     199,   200,   201,   202,   203,   204,   205,   206,   207,   208,
     209,   210,   211,   212,   213,   214,   215,   216,   217,   218,
     219,   220,   221,   222,   223,   224,   225,   226,   227,   228,
     229,   230,   231,   232,   233,   234,   235,   236,   237,   238,
     239,   240,   241,   242,   243,   244,   245,   246,   247,   248,
     249,   250,   251,   252,   253,   254,   255,   256,   257,   258,
     259,   260,   261,   262,   263,   264,   265,   266,   267,   268,
     269,   270,   271,   272,   273,   274,   275,   276,   277,   278,
     279,   280,   281,   282,   283,   284,   285,   286,   287,   288,
     289,   290,   291,   292,   293,   294,   295,   296,   297,   298,
     299,   300,   301,   302,   303,   304,   305,   306,   307,   308,
     309,   310,   311,   312,   313,   314,   315,   316,   317,   318,
     319,   320,   321,   322,   323,   324,   325,   326,   327,   328,
     329,   330,   331,   332,   333,   334,   335,   336,   337,   338,
     339,   340,   341,   342,   343,   344,   345,   346,   347,   348,
     349,   350,   351,   352,   353,   354,   355,   356,   357,   358,
     359,   360,   361,   362,   363,   364,   365,   366,   367,   368,
     369,   370,   371,   372,   373,   374,   375,   376,   377,   378,
     379,   380,   381,   382,   383,   384,   385,   386,   387,   388,
     389,   390,   391,   392,   393,   394,   395,   396,   397,   398,
     399,   400,   401,   402,   403,   404,   405,   406,   407,   408,
     409,   410,   411,   412,   413,   414,   415,   416,   417,   418,
     419,   420,   421,   422,   423,   424,   425,   426,   427,   428,
     429,   430,   431,   432,   433,   434,   435,   436,   437,   438,
     439,   440,   441,   442,   443,   444,   445,   446,   447,   448,
     449,   450,   451,   452,   453,   454,   455,   456,   457,   458,
     459,   460,   461,   462,   463,   464,   465,   466,   467,   468,
     469,   470,   471,   472,   473,   474,   475,   476,   477,   478,
     479,   480,   481,   482,   483,   484,   485,   486,   487,   488,
     489,   490,   491,     5,     6,     7,     8,     9,    10,    11,
      12,    13,   501,    15,    16,    -1,    -1,    19,    20,    21,
      22,    23,    24,    25,    26,    27,    28,    29,    -1,    31,
      32,    33,    34,    35,    36,    37,    38,    39,    40,    -1,
      42,    43,    44,    45,    46,    -1,    -1,    -1,    50,    51,
      -1,    -1,    -1,    -1,    56,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    65,    -1,    67,    -1,    69,    70,    71,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    79,    80,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    91,
      92,    93,    94,    95,    96,    97,    98,    -1,   100,   101,
     102,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   110,   111,
      -1,   113,   114,   115,   116,   117,   118,    -1,   120,   121,
     122,   123,    -1,   125,   126,   127,   128,   129,    -1,    -1,
     132,   133,   134,   135,   136,    -1,   138,   139,   140,   141,
      -1,    -1,   144,    -1,   146,   147,   148,   149,   150,   151,
     152,    -1,   154,   155,   156,   157,   158,   159,    -1,   161,
     162,    -1,    -1,    -1,    -1,   167,    -1,    -1,    -1,   171,
     172,   173,   174,   175,   176,   177,   178,   179,    -1,   181,
      -1,   183,   184,   185,   186,   187,    -1,   189,   190,   191,
      -1,    -1,   194,   195,   196,   197,   198,    -1,   200,   201,
     202,    -1,   204,   205,   206,    -1,   208,   209,   210,   211,
      -1,   213,   214,   215,    -1,    -1,   218,    -1,   220,   221,
     222,    -1,   224,    -1,   226,   227,    -1,   229,   230,   231,
     232,    -1,   234,    -1,    -1,   237,    -1,   239,   240,   241,
     242,   243,   244,   245,   246,   247,    -1,   249,   250,   251,
     252,   253,   254,    -1,   256,   257,    -1,    -1,   260,   261,
     262,   263,   264,    -1,   266,    -1,   268,   269,   270,   271,
     272,   273,   274,   275,   276,   277,    -1,   279,   280,    -1,
     282,    -1,   284,   285,   286,    -1,   288,   289,   290,    -1,
      -1,   293,   294,   295,   296,   297,   298,   299,   300,   301,
     302,   303,   304,   305,   306,   307,   308,   309,   310,    -1,
      -1,   313,   314,   315,   316,    -1,    -1,   319,   320,   321,
     322,   323,    -1,   325,    -1,    -1,   328,   329,   330,    -1,
      -1,    -1,   334,   335,   336,    -1,   338,   339,   340,   341,
     342,   343,   344,    -1,   346,    -1,   348,    -1,   350,   351,
     352,    -1,   354,   355,   356,   357,   358,   359,   360,   361,
     362,   363,   364,   365,   366,    -1,   368,   369,   370,   371,
     372,   373,   374,   375,   376,   377,   378,    -1,   380,   381,
     382,   383,   384,    -1,   386,   387,   388,   389,   390,   391,
     392,   393,    -1,   395,   396,   397,   398,   399,    -1,   401,
     402,   403,   404,   405,   406,   407,   408,    -1,   410,   411,
     412,   413,   414,   415,   416,   417,   418,   419,    -1,    -1,
     422,   423,    -1,   425,   426,   427,   428,   429,   430,    -1,
     432,   433,    -1,    -1,   436,    -1,   438,    -1,    -1,   441,
     442,   443,   444,   445,   446,   447,    -1,    -1,   450,   451,
     452,   453,   454,    -1,    -1,   457,   458,   459,   460,   461,
      -1,   463,    -1,   465,   466,   467,   468,   469,    -1,    -1,
     472,    -1,    -1,   475,   476,   477,   478,   479,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   489,   490,   491,
      -1,     6,     7,     8,     9,    10,    11,    12,    13,   501,
      15,    16,    -1,    -1,    19,    20,    21,    22,    23,    24,
      -1,    26,    27,    28,    -1,    -1,    31,    32,    33,    34,
      -1,    -1,    37,    38,    39,    40,    -1,    42,    -1,    -1,
      45,    46,    -1,    -1,    -1,    50,    51,    -1,    -1,    -1,
      -1,    56,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      65,    -1,    67,    -1,    69,    70,    71,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    79,    80,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    91,    92,    93,    94,
      95,    96,    97,    98,    -1,   100,   101,   102,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   110,   111,    -1,   113,   114,
      -1,   116,   117,   118,   119,   120,    -1,   122,   123,    -1,
     125,   126,   127,   128,   129,    -1,    -1,   132,   133,   134,
     135,   136,    -1,   138,   139,   140,   141,   142,    -1,    -1,
      -1,   146,   147,   148,   149,    -1,   151,   152,    -1,   154,
     155,   156,   157,   158,   159,    -1,    -1,   162,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   171,   172,   173,   174,
     175,   176,   177,   178,   179,    -1,   181,    -1,   183,   184,
     185,   186,   187,    -1,   189,   190,   191,    -1,    -1,   194,
     195,   196,   197,   198,    -1,   200,   201,   202,    -1,   204,
     205,   206,    -1,   208,   209,   210,   211,   212,   213,   214,
     215,   216,    -1,   218,    -1,   220,   221,   222,    -1,   224,
      -1,   226,    -1,    -1,    -1,   230,   231,   232,    -1,   234,
     235,    -1,   237,    -1,   239,   240,   241,   242,   243,    -1,
     245,   246,   247,    -1,   249,   250,   251,   252,   253,   254,
      -1,   256,    -1,   258,    -1,   260,   261,   262,    -1,   264,
      -1,   266,    -1,   268,    -1,    -1,   271,    -1,   273,   274,
     275,   276,   277,    -1,   279,   280,    -1,   282,   283,    -1,
     285,    -1,    -1,   288,   289,   290,    -1,    -1,   293,   294,
     295,   296,   297,   298,   299,   300,   301,   302,   303,   304,
     305,   306,    -1,   308,   309,   310,   311,    -1,   313,   314,
      -1,   316,    -1,   318,   319,   320,   321,   322,   323,    -1,
     325,    -1,    -1,   328,   329,   330,    -1,    -1,   333,    -1,
      -1,    -1,   337,   338,   339,   340,   341,   342,   343,   344,
      -1,   346,   347,   348,   349,   350,   351,   352,    -1,   354,
     355,   356,   357,   358,   359,   360,   361,   362,   363,   364,
     365,   366,    -1,   368,   369,   370,   371,   372,   373,   374,
     375,   376,   377,   378,    -1,   380,   381,    -1,   383,   384,
     385,   386,   387,   388,   389,   390,   391,   392,   393,    -1,
     395,   396,   397,   398,   399,    -1,   401,   402,   403,   404,
      -1,   406,   407,   408,    -1,   410,   411,   412,   413,   414,
     415,   416,   417,   418,   419,   420,    -1,   422,   423,    -1,
     425,   426,   427,   428,   429,   430,    -1,   432,   433,    -1,
      -1,   436,   437,   438,   439,    -1,   441,   442,   443,   444,
     445,   446,   447,    -1,    -1,   450,   451,   452,   453,   454,
      -1,    -1,   457,   458,   459,   460,   461,   462,   463,    -1,
     465,    -1,   467,   468,   469,    -1,    -1,   472,    -1,    -1,
     475,   476,   477,   478,   479,   480,   481,   482,   483,   484,
     485,   486,   487,   488,   489,   490,   491,    -1,     6,     7,
       8,     9,    10,    11,    12,    13,   501,    15,    16,    -1,
      -1,    19,    20,    21,    22,    23,    24,    -1,    26,    27,
      28,    -1,    -1,    31,    32,    33,    34,    -1,    -1,    37,
      38,    39,    40,    -1,    42,    -1,    -1,    45,    46,    -1,
      -1,    -1,    50,    51,    -1,    -1,    -1,    -1,    56,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    65,    -1,    67,
      -1,    69,    70,    71,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    79,    80,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    91,    92,    93,    94,    95,    96,    97,
      98,    -1,   100,   101,   102,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   110,   111,    -1,   113,   114,    -1,   116,   117,
     118,   119,   120,    -1,   122,   123,    -1,   125,   126,   127,
     128,   129,    -1,    -1,   132,   133,   134,   135,   136,    -1,
     138,   139,   140,   141,   142,    -1,    -1,    -1,   146,   147,
     148,   149,    -1,   151,   152,    -1,   154,   155,   156,   157,
     158,   159,    -1,    -1,   162,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   171,   172,   173,   174,   175,   176,   177,
     178,   179,    -1,   181,    -1,   183,   184,   185,   186,   187,
      -1,   189,   190,   191,    -1,    -1,   194,   195,   196,   197,
     198,    -1,   200,   201,   202,    -1,   204,   205,   206,    -1,
     208,   209,   210,   211,   212,   213,   214,   215,   216,    -1,
     218,    -1,   220,   221,   222,    -1,   224,    -1,   226,    -1,
      -1,    -1,   230,   231,   232,    -1,   234,   235,    -1,   237,
      -1,   239,   240,   241,   242,   243,    -1,   245,   246,   247,
      -1,   249,   250,   251,   252,   253,   254,    -1,   256,    -1,
     258,    -1,   260,   261,   262,    -1,   264,    -1,   266,    -1,
     268,    -1,    -1,   271,    -1,   273,   274,   275,   276,   277,
      -1,   279,   280,    -1,   282,   283,    -1,   285,    -1,    -1,
     288,   289,   290,    -1,    -1,   293,   294,   295,   296,   297,
     298,   299,   300,   301,   302,   303,   304,   305,   306,    -1,
     308,   309,   310,   311,    -1,   313,   314,    -1,   316,    -1,
     318,   319,   320,   321,   322,   323,    -1,   325,    -1,    -1,
     328,   329,   330,    -1,    -1,   333,    -1,    -1,    -1,   337,
     338,   339,   340,   341,   342,   343,   344,    -1,   346,   347,
     348,   349,   350,   351,   352,    -1,   354,   355,   356,   357,
     358,   359,   360,   361,   362,   363,   364,   365,   366,    -1,
     368,   369,   370,   371,   372,   373,   374,   375,   376,   377,
     378,    -1,   380,   381,    -1,   383,   384,   385,   386,   387,
     388,   389,   390,   391,   392,   393,    -1,   395,   396,   397,
     398,   399,    -1,   401,   402,   403,   404,    -1,   406,   407,
     408,    -1,   410,   411,   412,   413,   414,   415,   416,   417,
     418,   419,   420,    -1,   422,   423,    -1,   425,   426,   427,
     428,   429,   430,    -1,   432,   433,    -1,    -1,   436,   437,
     438,   439,    -1,   441,   442,   443,   444,   445,   446,   447,
      -1,    -1,   450,   451,   452,   453,   454,    -1,    -1,   457,
     458,   459,   460,   461,   462,   463,    -1,   465,    -1,   467,
     468,   469,    -1,    -1,   472,    -1,    -1,   475,   476,   477,
     478,   479,   480,   481,   482,   483,   484,   485,   486,   487,
     488,   489,   490,   491,    -1,     6,     7,     8,     9,    10,
      11,    12,    13,   501,    15,    16,    -1,    -1,    19,    20,
      21,    22,    23,    24,    -1,    26,    27,    28,    -1,    -1,
      31,    32,    33,    34,    -1,    -1,    37,    38,    39,    40,
      -1,    42,    -1,    -1,    45,    46,    -1,    -1,    -1,    50,
      51,    -1,    -1,    -1,    -1,    56,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    65,    -1,    67,    -1,    69,    70,
      71,    72,    -1,    -1,    -1,    -1,    -1,    -1,    79,    80,
      -1,    -1,    -1,    -1,    -1,    86,    -1,    -1,    -1,    -1,
      91,    92,    93,    94,    95,    96,    97,    98,    99,   100,
     101,   102,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   110,
     111,    -1,   113,   114,    -1,   116,   117,   118,   119,   120,
      -1,   122,   123,    -1,   125,   126,   127,   128,   129,    -1,
      -1,   132,   133,   134,   135,   136,    -1,   138,   139,   140,
     141,   142,    -1,    -1,    -1,   146,   147,   148,   149,    -1,
     151,   152,    -1,   154,   155,   156,   157,   158,   159,    -1,
      -1,   162,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     171,   172,   173,   174,   175,   176,   177,   178,   179,    -1,
     181,    -1,   183,   184,   185,   186,   187,    -1,   189,   190,
     191,    -1,    -1,   194,   195,   196,   197,   198,    -1,   200,
     201,   202,    -1,   204,   205,   206,    -1,   208,   209,   210,
     211,   212,   213,   214,   215,   216,    -1,   218,    -1,   220,
     221,   222,    -1,   224,    -1,   226,    -1,   228,    -1,   230,
     231,   232,    -1,   234,   235,    -1,   237,    -1,   239,   240,
     241,   242,   243,    -1,   245,   246,   247,   248,   249,   250,
     251,   252,   253,   254,    -1,   256,    -1,   258,    -1,   260,
     261,   262,    -1,   264,    -1,   266,    -1,   268,    -1,    -1,
     271,    -1,   273,   274,   275,   276,   277,    -1,   279,   280,
      -1,   282,   283,    -1,   285,    -1,    -1,   288,   289,   290,
      -1,    -1,   293,   294,   295,   296,   297,   298,   299,   300,
     301,   302,   303,   304,   305,   306,    -1,   308,   309,   310,
     311,    -1,   313,   314,    -1,   316,    -1,   318,   319,   320,
     321,   322,   323,    -1,   325,    -1,    -1,   328,   329,   330,
      -1,    -1,   333,    -1,    -1,    -1,   337,   338,   339,   340,
     341,   342,   343,   344,    -1,   346,   347,   348,   349,   350,
     351,   352,    -1,   354,   355,   356,   357,   358,   359,   360,
     361,   362,   363,   364,   365,   366,    -1,   368,   369,   370,
     371,   372,   373,   374,   375,   376,   377,   378,    -1,   380,
     381,    -1,   383,   384,   385,   386,   387,   388,   389,   390,
     391,   392,   393,    -1,   395,   396,   397,   398,   399,    -1,
     401,   402,   403,   404,    -1,   406,   407,   408,    -1,   410,
     411,   412,   413,   414,   415,   416,   417,   418,   419,   420,
      -1,   422,   423,    -1,   425,   426,   427,   428,   429,   430,
      -1,   432,   433,    -1,    -1,   436,   437,   438,   439,    -1,
     441,   442,   443,   444,   445,   446,   447,    -1,    -1,   450,
     451,   452,   453,   454,    -1,    -1,   457,   458,   459,   460,
     461,   462,   463,    -1,   465,    -1,   467,   468,   469,    -1,
      -1,   472,    -1,    -1,   475,   476,   477,   478,   479,   480,
     481,   482,   483,   484,   485,   486,   487,   488,   489,   490,
     491,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   499,   500,
       6,     7,     8,     9,    10,    11,    12,    13,    -1,    15,
      16,    -1,    -1,    19,    20,    21,    22,    23,    24,    -1,
      26,    27,    28,    -1,    -1,    31,    32,    33,    34,    -1,
      -1,    37,    38,    39,    40,    -1,    42,    -1,    -1,    45,
      46,    -1,    -1,    -1,    50,    51,    -1,    -1,    -1,    -1,
      56,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    65,
      -1,    67,    -1,    69,    70,    71,    72,    -1,    -1,    -1,
      -1,    -1,    -1,    79,    80,    -1,    -1,    -1,    -1,    -1,
      86,    -1,    -1,    -1,    -1,    91,    92,    93,    94,    95,
      96,    97,    98,    99,   100,   101,   102,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   110,   111,    -1,   113,   114,    -1,
     116,   117,   118,   119,   120,    -1,   122,   123,    -1,   125,
     126,   127,   128,   129,    -1,    -1,   132,   133,   134,   135,
     136,    -1,   138,   139,   140,   141,   142,    -1,    -1,    -1,
     146,   147,   148,   149,    -1,   151,   152,    -1,   154,   155,
     156,   157,   158,   159,    -1,    -1,   162,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   171,   172,   173,   174,   175,
     176,   177,   178,   179,    -1,   181,    -1,   183,   184,   185,
     186,   187,    -1,   189,   190,   191,    -1,    -1,   194,   195,
     196,   197,   198,    -1,   200,   201,   202,    -1,   204,   205,
     206,    -1,   208,   209,   210,   211,   212,   213,   214,   215,
     216,    -1,   218,    -1,   220,   221,   222,    -1,   224,    -1,
     226,    -1,   228,    -1,   230,   231,   232,    -1,   234,   235,
      -1,   237,    -1,   239,   240,   241,   242,   243,    -1,   245,
     246,   247,   248,   249,   250,   251,   252,   253,   254,    -1,
     256,    -1,   258,    -1,   260,   261,   262,    -1,   264,    -1,
     266,    -1,   268,    -1,    -1,   271,    -1,   273,   274,   275,
     276,   277,    -1,   279,   280,    -1,   282,   283,    -1,   285,
      -1,    -1,   288,   289,   290,    -1,    -1,   293,   294,   295,
     296,   297,   298,   299,   300,   301,   302,   303,   304,   305,
     306,    -1,   308,   309,   310,   311,    -1,   313,   314,    -1,
     316,    -1,   318,   319,   320,   321,   322,   323,    -1,   325,
      -1,    -1,   328,   329,   330,    -1,    -1,   333,    -1,    -1,
      -1,   337,   338,   339,   340,   341,   342,   343,   344,    -1,
     346,   347,   348,   349,   350,   351,   352,    -1,   354,   355,
     356,   357,   358,   359,   360,   361,   362,   363,   364,   365,
     366,    -1,   368,   369,   370,   371,   372,   373,   374,   375,
     376,   377,   378,    -1,   380,   381,    -1,   383,   384,   385,
     386,   387,   388,   389,   390,   391,   392,   393,    -1,   395,
     396,   397,   398,   399,    -1,   401,   402,   403,   404,    -1,
     406,   407,   408,    -1,   410,   411,   412,   413,   414,   415,
     416,   417,   418,   419,   420,    -1,   422,   423,    -1,   425,
     426,   427,   428,   429,   430,    -1,   432,   433,    -1,    -1,
     436,   437,   438,   439,    -1,   441,   442,   443,   444,   445,
     446,   447,    -1,    -1,   450,   451,   452,   453,   454,    -1,
      -1,   457,   458,   459,   460,   461,   462,   463,    -1,   465,
      -1,   467,   468,   469,    -1,    -1,   472,    -1,    -1,   475,
     476,   477,   478,   479,   480,   481,   482,   483,   484,   485,
     486,   487,   488,   489,   490,   491,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   499,   500,     6,     7,     8,     9,    10,
      11,    12,    13,    -1,    15,    16,    -1,    -1,    19,    20,
      21,    22,    23,    24,    -1,    26,    27,    28,    -1,    -1,
      31,    32,    33,    34,    -1,    -1,    37,    38,    39,    40,
      -1,    42,    -1,    -1,    45,    46,    -1,    -1,    -1,    50,
      51,    -1,    -1,    -1,    -1,    56,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    65,    -1,    67,    -1,    69,    70,
      71,    72,    -1,    -1,    -1,    -1,    -1,    -1,    79,    80,
      -1,    -1,    -1,    -1,    -1,    86,    -1,    -1,    -1,    -1,
      91,    92,    93,    94,    95,    96,    97,    98,    99,   100,
     101,   102,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   110,
     111,    -1,   113,   114,    -1,   116,   117,   118,   119,   120,
      -1,   122,   123,    -1,   125,   126,   127,   128,   129,    -1,
      -1,   132,   133,   134,   135,   136,    -1,   138,   139,   140,
     141,   142,    -1,    -1,    -1,   146,   147,   148,   149,    -1,
     151,   152,    -1,   154,   155,   156,   157,   158,   159,    -1,
      -1,   162,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     171,   172,   173,   174,   175,   176,   177,   178,   179,    -1,
     181,    -1,   183,   184,   185,   186,   187,    -1,   189,   190,
     191,    -1,    -1,   194,   195,   196,   197,   198,    -1,   200,
     201,   202,    -1,   204,   205,   206,    -1,   208,   209,   210,
     211,   212,   213,   214,   215,   216,    -1,   218,    -1,   220,
     221,   222,    -1,   224,    -1,   226,    -1,   228,    -1,   230,
     231,   232,    -1,   234,   235,    -1,   237,    -1,   239,   240,
     241,   242,   243,    -1,   245,   246,   247,   248,   249,   250,
     251,   252,   253,   254,    -1,   256,    -1,   258,    -1,   260,
     261,   262,    -1,   264,    -1,   266,    -1,   268,    -1,    -1,
     271,    -1,   273,   274,   275,   276,   277,    -1,   279,   280,
      -1,   282,   283,    -1,   285,    -1,    -1,   288,   289,   290,
      -1,    -1,   293,   294,   295,   296,   297,   298,   299,   300,
     301,   302,   303,   304,   305,   306,    -1,   308,   309,   310,
     311,    -1,   313,   314,    -1,   316,    -1,   318,   319,   320,
     321,   322,   323,    -1,   325,    -1,    -1,   328,   329,   330,
      -1,    -1,   333,    -1,    -1,    -1,   337,   338,   339,   340,
     341,   342,   343,   344,    -1,   346,   347,   348,   349,   350,
     351,   352,    -1,   354,   355,   356,   357,   358,   359,   360,
     361,   362,   363,   364,   365,   366,    -1,   368,   369,   370,
     371,   372,   373,   374,   375,   376,   377,   378,    -1,   380,
     381,    -1,   383,   384,   385,   386,   387,   388,   389,   390,
     391,   392,   393,    -1,   395,   396,   397,   398,   399,    -1,
     401,   402,   403,   404,    -1,   406,   407,   408,    -1,   410,
     411,   412,   413,   414,   415,   416,   417,   418,   419,   420,
      -1,   422,   423,    -1,   425,   426,   427,   428,   429,   430,
      -1,   432,   433,    -1,    -1,   436,   437,   438,   439,    -1,
     441,   442,   443,   444,   445,   446,   447,    -1,    -1,   450,
     451,   452,   453,   454,    -1,    -1,   457,   458,   459,   460,
     461,   462,   463,    -1,   465,    -1,   467,   468,   469,    -1,
      -1,   472,    -1,    -1,   475,   476,   477,   478,   479,   480,
     481,   482,   483,   484,   485,   486,   487,   488,   489,   490,
     491,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   499,   500,
       6,     7,     8,     9,    10,    11,    12,    13,    -1,    15,
      16,    -1,    -1,    19,    20,    21,    22,    23,    24,    -1,
      26,    27,    28,    -1,    -1,    31,    32,    33,    34,    -1,
      -1,    37,    38,    39,    40,    -1,    42,    -1,    -1,    45,
      46,    -1,    -1,    -1,    50,    51,    -1,    -1,    -1,    -1,
      56,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    65,
      -1,    67,    -1,    69,    70,    71,    72,    -1,    -1,    -1,
      -1,    -1,    -1,    79,    80,    -1,    -1,    -1,    -1,    -1,
      86,    -1,    -1,    -1,    -1,    91,    92,    93,    94,    95,
      96,    97,    98,    99,   100,   101,   102,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   110,   111,    -1,   113,   114,    -1,
     116,   117,   118,   119,   120,    -1,   122,   123,    -1,   125,
     126,   127,   128,   129,    -1,    -1,   132,   133,   134,   135,
     136,    -1,   138,   139,   140,   141,   142,    -1,    -1,    -1,
     146,   147,   148,   149,    -1,   151,   152,    -1,   154,   155,
     156,   157,   158,   159,    -1,    -1,   162,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   171,   172,   173,   174,   175,
     176,   177,   178,   179,    -1,   181,    -1,   183,   184,   185,
     186,   187,    -1,   189,   190,   191,    -1,    -1,   194,   195,
     196,   197,   198,    -1,   200,   201,   202,    -1,   204,   205,
     206,    -1,   208,   209,   210,   211,   212,   213,   214,   215,
     216,    -1,   218,    -1,   220,   221,   222,    -1,   224,    -1,
     226,    -1,   228,    -1,   230,   231,   232,    -1,   234,   235,
      -1,   237,    -1,   239,   240,   241,   242,   243,    -1,   245,
     246,   247,   248,   249,   250,   251,   252,   253,   254,    -1,
     256,    -1,   258,    -1,   260,   261,   262,    -1,   264,    -1,
     266,    -1,   268,    -1,    -1,   271,    -1,   273,   274,   275,
     276,   277,    -1,   279,   280,    -1,   282,   283,    -1,   285,
      -1,    -1,   288,   289,   290,    -1,    -1,   293,   294,   295,
     296,   297,   298,   299,   300,   301,   302,   303,   304,   305,
     306,    -1,   308,   309,   310,   311,    -1,   313,   314,    -1,
     316,    -1,   318,   319,   320,   321,   322,   323,    -1,   325,
      -1,    -1,   328,   329,   330,    -1,    -1,   333,    -1,    -1,
      -1,   337,   338,   339,   340,   341,   342,   343,   344,    -1,
     346,   347,   348,   349,   350,   351,   352,    -1,   354,   355,
     356,   357,   358,   359,   360,   361,   362,   363,   364,   365,
     366,    -1,   368,   369,   370,   371,   372,   373,   374,   375,
     376,   377,   378,    -1,   380,   381,    -1,   383,   384,   385,
     386,   387,   388,   389,   390,   391,   392,   393,    -1,   395,
     396,   397,   398,   399,    -1,   401,   402,   403,   404,    -1,
     406,   407,   408,    -1,   410,   411,   412,   413,   414,   415,
     416,   417,   418,   419,   420,    -1,   422,   423,    -1,   425,
     426,   427,   428,   429,   430,    -1,   432,   433,    -1,    -1,
     436,   437,   438,   439,    -1,   441,   442,   443,   444,   445,
     446,   447,    -1,    -1,   450,   451,   452,   453,   454,    -1,
      -1,   457,   458,   459,   460,   461,   462,   463,    -1,   465,
      -1,   467,   468,   469,    -1,    -1,   472,    -1,    -1,   475,
     476,   477,   478,   479,   480,   481,   482,   483,   484,   485,
     486,   487,   488,   489,   490,   491,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   499,   500,     6,     7,     8,     9,    10,
      11,    12,    13,    -1,    15,    16,    -1,    -1,    19,    20,
      21,    22,    23,    24,    -1,    26,    27,    28,    -1,    -1,
      31,    32,    33,    34,    -1,    -1,    37,    38,    39,    40,
      -1,    42,    -1,    -1,    45,    46,    -1,    -1,    -1,    50,
      51,    -1,    -1,    -1,    -1,    56,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    65,    -1,    67,    -1,    69,    70,
      71,    72,    -1,    -1,    -1,    -1,    -1,    -1,    79,    80,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      91,    92,    93,    94,    95,    96,    97,    98,    -1,   100,
     101,   102,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   110,
     111,    -1,   113,   114,    -1,   116,   117,   118,   119,   120,
      -1,   122,   123,    -1,   125,   126,   127,   128,   129,    -1,
      -1,   132,   133,   134,   135,   136,    -1,   138,   139,   140,
     141,   142,    -1,    -1,    -1,   146,   147,   148,   149,    -1,
     151,   152,    -1,   154,   155,   156,   157,   158,   159,    -1,
      -1,   162,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     171,   172,   173,   174,   175,   176,   177,   178,   179,   180,
     181,    -1,   183,   184,   185,   186,   187,    -1,   189,   190,
     191,    -1,    -1,   194,   195,   196,   197,   198,    -1,   200,
     201,   202,    -1,   204,   205,   206,    -1,   208,   209,   210,
     211,   212,   213,   214,   215,   216,    -1,   218,    -1,   220,
     221,   222,    -1,   224,    -1,   226,    -1,    -1,    -1,   230,
     231,   232,    -1,   234,   235,    -1,   237,    -1,   239,   240,
     241,   242,   243,    -1,   245,   246,   247,    -1,   249,   250,
     251,   252,   253,   254,    -1,   256,    -1,   258,    -1,   260,
     261,   262,    -1,   264,    -1,   266,    -1,   268,    -1,    -1,
     271,    -1,   273,   274,   275,   276,   277,    -1,   279,   280,
      -1,   282,   283,    -1,   285,    -1,    -1,   288,   289,   290,
      -1,    -1,   293,   294,   295,   296,   297,   298,   299,   300,
     301,   302,   303,   304,   305,   306,    -1,   308,   309,   310,
     311,    -1,   313,   314,    -1,   316,    -1,   318,   319,   320,
     321,   322,   323,    -1,   325,    -1,    -1,   328,   329,   330,
      -1,    -1,   333,    -1,    -1,    -1,   337,   338,   339,   340,
     341,   342,   343,   344,    -1,   346,   347,   348,   349,   350,
     351,   352,    -1,   354,   355,   356,   357,   358,   359,   360,
     361,   362,   363,   364,   365,   366,    -1,   368,   369,   370,
     371,   372,   373,   374,   375,   376,   377,   378,    -1,   380,
     381,    -1,   383,   384,   385,   386,   387,   388,   389,   390,
     391,   392,   393,    -1,   395,   396,   397,   398,   399,    -1,
     401,   402,   403,   404,    -1,   406,   407,   408,    -1,   410,
     411,   412,   413,   414,   415,   416,   417,   418,   419,   420,
      -1,   422,   423,    -1,   425,   426,   427,   428,   429,   430,
      -1,   432,   433,   434,    -1,   436,   437,   438,   439,    -1,
     441,   442,   443,   444,   445,   446,   447,    -1,    -1,   450,
     451,   452,   453,   454,    -1,    -1,   457,   458,   459,   460,
     461,   462,   463,    -1,   465,    -1,   467,   468,   469,    -1,
      -1,   472,    -1,    -1,   475,   476,   477,   478,   479,   480,
     481,   482,   483,   484,   485,   486,   487,   488,   489,   490,
     491,    -1,    -1,     4,   495,     6,     7,     8,     9,    10,
      11,    12,    13,    14,    15,    16,    -1,    -1,    19,    20,
      21,    22,    23,    24,    -1,    26,    27,    28,    -1,    -1,
      31,    32,    33,    34,    -1,    -1,    37,    38,    39,    40,
      -1,    42,    -1,    -1,    45,    46,    -1,    -1,    -1,    50,
      51,    -1,    -1,    -1,    -1,    56,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    65,    -1,    67,    -1,    69,    70,
      71,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    79,    80,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      91,    92,    93,    94,    95,    96,    97,    98,    -1,   100,
     101,   102,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   110,
     111,    -1,   113,   114,    -1,   116,   117,   118,   119,   120,
      -1,   122,   123,    -1,   125,   126,   127,   128,   129,    -1,
      -1,   132,   133,   134,   135,   136,    -1,   138,   139,   140,
     141,   142,    -1,    -1,    -1,   146,   147,   148,   149,    -1,
     151,   152,    -1,   154,   155,   156,   157,   158,   159,    -1,
      -1,   162,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     171,   172,   173,   174,   175,   176,   177,   178,   179,    -1,
     181,    -1,   183,   184,   185,   186,   187,    -1,   189,   190,
     191,    -1,    -1,   194,   195,   196,   197,   198,    -1,   200,
     201,   202,    -1,   204,   205,   206,    -1,   208,   209,   210,
     211,   212,   213,   214,   215,   216,    -1,   218,    -1,   220,
     221,   222,    -1,   224,    -1,   226,    -1,    -1,    -1,   230,
     231,   232,    -1,   234,   235,    -1,   237,    -1,   239,   240,
     241,   242,   243,    -1,   245,   246,   247,    -1,   249,   250,
     251,   252,   253,   254,    -1,   256,    -1,   258,    -1,   260,
     261,   262,    -1,   264,    -1,   266,    -1,   268,    -1,    -1,
     271,    -1,   273,   274,   275,   276,   277,    -1,   279,   280,
      -1,   282,   283,    -1,   285,    -1,    -1,   288,   289,   290,
      -1,    -1,   293,   294,   295,   296,   297,   298,   299,   300,
     301,   302,   303,   304,   305,   306,    -1,   308,   309,   310,
     311,    -1,   313,   314,    -1,   316,    -1,   318,   319,   320,
     321,   322,   323,    -1,   325,    -1,    -1,   328,   329,   330,
      -1,    -1,   333,    -1,    -1,    -1,   337,   338,   339,   340,
     341,   342,   343,   344,    -1,   346,   347,   348,   349,   350,
     351,   352,    -1,   354,   355,   356,   357,   358,   359,   360,
     361,   362,   363,   364,   365,   366,    -1,   368,   369,   370,
     371,   372,   373,   374,   375,   376,   377,   378,    -1,   380,
     381,    -1,   383,   384,   385,   386,   387,   388,   389,   390,
     391,   392,   393,    -1,   395,   396,   397,   398,   399,    -1,
     401,   402,   403,   404,    -1,   406,   407,   408,    -1,   410,
     411,   412,   413,   414,   415,   416,   417,   418,   419,   420,
      -1,   422,   423,    -1,   425,   426,   427,   428,   429,   430,
      -1,   432,   433,    -1,    -1,   436,   437,   438,   439,    -1,
     441,   442,   443,   444,   445,   446,   447,    -1,    -1,   450,
     451,   452,   453,   454,    -1,    -1,   457,   458,   459,   460,
     461,   462,   463,    -1,   465,    -1,   467,   468,   469,    -1,
      -1,   472,    -1,    -1,   475,   476,   477,   478,   479,   480,
     481,   482,   483,   484,   485,   486,   487,   488,   489,   490,
     491,     5,     6,     7,     8,     9,    10,    11,    12,    13,
      -1,    15,    16,    -1,    -1,    19,    20,    21,    22,    23,
      24,    25,    26,    27,    28,    29,    -1,    31,    32,    33,
      34,    35,    36,    37,    38,    39,    40,    -1,    42,    43,
      44,    45,    46,    -1,    -1,    -1,    50,    51,    -1,    -1,
      -1,    -1,    56,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    65,    -1,    67,    -1,    69,    70,    71,    -1,    -1,
      -1,    75,    76,    77,    78,    79,    80,    81,    82,    -1,
      -1,    -1,    86,    -1,    -1,    -1,    -1,    91,    92,    93,
      94,    95,    96,    97,    98,    99,   100,   101,   102,   103,
     104,   105,   106,   107,   108,   109,   110,   111,   112,   113,
     114,   115,   116,   117,   118,   119,   120,   121,   122,   123,
     124,   125,   126,   127,   128,   129,   130,   131,   132,   133,
     134,   135,   136,   137,   138,   139,   140,   141,   142,   143,
     144,   145,   146,   147,   148,   149,   150,   151,   152,   153,
     154,   155,   156,   157,   158,   159,   160,   161,   162,   163,
     164,   165,   166,   167,   168,   169,   170,   171,   172,   173,
     174,   175,   176,   177,   178,   179,   180,   181,   182,   183,
     184,   185,   186,   187,   188,   189,   190,   191,   192,   193,
     194,   195,   196,   197,   198,   199,   200,   201,   202,   203,
     204,   205,   206,   207,   208,   209,   210,   211,   212,   213,
     214,   215,   216,   217,   218,   219,   220,   221,   222,   223,
     224,   225,   226,   227,   228,   229,   230,   231,   232,   233,
     234,   235,   236,   237,   238,   239,   240,   241,   242,   243,
     244,   245,   246,   247,   248,   249,   250,   251,   252,   253,
     254,   255,   256,   257,   258,   259,   260,   261,   262,   263,
     264,   265,   266,   267,   268,   269,   270,   271,   272,   273,
     274,   275,   276,   277,   278,   279,   280,   281,   282,   283,
     284,   285,   286,   287,   288,   289,   290,   291,   292,   293,
     294,   295,   296,   297,   298,   299,   300,   301,   302,   303,
     304,   305,   306,   307,   308,   309,   310,   311,   312,   313,
     314,   315,   316,   317,   318,   319,   320,   321,   322,   323,
     324,   325,   326,   327,   328,   329,   330,   331,   332,   333,
     334,   335,   336,   337,   338,   339,   340,   341,   342,   343,
     344,   345,   346,   347,   348,   349,   350,   351,   352,   353,
     354,   355,   356,   357,   358,   359,   360,   361,   362,   363,
     364,   365,   366,   367,   368,   369,   370,   371,   372,   373,
     374,   375,   376,   377,   378,   379,   380,   381,   382,   383,
     384,   385,   386,   387,   388,   389,   390,   391,   392,   393,
     394,   395,   396,   397,   398,   399,   400,   401,   402,   403,
     404,   405,   406,   407,   408,   409,   410,   411,   412,   413,
     414,   415,   416,   417,   418,   419,   420,   421,   422,   423,
     424,   425,   426,   427,   428,   429,   430,   431,   432,   433,
     434,   435,   436,   437,   438,   439,   440,   441,   442,   443,
     444,   445,   446,   447,   448,   449,   450,   451,   452,   453,
     454,   455,   456,   457,   458,   459,   460,   461,   462,   463,
     464,   465,   466,   467,   468,   469,   470,   471,   472,   473,
     474,   475,   476,   477,   478,   479,   480,   481,   482,   483,
     484,   485,   486,   487,   488,   489,   490,   491,     5,     6,
       7,     8,     9,    10,    11,    12,    13,    -1,    15,    16,
      -1,    -1,    19,    20,    21,    22,    23,    24,    25,    26,
      27,    28,    29,    -1,    31,    32,    33,    34,    35,    36,
      37,    38,    39,    40,    -1,    42,    43,    44,    45,    46,
      -1,    -1,    -1,    50,    51,    -1,    -1,    -1,    -1,    56,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    65,    -1,
      67,    -1,    69,    70,    71,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    79,    80,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    91,    92,    93,    94,    95,    96,
      97,    98,    99,   100,   101,   102,   103,   104,   105,   106,
     107,   108,   109,   110,   111,   112,   113,   114,   115,   116,
     117,   118,   119,   120,   121,   122,   123,   124,   125,   126,
     127,   128,   129,   130,   131,   132,   133,   134,   135,   136,
     137,   138,   139,   140,   141,   142,   143,   144,   145,   146,
     147,   148,   149,   150,   151,   152,   153,   154,   155,   156,
     157,   158,   159,   160,   161,   162,   163,   164,   165,   166,
     167,   168,   169,   170,   171,   172,   173,   174,   175,   176,
     177,   178,   179,   180,   181,   182,   183,   184,   185,   186,
     187,   188,   189,   190,   191,   192,   193,   194,   195,   196,
     197,   198,   199,   200,   201,   202,   203,   204,   205,   206,
     207,   208,   209,   210,   211,   212,   213,   214,   215,   216,
     217,   218,   219,   220,   221,   222,   223,   224,   225,   226,
     227,   228,   229,   230,   231,   232,   233,   234,   235,   236,
     237,   238,   239,   240,   241,   242,   243,   244,   245,   246,
     247,   248,   249,   250,   251,   252,   253,   254,   255,   256,
     257,   258,   259,   260,   261,   262,   263,   264,   265,   266,
     267,   268,   269,   270,   271,   272,   273,   274,   275,   276,
     277,   278,   279,   280,   281,   282,   283,   284,   285,   286,
     287,   288,   289,   290,   291,   292,   293,   294,   295,   296,
     297,   298,   299,   300,   301,   302,   303,   304,   305,   306,
     307,   308,   309,   310,   311,   312,   313,   314,   315,   316,
     317,   318,   319,   320,   321,   322,   323,   324,   325,   326,
     327,   328,   329,   330,   331,   332,   333,   334,   335,   336,
     337,   338,   339,   340,   341,   342,   343,   344,   345,   346,
     347,   348,   349,   350,   351,   352,   353,   354,   355,   356,
     357,   358,   359,   360,   361,   362,   363,   364,   365,   366,
     367,   368,   369,   370,   371,   372,   373,   374,   375,   376,
     377,   378,   379,   380,   381,   382,   383,   384,   385,   386,
     387,   388,   389,   390,   391,   392,   393,   394,   395,   396,
     397,   398,   399,   400,   401,   402,   403,   404,   405,   406,
     407,   408,   409,   410,   411,   412,   413,   414,   415,   416,
     417,   418,   419,   420,   421,   422,   423,   424,   425,   426,
     427,   428,   429,   430,   431,   432,   433,   434,   435,   436,
     437,   438,   439,   440,   441,   442,   443,   444,   445,   446,
     447,   448,   449,   450,   451,   452,   453,   454,   455,   456,
     457,   458,   459,   460,   461,   462,   463,   464,   465,   466,
     467,   468,   469,   470,   471,   472,   473,   474,   475,   476,
     477,   478,   479,   480,   481,   482,   483,   484,   485,   486,
     487,   488,   489,   490,   491,     5,     6,     7,     8,     9,
      10,    11,    12,    13,    -1,    15,    16,    -1,    -1,    19,
      20,    21,    22,    23,    24,    25,    26,    27,    28,    29,
      -1,    31,    32,    33,    34,    35,    36,    37,    38,    39,
      40,    -1,    42,    43,    44,    45,    46,    -1,    -1,    -1,
      50,    51,    -1,    -1,    -1,    -1,    56,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    65,    -1,    67,    -1,    69,
      70,    71,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    79,
      80,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    91,    92,    93,    94,    95,    96,    97,    98,    99,
     100,   101,   102,   103,   104,   105,   106,   107,   108,   109,
     110,   111,   112,   113,   114,   115,   116,   117,   118,   119,
     120,   121,   122,   123,   124,   125,   126,   127,   128,   129,
     130,   131,   132,   133,   134,   135,   136,   137,   138,   139,
     140,   141,   142,   143,   144,   145,   146,   147,   148,   149,
     150,   151,   152,   153,   154,   155,   156,   157,   158,   159,
     160,   161,   162,   163,   164,   165,   166,   167,   168,   169,
     170,   171,   172,   173,   174,   175,   176,   177,   178,   179,
     180,   181,   182,   183,   184,   185,   186,   187,   188,   189,
     190,   191,   192,   193,   194,   195,   196,   197,   198,   199,
     200,   201,   202,   203,   204,   205,   206,   207,   208,   209,
     210,   211,   212,   213,   214,   215,   216,   217,   218,   219,
     220,   221,   222,   223,   224,   225,   226,   227,   228,   229,
     230,   231,   232,   233,   234,   235,   236,   237,   238,   239,
     240,   241,   242,   243,   244,   245,   246,   247,   248,   249,
     250,   251,   252,   253,   254,   255,   256,   257,   258,   259,
     260,   261,   262,   263,   264,   265,   266,   267,   268,   269,
     270,   271,   272,   273,   274,   275,   276,   277,   278,   279,
     280,   281,   282,   283,   284,   285,   286,   287,   288,   289,
     290,   291,   292,   293,   294,   295,   296,   297,   298,   299,
     300,   301,   302,   303,   304,   305,   306,   307,   308,   309,
     310,   311,   312,   313,   314,   315,   316,   317,   318,   319,
     320,   321,   322,   323,   324,   325,   326,   327,   328,   329,
     330,   331,   332,   333,   334,   335,   336,   337,   338,   339,
     340,   341,   342,   343,   344,   345,   346,   347,   348,   349,
     350,   351,   352,   353,   354,   355,   356,   357,   358,   359,
     360,   361,   362,   363,   364,   365,   366,   367,   368,   369,
     370,   371,   372,   373,   374,   375,   376,   377,   378,   379,
     380,   381,   382,   383,   384,   385,   386,   387,   388,   389,
     390,   391,   392,   393,   394,   395,   396,   397,   398,   399,
     400,   401,   402,   403,   404,   405,   406,   407,   408,   409,
     410,   411,   412,   413,   414,   415,   416,   417,   418,   419,
     420,   421,   422,   423,   424,   425,   426,   427,   428,   429,
     430,   431,   432,   433,   434,   435,   436,   437,   438,   439,
     440,   441,   442,   443,   444,   445,   446,   447,   448,   449,
     450,   451,   452,   453,   454,   455,   456,   457,   458,   459,
     460,   461,   462,   463,   464,   465,   466,   467,   468,   469,
     470,   471,   472,   473,   474,   475,   476,   477,   478,   479,
     480,   481,   482,   483,   484,   485,   486,   487,   488,   489,
     490,   491,     5,     6,     7,     8,     9,    10,    11,    12,
      13,    -1,    15,    16,    -1,    -1,    19,    20,    21,    22,
      23,    24,    25,    26,    27,    28,    29,    -1,    31,    32,
      33,    34,    35,    36,    37,    38,    39,    40,    -1,    42,
      43,    44,    45,    46,    -1,    -1,    -1,    50,    51,    -1,
      -1,    -1,    -1,    56,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    65,    -1,    67,    -1,    69,    70,    71,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    79,    80,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    91,    92,
      93,    94,    95,    96,    97,    98,    -1,   100,   101,   102,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   110,   111,    -1,
     113,   114,   115,   116,   117,   118,   119,   120,   121,   122,
     123,    -1,   125,   126,   127,   128,   129,    -1,    -1,   132,
     133,   134,   135,   136,    -1,   138,   139,   140,   141,   142,
      -1,   144,    -1,   146,   147,   148,   149,   150,   151,   152,
      -1,   154,   155,   156,   157,   158,   159,    -1,   161,   162,
      -1,    -1,    -1,    -1,   167,    -1,    -1,    -1,   171,   172,
     173,   174,   175,   176,   177,   178,   179,    -1,   181,    -1,
     183,   184,   185,   186,   187,    -1,   189,   190,   191,    -1,
      -1,   194,   195,   196,   197,   198,    -1,   200,   201,   202,
      -1,   204,   205,   206,    -1,   208,   209,   210,   211,   212,
     213,   214,   215,   216,    -1,   218,    -1,   220,   221,   222,
      -1,   224,    -1,   226,   227,    -1,   229,   230,   231,   232,
      -1,   234,   235,    -1,   237,    -1,   239,   240,   241,   242,
     243,   244,   245,   246,   247,    -1,   249,   250,   251,   252,
     253,   254,    -1,   256,   257,   258,    -1,   260,   261,   262,
      -1,   264,    -1,   266,    -1,   268,   269,   270,   271,   272,
     273,   274,   275,   276,   277,    -1,   279,   280,    -1,   282,
     283,   284,   285,   286,    -1,   288,   289,   290,    -1,    -1,
     293,   294,   295,   296,   297,   298,   299,   300,   301,   302,
     303,   304,   305,   306,   307,   308,   309,   310,   311,    -1,
     313,   314,   315,   316,    -1,   318,   319,   320,   321,   322,
     323,    -1,   325,    -1,    -1,   328,   329,   330,    -1,    -1,
     333,   334,   335,   336,   337,   338,   339,   340,   341,   342,
     343,   344,    -1,   346,   347,   348,   349,   350,   351,   352,
      -1,   354,   355,   356,   357,   358,   359,   360,   361,   362,
     363,   364,   365,   366,    -1,   368,   369,   370,   371,   372,
     373,   374,   375,   376,   377,   378,    -1,   380,   381,   382,
     383,   384,   385,   386,   387,   388,   389,   390,   391,   392,
     393,    -1,   395,   396,   397,   398,   399,    -1,   401,   402,
     403,   404,   405,   406,   407,   408,    -1,   410,   411,   412,
     413,   414,   415,   416,   417,   418,   419,   420,    -1,   422,
     423,    -1,   425,   426,   427,   428,   429,   430,    -1,   432,
     433,    -1,    -1,   436,   437,   438,   439,    -1,   441,   442,
     443,   444,   445,   446,   447,    -1,    -1,   450,   451,   452,
     453,   454,    -1,    -1,   457,   458,   459,   460,   461,   462,
     463,    -1,   465,   466,   467,   468,   469,    -1,    -1,   472,
      -1,    -1,   475,   476,   477,   478,   479,   480,   481,   482,
     483,   484,   485,   486,   487,   488,   489,   490,   491,     5,
       6,     7,     8,     9,    10,    11,    12,    13,    -1,    15,
      16,    -1,    -1,    19,    20,    21,    22,    23,    24,    25,
      26,    27,    28,    29,    -1,    31,    32,    33,    34,    35,
      36,    37,    38,    39,    40,    -1,    42,    43,    44,    45,
      46,    -1,    -1,    -1,    50,    51,    -1,    -1,    -1,    -1,
      56,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    65,
      -1,    67,    -1,    69,    70,    71,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    79,    80,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    91,    92,    93,    94,    95,
      96,    97,    98,    -1,   100,   101,   102,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   110,   111,    -1,   113,   114,   115,
     116,   117,   118,   119,   120,   121,   122,   123,    -1,   125,
     126,   127,   128,   129,    -1,    -1,   132,   133,   134,   135,
     136,    -1,   138,   139,   140,   141,   142,    -1,   144,    -1,
     146,   147,   148,   149,   150,   151,   152,    -1,   154,   155,
     156,   157,   158,   159,    -1,   161,   162,    -1,    -1,    -1,
      -1,   167,    -1,    -1,    -1,   171,   172,   173,   174,   175,
     176,   177,   178,   179,    -1,   181,    -1,   183,   184,   185,
     186,   187,    -1,   189,   190,   191,    -1,    -1,   194,   195,
     196,   197,   198,    -1,   200,   201,   202,    -1,   204,   205,
     206,    -1,   208,   209,   210,   211,   212,   213,   214,   215,
     216,    -1,   218,    -1,   220,   221,   222,    -1,   224,    -1,
     226,   227,    -1,   229,   230,   231,   232,    -1,   234,   235,
      -1,   237,    -1,   239,   240,   241,   242,   243,   244,   245,
     246,   247,    -1,   249,   250,   251,   252,   253,   254,    -1,
     256,   257,   258,    -1,   260,   261,   262,    -1,   264,    -1,
     266,    -1,   268,   269,   270,   271,   272,   273,   274,   275,
     276,   277,    -1,   279,   280,    -1,   282,   283,   284,   285,
     286,    -1,   288,   289,   290,    -1,    -1,   293,   294,   295,
     296,   297,   298,   299,   300,   301,   302,   303,   304,   305,
     306,   307,   308,   309,   310,   311,    -1,   313,   314,   315,
     316,    -1,   318,   319,   320,   321,   322,   323,    -1,   325,
      -1,    -1,   328,   329,   330,    -1,    -1,   333,   334,   335,
     336,   337,   338,   339,   340,   341,   342,   343,   344,    -1,
     346,   347,   348,   349,   350,   351,   352,    -1,   354,   355,
     356,   357,   358,   359,   360,   361,   362,   363,   364,   365,
     366,    -1,   368,   369,   370,   371,   372,   373,   374,   375,
     376,   377,   378,    -1,   380,   381,   382,   383,   384,   385,
     386,   387,   388,   389,   390,   391,   392,   393,    -1,   395,
     396,   397,   398,   399,    -1,   401,   402,   403,   404,   405,
     406,   407,   408,    -1,   410,   411,   412,   413,   414,   415,
     416,   417,   418,   419,   420,    -1,   422,   423,    -1,   425,
     426,   427,   428,   429,   430,    -1,   432,   433,    -1,    -1,
     436,   437,   438,   439,    -1,   441,   442,   443,   444,   445,
     446,   447,    -1,    -1,   450,   451,   452,   453,   454,    -1,
      -1,   457,   458,   459,   460,   461,   462,   463,    -1,   465,
     466,   467,   468,   469,    -1,    -1,   472,    -1,    -1,   475,
     476,   477,   478,   479,   480,   481,   482,   483,   484,   485,
     486,   487,   488,   489,   490,   491,     5,     6,     7,     8,
       9,    10,    11,    12,    13,    -1,    15,    16,    -1,    -1,
      19,    20,    21,    22,    23,    24,    25,    26,    27,    28,
      29,    -1,    31,    32,    33,    34,    35,    36,    37,    38,
      39,    40,    -1,    42,    43,    44,    45,    46,    -1,    -1,
      -1,    50,    51,    -1,    -1,    -1,    -1,    56,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    65,    -1,    67,    -1,
      69,    70,    71,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      79,    80,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    91,    92,    93,    94,    95,    96,    97,    98,
      -1,   100,   101,   102,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   110,   111,    -1,   113,   114,   115,   116,   117,   118,
     119,   120,   121,   122,   123,    -1,   125,   126,   127,   128,
     129,    -1,    -1,   132,   133,   134,   135,   136,    -1,   138,
     139,   140,   141,   142,    -1,   144,    -1,   146,   147,   148,
     149,   150,   151,   152,    -1,   154,   155,   156,   157,   158,
     159,    -1,   161,   162,    -1,    -1,    -1,    -1,   167,    -1,
      -1,    -1,   171,   172,   173,   174,   175,   176,   177,   178,
     179,    -1,   181,    -1,   183,   184,   185,   186,   187,    -1,
     189,   190,   191,    -1,    -1,   194,   195,   196,   197,   198,
      -1,   200,   201,   202,    -1,   204,   205,   206,    -1,   208,
     209,   210,   211,   212,   213,   214,   215,   216,    -1,   218,
      -1,   220,   221,   222,    -1,   224,    -1,   226,   227,    -1,
     229,   230,   231,   232,    -1,   234,   235,    -1,   237,    -1,
     239,   240,   241,   242,   243,   244,   245,   246,   247,    -1,
     249,   250,   251,   252,   253,   254,    -1,   256,   257,   258,
      -1,   260,   261,   262,    -1,   264,    -1,   266,    -1,   268,
     269,   270,   271,   272,   273,   274,   275,   276,   277,    -1,
     279,   280,    -1,   282,   283,   284,   285,   286,    -1,   288,
     289,   290,    -1,    -1,   293,   294,   295,   296,   297,   298,
     299,   300,   301,   302,   303,   304,   305,   306,   307,   308,
     309,   310,   311,    -1,   313,   314,   315,   316,    -1,   318,
     319,   320,   321,   322,   323,    -1,   325,    -1,    -1,   328,
     329,   330,    -1,    -1,   333,   334,   335,   336,   337,   338,
     339,   340,   341,   342,   343,   344,    -1,   346,   347,   348,
     349,   350,   351,   352,    -1,   354,   355,   356,   357,   358,
     359,   360,   361,   362,   363,   364,   365,   366,    -1,   368,
     369,   370,   371,   372,   373,   374,   375,   376,   377,   378,
      -1,   380,   381,   382,   383,   384,   385,   386,   387,   388,
     389,   390,   391,   392,   393,    -1,   395,   396,   397,   398,
     399,    -1,   401,   402,   403,   404,   405,   406,   407,   408,
      -1,   410,   411,   412,   413,   414,   415,   416,   417,   418,
     419,   420,    -1,   422,   423,    -1,   425,   426,   427,   428,
     429,   430,    -1,   432,   433,    -1,    -1,   436,   437,   438,
     439,    -1,   441,   442,   443,   444,   445,   446,   447,    -1,
      -1,   450,   451,   452,   453,   454,    -1,    -1,   457,   458,
     459,   460,   461,   462,   463,    -1,   465,   466,   467,   468,
     469,    -1,    -1,   472,    -1,    -1,   475,   476,   477,   478,
     479,   480,   481,   482,   483,   484,   485,   486,   487,   488,
     489,   490,   491,     5,     6,     7,     8,     9,    10,    11,
      12,    13,    -1,    15,    16,    -1,    -1,    19,    20,    21,
      22,    23,    24,    25,    26,    27,    28,    29,    -1,    31,
      32,    33,    34,    35,    36,    37,    38,    39,    40,    -1,
      42,    43,    44,    45,    46,    -1,    -1,    -1,    50,    51,
      -1,    -1,    -1,    -1,    56,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    65,    -1,    67,    -1,    69,    70,    71,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    79,    80,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    91,
      92,    93,    94,    95,    96,    97,    98,    -1,   100,   101,
     102,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   110,   111,
      -1,   113,   114,   115,   116,   117,   118,    -1,   120,   121,
     122,   123,    -1,   125,   126,   127,   128,   129,    -1,    -1,
     132,   133,   134,   135,   136,    -1,   138,   139,   140,   141,
      -1,    -1,   144,    -1,   146,   147,   148,   149,   150,   151,
     152,    -1,   154,   155,   156,   157,   158,   159,    -1,   161,
     162,    -1,    -1,    -1,    -1,   167,    -1,    -1,    -1,   171,
     172,   173,   174,   175,   176,   177,   178,   179,    -1,   181,
      -1,   183,   184,   185,   186,   187,    -1,   189,   190,   191,
      -1,    -1,   194,   195,   196,   197,   198,    -1,   200,   201,
     202,    -1,   204,   205,   206,    -1,   208,   209,   210,   211,
      -1,   213,   214,   215,    -1,    -1,   218,    -1,   220,   221,
     222,    -1,   224,    -1,   226,   227,    -1,   229,   230,   231,
     232,    -1,   234,    -1,    -1,   237,    -1,   239,   240,   241,
     242,   243,   244,   245,   246,   247,   248,   249,   250,   251,
     252,   253,   254,    -1,   256,   257,   258,    -1,   260,   261,
     262,   263,   264,    -1,   266,    -1,   268,   269,   270,   271,
     272,   273,   274,   275,   276,   277,    -1,   279,   280,    -1,
     282,    -1,   284,   285,   286,    -1,   288,   289,   290,    -1,
      -1,   293,   294,   295,   296,   297,   298,   299,   300,   301,
     302,   303,   304,   305,   306,   307,   308,   309,   310,    -1,
      -1,   313,   314,   315,   316,    -1,    -1,   319,   320,   321,
     322,   323,    -1,   325,    -1,    -1,   328,   329,   330,    -1,
      -1,   333,   334,   335,   336,    -1,   338,   339,   340,   341,
     342,   343,   344,    -1,   346,    -1,   348,    -1,   350,   351,
     352,    -1,   354,   355,   356,   357,   358,   359,   360,   361,
     362,   363,   364,   365,   366,    -1,   368,   369,   370,   371,
     372,   373,   374,   375,   376,   377,   378,    -1,   380,   381,
     382,   383,   384,    -1,   386,   387,   388,   389,   390,   391,
     392,   393,    -1,   395,   396,   397,   398,   399,    -1,   401,
     402,   403,   404,   405,   406,   407,   408,    -1,   410,   411,
     412,   413,   414,   415,   416,   417,   418,   419,    -1,    -1,
     422,   423,    -1,   425,   426,   427,   428,   429,   430,    -1,
     432,   433,    -1,    -1,   436,    -1,   438,    -1,    -1,   441,
     442,   443,   444,   445,   446,   447,    -1,    -1,   450,   451,
     452,   453,   454,    -1,    -1,   457,   458,   459,   460,   461,
      -1,   463,   464,   465,   466,   467,   468,   469,    -1,    -1,
     472,    -1,    -1,   475,   476,   477,   478,   479,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   489,   490,   491,
       5,     6,     7,     8,     9,    10,    11,    12,    13,    -1,
      15,    16,    -1,    -1,    19,    20,    21,    22,    23,    24,
      25,    26,    27,    28,    29,    -1,    31,    32,    33,    34,
      35,    36,    37,    38,    39,    40,    -1,    42,    43,    44,
      45,    46,    -1,    -1,    -1,    50,    51,    -1,    -1,    -1,
      -1,    56,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      65,    -1,    67,    -1,    69,    70,    71,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    79,    80,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    91,    92,    93,    94,
      95,    96,    97,    98,    -1,   100,   101,   102,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   110,   111,    -1,   113,   114,
     115,   116,   117,   118,    -1,   120,   121,   122,   123,    -1,
     125,   126,   127,   128,   129,    -1,    -1,   132,   133,   134,
     135,   136,    -1,   138,   139,   140,   141,    -1,    -1,   144,
      -1,   146,   147,   148,   149,   150,   151,   152,    -1,   154,
     155,   156,   157,   158,   159,    -1,   161,   162,    -1,    -1,
      -1,    -1,   167,    -1,    -1,    -1,   171,   172,   173,   174,
     175,   176,   177,   178,   179,    -1,   181,    -1,   183,   184,
     185,   186,   187,    -1,   189,   190,   191,    -1,    -1,   194,
     195,   196,   197,   198,    -1,   200,   201,   202,    -1,   204,
     205,   206,    -1,   208,   209,   210,   211,    -1,   213,   214,
     215,    -1,    -1,   218,    -1,   220,   221,   222,    -1,   224,
      -1,   226,   227,    -1,   229,   230,   231,   232,    -1,   234,
      -1,    -1,   237,    -1,   239,   240,   241,   242,   243,   244,
     245,   246,   247,    -1,   249,   250,   251,   252,   253,   254,
      -1,   256,   257,    -1,    -1,   260,   261,   262,   263,   264,
      -1,   266,    -1,   268,   269,   270,   271,   272,   273,   274,
     275,   276,   277,    -1,   279,   280,    -1,   282,    -1,   284,
     285,   286,    -1,   288,   289,   290,    -1,    -1,   293,   294,
     295,   296,   297,   298,   299,   300,   301,   302,   303,   304,
     305,   306,   307,   308,   309,   310,    -1,    -1,   313,   314,
     315,   316,   317,    -1,   319,   320,   321,   322,   323,    -1,
     325,    -1,    -1,   328,   329,   330,    -1,    -1,    -1,   334,
     335,   336,    -1,   338,   339,   340,   341,   342,   343,   344,
      -1,   346,    -1,   348,    -1,   350,   351,   352,    -1,   354,
     355,   356,   357,   358,   359,   360,   361,   362,   363,   364,
     365,   366,    -1,   368,   369,   370,   371,   372,   373,   374,
     375,   376,   377,   378,    -1,   380,   381,   382,   383,   384,
      -1,   386,   387,   388,   389,   390,   391,   392,   393,    -1,
     395,   396,   397,   398,   399,    -1,   401,   402,   403,   404,
     405,   406,   407,   408,    -1,   410,   411,   412,   413,   414,
     415,   416,   417,   418,   419,    -1,    -1,   422,   423,   424,
     425,   426,   427,   428,   429,   430,    -1,   432,   433,    -1,
      -1,   436,    -1,   438,    -1,    -1,   441,   442,   443,   444,
     445,   446,   447,    -1,    -1,   450,   451,   452,   453,   454,
      -1,    -1,   457,   458,   459,   460,   461,    -1,   463,    -1,
     465,   466,   467,   468,   469,    -1,    -1,   472,    -1,    -1,
     475,   476,   477,   478,   479,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   489,   490,   491,     5,     6,     7,
       8,     9,    10,    11,    12,    13,    -1,    15,    16,    -1,
      -1,    19,    20,    21,    22,    23,    24,    25,    26,    27,
      28,    29,    -1,    31,    32,    33,    34,    35,    36,    37,
      38,    39,    40,    -1,    42,    43,    44,    45,    46,    -1,
      -1,    -1,    50,    51,    -1,    -1,    -1,    -1,    56,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    65,    -1,    67,
      -1,    69,    70,    71,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    79,    80,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    91,    92,    93,    94,    95,    96,    97,
      98,    -1,   100,   101,   102,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   110,   111,    -1,   113,   114,   115,   116,   117,
     118,    -1,   120,   121,   122,   123,    -1,   125,   126,   127,
     128,   129,    -1,    -1,   132,   133,   134,   135,   136,    -1,
     138,   139,   140,   141,    -1,    -1,   144,    -1,   146,   147,
     148,   149,   150,   151,   152,    -1,   154,   155,   156,   157,
     158,   159,    -1,   161,   162,    -1,    -1,    -1,    -1,   167,
      -1,    -1,    -1,   171,   172,   173,   174,   175,   176,   177,
     178,   179,    -1,   181,    -1,   183,   184,   185,   186,   187,
      -1,   189,   190,   191,    -1,    -1,   194,   195,   196,   197,
     198,    -1,   200,   201,   202,    -1,   204,   205,   206,    -1,
     208,   209,   210,   211,    -1,   213,   214,   215,    -1,    -1,
     218,    -1,   220,   221,   222,    -1,   224,    -1,   226,   227,
      -1,   229,   230,   231,   232,    -1,   234,    -1,    -1,   237,
      -1,   239,   240,   241,   242,   243,   244,   245,   246,   247,
      -1,   249,   250,   251,   252,   253,   254,    -1,   256,   257,
      -1,    -1,   260,   261,   262,   263,   264,    -1,   266,    -1,
     268,   269,   270,   271,   272,   273,   274,   275,   276,   277,
      -1,   279,   280,    -1,   282,    -1,   284,   285,   286,    -1,
     288,   289,   290,    -1,    -1,   293,   294,   295,   296,   297,
     298,   299,   300,   301,   302,   303,   304,   305,   306,   307,
     308,   309,   310,   311,    -1,   313,   314,   315,   316,    -1,
      -1,   319,   320,   321,   322,   323,    -1,   325,    -1,    -1,
     328,   329,   330,    -1,    -1,    -1,   334,   335,   336,    -1,
     338,   339,   340,   341,   342,   343,   344,    -1,   346,    -1,
     348,    -1,   350,   351,   352,    -1,   354,   355,   356,   357,
     358,   359,   360,   361,   362,   363,   364,   365,   366,    -1,
     368,   369,   370,   371,   372,   373,   374,   375,   376,   377,
     378,    -1,   380,   381,   382,   383,   384,    -1,   386,   387,
     388,   389,   390,   391,   392,   393,    -1,   395,   396,   397,
     398,   399,    -1,   401,   402,   403,   404,   405,   406,   407,
     408,    -1,   410,   411,   412,   413,   414,   415,   416,   417,
     418,   419,    -1,    -1,   422,   423,    -1,   425,   426,   427,
     428,   429,   430,    -1,   432,   433,    -1,    -1,   436,    -1,
     438,    -1,    -1,   441,   442,   443,   444,   445,   446,   447,
      -1,    -1,   450,   451,   452,   453,   454,    -1,    -1,   457,
     458,   459,   460,   461,    -1,   463,    -1,   465,   466,   467,
     468,   469,    -1,    -1,   472,    -1,    -1,   475,   476,   477,
     478,   479,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   489,   490,   491,     5,     6,     7,     8,     9,    10,
      11,    12,    13,    -1,    15,    16,    -1,    -1,    19,    20,
      21,    22,    23,    24,    25,    26,    27,    28,    29,    -1,
      31,    32,    33,    34,    35,    36,    37,    38,    39,    40,
      -1,    42,    43,    44,    45,    46,    -1,    -1,    -1,    50,
      51,    -1,    -1,    -1,    -1,    56,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    65,    -1,    67,    -1,    69,    70,
      71,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    79,    80,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      91,    92,    93,    94,    95,    96,    97,    98,    -1,   100,
     101,   102,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   110,
     111,    -1,   113,   114,   115,   116,   117,   118,    -1,   120,
     121,   122,   123,    -1,   125,   126,   127,   128,   129,    -1,
      -1,   132,   133,   134,   135,   136,    -1,   138,   139,   140,
     141,    -1,    -1,   144,    -1,   146,   147,   148,   149,   150,
     151,   152,    -1,   154,   155,   156,   157,   158,   159,    -1,
     161,   162,    -1,    -1,    -1,    -1,   167,    -1,    -1,    -1,
     171,   172,   173,   174,   175,   176,   177,   178,   179,    -1,
     181,    -1,   183,   184,   185,   186,   187,    -1,   189,   190,
     191,    -1,    -1,   194,   195,   196,   197,   198,    -1,   200,
     201,   202,    -1,   204,   205,   206,    -1,   208,   209,   210,
     211,    -1,   213,   214,   215,    -1,    -1,   218,    -1,   220,
     221,   222,    -1,   224,    -1,   226,   227,    -1,   229,   230,
     231,   232,    -1,   234,    -1,    -1,   237,    -1,   239,   240,
     241,   242,   243,   244,   245,   246,   247,    -1,   249,   250,
     251,   252,   253,   254,    -1,   256,   257,    -1,    -1,   260,
     261,   262,   263,   264,    -1,   266,    -1,   268,   269,   270,
     271,   272,   273,   274,   275,   276,   277,    -1,   279,   280,
      -1,   282,    -1,   284,   285,   286,    -1,   288,   289,   290,
      -1,    -1,   293,   294,   295,   296,   297,   298,   299,   300,
     301,   302,   303,   304,   305,   306,   307,   308,   309,   310,
     311,    -1,   313,   314,   315,   316,    -1,    -1,   319,   320,
     321,   322,   323,    -1,   325,    -1,    -1,   328,   329,   330,
      -1,    -1,    -1,   334,   335,   336,    -1,   338,   339,   340,
     341,   342,   343,   344,    -1,   346,    -1,   348,    -1,   350,
     351,   352,    -1,   354,   355,   356,   357,   358,   359,   360,
     361,   362,   363,   364,   365,   366,    -1,   368,   369,   370,
     371,   372,   373,   374,   375,   376,   377,   378,    -1,   380,
     381,   382,   383,   384,    -1,   386,   387,   388,   389,   390,
     391,   392,   393,    -1,   395,   396,   397,   398,   399,    -1,
     401,   402,   403,   404,   405,   406,   407,   408,    -1,   410,
     411,   412,   413,   414,   415,   416,   417,   418,   419,    -1,
      -1,   422,   423,    -1,   425,   426,   427,   428,   429,   430,
      -1,   432,   433,    -1,    -1,   436,    -1,   438,    -1,    -1,
     441,   442,   443,   444,   445,   446,   447,    -1,    -1,   450,
     451,   452,   453,   454,    -1,    -1,   457,   458,   459,   460,
     461,    -1,   463,    -1,   465,   466,   467,   468,   469,    -1,
      -1,   472,    -1,    -1,   475,   476,   477,   478,   479,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   489,   490,
     491,     5,     6,     7,     8,     9,    10,    11,    12,    13,
      -1,    15,    16,    -1,    -1,    19,    20,    21,    22,    23,
      24,    25,    26,    27,    28,    29,    -1,    31,    32,    33,
      34,    35,    36,    37,    38,    39,    40,    -1,    42,    43,
      44,    45,    46,    -1,    -1,    -1,    50,    51,    -1,    -1,
      -1,    -1,    56,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    65,    -1,    67,    -1,    69,    70,    71,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    79,    80,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    91,    92,    93,
      94,    95,    96,    97,    98,    -1,   100,   101,   102,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   110,   111,    -1,   113,
     114,   115,   116,   117,   118,    -1,   120,   121,   122,   123,
      -1,   125,   126,   127,   128,   129,    -1,    -1,   132,   133,
     134,   135,   136,    -1,   138,   139,   140,   141,    -1,    -1,
     144,    -1,   146,   147,   148,   149,   150,   151,   152,    -1,
     154,   155,   156,   157,   158,   159,    -1,   161,   162,    -1,
      -1,    -1,    -1,   167,    -1,    -1,    -1,   171,   172,   173,
     174,   175,   176,   177,   178,   179,    -1,   181,    -1,   183,
     184,   185,   186,   187,    -1,   189,   190,   191,    -1,    -1,
     194,   195,   196,   197,   198,    -1,   200,   201,   202,    -1,
     204,   205,   206,    -1,   208,   209,   210,   211,    -1,   213,
     214,   215,    -1,    -1,   218,    -1,   220,   221,   222,    -1,
     224,    -1,   226,   227,    -1,   229,   230,   231,   232,    -1,
     234,    -1,    -1,   237,    -1,   239,   240,   241,   242,   243,
     244,   245,   246,   247,    -1,   249,   250,   251,   252,   253,
     254,    -1,   256,   257,    -1,    -1,   260,   261,   262,   263,
     264,    -1,   266,    -1,   268,   269,   270,   271,   272,   273,
     274,   275,   276,   277,    -1,   279,   280,    -1,   282,    -1,
     284,   285,   286,    -1,   288,   289,   290,    -1,    -1,   293,
     294,   295,   296,   297,   298,   299,   300,   301,   302,   303,
     304,   305,   306,   307,   308,   309,   310,    -1,    -1,   313,
     314,   315,   316,    -1,    -1,   319,   320,   321,   322,   323,
      -1,   325,    -1,    -1,   328,   329,   330,    -1,    -1,    -1,
     334,   335,   336,    -1,   338,   339,   340,   341,   342,   343,
     344,    -1,   346,    -1,   348,    -1,   350,   351,   352,    -1,
     354,   355,   356,   357,   358,   359,   360,   361,   362,   363,
     364,   365,   366,    -1,   368,   369,   370,   371,   372,   373,
     374,   375,   376,   377,   378,    -1,   380,   381,   382,   383,
     384,    -1,   386,   387,   388,   389,   390,   391,   392,   393,
      -1,   395,   396,   397,   398,   399,    -1,   401,   402,   403,
     404,   405,   406,   407,   408,    -1,   410,   411,   412,   413,
     414,   415,   416,   417,   418,   419,    -1,    -1,   422,   423,
      -1,   425,   426,   427,   428,   429,   430,    -1,   432,   433,
      -1,    -1,   436,    -1,   438,    -1,    -1,   441,   442,   443,
     444,   445,   446,   447,    -1,    -1,   450,   451,   452,   453,
     454,    -1,    -1,   457,   458,   459,   460,   461,    -1,   463,
      -1,   465,   466,   467,   468,   469,    -1,    -1,   472,    -1,
      -1,   475,   476,   477,   478,   479,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   489,   490,   491,     5,     6,
       7,     8,     9,    10,    11,    12,    13,    -1,    15,    16,
      -1,    -1,    19,    20,    21,    22,    23,    24,    25,    26,
      27,    28,    29,    -1,    31,    32,    33,    34,    35,    36,
      37,    38,    39,    40,    -1,    42,    43,    44,    45,    46,
      -1,    -1,    -1,    50,    51,    -1,    -1,    -1,    -1,    56,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    65,    -1,
      67,    -1,    69,    70,    71,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    79,    80,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    91,    92,    93,    94,    95,    96,
      97,    98,    -1,   100,   101,   102,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   110,   111,    -1,   113,   114,   115,   116,
     117,   118,    -1,   120,   121,   122,   123,    -1,   125,   126,
     127,   128,   129,    -1,    -1,   132,   133,   134,   135,   136,
      -1,   138,   139,   140,   141,    -1,    -1,   144,    -1,   146,
     147,   148,   149,   150,   151,   152,    -1,   154,   155,   156,
     157,   158,   159,    -1,   161,   162,    -1,    -1,    -1,    -1,
     167,    -1,    -1,    -1,   171,   172,   173,   174,   175,   176,
     177,   178,   179,    -1,   181,    -1,   183,   184,   185,   186,
     187,    -1,   189,   190,   191,    -1,    -1,   194,   195,   196,
     197,   198,    -1,   200,   201,   202,    -1,   204,   205,   206,
      -1,   208,   209,   210,   211,    -1,   213,   214,   215,    -1,
      -1,   218,    -1,   220,   221,   222,    -1,   224,    -1,   226,
     227,    -1,   229,   230,   231,   232,    -1,   234,    -1,    -1,
     237,    -1,   239,   240,   241,   242,   243,   244,   245,   246,
     247,    -1,   249,   250,   251,   252,   253,   254,    -1,   256,
     257,    -1,    -1,   260,   261,   262,   263,   264,    -1,   266,
      -1,   268,   269,   270,   271,   272,   273,   274,   275,   276,
     277,    -1,   279,   280,    -1,   282,    -1,   284,   285,   286,
      -1,   288,   289,   290,    -1,    -1,   293,   294,   295,   296,
     297,   298,   299,   300,   301,   302,   303,   304,   305,   306,
     307,   308,   309,   310,    -1,    -1,   313,   314,   315,   316,
      -1,    -1,   319,   320,   321,   322,   323,    -1,   325,    -1,
      -1,   328,   329,   330,    -1,    -1,    -1,   334,   335,   336,
      -1,   338,   339,   340,   341,   342,   343,   344,    -1,   346,
      -1,   348,    -1,   350,   351,   352,    -1,   354,   355,   356,
     357,   358,   359,   360,   361,   362,   363,   364,   365,   366,
      -1,   368,   369,   370,   371,   372,   373,   374,   375,   376,
     377,   378,    -1,   380,   381,   382,   383,   384,    -1,   386,
     387,   388,   389,   390,   391,   392,   393,    -1,   395,   396,
     397,   398,   399,    -1,   401,   402,   403,   404,   405,   406,
     407,   408,    -1,   410,   411,   412,   413,   414,   415,   416,
     417,   418,   419,    -1,    -1,   422,   423,    -1,   425,   426,
     427,   428,   429,   430,    -1,   432,   433,    -1,    -1,   436,
      -1,   438,    -1,    -1,   441,   442,   443,   444,   445,   446,
     447,    -1,    -1,   450,   451,   452,   453,   454,    -1,    -1,
     457,   458,   459,   460,   461,    -1,   463,    -1,   465,   466,
     467,   468,   469,    -1,    -1,   472,    -1,    -1,   475,   476,
     477,   478,   479,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   489,   490,   491,     5,     6,     7,     8,     9,
      10,    11,    12,    13,    -1,    15,    16,    -1,    -1,    19,
      20,    21,    22,    23,    24,    25,    26,    27,    28,    29,
      -1,    31,    32,    33,    34,    35,    36,    37,    38,    39,
      40,    -1,    42,    43,    44,    45,    46,    -1,    -1,    -1,
      50,    51,    -1,    -1,    -1,    -1,    56,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    65,    -1,    67,    -1,    69,
      70,    71,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    79,
      80,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    91,    92,    93,    94,    95,    96,    97,    98,    -1,
     100,   101,   102,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     110,   111,    -1,   113,   114,   115,   116,   117,   118,    -1,
     120,   121,   122,   123,    -1,   125,   126,   127,   128,   129,
      -1,    -1,   132,   133,   134,   135,   136,    -1,   138,   139,
     140,   141,    -1,    -1,   144,    -1,   146,   147,   148,   149,
     150,   151,   152,    -1,   154,   155,   156,   157,   158,   159,
      -1,   161,   162,    -1,    -1,    -1,    -1,   167,    -1,    -1,
      -1,   171,   172,   173,   174,   175,   176,   177,   178,   179,
      -1,   181,    -1,   183,   184,   185,   186,   187,    -1,   189,
     190,   191,    -1,    -1,   194,   195,   196,   197,   198,    -1,
     200,   201,   202,    -1,   204,   205,   206,    -1,   208,   209,
     210,   211,    -1,   213,   214,   215,    -1,    -1,   218,    -1,
     220,   221,   222,    -1,   224,    -1,   226,   227,    -1,   229,
     230,   231,   232,    -1,   234,    -1,    -1,   237,    -1,   239,
     240,   241,   242,   243,   244,   245,   246,   247,    -1,   249,
     250,   251,   252,   253,   254,    -1,   256,   257,    -1,    -1,
     260,   261,   262,   263,   264,    -1,   266,    -1,   268,   269,
     270,   271,   272,   273,   274,   275,   276,   277,    -1,   279,
     280,    -1,   282,    -1,   284,   285,   286,    -1,   288,   289,
     290,    -1,    -1,   293,   294,   295,   296,   297,   298,   299,
     300,   301,   302,   303,   304,   305,   306,   307,   308,   309,
     310,    -1,    -1,   313,   314,   315,   316,    -1,    -1,   319,
     320,   321,   322,   323,    -1,   325,    -1,    -1,   328,   329,
     330,    -1,    -1,    -1,   334,   335,   336,    -1,   338,   339,
     340,   341,   342,   343,   344,    -1,   346,    -1,   348,    -1,
     350,   351,   352,    -1,   354,   355,   356,   357,   358,   359,
     360,   361,   362,   363,   364,   365,   366,    -1,   368,   369,
     370,   371,   372,   373,   374,   375,   376,   377,   378,    -1,
     380,   381,   382,   383,   384,    -1,   386,   387,   388,   389,
     390,   391,   392,   393,    -1,   395,   396,   397,   398,   399,
      -1,   401,    -1,   403,   404,   405,   406,   407,   408,    -1,
     410,   411,   412,   413,   414,   415,   416,   417,   418,   419,
      -1,    -1,   422,   423,    -1,   425,   426,   427,   428,   429,
     430,    -1,   432,   433,    -1,    -1,   436,    -1,   438,    -1,
      -1,   441,   442,   443,   444,   445,   446,   447,    -1,    -1,
     450,   451,   452,   453,   454,    -1,    -1,   457,   458,   459,
     460,   461,    -1,   463,    -1,   465,   466,   467,   468,   469,
      -1,    -1,   472,    -1,    -1,   475,   476,   477,   478,   479,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   489,
     490,   491,     5,     6,     7,     8,     9,    10,    11,    12,
      13,    -1,    15,    16,    -1,    -1,    19,    20,    21,    22,
      23,    24,    25,    26,    27,    28,    29,    -1,    31,    32,
      33,    34,    35,    36,    37,    38,    39,    40,    -1,    42,
      43,    44,    45,    46,    -1,    -1,    -1,    50,    51,    -1,
      -1,    -1,    -1,    56,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    65,    -1,    67,    -1,    69,    70,    71,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    79,    80,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    91,    92,
      93,    94,    95,    96,    97,    98,    -1,   100,   101,   102,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   110,   111,    -1,
     113,   114,   115,   116,   117,   118,    -1,    -1,   121,    -1,
      -1,    -1,   125,   126,   127,   128,   129,    -1,    -1,   132,
     133,    -1,    -1,   136,    -1,   138,   139,   140,   141,    -1,
      -1,   144,    -1,   146,   147,   148,   149,   150,   151,   152,
      -1,   154,   155,   156,   157,   158,   159,    -1,   161,   162,
      -1,    -1,    -1,    -1,   167,    -1,    -1,    -1,   171,   172,
     173,   174,   175,   176,    -1,    -1,   179,    -1,   181,    -1,
     183,   184,   185,   186,   187,    -1,   189,   190,   191,    -1,
      -1,   194,   195,   196,   197,   198,    -1,   200,   201,   202,
      -1,   204,   205,   206,    -1,   208,   209,   210,   211,    -1,
     213,   214,   215,    -1,    -1,   218,    -1,   220,    -1,   222,
      -1,   224,    -1,   226,   227,    -1,   229,   230,   231,   232,
      -1,   234,    -1,    -1,   237,    -1,   239,   240,   241,   242,
     243,   244,   245,   246,   247,    -1,   249,   250,   251,   252,
     253,   254,    -1,   256,   257,    -1,    -1,   260,   261,   262,
      -1,    -1,    -1,    -1,    -1,   268,   269,   270,   271,   272,
     273,   274,   275,   276,   277,    -1,   279,   280,    -1,   282,
      -1,   284,   285,   286,    -1,   288,   289,   290,    -1,    -1,
     293,   294,   295,   296,   297,   298,   299,   300,   301,   302,
     303,   304,   305,    -1,   307,    -1,   309,   310,    -1,    -1,
     313,   314,   315,   316,    -1,    -1,   319,    -1,   321,   322,
     323,    -1,   325,    -1,    -1,   328,   329,   330,    -1,    -1,
      -1,   334,   335,   336,    -1,   338,   339,   340,   341,   342,
     343,   344,    -1,   346,    -1,   348,    -1,   350,   351,   352,
      -1,   354,   355,   356,   357,   358,   359,   360,   361,    -1,
     363,   364,   365,   366,    -1,   368,   369,   370,   371,   372,
     373,   374,   375,   376,   377,   378,    -1,   380,   381,   382,
     383,   384,    -1,   386,   387,   388,   389,   390,   391,   392,
     393,    -1,   395,   396,   397,   398,   399,    -1,   401,    -1,
     403,   404,   405,   406,    -1,   408,    -1,   410,   411,   412,
     413,   414,   415,   416,   417,   418,   419,    -1,    -1,   422,
     423,    -1,   425,   426,   427,   428,   429,   430,    -1,    -1,
      -1,    -1,    -1,   436,    -1,   438,    -1,    -1,   441,   442,
     443,   444,   445,   446,   447,    -1,    -1,   450,   451,   452,
     453,   454,    -1,    -1,   457,   458,   459,   460,   461,    -1,
      -1,    -1,   465,   466,   467,   468,   469,    -1,    -1,   472,
      -1,    -1,   475,   476,   477,   478,   479,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   489,   490,   491,     6,
       7,     8,     9,    10,    11,    12,    13,    -1,    15,    16,
      -1,    -1,    19,    20,    21,    22,    23,    24,    -1,    26,
      27,    28,    -1,    -1,    31,    32,    33,    34,    -1,    -1,
      37,    38,    39,    40,    -1,    42,    -1,    -1,    45,    46,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    71,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    79,    80,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    91,    92,    93,    94,    95,    96,
      97,    98,    99,   100,   101,   102,   103,   104,   105,   106,
     107,   108,   109,   110,   111,   112,   113,   114,   115,   116,
     117,   118,   119,   120,   121,   122,   123,   124,   125,   126,
     127,   128,   129,   130,   131,   132,   133,    -1,   135,   136,
     137,   138,   139,   140,   141,   142,   143,   144,   145,   146,
     147,   148,   149,   150,   151,   152,   153,   154,   155,   156,
     157,   158,   159,   160,   161,   162,    -1,   164,   165,   166,
     167,   168,   169,   170,   171,   172,   173,   174,    -1,   176,
     177,   178,   179,   180,   181,   182,   183,   184,   185,   186,
     187,   188,   189,   190,   191,   192,   193,   194,   195,   196,
     197,   198,   199,   200,   201,   202,   203,   204,   205,   206,
     207,   208,   209,   210,   211,   212,   213,   214,   215,   216,
     217,   218,   219,   220,   221,   222,   223,   224,   225,   226,
     227,   228,   229,   230,   231,   232,   233,   234,   235,   236,
     237,   238,   239,   240,    -1,   242,   243,   244,   245,   246,
     247,   248,   249,   250,   251,   252,   253,   254,   255,   256,
     257,   258,    -1,   260,   261,   262,    -1,   264,   265,   266,
     267,   268,   269,   270,   271,   272,   273,   274,   275,   276,
     277,   278,   279,   280,   281,   282,   283,   284,   285,   286,
     287,   288,   289,   290,   291,   292,   293,   294,   295,   296,
     297,   298,    -1,   300,   301,    -1,   303,   304,   305,   306,
     307,   308,   309,   310,   311,   312,   313,   314,   315,   316,
     317,   318,   319,   320,   321,   322,   323,   324,   325,   326,
     327,   328,   329,   330,   331,   332,   333,   334,   335,   336,
     337,   338,   339,   340,   341,   342,   343,   344,   345,   346,
     347,   348,   349,   350,   351,   352,   353,   354,   355,   356,
     357,   358,   359,   360,   361,   362,   363,   364,   365,   366,
     367,   368,   369,   370,   371,   372,   373,   374,   375,   376,
     377,   378,   379,   380,   381,   382,   383,   384,   385,   386,
     387,   388,   389,   390,   391,    -1,   393,   394,   395,   396,
     397,   398,   399,   400,   401,   402,   403,   404,   405,   406,
     407,   408,   409,   410,   411,   412,   413,   414,   415,   416,
     417,   418,   419,   420,   421,   422,   423,   424,   425,   426,
     427,   428,   429,   430,   431,   432,   433,    -1,   435,   436,
     437,   438,   439,   440,   441,   442,   443,   444,   445,   446,
     447,    -1,   449,   450,   451,   452,   453,   454,   455,   456,
     457,   458,   459,   460,   461,    -1,   463,   464,   465,   466,
     467,   468,   469,   470,   471,   472,   473,   474,   475,   476,
     477,   478,   479,   480,   481,   482,   483,   484,   485,   486,
     487,   488,    -1,   490,   491,     6,     7,     8,     9,    10,
      11,    12,    13,    -1,    15,    16,    -1,    -1,    19,    20,
      21,    22,    23,    24,    -1,    26,    27,    28,    -1,    -1,
      31,    32,    33,    34,    -1,    -1,    37,    38,    39,    40,
      -1,    42,    -1,    -1,    45,    46,    -1,    -1,    -1,    50,
      51,    -1,    -1,    -1,    -1,    56,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    65,    -1,    67,    -1,    69,    70,
      71,    72,    -1,    -1,    75,    76,    77,    78,    79,    80,
      -1,    82,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      91,    92,    93,    94,    95,    96,    97,    98,    -1,   100,
     101,   102,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   110,
     111,    -1,   113,   114,    -1,   116,   117,   118,   119,   120,
      -1,   122,   123,    -1,   125,   126,   127,   128,   129,    -1,
      -1,   132,   133,   134,   135,   136,    -1,   138,   139,   140,
     141,   142,    -1,    -1,    -1,   146,   147,   148,   149,    -1,
     151,   152,    -1,   154,   155,   156,   157,   158,   159,    -1,
      -1,   162,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     171,   172,   173,   174,   175,   176,   177,   178,   179,   180,
     181,    -1,   183,   184,   185,   186,   187,    -1,   189,   190,
     191,    -1,    -1,   194,   195,   196,   197,   198,    -1,   200,
     201,   202,    -1,   204,   205,   206,    -1,   208,   209,   210,
     211,   212,   213,   214,   215,   216,    -1,   218,    -1,   220,
     221,   222,    -1,   224,    -1,   226,    -1,    -1,    -1,   230,
     231,   232,    -1,   234,   235,    -1,   237,    -1,   239,   240,
     241,   242,   243,    -1,   245,   246,   247,    -1,   249,   250,
     251,   252,   253,   254,    -1,   256,    -1,   258,    -1,   260,
     261,   262,    -1,   264,    -1,   266,    -1,   268,    -1,    -1,
     271,    -1,   273,   274,   275,   276,   277,    -1,   279,   280,
      -1,   282,   283,    -1,   285,    -1,    -1,   288,   289,   290,
      -1,    -1,   293,   294,   295,   296,   297,   298,   299,   300,
     301,   302,   303,   304,   305,   306,    -1,   308,   309,   310,
     311,    -1,   313,   314,    -1,   316,    -1,   318,   319,   320,
     321,   322,   323,    -1,   325,    -1,    -1,   328,   329,   330,
      -1,    -1,   333,    -1,    -1,    -1,   337,   338,   339,   340,
     341,   342,   343,   344,    -1,   346,   347,   348,   349,   350,
     351,   352,    -1,   354,   355,   356,   357,   358,   359,   360,
     361,   362,   363,   364,   365,   366,    -1,   368,   369,   370,
     371,   372,   373,   374,   375,   376,   377,   378,    -1,   380,
     381,    -1,   383,   384,   385,   386,   387,   388,   389,   390,
     391,   392,   393,    -1,   395,   396,   397,   398,   399,    -1,
     401,   402,   403,   404,    -1,   406,   407,   408,    -1,   410,
     411,   412,   413,   414,   415,   416,   417,   418,   419,   420,
      -1,   422,   423,    -1,   425,   426,   427,   428,   429,   430,
      -1,   432,   433,    -1,    -1,   436,   437,   438,   439,    -1,
     441,   442,   443,   444,   445,   446,   447,    -1,    -1,   450,
     451,   452,   453,   454,    -1,    -1,   457,   458,   459,   460,
     461,   462,   463,    -1,   465,    -1,   467,   468,   469,    -1,
      -1,   472,    -1,    -1,   475,   476,   477,   478,   479,   480,
     481,   482,   483,   484,   485,   486,   487,   488,   489,   490,
     491,     6,     7,     8,     9,    10,    11,    12,    13,    -1,
      15,    16,    -1,    -1,    19,    20,    21,    22,    23,    24,
      -1,    26,    27,    28,    -1,    -1,    31,    32,    33,    34,
      -1,    -1,    37,    38,    39,    40,    -1,    42,    -1,    -1,
      45,    46,    -1,    -1,    -1,    50,    51,    -1,    -1,    -1,
      -1,    56,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      65,    -1,    67,    -1,    69,    70,    71,    72,    -1,    -1,
      75,    76,    77,    78,    79,    80,    -1,    82,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    91,    92,    93,    94,
      95,    96,    97,    98,    -1,   100,   101,   102,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   110,   111,    -1,   113,   114,
      -1,   116,   117,   118,   119,   120,    -1,   122,   123,    -1,
     125,   126,   127,   128,   129,    -1,    -1,   132,   133,   134,
     135,   136,    -1,   138,   139,   140,   141,   142,    -1,    -1,
      -1,   146,   147,   148,   149,    -1,   151,   152,    -1,   154,
     155,   156,   157,   158,   159,    -1,    -1,   162,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   171,   172,   173,   174,
     175,   176,   177,   178,   179,    -1,   181,    -1,   183,   184,
     185,   186,   187,    -1,   189,   190,   191,    -1,    -1,   194,
     195,   196,   197,   198,    -1,   200,   201,   202,    -1,   204,
     205,   206,    -1,   208,   209,   210,   211,   212,   213,   214,
     215,   216,    -1,   218,    -1,   220,   221,   222,    -1,   224,
      -1,   226,    -1,    -1,    -1,   230,   231,   232,    -1,   234,
     235,    -1,   237,    -1,   239,   240,   241,   242,   243,    -1,
     245,   246,   247,    -1,   249,   250,   251,   252,   253,   254,
      -1,   256,    -1,   258,    -1,   260,   261,   262,    -1,   264,
      -1,   266,    -1,   268,    -1,    -1,   271,    -1,   273,   274,
     275,   276,   277,    -1,   279,   280,    -1,   282,   283,    -1,
     285,    -1,    -1,   288,   289,   290,    -1,    -1,   293,   294,
     295,   296,   297,   298,   299,   300,   301,   302,   303,   304,
     305,   306,    -1,   308,   309,   310,   311,    -1,   313,   314,
      -1,   316,    -1,   318,   319,   320,   321,   322,   323,    -1,
     325,    -1,    -1,   328,   329,   330,    -1,    -1,   333,    -1,
      -1,    -1,   337,   338,   339,   340,   341,   342,   343,   344,
      -1,   346,   347,   348,   349,   350,   351,   352,    -1,   354,
     355,   356,   357,   358,   359,   360,   361,   362,   363,   364,
     365,   366,    -1,   368,   369,   370,   371,   372,   373,   374,
     375,   376,   377,   378,    -1,   380,   381,    -1,   383,   384,
     385,   386,   387,   388,   389,   390,   391,   392,   393,    -1,
     395,   396,   397,   398,   399,    -1,   401,   402,   403,   404,
      -1,   406,   407,   408,    -1,   410,   411,   412,   413,   414,
     415,   416,   417,   418,   419,   420,    -1,   422,   423,    -1,
     425,   426,   427,   428,   429,   430,    -1,   432,   433,    -1,
      -1,   436,   437,   438,   439,    -1,   441,   442,   443,   444,
     445,   446,   447,    -1,    -1,   450,   451,   452,   453,   454,
      -1,    -1,   457,   458,   459,   460,   461,   462,   463,    -1,
     465,    -1,   467,   468,   469,    -1,    -1,   472,    -1,    -1,
     475,   476,   477,   478,   479,   480,   481,   482,   483,   484,
     485,   486,   487,   488,   489,   490,   491,     6,     7,     8,
       9,    10,    11,    12,    13,    -1,    15,    16,    -1,    -1,
      19,    20,    21,    22,    23,    24,    -1,    26,    27,    28,
      -1,    -1,    31,    32,    33,    34,    -1,    -1,    37,    38,
      39,    40,    -1,    42,    -1,    -1,    45,    46,    -1,    -1,
      -1,    50,    51,    -1,    -1,    -1,    -1,    56,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    65,    -1,    67,    -1,
      69,    70,    71,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      79,    80,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    91,    92,    93,    94,    95,    96,    97,    98,
      -1,   100,   101,   102,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   110,   111,    -1,   113,   114,    -1,   116,   117,   118,
     119,   120,    -1,   122,   123,    -1,   125,   126,   127,   128,
     129,    -1,    -1,   132,   133,   134,   135,   136,   137,   138,
     139,   140,   141,   142,    -1,    -1,   145,   146,   147,   148,
     149,    -1,   151,   152,   153,   154,   155,   156,   157,   158,
     159,    -1,    -1,   162,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   171,   172,   173,   174,   175,   176,   177,   178,
     179,    -1,   181,    -1,   183,   184,   185,   186,   187,    -1,
     189,   190,   191,    -1,    -1,   194,   195,   196,   197,   198,
      -1,   200,   201,   202,    -1,   204,   205,   206,    -1,   208,
     209,   210,   211,   212,   213,   214,   215,   216,    -1,   218,
      -1,   220,   221,   222,    -1,   224,   225,   226,    -1,    -1,
      -1,   230,   231,   232,    -1,   234,   235,    -1,   237,    -1,
     239,   240,   241,   242,   243,    -1,   245,   246,   247,    -1,
     249,   250,   251,   252,   253,   254,    -1,   256,    -1,   258,
      -1,   260,   261,   262,    -1,   264,    -1,   266,    -1,   268,
      -1,    -1,   271,    -1,   273,   274,   275,   276,   277,    -1,
     279,   280,    -1,   282,   283,    -1,   285,    -1,    -1,   288,
     289,   290,    -1,    -1,   293,   294,   295,   296,   297,   298,
     299,   300,   301,   302,   303,   304,   305,   306,    -1,   308,
     309,   310,   311,    -1,   313,   314,    -1,   316,    -1,   318,
     319,   320,   321,   322,   323,    -1,   325,    -1,    -1,   328,
     329,   330,    -1,    -1,   333,    -1,    -1,    -1,   337,   338,
     339,   340,   341,   342,   343,   344,    -1,   346,   347,   348,
     349,   350,   351,   352,   353,   354,   355,   356,   357,   358,
     359,   360,   361,   362,   363,   364,   365,   366,    -1,   368,
     369,   370,   371,   372,   373,   374,   375,   376,   377,   378,
      -1,   380,   381,    -1,   383,   384,   385,   386,   387,   388,
     389,   390,   391,   392,   393,    -1,   395,   396,   397,   398,
     399,    -1,   401,   402,   403,   404,    -1,   406,   407,   408,
      -1,   410,   411,   412,   413,   414,   415,   416,   417,   418,
     419,   420,    -1,   422,   423,    -1,   425,   426,   427,   428,
     429,   430,    -1,   432,   433,    -1,    -1,   436,   437,   438,
     439,    -1,   441,   442,   443,   444,   445,   446,   447,    -1,
     449,   450,   451,   452,   453,   454,    -1,    -1,   457,   458,
     459,   460,   461,   462,   463,    -1,   465,    -1,   467,   468,
     469,    -1,    -1,   472,    -1,    -1,   475,   476,   477,   478,
     479,   480,   481,   482,   483,   484,   485,   486,   487,   488,
     489,   490,   491,     6,     7,     8,     9,    10,    11,    12,
      13,    -1,    15,    16,    -1,    -1,    19,    20,    21,    22,
      23,    24,    -1,    26,    27,    28,    -1,    -1,    31,    32,
      33,    34,    -1,    -1,    37,    38,    39,    40,    -1,    42,
      -1,    -1,    45,    46,    -1,    -1,    -1,    50,    51,    -1,
      -1,    -1,    -1,    56,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    65,    -1,    67,    -1,    69,    70,    71,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    79,    80,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    91,    92,
      93,    94,    95,    96,    97,    98,    -1,   100,   101,   102,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   110,   111,    -1,
     113,   114,    -1,   116,   117,   118,   119,   120,    -1,   122,
     123,    -1,   125,   126,   127,   128,   129,    -1,    -1,   132,
     133,   134,   135,   136,   137,   138,   139,   140,   141,   142,
      -1,    -1,    -1,   146,   147,   148,   149,    -1,   151,   152,
     153,   154,   155,   156,   157,   158,   159,    -1,    -1,   162,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   171,   172,
     173,   174,   175,   176,   177,   178,   179,    -1,   181,    -1,
     183,   184,   185,   186,   187,    -1,   189,   190,   191,    -1,
      -1,   194,   195,   196,   197,   198,    -1,   200,   201,   202,
      -1,   204,   205,   206,    -1,   208,   209,   210,   211,   212,
     213,   214,   215,   216,    -1,   218,    -1,   220,   221,   222,
      -1,   224,   225,   226,    -1,    -1,    -1,   230,   231,   232,
      -1,   234,   235,    -1,   237,    -1,   239,   240,   241,   242,
     243,    -1,   245,   246,   247,    -1,   249,   250,   251,   252,
     253,   254,    -1,   256,    -1,   258,    -1,   260,   261,   262,
      -1,   264,    -1,   266,    -1,   268,    -1,    -1,   271,    -1,
     273,   274,   275,   276,   277,    -1,   279,   280,    -1,   282,
     283,    -1,   285,   286,    -1,   288,   289,   290,    -1,    -1,
     293,   294,   295,   296,   297,   298,   299,   300,   301,   302,
     303,   304,   305,   306,    -1,   308,   309,   310,   311,    -1,
     313,   314,    -1,   316,    -1,   318,   319,   320,   321,   322,
     323,    -1,   325,    -1,    -1,   328,   329,   330,    -1,    -1,
     333,    -1,    -1,    -1,   337,   338,   339,   340,   341,   342,
     343,   344,    -1,   346,   347,   348,   349,   350,   351,   352,
     353,   354,   355,   356,   357,   358,   359,   360,   361,   362,
     363,   364,   365,   366,    -1,   368,   369,   370,   371,   372,
     373,   374,   375,   376,   377,   378,    -1,   380,   381,    -1,
     383,   384,   385,   386,   387,   388,   389,   390,   391,   392,
     393,    -1,   395,   396,   397,   398,   399,    -1,   401,   402,
     403,   404,    -1,   406,   407,   408,    -1,   410,   411,   412,
     413,   414,   415,   416,   417,   418,   419,   420,    -1,   422,
     423,    -1,   425,   426,   427,   428,   429,   430,    -1,   432,
     433,    -1,    -1,   436,   437,   438,   439,    -1,   441,   442,
     443,   444,   445,   446,   447,    -1,   449,   450,   451,   452,
     453,   454,    -1,    -1,   457,   458,   459,   460,   461,   462,
     463,    -1,   465,    -1,   467,   468,   469,    -1,    -1,   472,
      -1,    -1,   475,   476,   477,   478,   479,   480,   481,   482,
     483,   484,   485,   486,   487,   488,   489,   490,   491,     6,
       7,     8,     9,    10,    11,    12,    13,    -1,    15,    16,
      -1,    -1,    19,    20,    21,    22,    23,    24,    -1,    26,
      27,    28,    -1,    -1,    31,    32,    33,    34,    -1,    -1,
      37,    38,    39,    40,    -1,    42,    -1,    -1,    45,    46,
      -1,    -1,    -1,    50,    51,    -1,    -1,    -1,    -1,    56,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    65,    -1,
      67,    -1,    69,    70,    71,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    79,    80,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    91,    92,    93,    94,    95,    96,
      97,    98,    99,   100,   101,   102,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   110,   111,    -1,   113,   114,    -1,   116,
     117,   118,   119,   120,    -1,   122,   123,    -1,   125,   126,
     127,   128,   129,    -1,    -1,   132,   133,   134,   135,   136,
      -1,   138,   139,   140,   141,   142,    -1,    -1,    -1,   146,
     147,   148,   149,    -1,   151,   152,    -1,   154,   155,   156,
     157,   158,   159,   160,    -1,   162,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   171,   172,   173,   174,   175,   176,
     177,   178,   179,    -1,   181,    -1,   183,   184,   185,   186,
     187,    -1,   189,   190,   191,    -1,    -1,   194,   195,   196,
     197,   198,    -1,   200,   201,   202,    -1,   204,   205,   206,
      -1,   208,   209,   210,   211,   212,   213,   214,   215,   216,
      -1,   218,    -1,   220,   221,   222,    -1,   224,    -1,   226,
      -1,    -1,    -1,   230,   231,   232,   233,   234,   235,    -1,
     237,    -1,   239,   240,   241,   242,   243,    -1,   245,   246,
     247,    -1,   249,   250,   251,   252,   253,   254,    -1,   256,
      -1,   258,    -1,   260,   261,   262,    -1,   264,    -1,   266,
      -1,   268,    -1,    -1,   271,    -1,   273,   274,   275,   276,
     277,    -1,   279,   280,    -1,   282,   283,    -1,   285,    -1,
      -1,   288,   289,   290,    -1,    -1,   293,   294,   295,   296,
     297,   298,   299,   300,   301,   302,   303,   304,   305,   306,
      -1,   308,   309,   310,   311,    -1,   313,   314,    -1,   316,
      -1,   318,   319,   320,   321,   322,   323,    -1,   325,    -1,
      -1,   328,   329,   330,    -1,    -1,   333,    -1,    -1,    -1,
     337,   338,   339,   340,   341,   342,   343,   344,    -1,   346,
     347,   348,   349,   350,   351,   352,    -1,   354,   355,   356,
     357,   358,   359,   360,   361,   362,   363,   364,   365,   366,
     367,   368,   369,   370,   371,   372,   373,   374,   375,   376,
     377,   378,    -1,   380,   381,    -1,   383,   384,   385,   386,
     387,   388,   389,   390,   391,   392,   393,   394,   395,   396,
     397,   398,   399,    -1,   401,   402,   403,   404,    -1,   406,
     407,   408,    -1,   410,   411,   412,   413,   414,   415,   416,
     417,   418,   419,   420,    -1,   422,   423,    -1,   425,   426,
     427,   428,   429,   430,    -1,   432,   433,    -1,    -1,   436,
     437,   438,   439,    -1,   441,   442,   443,   444,   445,   446,
     447,    -1,    -1,   450,   451,   452,   453,   454,    -1,    -1,
     457,   458,   459,   460,   461,   462,   463,    -1,   465,    -1,
     467,   468,   469,    -1,    -1,   472,    -1,    -1,   475,   476,
     477,   478,   479,   480,   481,   482,   483,   484,   485,   486,
     487,   488,   489,   490,   491,     6,     7,     8,     9,    10,
      11,    12,    13,    -1,    15,    16,    -1,    -1,    19,    20,
      21,    22,    23,    24,    -1,    26,    27,    28,    -1,    -1,
      31,    32,    33,    34,    -1,    -1,    37,    38,    39,    40,
      -1,    42,    -1,    -1,    45,    46,    -1,    -1,    -1,    50,
      51,    -1,    -1,    -1,    -1,    56,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    65,    -1,    67,    -1,    69,    70,
      71,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    79,    80,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      91,    92,    93,    94,    95,    96,    97,    98,    99,   100,
     101,   102,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   110,
     111,    -1,   113,   114,    -1,   116,   117,   118,   119,   120,
      -1,   122,   123,    -1,   125,   126,   127,   128,   129,    -1,
      -1,   132,   133,   134,   135,   136,    -1,   138,   139,   140,
     141,   142,    -1,    -1,    -1,   146,   147,   148,   149,    -1,
     151,   152,    -1,   154,   155,   156,   157,   158,   159,   160,
      -1,   162,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     171,   172,   173,   174,   175,   176,   177,   178,   179,    -1,
     181,    -1,   183,   184,   185,   186,   187,    -1,   189,   190,
     191,    -1,    -1,   194,   195,   196,   197,   198,    -1,   200,
     201,   202,    -1,   204,   205,   206,    -1,   208,   209,   210,
     211,   212,   213,   214,   215,   216,    -1,   218,    -1,   220,
     221,   222,    -1,   224,    -1,   226,    -1,    -1,    -1,   230,
     231,   232,   233,   234,   235,    -1,   237,    -1,   239,   240,
     241,   242,   243,    -1,   245,   246,   247,    -1,   249,   250,
     251,   252,   253,   254,    -1,   256,    -1,   258,    -1,   260,
     261,   262,    -1,   264,    -1,   266,    -1,   268,    -1,    -1,
     271,    -1,   273,   274,   275,   276,   277,    -1,   279,   280,
      -1,   282,   283,    -1,   285,    -1,    -1,   288,   289,   290,
      -1,    -1,   293,   294,   295,   296,   297,   298,   299,   300,
     301,   302,   303,   304,   305,   306,    -1,   308,   309,   310,
     311,    -1,   313,   314,    -1,   316,    -1,   318,   319,   320,
     321,   322,   323,    -1,   325,    -1,    -1,   328,   329,   330,
      -1,    -1,   333,    -1,    -1,    -1,   337,   338,   339,   340,
     341,   342,   343,   344,    -1,   346,   347,   348,   349,   350,
     351,   352,    -1,   354,   355,   356,   357,   358,   359,   360,
     361,   362,   363,   364,   365,   366,   367,   368,   369,   370,
     371,   372,   373,   374,   375,   376,   377,   378,    -1,   380,
     381,    -1,   383,   384,   385,   386,   387,   388,   389,   390,
     391,   392,   393,   394,   395,   396,   397,   398,   399,    -1,
     401,   402,   403,   404,    -1,   406,   407,   408,    -1,   410,
     411,   412,   413,   414,   415,   416,   417,   418,   419,   420,
      -1,   422,   423,    -1,   425,   426,   427,   428,   429,   430,
      -1,   432,   433,    -1,    -1,   436,   437,   438,   439,    -1,
     441,   442,   443,   444,   445,   446,   447,    -1,    -1,   450,
     451,   452,   453,   454,    -1,    -1,   457,   458,   459,   460,
     461,   462,   463,    -1,   465,    -1,   467,   468,   469,    -1,
      -1,   472,    -1,    -1,   475,   476,   477,   478,   479,   480,
     481,   482,   483,   484,   485,   486,   487,   488,   489,   490,
     491,     6,     7,     8,     9,    10,    11,    12,    13,    -1,
      15,    16,    -1,    -1,    19,    20,    21,    22,    23,    24,
      -1,    26,    27,    28,    -1,    -1,    31,    32,    33,    34,
      -1,    -1,    37,    38,    39,    40,    -1,    42,    -1,    -1,
      45,    46,    -1,    -1,    -1,    50,    51,    -1,    -1,    -1,
      -1,    56,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      65,    -1,    67,    -1,    69,    70,    71,    -1,    -1,    -1,
      75,    76,    77,    78,    79,    80,    -1,    82,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    91,    92,    93,    94,
      95,    96,    97,    98,    -1,   100,   101,   102,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   110,   111,    -1,   113,   114,
      -1,   116,   117,   118,   119,   120,    -1,   122,   123,    -1,
     125,   126,   127,   128,   129,    -1,    -1,   132,   133,   134,
     135,   136,    -1,   138,   139,   140,   141,   142,    -1,    -1,
      -1,   146,   147,   148,   149,    -1,   151,   152,    -1,   154,
     155,   156,   157,   158,   159,    -1,    -1,   162,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   171,   172,   173,   174,
     175,   176,   177,   178,   179,    -1,   181,    -1,   183,   184,
     185,   186,   187,    -1,   189,   190,   191,    -1,    -1,   194,
     195,   196,   197,   198,    -1,   200,   201,   202,    -1,   204,
     205,   206,    -1,   208,   209,   210,   211,   212,   213,   214,
     215,   216,    -1,   218,    -1,   220,   221,   222,    -1,   224,
      -1,   226,    -1,    -1,    -1,   230,   231,   232,    -1,   234,
     235,    -1,   237,    -1,   239,   240,   241,   242,   243,    -1,
     245,   246,   247,    -1,   249,   250,   251,   252,   253,   254,
      -1,   256,    -1,   258,    -1,   260,   261,   262,    -1,   264,
      -1,   266,    -1,   268,    -1,    -1,   271,    -1,   273,   274,
     275,   276,   277,    -1,   279,   280,    -1,   282,   283,    -1,
     285,    -1,    -1,   288,   289,   290,    -1,    -1,   293,   294,
     295,   296,   297,   298,   299,   300,   301,   302,   303,   304,
     305,   306,    -1,   308,   309,   310,   311,    -1,   313,   314,
      -1,   316,    -1,   318,   319,   320,   321,   322,   323,    -1,
     325,    -1,    -1,   328,   329,   330,    -1,    -1,   333,    -1,
      -1,    -1,   337,   338,   339,   340,   341,   342,   343,   344,
      -1,   346,   347,   348,   349,   350,   351,   352,    -1,   354,
     355,   356,   357,   358,   359,   360,   361,   362,   363,   364,
     365,   366,    -1,   368,   369,   370,   371,   372,   373,   374,
     375,   376,   377,   378,    -1,   380,   381,    -1,   383,   384,
     385,   386,   387,   388,   389,   390,   391,   392,   393,    -1,
     395,   396,   397,   398,   399,    -1,   401,   402,   403,   404,
      -1,   406,   407,   408,    -1,   410,   411,   412,   413,   414,
     415,   416,   417,   418,   419,   420,    -1,   422,   423,    -1,
     425,   426,   427,   428,   429,   430,    -1,   432,   433,    -1,
      -1,   436,   437,   438,   439,    -1,   441,   442,   443,   444,
     445,   446,   447,    -1,    -1,   450,   451,   452,   453,   454,
      -1,    -1,   457,   458,   459,   460,   461,   462,   463,    -1,
     465,    -1,   467,   468,   469,    -1,    -1,   472,    -1,    -1,
     475,   476,   477,   478,   479,   480,   481,   482,   483,   484,
     485,   486,   487,   488,   489,   490,   491,     6,     7,     8,
       9,    10,    11,    12,    13,    -1,    15,    16,    -1,    -1,
      19,    20,    21,    22,    23,    24,    -1,    26,    27,    28,
      -1,    -1,    31,    32,    33,    34,    -1,    -1,    37,    38,
      39,    40,    -1,    42,    -1,    -1,    45,    46,    -1,    -1,
      -1,    50,    51,    -1,    -1,    -1,    -1,    56,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    65,    -1,    67,    -1,
      69,    70,    71,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      79,    80,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    91,    92,    93,    94,    95,    96,    97,    98,
      -1,   100,   101,   102,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   110,   111,    -1,   113,   114,    -1,   116,   117,   118,
     119,   120,    -1,   122,   123,    -1,   125,   126,   127,   128,
     129,    -1,    -1,   132,   133,   134,   135,   136,   137,   138,
     139,   140,   141,   142,    -1,    -1,    -1,   146,   147,   148,
     149,    -1,   151,   152,   153,   154,   155,   156,   157,   158,
     159,    -1,    -1,   162,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   171,   172,   173,   174,   175,   176,   177,   178,
     179,    -1,   181,    -1,   183,   184,   185,   186,   187,    -1,
     189,   190,   191,    -1,    -1,   194,   195,   196,   197,   198,
      -1,   200,   201,   202,    -1,   204,   205,   206,    -1,   208,
     209,   210,   211,   212,   213,   214,   215,   216,    -1,   218,
      -1,   220,   221,   222,    -1,   224,   225,   226,    -1,    -1,
      -1,   230,   231,   232,    -1,   234,   235,    -1,   237,    -1,
     239,   240,   241,   242,   243,    -1,   245,   246,   247,    -1,
     249,   250,   251,   252,   253,   254,    -1,   256,    -1,   258,
      -1,   260,   261,   262,    -1,   264,    -1,   266,    -1,   268,
      -1,    -1,   271,    -1,   273,   274,   275,   276,   277,    -1,
     279,   280,    -1,   282,   283,    -1,   285,    -1,    -1,   288,
     289,   290,    -1,    -1,   293,   294,   295,   296,   297,   298,
     299,   300,   301,   302,   303,   304,   305,   306,    -1,   308,
     309,   310,   311,    -1,   313,   314,    -1,   316,    -1,   318,
     319,   320,   321,   322,   323,    -1,   325,    -1,    -1,   328,
     329,   330,    -1,    -1,   333,    -1,    -1,    -1,   337,   338,
     339,   340,   341,   342,   343,   344,    -1,   346,   347,   348,
     349,   350,   351,   352,   353,   354,   355,   356,   357,   358,
     359,   360,   361,   362,   363,   364,   365,   366,    -1,   368,
     369,   370,   371,   372,   373,   374,   375,   376,   377,   378,
      -1,   380,   381,    -1,   383,   384,   385,   386,   387,   388,
     389,   390,   391,   392,   393,    -1,   395,   396,   397,   398,
     399,    -1,   401,   402,   403,   404,    -1,   406,   407,   408,
      -1,   410,   411,   412,   413,   414,   415,   416,   417,   418,
     419,   420,    -1,   422,   423,    -1,   425,   426,   427,   428,
     429,   430,    -1,   432,   433,    -1,    -1,   436,   437,   438,
     439,    -1,   441,   442,   443,   444,   445,   446,   447,    -1,
     449,   450,   451,   452,   453,   454,    -1,    -1,   457,   458,
     459,   460,   461,   462,   463,    -1,   465,    -1,   467,   468,
     469,    -1,    -1,   472,    -1,    -1,   475,   476,   477,   478,
     479,   480,   481,   482,   483,   484,   485,   486,   487,   488,
     489,   490,   491,     6,     7,     8,     9,    10,    11,    12,
      13,    -1,    15,    16,    -1,    -1,    19,    20,    21,    22,
      23,    24,    -1,    26,    27,    28,    -1,    -1,    31,    32,
      33,    34,    -1,    -1,    37,    38,    39,    40,    -1,    42,
      -1,    -1,    45,    46,    -1,    -1,    -1,    50,    51,    -1,
      -1,    -1,    -1,    56,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    65,    -1,    67,    -1,    69,    70,    71,    72,
      -1,    -1,    -1,    -1,    -1,    -1,    79,    80,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    91,    92,
      93,    94,    95,    96,    97,    98,    99,   100,   101,   102,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   110,   111,    -1,
     113,   114,    -1,   116,   117,   118,   119,   120,    -1,   122,
     123,    -1,   125,   126,   127,   128,   129,    -1,    -1,   132,
     133,   134,   135,   136,    -1,   138,   139,   140,   141,   142,
      -1,    -1,    -1,   146,   147,   148,   149,    -1,   151,   152,
      -1,   154,   155,   156,   157,   158,   159,    -1,    -1,   162,
     163,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   171,   172,
     173,   174,   175,   176,   177,   178,   179,   180,   181,    -1,
     183,   184,   185,   186,   187,    -1,   189,   190,   191,    -1,
      -1,   194,   195,   196,   197,   198,    -1,   200,   201,   202,
      -1,   204,   205,   206,    -1,   208,   209,   210,   211,   212,
     213,   214,   215,   216,    -1,   218,    -1,   220,   221,   222,
      -1,   224,    -1,   226,    -1,    -1,    -1,   230,   231,   232,
      -1,   234,   235,    -1,   237,    -1,   239,   240,   241,   242,
     243,    -1,   245,   246,   247,    -1,   249,   250,   251,   252,
     253,   254,    -1,   256,    -1,   258,    -1,   260,   261,   262,
      -1,   264,    -1,   266,    -1,   268,    -1,    -1,   271,    -1,
     273,   274,   275,   276,   277,    -1,   279,   280,    -1,   282,
     283,    -1,   285,    -1,    -1,   288,   289,   290,    -1,    -1,
     293,   294,   295,   296,   297,   298,   299,   300,   301,   302,
     303,   304,   305,   306,    -1,   308,   309,   310,   311,    -1,
     313,   314,    -1,   316,    -1,   318,   319,   320,   321,   322,
     323,    -1,   325,    -1,    -1,   328,   329,   330,    -1,    -1,
     333,    -1,    -1,    -1,   337,   338,   339,   340,   341,   342,
     343,   344,    -1,   346,   347,   348,   349,   350,   351,   352,
      -1,   354,   355,   356,   357,   358,   359,   360,   361,   362,
     363,   364,   365,   366,    -1,   368,   369,   370,   371,   372,
     373,   374,   375,   376,   377,   378,    -1,   380,   381,    -1,
     383,   384,   385,   386,   387,   388,   389,   390,   391,   392,
     393,    -1,   395,   396,   397,   398,   399,    -1,   401,   402,
     403,   404,    -1,   406,   407,   408,    -1,   410,   411,   412,
     413,   414,   415,   416,   417,   418,   419,   420,    -1,   422,
     423,    -1,   425,   426,   427,   428,   429,   430,    -1,   432,
     433,    -1,    -1,   436,   437,   438,   439,    -1,   441,   442,
     443,   444,   445,   446,   447,    -1,    -1,   450,   451,   452,
     453,   454,    -1,    -1,   457,   458,   459,   460,   461,   462,
     463,    -1,   465,    -1,   467,   468,   469,    -1,    -1,   472,
      -1,    -1,   475,   476,   477,   478,   479,   480,   481,   482,
     483,   484,   485,   486,   487,   488,   489,   490,   491,     6,
       7,     8,     9,    10,    11,    12,    13,    -1,    15,    16,
      -1,    -1,    19,    20,    21,    22,    23,    24,    -1,    26,
      27,    28,    -1,    -1,    31,    32,    33,    34,    -1,    -1,
      37,    38,    39,    40,    -1,    42,    -1,    -1,    45,    46,
      -1,    -1,    -1,    50,    51,    -1,    -1,    -1,    -1,    56,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    65,    -1,
      67,    -1,    69,    70,    71,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    79,    80,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    91,    92,    93,    94,    95,    96,
      97,    98,    99,   100,   101,   102,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   110,   111,    -1,   113,   114,    -1,   116,
     117,   118,   119,   120,    -1,   122,   123,    -1,   125,   126,
     127,   128,   129,    -1,    -1,   132,   133,   134,   135,   136,
      -1,   138,   139,   140,   141,   142,    -1,    -1,    -1,   146,
     147,   148,   149,    -1,   151,   152,    -1,   154,   155,   156,
     157,   158,   159,   160,    -1,   162,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   171,   172,   173,   174,   175,   176,
     177,   178,   179,    -1,   181,    -1,   183,   184,   185,   186,
     187,    -1,   189,   190,   191,    -1,    -1,   194,   195,   196,
     197,   198,    -1,   200,   201,   202,    -1,   204,   205,   206,
      -1,   208,   209,   210,   211,   212,   213,   214,   215,   216,
      -1,   218,    -1,   220,   221,   222,    -1,   224,    -1,   226,
      -1,    -1,    -1,   230,   231,   232,    -1,   234,   235,    -1,
     237,    -1,   239,   240,   241,   242,   243,    -1,   245,   246,
     247,    -1,   249,   250,   251,   252,   253,   254,    -1,   256,
      -1,   258,    -1,   260,   261,   262,    -1,   264,    -1,   266,
      -1,   268,    -1,    -1,   271,    -1,   273,   274,   275,   276,
     277,    -1,   279,   280,    -1,   282,   283,    -1,   285,    -1,
      -1,   288,   289,   290,    -1,    -1,   293,   294,   295,   296,
     297,   298,   299,   300,   301,   302,   303,   304,   305,   306,
      -1,   308,   309,   310,   311,    -1,   313,   314,    -1,   316,
      -1,   318,   319,   320,   321,   322,   323,    -1,   325,    -1,
      -1,   328,   329,   330,    -1,    -1,   333,    -1,    -1,    -1,
     337,   338,   339,   340,   341,   342,   343,   344,    -1,   346,
     347,   348,   349,   350,   351,   352,    -1,   354,   355,   356,
     357,   358,   359,   360,   361,   362,   363,   364,   365,   366,
     367,   368,   369,   370,   371,   372,   373,   374,   375,   376,
     377,   378,    -1,   380,   381,    -1,   383,   384,   385,   386,
     387,   388,   389,   390,   391,   392,   393,   394,   395,   396,
     397,   398,   399,    -1,   401,   402,   403,   404,    -1,   406,
     407,   408,    -1,   410,   411,   412,   413,   414,   415,   416,
     417,   418,   419,   420,    -1,   422,   423,    -1,   425,   426,
     427,   428,   429,   430,    -1,   432,   433,    -1,    -1,   436,
     437,   438,   439,    -1,   441,   442,   443,   444,   445,   446,
     447,    -1,    -1,   450,   451,   452,   453,   454,    -1,    -1,
     457,   458,   459,   460,   461,   462,   463,    -1,   465,    -1,
     467,   468,   469,    -1,    -1,   472,    -1,    -1,   475,   476,
     477,   478,   479,   480,   481,   482,   483,   484,   485,   486,
     487,   488,   489,   490,   491,     6,     7,     8,     9,    10,
      11,    12,    13,    14,    15,    16,    -1,    -1,    19,    20,
      21,    22,    23,    24,    -1,    26,    27,    28,    -1,    -1,
      31,    32,    33,    34,    -1,    -1,    37,    38,    39,    40,
      -1,    42,    -1,    -1,    45,    46,    -1,    -1,    -1,    50,
      51,    -1,    -1,    -1,    -1,    56,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    65,    -1,    67,    -1,    69,    70,
      71,    72,    -1,    -1,    -1,    -1,    -1,    -1,    79,    80,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      91,    92,    93,    94,    95,    96,    97,    98,    99,   100,
     101,   102,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   110,
     111,    -1,   113,   114,    -1,   116,   117,   118,   119,   120,
      -1,   122,   123,    -1,   125,   126,   127,   128,   129,    -1,
      -1,   132,   133,   134,   135,   136,    -1,   138,   139,   140,
     141,   142,    -1,    -1,    -1,   146,   147,   148,   149,    -1,
     151,   152,    -1,   154,   155,   156,   157,   158,   159,    -1,
      -1,   162,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     171,   172,   173,   174,   175,   176,   177,   178,   179,    -1,
     181,    -1,   183,   184,   185,   186,   187,    -1,   189,   190,
     191,    -1,    -1,   194,   195,   196,   197,   198,    -1,   200,
     201,   202,    -1,   204,   205,   206,    -1,   208,   209,   210,
     211,   212,   213,   214,   215,   216,    -1,   218,    -1,   220,
     221,   222,    -1,   224,    -1,   226,    -1,    -1,    -1,   230,
     231,   232,    -1,   234,   235,    -1,   237,    -1,   239,   240,
     241,   242,   243,    -1,   245,   246,   247,    -1,   249,   250,
     251,   252,   253,   254,    -1,   256,    -1,   258,    -1,   260,
     261,   262,    -1,   264,    -1,   266,    -1,   268,    -1,    -1,
     271,    -1,   273,   274,   275,   276,   277,    -1,   279,   280,
      -1,   282,   283,    -1,   285,    -1,    -1,   288,   289,   290,
      -1,    -1,   293,   294,   295,   296,   297,   298,   299,   300,
     301,   302,   303,   304,   305,   306,    -1,   308,   309,   310,
     311,    -1,   313,   314,    -1,   316,    -1,   318,   319,   320,
     321,   322,   323,    -1,   325,    -1,    -1,   328,   329,   330,
      -1,    -1,   333,    -1,    -1,    -1,   337,   338,   339,   340,
     341,   342,   343,   344,    -1,   346,   347,   348,   349,   350,
     351,   352,    -1,   354,   355,   356,   357,   358,   359,   360,
     361,   362,   363,   364,   365,   366,    -1,   368,   369,   370,
     371,   372,   373,   374,   375,   376,   377,   378,    -1,   380,
     381,    -1,   383,   384,   385,   386,   387,   388,   389,   390,
     391,   392,   393,    -1,   395,   396,   397,   398,   399,    -1,
     401,   402,   403,   404,    -1,   406,   407,   408,    -1,   410,
     411,   412,   413,   414,   415,   416,   417,   418,   419,   420,
      -1,   422,   423,    -1,   425,   426,   427,   428,   429,   430,
      -1,   432,   433,    -1,    -1,   436,   437,   438,   439,    -1,
     441,   442,   443,   444,   445,   446,   447,    -1,    -1,   450,
     451,   452,   453,   454,    -1,    -1,   457,   458,   459,   460,
     461,   462,   463,    -1,   465,    -1,   467,   468,   469,    -1,
      -1,   472,    -1,    -1,   475,   476,   477,   478,   479,   480,
     481,   482,   483,   484,   485,   486,   487,   488,   489,   490,
     491,     6,     7,     8,     9,    10,    11,    12,    13,    -1,
      15,    16,    -1,    -1,    19,    20,    21,    22,    23,    24,
      -1,    26,    27,    28,    -1,    -1,    31,    32,    33,    34,
      -1,    -1,    37,    38,    39,    40,    -1,    42,    -1,    -1,
      45,    46,    -1,    -1,    -1,    50,    51,    -1,    -1,    -1,
      -1,    56,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      65,    -1,    67,    -1,    69,    70,    71,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    79,    80,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    91,    92,    93,    94,
      95,    96,    97,    98,    99,   100,   101,   102,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   110,   111,    -1,   113,   114,
      -1,   116,   117,   118,   119,   120,    -1,   122,   123,    -1,
     125,   126,   127,   128,   129,    -1,    -1,   132,   133,   134,
     135,   136,    -1,   138,   139,   140,   141,   142,    -1,    -1,
      -1,   146,   147,   148,   149,    -1,   151,   152,    -1,   154,
     155,   156,   157,   158,   159,    -1,    -1,   162,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   171,   172,   173,   174,
     175,   176,   177,   178,   179,    -1,   181,    -1,   183,   184,
     185,   186,   187,    -1,   189,   190,   191,    -1,    -1,   194,
     195,   196,   197,   198,    -1,   200,   201,   202,    -1,   204,
     205,   206,    -1,   208,   209,   210,   211,   212,   213,   214,
     215,   216,    -1,   218,    -1,   220,   221,   222,    -1,   224,
     225,   226,    -1,    -1,    -1,   230,   231,   232,    -1,   234,
     235,    -1,   237,    -1,   239,   240,   241,   242,   243,    -1,
     245,   246,   247,    -1,   249,   250,   251,   252,   253,   254,
      -1,   256,    -1,   258,    -1,   260,   261,   262,    -1,   264,
      -1,   266,    -1,   268,    -1,    -1,   271,    -1,   273,   274,
     275,   276,   277,    -1,   279,   280,    -1,   282,   283,    -1,
     285,    -1,    -1,   288,   289,   290,    -1,    -1,   293,   294,
     295,   296,   297,   298,   299,   300,   301,   302,   303,   304,
     305,   306,    -1,   308,   309,   310,   311,    -1,   313,   314,
      -1,   316,    -1,   318,   319,   320,   321,   322,   323,    -1,
     325,    -1,    -1,   328,   329,   330,    -1,    -1,   333,    -1,
      -1,    -1,   337,   338,   339,   340,   341,   342,   343,   344,
      -1,   346,   347,   348,   349,   350,   351,   352,    -1,   354,
     355,   356,   357,   358,   359,   360,   361,   362,   363,   364,
     365,   366,    -1,   368,   369,   370,   371,   372,   373,   374,
     375,   376,   377,   378,    -1,   380,   381,    -1,   383,   384,
     385,   386,   387,   388,   389,   390,   391,   392,   393,    -1,
     395,   396,   397,   398,   399,    -1,   401,   402,   403,   404,
      -1,   406,   407,   408,    -1,   410,   411,   412,   413,   414,
     415,   416,   417,   418,   419,   420,    -1,   422,   423,   424,
     425,   426,   427,   428,   429,   430,    -1,   432,   433,    -1,
      -1,   436,   437,   438,   439,    -1,   441,   442,   443,   444,
     445,   446,   447,    -1,    -1,   450,   451,   452,   453,   454,
      -1,    -1,   457,   458,   459,   460,   461,   462,   463,    -1,
     465,    -1,   467,   468,   469,    -1,    -1,   472,    -1,    -1,
     475,   476,   477,   478,   479,   480,   481,   482,   483,   484,
     485,   486,   487,   488,   489,   490,   491,     6,     7,     8,
       9,    10,    11,    12,    13,    -1,    15,    16,    -1,    -1,
      19,    20,    21,    22,    23,    24,    -1,    26,    27,    28,
      -1,    -1,    31,    32,    33,    34,    -1,    -1,    37,    38,
      39,    40,    -1,    42,    -1,    -1,    45,    46,    -1,    -1,
      -1,    50,    51,    -1,    -1,    -1,    -1,    56,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    65,    -1,    67,    -1,
      69,    70,    71,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      79,    80,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    91,    92,    93,    94,    95,    96,    97,    98,
      -1,   100,   101,   102,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   110,   111,    -1,   113,   114,    -1,   116,   117,   118,
     119,   120,    -1,   122,   123,    -1,   125,   126,   127,   128,
     129,    -1,    -1,   132,   133,   134,   135,   136,    -1,   138,
     139,   140,   141,   142,    -1,    -1,    -1,   146,   147,   148,
     149,    -1,   151,   152,    -1,   154,   155,   156,   157,   158,
     159,   160,    -1,   162,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   171,   172,   173,   174,   175,   176,   177,   178,
     179,    -1,   181,    -1,   183,   184,   185,   186,   187,    -1,
     189,   190,   191,    -1,    -1,   194,   195,   196,   197,   198,
      -1,   200,   201,   202,    -1,   204,   205,   206,    -1,   208,
     209,   210,   211,   212,   213,   214,   215,   216,    -1,   218,
      -1,   220,   221,   222,    -1,   224,    -1,   226,    -1,    -1,
      -1,   230,   231,   232,    -1,   234,   235,    -1,   237,    -1,
     239,   240,   241,   242,   243,    -1,   245,   246,   247,    -1,
     249,   250,   251,   252,   253,   254,    -1,   256,    -1,   258,
      -1,   260,   261,   262,    -1,   264,    -1,   266,    -1,   268,
      -1,    -1,   271,    -1,   273,   274,   275,   276,   277,    -1,
     279,   280,    -1,   282,   283,    -1,   285,    -1,    -1,   288,
     289,   290,    -1,    -1,   293,   294,   295,   296,   297,   298,
     299,   300,   301,   302,   303,   304,   305,   306,    -1,   308,
     309,   310,   311,    -1,   313,   314,    -1,   316,    -1,   318,
     319,   320,   321,   322,   323,    -1,   325,    -1,    -1,   328,
     329,   330,    -1,    -1,   333,    -1,    -1,    -1,   337,   338,
     339,   340,   341,   342,   343,   344,    -1,   346,   347,   348,
     349,   350,   351,   352,    -1,   354,   355,   356,   357,   358,
     359,   360,   361,   362,   363,   364,   365,   366,   367,   368,
     369,   370,   371,   372,   373,   374,   375,   376,   377,   378,
      -1,   380,   381,    -1,   383,   384,   385,   386,   387,   388,
     389,   390,   391,   392,   393,   394,   395,   396,   397,   398,
     399,    -1,   401,   402,   403,   404,    -1,   406,   407,   408,
      -1,   410,   411,   412,   413,   414,   415,   416,   417,   418,
     419,   420,    -1,   422,   423,    -1,   425,   426,   427,   428,
     429,   430,    -1,   432,   433,    -1,    -1,   436,   437,   438,
     439,    -1,   441,   442,   443,   444,   445,   446,   447,    -1,
      -1,   450,   451,   452,   453,   454,    -1,    -1,   457,   458,
     459,   460,   461,   462,   463,    -1,   465,    -1,   467,   468,
     469,    -1,    -1,   472,    -1,    -1,   475,   476,   477,   478,
     479,   480,   481,   482,   483,   484,   485,   486,   487,   488,
     489,   490,   491,     6,     7,     8,     9,    10,    11,    12,
      13,    14,    15,    16,    -1,    -1,    19,    20,    21,    22,
      23,    24,    -1,    26,    27,    28,    -1,    -1,    31,    32,
      33,    34,    -1,    -1,    37,    38,    39,    40,    -1,    42,
      -1,    -1,    45,    46,    -1,    -1,    -1,    50,    51,    -1,
      -1,    -1,    -1,    56,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    65,    -1,    67,    -1,    69,    70,    71,    72,
      -1,    -1,    -1,    -1,    -1,    -1,    79,    80,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    91,    92,
      93,    94,    95,    96,    97,    98,    -1,   100,   101,   102,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   110,   111,    -1,
     113,   114,    -1,   116,   117,   118,   119,   120,    -1,   122,
     123,    -1,   125,   126,   127,   128,   129,    -1,    -1,   132,
     133,   134,   135,   136,    -1,   138,   139,   140,   141,   142,
      -1,    -1,    -1,   146,   147,   148,   149,    -1,   151,   152,
      -1,   154,   155,   156,   157,   158,   159,    -1,    -1,   162,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   171,   172,
     173,   174,   175,   176,   177,   178,   179,    -1,   181,    -1,
     183,   184,   185,   186,   187,    -1,   189,   190,   191,    -1,
      -1,   194,   195,   196,   197,   198,    -1,   200,   201,   202,
      -1,   204,   205,   206,    -1,   208,   209,   210,   211,   212,
     213,   214,   215,   216,    -1,   218,    -1,   220,   221,   222,
      -1,   224,    -1,   226,    -1,    -1,    -1,   230,   231,   232,
      -1,   234,   235,    -1,   237,    -1,   239,   240,   241,   242,
     243,    -1,   245,   246,   247,    -1,   249,   250,   251,   252,
     253,   254,    -1,   256,    -1,   258,    -1,   260,   261,   262,
      -1,   264,    -1,   266,    -1,   268,    -1,    -1,   271,    -1,
     273,   274,   275,   276,   277,    -1,   279,   280,    -1,   282,
     283,    -1,   285,    -1,    -1,   288,   289,   290,    -1,    -1,
     293,   294,   295,   296,   297,   298,   299,   300,   301,   302,
     303,   304,   305,   306,    -1,   308,   309,   310,   311,    -1,
     313,   314,    -1,   316,    -1,   318,   319,   320,   321,   322,
     323,    -1,   325,    -1,    -1,   328,   329,   330,    -1,    -1,
     333,    -1,    -1,    -1,   337,   338,   339,   340,   341,   342,
     343,   344,    -1,   346,   347,   348,   349,   350,   351,   352,
      -1,   354,   355,   356,   357,   358,   359,   360,   361,   362,
     363,   364,   365,   366,    -1,   368,   369,   370,   371,   372,
     373,   374,   375,   376,   377,   378,    -1,   380,   381,    -1,
     383,   384,   385,   386,   387,   388,   389,   390,   391,   392,
     393,    -1,   395,   396,   397,   398,   399,    -1,   401,   402,
     403,   404,    -1,   406,   407,   408,    -1,   410,   411,   412,
     413,   414,   415,   416,   417,   418,   419,   420,    -1,   422,
     423,   424,   425,   426,   427,   428,   429,   430,    -1,   432,
     433,    -1,    -1,   436,   437,   438,   439,    -1,   441,   442,
     443,   444,   445,   446,   447,    -1,    -1,   450,   451,   452,
     453,   454,    -1,    -1,   457,   458,   459,   460,   461,   462,
     463,    -1,   465,    -1,   467,   468,   469,    -1,    -1,   472,
      -1,    -1,   475,   476,   477,   478,   479,   480,   481,   482,
     483,   484,   485,   486,   487,   488,   489,   490,   491,     6,
       7,     8,     9,    10,    11,    12,    13,    -1,    15,    16,
      -1,    -1,    19,    20,    21,    22,    23,    24,    -1,    26,
      27,    28,    -1,    -1,    31,    32,    33,    34,    -1,    -1,
      37,    38,    39,    40,    -1,    42,    -1,    -1,    45,    46,
      -1,    -1,    -1,    50,    51,    -1,    -1,    -1,    -1,    56,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    65,    -1,
      67,    -1,    69,    70,    71,    72,    -1,    -1,    -1,    -1,
      -1,    -1,    79,    80,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    91,    92,    93,    94,    95,    96,
      97,    98,    99,   100,   101,   102,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   110,   111,    -1,   113,   114,    -1,   116,
     117,   118,   119,   120,    -1,   122,   123,    -1,   125,   126,
     127,   128,   129,    -1,    -1,   132,   133,   134,   135,   136,
      -1,   138,   139,   140,   141,   142,    -1,    -1,    -1,   146,
     147,   148,   149,    -1,   151,   152,    -1,   154,   155,   156,
     157,   158,   159,    -1,    -1,   162,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   171,   172,   173,   174,   175,   176,
     177,   178,   179,    -1,   181,    -1,   183,   184,   185,   186,
     187,    -1,   189,   190,   191,    -1,    -1,   194,   195,   196,
     197,   198,    -1,   200,   201,   202,    -1,   204,   205,   206,
      -1,   208,   209,   210,   211,   212,   213,   214,   215,   216,
      -1,   218,    -1,   220,   221,   222,    -1,   224,    -1,   226,
      -1,    -1,    -1,   230,   231,   232,    -1,   234,   235,    -1,
     237,    -1,   239,   240,   241,   242,   243,    -1,   245,   246,
     247,    -1,   249,   250,   251,   252,   253,   254,    -1,   256,
      -1,   258,    -1,   260,   261,   262,    -1,   264,    -1,   266,
      -1,   268,    -1,    -1,   271,    -1,   273,   274,   275,   276,
     277,    -1,   279,   280,    -1,   282,   283,    -1,   285,    -1,
      -1,   288,   289,   290,    -1,    -1,   293,   294,   295,   296,
     297,   298,   299,   300,   301,   302,   303,   304,   305,   306,
      -1,   308,   309,   310,   311,    -1,   313,   314,    -1,   316,
      -1,   318,   319,   320,   321,   322,   323,    -1,   325,    -1,
      -1,   328,   329,   330,    -1,    -1,   333,    -1,    -1,    -1,
     337,   338,   339,   340,   341,   342,   343,   344,    -1,   346,
     347,   348,   349,   350,   351,   352,    -1,   354,   355,   356,
     357,   358,   359,   360,   361,   362,   363,   364,   365,   366,
      -1,   368,   369,   370,   371,   372,   373,   374,   375,   376,
     377,   378,    -1,   380,   381,    -1,   383,   384,   385,   386,
     387,   388,   389,   390,   391,   392,   393,    -1,   395,   396,
     397,   398,   399,    -1,   401,   402,   403,   404,    -1,   406,
     407,   408,    -1,   410,   411,   412,   413,   414,   415,   416,
     417,   418,   419,   420,    -1,   422,   423,    -1,   425,   426,
     427,   428,   429,   430,    -1,   432,   433,    -1,    -1,   436,
     437,   438,   439,    -1,   441,   442,   443,   444,   445,   446,
     447,    -1,    -1,   450,   451,   452,   453,   454,    -1,    -1,
     457,   458,   459,   460,   461,   462,   463,    -1,   465,    -1,
     467,   468,   469,    -1,    -1,   472,    -1,    -1,   475,   476,
     477,   478,   479,   480,   481,   482,   483,   484,   485,   486,
     487,   488,   489,   490,   491,     6,     7,     8,     9,    10,
      11,    12,    13,    -1,    15,    16,    -1,    -1,    19,    20,
      21,    22,    23,    24,    -1,    26,    27,    28,    -1,    -1,
      31,    32,    33,    34,    -1,    -1,    37,    38,    39,    40,
      -1,    42,    -1,    -1,    45,    46,    -1,    -1,    -1,    50,
      51,    -1,    -1,    -1,    -1,    56,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    65,    -1,    67,    -1,    69,    70,
      71,    72,    -1,    -1,    -1,    -1,    -1,    -1,    79,    80,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      91,    92,    93,    94,    95,    96,    97,    98,    -1,   100,
     101,   102,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   110,
     111,    -1,   113,   114,    -1,   116,   117,   118,   119,   120,
      -1,   122,   123,    -1,   125,   126,   127,   128,   129,    -1,
      -1,   132,   133,   134,   135,   136,    -1,   138,   139,   140,
     141,   142,    -1,    -1,    -1,   146,   147,   148,   149,    -1,
     151,   152,    -1,   154,   155,   156,   157,   158,   159,    -1,
      -1,   162,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     171,   172,   173,   174,   175,   176,   177,   178,   179,   180,
     181,    -1,   183,   184,   185,   186,   187,    -1,   189,   190,
     191,    -1,    -1,   194,   195,   196,   197,   198,    -1,   200,
     201,   202,    -1,   204,   205,   206,    -1,   208,   209,   210,
     211,   212,   213,   214,   215,   216,    -1,   218,    -1,   220,
     221,   222,    -1,   224,    -1,   226,    -1,    -1,    -1,   230,
     231,   232,    -1,   234,   235,    -1,   237,    -1,   239,   240,
     241,   242,   243,    -1,   245,   246,   247,    -1,   249,   250,
     251,   252,   253,   254,    -1,   256,    -1,   258,    -1,   260,
     261,   262,    -1,   264,    -1,   266,    -1,   268,    -1,    -1,
     271,    -1,   273,   274,   275,   276,   277,    -1,   279,   280,
      -1,   282,   283,    -1,   285,    -1,    -1,   288,   289,   290,
      -1,    -1,   293,   294,   295,   296,   297,   298,   299,   300,
     301,   302,   303,   304,   305,   306,    -1,   308,   309,   310,
     311,    -1,   313,   314,    -1,   316,    -1,   318,   319,   320,
     321,   322,   323,    -1,   325,    -1,    -1,   328,   329,   330,
      -1,    -1,   333,    -1,    -1,    -1,   337,   338,   339,   340,
     341,   342,   343,   344,    -1,   346,   347,   348,   349,   350,
     351,   352,    -1,   354,   355,   356,   357,   358,   359,   360,
     361,   362,   363,   364,   365,   366,    -1,   368,   369,   370,
     371,   372,   373,   374,   375,   376,   377,   378,    -1,   380,
     381,    -1,   383,   384,   385,   386,   387,   388,   389,   390,
     391,   392,   393,    -1,   395,   396,   397,   398,   399,    -1,
     401,   402,   403,   404,    -1,   406,   407,   408,    -1,   410,
     411,   412,   413,   414,   415,   416,   417,   418,   419,   420,
      -1,   422,   423,    -1,   425,   426,   427,   428,   429,   430,
      -1,   432,   433,    -1,    -1,   436,   437,   438,   439,    -1,
     441,   442,   443,   444,   445,   446,   447,    -1,    -1,   450,
     451,   452,   453,   454,    -1,    -1,   457,   458,   459,   460,
     461,   462,   463,    -1,   465,    -1,   467,   468,   469,    -1,
      -1,   472,    -1,    -1,   475,   476,   477,   478,   479,   480,
     481,   482,   483,   484,   485,   486,   487,   488,   489,   490,
     491,     6,     7,     8,     9,    10,    11,    12,    13,    -1,
      15,    16,    -1,    -1,    19,    20,    21,    22,    23,    24,
      -1,    26,    27,    28,    -1,    -1,    31,    32,    33,    34,
      -1,    -1,    37,    38,    39,    40,    -1,    42,    -1,    -1,
      45,    46,    -1,    -1,    -1,    50,    51,    -1,    -1,    -1,
      -1,    56,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      65,    -1,    67,    -1,    69,    70,    71,    72,    -1,    -1,
      -1,    -1,    -1,    -1,    79,    80,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    91,    92,    93,    94,
      95,    96,    97,    98,    99,   100,   101,   102,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   110,   111,    -1,   113,   114,
      -1,   116,   117,   118,   119,   120,    -1,   122,   123,    -1,
     125,   126,   127,   128,   129,    -1,    -1,   132,   133,   134,
     135,   136,    -1,   138,   139,   140,   141,   142,    -1,    -1,
      -1,   146,   147,   148,   149,    -1,   151,   152,    -1,   154,
     155,   156,   157,   158,   159,    -1,    -1,   162,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   171,   172,   173,   174,
     175,   176,   177,   178,   179,    -1,   181,    -1,   183,   184,
     185,   186,   187,    -1,   189,   190,   191,    -1,    -1,   194,
     195,   196,   197,   198,    -1,   200,   201,   202,    -1,   204,
     205,   206,    -1,   208,   209,   210,   211,   212,   213,   214,
     215,   216,    -1,   218,    -1,   220,   221,   222,    -1,   224,
      -1,   226,    -1,    -1,    -1,   230,   231,   232,    -1,   234,
     235,    -1,   237,    -1,   239,   240,   241,   242,   243,    -1,
     245,   246,   247,    -1,   249,   250,   251,   252,   253,   254,
      -1,   256,    -1,   258,    -1,   260,   261,   262,    -1,   264,
      -1,   266,    -1,   268,    -1,    -1,   271,    -1,   273,   274,
     275,   276,   277,    -1,   279,   280,    -1,   282,   283,    -1,
     285,    -1,    -1,   288,   289,   290,    -1,    -1,   293,   294,
     295,   296,   297,   298,   299,   300,   301,   302,   303,   304,
     305,   306,    -1,   308,   309,   310,   311,    -1,   313,   314,
      -1,   316,    -1,   318,   319,   320,   321,   322,   323,    -1,
     325,    -1,    -1,   328,   329,   330,    -1,    -1,   333,    -1,
      -1,    -1,   337,   338,   339,   340,   341,   342,   343,   344,
      -1,   346,   347,   348,   349,   350,   351,   352,    -1,   354,
     355,   356,   357,   358,   359,   360,   361,   362,   363,   364,
     365,   366,    -1,   368,   369,   370,   371,   372,   373,   374,
     375,   376,   377,   378,    -1,   380,   381,    -1,   383,   384,
     385,   386,   387,   388,   389,   390,   391,   392,   393,    -1,
     395,   396,   397,   398,   399,    -1,   401,   402,   403,   404,
      -1,   406,   407,   408,    -1,   410,   411,   412,   413,   414,
     415,   416,   417,   418,   419,   420,    -1,   422,   423,    -1,
     425,   426,   427,   428,   429,   430,    -1,   432,   433,    -1,
      -1,   436,   437,   438,   439,    -1,   441,   442,   443,   444,
     445,   446,   447,    -1,    -1,   450,   451,   452,   453,   454,
      -1,    -1,   457,   458,   459,   460,   461,   462,   463,    -1,
     465,    -1,   467,   468,   469,    -1,    -1,   472,    -1,    -1,
     475,   476,   477,   478,   479,   480,   481,   482,   483,   484,
     485,   486,   487,   488,   489,   490,   491,     6,     7,     8,
       9,    10,    11,    12,    13,    -1,    15,    16,    -1,    -1,
      19,    20,    21,    22,    23,    24,    -1,    26,    27,    28,
      -1,    -1,    31,    32,    33,    34,    -1,    -1,    37,    38,
      39,    40,    -1,    42,    -1,    -1,    45,    46,    -1,    -1,
      -1,    50,    51,    -1,    -1,    -1,    -1,    56,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    65,    -1,    67,    -1,
      69,    70,    71,    72,    -1,    -1,    -1,    -1,    -1,    -1,
      79,    80,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    91,    92,    93,    94,    95,    96,    97,    98,
      99,   100,   101,   102,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   110,   111,    -1,   113,   114,    -1,   116,   117,   118,
     119,   120,    -1,   122,   123,    -1,   125,   126,   127,   128,
     129,    -1,    -1,   132,   133,   134,   135,   136,    -1,   138,
     139,   140,   141,   142,    -1,    -1,    -1,   146,   147,   148,
     149,    -1,   151,   152,    -1,   154,   155,   156,   157,   158,
     159,    -1,    -1,   162,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   171,   172,   173,   174,   175,   176,   177,   178,
     179,    -1,   181,    -1,   183,   184,   185,   186,   187,    -1,
     189,   190,   191,    -1,    -1,   194,   195,   196,   197,   198,
      -1,   200,   201,   202,    -1,   204,   205,   206,    -1,   208,
     209,   210,   211,   212,   213,   214,   215,   216,    -1,   218,
      -1,   220,   221,   222,    -1,   224,    -1,   226,    -1,    -1,
      -1,   230,   231,   232,    -1,   234,   235,    -1,   237,    -1,
     239,   240,   241,   242,   243,    -1,   245,   246,   247,    -1,
     249,   250,   251,   252,   253,   254,    -1,   256,    -1,   258,
      -1,   260,   261,   262,    -1,   264,    -1,   266,    -1,   268,
      -1,    -1,   271,    -1,   273,   274,   275,   276,   277,    -1,
     279,   280,    -1,   282,   283,    -1,   285,    -1,    -1,   288,
     289,   290,    -1,    -1,   293,   294,   295,   296,   297,   298,
     299,   300,   301,   302,   303,   304,   305,   306,    -1,   308,
     309,   310,   311,    -1,   313,   314,    -1,   316,    -1,   318,
     319,   320,   321,   322,   323,    -1,   325,    -1,    -1,   328,
     329,   330,    -1,    -1,   333,    -1,    -1,    -1,   337,   338,
     339,   340,   341,   342,   343,   344,    -1,   346,   347,   348,
     349,   350,   351,   352,    -1,   354,   355,   356,   357,   358,
     359,   360,   361,   362,   363,   364,   365,   366,    -1,   368,
     369,   370,   371,   372,   373,   374,   375,   376,   377,   378,
      -1,   380,   381,    -1,   383,   384,   385,   386,   387,   388,
     389,   390,   391,   392,   393,    -1,   395,   396,   397,   398,
     399,    -1,   401,   402,   403,   404,    -1,   406,   407,   408,
      -1,   410,   411,   412,   413,   414,   415,   416,   417,   418,
     419,   420,    -1,   422,   423,    -1,   425,   426,   427,   428,
     429,   430,    -1,   432,   433,    -1,    -1,   436,   437,   438,
     439,    -1,   441,   442,   443,   444,   445,   446,   447,    -1,
      -1,   450,   451,   452,   453,   454,    -1,    -1,   457,   458,
     459,   460,   461,   462,   463,    -1,   465,    -1,   467,   468,
     469,    -1,    -1,   472,    -1,    -1,   475,   476,   477,   478,
     479,   480,   481,   482,   483,   484,   485,   486,   487,   488,
     489,   490,   491,     6,     7,     8,     9,    10,    11,    12,
      13,    -1,    15,    16,    -1,    -1,    19,    20,    21,    22,
      23,    24,    -1,    26,    27,    28,    -1,    -1,    31,    32,
      33,    34,    -1,    -1,    37,    38,    39,    40,    -1,    42,
      -1,    -1,    45,    46,    -1,    -1,    -1,    50,    51,    -1,
      -1,    -1,    -1,    56,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    65,    -1,    67,    -1,    69,    70,    71,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    79,    80,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    91,    92,
      93,    94,    95,    96,    97,    98,    -1,   100,   101,   102,
     103,   104,    -1,    -1,    -1,    -1,    -1,   110,   111,    -1,
     113,   114,    -1,   116,   117,   118,   119,   120,    -1,   122,
     123,    -1,   125,   126,   127,   128,   129,    -1,    -1,   132,
     133,   134,   135,   136,    -1,   138,   139,   140,   141,   142,
      -1,    -1,    -1,   146,   147,   148,   149,    -1,   151,   152,
      -1,   154,   155,   156,   157,   158,   159,    -1,    -1,   162,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   171,   172,
     173,   174,   175,   176,   177,   178,   179,    -1,   181,    -1,
     183,   184,   185,   186,   187,    -1,   189,   190,   191,    -1,
      -1,   194,   195,   196,   197,   198,    -1,   200,   201,   202,
      -1,   204,   205,   206,    -1,   208,   209,   210,   211,   212,
     213,   214,   215,   216,    -1,   218,    -1,   220,   221,   222,
      -1,   224,    -1,   226,    -1,    -1,    -1,   230,   231,   232,
      -1,   234,   235,    -1,   237,    -1,   239,   240,   241,   242,
     243,    -1,   245,   246,   247,    -1,   249,   250,   251,   252,
     253,   254,    -1,   256,    -1,   258,    -1,   260,   261,   262,
      -1,   264,    -1,   266,    -1,   268,    -1,    -1,   271,    -1,
     273,   274,   275,   276,   277,    -1,   279,   280,    -1,   282,
     283,    -1,   285,    -1,    -1,   288,   289,   290,    -1,    -1,
     293,   294,   295,   296,   297,   298,   299,   300,   301,   302,
     303,   304,   305,   306,    -1,   308,   309,   310,   311,    -1,
     313,   314,    -1,   316,    -1,   318,   319,   320,   321,   322,
     323,    -1,   325,    -1,    -1,   328,   329,   330,    -1,    -1,
     333,    -1,    -1,    -1,   337,   338,   339,   340,   341,   342,
     343,   344,    -1,   346,   347,   348,   349,   350,   351,   352,
      -1,   354,   355,   356,   357,   358,   359,   360,   361,   362,
     363,   364,   365,   366,    -1,   368,   369,   370,   371,   372,
     373,   374,   375,   376,   377,   378,    -1,   380,   381,    -1,
     383,   384,   385,   386,   387,   388,   389,   390,   391,   392,
     393,    -1,   395,   396,   397,   398,   399,    -1,   401,   402,
     403,   404,    -1,   406,   407,   408,    -1,   410,   411,   412,
     413,   414,   415,   416,   417,   418,   419,   420,    -1,   422,
     423,    -1,   425,   426,   427,   428,   429,   430,    -1,   432,
     433,    -1,    -1,   436,   437,   438,   439,    -1,   441,   442,
     443,   444,   445,   446,   447,    -1,    -1,   450,   451,   452,
     453,   454,    -1,    -1,   457,   458,   459,   460,   461,   462,
     463,    -1,   465,    -1,   467,   468,   469,    -1,    -1,   472,
      -1,    -1,   475,   476,   477,   478,   479,   480,   481,   482,
     483,   484,   485,   486,   487,   488,   489,   490,   491,     6,
       7,     8,     9,    10,    11,    12,    13,    -1,    15,    16,
      -1,    -1,    19,    20,    21,    22,    23,    24,    -1,    26,
      27,    28,    -1,    -1,    31,    32,    33,    34,    -1,    -1,
      37,    38,    39,    40,    -1,    42,    -1,    -1,    45,    46,
      -1,    -1,    -1,    50,    51,    -1,    -1,    -1,    -1,    56,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    65,    -1,
      67,    -1,    69,    70,    71,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    79,    80,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    91,    92,    93,    94,    95,    96,
      97,    98,    99,   100,   101,   102,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   110,   111,    -1,   113,   114,    -1,   116,
     117,   118,   119,   120,    -1,   122,   123,    -1,   125,   126,
     127,   128,   129,    -1,    -1,   132,   133,   134,   135,   136,
      -1,   138,   139,   140,   141,   142,    -1,    -1,    -1,   146,
     147,   148,   149,    -1,   151,   152,    -1,   154,   155,   156,
     157,   158,   159,    -1,    -1,   162,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   171,   172,   173,   174,   175,   176,
     177,   178,   179,    -1,   181,    -1,   183,   184,   185,   186,
     187,    -1,   189,   190,   191,    -1,    -1,   194,   195,   196,
     197,   198,    -1,   200,   201,   202,    -1,   204,   205,   206,
      -1,   208,   209,   210,   211,   212,   213,   214,   215,   216,
      -1,   218,    -1,   220,   221,   222,    -1,   224,    -1,   226,
      -1,    -1,    -1,   230,   231,   232,    -1,   234,   235,    -1,
     237,    -1,   239,   240,   241,   242,   243,    -1,   245,   246,
     247,    -1,   249,   250,   251,   252,   253,   254,    -1,   256,
      -1,   258,    -1,   260,   261,   262,    -1,   264,    -1,   266,
      -1,   268,    -1,    -1,   271,    -1,   273,   274,   275,   276,
     277,    -1,   279,   280,    -1,   282,   283,    -1,   285,    -1,
      -1,   288,   289,   290,    -1,    -1,   293,   294,   295,   296,
     297,   298,   299,   300,   301,   302,   303,   304,   305,   306,
      -1,   308,   309,   310,   311,    -1,   313,   314,    -1,   316,
      -1,   318,   319,   320,   321,   322,   323,    -1,   325,    -1,
      -1,   328,   329,   330,    -1,    -1,   333,    -1,    -1,    -1,
     337,   338,   339,   340,   341,   342,   343,   344,    -1,   346,
     347,   348,   349,   350,   351,   352,    -1,   354,   355,   356,
     357,   358,   359,   360,   361,   362,   363,   364,   365,   366,
      -1,   368,   369,   370,   371,   372,   373,   374,   375,   376,
     377,   378,    -1,   380,   381,    -1,   383,   384,   385,   386,
     387,   388,   389,   390,   391,   392,   393,    -1,   395,   396,
     397,   398,   399,    -1,   401,   402,   403,   404,    -1,   406,
     407,   408,    -1,   410,   411,   412,   413,   414,   415,   416,
     417,   418,   419,   420,    -1,   422,   423,    -1,   425,   426,
     427,   428,   429,   430,    -1,   432,   433,    -1,    -1,   436,
     437,   438,   439,    -1,   441,   442,   443,   444,   445,   446,
     447,    -1,    -1,   450,   451,   452,   453,   454,   455,    -1,
     457,   458,   459,   460,   461,   462,   463,    -1,   465,    -1,
     467,   468,   469,    -1,    -1,   472,    -1,    -1,   475,   476,
     477,   478,   479,   480,   481,   482,   483,   484,   485,   486,
     487,   488,   489,   490,   491,     6,     7,     8,     9,    10,
      11,    12,    13,    -1,    15,    16,    -1,    -1,    19,    20,
      21,    22,    23,    24,    -1,    26,    27,    28,    -1,    -1,
      31,    32,    33,    34,    -1,    -1,    37,    38,    39,    40,
      -1,    42,    -1,    -1,    45,    46,    -1,    -1,    -1,    50,
      51,    -1,    -1,    -1,    -1,    56,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    65,    -1,    67,    -1,    69,    70,
      71,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    79,    80,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      91,    92,    93,    94,    95,    96,    97,    98,    99,   100,
     101,   102,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   110,
     111,    -1,   113,   114,    -1,   116,   117,   118,   119,   120,
      -1,   122,   123,    -1,   125,   126,   127,   128,   129,    -1,
      -1,   132,   133,   134,   135,   136,    -1,   138,   139,   140,
     141,   142,    -1,    -1,    -1,   146,   147,   148,   149,    -1,
     151,   152,    -1,   154,   155,   156,   157,   158,   159,    -1,
      -1,   162,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     171,   172,   173,   174,   175,   176,   177,   178,   179,    -1,
     181,    -1,   183,   184,   185,   186,   187,    -1,   189,   190,
     191,    -1,    -1,   194,   195,   196,   197,   198,    -1,   200,
     201,   202,    -1,   204,   205,   206,    -1,   208,   209,   210,
     211,   212,   213,   214,   215,   216,    -1,   218,    -1,   220,
     221,   222,    -1,   224,    -1,   226,    -1,    -1,    -1,   230,
     231,   232,    -1,   234,   235,    -1,   237,    -1,   239,   240,
     241,   242,   243,    -1,   245,   246,   247,    -1,   249,   250,
     251,   252,   253,   254,    -1,   256,    -1,   258,    -1,   260,
     261,   262,    -1,   264,    -1,   266,    -1,   268,    -1,    -1,
     271,    -1,   273,   274,   275,   276,   277,    -1,   279,   280,
      -1,   282,   283,    -1,   285,    -1,    -1,   288,   289,   290,
      -1,    -1,   293,   294,   295,   296,   297,   298,   299,   300,
     301,   302,   303,   304,   305,   306,    -1,   308,   309,   310,
     311,    -1,   313,   314,    -1,   316,    -1,   318,   319,   320,
     321,   322,   323,    -1,   325,    -1,    -1,   328,   329,   330,
      -1,    -1,   333,    -1,    -1,    -1,   337,   338,   339,   340,
     341,   342,   343,   344,    -1,   346,   347,   348,   349,   350,
     351,   352,    -1,   354,   355,   356,   357,   358,   359,   360,
     361,   362,   363,   364,   365,   366,    -1,   368,   369,   370,
     371,   372,   373,   374,   375,   376,   377,   378,    -1,   380,
     381,    -1,   383,   384,   385,   386,   387,   388,   389,   390,
     391,   392,   393,    -1,   395,   396,   397,   398,   399,    -1,
     401,   402,   403,   404,    -1,   406,   407,   408,    -1,   410,
     411,   412,   413,   414,   415,   416,   417,   418,   419,   420,
      -1,   422,   423,    -1,   425,   426,   427,   428,   429,   430,
      -1,   432,   433,    -1,    -1,   436,   437,   438,   439,    -1,
     441,   442,   443,   444,   445,   446,   447,    -1,    -1,   450,
     451,   452,   453,   454,   455,    -1,   457,   458,   459,   460,
     461,   462,   463,    -1,   465,    -1,   467,   468,   469,    -1,
      -1,   472,    -1,    -1,   475,   476,   477,   478,   479,   480,
     481,   482,   483,   484,   485,   486,   487,   488,   489,   490,
     491,     6,     7,     8,     9,    10,    11,    12,    13,    -1,
      15,    16,    -1,    -1,    19,    20,    21,    22,    23,    24,
      -1,    26,    27,    28,    -1,    -1,    31,    32,    33,    34,
      -1,    -1,    37,    38,    39,    40,    -1,    42,    -1,    -1,
      45,    46,    -1,    -1,    -1,    50,    51,    -1,    -1,    -1,
      -1,    56,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      65,    -1,    67,    -1,    69,    70,    71,    72,    -1,    -1,
      -1,    -1,    -1,    -1,    79,    80,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    91,    92,    93,    94,
      95,    96,    97,    98,    -1,   100,   101,   102,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   110,   111,    -1,   113,   114,
      -1,   116,   117,   118,   119,   120,    -1,   122,   123,    -1,
     125,   126,   127,   128,   129,    -1,    -1,   132,   133,   134,
     135,   136,    -1,   138,   139,   140,   141,   142,    -1,    -1,
      -1,   146,   147,   148,   149,    -1,   151,   152,    -1,   154,
     155,   156,   157,   158,   159,    -1,    -1,   162,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   171,   172,   173,   174,
     175,   176,   177,   178,   179,    -1,   181,    -1,   183,   184,
     185,   186,   187,    -1,   189,   190,   191,    -1,    -1,   194,
     195,   196,   197,   198,    -1,   200,   201,   202,    -1,   204,
     205,   206,    -1,   208,   209,   210,   211,   212,   213,   214,
     215,   216,    -1,   218,    -1,   220,   221,   222,    -1,   224,
      -1,   226,    -1,    -1,    -1,   230,   231,   232,    -1,   234,
     235,    -1,   237,    -1,   239,   240,   241,   242,   243,    -1,
     245,   246,   247,    -1,   249,   250,   251,   252,   253,   254,
      -1,   256,    -1,   258,    -1,   260,   261,   262,    -1,   264,
      -1,   266,    -1,   268,    -1,    -1,   271,    -1,   273,   274,
     275,   276,   277,    -1,   279,   280,    -1,   282,   283,    -1,
     285,    -1,    -1,   288,   289,   290,    -1,    -1,   293,   294,
     295,   296,   297,   298,   299,   300,   301,   302,   303,   304,
     305,   306,    -1,   308,   309,   310,   311,    -1,   313,   314,
      -1,   316,    -1,   318,   319,   320,   321,   322,   323,    -1,
     325,    -1,    -1,   328,   329,   330,    -1,    -1,   333,    -1,
      -1,    -1,   337,   338,   339,   340,   341,   342,   343,   344,
      -1,   346,   347,   348,   349,   350,   351,   352,    -1,   354,
     355,   356,   357,   358,   359,   360,   361,   362,   363,   364,
     365,   366,    -1,   368,   369,   370,   371,   372,   373,   374,
     375,   376,   377,   378,    -1,   380,   381,    -1,   383,   384,
     385,   386,   387,   388,   389,   390,   391,   392,   393,    -1,
     395,   396,   397,   398,   399,    -1,   401,   402,   403,   404,
      -1,   406,   407,   408,    -1,   410,   411,   412,   413,   414,
     415,   416,   417,   418,   419,   420,    -1,   422,   423,    -1,
     425,   426,   427,   428,   429,   430,    -1,   432,   433,    -1,
      -1,   436,   437,   438,   439,    -1,   441,   442,   443,   444,
     445,   446,   447,    -1,    -1,   450,   451,   452,   453,   454,
      -1,    -1,   457,   458,   459,   460,   461,   462,   463,    -1,
     465,    -1,   467,   468,   469,    -1,    -1,   472,    -1,    -1,
     475,   476,   477,   478,   479,   480,   481,   482,   483,   484,
     485,   486,   487,   488,   489,   490,   491,     6,     7,     8,
       9,    10,    11,    12,    13,    -1,    15,    16,    -1,    -1,
      19,    20,    21,    22,    23,    24,    -1,    26,    27,    28,
      -1,    -1,    31,    32,    33,    34,    -1,    -1,    37,    38,
      39,    40,    -1,    42,    -1,    -1,    45,    46,    -1,    -1,
      -1,    50,    51,    -1,    -1,    -1,    -1,    56,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    65,    -1,    67,    -1,
      69,    70,    71,    72,    -1,    -1,    -1,    -1,    -1,    -1,
      79,    80,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    91,    92,    93,    94,    95,    96,    97,    98,
      -1,   100,   101,   102,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   110,   111,    -1,   113,   114,    -1,   116,   117,   118,
     119,   120,    -1,   122,   123,    -1,   125,   126,   127,   128,
     129,    -1,    -1,   132,   133,   134,   135,   136,    -1,   138,
     139,   140,   141,   142,    -1,    -1,    -1,   146,   147,   148,
     149,    -1,   151,   152,    -1,   154,   155,   156,   157,   158,
     159,    -1,    -1,   162,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   171,   172,   173,   174,   175,   176,   177,   178,
     179,    -1,   181,    -1,   183,   184,   185,   186,   187,    -1,
     189,   190,   191,    -1,    -1,   194,   195,   196,   197,   198,
      -1,   200,   201,   202,    -1,   204,   205,   206,    -1,   208,
     209,   210,   211,   212,   213,   214,   215,   216,    -1,   218,
      -1,   220,   221,   222,    -1,   224,    -1,   226,    -1,    -1,
      -1,   230,   231,   232,    -1,   234,   235,    -1,   237,    -1,
     239,   240,   241,   242,   243,    -1,   245,   246,   247,    -1,
     249,   250,   251,   252,   253,   254,    -1,   256,    -1,   258,
      -1,   260,   261,   262,    -1,   264,    -1,   266,    -1,   268,
      -1,    -1,   271,    -1,   273,   274,   275,   276,   277,    -1,
     279,   280,    -1,   282,   283,    -1,   285,    -1,    -1,   288,
     289,   290,    -1,    -1,   293,   294,   295,   296,   297,   298,
     299,   300,   301,   302,   303,   304,   305,   306,    -1,   308,
     309,   310,   311,    -1,   313,   314,    -1,   316,    -1,   318,
     319,   320,   321,   322,   323,    -1,   325,    -1,    -1,   328,
     329,   330,    -1,    -1,   333,    -1,    -1,    -1,   337,   338,
     339,   340,   341,   342,   343,   344,    -1,   346,   347,   348,
     349,   350,   351,   352,    -1,   354,   355,   356,   357,   358,
     359,   360,   361,   362,   363,   364,   365,   366,    -1,   368,
     369,   370,   371,   372,   373,   374,   375,   376,   377,   378,
      -1,   380,   381,    -1,   383,   384,   385,   386,   387,   388,
     389,   390,   391,   392,   393,    -1,   395,   396,   397,   398,
     399,    -1,   401,   402,   403,   404,    -1,   406,   407,   408,
      -1,   410,   411,   412,   413,   414,   415,   416,   417,   418,
     419,   420,    -1,   422,   423,    -1,   425,   426,   427,   428,
     429,   430,    -1,   432,   433,    -1,    -1,   436,   437,   438,
     439,    -1,   441,   442,   443,   444,   445,   446,   447,    -1,
      -1,   450,   451,   452,   453,   454,    -1,    -1,   457,   458,
     459,   460,   461,   462,   463,    -1,   465,    -1,   467,   468,
     469,    -1,    -1,   472,    -1,    -1,   475,   476,   477,   478,
     479,   480,   481,   482,   483,   484,   485,   486,   487,   488,
     489,   490,   491,     6,     7,     8,     9,    10,    11,    12,
      13,    -1,    15,    16,    -1,    -1,    19,    20,    21,    22,
      23,    24,    -1,    26,    27,    28,    -1,    -1,    31,    32,
      33,    34,    -1,    -1,    37,    38,    39,    40,    -1,    42,
      -1,    -1,    45,    46,    -1,    -1,    -1,    50,    51,    -1,
      -1,    -1,    -1,    56,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    65,    -1,    67,    -1,    69,    70,    71,    72,
      -1,    -1,    -1,    -1,    -1,    -1,    79,    80,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    91,    92,
      93,    94,    95,    96,    97,    98,    -1,   100,   101,   102,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   110,   111,    -1,
     113,   114,    -1,   116,   117,   118,   119,   120,    -1,   122,
     123,    -1,   125,   126,   127,   128,   129,    -1,    -1,   132,
     133,   134,   135,   136,    -1,   138,   139,   140,   141,   142,
      -1,    -1,    -1,   146,   147,   148,   149,    -1,   151,   152,
      -1,   154,   155,   156,   157,   158,   159,    -1,    -1,   162,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   171,   172,
     173,   174,   175,   176,   177,   178,   179,    -1,   181,    -1,
     183,   184,   185,   186,   187,    -1,   189,   190,   191,    -1,
      -1,   194,   195,   196,   197,   198,    -1,   200,   201,   202,
      -1,   204,   205,   206,    -1,   208,   209,   210,   211,   212,
     213,   214,   215,   216,    -1,   218,    -1,   220,   221,   222,
      -1,   224,    -1,   226,    -1,    -1,    -1,   230,   231,   232,
      -1,   234,   235,    -1,   237,    -1,   239,   240,   241,   242,
     243,    -1,   245,   246,   247,    -1,   249,   250,   251,   252,
     253,   254,    -1,   256,    -1,   258,    -1,   260,   261,   262,
      -1,   264,    -1,   266,    -1,   268,    -1,    -1,   271,    -1,
     273,   274,   275,   276,   277,    -1,   279,   280,    -1,   282,
     283,    -1,   285,    -1,    -1,   288,   289,   290,    -1,    -1,
     293,   294,   295,   296,   297,   298,   299,   300,   301,   302,
     303,   304,   305,   306,    -1,   308,   309,   310,   311,    -1,
     313,   314,    -1,   316,    -1,   318,   319,   320,   321,   322,
     323,    -1,   325,    -1,    -1,   328,   329,   330,    -1,    -1,
     333,    -1,    -1,    -1,   337,   338,   339,   340,   341,   342,
     343,   344,    -1,   346,   347,   348,   349,   350,   351,   352,
      -1,   354,   355,   356,   357,   358,   359,   360,   361,   362,
     363,   364,   365,   366,    -1,   368,   369,   370,   371,   372,
     373,   374,   375,   376,   377,   378,    -1,   380,   381,    -1,
     383,   384,   385,   386,   387,   388,   389,   390,   391,   392,
     393,    -1,   395,   396,   397,   398,   399,    -1,   401,   402,
     403,   404,    -1,   406,   407,   408,    -1,   410,   411,   412,
     413,   414,   415,   416,   417,   418,   419,   420,    -1,   422,
     423,    -1,   425,   426,   427,   428,   429,   430,    -1,   432,
     433,    -1,    -1,   436,   437,   438,   439,    -1,   441,   442,
     443,   444,   445,   446,   447,    -1,    -1,   450,   451,   452,
     453,   454,    -1,    -1,   457,   458,   459,   460,   461,   462,
     463,    -1,   465,    -1,   467,   468,   469,    -1,    -1,   472,
      -1,    -1,   475,   476,   477,   478,   479,   480,   481,   482,
     483,   484,   485,   486,   487,   488,   489,   490,   491,     6,
       7,     8,     9,    10,    11,    12,    13,    -1,    15,    16,
      -1,    -1,    19,    20,    21,    22,    23,    24,    -1,    26,
      27,    28,    -1,    -1,    31,    32,    33,    34,    -1,    -1,
      37,    38,    39,    40,    -1,    42,    -1,    -1,    45,    46,
      -1,    -1,    -1,    50,    51,    -1,    -1,    -1,    -1,    56,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    65,    -1,
      67,    -1,    69,    70,    71,    72,    -1,    -1,    -1,    -1,
      -1,    -1,    79,    80,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    91,    92,    93,    94,    95,    96,
      97,    98,    -1,   100,   101,   102,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   110,   111,    -1,   113,   114,    -1,   116,
     117,   118,   119,   120,    -1,   122,   123,    -1,   125,   126,
     127,   128,   129,    -1,    -1,   132,   133,   134,   135,   136,
      -1,   138,   139,   140,   141,   142,    -1,    -1,    -1,   146,
     147,   148,   149,    -1,   151,   152,    -1,   154,   155,   156,
     157,   158,   159,    -1,    -1,   162,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   171,   172,   173,   174,   175,   176,
     177,   178,   179,    -1,   181,    -1,   183,   184,   185,   186,
     187,    -1,   189,   190,   191,    -1,    -1,   194,   195,   196,
     197,   198,    -1,   200,   201,   202,    -1,   204,   205,   206,
      -1,   208,   209,   210,   211,   212,   213,   214,   215,   216,
      -1,   218,    -1,   220,   221,   222,    -1,   224,    -1,   226,
      -1,    -1,    -1,   230,   231,   232,    -1,   234,   235,    -1,
     237,    -1,   239,   240,   241,   242,   243,    -1,   245,   246,
     247,    -1,   249,   250,   251,   252,   253,   254,    -1,   256,
      -1,   258,    -1,   260,   261,   262,    -1,   264,    -1,   266,
      -1,   268,    -1,    -1,   271,    -1,   273,   274,   275,   276,
     277,    -1,   279,   280,    -1,   282,   283,    -1,   285,    -1,
      -1,   288,   289,   290,    -1,    -1,   293,   294,   295,   296,
     297,   298,   299,   300,   301,   302,   303,   304,   305,   306,
      -1,   308,   309,   310,   311,    -1,   313,   314,    -1,   316,
      -1,   318,   319,   320,   321,   322,   323,    -1,   325,    -1,
      -1,   328,   329,   330,    -1,    -1,   333,    -1,    -1,    -1,
     337,   338,   339,   340,   341,   342,   343,   344,    -1,   346,
     347,   348,   349,   350,   351,   352,    -1,   354,   355,   356,
     357,   358,   359,   360,   361,   362,   363,   364,   365,   366,
      -1,   368,   369,   370,   371,   372,   373,   374,   375,   376,
     377,   378,    -1,   380,   381,    -1,   383,   384,   385,   386,
     387,   388,   389,   390,   391,   392,   393,    -1,   395,   396,
     397,   398,   399,    -1,   401,   402,   403,   404,    -1,   406,
     407,   408,    -1,   410,   411,   412,   413,   414,   415,   416,
     417,   418,   419,   420,    -1,   422,   423,    -1,   425,   426,
     427,   428,   429,   430,    -1,   432,   433,    -1,    -1,   436,
     437,   438,   439,    -1,   441,   442,   443,   444,   445,   446,
     447,    -1,    -1,   450,   451,   452,   453,   454,    -1,    -1,
     457,   458,   459,   460,   461,   462,   463,    -1,   465,    -1,
     467,   468,   469,    -1,    -1,   472,    -1,    -1,   475,   476,
     477,   478,   479,   480,   481,   482,   483,   484,   485,   486,
     487,   488,   489,   490,   491,     6,     7,     8,     9,    10,
      11,    12,    13,    -1,    15,    16,    -1,    -1,    19,    20,
      21,    22,    23,    24,    -1,    26,    27,    28,    -1,    -1,
      31,    32,    33,    34,    -1,    -1,    37,    38,    39,    40,
      -1,    42,    -1,    -1,    45,    46,    -1,    -1,    -1,    50,
      51,    -1,    -1,    -1,    -1,    56,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    65,    -1,    67,    -1,    69,    70,
      71,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    79,    80,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      91,    92,    93,    94,    95,    96,    97,    98,    -1,   100,
     101,   102,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   110,
     111,    -1,   113,   114,    -1,   116,   117,   118,   119,   120,
      -1,   122,   123,    -1,   125,   126,   127,   128,   129,    -1,
      -1,   132,   133,   134,   135,   136,    -1,   138,   139,   140,
     141,   142,    -1,    -1,    -1,   146,   147,   148,   149,    -1,
     151,   152,    -1,   154,   155,   156,   157,   158,   159,    -1,
      -1,   162,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     171,   172,   173,   174,   175,   176,   177,   178,   179,    -1,
     181,    -1,   183,   184,   185,   186,   187,    -1,   189,   190,
     191,    -1,    -1,   194,   195,   196,   197,   198,    -1,   200,
     201,   202,    -1,   204,   205,   206,    -1,   208,   209,   210,
     211,   212,   213,   214,   215,   216,    -1,   218,    -1,   220,
     221,   222,    -1,   224,    -1,   226,    -1,    -1,    -1,   230,
     231,   232,    -1,   234,   235,    -1,   237,    -1,   239,   240,
     241,   242,   243,    -1,   245,   246,   247,    -1,   249,   250,
     251,   252,   253,   254,    -1,   256,    -1,   258,    -1,   260,
     261,   262,    -1,   264,    -1,   266,    -1,   268,    -1,    -1,
     271,    -1,   273,   274,   275,   276,   277,    -1,   279,   280,
      -1,   282,   283,    -1,   285,    -1,    -1,   288,   289,   290,
      -1,    -1,   293,   294,   295,   296,   297,   298,   299,   300,
     301,   302,   303,   304,   305,   306,    -1,   308,   309,   310,
     311,    -1,   313,   314,    -1,   316,    -1,   318,   319,   320,
     321,   322,   323,    -1,   325,    -1,   327,   328,   329,   330,
      -1,    -1,   333,    -1,    -1,    -1,   337,   338,   339,   340,
     341,   342,   343,   344,    -1,   346,   347,   348,   349,   350,
     351,   352,    -1,   354,   355,   356,   357,   358,   359,   360,
     361,   362,   363,   364,   365,   366,    -1,   368,   369,   370,
     371,   372,   373,   374,   375,   376,   377,   378,    -1,   380,
     381,    -1,   383,   384,   385,   386,   387,   388,   389,   390,
     391,   392,   393,    -1,   395,   396,   397,   398,   399,    -1,
     401,   402,   403,   404,    -1,   406,   407,   408,    -1,   410,
     411,   412,   413,   414,   415,   416,   417,   418,   419,   420,
      -1,   422,   423,    -1,   425,   426,   427,   428,   429,   430,
      -1,   432,   433,    -1,    -1,   436,   437,   438,   439,    -1,
     441,   442,   443,   444,   445,   446,   447,    -1,    -1,   450,
     451,   452,   453,   454,    -1,    -1,   457,   458,   459,   460,
     461,   462,   463,    -1,   465,    -1,   467,   468,   469,    -1,
      -1,   472,    -1,    -1,   475,   476,   477,   478,   479,   480,
     481,   482,   483,   484,   485,   486,   487,   488,   489,   490,
     491,     6,     7,     8,     9,    10,    11,    12,    13,    -1,
      15,    16,    -1,    -1,    19,    20,    21,    22,    23,    24,
      -1,    26,    27,    28,    -1,    -1,    31,    32,    33,    34,
      -1,    -1,    37,    38,    39,    40,    -1,    42,    -1,    -1,
      45,    46,    -1,    -1,    -1,    50,    51,    -1,    -1,    -1,
      -1,    56,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      65,    -1,    67,    -1,    69,    70,    71,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    79,    80,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    91,    92,    93,    94,
      95,    96,    97,    98,    -1,   100,   101,   102,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   110,   111,    -1,   113,   114,
      -1,   116,   117,   118,   119,   120,    -1,   122,   123,    -1,
     125,   126,   127,   128,   129,    -1,    -1,   132,   133,   134,
     135,   136,    -1,   138,   139,   140,   141,   142,    -1,    -1,
      -1,   146,   147,   148,   149,    -1,   151,   152,    -1,   154,
     155,   156,   157,   158,   159,    -1,    -1,   162,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   171,   172,   173,   174,
     175,   176,   177,   178,   179,    -1,   181,    -1,   183,   184,
     185,   186,   187,    -1,   189,   190,   191,    -1,    -1,   194,
     195,   196,   197,   198,    -1,   200,   201,   202,    -1,   204,
     205,   206,    -1,   208,   209,   210,   211,   212,   213,   214,
     215,   216,    -1,   218,    -1,   220,   221,   222,    -1,   224,
      -1,   226,    -1,    -1,    -1,   230,   231,   232,    -1,   234,
     235,    -1,   237,    -1,   239,   240,   241,   242,   243,    -1,
     245,   246,   247,    -1,   249,   250,   251,   252,   253,   254,
      -1,   256,    -1,   258,    -1,   260,   261,   262,    -1,   264,
      -1,   266,    -1,   268,    -1,    -1,   271,    -1,   273,   274,
     275,   276,   277,    -1,   279,   280,    -1,   282,   283,    -1,
     285,    -1,    -1,   288,   289,   290,    -1,    -1,   293,   294,
     295,   296,   297,   298,   299,   300,   301,   302,   303,   304,
     305,   306,    -1,   308,   309,   310,   311,    -1,   313,   314,
      -1,   316,    -1,   318,   319,   320,   321,   322,   323,    -1,
     325,    -1,   327,   328,   329,   330,    -1,    -1,   333,    -1,
      -1,    -1,   337,   338,   339,   340,   341,   342,   343,   344,
      -1,   346,   347,   348,   349,   350,   351,   352,    -1,   354,
     355,   356,   357,   358,   359,   360,   361,   362,   363,   364,
     365,   366,    -1,   368,   369,   370,   371,   372,   373,   374,
     375,   376,   377,   378,    -1,   380,   381,    -1,   383,   384,
     385,   386,   387,   388,   389,   390,   391,   392,   393,    -1,
     395,   396,   397,   398,   399,    -1,   401,   402,   403,   404,
      -1,   406,   407,   408,    -1,   410,   411,   412,   413,   414,
     415,   416,   417,   418,   419,   420,    -1,   422,   423,    -1,
     425,   426,   427,   428,   429,   430,    -1,   432,   433,    -1,
      -1,   436,   437,   438,   439,    -1,   441,   442,   443,   444,
     445,   446,   447,    -1,    -1,   450,   451,   452,   453,   454,
      -1,    -1,   457,   458,   459,   460,   461,   462,   463,    -1,
     465,    -1,   467,   468,   469,    -1,    -1,   472,    -1,    -1,
     475,   476,   477,   478,   479,   480,   481,   482,   483,   484,
     485,   486,   487,   488,   489,   490,   491,     6,     7,     8,
       9,    10,    11,    12,    13,    -1,    15,    16,    -1,    -1,
      19,    20,    21,    22,    23,    24,    -1,    26,    27,    28,
      -1,    -1,    31,    32,    33,    34,    -1,    -1,    37,    38,
      39,    40,    -1,    42,    -1,    -1,    45,    46,    -1,    -1,
      -1,    50,    51,    -1,    -1,    -1,    -1,    56,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    65,    -1,    67,    -1,
      69,    70,    71,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      79,    80,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    91,    92,    93,    94,    95,    96,    97,    98,
      99,   100,   101,   102,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   110,   111,    -1,   113,   114,    -1,   116,   117,   118,
     119,   120,    -1,   122,   123,    -1,   125,   126,   127,   128,
     129,    -1,    -1,   132,   133,   134,   135,   136,    -1,   138,
     139,   140,   141,   142,    -1,    -1,    -1,   146,   147,   148,
     149,    -1,   151,   152,    -1,   154,   155,   156,   157,   158,
     159,    -1,    -1,   162,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   171,   172,   173,   174,   175,   176,   177,   178,
     179,    -1,   181,    -1,   183,   184,   185,   186,   187,    -1,
     189,   190,   191,    -1,    -1,   194,   195,   196,   197,   198,
      -1,   200,   201,   202,    -1,   204,   205,   206,    -1,   208,
     209,   210,   211,   212,   213,   214,   215,   216,    -1,   218,
      -1,   220,   221,   222,    -1,   224,    -1,   226,    -1,    -1,
      -1,   230,   231,   232,    -1,   234,   235,    -1,   237,    -1,
     239,   240,   241,   242,   243,    -1,   245,   246,   247,    -1,
     249,   250,   251,   252,   253,   254,    -1,   256,    -1,   258,
      -1,   260,   261,   262,    -1,   264,    -1,   266,    -1,   268,
      -1,    -1,   271,    -1,   273,   274,   275,   276,   277,    -1,
     279,   280,    -1,   282,   283,    -1,   285,    -1,    -1,   288,
     289,   290,    -1,    -1,   293,   294,   295,   296,   297,   298,
     299,   300,   301,   302,   303,   304,   305,   306,    -1,   308,
     309,   310,   311,    -1,   313,   314,    -1,   316,    -1,   318,
     319,   320,   321,   322,   323,    -1,   325,    -1,    -1,   328,
     329,   330,    -1,    -1,   333,    -1,    -1,    -1,   337,   338,
     339,   340,   341,   342,   343,   344,    -1,   346,   347,   348,
     349,   350,   351,   352,    -1,   354,   355,   356,   357,   358,
     359,   360,   361,   362,   363,   364,   365,   366,    -1,   368,
     369,   370,   371,   372,   373,   374,   375,   376,   377,   378,
      -1,   380,   381,    -1,   383,   384,   385,   386,   387,   388,
     389,   390,   391,   392,   393,    -1,   395,   396,   397,   398,
     399,    -1,   401,   402,   403,   404,    -1,   406,   407,   408,
      -1,   410,   411,   412,   413,   414,   415,   416,   417,   418,
     419,   420,    -1,   422,   423,    -1,   425,   426,   427,   428,
     429,   430,    -1,   432,   433,    -1,    -1,   436,   437,   438,
     439,    -1,   441,   442,   443,   444,   445,   446,   447,    -1,
      -1,   450,   451,   452,   453,   454,    -1,    -1,   457,   458,
     459,   460,   461,   462,   463,    -1,   465,    -1,   467,   468,
     469,    -1,    -1,   472,    -1,    -1,   475,   476,   477,   478,
     479,   480,   481,   482,   483,   484,   485,   486,   487,   488,
     489,   490,   491,     6,     7,     8,     9,    10,    11,    12,
      13,    -1,    15,    16,    -1,    -1,    19,    20,    21,    22,
      23,    24,    -1,    26,    27,    28,    -1,    -1,    31,    32,
      33,    34,    -1,    -1,    37,    38,    39,    40,    -1,    42,
      -1,    -1,    45,    46,    -1,    -1,    -1,    50,    51,    -1,
      -1,    -1,    -1,    56,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    65,    -1,    67,    -1,    69,    70,    71,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    79,    80,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    91,    92,
      93,    94,    95,    96,    97,    98,    -1,   100,   101,   102,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   110,   111,    -1,
     113,   114,    -1,   116,   117,   118,   119,   120,    -1,   122,
     123,    -1,   125,   126,   127,   128,   129,    -1,    -1,   132,
     133,   134,   135,   136,    -1,   138,   139,   140,   141,   142,
      -1,    -1,    -1,   146,   147,   148,   149,    -1,   151,   152,
      -1,   154,   155,   156,   157,   158,   159,    -1,    -1,   162,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   171,   172,
     173,   174,   175,   176,   177,   178,   179,    -1,   181,    -1,
     183,   184,   185,   186,   187,    -1,   189,   190,   191,    -1,
      -1,   194,   195,   196,   197,   198,    -1,   200,   201,   202,
      -1,   204,   205,   206,    -1,   208,   209,   210,   211,   212,
     213,   214,   215,   216,    -1,   218,    -1,   220,   221,   222,
      -1,   224,    -1,   226,    -1,    -1,    -1,   230,   231,   232,
      -1,   234,   235,    -1,   237,    -1,   239,   240,   241,   242,
     243,    -1,   245,   246,   247,    -1,   249,   250,   251,   252,
     253,   254,    -1,   256,    -1,   258,    -1,   260,   261,   262,
      -1,   264,    -1,   266,    -1,   268,    -1,    -1,   271,    -1,
     273,   274,   275,   276,   277,    -1,   279,   280,    -1,   282,
     283,    -1,   285,    -1,    -1,   288,   289,   290,    -1,    -1,
     293,   294,   295,   296,   297,   298,   299,   300,   301,   302,
     303,   304,   305,   306,    -1,   308,   309,   310,   311,    -1,
     313,   314,    -1,   316,    -1,   318,   319,   320,   321,   322,
     323,    -1,   325,    -1,   327,   328,   329,   330,    -1,    -1,
     333,    -1,    -1,    -1,   337,   338,   339,   340,   341,   342,
     343,   344,    -1,   346,   347,   348,   349,   350,   351,   352,
      -1,   354,   355,   356,   357,   358,   359,   360,   361,   362,
     363,   364,   365,   366,    -1,   368,   369,   370,   371,   372,
     373,   374,   375,   376,   377,   378,    -1,   380,   381,    -1,
     383,   384,   385,   386,   387,   388,   389,   390,   391,   392,
     393,    -1,   395,   396,   397,   398,   399,    -1,   401,   402,
     403,   404,    -1,   406,   407,   408,    -1,   410,   411,   412,
     413,   414,   415,   416,   417,   418,   419,   420,    -1,   422,
     423,    -1,   425,   426,   427,   428,   429,   430,    -1,   432,
     433,    -1,    -1,   436,   437,   438,   439,    -1,   441,   442,
     443,   444,   445,   446,   447,    -1,    -1,   450,   451,   452,
     453,   454,    -1,    -1,   457,   458,   459,   460,   461,   462,
     463,    -1,   465,    -1,   467,   468,   469,    -1,    -1,   472,
      -1,    -1,   475,   476,   477,   478,   479,   480,   481,   482,
     483,   484,   485,   486,   487,   488,   489,   490,   491,     6,
       7,     8,     9,    10,    11,    12,    13,    -1,    15,    16,
      -1,    -1,    19,    20,    21,    22,    23,    24,    -1,    26,
      27,    28,    -1,    -1,    31,    32,    33,    34,    -1,    -1,
      37,    38,    39,    40,    -1,    42,    -1,    -1,    45,    46,
      -1,    -1,    -1,    50,    51,    -1,    -1,    -1,    -1,    56,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    65,    -1,
      67,    -1,    69,    70,    71,    -1,    -1,    74,    -1,    -1,
      -1,    -1,    79,    80,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    91,    92,    93,    94,    95,    96,
      97,    98,    -1,   100,   101,   102,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   110,   111,    -1,   113,   114,    -1,   116,
     117,   118,   119,   120,    -1,   122,   123,    -1,   125,   126,
     127,   128,   129,    -1,    -1,   132,   133,   134,   135,   136,
      -1,   138,   139,   140,   141,   142,    -1,    -1,    -1,   146,
     147,   148,   149,    -1,   151,   152,    -1,   154,   155,   156,
     157,   158,   159,    -1,    -1,   162,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   171,   172,   173,   174,   175,   176,
     177,   178,   179,    -1,   181,    -1,   183,   184,   185,   186,
     187,    -1,   189,   190,   191,    -1,    -1,   194,   195,   196,
     197,   198,    -1,   200,   201,   202,    -1,   204,   205,   206,
      -1,   208,   209,   210,   211,   212,   213,   214,   215,   216,
      -1,   218,    -1,   220,   221,   222,    -1,   224,    -1,   226,
      -1,    -1,    -1,   230,   231,   232,    -1,   234,   235,    -1,
     237,    -1,   239,   240,   241,   242,   243,    -1,   245,   246,
     247,    -1,   249,   250,   251,   252,   253,   254,    -1,   256,
      -1,   258,    -1,   260,   261,   262,    -1,   264,    -1,   266,
      -1,   268,    -1,    -1,   271,    -1,   273,   274,   275,   276,
     277,    -1,   279,   280,    -1,   282,   283,    -1,   285,    -1,
      -1,   288,   289,   290,    -1,    -1,   293,   294,   295,   296,
     297,   298,   299,   300,   301,   302,   303,   304,   305,   306,
      -1,   308,   309,   310,   311,    -1,   313,   314,    -1,   316,
      -1,   318,   319,   320,   321,   322,   323,    -1,   325,    -1,
      -1,   328,   329,   330,    -1,    -1,   333,    -1,    -1,    -1,
     337,   338,   339,   340,   341,   342,   343,   344,    -1,   346,
     347,   348,   349,   350,   351,   352,    -1,   354,   355,   356,
     357,   358,   359,   360,   361,   362,   363,   364,   365,   366,
      -1,   368,   369,   370,   371,   372,   373,   374,   375,   376,
     377,   378,    -1,   380,   381,    -1,   383,   384,   385,   386,
     387,   388,   389,   390,   391,   392,   393,    -1,   395,   396,
     397,   398,   399,    -1,   401,   402,   403,   404,    -1,   406,
     407,   408,    -1,   410,   411,   412,   413,   414,   415,   416,
     417,   418,   419,   420,    -1,   422,   423,    -1,   425,   426,
     427,   428,   429,   430,    -1,   432,   433,    -1,    -1,   436,
     437,   438,   439,    -1,   441,   442,   443,   444,   445,   446,
     447,    -1,    -1,   450,   451,   452,   453,   454,    -1,    -1,
     457,   458,   459,   460,   461,   462,   463,    -1,   465,    -1,
     467,   468,   469,    -1,    -1,   472,    -1,    -1,   475,   476,
     477,   478,   479,   480,   481,   482,   483,   484,   485,   486,
     487,   488,   489,   490,   491,     6,     7,     8,     9,    10,
      11,    12,    13,    14,    15,    16,    -1,    -1,    19,    20,
      21,    22,    23,    24,    -1,    26,    27,    28,    -1,    -1,
      31,    32,    33,    34,    -1,    -1,    37,    38,    39,    40,
      -1,    42,    -1,    -1,    45,    46,    -1,    -1,    -1,    50,
      51,    -1,    -1,    -1,    -1,    56,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    65,    -1,    67,    -1,    69,    70,
      71,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    79,    80,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      91,    92,    93,    94,    95,    96,    97,    98,    -1,   100,
     101,   102,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   110,
     111,    -1,   113,   114,    -1,   116,   117,   118,   119,   120,
      -1,   122,   123,    -1,   125,   126,   127,   128,   129,    -1,
      -1,   132,   133,   134,   135,   136,    -1,   138,   139,   140,
     141,   142,    -1,    -1,    -1,   146,   147,   148,   149,    -1,
     151,   152,    -1,   154,   155,   156,   157,   158,   159,    -1,
      -1,   162,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     171,   172,   173,   174,   175,   176,   177,   178,   179,    -1,
     181,    -1,   183,   184,   185,   186,   187,    -1,   189,   190,
     191,    -1,    -1,   194,   195,   196,   197,   198,    -1,   200,
     201,   202,    -1,   204,   205,   206,    -1,   208,   209,   210,
     211,   212,   213,   214,   215,   216,    -1,   218,    -1,   220,
     221,   222,    -1,   224,    -1,   226,    -1,    -1,    -1,   230,
     231,   232,    -1,   234,   235,    -1,   237,    -1,   239,   240,
     241,   242,   243,    -1,   245,   246,   247,    -1,   249,   250,
     251,   252,   253,   254,    -1,   256,    -1,   258,    -1,   260,
     261,   262,    -1,   264,    -1,   266,    -1,   268,    -1,    -1,
     271,    -1,   273,   274,   275,   276,   277,    -1,   279,   280,
      -1,   282,   283,    -1,   285,    -1,    -1,   288,   289,   290,
      -1,    -1,   293,   294,   295,   296,   297,   298,   299,   300,
     301,   302,   303,   304,   305,   306,    -1,   308,   309,   310,
     311,    -1,   313,   314,    -1,   316,    -1,   318,   319,   320,
     321,   322,   323,    -1,   325,    -1,    -1,   328,   329,   330,
      -1,    -1,   333,    -1,    -1,    -1,   337,   338,   339,   340,
     341,   342,   343,   344,    -1,   346,   347,   348,   349,   350,
     351,   352,    -1,   354,   355,   356,   357,   358,   359,   360,
     361,   362,   363,   364,   365,   366,    -1,   368,   369,   370,
     371,   372,   373,   374,   375,   376,   377,   378,    -1,   380,
     381,    -1,   383,   384,   385,   386,   387,   388,   389,   390,
     391,   392,   393,    -1,   395,   396,   397,   398,   399,    -1,
     401,   402,   403,   404,    -1,   406,   407,   408,    -1,   410,
     411,   412,   413,   414,   415,   416,   417,   418,   419,   420,
      -1,   422,   423,    -1,   425,   426,   427,   428,   429,   430,
      -1,   432,   433,    -1,    -1,   436,   437,   438,   439,    -1,
     441,   442,   443,   444,   445,   446,   447,    -1,    -1,   450,
     451,   452,   453,   454,    -1,    -1,   457,   458,   459,   460,
     461,   462,   463,    -1,   465,    -1,   467,   468,   469,    -1,
      -1,   472,    -1,    -1,   475,   476,   477,   478,   479,   480,
     481,   482,   483,   484,   485,   486,   487,   488,   489,   490,
     491,     6,     7,     8,     9,    10,    11,    12,    13,    -1,
      15,    16,    -1,    -1,    19,    20,    21,    22,    23,    24,
      -1,    26,    27,    28,    -1,    -1,    31,    32,    33,    34,
      -1,    -1,    37,    38,    39,    40,    -1,    42,    -1,    -1,
      45,    46,    -1,    -1,    -1,    50,    51,    -1,    -1,    -1,
      -1,    56,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      65,    -1,    67,    -1,    69,    70,    71,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    79,    80,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    91,    92,    93,    94,
      95,    96,    97,    98,    -1,   100,   101,   102,    -1,    -1,
      -1,    -1,    -1,   108,    -1,   110,   111,    -1,   113,   114,
      -1,   116,   117,   118,   119,   120,    -1,   122,   123,    -1,
     125,   126,   127,   128,   129,    -1,    -1,   132,   133,   134,
     135,   136,    -1,   138,   139,   140,   141,   142,    -1,    -1,
      -1,   146,   147,   148,   149,    -1,   151,   152,    -1,   154,
     155,   156,   157,   158,   159,    -1,    -1,   162,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   171,   172,   173,   174,
     175,   176,   177,   178,   179,    -1,   181,    -1,   183,   184,
     185,   186,   187,    -1,   189,   190,   191,    -1,    -1,   194,
     195,   196,   197,   198,    -1,   200,   201,   202,    -1,   204,
     205,   206,    -1,   208,   209,   210,   211,   212,   213,   214,
     215,   216,    -1,   218,    -1,   220,   221,   222,    -1,   224,
      -1,   226,    -1,    -1,    -1,   230,   231,   232,    -1,   234,
     235,    -1,   237,    -1,   239,   240,   241,   242,   243,    -1,
     245,   246,   247,    -1,   249,   250,   251,   252,   253,   254,
      -1,   256,    -1,   258,    -1,   260,   261,   262,    -1,   264,
      -1,   266,    -1,   268,    -1,    -1,   271,    -1,   273,   274,
     275,   276,   277,    -1,   279,   280,    -1,   282,   283,    -1,
     285,    -1,    -1,   288,   289,   290,    -1,    -1,   293,   294,
     295,   296,   297,   298,   299,   300,   301,   302,   303,   304,
     305,   306,    -1,   308,   309,   310,   311,    -1,   313,   314,
      -1,   316,    -1,   318,   319,   320,   321,   322,   323,    -1,
     325,    -1,    -1,   328,   329,   330,    -1,    -1,   333,    -1,
      -1,    -1,   337,   338,   339,   340,   341,   342,   343,   344,
      -1,   346,   347,   348,   349,   350,   351,   352,    -1,   354,
     355,   356,   357,   358,   359,   360,   361,   362,   363,   364,
     365,   366,    -1,   368,   369,   370,   371,   372,   373,   374,
     375,   376,   377,   378,    -1,   380,   381,    -1,   383,   384,
     385,   386,   387,   388,   389,   390,   391,   392,   393,    -1,
     395,   396,   397,   398,   399,    -1,   401,   402,   403,   404,
      -1,   406,   407,   408,    -1,   410,   411,   412,   413,   414,
     415,   416,   417,   418,   419,   420,    -1,   422,   423,    -1,
     425,   426,   427,   428,   429,   430,    -1,   432,   433,    -1,
      -1,   436,   437,   438,   439,    -1,   441,   442,   443,   444,
     445,   446,   447,    -1,    -1,   450,   451,   452,   453,   454,
      -1,    -1,   457,   458,   459,   460,   461,   462,   463,    -1,
     465,    -1,   467,   468,   469,    -1,    -1,   472,    -1,    -1,
     475,   476,   477,   478,   479,   480,   481,   482,   483,   484,
     485,   486,   487,   488,   489,   490,   491,     6,     7,     8,
       9,    10,    11,    12,    13,    -1,    15,    16,    -1,    -1,
      19,    20,    21,    22,    23,    24,    -1,    26,    27,    28,
      -1,    -1,    31,    32,    33,    34,    -1,    -1,    37,    38,
      39,    40,    -1,    42,    -1,    -1,    45,    46,    -1,    -1,
      -1,    50,    51,    -1,    -1,    -1,    -1,    56,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    65,    -1,    67,    -1,
      69,    70,    71,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      79,    80,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    91,    92,    93,    94,    95,    96,    97,    98,
      -1,   100,   101,   102,    -1,    -1,    -1,    -1,    -1,   108,
      -1,   110,   111,    -1,   113,   114,    -1,   116,   117,   118,
     119,   120,    -1,   122,   123,    -1,   125,   126,   127,   128,
     129,    -1,    -1,   132,   133,   134,   135,   136,    -1,   138,
     139,   140,   141,   142,    -1,    -1,    -1,   146,   147,   148,
     149,    -1,   151,   152,    -1,   154,   155,   156,   157,   158,
     159,    -1,    -1,   162,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   171,   172,   173,   174,   175,   176,   177,   178,
     179,    -1,   181,    -1,   183,   184,   185,   186,   187,    -1,
     189,   190,   191,    -1,    -1,   194,   195,   196,   197,   198,
      -1,   200,   201,   202,    -1,   204,   205,   206,    -1,   208,
     209,   210,   211,   212,   213,   214,   215,   216,    -1,   218,
      -1,   220,   221,   222,    -1,   224,    -1,   226,    -1,    -1,
      -1,   230,   231,   232,    -1,   234,   235,    -1,   237,    -1,
     239,   240,   241,   242,   243,    -1,   245,   246,   247,    -1,
     249,   250,   251,   252,   253,   254,    -1,   256,    -1,   258,
      -1,   260,   261,   262,    -1,   264,    -1,   266,    -1,   268,
      -1,    -1,   271,    -1,   273,   274,   275,   276,   277,    -1,
     279,   280,    -1,   282,   283,    -1,   285,    -1,    -1,   288,
     289,   290,    -1,    -1,   293,   294,   295,   296,   297,   298,
     299,   300,   301,   302,   303,   304,   305,   306,    -1,   308,
     309,   310,   311,    -1,   313,   314,    -1,   316,    -1,   318,
     319,   320,   321,   322,   323,    -1,   325,    -1,    -1,   328,
     329,   330,    -1,    -1,   333,    -1,    -1,    -1,   337,   338,
     339,   340,   341,   342,   343,   344,    -1,   346,   347,   348,
     349,   350,   351,   352,    -1,   354,   355,   356,   357,   358,
     359,   360,   361,   362,   363,   364,   365,   366,    -1,   368,
     369,   370,   371,   372,   373,   374,   375,   376,   377,   378,
      -1,   380,   381,    -1,   383,   384,   385,   386,   387,   388,
     389,   390,   391,   392,   393,    -1,   395,   396,   397,   398,
     399,    -1,   401,   402,   403,   404,    -1,   406,   407,   408,
      -1,   410,   411,   412,   413,   414,   415,   416,   417,   418,
     419,   420,    -1,   422,   423,    -1,   425,   426,   427,   428,
     429,   430,    -1,   432,   433,    -1,    -1,   436,   437,   438,
     439,    -1,   441,   442,   443,   444,   445,   446,   447,    -1,
      -1,   450,   451,   452,   453,   454,    -1,    -1,   457,   458,
     459,   460,   461,   462,   463,    -1,   465,    -1,   467,   468,
     469,    -1,    -1,   472,    -1,    -1,   475,   476,   477,   478,
     479,   480,   481,   482,   483,   484,   485,   486,   487,   488,
     489,   490,   491,     6,     7,     8,     9,    10,    11,    12,
      13,    -1,    15,    16,    -1,    -1,    19,    20,    21,    22,
      23,    24,    -1,    26,    27,    28,    -1,    -1,    31,    32,
      33,    34,    -1,    -1,    37,    38,    39,    40,    -1,    42,
      -1,    -1,    45,    46,    -1,    -1,    -1,    50,    51,    -1,
      -1,    -1,    -1,    56,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    65,    -1,    67,    -1,    69,    70,    71,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    79,    80,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    91,    92,
      93,    94,    95,    96,    97,    98,    -1,   100,   101,   102,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   110,   111,    -1,
     113,   114,    -1,   116,   117,   118,   119,   120,    -1,   122,
     123,    -1,   125,   126,   127,   128,   129,    -1,    -1,   132,
     133,   134,   135,   136,    -1,   138,   139,   140,   141,   142,
      -1,    -1,    -1,   146,   147,   148,   149,    -1,   151,   152,
      -1,   154,   155,   156,   157,   158,   159,    -1,    -1,   162,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   171,   172,
     173,   174,   175,   176,   177,   178,   179,   180,   181,    -1,
     183,   184,   185,   186,   187,    -1,   189,   190,   191,    -1,
      -1,   194,   195,   196,   197,   198,    -1,   200,   201,   202,
      -1,   204,   205,   206,    -1,   208,   209,   210,   211,   212,
     213,   214,   215,   216,    -1,   218,    -1,   220,   221,   222,
      -1,   224,    -1,   226,    -1,    -1,    -1,   230,   231,   232,
      -1,   234,   235,    -1,   237,    -1,   239,   240,   241,   242,
     243,    -1,   245,   246,   247,    -1,   249,   250,   251,   252,
     253,   254,    -1,   256,    -1,   258,    -1,   260,   261,   262,
      -1,   264,    -1,   266,    -1,   268,    -1,    -1,   271,    -1,
     273,   274,   275,   276,   277,    -1,   279,   280,    -1,   282,
     283,    -1,   285,    -1,    -1,   288,   289,   290,    -1,    -1,
     293,   294,   295,   296,   297,   298,   299,   300,   301,   302,
     303,   304,   305,   306,    -1,   308,   309,   310,   311,    -1,
     313,   314,    -1,   316,    -1,   318,   319,   320,   321,   322,
     323,    -1,   325,    -1,    -1,   328,   329,   330,    -1,    -1,
     333,    -1,    -1,    -1,   337,   338,   339,   340,   341,   342,
     343,   344,    -1,   346,   347,   348,   349,   350,   351,   352,
      -1,   354,   355,   356,   357,   358,   359,   360,   361,   362,
     363,   364,   365,   366,    -1,   368,   369,   370,   371,   372,
     373,   374,   375,   376,   377,   378,    -1,   380,   381,    -1,
     383,   384,   385,   386,   387,   388,   389,   390,   391,   392,
     393,    -1,   395,   396,   397,   398,   399,    -1,   401,   402,
     403,   404,    -1,   406,   407,   408,    -1,   410,   411,   412,
     413,   414,   415,   416,   417,   418,   419,   420,    -1,   422,
     423,    -1,   425,   426,   427,   428,   429,   430,    -1,   432,
     433,    -1,    -1,   436,   437,   438,   439,    -1,   441,   442,
     443,   444,   445,   446,   447,    -1,    -1,   450,   451,   452,
     453,   454,    -1,    -1,   457,   458,   459,   460,   461,   462,
     463,    -1,   465,    -1,   467,   468,   469,    -1,    -1,   472,
      -1,    -1,   475,   476,   477,   478,   479,   480,   481,   482,
     483,   484,   485,   486,   487,   488,   489,   490,   491,     6,
       7,     8,     9,    10,    11,    12,    13,    -1,    15,    16,
      -1,    -1,    19,    20,    21,    22,    23,    24,    -1,    26,
      27,    28,    -1,    -1,    31,    32,    33,    34,    -1,    -1,
      37,    38,    39,    40,    -1,    42,    -1,    -1,    45,    46,
      -1,    -1,    -1,    50,    51,    -1,    -1,    -1,    -1,    56,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    65,    -1,
      67,    -1,    69,    70,    71,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    79,    80,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    91,    92,    93,    94,    95,    96,
      97,    98,    -1,   100,   101,   102,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   110,   111,    -1,   113,   114,    -1,   116,
     117,   118,   119,   120,    -1,   122,   123,    -1,   125,   126,
     127,   128,   129,    -1,    -1,   132,   133,   134,   135,   136,
      -1,   138,   139,   140,   141,   142,    -1,    -1,    -1,   146,
     147,   148,   149,    -1,   151,   152,    -1,   154,   155,   156,
     157,   158,   159,    -1,    -1,   162,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   171,   172,   173,   174,   175,   176,
     177,   178,   179,   180,   181,    -1,   183,   184,   185,   186,
     187,    -1,   189,   190,   191,    -1,    -1,   194,   195,   196,
     197,   198,    -1,   200,   201,   202,    -1,   204,   205,   206,
      -1,   208,   209,   210,   211,   212,   213,   214,   215,   216,
      -1,   218,    -1,   220,   221,   222,    -1,   224,    -1,   226,
      -1,    -1,    -1,   230,   231,   232,    -1,   234,   235,    -1,
     237,    -1,   239,   240,   241,   242,   243,    -1,   245,   246,
     247,    -1,   249,   250,   251,   252,   253,   254,    -1,   256,
      -1,   258,    -1,   260,   261,   262,    -1,   264,    -1,   266,
      -1,   268,    -1,    -1,   271,    -1,   273,   274,   275,   276,
     277,    -1,   279,   280,    -1,   282,   283,    -1,   285,    -1,
      -1,   288,   289,   290,    -1,    -1,   293,   294,   295,   296,
     297,   298,   299,   300,   301,   302,   303,   304,   305,   306,
      -1,   308,   309,   310,   311,    -1,   313,   314,    -1,   316,
      -1,   318,   319,   320,   321,   322,   323,    -1,   325,    -1,
      -1,   328,   329,   330,    -1,    -1,   333,    -1,    -1,    -1,
     337,   338,   339,   340,   341,   342,   343,   344,    -1,   346,
     347,   348,   349,   350,   351,   352,    -1,   354,   355,   356,
     357,   358,   359,   360,   361,   362,   363,   364,   365,   366,
      -1,   368,   369,   370,   371,   372,   373,   374,   375,   376,
     377,   378,    -1,   380,   381,    -1,   383,   384,   385,   386,
     387,   388,   389,   390,   391,   392,   393,    -1,   395,   396,
     397,   398,   399,    -1,   401,   402,   403,   404,    -1,   406,
     407,   408,    -1,   410,   411,   412,   413,   414,   415,   416,
     417,   418,   419,   420,    -1,   422,   423,    -1,   425,   426,
     427,   428,   429,   430,    -1,   432,   433,    -1,    -1,   436,
     437,   438,   439,    -1,   441,   442,   443,   444,   445,   446,
     447,    -1,    -1,   450,   451,   452,   453,   454,    -1,    -1,
     457,   458,   459,   460,   461,   462,   463,    -1,   465,    -1,
     467,   468,   469,    -1,    -1,   472,    -1,    -1,   475,   476,
     477,   478,   479,   480,   481,   482,   483,   484,   485,   486,
     487,   488,   489,   490,   491,     6,     7,     8,     9,    10,
      11,    12,    13,    -1,    15,    16,    -1,    -1,    19,    20,
      21,    22,    23,    24,    -1,    26,    27,    28,    -1,    -1,
      31,    32,    33,    34,    -1,    -1,    37,    38,    39,    40,
      -1,    42,    -1,    -1,    45,    46,    -1,    -1,    -1,    50,
      51,    -1,    -1,    -1,    -1,    56,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    65,    -1,    67,    -1,    69,    70,
      71,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    79,    80,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      91,    92,    93,    94,    95,    96,    97,    98,    -1,   100,
     101,   102,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   110,
     111,    -1,   113,   114,    -1,   116,   117,   118,   119,   120,
      -1,   122,   123,    -1,   125,   126,   127,   128,   129,    -1,
      -1,   132,   133,   134,   135,   136,    -1,   138,   139,   140,
     141,   142,    -1,    -1,    -1,   146,   147,   148,   149,    -1,
     151,   152,    -1,   154,   155,   156,   157,   158,   159,    -1,
      -1,   162,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     171,   172,   173,   174,   175,   176,   177,   178,   179,   180,
     181,    -1,   183,   184,   185,   186,   187,    -1,   189,   190,
     191,    -1,    -1,   194,   195,   196,   197,   198,    -1,   200,
     201,   202,    -1,   204,   205,   206,    -1,   208,   209,   210,
     211,   212,   213,   214,   215,   216,    -1,   218,    -1,   220,
     221,   222,    -1,   224,    -1,   226,    -1,    -1,    -1,   230,
     231,   232,    -1,   234,   235,    -1,   237,    -1,   239,   240,
     241,   242,   243,    -1,   245,   246,   247,    -1,   249,   250,
     251,   252,   253,   254,    -1,   256,    -1,   258,    -1,   260,
     261,   262,    -1,   264,    -1,   266,    -1,   268,    -1,    -1,
     271,    -1,   273,   274,   275,   276,   277,    -1,   279,   280,
      -1,   282,   283,    -1,   285,    -1,    -1,   288,   289,   290,
      -1,    -1,   293,   294,   295,   296,   297,   298,   299,   300,
     301,   302,   303,   304,   305,   306,    -1,   308,   309,   310,
     311,    -1,   313,   314,    -1,   316,    -1,   318,   319,   320,
     321,   322,   323,    -1,   325,    -1,    -1,   328,   329,   330,
      -1,    -1,   333,    -1,    -1,    -1,   337,   338,   339,   340,
     341,   342,   343,   344,    -1,   346,   347,   348,   349,   350,
     351,   352,    -1,   354,   355,   356,   357,   358,   359,   360,
     361,   362,   363,   364,   365,   366,    -1,   368,   369,   370,
     371,   372,   373,   374,   375,   376,   377,   378,    -1,   380,
     381,    -1,   383,   384,   385,   386,   387,   388,   389,   390,
     391,   392,   393,    -1,   395,   396,   397,   398,   399,    -1,
     401,   402,   403,   404,    -1,   406,   407,   408,    -1,   410,
     411,   412,   413,   414,   415,   416,   417,   418,   419,   420,
      -1,   422,   423,    -1,   425,   426,   427,   428,   429,   430,
      -1,   432,   433,    -1,    -1,   436,   437,   438,   439,    -1,
     441,   442,   443,   444,   445,   446,   447,    -1,    -1,   450,
     451,   452,   453,   454,    -1,    -1,   457,   458,   459,   460,
     461,   462,   463,    -1,   465,    -1,   467,   468,   469,    -1,
      -1,   472,    -1,    -1,   475,   476,   477,   478,   479,   480,
     481,   482,   483,   484,   485,   486,   487,   488,   489,   490,
     491,     6,     7,     8,     9,    10,    11,    12,    13,    -1,
      15,    16,    -1,    -1,    19,    20,    21,    22,    23,    24,
      -1,    26,    27,    28,    -1,    -1,    31,    32,    33,    34,
      -1,    -1,    37,    38,    39,    40,    -1,    42,    -1,    -1,
      45,    46,    -1,    -1,    -1,    50,    51,    -1,    -1,    -1,
      -1,    56,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      65,    -1,    67,    -1,    69,    70,    71,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    79,    80,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    91,    92,    93,    94,
      95,    96,    97,    98,    -1,   100,   101,   102,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   110,   111,    -1,   113,   114,
      -1,   116,   117,   118,   119,   120,    -1,   122,   123,    -1,
     125,   126,   127,   128,   129,    -1,    -1,   132,   133,   134,
     135,   136,    -1,   138,   139,   140,   141,   142,    -1,    -1,
      -1,   146,   147,   148,   149,    -1,   151,   152,    -1,   154,
     155,   156,   157,   158,   159,    -1,    -1,   162,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   171,   172,   173,   174,
     175,   176,   177,   178,   179,    -1,   181,    -1,   183,   184,
     185,   186,   187,    -1,   189,   190,   191,    -1,    -1,   194,
     195,   196,   197,   198,    -1,   200,   201,   202,    -1,   204,
     205,   206,    -1,   208,   209,   210,   211,   212,   213,   214,
     215,   216,    -1,   218,    -1,   220,   221,   222,    -1,   224,
      -1,   226,    -1,    -1,    -1,   230,   231,   232,    -1,   234,
     235,    -1,   237,    -1,   239,   240,   241,   242,   243,    -1,
     245,   246,   247,    -1,   249,   250,   251,   252,   253,   254,
      -1,   256,    -1,   258,    -1,   260,   261,   262,    -1,   264,
      -1,   266,    -1,   268,    -1,    -1,   271,    -1,   273,   274,
     275,   276,   277,    -1,   279,   280,    -1,   282,   283,    -1,
     285,    -1,    -1,   288,   289,   290,    -1,    -1,   293,   294,
     295,   296,   297,   298,   299,   300,   301,   302,   303,   304,
     305,   306,    -1,   308,   309,   310,   311,    -1,   313,   314,
      -1,   316,    -1,   318,   319,   320,   321,   322,   323,    -1,
     325,    -1,    -1,   328,   329,   330,    -1,    -1,   333,    -1,
      -1,    -1,   337,   338,   339,   340,   341,   342,   343,   344,
      -1,   346,   347,   348,   349,   350,   351,   352,    -1,   354,
     355,   356,   357,   358,   359,   360,   361,   362,   363,   364,
     365,   366,    -1,   368,   369,   370,   371,   372,   373,   374,
     375,   376,   377,   378,    -1,   380,   381,    -1,   383,   384,
     385,   386,   387,   388,   389,   390,   391,   392,   393,    -1,
     395,   396,   397,   398,   399,    -1,   401,   402,   403,   404,
      -1,   406,   407,   408,    -1,   410,   411,   412,   413,   414,
     415,   416,   417,   418,   419,   420,    -1,   422,   423,    -1,
     425,   426,   427,   428,   429,   430,    -1,   432,   433,    -1,
      -1,   436,   437,   438,   439,    -1,   441,   442,   443,   444,
     445,   446,   447,    -1,    -1,   450,   451,   452,   453,   454,
      -1,   456,   457,   458,   459,   460,   461,   462,   463,    -1,
     465,    -1,   467,   468,   469,    -1,    -1,   472,    -1,    -1,
     475,   476,   477,   478,   479,   480,   481,   482,   483,   484,
     485,   486,   487,   488,   489,   490,   491,     6,     7,     8,
       9,    10,    11,    12,    13,    -1,    15,    16,    -1,    -1,
      19,    20,    21,    22,    23,    24,    -1,    26,    27,    28,
      -1,    -1,    31,    32,    33,    34,    -1,    -1,    37,    38,
      39,    40,    -1,    42,    -1,    -1,    45,    46,    -1,    -1,
      -1,    50,    51,    -1,    -1,    -1,    -1,    56,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    65,    -1,    67,    -1,
      69,    70,    71,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      79,    80,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    91,    92,    93,    94,    95,    96,    97,    98,
      -1,   100,   101,   102,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   110,   111,    -1,   113,   114,    -1,   116,   117,   118,
     119,   120,    -1,   122,   123,    -1,   125,   126,   127,   128,
     129,    -1,    -1,   132,   133,   134,   135,   136,    -1,   138,
     139,   140,   141,   142,    -1,    -1,    -1,   146,   147,   148,
     149,    -1,   151,   152,    -1,   154,   155,   156,   157,   158,
     159,    -1,    -1,   162,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   171,   172,   173,   174,   175,   176,   177,   178,
     179,    -1,   181,    -1,   183,   184,   185,   186,   187,    -1,
     189,   190,   191,    -1,    -1,   194,   195,   196,   197,   198,
      -1,   200,   201,   202,    -1,   204,   205,   206,    -1,   208,
     209,   210,   211,   212,   213,   214,   215,   216,    -1,   218,
      -1,   220,   221,   222,    -1,   224,    -1,   226,    -1,    -1,
      -1,   230,   231,   232,    -1,   234,   235,    -1,   237,    -1,
     239,   240,   241,   242,   243,    -1,   245,   246,   247,    -1,
     249,   250,   251,   252,   253,   254,    -1,   256,    -1,   258,
      -1,   260,   261,   262,    -1,   264,    -1,   266,    -1,   268,
      -1,    -1,   271,    -1,   273,   274,   275,   276,   277,    -1,
     279,   280,    -1,   282,   283,    -1,   285,    -1,    -1,   288,
     289,   290,    -1,    -1,   293,   294,   295,   296,   297,   298,
     299,   300,   301,   302,   303,   304,   305,   306,    -1,   308,
     309,   310,   311,    -1,   313,   314,    -1,   316,    -1,   318,
     319,   320,   321,   322,   323,    -1,   325,    -1,    -1,   328,
     329,   330,    -1,    -1,   333,    -1,    -1,    -1,   337,   338,
     339,   340,   341,   342,   343,   344,    -1,   346,   347,   348,
     349,   350,   351,   352,    -1,   354,   355,   356,   357,   358,
     359,   360,   361,   362,   363,   364,   365,   366,    -1,   368,
     369,   370,   371,   372,   373,   374,   375,   376,   377,   378,
      -1,   380,   381,    -1,   383,   384,   385,   386,   387,   388,
     389,   390,   391,   392,   393,    -1,   395,   396,   397,   398,
     399,    -1,   401,   402,   403,   404,    -1,   406,   407,   408,
      -1,   410,   411,   412,   413,   414,   415,   416,   417,   418,
     419,   420,    -1,   422,   423,    -1,   425,   426,   427,   428,
     429,   430,    -1,   432,   433,    -1,    -1,   436,   437,   438,
     439,    -1,   441,   442,   443,   444,   445,   446,   447,    -1,
      -1,   450,   451,   452,   453,   454,    -1,    -1,   457,   458,
     459,   460,   461,   462,   463,    -1,   465,    -1,   467,   468,
     469,    -1,    -1,   472,    -1,    -1,   475,   476,   477,   478,
     479,   480,   481,   482,   483,   484,   485,   486,   487,   488,
     489,   490,   491,     6,     7,     8,     9,    10,    11,    12,
      13,    -1,    15,    16,    -1,    -1,    19,    20,    21,    22,
      23,    24,    -1,    26,    27,    28,    -1,    -1,    31,    32,
      33,    34,    -1,    -1,    37,    38,    39,    40,    -1,    42,
      -1,    -1,    45,    46,    -1,    -1,    -1,    50,    51,    -1,
      -1,    -1,    -1,    56,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    65,    -1,    67,    -1,    69,    70,    71,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    79,    80,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    91,    92,
      93,    94,    95,    96,    97,    98,    -1,   100,   101,   102,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   110,   111,    -1,
     113,   114,    -1,   116,   117,   118,   119,   120,    -1,   122,
     123,    -1,   125,   126,   127,   128,   129,    -1,    -1,   132,
     133,   134,   135,   136,    -1,   138,   139,   140,   141,   142,
      -1,    -1,    -1,   146,   147,   148,   149,    -1,   151,   152,
      -1,   154,   155,   156,   157,   158,   159,    -1,    -1,   162,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   171,   172,
     173,   174,   175,   176,   177,   178,   179,    -1,   181,    -1,
     183,   184,   185,   186,   187,    -1,   189,   190,   191,    -1,
      -1,   194,   195,   196,   197,   198,    -1,   200,   201,   202,
      -1,   204,   205,   206,    -1,   208,   209,   210,   211,   212,
     213,   214,   215,   216,    -1,   218,    -1,   220,   221,   222,
      -1,   224,    -1,   226,    -1,    -1,    -1,   230,   231,   232,
      -1,   234,   235,    -1,   237,    -1,   239,   240,   241,   242,
     243,    -1,   245,   246,   247,    -1,   249,   250,   251,   252,
     253,   254,    -1,   256,    -1,   258,    -1,   260,   261,   262,
      -1,   264,    -1,   266,    -1,   268,    -1,    -1,   271,    -1,
     273,   274,   275,   276,   277,    -1,   279,   280,    -1,   282,
     283,    -1,   285,    -1,    -1,   288,   289,   290,    -1,    -1,
     293,   294,   295,   296,   297,   298,   299,   300,   301,   302,
     303,   304,   305,   306,    -1,   308,   309,   310,   311,    -1,
     313,   314,    -1,   316,    -1,   318,   319,   320,   321,   322,
     323,    -1,   325,    -1,    -1,   328,   329,   330,    -1,    -1,
     333,    -1,    -1,    -1,   337,   338,   339,   340,   341,   342,
     343,   344,    -1,   346,   347,   348,   349,   350,   351,   352,
      -1,   354,   355,   356,   357,   358,   359,   360,   361,   362,
     363,   364,   365,   366,    -1,   368,   369,   370,   371,   372,
     373,   374,   375,   376,   377,   378,    -1,   380,   381,    -1,
     383,   384,   385,   386,   387,   388,   389,   390,   391,   392,
     393,    -1,   395,   396,   397,   398,   399,    -1,   401,   402,
     403,   404,    -1,   406,   407,   408,    -1,   410,   411,   412,
     413,   414,   415,   416,   417,   418,   419,   420,    -1,   422,
     423,    -1,   425,   426,   427,   428,   429,   430,    -1,   432,
     433,    -1,    -1,   436,   437,   438,   439,    -1,   441,   442,
     443,   444,   445,   446,   447,    -1,    -1,   450,   451,   452,
     453,   454,    -1,    -1,   457,   458,   459,   460,   461,   462,
     463,    -1,   465,    -1,   467,   468,   469,    -1,    -1,   472,
      -1,    -1,   475,   476,   477,   478,   479,   480,   481,   482,
     483,   484,   485,   486,   487,   488,   489,   490,   491,     6,
       7,     8,     9,    10,    11,    12,    13,    -1,    15,    16,
      -1,    -1,    19,    20,    21,    22,    23,    24,    -1,    26,
      27,    28,    -1,    -1,    31,    32,    33,    34,    -1,    -1,
      37,    38,    39,    40,    -1,    42,    -1,    -1,    45,    46,
      -1,    -1,    -1,    50,    51,    -1,    -1,    -1,    -1,    56,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    65,    -1,
      67,    -1,    69,    70,    71,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    79,    80,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    91,    92,    93,    94,    95,    96,
      97,    98,    99,   100,   101,   102,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   110,   111,    -1,   113,   114,    -1,   116,
     117,   118,   119,   120,    -1,   122,   123,    -1,   125,   126,
     127,   128,   129,    -1,    -1,   132,   133,   134,   135,   136,
      -1,   138,   139,   140,   141,   142,    -1,    -1,    -1,   146,
     147,   148,   149,    -1,   151,    -1,    -1,   154,   155,   156,
     157,   158,   159,    -1,    -1,   162,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   171,   172,   173,   174,   175,   176,
     177,   178,   179,    -1,   181,    -1,   183,   184,   185,   186,
     187,    -1,   189,   190,   191,    -1,    -1,   194,   195,   196,
     197,   198,    -1,   200,   201,   202,    -1,   204,   205,   206,
      -1,   208,   209,   210,   211,   212,   213,   214,   215,   216,
      -1,   218,    -1,   220,   221,   222,    -1,   224,    -1,   226,
      -1,    -1,    -1,   230,   231,   232,    -1,   234,   235,    -1,
     237,    -1,   239,   240,   241,   242,   243,    -1,   245,   246,
     247,    -1,   249,   250,   251,   252,   253,   254,    -1,   256,
      -1,   258,    -1,   260,   261,   262,    -1,   264,    -1,   266,
      -1,   268,    -1,    -1,   271,    -1,   273,   274,   275,   276,
     277,    -1,   279,   280,    -1,   282,   283,    -1,   285,    -1,
      -1,   288,   289,   290,    -1,    -1,   293,   294,   295,   296,
     297,   298,   299,   300,   301,   302,   303,   304,   305,   306,
      -1,   308,   309,   310,   311,    -1,   313,   314,    -1,   316,
      -1,   318,   319,   320,   321,   322,   323,    -1,   325,    -1,
      -1,   328,   329,   330,    -1,    -1,   333,    -1,    -1,    -1,
     337,   338,   339,   340,   341,   342,   343,   344,    -1,   346,
     347,   348,   349,   350,   351,   352,    -1,   354,   355,   356,
     357,   358,   359,   360,   361,   362,   363,   364,   365,   366,
      -1,   368,   369,   370,   371,   372,   373,   374,   375,   376,
     377,   378,    -1,   380,   381,    -1,   383,   384,   385,   386,
     387,   388,   389,   390,   391,   392,   393,    -1,   395,   396,
     397,   398,   399,    -1,   401,   402,   403,   404,    -1,   406,
     407,   408,    -1,   410,   411,   412,   413,   414,   415,   416,
     417,   418,   419,   420,    -1,   422,   423,    -1,   425,   426,
     427,   428,   429,   430,    -1,   432,   433,    -1,    -1,   436,
     437,   438,   439,    -1,   441,   442,   443,   444,   445,   446,
     447,    -1,    -1,   450,   451,   452,   453,   454,    -1,    -1,
     457,   458,   459,   460,   461,   462,   463,    -1,   465,    -1,
     467,   468,   469,    -1,    -1,   472,    -1,    -1,   475,   476,
     477,   478,   479,   480,   481,   482,   483,   484,   485,   486,
     487,   488,   489,   490,   491,     6,     7,     8,     9,    10,
      11,    12,    13,    -1,    15,    16,    -1,    -1,    19,    20,
      21,    22,    23,    24,    -1,    26,    27,    28,    -1,    -1,
      31,    32,    33,    34,    -1,    -1,    37,    38,    39,    40,
      -1,    42,    -1,    -1,    45,    46,    -1,    -1,    -1,    50,
      51,    -1,    -1,    -1,    -1,    56,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    65,    -1,    67,    -1,    69,    70,
      71,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    79,    80,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      91,    92,    93,    94,    95,    96,    97,    98,    99,   100,
     101,   102,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   110,
     111,    -1,   113,   114,    -1,   116,   117,   118,   119,   120,
      -1,   122,   123,    -1,   125,   126,   127,   128,   129,    -1,
      -1,   132,   133,   134,   135,   136,    -1,   138,   139,   140,
     141,   142,    -1,    -1,    -1,   146,   147,   148,   149,    -1,
     151,    -1,    -1,   154,   155,   156,   157,   158,   159,    -1,
      -1,   162,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     171,   172,   173,   174,   175,   176,   177,   178,   179,    -1,
     181,    -1,   183,   184,   185,   186,   187,    -1,   189,   190,
     191,    -1,    -1,   194,   195,   196,   197,   198,    -1,   200,
     201,   202,    -1,   204,   205,   206,    -1,   208,   209,   210,
     211,   212,   213,   214,   215,   216,    -1,   218,    -1,   220,
     221,   222,    -1,   224,    -1,   226,    -1,    -1,    -1,   230,
     231,   232,    -1,   234,   235,    -1,   237,    -1,   239,   240,
     241,   242,   243,    -1,   245,   246,   247,    -1,   249,   250,
     251,   252,   253,   254,    -1,   256,    -1,   258,    -1,   260,
     261,   262,    -1,   264,    -1,   266,    -1,   268,    -1,    -1,
     271,    -1,   273,   274,   275,   276,   277,    -1,   279,   280,
      -1,   282,   283,    -1,   285,    -1,    -1,   288,   289,   290,
      -1,    -1,   293,   294,   295,   296,   297,   298,   299,   300,
     301,   302,   303,   304,   305,   306,    -1,   308,   309,   310,
     311,    -1,   313,   314,    -1,   316,    -1,   318,   319,   320,
     321,   322,   323,    -1,   325,    -1,    -1,   328,   329,   330,
      -1,    -1,   333,    -1,    -1,    -1,   337,   338,   339,   340,
     341,   342,   343,   344,    -1,   346,   347,   348,   349,   350,
     351,   352,    -1,   354,   355,   356,   357,   358,   359,   360,
     361,   362,   363,   364,   365,   366,    -1,   368,   369,   370,
     371,   372,   373,   374,   375,   376,   377,   378,    -1,   380,
     381,    -1,   383,   384,   385,   386,   387,   388,   389,   390,
     391,   392,   393,    -1,   395,   396,   397,   398,   399,    -1,
     401,   402,   403,   404,    -1,   406,   407,   408,    -1,   410,
     411,   412,   413,   414,   415,   416,   417,   418,   419,   420,
      -1,   422,   423,    -1,   425,   426,   427,   428,   429,   430,
      -1,   432,   433,    -1,    -1,   436,   437,   438,   439,    -1,
     441,   442,   443,   444,   445,   446,   447,    -1,    -1,   450,
     451,   452,   453,   454,    -1,    -1,   457,   458,   459,   460,
     461,   462,   463,    -1,   465,    -1,   467,   468,   469,    -1,
      -1,   472,    -1,    -1,   475,   476,   477,   478,   479,   480,
     481,   482,   483,   484,   485,   486,   487,   488,   489,   490,
     491,     6,     7,     8,     9,    10,    11,    12,    13,    -1,
      15,    16,    -1,    -1,    19,    20,    21,    22,    23,    24,
      -1,    26,    27,    28,    -1,    -1,    31,    32,    33,    34,
      -1,    -1,    37,    38,    39,    40,    -1,    42,    -1,    -1,
      45,    46,    -1,    -1,    -1,    50,    51,    -1,    -1,    -1,
      -1,    56,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      65,    -1,    67,    -1,    69,    70,    71,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    79,    80,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    91,    92,    93,    94,
      95,    96,    97,    98,    -1,   100,   101,   102,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   110,   111,    -1,   113,   114,
      -1,   116,   117,   118,   119,   120,    -1,   122,   123,    -1,
     125,   126,   127,   128,   129,    -1,    -1,   132,   133,   134,
     135,   136,    -1,   138,   139,   140,   141,   142,    -1,    -1,
      -1,   146,   147,   148,   149,    -1,   151,   152,    -1,   154,
     155,   156,   157,   158,   159,    -1,    -1,   162,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   171,   172,   173,   174,
     175,   176,   177,   178,   179,    -1,   181,    -1,   183,   184,
     185,   186,   187,    -1,   189,   190,   191,    -1,    -1,   194,
     195,   196,   197,   198,    -1,   200,   201,   202,    -1,   204,
     205,   206,    -1,   208,   209,   210,   211,   212,   213,   214,
     215,   216,    -1,   218,    -1,   220,   221,   222,    -1,   224,
      -1,   226,    -1,    -1,    -1,   230,   231,   232,    -1,   234,
     235,    -1,   237,    -1,   239,   240,   241,   242,   243,    -1,
     245,   246,   247,    -1,   249,   250,   251,   252,   253,   254,
      -1,   256,    -1,   258,    -1,   260,   261,   262,    -1,   264,
      -1,   266,    -1,   268,    -1,    -1,   271,    -1,   273,   274,
     275,   276,   277,    -1,   279,   280,    -1,   282,   283,    -1,
     285,    -1,    -1,   288,   289,   290,    -1,    -1,   293,   294,
     295,   296,   297,   298,   299,   300,   301,   302,   303,   304,
     305,   306,    -1,   308,   309,   310,   311,    -1,   313,   314,
      -1,   316,    -1,   318,   319,   320,   321,   322,   323,    -1,
     325,    -1,    -1,   328,   329,   330,    -1,    -1,   333,    -1,
      -1,    -1,   337,   338,   339,   340,   341,   342,   343,   344,
      -1,   346,   347,   348,   349,   350,   351,   352,    -1,   354,
     355,   356,   357,   358,   359,   360,   361,   362,   363,   364,
     365,   366,    -1,   368,   369,   370,   371,   372,   373,   374,
     375,   376,   377,   378,    -1,   380,   381,    -1,   383,   384,
     385,   386,   387,   388,   389,   390,   391,   392,   393,    -1,
     395,   396,   397,   398,   399,    -1,   401,   402,   403,   404,
      -1,   406,   407,   408,    -1,   410,   411,   412,   413,   414,
     415,   416,   417,   418,   419,   420,    -1,   422,   423,    -1,
     425,   426,   427,   428,   429,   430,    -1,   432,   433,    -1,
      -1,   436,   437,   438,   439,    -1,   441,   442,   443,   444,
     445,   446,   447,    -1,    -1,   450,   451,   452,   453,   454,
      -1,    -1,   457,   458,   459,   460,   461,   462,   463,    -1,
     465,    -1,   467,   468,   469,    -1,    -1,   472,    -1,    -1,
     475,   476,   477,   478,   479,   480,   481,   482,   483,   484,
     485,   486,   487,   488,   489,   490,   491,     6,     7,     8,
       9,    10,    11,    12,    13,    -1,    15,    16,    -1,    -1,
      19,    20,    21,    22,    23,    24,    -1,    26,    27,    28,
      -1,    -1,    31,    32,    33,    34,    -1,    -1,    37,    38,
      39,    40,    -1,    42,    -1,    -1,    45,    46,    -1,    -1,
      -1,    50,    51,    -1,    -1,    -1,    -1,    56,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    65,    -1,    67,    -1,
      69,    70,    71,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      79,    80,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    91,    92,    93,    94,    95,    96,    97,    98,
      -1,   100,   101,   102,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   110,   111,    -1,   113,   114,    -1,   116,   117,   118,
     119,   120,    -1,   122,   123,    -1,   125,   126,   127,   128,
     129,    -1,    -1,   132,   133,   134,   135,   136,    -1,   138,
     139,   140,   141,   142,    -1,    -1,    -1,   146,   147,   148,
     149,    -1,   151,   152,    -1,   154,   155,   156,   157,   158,
     159,    -1,    -1,   162,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   171,   172,   173,   174,   175,   176,   177,   178,
     179,    -1,   181,    -1,   183,   184,   185,   186,   187,    -1,
     189,   190,   191,    -1,    -1,   194,   195,   196,   197,   198,
      -1,   200,   201,   202,    -1,   204,   205,   206,    -1,   208,
     209,   210,   211,   212,   213,   214,   215,   216,    -1,   218,
      -1,   220,   221,   222,    -1,   224,    -1,   226,    -1,    -1,
      -1,   230,   231,   232,    -1,   234,   235,    -1,   237,    -1,
     239,   240,   241,   242,   243,    -1,   245,   246,   247,    -1,
     249,   250,   251,   252,   253,   254,    -1,   256,    -1,   258,
      -1,   260,   261,   262,    -1,   264,    -1,   266,    -1,   268,
      -1,    -1,   271,    -1,   273,   274,   275,   276,   277,    -1,
     279,   280,    -1,   282,   283,    -1,   285,    -1,    -1,   288,
     289,   290,    -1,    -1,   293,   294,   295,   296,   297,   298,
     299,   300,   301,   302,   303,   304,   305,   306,    -1,   308,
     309,   310,   311,    -1,   313,   314,    -1,   316,    -1,   318,
     319,   320,   321,   322,   323,    -1,   325,    -1,    -1,   328,
     329,   330,    -1,    -1,   333,    -1,    -1,    -1,   337,   338,
     339,   340,   341,   342,   343,   344,    -1,   346,   347,   348,
     349,   350,   351,   352,    -1,   354,   355,   356,   357,   358,
     359,   360,   361,   362,   363,   364,   365,   366,    -1,   368,
     369,   370,   371,   372,   373,   374,   375,   376,   377,   378,
      -1,   380,   381,    -1,   383,   384,   385,   386,   387,   388,
     389,   390,   391,   392,   393,    -1,   395,   396,   397,   398,
     399,    -1,   401,   402,   403,   404,    -1,   406,   407,   408,
      -1,   410,   411,   412,   413,   414,   415,   416,   417,   418,
     419,   420,    -1,   422,   423,    -1,   425,   426,   427,   428,
     429,   430,    -1,   432,   433,    -1,    -1,   436,   437,   438,
     439,    -1,   441,   442,   443,   444,   445,   446,   447,    -1,
      -1,   450,   451,   452,   453,   454,    -1,    -1,   457,   458,
     459,   460,   461,   462,   463,    -1,   465,    -1,   467,   468,
     469,    -1,    -1,   472,    -1,    -1,   475,   476,   477,   478,
     479,   480,   481,   482,   483,   484,   485,   486,   487,   488,
     489,   490,   491,     6,     7,     8,     9,    10,    11,    12,
      13,    -1,    15,    16,    -1,    -1,    19,    20,    21,    22,
      23,    24,    -1,    26,    27,    28,    -1,    -1,    31,    32,
      33,    34,    -1,    -1,    37,    38,    39,    40,    -1,    42,
      -1,    -1,    45,    46,    -1,    -1,    -1,    50,    51,    -1,
      -1,    -1,    -1,    56,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    65,    -1,    67,    -1,    69,    70,    71,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    79,    80,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    91,    92,
      93,    94,    95,    96,    97,    98,    -1,   100,   101,   102,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   110,   111,    -1,
     113,   114,    -1,   116,   117,   118,   119,   120,    -1,   122,
     123,    -1,   125,   126,   127,   128,   129,    -1,    -1,   132,
     133,   134,   135,   136,    -1,   138,   139,   140,   141,   142,
      -1,    -1,    -1,   146,   147,   148,   149,    -1,   151,   152,
      -1,   154,   155,   156,   157,   158,   159,    -1,    -1,   162,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   171,   172,
     173,   174,   175,   176,   177,   178,   179,    -1,   181,    -1,
     183,   184,   185,   186,   187,    -1,   189,   190,   191,    -1,
      -1,   194,   195,   196,   197,   198,    -1,   200,   201,   202,
      -1,   204,   205,   206,    -1,   208,   209,   210,   211,   212,
     213,   214,   215,   216,    -1,   218,    -1,   220,   221,   222,
      -1,   224,    -1,   226,    -1,    -1,    -1,   230,   231,   232,
      -1,   234,   235,    -1,   237,    -1,   239,   240,   241,   242,
     243,    -1,   245,   246,   247,    -1,   249,   250,   251,   252,
     253,   254,    -1,   256,    -1,   258,    -1,   260,   261,   262,
      -1,   264,    -1,   266,    -1,   268,    -1,    -1,   271,    -1,
     273,   274,   275,   276,   277,    -1,   279,   280,    -1,   282,
     283,    -1,   285,    -1,    -1,   288,   289,   290,    -1,    -1,
     293,   294,   295,   296,   297,   298,   299,   300,   301,   302,
     303,   304,   305,   306,    -1,   308,   309,   310,   311,    -1,
     313,   314,    -1,   316,    -1,   318,   319,   320,   321,   322,
     323,    -1,   325,    -1,    -1,   328,   329,   330,    -1,    -1,
     333,    -1,    -1,    -1,   337,   338,   339,   340,   341,   342,
     343,   344,    -1,   346,   347,   348,   349,   350,   351,   352,
      -1,   354,   355,   356,   357,   358,   359,   360,   361,   362,
     363,   364,   365,   366,    -1,   368,   369,   370,   371,   372,
     373,   374,   375,   376,   377,   378,    -1,   380,   381,    -1,
     383,   384,   385,   386,   387,   388,   389,   390,   391,   392,
     393,    -1,   395,   396,   397,   398,   399,    -1,   401,   402,
     403,   404,    -1,   406,   407,   408,    -1,   410,   411,   412,
     413,   414,   415,   416,   417,   418,   419,   420,    -1,   422,
     423,    -1,   425,   426,   427,   428,   429,   430,    -1,   432,
     433,    -1,    -1,   436,   437,   438,   439,    -1,   441,   442,
     443,   444,   445,   446,   447,    -1,    -1,   450,   451,   452,
     453,   454,    -1,    -1,   457,   458,   459,   460,   461,   462,
     463,    -1,   465,    -1,   467,   468,   469,    -1,    -1,   472,
      -1,    -1,   475,   476,   477,   478,   479,   480,   481,   482,
     483,   484,   485,   486,   487,   488,   489,   490,   491,     6,
       7,     8,     9,    10,    11,    12,    13,    -1,    15,    16,
      -1,    -1,    19,    20,    21,    22,    23,    24,    -1,    26,
      27,    28,    -1,    -1,    31,    32,    33,    34,    -1,    -1,
      37,    38,    39,    40,    -1,    42,    -1,    -1,    45,    46,
      -1,    -1,    -1,    50,    51,    -1,    -1,    -1,    -1,    56,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    65,    -1,
      67,    -1,    69,    70,    71,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    79,    80,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    91,    92,    93,    94,    95,    96,
      97,    98,    -1,   100,   101,   102,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   110,   111,    -1,   113,   114,    -1,   116,
     117,   118,   119,   120,    -1,   122,   123,    -1,   125,   126,
     127,   128,   129,    -1,    -1,   132,   133,   134,   135,   136,
      -1,   138,   139,   140,   141,   142,    -1,    -1,    -1,   146,
     147,   148,   149,    -1,   151,   152,    -1,   154,   155,   156,
     157,   158,   159,    -1,    -1,   162,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   171,   172,   173,   174,   175,   176,
     177,   178,   179,    -1,   181,    -1,   183,   184,   185,   186,
     187,    -1,   189,   190,   191,    -1,    -1,   194,   195,   196,
     197,   198,    -1,   200,   201,   202,    -1,   204,   205,   206,
      -1,   208,   209,   210,   211,   212,   213,   214,   215,   216,
      -1,   218,    -1,   220,   221,   222,    -1,   224,    -1,   226,
      -1,    -1,    -1,   230,   231,   232,    -1,   234,   235,    -1,
     237,    -1,   239,   240,   241,   242,   243,    -1,   245,   246,
     247,    -1,   249,   250,   251,   252,   253,   254,    -1,   256,
      -1,   258,    -1,   260,   261,   262,    -1,   264,    -1,   266,
      -1,   268,    -1,    -1,   271,    -1,   273,   274,   275,   276,
     277,    -1,   279,   280,    -1,   282,   283,    -1,   285,    -1,
      -1,   288,   289,   290,    -1,    -1,   293,   294,   295,   296,
     297,   298,   299,   300,   301,   302,   303,   304,   305,   306,
      -1,   308,   309,   310,   311,    -1,   313,   314,    -1,   316,
      -1,   318,   319,   320,   321,   322,   323,    -1,   325,    -1,
      -1,   328,   329,   330,    -1,    -1,   333,    -1,    -1,    -1,
     337,   338,   339,   340,   341,   342,   343,   344,    -1,   346,
     347,   348,   349,   350,   351,   352,    -1,   354,   355,   356,
     357,   358,   359,   360,   361,   362,   363,   364,   365,   366,
      -1,   368,   369,   370,   371,   372,   373,   374,   375,   376,
     377,   378,    -1,   380,   381,    -1,   383,   384,   385,   386,
     387,   388,   389,   390,   391,   392,   393,    -1,   395,   396,
     397,   398,   399,    -1,   401,   402,   403,   404,    -1,   406,
     407,   408,    -1,   410,   411,   412,   413,   414,   415,   416,
     417,   418,   419,   420,    -1,   422,   423,    -1,   425,   426,
     427,   428,   429,   430,    -1,   432,   433,    -1,    -1,   436,
     437,   438,   439,    -1,   441,   442,   443,   444,   445,   446,
     447,    -1,    -1,   450,   451,   452,   453,   454,    -1,    -1,
     457,   458,   459,   460,   461,   462,   463,    -1,   465,    -1,
     467,   468,   469,    -1,    -1,   472,    -1,    -1,   475,   476,
     477,   478,   479,   480,   481,   482,   483,   484,   485,   486,
     487,   488,   489,   490,   491,     6,     7,     8,     9,    10,
      11,    12,    13,    -1,    15,    16,    -1,    -1,    19,    20,
      21,    22,    23,    24,    -1,    26,    27,    28,    -1,    -1,
      31,    32,    33,    34,    -1,    -1,    37,    38,    39,    40,
      -1,    42,    -1,    -1,    45,    46,    -1,    -1,    -1,    50,
      51,    -1,    -1,    -1,    -1,    56,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    65,    -1,    67,    -1,    69,    70,
      71,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    79,    80,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      91,    92,    93,    94,    95,    96,    97,    98,    -1,   100,
     101,   102,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   110,
     111,    -1,   113,   114,    -1,   116,   117,   118,   119,   120,
      -1,   122,   123,    -1,   125,   126,   127,   128,   129,    -1,
      -1,   132,   133,   134,   135,   136,    -1,   138,   139,   140,
     141,   142,    -1,    -1,    -1,   146,   147,   148,   149,    -1,
     151,   152,    -1,   154,   155,   156,   157,   158,   159,    -1,
      -1,   162,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     171,   172,   173,   174,   175,   176,   177,   178,   179,    -1,
     181,    -1,   183,   184,   185,   186,   187,    -1,   189,   190,
     191,    -1,    -1,   194,   195,   196,   197,   198,    -1,   200,
     201,   202,    -1,   204,   205,   206,    -1,   208,   209,   210,
     211,   212,   213,   214,   215,   216,    -1,   218,    -1,   220,
     221,   222,    -1,   224,    -1,   226,    -1,    -1,    -1,   230,
     231,   232,    -1,   234,   235,    -1,   237,    -1,   239,   240,
     241,   242,   243,    -1,   245,   246,   247,    -1,   249,   250,
     251,   252,   253,   254,    -1,   256,    -1,   258,    -1,   260,
     261,   262,    -1,   264,    -1,   266,    -1,   268,    -1,    -1,
     271,    -1,   273,   274,   275,   276,   277,    -1,   279,   280,
      -1,   282,   283,    -1,   285,    -1,    -1,   288,   289,   290,
      -1,    -1,   293,   294,   295,   296,   297,   298,   299,   300,
     301,   302,   303,   304,   305,   306,    -1,   308,   309,   310,
     311,    -1,   313,   314,    -1,   316,    -1,   318,   319,   320,
     321,   322,   323,    -1,   325,    -1,    -1,   328,   329,   330,
      -1,    -1,   333,    -1,    -1,    -1,   337,   338,   339,   340,
     341,   342,   343,   344,    -1,   346,   347,   348,   349,   350,
     351,   352,    -1,   354,   355,   356,   357,   358,   359,   360,
     361,   362,   363,   364,   365,   366,    -1,   368,   369,   370,
     371,   372,   373,   374,   375,   376,   377,   378,    -1,   380,
     381,    -1,   383,   384,   385,   386,   387,   388,   389,   390,
     391,   392,   393,    -1,   395,   396,   397,   398,   399,    -1,
     401,   402,   403,   404,    -1,   406,   407,   408,    -1,   410,
     411,   412,   413,   414,   415,   416,   417,   418,   419,   420,
      -1,   422,   423,    -1,   425,   426,   427,   428,   429,   430,
      -1,   432,   433,    -1,    -1,   436,   437,   438,   439,    -1,
     441,   442,   443,   444,   445,   446,   447,    -1,    -1,   450,
     451,   452,   453,   454,    -1,    -1,   457,   458,   459,   460,
     461,   462,   463,    -1,   465,    -1,   467,   468,   469,    -1,
      -1,   472,    -1,    -1,   475,   476,   477,   478,   479,   480,
     481,   482,   483,   484,   485,   486,   487,   488,   489,   490,
     491,     6,     7,     8,     9,    10,    11,    12,    13,    -1,
      15,    16,    -1,    -1,    19,    20,    21,    22,    23,    24,
      -1,    26,    27,    28,    -1,    -1,    31,    32,    33,    34,
      -1,    -1,    37,    38,    39,    40,    -1,    42,    -1,    -1,
      45,    46,    -1,    -1,    -1,    50,    51,    -1,    -1,    -1,
      -1,    56,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      65,    -1,    67,    -1,    69,    70,    71,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    79,    80,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    91,    92,    93,    94,
      95,    96,    97,    98,    -1,   100,   101,   102,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   110,   111,    -1,   113,   114,
      -1,   116,   117,   118,   119,   120,    -1,   122,   123,    -1,
     125,   126,   127,   128,   129,    -1,    -1,   132,   133,   134,
     135,   136,    -1,   138,   139,   140,   141,   142,    -1,    -1,
      -1,   146,   147,   148,   149,    -1,   151,   152,    -1,   154,
     155,   156,   157,   158,   159,    -1,    -1,   162,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   171,   172,   173,   174,
     175,   176,   177,   178,   179,    -1,   181,    -1,   183,   184,
     185,   186,   187,    -1,   189,   190,   191,    -1,    -1,   194,
     195,   196,   197,   198,    -1,   200,   201,   202,    -1,   204,
     205,   206,    -1,   208,   209,   210,   211,   212,   213,   214,
     215,   216,    -1,   218,    -1,   220,   221,   222,    -1,   224,
      -1,   226,    -1,    -1,    -1,   230,   231,   232,    -1,   234,
     235,    -1,   237,    -1,   239,   240,   241,   242,   243,    -1,
     245,   246,   247,    -1,   249,   250,   251,   252,   253,   254,
      -1,   256,    -1,   258,    -1,   260,   261,   262,    -1,   264,
      -1,   266,    -1,   268,    -1,    -1,   271,    -1,   273,   274,
     275,   276,   277,    -1,   279,   280,    -1,   282,   283,    -1,
     285,    -1,    -1,   288,   289,   290,    -1,    -1,   293,   294,
     295,   296,   297,   298,   299,   300,   301,   302,   303,   304,
     305,   306,    -1,   308,   309,   310,   311,    -1,   313,   314,
      -1,   316,    -1,   318,   319,   320,   321,   322,   323,    -1,
     325,    -1,    -1,   328,   329,   330,    -1,    -1,   333,    -1,
      -1,    -1,   337,   338,   339,   340,   341,   342,   343,   344,
      -1,   346,   347,   348,   349,   350,   351,   352,    -1,   354,
     355,   356,   357,   358,   359,   360,   361,   362,   363,   364,
     365,   366,    -1,   368,   369,   370,   371,   372,   373,   374,
     375,   376,   377,   378,    -1,   380,   381,    -1,   383,   384,
     385,   386,   387,   388,   389,   390,   391,   392,   393,    -1,
     395,   396,   397,   398,   399,    -1,   401,   402,   403,   404,
      -1,   406,   407,   408,    -1,   410,   411,   412,   413,   414,
     415,   416,   417,   418,   419,   420,    -1,   422,   423,    -1,
     425,   426,   427,   428,   429,   430,    -1,   432,   433,    -1,
      -1,   436,   437,   438,   439,    -1,   441,   442,   443,   444,
     445,   446,   447,    -1,    -1,   450,   451,   452,   453,   454,
      -1,    -1,   457,   458,   459,   460,   461,   462,   463,    -1,
     465,    -1,   467,   468,   469,    -1,    -1,   472,    -1,    -1,
     475,   476,   477,   478,   479,   480,   481,   482,   483,   484,
     485,   486,   487,   488,   489,   490,   491,     6,     7,     8,
       9,    10,    11,    12,    13,    -1,    15,    16,    -1,    -1,
      19,    20,    21,    22,    23,    24,    -1,    26,    27,    28,
      -1,    -1,    31,    32,    33,    34,    -1,    -1,    37,    38,
      39,    40,    -1,    42,    -1,    -1,    45,    46,    -1,    -1,
      -1,    50,    51,    -1,    -1,    -1,    -1,    56,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    65,    -1,    67,    -1,
      69,    70,    71,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      79,    80,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    91,    92,    93,    94,    95,    96,    97,    98,
      -1,   100,   101,   102,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   110,   111,    -1,   113,   114,    -1,   116,   117,   118,
     119,   120,    -1,   122,   123,    -1,   125,   126,   127,   128,
     129,    -1,    -1,   132,   133,   134,   135,   136,    -1,   138,
     139,   140,   141,   142,    -1,    -1,    -1,   146,   147,   148,
     149,    -1,   151,   152,    -1,   154,   155,   156,   157,   158,
     159,    -1,    -1,   162,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   171,   172,   173,   174,   175,   176,   177,   178,
     179,    -1,   181,    -1,   183,   184,   185,   186,   187,    -1,
     189,   190,   191,    -1,    -1,   194,   195,   196,   197,   198,
      -1,   200,   201,   202,    -1,   204,   205,   206,    -1,   208,
     209,   210,   211,   212,   213,   214,   215,   216,    -1,   218,
      -1,   220,   221,   222,    -1,   224,    -1,   226,    -1,    -1,
      -1,   230,   231,   232,    -1,   234,   235,    -1,   237,    -1,
     239,   240,   241,   242,   243,    -1,   245,   246,   247,    -1,
     249,   250,   251,   252,   253,   254,    -1,   256,    -1,   258,
      -1,   260,   261,   262,    -1,   264,    -1,   266,    -1,   268,
      -1,    -1,   271,    -1,   273,   274,   275,   276,   277,    -1,
     279,   280,    -1,   282,   283,    -1,   285,    -1,    -1,   288,
     289,   290,    -1,    -1,   293,   294,   295,   296,   297,   298,
     299,   300,   301,   302,   303,   304,   305,   306,    -1,   308,
     309,   310,   311,    -1,   313,   314,    -1,   316,    -1,   318,
     319,   320,   321,   322,   323,    -1,   325,    -1,    -1,   328,
     329,   330,    -1,    -1,   333,    -1,    -1,    -1,   337,   338,
     339,   340,   341,   342,   343,   344,    -1,   346,   347,   348,
     349,   350,   351,   352,    -1,   354,   355,   356,   357,   358,
     359,   360,   361,   362,   363,   364,   365,   366,    -1,   368,
     369,   370,   371,   372,   373,   374,   375,   376,   377,   378,
      -1,   380,   381,    -1,   383,   384,   385,   386,   387,   388,
     389,   390,   391,   392,   393,    -1,   395,   396,   397,   398,
     399,    -1,   401,   402,   403,   404,    -1,   406,   407,   408,
      -1,   410,   411,   412,   413,   414,   415,   416,   417,   418,
     419,   420,    -1,   422,   423,    -1,   425,   426,   427,   428,
     429,   430,    -1,   432,   433,    -1,    -1,   436,   437,   438,
     439,    -1,   441,   442,   443,   444,   445,   446,   447,    -1,
      -1,   450,   451,   452,   453,   454,    -1,    -1,   457,   458,
     459,   460,   461,   462,   463,    -1,   465,    -1,   467,   468,
     469,    -1,    -1,   472,    -1,    -1,   475,   476,   477,   478,
     479,   480,   481,   482,   483,   484,   485,   486,   487,   488,
     489,   490,   491,     6,     7,     8,     9,    10,    11,    12,
      13,    -1,    15,    16,    -1,    -1,    19,    20,    21,    22,
      23,    24,    -1,    26,    27,    28,    -1,    -1,    31,    32,
      33,    34,    -1,    -1,    37,    38,    39,    40,    -1,    42,
      -1,    -1,    45,    46,    -1,    -1,    -1,    50,    51,    -1,
      -1,    -1,    -1,    56,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    65,    -1,    67,    -1,    69,    70,    71,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    79,    80,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    91,    92,
      93,    94,    95,    96,    97,    98,    -1,   100,   101,   102,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   110,   111,    -1,
     113,   114,    -1,   116,   117,   118,   119,   120,    -1,   122,
     123,    -1,   125,   126,   127,   128,   129,    -1,    -1,   132,
     133,   134,   135,   136,    -1,   138,   139,   140,   141,   142,
      -1,    -1,    -1,   146,   147,   148,   149,    -1,   151,   152,
      -1,   154,   155,   156,   157,   158,   159,    -1,    -1,   162,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   171,   172,
     173,   174,   175,   176,   177,   178,   179,    -1,   181,    -1,
     183,   184,   185,   186,   187,    -1,   189,   190,   191,    -1,
      -1,   194,   195,   196,   197,   198,    -1,   200,   201,   202,
      -1,   204,   205,   206,    -1,   208,   209,   210,   211,   212,
     213,   214,   215,   216,    -1,   218,    -1,   220,   221,   222,
      -1,   224,    -1,   226,    -1,    -1,    -1,   230,   231,   232,
      -1,   234,   235,    -1,   237,    -1,   239,   240,   241,   242,
     243,    -1,   245,   246,   247,    -1,   249,   250,   251,   252,
     253,   254,    -1,   256,    -1,   258,    -1,   260,   261,   262,
      -1,   264,    -1,   266,    -1,   268,    -1,    -1,   271,    -1,
     273,   274,   275,   276,   277,    -1,   279,   280,    -1,   282,
     283,    -1,   285,    -1,    -1,   288,   289,   290,    -1,    -1,
     293,   294,   295,   296,   297,   298,   299,   300,   301,   302,
     303,   304,   305,   306,    -1,   308,   309,   310,   311,    -1,
     313,   314,    -1,   316,    -1,   318,   319,   320,   321,   322,
     323,    -1,   325,    -1,    -1,   328,   329,   330,    -1,    -1,
     333,    -1,    -1,    -1,   337,   338,   339,   340,   341,   342,
     343,   344,    -1,   346,   347,   348,   349,   350,   351,   352,
      -1,   354,   355,   356,   357,   358,   359,   360,   361,   362,
     363,   364,   365,   366,    -1,   368,   369,   370,   371,   372,
     373,   374,   375,   376,   377,   378,    -1,   380,   381,    -1,
     383,   384,   385,   386,   387,   388,   389,   390,   391,   392,
     393,    -1,   395,   396,   397,   398,   399,    -1,   401,   402,
     403,   404,    -1,   406,   407,   408,    -1,   410,   411,   412,
     413,   414,   415,   416,   417,   418,   419,   420,    -1,   422,
     423,    -1,   425,   426,   427,   428,   429,   430,    -1,   432,
     433,    -1,    -1,   436,   437,   438,   439,    -1,   441,   442,
     443,   444,   445,   446,   447,    -1,    -1,   450,   451,   452,
     453,   454,    -1,    -1,   457,   458,   459,   460,   461,   462,
     463,    -1,   465,    -1,   467,   468,   469,    -1,    -1,   472,
      -1,    -1,   475,   476,   477,   478,   479,   480,   481,   482,
     483,   484,   485,   486,   487,   488,   489,   490,   491,     6,
       7,     8,     9,    10,    11,    12,    13,    -1,    15,    16,
      -1,    -1,    19,    20,    21,    22,    23,    24,    -1,    26,
      27,    28,    -1,    -1,    31,    32,    33,    34,    -1,    -1,
      37,    38,    39,    40,    -1,    42,    -1,    -1,    45,    46,
      -1,    -1,    -1,    50,    51,    -1,    -1,    -1,    -1,    56,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    65,    -1,
      67,    -1,    69,    70,    71,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    79,    80,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    91,    92,    93,    94,    95,    96,
      97,    98,    -1,   100,   101,   102,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   110,   111,    -1,   113,   114,    -1,   116,
     117,   118,   119,   120,    -1,   122,   123,    -1,   125,   126,
     127,   128,   129,    -1,    -1,   132,   133,   134,   135,   136,
      -1,   138,   139,   140,   141,   142,    -1,    -1,    -1,   146,
     147,   148,   149,    -1,   151,   152,    -1,   154,   155,   156,
     157,   158,   159,    -1,    -1,   162,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   171,   172,   173,   174,   175,   176,
     177,   178,   179,    -1,   181,    -1,   183,   184,   185,   186,
     187,    -1,   189,   190,   191,    -1,    -1,   194,   195,   196,
     197,   198,    -1,   200,   201,   202,    -1,   204,   205,   206,
      -1,   208,   209,   210,   211,   212,   213,   214,   215,   216,
      -1,   218,    -1,   220,   221,   222,    -1,   224,    -1,   226,
      -1,    -1,    -1,   230,   231,   232,    -1,   234,   235,    -1,
     237,    -1,   239,   240,   241,   242,   243,    -1,   245,   246,
     247,    -1,   249,   250,   251,   252,   253,   254,    -1,   256,
      -1,   258,    -1,   260,   261,   262,    -1,   264,    -1,   266,
      -1,   268,    -1,    -1,   271,    -1,   273,   274,   275,   276,
     277,    -1,   279,   280,    -1,   282,   283,    -1,   285,    -1,
      -1,   288,   289,   290,    -1,    -1,   293,   294,   295,   296,
     297,   298,   299,   300,   301,   302,   303,   304,   305,   306,
      -1,   308,   309,   310,   311,    -1,   313,   314,    -1,   316,
      -1,   318,   319,   320,   321,   322,   323,    -1,   325,    -1,
      -1,   328,   329,   330,    -1,    -1,   333,    -1,    -1,    -1,
     337,   338,   339,   340,   341,   342,   343,   344,    -1,   346,
     347,   348,   349,   350,   351,   352,    -1,   354,   355,   356,
     357,   358,   359,   360,   361,   362,   363,   364,   365,   366,
      -1,   368,   369,   370,   371,   372,   373,   374,   375,   376,
     377,   378,    -1,   380,   381,    -1,   383,   384,   385,   386,
     387,   388,   389,   390,   391,   392,   393,    -1,   395,   396,
     397,   398,   399,    -1,   401,   402,   403,   404,    -1,   406,
     407,   408,    -1,   410,   411,   412,   413,   414,   415,   416,
     417,   418,   419,   420,    -1,   422,   423,    -1,   425,   426,
     427,   428,   429,   430,    -1,   432,   433,    -1,    -1,   436,
     437,   438,   439,    -1,   441,   442,   443,   444,   445,   446,
     447,    -1,    -1,   450,   451,   452,   453,   454,    -1,    -1,
     457,   458,   459,   460,   461,   462,   463,    -1,   465,    -1,
     467,   468,   469,    -1,    -1,   472,    -1,    -1,   475,   476,
     477,   478,   479,   480,   481,   482,   483,   484,   485,   486,
     487,   488,   489,   490,   491,     6,     7,     8,     9,    10,
      11,    12,    13,    -1,    15,    16,    -1,    -1,    19,    20,
      21,    22,    23,    24,    -1,    26,    27,    28,    -1,    -1,
      31,    32,    33,    34,    -1,    -1,    37,    38,    39,    40,
      -1,    42,    -1,    -1,    45,    46,    -1,    -1,    -1,    50,
      51,    -1,    -1,    -1,    -1,    56,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    65,    -1,    67,    -1,    69,    70,
      71,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    79,    80,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      91,    92,    93,    94,    95,    96,    97,    98,    -1,   100,
     101,   102,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   110,
     111,    -1,   113,   114,    -1,   116,   117,   118,   119,   120,
      -1,   122,   123,    -1,   125,   126,   127,   128,   129,    -1,
      -1,   132,   133,   134,   135,   136,    -1,   138,   139,   140,
     141,   142,    -1,    -1,    -1,   146,   147,   148,   149,    -1,
     151,   152,    -1,   154,   155,   156,   157,   158,   159,    -1,
      -1,   162,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     171,   172,   173,   174,   175,   176,   177,   178,   179,    -1,
     181,    -1,   183,   184,   185,   186,   187,    -1,   189,   190,
     191,    -1,    -1,   194,   195,   196,   197,   198,    -1,   200,
     201,   202,    -1,   204,   205,   206,    -1,   208,   209,   210,
     211,   212,   213,   214,   215,   216,    -1,   218,    -1,   220,
     221,   222,    -1,   224,    -1,   226,    -1,    -1,    -1,   230,
     231,   232,    -1,   234,   235,    -1,   237,    -1,   239,   240,
     241,   242,   243,    -1,   245,   246,   247,    -1,   249,   250,
     251,   252,   253,   254,    -1,   256,    -1,   258,    -1,   260,
     261,   262,    -1,   264,    -1,   266,    -1,   268,    -1,    -1,
     271,    -1,   273,   274,   275,   276,   277,    -1,   279,   280,
      -1,   282,   283,    -1,   285,    -1,    -1,   288,   289,   290,
      -1,    -1,   293,   294,   295,   296,   297,   298,   299,   300,
     301,   302,   303,   304,   305,   306,    -1,   308,   309,   310,
     311,    -1,   313,   314,    -1,   316,    -1,   318,   319,   320,
     321,   322,   323,    -1,   325,    -1,    -1,   328,   329,   330,
      -1,    -1,   333,    -1,    -1,    -1,   337,   338,   339,   340,
     341,   342,   343,   344,    -1,   346,   347,   348,   349,   350,
     351,   352,    -1,   354,   355,   356,   357,   358,   359,   360,
     361,   362,   363,   364,   365,   366,    -1,   368,   369,   370,
     371,   372,   373,   374,   375,   376,   377,   378,    -1,   380,
     381,    -1,   383,   384,   385,   386,   387,   388,   389,   390,
     391,   392,   393,    -1,   395,   396,   397,   398,   399,    -1,
     401,   402,   403,   404,    -1,   406,   407,   408,    -1,   410,
     411,   412,   413,   414,   415,   416,   417,   418,   419,   420,
      -1,   422,   423,    -1,   425,   426,   427,   428,   429,   430,
      -1,   432,   433,    -1,    -1,   436,   437,   438,   439,    -1,
     441,   442,   443,   444,   445,   446,   447,    -1,    -1,   450,
     451,   452,   453,   454,    -1,    -1,   457,   458,   459,   460,
     461,   462,   463,    -1,   465,    -1,   467,   468,   469,    -1,
      -1,   472,    -1,    -1,   475,   476,   477,   478,   479,   480,
     481,   482,   483,   484,   485,   486,   487,   488,   489,   490,
     491,     6,     7,     8,     9,    10,    11,    12,    13,    -1,
      15,    16,    -1,    -1,    19,    20,    21,    22,    23,    24,
      -1,    26,    27,    28,    -1,    -1,    31,    32,    33,    34,
      -1,    -1,    37,    38,    39,    40,    -1,    42,    -1,    -1,
      45,    46,    -1,    -1,    -1,    50,    51,    -1,    -1,    -1,
      -1,    56,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      65,    -1,    67,    -1,    69,    70,    71,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    79,    80,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    91,    92,    93,    94,
      95,    96,    97,    98,    -1,   100,   101,   102,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   110,   111,    -1,   113,   114,
      -1,   116,   117,   118,   119,   120,    -1,   122,   123,    -1,
     125,   126,   127,   128,   129,    -1,    -1,   132,   133,   134,
     135,   136,    -1,   138,   139,   140,   141,   142,    -1,    -1,
      -1,   146,   147,   148,   149,    -1,   151,   152,    -1,   154,
     155,   156,   157,   158,   159,    -1,    -1,   162,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   171,   172,   173,   174,
     175,   176,   177,   178,   179,    -1,   181,    -1,   183,   184,
     185,   186,   187,    -1,   189,   190,   191,    -1,    -1,   194,
     195,   196,   197,   198,    -1,   200,   201,   202,    -1,   204,
     205,   206,    -1,   208,   209,   210,   211,   212,   213,   214,
     215,   216,    -1,   218,    -1,   220,   221,   222,    -1,   224,
      -1,   226,    -1,    -1,    -1,   230,   231,   232,    -1,   234,
     235,    -1,   237,    -1,   239,   240,   241,   242,   243,    -1,
     245,   246,   247,    -1,   249,   250,   251,   252,   253,   254,
      -1,   256,    -1,   258,    -1,   260,   261,   262,    -1,   264,
      -1,   266,    -1,   268,    -1,    -1,   271,    -1,   273,   274,
     275,   276,   277,    -1,   279,   280,    -1,   282,   283,    -1,
     285,    -1,    -1,   288,   289,   290,    -1,    -1,   293,   294,
     295,   296,   297,   298,   299,   300,   301,   302,   303,   304,
     305,   306,    -1,   308,   309,   310,   311,    -1,   313,   314,
      -1,   316,    -1,   318,   319,   320,   321,   322,   323,    -1,
     325,    -1,    -1,   328,   329,   330,    -1,    -1,   333,    -1,
      -1,    -1,   337,   338,   339,   340,   341,   342,   343,   344,
      -1,   346,   347,   348,   349,   350,   351,   352,    -1,   354,
     355,   356,   357,   358,   359,   360,   361,   362,   363,   364,
     365,   366,    -1,   368,   369,   370,   371,   372,   373,   374,
     375,   376,   377,   378,    -1,   380,   381,    -1,   383,   384,
     385,   386,   387,   388,   389,   390,   391,   392,   393,    -1,
     395,   396,   397,   398,   399,    -1,   401,   402,   403,   404,
      -1,   406,   407,   408,    -1,   410,   411,   412,   413,   414,
     415,   416,   417,   418,   419,   420,    -1,   422,   423,    -1,
     425,   426,   427,   428,   429,   430,    -1,   432,   433,    -1,
      -1,   436,   437,   438,   439,    -1,   441,   442,   443,   444,
     445,   446,   447,    -1,    -1,   450,   451,   452,   453,   454,
      -1,    -1,   457,   458,   459,   460,   461,   462,   463,    -1,
     465,    -1,   467,   468,   469,    -1,    -1,   472,    -1,    -1,
     475,   476,   477,   478,   479,   480,   481,   482,   483,   484,
     485,   486,   487,   488,   489,   490,   491,     6,     7,     8,
       9,    10,    11,    12,    13,    -1,    15,    16,    -1,    -1,
      19,    20,    21,    22,    23,    24,    -1,    26,    27,    28,
      -1,    -1,    31,    32,    33,    34,    -1,    -1,    37,    38,
      39,    40,    -1,    42,    -1,    -1,    45,    46,    -1,    -1,
      -1,    50,    51,    -1,    -1,    -1,    -1,    56,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    65,    -1,    67,    -1,
      69,    70,    71,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      79,    80,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    91,    92,    93,    94,    95,    96,    97,    98,
      -1,   100,   101,   102,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   110,   111,    -1,   113,   114,    -1,   116,   117,   118,
     119,   120,    -1,   122,   123,    -1,   125,   126,   127,   128,
     129,    -1,    -1,   132,   133,   134,   135,   136,    -1,   138,
     139,   140,   141,   142,    -1,    -1,    -1,   146,   147,   148,
     149,    -1,   151,   152,    -1,   154,   155,   156,   157,   158,
     159,    -1,    -1,   162,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   171,   172,   173,   174,   175,   176,   177,   178,
     179,    -1,   181,    -1,   183,   184,   185,   186,   187,    -1,
     189,   190,   191,    -1,    -1,   194,   195,   196,   197,   198,
      -1,   200,   201,   202,    -1,   204,   205,   206,    -1,   208,
     209,   210,   211,   212,   213,   214,   215,   216,    -1,   218,
      -1,   220,   221,   222,    -1,   224,    -1,   226,    -1,    -1,
      -1,   230,   231,   232,    -1,   234,   235,    -1,   237,    -1,
     239,   240,   241,   242,   243,    -1,   245,   246,   247,    -1,
     249,   250,   251,   252,   253,   254,    -1,   256,    -1,   258,
      -1,   260,   261,   262,    -1,   264,    -1,   266,    -1,   268,
      -1,    -1,   271,    -1,   273,   274,   275,   276,   277,    -1,
     279,   280,    -1,   282,   283,    -1,   285,    -1,    -1,   288,
     289,   290,    -1,    -1,   293,   294,   295,   296,   297,   298,
     299,   300,   301,   302,   303,   304,   305,   306,    -1,   308,
     309,   310,   311,    -1,   313,   314,    -1,   316,    -1,   318,
     319,   320,   321,   322,   323,    -1,   325,    -1,    -1,   328,
     329,   330,    -1,    -1,   333,    -1,    -1,    -1,   337,   338,
     339,   340,   341,   342,   343,   344,    -1,   346,   347,   348,
     349,   350,   351,   352,    -1,   354,   355,   356,   357,   358,
     359,   360,   361,   362,   363,   364,   365,   366,    -1,   368,
     369,   370,   371,   372,   373,   374,   375,   376,   377,   378,
      -1,   380,   381,    -1,   383,   384,   385,   386,   387,   388,
     389,   390,   391,   392,   393,    -1,   395,   396,   397,   398,
     399,    -1,   401,   402,   403,   404,    -1,   406,   407,   408,
      -1,   410,   411,   412,   413,   414,   415,   416,   417,   418,
     419,   420,    -1,   422,   423,    -1,   425,   426,   427,   428,
     429,   430,    -1,   432,   433,    -1,    -1,   436,   437,   438,
     439,    -1,   441,   442,   443,   444,   445,   446,   447,    -1,
      -1,   450,   451,   452,   453,   454,    -1,    -1,   457,   458,
     459,   460,   461,   462,   463,    -1,   465,    -1,   467,   468,
     469,    -1,    -1,   472,    -1,    -1,   475,   476,   477,   478,
     479,   480,   481,   482,   483,   484,   485,   486,   487,   488,
     489,   490,   491,     6,     7,     8,     9,    10,    11,    12,
      13,    -1,    15,    16,    -1,    -1,    19,    20,    21,    22,
      23,    24,    -1,    26,    27,    28,    -1,    -1,    31,    32,
      33,    34,    -1,    -1,    37,    38,    39,    40,    -1,    42,
      -1,    -1,    45,    46,    -1,    -1,    -1,    50,    51,    -1,
      -1,    -1,    -1,    56,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    65,    -1,    67,    -1,    69,    70,    71,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    79,    80,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    91,    92,
      93,    94,    95,    96,    97,    98,    -1,   100,   101,   102,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   110,   111,    -1,
     113,   114,   115,   116,   117,   118,   119,   120,    -1,   122,
     123,    -1,   125,   126,   127,   128,   129,    -1,    -1,   132,
     133,   134,   135,   136,    -1,   138,   139,   140,   141,   142,
      -1,    -1,    -1,   146,   147,   148,   149,    -1,   151,    -1,
      -1,   154,   155,   156,   157,   158,   159,    -1,    -1,   162,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   171,   172,
     173,   174,   175,   176,   177,   178,   179,    -1,   181,    -1,
     183,   184,   185,   186,   187,    -1,   189,   190,   191,    -1,
      -1,   194,   195,   196,   197,   198,    -1,   200,   201,   202,
      -1,   204,   205,   206,    -1,   208,   209,   210,   211,   212,
     213,   214,   215,   216,    -1,   218,    -1,   220,   221,   222,
      -1,   224,    -1,   226,    -1,    -1,    -1,   230,   231,   232,
      -1,   234,   235,    -1,   237,    -1,   239,   240,   241,   242,
     243,    -1,   245,   246,   247,    -1,   249,   250,   251,   252,
     253,   254,    -1,   256,    -1,   258,    -1,   260,   261,   262,
      -1,   264,    -1,   266,    -1,   268,    -1,    -1,   271,    -1,
     273,   274,   275,   276,   277,    -1,   279,   280,    -1,   282,
     283,    -1,   285,    -1,    -1,   288,   289,   290,    -1,    -1,
     293,   294,   295,   296,   297,   298,   299,   300,   301,   302,
     303,   304,   305,   306,    -1,   308,   309,   310,   311,    -1,
     313,   314,    -1,   316,    -1,   318,   319,   320,   321,   322,
     323,    -1,   325,    -1,    -1,   328,   329,   330,    -1,    -1,
     333,    -1,    -1,    -1,   337,   338,   339,   340,   341,   342,
     343,   344,    -1,   346,   347,   348,   349,   350,   351,   352,
      -1,   354,   355,   356,   357,   358,   359,   360,   361,   362,
     363,   364,   365,   366,    -1,   368,   369,   370,   371,   372,
     373,   374,   375,   376,   377,   378,    -1,   380,   381,    -1,
     383,   384,   385,   386,   387,   388,   389,   390,   391,   392,
     393,    -1,   395,   396,   397,   398,   399,    -1,   401,   402,
     403,   404,    -1,   406,   407,   408,    -1,   410,   411,   412,
     413,   414,   415,   416,   417,   418,   419,   420,    -1,   422,
     423,    -1,   425,   426,   427,   428,   429,   430,    -1,   432,
     433,    -1,    -1,   436,   437,   438,   439,    -1,   441,   442,
     443,   444,   445,   446,   447,    -1,    -1,   450,   451,   452,
     453,   454,    -1,    -1,   457,   458,   459,   460,   461,   462,
     463,    -1,   465,    -1,   467,   468,   469,    -1,    -1,   472,
      -1,    -1,   475,   476,   477,   478,   479,   480,   481,   482,
     483,   484,   485,   486,   487,   488,   489,   490,   491,     6,
       7,     8,     9,    10,    11,    12,    13,    -1,    15,    16,
      -1,    -1,    19,    20,    21,    22,    23,    24,    -1,    26,
      27,    28,    -1,    -1,    31,    32,    33,    34,    -1,    -1,
      37,    38,    39,    40,    -1,    42,    -1,    -1,    45,    46,
      -1,    -1,    -1,    50,    51,    -1,    -1,    -1,    -1,    56,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    65,    -1,
      67,    -1,    69,    70,    71,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    79,    80,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    91,    92,    93,    94,    95,    96,
      97,    98,    -1,   100,   101,   102,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   110,   111,    -1,   113,   114,    -1,   116,
     117,   118,   119,   120,    -1,   122,   123,    -1,   125,   126,
     127,   128,   129,    -1,    -1,   132,   133,   134,   135,   136,
      -1,   138,   139,   140,   141,   142,    -1,    -1,    -1,   146,
     147,   148,   149,    -1,   151,   152,    -1,   154,   155,   156,
     157,   158,   159,    -1,    -1,   162,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   171,   172,   173,   174,   175,   176,
     177,   178,   179,    -1,   181,    -1,   183,   184,   185,   186,
     187,    -1,   189,   190,   191,    -1,    -1,   194,   195,   196,
     197,   198,    -1,   200,   201,   202,    -1,   204,   205,   206,
      -1,   208,   209,   210,   211,   212,   213,   214,   215,   216,
      -1,   218,    -1,   220,   221,   222,    -1,   224,    -1,   226,
      -1,    -1,    -1,   230,   231,   232,    -1,   234,   235,    -1,
     237,    -1,   239,   240,   241,   242,   243,    -1,   245,   246,
     247,    -1,   249,   250,   251,   252,   253,   254,    -1,   256,
      -1,   258,    -1,   260,   261,   262,    -1,   264,    -1,   266,
      -1,   268,    -1,    -1,   271,    -1,   273,   274,   275,   276,
     277,    -1,   279,   280,    -1,   282,   283,    -1,   285,    -1,
      -1,   288,   289,   290,    -1,    -1,   293,   294,   295,   296,
     297,   298,   299,   300,   301,   302,   303,   304,   305,   306,
      -1,   308,   309,   310,   311,    -1,   313,   314,    -1,   316,
      -1,   318,   319,   320,   321,   322,   323,    -1,   325,    -1,
      -1,   328,   329,   330,    -1,    -1,   333,    -1,    -1,    -1,
     337,   338,   339,   340,   341,   342,   343,   344,    -1,   346,
     347,   348,   349,   350,   351,   352,    -1,   354,   355,   356,
     357,   358,   359,   360,   361,   362,   363,   364,   365,   366,
      -1,   368,   369,   370,   371,   372,   373,   374,   375,   376,
     377,   378,    -1,   380,   381,    -1,   383,   384,   385,   386,
     387,   388,   389,   390,   391,   392,   393,    -1,   395,   396,
     397,   398,   399,    -1,   401,   402,   403,   404,    -1,   406,
     407,   408,    -1,   410,   411,   412,   413,   414,   415,   416,
     417,   418,   419,   420,    -1,   422,   423,    -1,   425,   426,
     427,   428,   429,   430,    -1,   432,   433,    -1,    -1,   436,
     437,   438,   439,    -1,   441,   442,   443,   444,   445,   446,
     447,    -1,    -1,   450,   451,   452,   453,   454,    -1,    -1,
     457,   458,   459,   460,   461,   462,   463,    -1,   465,    -1,
     467,   468,   469,    -1,    -1,   472,    -1,    -1,   475,   476,
     477,   478,   479,   480,   481,   482,   483,   484,   485,   486,
     487,   488,   489,   490,   491,     6,     7,     8,     9,    10,
      11,    12,    13,    -1,    15,    16,    -1,    -1,    19,    20,
      21,    22,    23,    24,    -1,    26,    27,    28,    -1,    -1,
      31,    32,    33,    34,    -1,    -1,    37,    38,    39,    40,
      -1,    42,    -1,    -1,    45,    46,    -1,    -1,    -1,    50,
      51,    -1,    -1,    -1,    -1,    56,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    65,    -1,    67,    -1,    69,    70,
      71,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    79,    80,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      91,    92,    93,    94,    95,    96,    97,    98,    -1,   100,
     101,   102,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   110,
     111,    -1,   113,   114,    -1,   116,   117,   118,   119,   120,
      -1,   122,   123,    -1,   125,   126,   127,   128,   129,    -1,
      -1,   132,   133,   134,   135,   136,    -1,   138,   139,   140,
     141,   142,    -1,    -1,    -1,   146,   147,   148,   149,    -1,
     151,   152,    -1,   154,   155,   156,   157,   158,   159,    -1,
      -1,   162,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     171,   172,   173,   174,   175,   176,   177,   178,   179,    -1,
     181,    -1,   183,   184,   185,   186,   187,    -1,   189,   190,
     191,    -1,    -1,   194,   195,   196,   197,   198,    -1,   200,
     201,   202,    -1,   204,   205,   206,    -1,   208,   209,   210,
     211,   212,   213,   214,   215,   216,    -1,   218,    -1,   220,
     221,   222,    -1,   224,    -1,   226,    -1,    -1,    -1,   230,
     231,   232,    -1,   234,   235,    -1,   237,    -1,   239,   240,
     241,   242,   243,    -1,   245,   246,   247,    -1,   249,   250,
     251,   252,   253,   254,    -1,   256,    -1,   258,    -1,   260,
     261,   262,    -1,   264,    -1,   266,    -1,   268,    -1,    -1,
     271,    -1,   273,   274,   275,   276,   277,    -1,   279,   280,
      -1,   282,   283,    -1,   285,    -1,    -1,   288,   289,   290,
      -1,    -1,   293,   294,   295,   296,   297,   298,   299,   300,
     301,   302,   303,   304,   305,   306,    -1,   308,   309,   310,
     311,    -1,   313,   314,    -1,   316,    -1,   318,   319,   320,
     321,   322,   323,    -1,   325,    -1,    -1,   328,   329,   330,
      -1,    -1,   333,    -1,    -1,    -1,   337,   338,   339,   340,
     341,   342,   343,   344,    -1,   346,   347,   348,   349,   350,
     351,   352,    -1,   354,   355,   356,   357,   358,   359,   360,
     361,   362,   363,   364,   365,   366,    -1,   368,   369,   370,
     371,   372,   373,   374,   375,   376,   377,   378,    -1,   380,
     381,    -1,   383,   384,   385,   386,   387,   388,   389,   390,
     391,   392,   393,    -1,   395,   396,   397,   398,   399,    -1,
     401,   402,   403,   404,    -1,   406,   407,   408,    -1,   410,
     411,   412,   413,   414,   415,   416,   417,   418,   419,   420,
      -1,   422,   423,    -1,   425,   426,   427,   428,   429,   430,
      -1,   432,   433,    -1,    -1,   436,   437,   438,   439,    -1,
     441,   442,   443,   444,   445,   446,   447,    -1,    -1,   450,
     451,   452,   453,   454,    -1,    -1,   457,   458,   459,   460,
     461,   462,   463,    -1,   465,    -1,   467,   468,   469,    -1,
      -1,   472,    -1,    -1,   475,   476,   477,   478,   479,   480,
     481,   482,   483,   484,   485,   486,   487,   488,   489,   490,
     491,     6,     7,     8,     9,    10,    11,    12,    13,    -1,
      15,    16,    -1,    -1,    19,    20,    21,    22,    23,    24,
      -1,    26,    27,    28,    -1,    -1,    31,    32,    33,    34,
      -1,    -1,    37,    38,    39,    40,    -1,    42,    -1,    -1,
      45,    46,    -1,    -1,    -1,    50,    51,    -1,    -1,    -1,
      -1,    56,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      65,    -1,    67,    -1,    69,    70,    71,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    79,    80,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    91,    92,    93,    94,
      95,    96,    97,    98,    -1,   100,   101,   102,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   110,   111,    -1,   113,   114,
      -1,   116,   117,   118,   119,   120,    -1,   122,   123,    -1,
     125,   126,   127,   128,   129,    -1,    -1,   132,   133,   134,
     135,   136,    -1,   138,   139,   140,   141,   142,    -1,    -1,
      -1,   146,   147,   148,   149,    -1,   151,   152,    -1,   154,
     155,   156,   157,   158,   159,    -1,    -1,   162,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   171,   172,   173,   174,
     175,   176,   177,   178,   179,    -1,   181,    -1,   183,   184,
     185,   186,   187,    -1,   189,   190,   191,    -1,    -1,   194,
     195,   196,   197,   198,    -1,   200,   201,   202,    -1,   204,
     205,   206,    -1,   208,   209,   210,   211,   212,   213,   214,
     215,   216,    -1,   218,    -1,   220,   221,   222,    -1,   224,
      -1,   226,    -1,    -1,    -1,   230,   231,   232,    -1,   234,
     235,    -1,   237,    -1,   239,   240,   241,   242,   243,    -1,
     245,   246,   247,    -1,   249,   250,   251,   252,   253,   254,
      -1,   256,    -1,   258,    -1,   260,   261,   262,    -1,   264,
      -1,   266,    -1,   268,    -1,    -1,   271,    -1,   273,   274,
     275,   276,   277,    -1,   279,   280,    -1,   282,   283,    -1,
     285,    -1,    -1,   288,   289,   290,    -1,    -1,   293,   294,
     295,   296,   297,   298,   299,   300,   301,   302,   303,   304,
     305,   306,    -1,   308,   309,   310,   311,    -1,   313,   314,
      -1,   316,    -1,   318,   319,   320,   321,   322,   323,    -1,
     325,    -1,    -1,   328,   329,   330,    -1,    -1,   333,    -1,
      -1,    -1,   337,   338,   339,   340,   341,   342,   343,   344,
      -1,   346,   347,   348,   349,   350,   351,   352,    -1,   354,
     355,   356,   357,   358,   359,   360,   361,   362,   363,   364,
     365,   366,    -1,   368,   369,   370,   371,   372,   373,   374,
     375,   376,   377,   378,    -1,   380,   381,    -1,   383,   384,
     385,   386,   387,   388,   389,   390,   391,   392,   393,    -1,
     395,   396,   397,   398,   399,    -1,   401,   402,   403,   404,
      -1,   406,   407,   408,    -1,   410,   411,   412,   413,   414,
     415,   416,   417,   418,   419,   420,    -1,   422,   423,    -1,
     425,   426,   427,   428,   429,   430,    -1,   432,   433,    -1,
      -1,   436,   437,   438,   439,    -1,   441,   442,   443,   444,
     445,   446,   447,    -1,    -1,   450,   451,   452,   453,   454,
      -1,    -1,   457,   458,   459,   460,   461,   462,   463,    -1,
     465,    -1,   467,   468,   469,    -1,    -1,   472,    -1,    -1,
     475,   476,   477,   478,   479,   480,   481,   482,   483,   484,
     485,   486,   487,   488,   489,   490,   491,     6,     7,     8,
       9,    10,    11,    12,    13,    -1,    15,    16,    -1,    -1,
      19,    20,    21,    22,    23,    24,    -1,    26,    27,    28,
      -1,    -1,    31,    32,    33,    34,    -1,    -1,    37,    38,
      39,    40,    -1,    42,    -1,    -1,    45,    46,    -1,    -1,
      -1,    50,    51,    -1,    -1,    -1,    -1,    56,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    65,    -1,    67,    -1,
      69,    70,    71,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      79,    80,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    91,    92,    93,    94,    95,    96,    97,    98,
      -1,   100,   101,   102,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   110,   111,    -1,   113,   114,    -1,   116,   117,   118,
     119,   120,    -1,   122,   123,    -1,   125,   126,   127,   128,
     129,    -1,    -1,   132,   133,   134,   135,   136,    -1,   138,
     139,   140,   141,   142,    -1,    -1,    -1,   146,   147,   148,
     149,    -1,   151,   152,    -1,   154,   155,   156,   157,   158,
     159,    -1,    -1,   162,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   171,   172,   173,   174,   175,   176,   177,   178,
     179,    -1,   181,    -1,   183,   184,   185,   186,   187,    -1,
     189,   190,   191,    -1,    -1,   194,   195,   196,   197,   198,
      -1,   200,   201,   202,    -1,   204,   205,   206,    -1,   208,
     209,   210,   211,   212,   213,   214,   215,   216,    -1,   218,
      -1,   220,   221,   222,    -1,   224,    -1,   226,    -1,    -1,
      -1,   230,   231,   232,    -1,   234,   235,    -1,   237,    -1,
     239,   240,   241,   242,   243,    -1,   245,   246,   247,    -1,
     249,   250,   251,   252,   253,   254,    -1,   256,    -1,   258,
      -1,   260,   261,   262,    -1,   264,    -1,   266,    -1,   268,
      -1,    -1,   271,    -1,   273,   274,   275,   276,   277,    -1,
     279,   280,    -1,   282,   283,    -1,   285,    -1,    -1,   288,
     289,   290,    -1,    -1,   293,   294,   295,   296,   297,   298,
     299,   300,   301,   302,   303,   304,   305,   306,    -1,   308,
     309,   310,   311,    -1,   313,   314,    -1,   316,    -1,   318,
     319,   320,   321,   322,   323,    -1,   325,    -1,    -1,   328,
     329,   330,    -1,    -1,   333,    -1,    -1,    -1,   337,   338,
     339,   340,   341,   342,   343,   344,    -1,   346,   347,   348,
     349,   350,   351,   352,    -1,   354,   355,   356,   357,   358,
     359,   360,   361,   362,   363,   364,   365,   366,    -1,   368,
     369,   370,   371,   372,   373,   374,   375,   376,   377,   378,
      -1,   380,   381,    -1,   383,   384,   385,   386,   387,   388,
     389,   390,   391,   392,   393,    -1,   395,   396,   397,   398,
     399,    -1,   401,   402,   403,   404,    -1,   406,   407,   408,
      -1,   410,   411,   412,   413,   414,   415,   416,   417,   418,
     419,   420,    -1,   422,   423,    -1,   425,   426,   427,   428,
     429,   430,    -1,   432,   433,    -1,    -1,   436,   437,   438,
     439,    -1,   441,   442,   443,   444,   445,   446,   447,    -1,
      -1,   450,   451,   452,   453,   454,    -1,    -1,   457,   458,
     459,   460,   461,   462,   463,    -1,   465,    -1,   467,   468,
     469,    -1,    -1,   472,    -1,    -1,   475,   476,   477,   478,
     479,   480,   481,   482,   483,   484,   485,   486,   487,   488,
     489,   490,   491,     6,     7,     8,     9,    10,    11,    12,
      13,    -1,    15,    16,    -1,    -1,    19,    20,    21,    22,
      23,    24,    -1,    26,    27,    28,    -1,    -1,    31,    32,
      33,    34,    -1,    -1,    37,    38,    39,    40,    -1,    42,
      -1,    -1,    45,    46,    -1,    -1,    -1,    50,    51,    -1,
      -1,    -1,    -1,    56,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    65,    -1,    67,    -1,    69,    70,    71,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    79,    80,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    91,    92,
      93,    94,    95,    96,    97,    98,    -1,   100,   101,   102,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   110,   111,    -1,
     113,   114,    -1,   116,   117,   118,   119,   120,    -1,   122,
     123,    -1,   125,   126,   127,   128,   129,    -1,    -1,   132,
     133,   134,   135,   136,    -1,   138,   139,   140,   141,   142,
      -1,    -1,    -1,   146,   147,   148,   149,    -1,   151,   152,
      -1,   154,   155,   156,   157,   158,   159,    -1,    -1,   162,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   171,   172,
     173,   174,   175,   176,   177,   178,   179,    -1,   181,    -1,
     183,   184,   185,   186,   187,    -1,   189,   190,   191,    -1,
      -1,   194,   195,   196,   197,   198,    -1,   200,   201,   202,
      -1,   204,   205,   206,    -1,   208,   209,   210,   211,   212,
     213,   214,   215,   216,    -1,   218,    -1,   220,   221,   222,
      -1,   224,    -1,   226,    -1,    -1,    -1,   230,   231,   232,
      -1,   234,   235,    -1,   237,    -1,   239,   240,   241,   242,
     243,    -1,   245,   246,   247,    -1,   249,   250,   251,   252,
     253,   254,    -1,   256,    -1,   258,    -1,   260,   261,   262,
      -1,   264,    -1,   266,    -1,   268,    -1,    -1,   271,    -1,
     273,   274,   275,   276,   277,    -1,   279,   280,    -1,   282,
     283,    -1,   285,    -1,    -1,   288,   289,   290,    -1,    -1,
     293,   294,   295,   296,   297,   298,   299,   300,   301,   302,
     303,   304,   305,   306,    -1,   308,   309,   310,   311,    -1,
     313,   314,    -1,   316,    -1,   318,   319,   320,   321,   322,
     323,    -1,   325,    -1,    -1,   328,   329,   330,    -1,    -1,
     333,    -1,    -1,    -1,   337,   338,   339,   340,   341,   342,
     343,   344,    -1,   346,   347,   348,   349,   350,   351,   352,
      -1,   354,   355,   356,   357,   358,   359,   360,   361,   362,
     363,   364,   365,   366,    -1,   368,   369,   370,   371,   372,
     373,   374,   375,   376,   377,   378,    -1,   380,   381,    -1,
     383,   384,   385,   386,   387,   388,   389,   390,   391,   392,
     393,    -1,   395,   396,   397,   398,   399,    -1,   401,   402,
     403,   404,    -1,   406,   407,   408,    -1,   410,   411,   412,
     413,   414,   415,   416,   417,   418,   419,   420,    -1,   422,
     423,    -1,   425,   426,   427,   428,   429,   430,    -1,   432,
     433,    -1,    -1,   436,   437,   438,   439,    -1,   441,   442,
     443,   444,   445,   446,   447,    -1,    -1,   450,   451,   452,
     453,   454,    -1,    -1,   457,   458,   459,   460,   461,   462,
     463,    -1,   465,    -1,   467,   468,   469,    -1,    -1,   472,
      -1,    -1,   475,   476,   477,   478,   479,   480,   481,   482,
     483,   484,   485,   486,   487,   488,   489,   490,   491,     6,
       7,     8,     9,    10,    11,    12,    13,    -1,    15,    16,
      -1,    -1,    19,    20,    21,    22,    23,    24,    -1,    26,
      27,    28,    -1,    -1,    31,    32,    33,    34,    -1,    -1,
      37,    38,    39,    40,    -1,    42,    -1,    -1,    45,    46,
      -1,    -1,    -1,    50,    51,    -1,    -1,    -1,    -1,    56,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    65,    -1,
      67,    -1,    69,    70,    71,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    79,    80,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    91,    92,    93,    94,    95,    96,
      97,    98,    -1,   100,   101,   102,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   110,   111,    -1,   113,   114,    -1,   116,
     117,   118,   119,   120,    -1,   122,   123,    -1,   125,   126,
     127,   128,   129,    -1,    -1,   132,   133,   134,   135,   136,
      -1,   138,   139,   140,   141,   142,    -1,    -1,    -1,   146,
     147,   148,   149,    -1,   151,   152,    -1,   154,   155,   156,
     157,   158,   159,    -1,    -1,   162,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   171,   172,   173,   174,   175,   176,
     177,   178,   179,    -1,   181,    -1,   183,   184,   185,   186,
     187,    -1,   189,   190,   191,    -1,    -1,   194,   195,   196,
     197,   198,    -1,   200,   201,   202,    -1,   204,   205,   206,
      -1,   208,   209,   210,   211,   212,   213,   214,   215,   216,
      -1,   218,    -1,   220,   221,   222,    -1,   224,    -1,   226,
      -1,    -1,    -1,   230,   231,   232,    -1,   234,   235,    -1,
     237,    -1,   239,   240,   241,   242,   243,    -1,   245,   246,
     247,    -1,   249,   250,   251,   252,   253,   254,    -1,   256,
      -1,   258,    -1,   260,   261,   262,    -1,   264,    -1,   266,
      -1,   268,    -1,    -1,   271,    -1,   273,   274,   275,   276,
     277,    -1,   279,   280,    -1,   282,   283,    -1,   285,    -1,
      -1,   288,   289,   290,    -1,    -1,   293,   294,   295,   296,
     297,   298,   299,   300,   301,   302,   303,   304,   305,   306,
      -1,   308,   309,   310,   311,    -1,   313,   314,    -1,   316,
      -1,   318,   319,   320,   321,   322,   323,    -1,   325,    -1,
      -1,   328,   329,   330,    -1,    -1,   333,    -1,    -1,    -1,
     337,   338,   339,   340,   341,   342,   343,   344,    -1,   346,
     347,   348,   349,   350,   351,   352,    -1,   354,   355,   356,
     357,   358,   359,   360,   361,   362,   363,   364,   365,   366,
      -1,   368,   369,   370,   371,   372,   373,   374,   375,   376,
     377,   378,    -1,   380,   381,    -1,   383,   384,   385,   386,
     387,   388,   389,   390,   391,   392,   393,    -1,   395,   396,
     397,   398,   399,    -1,   401,   402,   403,   404,    -1,   406,
     407,   408,    -1,   410,   411,   412,   413,   414,   415,   416,
     417,   418,   419,   420,    -1,   422,   423,    -1,   425,   426,
     427,   428,   429,   430,    -1,   432,   433,    -1,    -1,   436,
     437,   438,   439,    -1,   441,   442,   443,   444,   445,   446,
     447,    -1,    -1,   450,   451,   452,   453,   454,    -1,    -1,
     457,   458,   459,   460,   461,   462,   463,    -1,   465,    -1,
     467,   468,   469,    -1,    -1,   472,    -1,    -1,   475,   476,
     477,   478,   479,   480,   481,   482,   483,   484,   485,   486,
     487,   488,   489,   490,   491,     6,     7,     8,     9,    10,
      11,    12,    13,    -1,    15,    16,    -1,    -1,    19,    20,
      21,    22,    23,    24,    -1,    26,    27,    28,    -1,    -1,
      31,    32,    33,    34,    -1,    -1,    37,    38,    39,    40,
      -1,    42,    -1,    -1,    45,    46,    -1,    -1,    -1,    50,
      51,    -1,    -1,    -1,    -1,    56,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    65,    -1,    67,    -1,    69,    70,
      71,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    79,    80,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      91,    92,    93,    94,    95,    96,    97,    98,    -1,   100,
     101,   102,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   110,
     111,    -1,   113,   114,    -1,   116,   117,   118,   119,   120,
      -1,   122,   123,    -1,   125,   126,   127,   128,   129,    -1,
      -1,   132,   133,   134,   135,   136,    -1,   138,   139,   140,
     141,   142,    -1,    -1,    -1,   146,   147,   148,   149,    -1,
     151,   152,    -1,   154,   155,   156,   157,   158,   159,    -1,
      -1,   162,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     171,   172,   173,   174,   175,   176,   177,   178,   179,    -1,
     181,    -1,   183,   184,   185,   186,   187,    -1,   189,   190,
     191,    -1,    -1,   194,   195,   196,   197,   198,    -1,   200,
     201,   202,    -1,   204,   205,   206,    -1,   208,   209,   210,
     211,   212,   213,   214,   215,   216,    -1,   218,    -1,   220,
     221,   222,    -1,   224,    -1,   226,    -1,    -1,    -1,   230,
     231,   232,    -1,   234,   235,    -1,   237,    -1,   239,   240,
     241,   242,   243,    -1,   245,   246,   247,    -1,   249,   250,
     251,   252,   253,   254,    -1,   256,    -1,   258,    -1,   260,
     261,   262,    -1,   264,    -1,   266,    -1,   268,    -1,    -1,
     271,    -1,   273,   274,   275,   276,   277,    -1,   279,   280,
      -1,   282,   283,    -1,   285,    -1,    -1,   288,   289,   290,
      -1,    -1,   293,   294,   295,   296,   297,   298,   299,   300,
     301,   302,   303,   304,   305,   306,    -1,   308,   309,   310,
     311,    -1,   313,   314,    -1,   316,    -1,   318,   319,   320,
     321,   322,   323,    -1,   325,    -1,    -1,   328,   329,   330,
      -1,    -1,   333,    -1,    -1,    -1,   337,   338,   339,   340,
     341,   342,   343,   344,    -1,   346,   347,   348,   349,   350,
     351,   352,    -1,   354,   355,   356,   357,   358,   359,   360,
     361,   362,   363,   364,   365,   366,    -1,   368,   369,   370,
     371,   372,   373,   374,   375,   376,   377,   378,    -1,   380,
     381,    -1,   383,   384,   385,   386,   387,   388,   389,   390,
     391,   392,   393,    -1,   395,   396,   397,   398,   399,    -1,
     401,   402,   403,   404,    -1,   406,   407,   408,    -1,   410,
     411,   412,   413,   414,   415,   416,   417,   418,   419,   420,
      -1,   422,   423,    -1,   425,   426,   427,   428,   429,   430,
      -1,   432,   433,    -1,    -1,   436,   437,   438,   439,    -1,
     441,   442,   443,   444,   445,   446,   447,    -1,    -1,   450,
     451,   452,   453,   454,    -1,    -1,   457,   458,   459,   460,
     461,   462,   463,    -1,   465,    -1,   467,   468,   469,    -1,
      -1,   472,    -1,    -1,   475,   476,   477,   478,   479,   480,
     481,   482,   483,   484,   485,   486,   487,   488,   489,   490,
     491,     6,     7,     8,     9,    10,    11,    12,    13,    -1,
      15,    16,    -1,    -1,    19,    20,    21,    22,    23,    24,
      -1,    26,    27,    28,    -1,    -1,    31,    32,    33,    34,
      -1,    -1,    37,    38,    39,    40,    -1,    42,    -1,    -1,
      45,    46,    -1,    -1,    -1,    50,    51,    -1,    -1,    -1,
      -1,    56,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      65,    -1,    67,    -1,    69,    70,    71,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    79,    80,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    91,    92,    93,    94,
      95,    96,    97,    98,    -1,   100,   101,   102,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   110,   111,    -1,   113,   114,
      -1,   116,   117,   118,   119,   120,    -1,   122,   123,    -1,
     125,   126,   127,   128,   129,    -1,    -1,   132,   133,   134,
     135,   136,    -1,   138,   139,   140,   141,   142,    -1,    -1,
      -1,   146,   147,   148,   149,    -1,   151,   152,    -1,   154,
     155,   156,   157,   158,   159,    -1,    -1,   162,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   171,   172,   173,   174,
     175,   176,   177,   178,   179,    -1,   181,    -1,   183,   184,
     185,   186,   187,    -1,   189,   190,   191,    -1,    -1,   194,
     195,   196,   197,   198,    -1,   200,   201,   202,    -1,   204,
     205,   206,    -1,   208,   209,   210,   211,   212,   213,   214,
     215,   216,    -1,   218,    -1,   220,   221,   222,    -1,   224,
      -1,   226,    -1,    -1,    -1,   230,   231,   232,    -1,   234,
     235,    -1,   237,    -1,   239,   240,   241,   242,   243,    -1,
     245,   246,   247,    -1,   249,   250,   251,   252,   253,   254,
      -1,   256,    -1,   258,    -1,   260,   261,   262,    -1,   264,
      -1,   266,    -1,   268,    -1,    -1,   271,    -1,   273,   274,
     275,   276,   277,    -1,   279,   280,    -1,   282,   283,    -1,
     285,    -1,    -1,   288,   289,   290,    -1,    -1,   293,   294,
     295,   296,   297,   298,   299,   300,   301,   302,   303,   304,
     305,   306,    -1,   308,   309,   310,   311,    -1,   313,   314,
      -1,   316,    -1,   318,   319,   320,   321,   322,   323,    -1,
     325,    -1,    -1,   328,   329,   330,    -1,    -1,   333,    -1,
      -1,    -1,   337,   338,   339,   340,   341,   342,   343,   344,
      -1,   346,   347,   348,   349,   350,   351,   352,    -1,   354,
     355,   356,   357,   358,   359,   360,   361,   362,   363,   364,
     365,   366,    -1,   368,   369,   370,   371,   372,   373,   374,
     375,   376,   377,   378,    -1,   380,   381,    -1,   383,   384,
     385,   386,   387,   388,   389,   390,   391,   392,   393,    -1,
     395,   396,   397,   398,   399,    -1,   401,   402,   403,   404,
      -1,   406,   407,   408,    -1,   410,   411,   412,   413,   414,
     415,   416,   417,   418,   419,   420,    -1,   422,   423,    -1,
     425,   426,   427,   428,   429,   430,    -1,   432,   433,    -1,
      -1,   436,   437,   438,   439,    -1,   441,   442,   443,   444,
     445,   446,   447,    -1,    -1,   450,   451,   452,   453,   454,
      -1,    -1,   457,   458,   459,   460,   461,   462,   463,    -1,
     465,    -1,   467,   468,   469,    -1,    -1,   472,    -1,    -1,
     475,   476,   477,   478,   479,   480,   481,   482,   483,   484,
     485,   486,   487,   488,   489,   490,   491,     6,     7,     8,
       9,    10,    11,    12,    13,    -1,    15,    16,    -1,    -1,
      19,    20,    21,    22,    23,    24,    -1,    26,    27,    28,
      -1,    -1,    31,    32,    33,    34,    -1,    -1,    37,    38,
      39,    40,    -1,    42,    -1,    -1,    45,    46,    -1,    -1,
      -1,    50,    51,    -1,    -1,    -1,    -1,    56,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    65,    -1,    67,    -1,
      69,    70,    71,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      79,    80,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    91,    92,    93,    94,    95,    96,    97,    98,
      -1,   100,   101,   102,    -1,    -1,    -1,    -1,    -1,   108,
      -1,   110,   111,    -1,   113,   114,    -1,   116,   117,   118,
     119,   120,    -1,   122,   123,    -1,   125,   126,   127,   128,
     129,    -1,    -1,   132,   133,   134,   135,   136,    -1,   138,
     139,   140,   141,   142,    -1,    -1,    -1,   146,   147,   148,
     149,    -1,   151,   152,    -1,   154,   155,   156,   157,   158,
     159,    -1,    -1,   162,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   171,   172,   173,   174,   175,   176,   177,   178,
     179,    -1,   181,    -1,   183,   184,   185,   186,   187,    -1,
     189,   190,   191,    -1,    -1,   194,   195,   196,   197,   198,
      -1,   200,   201,   202,    -1,   204,   205,   206,    -1,   208,
     209,   210,   211,   212,   213,   214,   215,   216,    -1,   218,
      -1,   220,   221,   222,    -1,   224,    -1,   226,    -1,    -1,
      -1,   230,   231,   232,    -1,   234,   235,    -1,   237,    -1,
     239,   240,   241,   242,   243,    -1,   245,   246,   247,    -1,
     249,   250,   251,   252,   253,   254,    -1,   256,    -1,   258,
      -1,   260,   261,   262,    -1,   264,    -1,   266,    -1,   268,
      -1,    -1,   271,    -1,   273,   274,   275,   276,   277,    -1,
     279,   280,    -1,   282,   283,    -1,   285,    -1,    -1,   288,
     289,   290,    -1,    -1,   293,   294,   295,   296,   297,   298,
     299,   300,   301,   302,   303,   304,   305,   306,    -1,   308,
     309,   310,   311,    -1,   313,   314,    -1,   316,    -1,   318,
     319,   320,   321,   322,   323,    -1,   325,    -1,    -1,   328,
     329,   330,    -1,    -1,   333,    -1,    -1,    -1,   337,   338,
     339,   340,   341,   342,   343,   344,    -1,   346,   347,   348,
     349,   350,   351,   352,    -1,   354,   355,   356,   357,   358,
     359,   360,   361,   362,   363,   364,   365,   366,    -1,   368,
     369,   370,   371,   372,   373,   374,   375,   376,   377,   378,
      -1,   380,   381,    -1,   383,   384,   385,   386,   387,   388,
     389,   390,   391,   392,   393,    -1,   395,   396,   397,   398,
     399,    -1,    -1,   402,   403,   404,    -1,   406,   407,   408,
      -1,   410,   411,   412,   413,   414,   415,   416,   417,   418,
     419,   420,    -1,   422,   423,    -1,   425,   426,   427,   428,
     429,   430,    -1,   432,   433,    -1,    -1,   436,   437,   438,
     439,    -1,   441,   442,   443,   444,   445,   446,   447,    -1,
      -1,   450,   451,   452,   453,   454,    -1,    -1,   457,   458,
     459,   460,   461,   462,   463,    -1,   465,    -1,   467,   468,
     469,    -1,    -1,   472,    -1,    -1,   475,   476,   477,   478,
     479,   480,   481,   482,   483,   484,   485,   486,   487,   488,
     489,   490,   491,     6,     7,     8,     9,    10,    11,    12,
      13,    -1,    15,    16,    -1,    -1,    19,    20,    21,    22,
      23,    24,    -1,    26,    27,    28,    -1,    -1,    31,    32,
      33,    34,    -1,    -1,    37,    38,    39,    40,    -1,    42,
      -1,    -1,    45,    46,    -1,    -1,    -1,    50,    51,    -1,
      -1,    -1,    -1,    56,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    65,    -1,    67,    -1,    69,    70,    71,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    79,    80,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    91,    92,
      93,    94,    95,    96,    97,    98,    -1,   100,   101,   102,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   110,   111,    -1,
     113,   114,    -1,   116,   117,   118,   119,   120,    -1,   122,
     123,    -1,   125,   126,   127,   128,   129,    -1,    -1,   132,
     133,   134,   135,   136,    -1,   138,   139,   140,   141,   142,
      -1,    -1,    -1,   146,   147,   148,   149,    -1,   151,   152,
      -1,   154,   155,   156,   157,   158,   159,    -1,    -1,   162,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   171,   172,
     173,   174,   175,   176,   177,   178,   179,    -1,   181,    -1,
     183,   184,   185,   186,   187,    -1,   189,   190,   191,    -1,
      -1,   194,   195,   196,   197,   198,    -1,   200,   201,   202,
      -1,   204,   205,   206,    -1,   208,   209,   210,   211,   212,
     213,   214,   215,   216,    -1,   218,    -1,   220,   221,   222,
      -1,   224,    -1,   226,    -1,    -1,    -1,   230,   231,   232,
      -1,   234,   235,    -1,   237,    -1,   239,   240,   241,   242,
     243,    -1,   245,   246,   247,    -1,   249,   250,   251,   252,
     253,   254,    -1,   256,    -1,   258,    -1,   260,   261,   262,
      -1,   264,    -1,   266,    -1,   268,    -1,    -1,   271,    -1,
     273,   274,   275,   276,   277,    -1,   279,   280,    -1,   282,
     283,    -1,   285,    -1,    -1,   288,   289,   290,    -1,    -1,
     293,   294,   295,   296,   297,   298,   299,   300,   301,   302,
     303,   304,   305,   306,    -1,   308,   309,   310,   311,    -1,
     313,   314,    -1,   316,    -1,   318,   319,   320,   321,   322,
     323,    -1,   325,    -1,    -1,   328,   329,   330,    -1,    -1,
     333,    -1,    -1,    -1,   337,   338,   339,   340,   341,   342,
     343,   344,    -1,   346,   347,   348,   349,   350,   351,   352,
      -1,   354,   355,   356,   357,   358,   359,   360,   361,   362,
     363,   364,   365,   366,    -1,   368,   369,   370,   371,   372,
     373,   374,   375,   376,   377,   378,    -1,   380,   381,    -1,
     383,   384,   385,   386,   387,   388,   389,   390,   391,   392,
     393,    -1,   395,   396,   397,   398,   399,    -1,   401,   402,
     403,   404,    -1,   406,   407,   408,    -1,   410,   411,   412,
     413,   414,   415,   416,   417,   418,   419,   420,    -1,   422,
     423,    -1,   425,   426,   427,   428,   429,   430,    -1,   432,
     433,    -1,    -1,   436,   437,   438,   439,    -1,   441,   442,
     443,   444,   445,   446,   447,    -1,    -1,   450,   451,   452,
     453,   454,    -1,    -1,   457,   458,   459,   460,   461,   462,
     463,    -1,   465,    -1,   467,   468,   469,    -1,    -1,   472,
      -1,    -1,   475,   476,   477,   478,   479,   480,   481,   482,
     483,   484,   485,   486,   487,   488,   489,   490,   491,     6,
       7,     8,     9,    10,    11,    12,    13,    -1,    15,    16,
      -1,    -1,    19,    20,    21,    22,    23,    24,    -1,    26,
      27,    28,    -1,    -1,    31,    32,    33,    34,    -1,    -1,
      37,    38,    39,    40,    -1,    42,    -1,    -1,    45,    46,
      -1,    -1,    -1,    50,    51,    -1,    -1,    -1,    -1,    56,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    65,    -1,
      67,    -1,    69,    70,    71,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    79,    80,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    91,    92,    93,    94,    95,    96,
      97,    98,    -1,   100,   101,   102,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   110,   111,    -1,   113,   114,    -1,   116,
     117,   118,   119,   120,    -1,   122,   123,    -1,   125,   126,
     127,   128,   129,    -1,    -1,   132,   133,   134,   135,   136,
      -1,   138,   139,   140,   141,   142,    -1,    -1,    -1,   146,
     147,   148,   149,    -1,   151,   152,    -1,   154,   155,   156,
     157,   158,   159,    -1,    -1,   162,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   171,   172,   173,   174,   175,   176,
     177,   178,   179,    -1,   181,    -1,   183,   184,   185,   186,
     187,    -1,   189,   190,   191,    -1,    -1,   194,   195,   196,
     197,   198,    -1,   200,   201,   202,    -1,   204,   205,   206,
      -1,   208,   209,   210,   211,   212,   213,   214,   215,   216,
      -1,   218,    -1,   220,   221,   222,    -1,   224,    -1,   226,
      -1,    -1,    -1,   230,   231,   232,    -1,   234,   235,    -1,
     237,    -1,   239,   240,   241,   242,   243,    -1,   245,   246,
     247,    -1,   249,   250,   251,   252,   253,   254,    -1,   256,
      -1,   258,    -1,   260,   261,   262,    -1,   264,    -1,   266,
      -1,   268,    -1,    -1,   271,    -1,   273,   274,   275,   276,
     277,    -1,   279,   280,    -1,   282,   283,    -1,   285,    -1,
      -1,   288,   289,   290,    -1,    -1,   293,   294,   295,   296,
     297,   298,   299,   300,   301,   302,   303,   304,   305,   306,
      -1,   308,   309,   310,   311,    -1,   313,   314,    -1,   316,
      -1,   318,   319,   320,   321,   322,   323,    -1,   325,    -1,
      -1,   328,   329,   330,    -1,    -1,   333,    -1,    -1,    -1,
     337,   338,   339,   340,   341,   342,   343,   344,    -1,   346,
     347,   348,   349,   350,   351,   352,    -1,   354,   355,   356,
     357,   358,   359,   360,   361,   362,   363,   364,   365,   366,
      -1,   368,   369,   370,   371,   372,   373,   374,   375,   376,
     377,   378,    -1,   380,   381,    -1,   383,   384,   385,   386,
     387,   388,   389,   390,   391,   392,   393,    -1,   395,   396,
     397,   398,   399,    -1,   401,   402,   403,   404,    -1,   406,
     407,   408,    -1,   410,   411,   412,   413,   414,   415,   416,
     417,   418,   419,   420,    -1,   422,   423,    -1,   425,   426,
     427,   428,   429,   430,    -1,   432,   433,    -1,    -1,   436,
     437,   438,   439,    -1,   441,   442,   443,   444,   445,   446,
     447,    -1,    -1,   450,   451,   452,   453,   454,    -1,    -1,
     457,   458,   459,   460,   461,   462,   463,    -1,   465,    -1,
     467,   468,   469,    -1,    -1,   472,    -1,    -1,   475,   476,
     477,   478,   479,   480,   481,   482,   483,   484,   485,   486,
     487,   488,   489,   490,   491,     6,     7,     8,     9,    10,
      11,    12,    13,    -1,    15,    16,    -1,    -1,    19,    20,
      21,    22,    23,    24,    -1,    26,    27,    28,    -1,    -1,
      31,    32,    33,    34,    -1,    -1,    37,    38,    39,    40,
      -1,    42,    -1,    -1,    45,    46,    -1,    -1,    -1,    50,
      51,    -1,    -1,    -1,    -1,    56,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    65,    -1,    67,    -1,    69,    70,
      71,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    79,    80,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      91,    92,    93,    94,    95,    96,    97,    98,    -1,   100,
     101,   102,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   110,
     111,    -1,   113,   114,    -1,   116,   117,   118,   119,   120,
      -1,   122,   123,    -1,   125,   126,   127,   128,   129,    -1,
      -1,   132,   133,   134,   135,   136,    -1,   138,   139,   140,
     141,   142,    -1,    -1,    -1,   146,   147,   148,   149,    -1,
     151,   152,    -1,   154,   155,   156,   157,   158,   159,    -1,
      -1,   162,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     171,   172,   173,   174,   175,   176,   177,   178,   179,    -1,
     181,    -1,   183,   184,   185,   186,   187,    -1,   189,   190,
     191,    -1,    -1,   194,   195,   196,   197,   198,    -1,   200,
     201,   202,    -1,   204,   205,   206,    -1,   208,   209,   210,
     211,   212,   213,   214,   215,   216,    -1,   218,    -1,   220,
     221,   222,    -1,   224,    -1,   226,    -1,    -1,    -1,   230,
     231,   232,    -1,   234,   235,    -1,   237,    -1,   239,   240,
     241,   242,   243,    -1,   245,   246,   247,    -1,   249,   250,
     251,   252,   253,   254,    -1,   256,    -1,   258,    -1,   260,
     261,   262,    -1,   264,    -1,   266,    -1,   268,    -1,    -1,
     271,    -1,   273,   274,   275,   276,   277,    -1,   279,   280,
      -1,   282,   283,    -1,   285,    -1,    -1,   288,   289,   290,
      -1,    -1,   293,   294,   295,   296,   297,   298,   299,   300,
     301,   302,   303,   304,   305,   306,    -1,   308,   309,   310,
     311,    -1,   313,   314,    -1,   316,    -1,   318,   319,   320,
     321,   322,   323,    -1,   325,    -1,    -1,   328,   329,   330,
      -1,    -1,   333,    -1,    -1,    -1,   337,   338,   339,   340,
     341,   342,   343,   344,    -1,   346,   347,   348,   349,   350,
     351,   352,    -1,   354,   355,   356,   357,   358,   359,   360,
     361,   362,   363,   364,   365,   366,    -1,   368,   369,   370,
     371,   372,   373,   374,   375,   376,   377,   378,    -1,   380,
     381,    -1,   383,   384,   385,   386,   387,   388,   389,   390,
     391,   392,   393,    -1,   395,   396,   397,   398,   399,    -1,
     401,   402,   403,   404,    -1,   406,   407,   408,    -1,   410,
     411,   412,   413,   414,   415,   416,   417,   418,   419,   420,
      -1,   422,   423,    -1,   425,   426,   427,   428,   429,   430,
      -1,   432,   433,    -1,    -1,   436,   437,   438,   439,    -1,
     441,   442,   443,   444,   445,   446,   447,    -1,    -1,   450,
     451,   452,   453,   454,    -1,    -1,   457,   458,   459,   460,
     461,   462,   463,    -1,   465,    -1,   467,   468,   469,    -1,
      -1,   472,    -1,    -1,   475,   476,   477,   478,   479,   480,
     481,   482,   483,   484,   485,   486,   487,   488,   489,   490,
     491,     6,     7,     8,     9,    10,    11,    12,    13,    -1,
      15,    16,    -1,    -1,    19,    20,    21,    22,    23,    24,
      -1,    26,    27,    28,    -1,    -1,    31,    32,    33,    34,
      -1,    -1,    37,    38,    39,    40,    -1,    42,    -1,    -1,
      45,    46,    -1,    -1,    -1,    50,    51,    -1,    -1,    -1,
      -1,    56,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      65,    -1,    67,    -1,    69,    70,    71,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    79,    80,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    91,    92,    93,    94,
      95,    96,    97,    98,    -1,   100,   101,   102,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   110,   111,    -1,   113,   114,
      -1,   116,   117,   118,   119,   120,    -1,   122,   123,    -1,
     125,   126,   127,   128,   129,    -1,    -1,   132,   133,   134,
     135,   136,    -1,   138,   139,   140,   141,   142,    -1,    -1,
      -1,   146,   147,   148,   149,    -1,   151,   152,    -1,   154,
     155,   156,   157,   158,   159,    -1,    -1,   162,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   171,   172,   173,   174,
     175,   176,   177,   178,   179,    -1,   181,    -1,   183,   184,
     185,   186,   187,    -1,   189,   190,   191,    -1,    -1,   194,
     195,   196,   197,   198,    -1,   200,   201,   202,    -1,   204,
     205,   206,    -1,   208,   209,   210,   211,   212,   213,   214,
     215,   216,    -1,   218,    -1,   220,   221,   222,    -1,   224,
      -1,   226,    -1,    -1,    -1,   230,   231,   232,    -1,   234,
     235,    -1,   237,    -1,   239,   240,   241,   242,   243,    -1,
     245,   246,   247,    -1,   249,   250,   251,   252,   253,   254,
      -1,   256,    -1,   258,    -1,   260,   261,   262,    -1,   264,
      -1,   266,    -1,   268,    -1,    -1,   271,    -1,   273,   274,
     275,   276,   277,    -1,   279,   280,    -1,   282,   283,    -1,
     285,    -1,    -1,   288,   289,   290,    -1,    -1,   293,   294,
     295,   296,   297,   298,   299,   300,   301,   302,   303,   304,
     305,   306,    -1,   308,   309,   310,   311,    -1,   313,   314,
      -1,   316,    -1,   318,   319,   320,   321,   322,   323,    -1,
     325,    -1,    -1,   328,   329,   330,    -1,    -1,   333,    -1,
      -1,    -1,   337,   338,   339,   340,   341,   342,   343,   344,
      -1,   346,   347,   348,   349,   350,   351,   352,    -1,   354,
     355,   356,   357,   358,   359,   360,   361,   362,   363,   364,
     365,   366,    -1,   368,   369,   370,   371,   372,   373,   374,
     375,   376,   377,   378,    -1,   380,   381,    -1,   383,   384,
     385,   386,   387,   388,   389,   390,   391,   392,   393,    -1,
     395,   396,   397,   398,   399,    -1,   401,   402,   403,   404,
      -1,   406,   407,   408,    -1,   410,   411,   412,   413,   414,
     415,   416,   417,   418,   419,   420,    -1,   422,   423,    -1,
     425,   426,   427,   428,   429,   430,    -1,   432,   433,    -1,
      -1,   436,   437,   438,   439,    -1,   441,   442,   443,   444,
     445,   446,   447,    -1,    -1,   450,   451,   452,   453,   454,
      -1,    -1,   457,   458,   459,   460,   461,   462,   463,    -1,
     465,    -1,   467,   468,   469,    -1,    -1,   472,    -1,    -1,
     475,   476,   477,   478,   479,   480,   481,   482,   483,   484,
     485,   486,   487,   488,   489,   490,   491,     6,     7,     8,
       9,    10,    11,    12,    13,    -1,    15,    16,    -1,    -1,
      19,    20,    21,    22,    23,    24,    -1,    26,    27,    28,
      -1,    -1,    31,    32,    33,    34,    -1,    -1,    37,    38,
      39,    40,    -1,    42,    -1,    -1,    45,    46,    -1,    -1,
      -1,    50,    51,    -1,    -1,    -1,    -1,    56,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    65,    -1,    67,    -1,
      69,    70,    71,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      79,    80,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    91,    92,    93,    94,    95,    96,    97,    98,
      -1,   100,   101,   102,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   110,   111,    -1,   113,   114,    -1,   116,   117,   118,
     119,   120,    -1,   122,   123,    -1,   125,   126,   127,   128,
     129,    -1,    -1,   132,   133,   134,   135,   136,    -1,   138,
     139,   140,   141,   142,    -1,    -1,    -1,   146,   147,   148,
     149,    -1,   151,   152,    -1,   154,   155,   156,   157,   158,
     159,    -1,    -1,   162,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   171,   172,   173,   174,   175,   176,   177,   178,
     179,    -1,   181,    -1,   183,   184,   185,   186,   187,    -1,
     189,   190,   191,    -1,    -1,   194,   195,   196,   197,   198,
      -1,   200,   201,   202,    -1,   204,   205,   206,    -1,   208,
     209,   210,   211,   212,   213,   214,   215,   216,    -1,   218,
      -1,   220,   221,   222,    -1,   224,    -1,   226,    -1,    -1,
      -1,   230,   231,   232,    -1,   234,   235,    -1,   237,    -1,
     239,   240,   241,   242,   243,    -1,   245,   246,   247,    -1,
     249,   250,   251,   252,   253,   254,    -1,   256,    -1,   258,
      -1,   260,   261,   262,    -1,   264,    -1,   266,    -1,   268,
      -1,    -1,   271,    -1,   273,   274,   275,   276,   277,    -1,
     279,   280,    -1,   282,   283,    -1,   285,    -1,    -1,   288,
     289,   290,    -1,    -1,   293,   294,   295,   296,   297,   298,
     299,   300,   301,   302,   303,   304,   305,   306,    -1,   308,
     309,   310,   311,    -1,   313,   314,    -1,   316,    -1,   318,
     319,   320,   321,   322,   323,    -1,   325,    -1,    -1,   328,
     329,   330,    -1,    -1,   333,    -1,    -1,    -1,   337,   338,
     339,   340,   341,   342,   343,   344,    -1,   346,   347,   348,
     349,   350,   351,   352,    -1,   354,   355,   356,   357,   358,
     359,   360,   361,   362,   363,   364,   365,   366,    -1,   368,
     369,   370,   371,   372,   373,   374,   375,   376,   377,   378,
      -1,   380,   381,    -1,   383,   384,   385,   386,   387,   388,
     389,   390,   391,   392,   393,    -1,   395,   396,   397,   398,
     399,    -1,   401,   402,   403,   404,    -1,   406,   407,   408,
      -1,   410,   411,   412,   413,   414,   415,   416,   417,   418,
     419,   420,    -1,   422,   423,    -1,   425,   426,   427,   428,
     429,   430,    -1,   432,   433,    -1,    -1,   436,   437,   438,
     439,    -1,   441,   442,   443,   444,   445,   446,   447,    -1,
      -1,   450,   451,   452,   453,   454,    -1,    -1,   457,   458,
     459,   460,   461,   462,   463,    -1,   465,    -1,   467,   468,
     469,    -1,    -1,   472,    -1,    -1,   475,   476,   477,   478,
     479,   480,   481,   482,   483,   484,   485,   486,   487,   488,
     489,   490,   491,     6,     7,     8,     9,    10,    11,    12,
      13,    -1,    15,    16,    -1,    -1,    19,    20,    21,    22,
      23,    24,    -1,    26,    27,    28,    -1,    -1,    31,    32,
      33,    34,    -1,    -1,    37,    38,    39,    40,    -1,    42,
      -1,    -1,    45,    46,    -1,    -1,    -1,    50,    51,    -1,
      -1,    -1,    -1,    56,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    65,    -1,    67,    -1,    69,    70,    71,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    79,    80,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    91,    92,
      93,    94,    95,    96,    97,    98,    -1,   100,   101,   102,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   110,   111,    -1,
     113,   114,    -1,   116,   117,   118,   119,   120,    -1,   122,
     123,    -1,   125,   126,   127,   128,   129,    -1,    -1,   132,
     133,   134,   135,   136,    -1,   138,   139,   140,   141,   142,
      -1,    -1,    -1,   146,   147,   148,   149,    -1,   151,    -1,
      -1,   154,   155,   156,   157,   158,   159,    -1,    -1,   162,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   171,   172,
     173,   174,   175,   176,   177,   178,   179,    -1,   181,    -1,
     183,   184,   185,   186,   187,    -1,   189,   190,   191,    -1,
      -1,   194,   195,   196,   197,   198,    -1,   200,   201,   202,
      -1,   204,   205,   206,    -1,   208,   209,   210,   211,   212,
     213,   214,   215,   216,    -1,   218,    -1,   220,   221,   222,
      -1,   224,    -1,   226,    -1,    -1,    -1,   230,   231,   232,
      -1,   234,   235,    -1,   237,    -1,   239,   240,   241,   242,
     243,    -1,   245,   246,   247,    -1,   249,   250,   251,   252,
     253,   254,    -1,   256,    -1,   258,    -1,   260,   261,   262,
      -1,   264,    -1,   266,    -1,   268,    -1,    -1,   271,    -1,
     273,   274,   275,   276,   277,    -1,   279,   280,    -1,   282,
     283,    -1,   285,    -1,    -1,   288,   289,   290,    -1,    -1,
     293,   294,   295,   296,   297,   298,   299,   300,   301,   302,
     303,   304,   305,   306,    -1,   308,   309,   310,   311,    -1,
     313,   314,    -1,   316,    -1,   318,   319,   320,   321,   322,
     323,    -1,   325,    -1,    -1,   328,   329,   330,    -1,    -1,
     333,    -1,    -1,    -1,   337,   338,   339,   340,   341,   342,
     343,   344,    -1,   346,   347,   348,   349,   350,   351,   352,
      -1,   354,   355,   356,   357,   358,   359,   360,   361,   362,
     363,   364,   365,   366,    -1,   368,   369,   370,   371,   372,
     373,   374,   375,   376,   377,   378,    -1,   380,   381,    -1,
     383,   384,   385,   386,   387,   388,   389,   390,   391,   392,
     393,    -1,   395,   396,   397,   398,   399,    -1,   401,   402,
     403,   404,    -1,   406,   407,   408,    -1,   410,   411,   412,
     413,   414,   415,   416,   417,   418,   419,   420,    -1,   422,
     423,    -1,   425,   426,   427,   428,   429,   430,    -1,   432,
     433,    -1,    -1,   436,   437,   438,   439,    -1,   441,   442,
     443,   444,   445,   446,   447,    -1,    -1,   450,   451,   452,
     453,   454,    -1,    -1,   457,   458,   459,   460,   461,   462,
     463,    -1,   465,    -1,   467,   468,   469,    -1,    -1,   472,
      -1,    -1,   475,   476,   477,   478,   479,   480,   481,   482,
     483,   484,   485,   486,   487,   488,   489,   490,   491,     6,
       7,     8,     9,    10,    11,    12,    13,    -1,    15,    16,
      -1,    -1,    19,    20,    21,    22,    23,    24,    -1,    26,
      27,    28,    -1,    -1,    31,    32,    33,    34,    -1,    -1,
      37,    38,    39,    40,    -1,    42,    -1,    -1,    45,    46,
      -1,    -1,    -1,    50,    51,    -1,    -1,    -1,    -1,    56,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    65,    -1,
      67,    -1,    69,    70,    71,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    79,    80,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    91,    92,    93,    94,    95,    96,
      97,    98,    -1,   100,   101,   102,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   110,   111,    -1,   113,   114,    -1,   116,
     117,   118,   119,   120,    -1,   122,   123,    -1,   125,   126,
     127,   128,   129,    -1,    -1,   132,   133,   134,   135,   136,
      -1,   138,   139,   140,   141,   142,    -1,    -1,    -1,   146,
     147,   148,   149,    -1,   151,    -1,    -1,   154,   155,   156,
     157,   158,   159,    -1,    -1,   162,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   171,   172,   173,   174,   175,   176,
     177,   178,   179,    -1,   181,    -1,   183,   184,   185,   186,
     187,    -1,   189,   190,   191,    -1,    -1,   194,   195,   196,
     197,   198,    -1,   200,   201,   202,    -1,   204,   205,   206,
      -1,   208,   209,   210,   211,   212,   213,   214,   215,   216,
      -1,   218,    -1,   220,   221,   222,    -1,   224,    -1,   226,
      -1,    -1,    -1,   230,   231,   232,    -1,   234,   235,    -1,
     237,    -1,   239,   240,   241,   242,   243,    -1,   245,   246,
     247,    -1,   249,   250,   251,   252,   253,   254,    -1,   256,
      -1,   258,    -1,   260,   261,   262,    -1,   264,    -1,   266,
      -1,   268,    -1,    -1,   271,    -1,   273,   274,   275,   276,
     277,    -1,   279,   280,    -1,   282,   283,    -1,   285,    -1,
      -1,   288,   289,   290,    -1,    -1,   293,   294,   295,   296,
     297,   298,   299,   300,   301,   302,   303,   304,   305,   306,
      -1,   308,   309,   310,   311,    -1,   313,   314,    -1,   316,
      -1,   318,   319,   320,   321,   322,   323,    -1,   325,    -1,
      -1,   328,   329,   330,    -1,    -1,   333,    -1,    -1,    -1,
     337,   338,   339,   340,   341,   342,   343,   344,    -1,   346,
     347,   348,   349,   350,   351,   352,    -1,   354,   355,   356,
     357,   358,   359,   360,   361,   362,   363,   364,   365,   366,
      -1,   368,   369,   370,   371,   372,   373,   374,   375,   376,
     377,   378,    -1,   380,   381,    -1,   383,   384,   385,   386,
     387,   388,   389,   390,   391,   392,   393,    -1,   395,   396,
     397,   398,   399,    -1,   401,   402,   403,   404,    -1,   406,
     407,   408,    -1,   410,   411,   412,   413,   414,   415,   416,
     417,   418,   419,   420,    -1,   422,   423,    -1,   425,   426,
     427,   428,   429,   430,    -1,   432,   433,    -1,    -1,   436,
     437,   438,   439,    -1,   441,   442,   443,   444,   445,   446,
     447,    -1,    -1,   450,   451,   452,   453,   454,    -1,    -1,
     457,   458,   459,   460,   461,   462,   463,    -1,   465,    -1,
     467,   468,   469,    -1,    -1,   472,    -1,    -1,   475,   476,
     477,   478,   479,   480,   481,   482,   483,   484,   485,   486,
     487,   488,   489,   490,   491,     6,     7,     8,     9,    10,
      11,    12,    13,    -1,    15,    16,    -1,    -1,    19,    20,
      21,    22,    23,    24,    -1,    26,    27,    28,    -1,    -1,
      31,    32,    33,    34,    -1,    -1,    37,    38,    39,    40,
      -1,    42,    -1,    -1,    45,    46,    -1,    -1,    -1,    50,
      51,    -1,    -1,    -1,    -1,    56,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    65,    -1,    67,    -1,    69,    70,
      71,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    79,    80,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      91,    92,    93,    94,    95,    96,    97,    98,    -1,   100,
     101,   102,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   110,
     111,    -1,   113,   114,    -1,   116,   117,   118,   119,   120,
      -1,   122,   123,    -1,   125,   126,   127,   128,   129,    -1,
      -1,   132,   133,   134,   135,   136,    -1,   138,   139,   140,
     141,   142,    -1,    -1,    -1,   146,   147,   148,   149,    -1,
     151,    -1,    -1,   154,   155,   156,   157,   158,   159,    -1,
      -1,   162,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     171,   172,   173,   174,   175,   176,   177,   178,   179,    -1,
     181,    -1,   183,   184,   185,   186,   187,    -1,   189,   190,
     191,    -1,    -1,   194,   195,   196,   197,   198,    -1,   200,
     201,   202,    -1,   204,   205,   206,    -1,   208,   209,   210,
     211,   212,   213,   214,   215,   216,    -1,   218,    -1,   220,
     221,   222,    -1,   224,    -1,   226,    -1,    -1,    -1,   230,
     231,   232,    -1,   234,   235,    -1,   237,    -1,   239,   240,
     241,   242,   243,    -1,   245,   246,   247,    -1,   249,   250,
     251,   252,   253,   254,    -1,   256,    -1,   258,    -1,   260,
     261,   262,    -1,   264,    -1,   266,    -1,   268,    -1,    -1,
     271,    -1,   273,   274,   275,   276,   277,    -1,   279,   280,
      -1,   282,   283,    -1,   285,    -1,    -1,   288,   289,   290,
      -1,    -1,   293,   294,   295,   296,   297,   298,   299,   300,
     301,   302,   303,   304,   305,   306,    -1,   308,   309,   310,
     311,    -1,   313,   314,    -1,   316,    -1,   318,   319,   320,
     321,   322,   323,    -1,   325,    -1,    -1,   328,   329,   330,
      -1,    -1,   333,    -1,    -1,    -1,   337,   338,   339,   340,
     341,   342,   343,   344,    -1,   346,   347,   348,   349,   350,
     351,   352,    -1,   354,   355,   356,   357,   358,   359,   360,
     361,   362,   363,   364,   365,   366,    -1,   368,   369,   370,
     371,   372,   373,   374,   375,   376,   377,   378,    -1,   380,
     381,    -1,   383,   384,   385,   386,   387,   388,   389,   390,
     391,   392,   393,    -1,   395,   396,   397,   398,   399,    -1,
     401,   402,   403,   404,    -1,   406,   407,   408,    -1,   410,
     411,   412,   413,   414,   415,   416,   417,   418,   419,   420,
      -1,   422,   423,    -1,   425,   426,   427,   428,   429,   430,
      -1,   432,   433,    -1,    -1,   436,   437,   438,   439,    -1,
     441,   442,   443,   444,   445,   446,   447,    -1,    -1,   450,
     451,   452,   453,   454,    -1,    -1,   457,   458,   459,   460,
     461,   462,   463,    -1,   465,    -1,   467,   468,   469,    -1,
      -1,   472,    -1,    -1,   475,   476,   477,   478,   479,   480,
     481,   482,   483,   484,   485,   486,   487,   488,   489,   490,
     491,     6,     7,     8,     9,    10,    11,    12,    13,    -1,
      15,    16,    -1,    -1,    19,    20,    21,    22,    23,    24,
      -1,    26,    27,    28,    -1,    -1,    31,    32,    33,    34,
      -1,    -1,    37,    38,    39,    40,    -1,    42,    -1,    -1,
      45,    46,    -1,    -1,    -1,    50,    51,    -1,    -1,    -1,
      -1,    56,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      65,    -1,    67,    -1,    69,    70,    71,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    79,    80,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    91,    92,    93,    94,
      95,    96,    97,    98,    -1,   100,   101,   102,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   110,   111,    -1,   113,   114,
      -1,   116,   117,   118,   119,   120,    -1,   122,   123,    -1,
     125,   126,   127,   128,   129,    -1,    -1,   132,   133,   134,
     135,   136,    -1,   138,   139,   140,   141,   142,    -1,    -1,
      -1,   146,   147,   148,   149,    -1,   151,    -1,    -1,   154,
     155,   156,   157,   158,   159,    -1,    -1,   162,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   171,   172,   173,   174,
     175,   176,   177,   178,   179,    -1,   181,    -1,   183,   184,
     185,   186,   187,    -1,   189,   190,   191,    -1,    -1,   194,
     195,   196,   197,   198,    -1,   200,   201,   202,    -1,   204,
     205,   206,    -1,   208,   209,   210,   211,   212,   213,   214,
     215,   216,    -1,   218,    -1,   220,   221,   222,    -1,   224,
      -1,   226,    -1,    -1,    -1,   230,   231,   232,    -1,   234,
     235,    -1,   237,    -1,   239,   240,   241,   242,   243,    -1,
     245,   246,   247,    -1,   249,   250,   251,   252,   253,   254,
      -1,   256,    -1,   258,    -1,   260,   261,   262,    -1,   264,
      -1,   266,    -1,   268,    -1,    -1,   271,    -1,   273,   274,
     275,   276,   277,    -1,   279,   280,    -1,   282,   283,    -1,
     285,    -1,    -1,   288,   289,   290,    -1,    -1,   293,   294,
     295,   296,   297,   298,   299,   300,   301,   302,   303,   304,
     305,   306,    -1,   308,   309,   310,   311,    -1,   313,   314,
      -1,   316,    -1,   318,   319,   320,   321,   322,   323,    -1,
     325,    -1,    -1,   328,   329,   330,    -1,    -1,   333,    -1,
      -1,    -1,   337,   338,   339,   340,   341,   342,   343,   344,
      -1,   346,   347,   348,   349,   350,   351,   352,    -1,   354,
     355,   356,   357,   358,   359,   360,   361,   362,   363,   364,
     365,   366,    -1,   368,   369,   370,   371,   372,   373,   374,
     375,   376,   377,   378,    -1,   380,   381,    -1,   383,   384,
     385,   386,   387,   388,   389,   390,   391,   392,   393,    -1,
     395,   396,   397,   398,   399,    -1,   401,   402,   403,   404,
      -1,   406,   407,   408,    -1,   410,   411,   412,   413,   414,
     415,   416,   417,   418,   419,   420,    -1,   422,   423,    -1,
     425,   426,   427,   428,   429,   430,    -1,   432,   433,    -1,
      -1,   436,   437,   438,   439,    -1,   441,   442,   443,   444,
     445,   446,   447,    -1,    -1,   450,   451,   452,   453,   454,
      -1,    -1,   457,   458,   459,   460,   461,   462,   463,    -1,
     465,    -1,   467,   468,   469,    -1,    -1,   472,    -1,    -1,
     475,   476,   477,   478,   479,   480,   481,   482,   483,   484,
     485,   486,   487,   488,   489,   490,   491,     6,     7,     8,
       9,    10,    11,    12,    13,    -1,    15,    16,    -1,    -1,
      19,    20,    21,    22,    23,    24,    -1,    26,    27,    28,
      -1,    -1,    31,    32,    33,    34,    -1,    -1,    37,    38,
      39,    40,    -1,    42,    -1,    -1,    45,    46,    -1,    -1,
      -1,    50,    51,    -1,    -1,    -1,    -1,    56,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    65,    -1,    67,    -1,
      69,    70,    71,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      79,    80,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    91,    92,    93,    94,    95,    96,    97,    98,
      -1,   100,   101,   102,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   110,   111,    -1,   113,   114,    -1,   116,   117,   118,
     119,   120,    -1,   122,   123,    -1,   125,   126,   127,   128,
     129,    -1,    -1,   132,   133,   134,   135,   136,    -1,   138,
     139,   140,   141,   142,    -1,    -1,    -1,   146,   147,   148,
     149,    -1,   151,   152,    -1,   154,   155,   156,   157,   158,
     159,    -1,    -1,   162,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   171,   172,   173,   174,   175,   176,   177,   178,
     179,    -1,   181,    -1,   183,   184,   185,   186,   187,    -1,
     189,   190,   191,    -1,    -1,   194,   195,   196,   197,   198,
      -1,   200,   201,   202,    -1,   204,   205,   206,    -1,   208,
     209,   210,   211,   212,   213,   214,   215,   216,    -1,   218,
      -1,   220,   221,   222,    -1,   224,    -1,   226,    -1,    -1,
      -1,   230,   231,   232,    -1,   234,   235,    -1,   237,    -1,
     239,   240,   241,   242,   243,    -1,   245,   246,   247,    -1,
     249,   250,   251,   252,   253,   254,    -1,   256,    -1,   258,
      -1,   260,   261,   262,    -1,   264,    -1,   266,    -1,   268,
      -1,    -1,   271,    -1,   273,   274,   275,   276,   277,    -1,
     279,   280,    -1,   282,   283,    -1,   285,    -1,    -1,   288,
     289,   290,    -1,    -1,   293,   294,   295,   296,   297,   298,
     299,   300,   301,   302,   303,   304,   305,   306,    -1,   308,
     309,   310,   311,    -1,   313,   314,    -1,   316,    -1,   318,
     319,   320,   321,   322,   323,    -1,   325,    -1,    -1,   328,
     329,   330,    -1,    -1,   333,    -1,    -1,    -1,   337,   338,
     339,   340,   341,    -1,   343,   344,    -1,   346,   347,   348,
     349,   350,   351,   352,    -1,   354,   355,   356,   357,   358,
     359,    -1,   361,   362,   363,   364,   365,   366,    -1,   368,
     369,   370,   371,   372,   373,   374,   375,   376,   377,   378,
      -1,   380,   381,    -1,   383,   384,   385,    -1,   387,   388,
     389,   390,   391,   392,   393,    -1,   395,   396,   397,   398,
     399,    -1,   401,   402,   403,   404,    -1,   406,   407,   408,
      -1,   410,   411,   412,   413,   414,   415,   416,   417,   418,
     419,   420,    -1,   422,   423,    -1,   425,   426,   427,   428,
     429,   430,    -1,   432,   433,    -1,    -1,   436,   437,   438,
     439,    -1,   441,   442,   443,   444,   445,   446,   447,    -1,
      -1,   450,   451,   452,   453,   454,    -1,    -1,   457,   458,
     459,   460,   461,   462,   463,    -1,   465,    -1,   467,   468,
     469,    -1,    -1,   472,    -1,    -1,   475,   476,   477,   478,
     479,   480,   481,   482,   483,   484,   485,   486,   487,   488,
     489,   490,   491,     6,     7,     8,    -1,    10,    11,    12,
      -1,    -1,    -1,    16,    -1,    -1,    19,    20,    21,    22,
      23,    24,    -1,    26,    27,    -1,    -1,    -1,    31,    32,
      33,    34,    -1,    36,    37,    38,    39,    40,    41,    42,
      43,    44,    -1,    -1,    -1,    -1,    -1,    50,    51,    -1,
      -1,    -1,    -1,    56,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    65,    -1,    67,    -1,    69,    70,    71,    -1,
      73,    -1,    -1,    -1,    -1,    -1,    79,    80,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   115,    -1,    -1,    -1,   119,   120,   121,   122,
     123,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   135,    -1,    -1,    -1,    -1,    -1,    -1,   142,
      -1,   144,    -1,    -1,    -1,    -1,    -1,   150,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   161,    -1,
      -1,    -1,    -1,    -1,   167,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   177,   178,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   204,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   212,
      -1,    -1,    -1,   216,    -1,    -1,    -1,    -1,   221,    -1,
      -1,    -1,    -1,    -1,   227,    -1,   229,    -1,    -1,    -1,
      -1,    -1,   235,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   244,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   257,   258,    -1,    -1,    -1,    -1,
      -1,   264,    -1,   266,    -1,    -1,   269,   270,    -1,   272,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     283,   284,    -1,   286,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   306,   307,   308,    -1,    -1,   311,    -1,
      -1,    -1,   315,    -1,    -1,   318,    -1,   320,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     333,   334,   335,   336,   337,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   347,    -1,   349,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   362,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   382,
      -1,    -1,   385,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   402,
      -1,    -1,   405,    -1,   407,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   420,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   432,
     433,    -1,    -1,    -1,   437,    -1,   439,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   448,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     463,    -1,    -1,   466,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   480,   481,   482,
     483,   484,   485,   486,   487,   488,     6,     7,     8,    -1,
      10,    11,    12,    -1,    -1,    -1,    16,    -1,    -1,    19,
      20,    21,    22,    23,    24,    -1,    26,    27,    -1,    -1,
      -1,    31,    32,    33,    34,    -1,    36,    37,    38,    39,
      40,    -1,    42,    43,    44,    -1,    -1,    -1,    -1,    -1,
      50,    51,    -1,    -1,    -1,    -1,    56,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    65,    -1,    67,    -1,    69,
      -1,    71,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    79,
      80,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   115,    -1,    -1,    -1,   119,
     120,   121,   122,   123,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   135,    -1,    -1,    -1,    -1,
      -1,    -1,   142,    -1,   144,    -1,    -1,    -1,    -1,    -1,
     150,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   161,    -1,    -1,    -1,    -1,    -1,   167,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   177,   178,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   204,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   212,    -1,    -1,    -1,   216,    -1,    -1,    -1,
      -1,   221,    -1,    -1,    -1,    -1,    -1,   227,    -1,   229,
      -1,    -1,    -1,    -1,    -1,   235,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   244,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   257,   258,    -1,
      -1,    -1,    -1,    -1,   264,    -1,   266,    -1,    -1,   269,
     270,    -1,   272,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   283,   284,    -1,   286,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   306,   307,   308,    -1,
      -1,   311,    -1,    -1,    -1,   315,    -1,    -1,   318,    -1,
     320,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   333,   334,   335,   336,   337,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   347,    -1,   349,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   362,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   382,    -1,    -1,   385,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   402,    -1,    -1,   405,    -1,   407,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     420,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   432,   433,    -1,    -1,    -1,   437,    -1,   439,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   448,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   463,    -1,    -1,   466,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     480,   481,   482,   483,   484,   485,   486,   487,   488,     6,
       7,     8,    -1,    10,    11,    12,    -1,    -1,    -1,    16,
      -1,    -1,    19,    20,    21,    22,    23,    24,    -1,    26,
      27,    -1,    -1,    -1,    31,    32,    33,    34,    -1,    36,
      37,    38,    39,    40,    -1,    42,    43,    44,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    71,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    79,    80,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   115,    -1,
      -1,    -1,   119,   120,   121,   122,   123,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   135,    -1,
      -1,    -1,    -1,    -1,    -1,   142,    -1,   144,    -1,    -1,
      -1,    -1,    -1,   150,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   161,    -1,    -1,    -1,    -1,    -1,
     167,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     177,   178,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   204,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   212,    -1,    -1,    -1,   216,
      -1,    -1,    -1,    -1,   221,    -1,    -1,    -1,    -1,    -1,
     227,    -1,   229,    -1,    -1,    -1,    -1,    -1,   235,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   244,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     257,   258,    -1,    -1,    -1,    -1,    -1,   264,    -1,   266,
      -1,    -1,   269,   270,    -1,   272,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   283,   284,    -1,   286,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   306,
     307,   308,    -1,    -1,   311,    -1,    -1,    -1,   315,    -1,
      -1,   318,    -1,   320,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   333,   334,   335,   336,
     337,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     347,    -1,   349,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   362,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   382,    -1,    -1,   385,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   402,    -1,    -1,   405,    -1,
     407,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   420,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   432,   433,    -1,    -1,    -1,
     437,    -1,   439,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   448,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   463,    -1,    -1,   466,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   480,   481,   482,   483,   484,   485,   486,
     487,   488,     6,     7,     8,    -1,    10,    11,    12,    -1,
      -1,    -1,    16,    -1,    -1,    19,    20,    21,    22,    23,
      24,    -1,    26,    27,    -1,    -1,    -1,    31,    32,    33,
      34,    -1,    -1,    37,    38,    39,    40,    -1,    42,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    71,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    79,    80,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   115,    -1,    -1,    -1,   119,   120,   121,   122,   123,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   135,    -1,    -1,    -1,    -1,    -1,    -1,   142,    -1,
     144,    -1,    -1,    -1,    -1,    -1,   150,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   161,    -1,    -1,
      -1,    -1,    -1,   167,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   177,   178,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   212,    -1,
      -1,    -1,   216,    -1,    -1,    -1,    -1,   221,    -1,    -1,
      -1,    -1,    -1,   227,    -1,   229,    -1,    -1,    -1,    -1,
      -1,   235,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     244,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   257,   258,    -1,    -1,    -1,    -1,    -1,
     264,    -1,   266,    -1,    -1,   269,   270,    -1,   272,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   283,
     284,    -1,   286,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   306,   307,   308,    -1,    -1,   311,    -1,    -1,
      -1,   315,    -1,    -1,   318,    -1,   320,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   333,
     334,   335,   336,   337,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   347,    -1,   349,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   362,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   382,    -1,
      -1,   385,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   402,    -1,
      -1,   405,    -1,   407,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   420,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   432,   433,
      -1,    -1,    -1,   437,    -1,   439,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   463,
      -1,    -1,   466,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   480,   481,   482,   483,
     484,   485,   486,   487,   488,    71,    72,    -1,    -1,    75,
      76,    77,    78,    79,    80,    81,    82,    -1,    -1,    -1,
      86,    -1,    -1,    -1,    -1,    91,    92,    93,    94,    95,
      96,    97,    98,    -1,   100,   101,   102,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   110,   111,    -1,   113,   114,   115,
     116,   117,   118,   119,   120,   121,   122,   123,    -1,   125,
     126,   127,   128,   129,    -1,    -1,   132,   133,    -1,   135,
     136,    -1,   138,   139,   140,   141,   142,    -1,   144,    -1,
     146,   147,   148,   149,   150,   151,    -1,    -1,   154,   155,
     156,   157,   158,   159,    -1,   161,   162,    -1,    -1,    -1,
      -1,   167,    -1,    -1,    -1,   171,   172,   173,   174,    -1,
     176,   177,   178,   179,    -1,   181,    -1,   183,   184,   185,
     186,   187,    -1,   189,   190,   191,    -1,    -1,   194,   195,
     196,   197,   198,    -1,   200,   201,   202,    -1,   204,   205,
     206,    -1,   208,   209,   210,   211,   212,   213,   214,   215,
     216,   217,   218,    -1,   220,   221,   222,    -1,   224,    -1,
     226,   227,    -1,   229,   230,   231,   232,    -1,   234,   235,
      -1,   237,    -1,   239,   240,    -1,   242,   243,   244,   245,
     246,   247,    -1,   249,   250,   251,   252,   253,   254,    -1,
     256,   257,   258,    -1,   260,   261,   262,    -1,   264,    -1,
     266,    -1,   268,   269,   270,   271,   272,   273,   274,   275,
     276,   277,    -1,   279,   280,    -1,   282,   283,   284,   285,
     286,    -1,   288,   289,   290,    -1,    -1,   293,   294,   295,
     296,   297,   298,    -1,   300,   301,    -1,   303,   304,   305,
     306,   307,   308,   309,   310,   311,    -1,   313,   314,   315,
     316,    -1,   318,   319,   320,   321,   322,   323,    -1,   325,
     326,    -1,   328,   329,   330,    -1,    -1,   333,   334,   335,
     336,   337,   338,   339,   340,   341,   342,   343,   344,    -1,
     346,   347,   348,   349,   350,   351,   352,    -1,   354,   355,
     356,   357,   358,   359,   360,   361,   362,   363,   364,   365,
     366,    -1,   368,   369,   370,   371,   372,   373,   374,   375,
     376,   377,   378,    -1,   380,   381,   382,   383,   384,   385,
     386,   387,   388,   389,   390,   391,    -1,   393,    -1,   395,
     396,   397,   398,   399,    -1,   401,   402,   403,   404,   405,
     406,   407,   408,    -1,   410,   411,   412,   413,   414,   415,
     416,   417,   418,   419,   420,    -1,   422,   423,    -1,   425,
     426,   427,   428,   429,   430,    -1,   432,   433,    -1,    -1,
     436,   437,   438,   439,   440,   441,   442,   443,   444,   445,
     446,   447,    -1,    -1,   450,   451,   452,   453,   454,    -1,
      -1,   457,   458,   459,   460,   461,    -1,   463,    -1,   465,
     466,   467,   468,   469,    -1,    -1,   472,    -1,    -1,   475,
     476,   477,   478,   479,   480,   481,   482,   483,   484,   485,
     486,   487,   488,    71,   490,   491,    -1,    -1,    -1,    -1,
      -1,    79,    80,   499,   500,   501,    -1,    -1,    -1,    -1,
      -1,    -1,   508,    91,    92,    93,    94,    95,    96,    97,
      98,    -1,   100,   101,   102,   103,   104,    -1,    -1,    -1,
      -1,    -1,   110,   111,    -1,   113,   114,   115,   116,   117,
     118,   119,   120,   121,   122,   123,    -1,   125,   126,   127,
     128,   129,    -1,    -1,   132,   133,    -1,   135,   136,    -1,
     138,   139,   140,   141,   142,    -1,   144,    -1,   146,   147,
     148,   149,   150,   151,    -1,    -1,   154,   155,   156,   157,
     158,   159,    -1,   161,   162,    -1,    -1,    -1,    -1,   167,
      -1,    -1,    -1,   171,   172,   173,   174,    -1,   176,   177,
     178,   179,    -1,   181,    -1,   183,   184,   185,   186,   187,
      -1,   189,   190,   191,    -1,    -1,   194,   195,   196,   197,
     198,    -1,   200,   201,   202,    -1,   204,   205,   206,    -1,
     208,   209,   210,   211,   212,   213,   214,   215,   216,    -1,
     218,    -1,   220,   221,   222,    -1,   224,    -1,   226,   227,
      -1,   229,   230,   231,   232,    -1,   234,   235,    -1,   237,
      -1,   239,   240,    -1,   242,   243,   244,   245,   246,   247,
      -1,   249,   250,   251,   252,   253,   254,    -1,   256,   257,
     258,    -1,   260,   261,   262,    -1,   264,    -1,   266,    -1,
     268,   269,   270,   271,   272,   273,   274,   275,   276,   277,
      -1,   279,   280,    -1,   282,   283,   284,   285,   286,    -1,
     288,   289,   290,    -1,    -1,   293,   294,   295,   296,   297,
     298,    -1,   300,   301,    -1,   303,   304,   305,   306,   307,
     308,   309,   310,   311,    -1,   313,   314,   315,   316,    -1,
     318,   319,   320,   321,   322,   323,    -1,   325,    -1,    -1,
     328,   329,   330,    -1,    -1,   333,   334,   335,   336,   337,
     338,   339,   340,   341,   342,   343,   344,    -1,   346,   347,
     348,   349,   350,   351,   352,    -1,   354,   355,   356,   357,
     358,   359,   360,   361,   362,   363,   364,   365,   366,    -1,
     368,   369,   370,   371,   372,   373,   374,   375,   376,   377,
     378,    -1,   380,   381,   382,   383,   384,   385,   386,   387,
     388,   389,   390,   391,    -1,   393,   394,   395,   396,   397,
     398,   399,    -1,   401,   402,   403,   404,   405,   406,   407,
     408,    -1,   410,   411,   412,   413,   414,   415,   416,   417,
     418,   419,   420,    -1,   422,   423,   424,   425,   426,   427,
     428,   429,   430,    -1,   432,   433,    -1,    -1,   436,   437,
     438,   439,    -1,   441,   442,   443,   444,   445,   446,   447,
      -1,    -1,   450,   451,   452,   453,   454,    -1,    -1,   457,
     458,   459,   460,   461,   462,   463,    -1,   465,   466,   467,
     468,   469,    -1,    -1,   472,    -1,   474,   475,   476,   477,
     478,   479,   480,   481,   482,   483,   484,   485,   486,   487,
     488,    -1,   490,   491,    71,    72,    -1,    -1,    75,    76,
      77,    78,    79,    80,    81,    82,    -1,    -1,    -1,    86,
     508,    -1,    -1,    -1,    91,    92,    93,    94,    95,    96,
      97,    98,    -1,   100,   101,   102,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   110,   111,    -1,   113,   114,   115,   116,
     117,   118,   119,   120,   121,   122,   123,    -1,   125,   126,
     127,   128,   129,    -1,    -1,   132,   133,    -1,   135,   136,
      -1,   138,   139,   140,   141,   142,    -1,   144,    -1,   146,
     147,   148,   149,   150,   151,    -1,    -1,   154,   155,   156,
     157,   158,   159,    -1,   161,   162,    -1,    -1,    -1,    -1,
     167,    -1,    -1,    -1,   171,   172,   173,   174,    -1,   176,
     177,   178,   179,   180,   181,    -1,   183,   184,   185,   186,
     187,    -1,   189,   190,   191,    -1,    -1,   194,   195,   196,
     197,   198,    -1,   200,   201,   202,    -1,   204,   205,   206,
      -1,   208,   209,   210,   211,   212,   213,   214,   215,   216,
     217,   218,    -1,   220,   221,   222,    -1,   224,    -1,   226,
     227,    -1,   229,   230,   231,   232,    -1,   234,   235,    -1,
     237,    -1,   239,   240,    -1,   242,   243,   244,   245,   246,
     247,    -1,   249,   250,   251,   252,   253,   254,    -1,   256,
     257,   258,    -1,   260,   261,   262,    -1,   264,    -1,   266,
      -1,   268,   269,   270,   271,   272,   273,   274,   275,   276,
     277,    -1,   279,   280,    -1,   282,   283,   284,   285,   286,
      -1,   288,   289,   290,    -1,    -1,   293,   294,   295,   296,
     297,   298,    -1,   300,   301,    -1,   303,   304,   305,   306,
     307,   308,   309,   310,   311,    -1,   313,   314,   315,   316,
      -1,   318,   319,   320,   321,   322,   323,    -1,   325,   326,
      -1,   328,   329,   330,    -1,    -1,   333,   334,   335,   336,
     337,   338,   339,   340,   341,   342,   343,   344,    -1,   346,
     347,   348,   349,   350,   351,   352,    -1,   354,   355,   356,
     357,   358,   359,   360,   361,   362,   363,   364,   365,   366,
      -1,   368,   369,   370,   371,   372,   373,   374,   375,   376,
     377,   378,    -1,   380,   381,   382,   383,   384,   385,   386,
     387,   388,   389,   390,   391,    -1,   393,    -1,   395,   396,
     397,   398,   399,    -1,   401,   402,   403,   404,   405,   406,
     407,   408,    -1,   410,   411,   412,   413,   414,   415,   416,
     417,   418,   419,   420,    -1,   422,   423,    -1,   425,   426,
     427,   428,   429,   430,    -1,   432,   433,    -1,    -1,   436,
     437,   438,   439,   440,   441,   442,   443,   444,   445,   446,
     447,    -1,    -1,   450,   451,   452,   453,   454,    -1,    -1,
     457,   458,   459,   460,   461,    -1,   463,    -1,   465,   466,
     467,   468,   469,    -1,    -1,   472,    -1,    -1,   475,   476,
     477,   478,   479,   480,   481,   482,   483,   484,   485,   486,
     487,   488,    -1,   490,   491,    -1,    -1,    -1,    -1,    -1,
      71,    72,   499,   500,    75,    76,    77,    78,    79,    80,
      81,    82,    -1,    -1,    -1,    86,    -1,    -1,    -1,    -1,
      91,    92,    93,    94,    95,    96,    97,    98,    -1,   100,
     101,   102,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   110,
     111,    -1,   113,   114,   115,   116,   117,   118,   119,   120,
     121,   122,   123,    -1,   125,   126,   127,   128,   129,    -1,
      -1,   132,   133,    -1,   135,   136,    -1,   138,   139,   140,
     141,   142,    -1,   144,    -1,   146,   147,   148,   149,   150,
     151,    -1,    -1,   154,   155,   156,   157,   158,   159,    -1,
     161,   162,    -1,    -1,    -1,    -1,   167,    -1,    -1,    -1,
     171,   172,   173,   174,    -1,   176,   177,   178,   179,   180,
     181,    -1,   183,   184,   185,   186,   187,    -1,   189,   190,
     191,    -1,    -1,   194,   195,   196,   197,   198,    -1,   200,
     201,   202,    -1,   204,   205,   206,    -1,   208,   209,   210,
     211,   212,   213,   214,   215,   216,   217,   218,    -1,   220,
     221,   222,    -1,   224,    -1,   226,   227,    -1,   229,   230,
     231,   232,    -1,   234,   235,    -1,   237,    -1,   239,   240,
      -1,   242,   243,   244,   245,   246,   247,    -1,   249,   250,
     251,   252,   253,   254,    -1,   256,   257,   258,    -1,   260,
     261,   262,    -1,   264,    -1,   266,    -1,   268,   269,   270,
     271,   272,   273,   274,   275,   276,   277,    -1,   279,   280,
      -1,   282,   283,   284,   285,   286,    -1,   288,   289,   290,
      -1,    -1,   293,   294,   295,   296,   297,   298,    -1,   300,
     301,    -1,   303,   304,   305,   306,   307,   308,   309,   310,
     311,    -1,   313,   314,   315,   316,    -1,   318,   319,   320,
     321,   322,   323,    -1,   325,   326,    -1,   328,   329,   330,
      -1,    -1,   333,   334,   335,   336,   337,   338,   339,   340,
     341,   342,   343,   344,    -1,   346,   347,   348,   349,   350,
     351,   352,    -1,   354,   355,   356,   357,   358,   359,   360,
     361,   362,   363,   364,   365,   366,    -1,   368,   369,   370,
     371,   372,   373,   374,   375,   376,   377,   378,    -1,   380,
     381,   382,   383,   384,   385,   386,   387,   388,   389,   390,
     391,    -1,   393,    -1,   395,   396,   397,   398,   399,    -1,
     401,   402,   403,   404,   405,   406,   407,   408,    -1,   410,
     411,   412,   413,   414,   415,   416,   417,   418,   419,   420,
      -1,   422,   423,    -1,   425,   426,   427,   428,   429,   430,
      -1,   432,   433,    -1,    -1,   436,   437,   438,   439,   440,
     441,   442,   443,   444,   445,   446,   447,    -1,    -1,   450,
     451,   452,   453,   454,    -1,    -1,   457,   458,   459,   460,
     461,    -1,   463,    -1,   465,   466,   467,   468,   469,    -1,
      -1,   472,    -1,    -1,   475,   476,   477,   478,   479,   480,
     481,   482,   483,   484,   485,   486,   487,   488,    -1,   490,
     491,    -1,    -1,    -1,    -1,    -1,    71,    72,   499,   500,
      75,    76,    77,    78,    79,    80,    81,    82,    -1,    -1,
      -1,    86,    -1,    -1,    -1,    -1,    91,    92,    93,    94,
      95,    96,    97,    98,    -1,   100,   101,   102,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   110,   111,    -1,   113,   114,
     115,   116,   117,   118,   119,   120,   121,   122,   123,    -1,
     125,   126,   127,   128,   129,    -1,    -1,   132,   133,    -1,
     135,   136,    -1,   138,   139,   140,   141,   142,    -1,   144,
      -1,   146,   147,   148,   149,   150,   151,    -1,    -1,   154,
     155,   156,   157,   158,   159,    -1,   161,   162,    -1,    -1,
      -1,    -1,   167,    -1,    -1,    -1,   171,   172,   173,   174,
      -1,   176,   177,   178,   179,    -1,   181,    -1,   183,   184,
     185,   186,   187,    -1,   189,   190,   191,    -1,    -1,   194,
     195,   196,   197,   198,    -1,   200,   201,   202,    -1,   204,
     205,   206,    -1,   208,   209,   210,   211,   212,   213,   214,
     215,   216,   217,   218,    -1,   220,   221,   222,    -1,   224,
      -1,   226,   227,    -1,   229,   230,   231,   232,    -1,   234,
     235,    -1,   237,    -1,   239,   240,    -1,   242,   243,   244,
     245,   246,   247,    -1,   249,   250,   251,   252,   253,   254,
      -1,   256,   257,   258,    -1,   260,   261,   262,    -1,   264,
      -1,   266,    -1,   268,   269,   270,   271,   272,   273,   274,
     275,   276,   277,    -1,   279,   280,    -1,   282,   283,   284,
     285,   286,    -1,   288,   289,   290,    -1,    -1,   293,   294,
     295,   296,   297,   298,    -1,   300,   301,    -1,   303,   304,
     305,   306,   307,   308,   309,   310,   311,    -1,   313,   314,
     315,   316,    -1,   318,   319,   320,   321,   322,   323,    -1,
     325,   326,    -1,   328,   329,   330,    -1,    -1,   333,   334,
     335,   336,   337,   338,   339,   340,   341,   342,   343,   344,
      -1,   346,   347,   348,   349,   350,   351,   352,    -1,   354,
     355,   356,   357,   358,   359,   360,   361,   362,   363,   364,
     365,   366,    -1,   368,   369,   370,   371,   372,   373,   374,
     375,   376,   377,   378,    -1,   380,   381,   382,   383,   384,
     385,   386,   387,   388,   389,   390,   391,    -1,   393,    -1,
     395,   396,   397,   398,   399,    -1,   401,   402,   403,   404,
     405,   406,   407,   408,    -1,   410,   411,   412,   413,   414,
     415,   416,   417,   418,   419,   420,    -1,   422,   423,    -1,
     425,   426,   427,   428,   429,   430,    -1,   432,   433,    -1,
      -1,   436,   437,   438,   439,   440,   441,   442,   443,   444,
     445,   446,   447,    -1,    -1,   450,   451,   452,   453,   454,
      -1,    -1,   457,   458,   459,   460,   461,    -1,   463,    -1,
     465,   466,   467,   468,   469,    -1,    -1,   472,    -1,    -1,
     475,   476,   477,   478,   479,   480,   481,   482,   483,   484,
     485,   486,   487,   488,    -1,   490,   491,    -1,    -1,    -1,
      -1,    -1,    71,    -1,   499,   500,    75,    76,    77,    78,
      79,    80,    -1,    82,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    91,    92,    93,    94,    95,    96,    97,    98,
      -1,   100,   101,   102,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   110,   111,    -1,   113,   114,   115,   116,   117,   118,
     119,   120,   121,   122,   123,    -1,   125,   126,   127,   128,
     129,    -1,    -1,   132,   133,    -1,   135,   136,    -1,   138,
     139,   140,   141,   142,    -1,   144,    -1,   146,   147,   148,
     149,   150,   151,    -1,    -1,   154,   155,   156,   157,   158,
     159,    -1,   161,   162,    -1,    -1,    -1,    -1,   167,    -1,
      -1,    -1,   171,   172,   173,   174,    -1,   176,   177,   178,
     179,    -1,   181,    -1,   183,   184,   185,   186,   187,    -1,
     189,   190,   191,    -1,    -1,   194,   195,   196,   197,   198,
      -1,   200,   201,   202,    -1,   204,   205,   206,    -1,   208,
     209,   210,   211,   212,   213,   214,   215,   216,   217,   218,
      -1,   220,   221,   222,    -1,   224,    -1,   226,   227,    -1,
     229,   230,   231,   232,    -1,   234,   235,    -1,   237,    -1,
     239,   240,    -1,   242,   243,   244,   245,   246,   247,    -1,
     249,   250,   251,   252,   253,   254,    -1,   256,   257,   258,
      -1,   260,   261,   262,    -1,   264,    -1,   266,    -1,   268,
     269,   270,   271,   272,   273,   274,   275,   276,   277,    -1,
     279,   280,    -1,   282,   283,   284,   285,   286,    -1,   288,
     289,   290,    -1,    -1,   293,   294,   295,   296,   297,   298,
      -1,   300,   301,    -1,   303,   304,   305,   306,   307,   308,
     309,   310,   311,    -1,   313,   314,   315,   316,    -1,   318,
     319,   320,   321,   322,   323,    -1,   325,   326,    -1,   328,
     329,   330,    -1,    -1,   333,   334,   335,   336,   337,   338,
     339,   340,   341,   342,   343,   344,    -1,   346,   347,   348,
     349,   350,   351,   352,    -1,   354,   355,   356,   357,   358,
     359,   360,   361,   362,   363,   364,   365,   366,    -1,   368,
     369,   370,   371,   372,   373,   374,   375,   376,   377,   378,
      -1,   380,   381,   382,   383,   384,   385,   386,   387,   388,
     389,   390,   391,    -1,   393,    -1,   395,   396,   397,   398,
     399,    -1,   401,   402,   403,   404,   405,   406,   407,   408,
      -1,   410,   411,   412,   413,   414,   415,   416,   417,   418,
     419,   420,    -1,   422,   423,    -1,   425,   426,   427,   428,
     429,   430,    -1,   432,   433,    -1,    -1,   436,   437,   438,
     439,   440,   441,   442,   443,   444,   445,   446,   447,    -1,
      -1,   450,   451,   452,   453,   454,    -1,    -1,   457,   458,
     459,   460,   461,    -1,   463,    -1,   465,   466,   467,   468,
     469,    -1,    -1,   472,    -1,    -1,   475,   476,   477,   478,
     479,   480,   481,   482,   483,   484,   485,   486,   487,   488,
      -1,   490,   491,    71,    72,    -1,    -1,    75,    76,    77,
      78,    79,    80,    -1,    82,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    91,    92,    93,    94,    95,    96,    97,
      98,    -1,   100,   101,   102,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   110,   111,    -1,   113,   114,   115,   116,   117,
     118,   119,   120,   121,   122,   123,    -1,   125,   126,   127,
     128,   129,    -1,    -1,   132,   133,    -1,   135,   136,    -1,
     138,   139,   140,   141,   142,    -1,   144,    -1,   146,   147,
     148,   149,   150,   151,    -1,    -1,   154,   155,   156,   157,
     158,   159,    -1,   161,   162,    -1,    -1,    -1,    -1,   167,
      -1,    -1,    -1,   171,   172,   173,   174,    -1,   176,   177,
     178,   179,    -1,   181,    -1,   183,   184,   185,   186,   187,
      -1,   189,   190,   191,    -1,    -1,   194,   195,   196,   197,
     198,    -1,   200,   201,   202,    -1,   204,   205,   206,    -1,
     208,   209,   210,   211,   212,   213,   214,   215,   216,    -1,
     218,    -1,   220,   221,   222,    -1,   224,    -1,   226,   227,
      -1,   229,   230,   231,   232,    -1,   234,   235,    -1,   237,
      -1,   239,   240,    -1,   242,   243,   244,   245,   246,   247,
      -1,   249,   250,   251,   252,   253,   254,    -1,   256,   257,
     258,    -1,   260,   261,   262,    -1,   264,    -1,   266,    -1,
     268,   269,   270,   271,   272,   273,   274,   275,   276,   277,
      -1,   279,   280,    -1,   282,   283,   284,   285,   286,    -1,
     288,   289,   290,    -1,    -1,   293,   294,   295,   296,   297,
     298,    -1,   300,   301,    -1,   303,   304,   305,   306,   307,
     308,   309,   310,   311,    -1,   313,   314,   315,   316,    -1,
     318,   319,   320,   321,   322,   323,    -1,   325,    -1,    -1,
     328,   329,   330,    -1,    -1,   333,   334,   335,   336,   337,
     338,   339,   340,   341,   342,   343,   344,    -1,   346,   347,
     348,   349,   350,   351,   352,    -1,   354,   355,   356,   357,
     358,   359,   360,   361,   362,   363,   364,   365,   366,    -1,
     368,   369,   370,   371,   372,   373,   374,   375,   376,   377,
     378,    -1,   380,   381,   382,   383,   384,   385,   386,   387,
     388,   389,   390,   391,    -1,   393,    -1,   395,   396,   397,
     398,   399,    -1,   401,   402,   403,   404,   405,   406,   407,
     408,    -1,   410,   411,   412,   413,   414,   415,   416,   417,
     418,   419,   420,    -1,   422,   423,    -1,   425,   426,   427,
     428,   429,   430,    -1,   432,   433,   434,    -1,   436,   437,
     438,   439,    -1,   441,   442,   443,   444,   445,   446,   447,
      -1,    -1,   450,   451,   452,   453,   454,    -1,    -1,   457,
     458,   459,   460,   461,    -1,   463,    -1,   465,   466,   467,
     468,   469,    -1,    -1,   472,    -1,    -1,   475,   476,   477,
     478,   479,   480,   481,   482,   483,   484,   485,   486,   487,
     488,    -1,   490,   491,    71,    72,    -1,    -1,    75,    76,
      77,    78,    79,    80,    -1,    82,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    91,    92,    93,    94,    95,    96,
      97,    98,    -1,   100,   101,   102,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   110,   111,    -1,   113,   114,   115,   116,
     117,   118,   119,   120,   121,   122,   123,    -1,   125,   126,
     127,   128,   129,    -1,    -1,   132,   133,    -1,   135,   136,
      -1,   138,   139,   140,   141,   142,    -1,   144,    -1,   146,
     147,   148,   149,   150,   151,    -1,    -1,   154,   155,   156,
     157,   158,   159,    -1,   161,   162,    -1,    -1,    -1,    -1,
     167,    -1,    -1,    -1,   171,   172,   173,   174,    -1,   176,
     177,   178,   179,    -1,   181,    -1,   183,   184,   185,   186,
     187,    -1,   189,   190,   191,    -1,    -1,   194,   195,   196,
     197,   198,    -1,   200,   201,   202,    -1,   204,   205,   206,
      -1,   208,   209,   210,   211,   212,   213,   214,   215,   216,
      -1,   218,    -1,   220,   221,   222,    -1,   224,    -1,   226,
     227,    -1,   229,   230,   231,   232,    -1,   234,   235,    -1,
     237,    -1,   239,   240,    -1,   242,   243,   244,   245,   246,
     247,    -1,   249,   250,   251,   252,   253,   254,    -1,   256,
     257,   258,    -1,   260,   261,   262,    -1,   264,    -1,   266,
      -1,   268,   269,   270,   271,   272,   273,   274,   275,   276,
     277,    -1,   279,   280,    -1,   282,   283,   284,   285,   286,
      -1,   288,   289,   290,    -1,    -1,   293,   294,   295,   296,
     297,   298,    -1,   300,   301,    -1,   303,   304,   305,   306,
     307,   308,   309,   310,   311,    -1,   313,   314,   315,   316,
      -1,   318,   319,   320,   321,   322,   323,    -1,   325,    -1,
      -1,   328,   329,   330,    -1,    -1,   333,   334,   335,   336,
     337,   338,   339,   340,   341,   342,   343,   344,    -1,   346,
     347,   348,   349,   350,   351,   352,    -1,   354,   355,   356,
     357,   358,   359,   360,   361,   362,   363,   364,   365,   366,
      -1,   368,   369,   370,   371,   372,   373,   374,   375,   376,
     377,   378,    -1,   380,   381,   382,   383,   384,   385,   386,
     387,   388,   389,   390,   391,    -1,   393,    -1,   395,   396,
     397,   398,   399,    -1,   401,   402,   403,   404,   405,   406,
     407,   408,    -1,   410,   411,   412,   413,   414,   415,   416,
     417,   418,   419,   420,    -1,   422,   423,    -1,   425,   426,
     427,   428,   429,   430,    -1,   432,   433,    -1,    -1,   436,
     437,   438,   439,    -1,   441,   442,   443,   444,   445,   446,
     447,    -1,    -1,   450,   451,   452,   453,   454,    -1,    -1,
     457,   458,   459,   460,   461,    -1,   463,    -1,   465,   466,
     467,   468,   469,    -1,    -1,   472,    -1,    -1,   475,   476,
     477,   478,   479,   480,   481,   482,   483,   484,   485,   486,
     487,   488,    71,   490,   491,    -1,    75,    76,    77,    78,
      79,    80,    -1,    82,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    91,    92,    93,    94,    95,    96,    97,    98,
      -1,   100,   101,   102,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   110,   111,    -1,   113,   114,   115,   116,   117,   118,
     119,   120,   121,   122,   123,    -1,   125,   126,   127,   128,
     129,    -1,    -1,   132,   133,    -1,   135,   136,    -1,   138,
     139,   140,   141,   142,    -1,   144,    -1,   146,   147,   148,
     149,   150,   151,    -1,    -1,   154,   155,   156,   157,   158,
     159,    -1,   161,   162,    -1,    -1,    -1,    -1,   167,    -1,
      -1,    -1,   171,   172,   173,   174,    -1,   176,   177,   178,
     179,   180,   181,    -1,   183,   184,   185,   186,   187,    -1,
     189,   190,   191,    -1,    -1,   194,   195,   196,   197,   198,
      -1,   200,   201,   202,    -1,   204,   205,   206,    -1,   208,
     209,   210,   211,   212,   213,   214,   215,   216,    -1,   218,
      -1,   220,   221,   222,    -1,   224,    -1,   226,   227,    -1,
     229,   230,   231,   232,    -1,   234,   235,    -1,   237,    -1,
     239,   240,    -1,   242,   243,   244,   245,   246,   247,    -1,
     249,   250,   251,   252,   253,   254,    -1,   256,   257,   258,
      -1,   260,   261,   262,    -1,   264,    -1,   266,    -1,   268,
     269,   270,   271,   272,   273,   274,   275,   276,   277,    -1,
     279,   280,    -1,   282,   283,   284,   285,   286,    -1,   288,
     289,   290,    -1,    -1,   293,   294,   295,   296,   297,   298,
      -1,   300,   301,    -1,   303,   304,   305,   306,   307,   308,
     309,   310,   311,    -1,   313,   314,   315,   316,    -1,   318,
     319,   320,   321,   322,   323,    -1,   325,    -1,    -1,   328,
     329,   330,    -1,    -1,   333,   334,   335,   336,   337,   338,
     339,   340,   341,   342,   343,   344,    -1,   346,   347,   348,
     349,   350,   351,   352,    -1,   354,   355,   356,   357,   358,
     359,   360,   361,   362,   363,   364,   365,   366,    -1,   368,
     369,   370,   371,   372,   373,   374,   375,   376,   377,   378,
      -1,   380,   381,   382,   383,   384,   385,   386,   387,   388,
     389,   390,   391,    -1,   393,    -1,   395,   396,   397,   398,
     399,    -1,   401,   402,   403,   404,   405,   406,   407,   408,
      -1,   410,   411,   412,   413,   414,   415,   416,   417,   418,
     419,   420,    -1,   422,   423,    -1,   425,   426,   427,   428,
     429,   430,    -1,   432,   433,    -1,    -1,   436,   437,   438,
     439,    -1,   441,   442,   443,   444,   445,   446,   447,    -1,
      -1,   450,   451,   452,   453,   454,    -1,    -1,   457,   458,
     459,   460,   461,    -1,   463,    -1,   465,   466,   467,   468,
     469,    -1,    -1,   472,    -1,    -1,   475,   476,   477,   478,
     479,   480,   481,   482,   483,   484,   485,   486,   487,   488,
      71,   490,   491,    -1,    75,    76,    77,    78,    79,    80,
      -1,    82,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      91,    92,    93,    94,    95,    96,    97,    98,    -1,   100,
     101,   102,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   110,
     111,    -1,   113,   114,   115,   116,   117,   118,   119,   120,
     121,   122,   123,    -1,   125,   126,   127,   128,   129,    -1,
      -1,   132,   133,    -1,   135,   136,    -1,   138,   139,   140,
     141,   142,    -1,   144,    -1,   146,   147,   148,   149,   150,
     151,    -1,    -1,   154,   155,   156,   157,   158,   159,    -1,
     161,   162,    -1,    -1,    -1,    -1,   167,    -1,    -1,    -1,
     171,   172,   173,   174,    -1,   176,   177,   178,   179,    -1,
     181,    -1,   183,   184,   185,   186,   187,    -1,   189,   190,
     191,    -1,    -1,   194,   195,   196,   197,   198,    -1,   200,
     201,   202,    -1,   204,   205,   206,    -1,   208,   209,   210,
     211,   212,   213,   214,   215,   216,    -1,   218,    -1,   220,
     221,   222,    -1,   224,    -1,   226,   227,    -1,   229,   230,
     231,   232,    -1,   234,   235,    -1,   237,    -1,   239,   240,
      -1,   242,   243,   244,   245,   246,   247,    -1,   249,   250,
     251,   252,   253,   254,    -1,   256,   257,   258,    -1,   260,
     261,   262,    -1,   264,    -1,   266,    -1,   268,   269,   270,
     271,   272,   273,   274,   275,   276,   277,    -1,   279,   280,
      -1,   282,   283,   284,   285,   286,    -1,   288,   289,   290,
      -1,    -1,   293,   294,   295,   296,   297,   298,    -1,   300,
     301,    -1,   303,   304,   305,   306,   307,   308,   309,   310,
     311,    -1,   313,   314,   315,   316,    -1,   318,   319,   320,
     321,   322,   323,    -1,   325,    -1,    -1,   328,   329,   330,
      -1,    -1,   333,   334,   335,   336,   337,   338,   339,   340,
     341,   342,   343,   344,    -1,   346,   347,   348,   349,   350,
     351,   352,    -1,   354,   355,   356,   357,   358,   359,   360,
     361,   362,   363,   364,   365,   366,    -1,   368,   369,   370,
     371,   372,   373,   374,   375,   376,   377,   378,    -1,   380,
     381,   382,   383,   384,   385,   386,   387,   388,   389,   390,
     391,    -1,   393,    -1,   395,   396,   397,   398,   399,    -1,
     401,   402,   403,   404,   405,   406,   407,   408,    -1,   410,
     411,   412,   413,   414,   415,   416,   417,   418,   419,   420,
      -1,   422,   423,    -1,   425,   426,   427,   428,   429,   430,
      -1,   432,   433,    -1,    -1,   436,   437,   438,   439,    -1,
     441,   442,   443,   444,   445,   446,   447,    -1,    -1,   450,
     451,   452,   453,   454,    -1,    -1,   457,   458,   459,   460,
     461,    -1,   463,    -1,   465,   466,   467,   468,   469,    -1,
      -1,   472,    -1,    -1,   475,   476,   477,   478,   479,   480,
     481,   482,   483,   484,   485,   486,   487,   488,    71,   490,
     491,    -1,    75,    76,    77,    78,    79,    80,    -1,    82,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    91,    92,
      93,    94,    95,    96,    97,    98,    -1,   100,   101,   102,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   110,   111,    -1,
     113,   114,   115,   116,   117,   118,   119,   120,   121,   122,
     123,    -1,   125,   126,   127,   128,   129,    -1,    -1,   132,
     133,    -1,   135,   136,    -1,   138,   139,   140,   141,   142,
      -1,   144,    -1,   146,   147,   148,   149,   150,   151,    -1,
      -1,   154,   155,   156,   157,   158,   159,    -1,   161,   162,
      -1,    -1,    -1,    -1,   167,    -1,    -1,    -1,   171,   172,
     173,   174,    -1,   176,   177,   178,   179,    -1,   181,    -1,
     183,   184,   185,   186,   187,    -1,   189,   190,   191,    -1,
      -1,   194,   195,   196,   197,   198,    -1,   200,   201,   202,
      -1,   204,   205,   206,    -1,   208,   209,   210,   211,   212,
     213,   214,   215,   216,    -1,   218,    -1,   220,   221,   222,
      -1,   224,    -1,   226,   227,    -1,   229,   230,   231,   232,
      -1,   234,   235,    -1,   237,    -1,   239,   240,    -1,   242,
     243,   244,   245,   246,   247,    -1,   249,   250,   251,   252,
     253,   254,    -1,   256,   257,   258,    -1,   260,   261,   262,
      -1,   264,    -1,   266,    -1,   268,   269,   270,   271,   272,
     273,   274,   275,   276,   277,    -1,   279,   280,    -1,   282,
     283,   284,   285,   286,    -1,   288,   289,   290,    -1,    -1,
     293,   294,   295,   296,   297,   298,    -1,   300,   301,    -1,
     303,   304,   305,   306,   307,   308,   309,   310,   311,    -1,
     313,   314,   315,   316,    -1,   318,   319,   320,   321,   322,
     323,    -1,   325,    -1,    -1,   328,   329,   330,    -1,    -1,
     333,   334,   335,   336,   337,   338,   339,   340,   341,   342,
     343,   344,    -1,   346,   347,   348,   349,   350,   351,   352,
      -1,   354,   355,   356,   357,   358,   359,   360,   361,   362,
     363,   364,   365,   366,    -1,   368,   369,   370,   371,   372,
     373,   374,   375,   376,   377,   378,    -1,   380,   381,   382,
     383,   384,   385,   386,   387,   388,   389,   390,   391,    -1,
     393,    -1,   395,   396,   397,   398,   399,    -1,   401,   402,
     403,   404,   405,   406,   407,   408,    -1,   410,   411,   412,
     413,   414,   415,   416,   417,   418,   419,   420,    -1,   422,
     423,    -1,   425,   426,   427,   428,   429,   430,    -1,   432,
     433,    -1,    -1,   436,   437,   438,   439,    -1,   441,   442,
     443,   444,   445,   446,   447,    -1,    -1,   450,   451,   452,
     453,   454,    -1,    -1,   457,   458,   459,   460,   461,    -1,
     463,    -1,   465,   466,   467,   468,   469,    -1,    -1,   472,
      -1,    -1,   475,   476,   477,   478,   479,   480,   481,   482,
     483,   484,   485,   486,   487,   488,    71,   490,   491,    -1,
      -1,    -1,    -1,    -1,    79,    80,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    91,    92,    93,    94,
      95,    96,    97,    98,    -1,   100,   101,   102,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   110,   111,    -1,   113,   114,
     115,   116,   117,   118,   119,   120,   121,   122,   123,    -1,
     125,   126,   127,   128,   129,    -1,    -1,   132,   133,    -1,
     135,   136,    -1,   138,   139,   140,   141,   142,    -1,   144,
      -1,   146,   147,   148,   149,   150,   151,    -1,    -1,   154,
     155,   156,   157,   158,   159,    -1,   161,   162,    -1,    -1,
      -1,    -1,   167,    -1,    -1,   170,   171,   172,   173,   174,
      -1,   176,   177,   178,   179,    -1,   181,    -1,   183,   184,
     185,   186,   187,    -1,   189,   190,   191,    -1,    -1,   194,
     195,   196,   197,   198,    -1,   200,   201,   202,    -1,   204,
     205,   206,    -1,   208,   209,   210,   211,   212,   213,   214,
     215,   216,    -1,   218,    -1,   220,   221,   222,    -1,   224,
      -1,   226,   227,    -1,   229,   230,   231,   232,    -1,   234,
     235,    -1,   237,    -1,   239,   240,    -1,   242,   243,   244,
     245,   246,   247,    -1,   249,   250,   251,   252,   253,   254,
      -1,   256,   257,   258,    -1,   260,   261,   262,    -1,   264,
      -1,   266,    -1,   268,   269,   270,   271,   272,   273,   274,
     275,   276,   277,    -1,   279,   280,    -1,   282,   283,   284,
     285,   286,    -1,   288,   289,   290,    -1,    -1,   293,   294,
     295,   296,   297,   298,    -1,   300,   301,    -1,   303,   304,
     305,   306,   307,   308,   309,   310,   311,    -1,   313,   314,
     315,   316,    -1,   318,   319,   320,   321,   322,   323,    -1,
     325,    -1,    -1,   328,   329,   330,    -1,    -1,   333,   334,
     335,   336,   337,   338,   339,   340,   341,   342,   343,   344,
      -1,   346,   347,   348,   349,   350,   351,   352,    -1,   354,
     355,   356,   357,   358,   359,   360,   361,   362,   363,   364,
     365,   366,    -1,   368,   369,   370,   371,   372,   373,   374,
     375,   376,   377,   378,    -1,   380,   381,   382,   383,   384,
     385,   386,   387,   388,   389,   390,   391,    -1,   393,    -1,
     395,   396,   397,   398,   399,    -1,   401,   402,   403,   404,
     405,   406,   407,   408,    -1,   410,   411,   412,   413,   414,
     415,   416,   417,   418,   419,   420,    -1,   422,   423,    -1,
     425,   426,   427,   428,   429,   430,    -1,   432,   433,    -1,
      -1,   436,   437,   438,   439,    -1,   441,   442,   443,   444,
     445,   446,   447,    -1,    -1,   450,   451,   452,   453,   454,
     455,    -1,   457,   458,   459,   460,   461,    -1,   463,    -1,
     465,   466,   467,   468,   469,    -1,    -1,   472,    -1,    -1,
     475,   476,   477,   478,   479,   480,   481,   482,   483,   484,
     485,   486,   487,   488,    71,   490,   491,    -1,    -1,    -1,
      -1,    -1,    79,    80,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    91,    92,    93,    94,    95,    96,
      97,    98,    -1,   100,   101,   102,   103,   104,    -1,    -1,
      -1,    -1,    -1,   110,   111,    -1,   113,   114,   115,   116,
     117,   118,   119,   120,   121,   122,   123,    -1,   125,   126,
     127,   128,   129,    -1,    -1,   132,   133,    -1,   135,   136,
      -1,   138,   139,   140,   141,   142,    -1,   144,    -1,   146,
     147,   148,   149,   150,   151,    -1,    -1,   154,   155,   156,
     157,   158,   159,    -1,   161,   162,    -1,    -1,    -1,    -1,
     167,    -1,    -1,    -1,   171,   172,   173,   174,    -1,   176,
     177,   178,   179,    -1,   181,    -1,   183,   184,   185,   186,
     187,    -1,   189,   190,   191,    -1,    -1,   194,   195,   196,
     197,   198,    -1,   200,   201,   202,    -1,   204,   205,   206,
      -1,   208,   209,   210,   211,   212,   213,   214,   215,   216,
      -1,   218,    -1,   220,   221,   222,    -1,   224,    -1,   226,
     227,    -1,   229,   230,   231,   232,    -1,   234,   235,    -1,
     237,    -1,   239,   240,    -1,   242,   243,   244,   245,   246,
     247,    -1,   249,   250,   251,   252,   253,   254,    -1,   256,
     257,   258,    -1,   260,   261,   262,    -1,   264,    -1,   266,
      -1,   268,   269,   270,   271,   272,   273,   274,   275,   276,
     277,    -1,   279,   280,    -1,   282,   283,   284,   285,   286,
      -1,   288,   289,   290,    -1,    -1,   293,   294,   295,   296,
     297,   298,    -1,   300,   301,    -1,   303,   304,   305,   306,
     307,   308,   309,   310,   311,    -1,   313,   314,   315,   316,
      -1,   318,   319,   320,   321,   322,   323,    -1,   325,    -1,
      -1,   328,   329,   330,    -1,    -1,   333,   334,   335,   336,
     337,   338,   339,   340,   341,   342,   343,   344,    -1,   346,
     347,   348,   349,   350,   351,   352,    -1,   354,   355,   356,
     357,   358,   359,   360,   361,   362,   363,   364,   365,   366,
      -1,   368,   369,   370,   371,   372,   373,   374,   375,   376,
     377,   378,    -1,   380,   381,   382,   383,   384,   385,   386,
     387,   388,   389,   390,   391,    -1,   393,    -1,   395,   396,
     397,   398,   399,    -1,   401,   402,   403,   404,   405,   406,
     407,   408,    -1,   410,   411,   412,   413,   414,   415,   416,
     417,   418,   419,   420,    -1,   422,   423,    -1,   425,   426,
     427,   428,   429,   430,    -1,   432,   433,    -1,    -1,   436,
     437,   438,   439,    -1,   441,   442,   443,   444,   445,   446,
     447,    -1,    -1,   450,   451,   452,   453,   454,    -1,    -1,
     457,   458,   459,   460,   461,    -1,   463,    -1,   465,   466,
     467,   468,   469,    -1,    -1,   472,    -1,    -1,   475,   476,
     477,   478,   479,   480,   481,   482,   483,   484,   485,   486,
     487,   488,    71,   490,   491,    -1,    -1,    -1,    -1,    -1,
      79,    80,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    91,    92,    93,    94,    95,    96,    97,    98,
      99,   100,   101,   102,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   110,   111,    -1,   113,   114,   115,   116,   117,   118,
     119,   120,   121,   122,   123,    -1,   125,   126,   127,   128,
     129,    -1,    -1,   132,   133,    -1,   135,   136,    -1,   138,
     139,   140,   141,   142,    -1,   144,    -1,   146,   147,   148,
     149,   150,   151,    -1,    -1,   154,   155,   156,   157,   158,
     159,    -1,   161,   162,    -1,    -1,    -1,    -1,   167,    -1,
      -1,    -1,   171,   172,   173,   174,    -1,   176,   177,   178,
     179,    -1,   181,    -1,   183,   184,   185,   186,   187,    -1,
     189,   190,   191,    -1,    -1,   194,   195,   196,   197,   198,
      -1,   200,   201,   202,    -1,   204,   205,   206,    -1,   208,
     209,   210,   211,   212,   213,   214,   215,   216,    -1,   218,
      -1,   220,   221,   222,    -1,   224,    -1,   226,   227,    -1,
     229,   230,   231,   232,    -1,   234,   235,    -1,   237,    -1,
     239,   240,    -1,   242,   243,   244,   245,   246,   247,    -1,
     249,   250,   251,   252,   253,   254,    -1,   256,   257,   258,
      -1,   260,   261,   262,    -1,   264,    -1,   266,    -1,   268,
     269,   270,   271,   272,   273,   274,   275,   276,   277,    -1,
     279,   280,    -1,   282,   283,   284,   285,   286,    -1,   288,
     289,   290,    -1,    -1,   293,   294,   295,   296,   297,   298,
      -1,   300,   301,    -1,   303,   304,   305,   306,   307,   308,
     309,   310,   311,    -1,   313,   314,   315,   316,    -1,   318,
     319,   320,   321,   322,   323,    -1,   325,    -1,    -1,   328,
     329,   330,    -1,    -1,   333,   334,   335,   336,   337,   338,
     339,   340,   341,   342,   343,   344,    -1,   346,   347,   348,
     349,   350,   351,   352,    -1,   354,   355,   356,   357,   358,
     359,   360,   361,   362,   363,   364,   365,   366,    -1,   368,
     369,   370,   371,   372,   373,   374,   375,   376,   377,   378,
      -1,   380,   381,   382,   383,   384,   385,   386,   387,   388,
     389,   390,   391,    -1,   393,    -1,   395,   396,   397,   398,
     399,    -1,   401,   402,   403,   404,   405,   406,   407,   408,
      -1,   410,   411,   412,   413,   414,   415,   416,   417,   418,
     419,   420,    -1,   422,   423,    -1,   425,   426,   427,   428,
     429,   430,    -1,   432,   433,    -1,    -1,   436,   437,   438,
     439,    -1,   441,   442,   443,   444,   445,   446,   447,    -1,
      -1,   450,   451,   452,   453,   454,    -1,    -1,   457,   458,
     459,   460,   461,    -1,   463,    -1,   465,   466,   467,   468,
     469,    -1,    -1,   472,    -1,    -1,   475,   476,   477,   478,
     479,   480,   481,   482,   483,   484,   485,   486,   487,   488,
      71,   490,   491,    -1,    -1,    -1,    -1,    -1,    79,    80,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      91,    92,    93,    94,    95,    96,    97,    98,    99,   100,
     101,   102,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   110,
     111,    -1,   113,   114,   115,   116,   117,   118,   119,   120,
     121,   122,   123,    -1,   125,   126,   127,   128,   129,    -1,
      -1,   132,   133,    -1,   135,   136,    -1,   138,   139,   140,
     141,   142,    -1,   144,    -1,   146,   147,   148,   149,   150,
     151,    -1,    -1,   154,   155,   156,   157,   158,   159,    -1,
     161,   162,    -1,    -1,    -1,    -1,   167,    -1,    -1,    -1,
     171,   172,   173,   174,    -1,   176,   177,   178,   179,    -1,
     181,    -1,   183,   184,   185,   186,   187,    -1,   189,   190,
     191,    -1,    -1,   194,   195,   196,   197,   198,    -1,   200,
     201,   202,    -1,   204,   205,   206,    -1,   208,   209,   210,
     211,   212,   213,   214,   215,   216,    -1,   218,    -1,   220,
     221,   222,    -1,   224,    -1,   226,   227,    -1,   229,   230,
     231,   232,    -1,   234,   235,    -1,   237,    -1,   239,   240,
      -1,   242,   243,   244,   245,   246,   247,    -1,   249,   250,
     251,   252,   253,   254,    -1,   256,   257,   258,    -1,   260,
     261,   262,    -1,   264,    -1,   266,    -1,   268,   269,   270,
     271,   272,   273,   274,   275,   276,   277,    -1,   279,   280,
      -1,   282,   283,   284,   285,   286,    -1,   288,   289,   290,
      -1,    -1,   293,   294,   295,   296,   297,   298,    -1,   300,
     301,    -1,   303,   304,   305,   306,   307,   308,   309,   310,
     311,    -1,   313,   314,   315,   316,    -1,   318,   319,   320,
     321,   322,   323,    -1,   325,    -1,    -1,   328,   329,   330,
      -1,    -1,   333,   334,   335,   336,   337,   338,   339,   340,
     341,   342,   343,   344,    -1,   346,   347,   348,   349,   350,
     351,   352,    -1,   354,   355,   356,   357,   358,   359,   360,
     361,   362,   363,   364,   365,   366,    -1,   368,   369,   370,
     371,   372,   373,   374,   375,   376,   377,   378,    -1,   380,
     381,   382,   383,   384,   385,   386,   387,   388,   389,   390,
     391,    -1,   393,    -1,   395,   396,   397,   398,   399,    -1,
     401,   402,   403,   404,   405,   406,   407,   408,    -1,   410,
     411,   412,   413,   414,   415,   416,   417,   418,   419,   420,
      -1,   422,   423,    -1,   425,   426,   427,   428,   429,   430,
      -1,   432,   433,    -1,    -1,   436,   437,   438,   439,    -1,
     441,   442,   443,   444,   445,   446,   447,    -1,    -1,   450,
     451,   452,   453,   454,    -1,    -1,   457,   458,   459,   460,
     461,    -1,   463,    -1,   465,   466,   467,   468,   469,    -1,
      -1,   472,    -1,    -1,   475,   476,   477,   478,   479,   480,
     481,   482,   483,   484,   485,   486,   487,   488,    71,   490,
     491,    -1,    -1,    -1,    -1,    -1,    79,    80,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    91,    92,
      93,    94,    95,    96,    97,    98,    -1,   100,   101,   102,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   110,   111,    -1,
     113,   114,   115,   116,   117,   118,   119,   120,   121,   122,
     123,    -1,   125,   126,   127,   128,   129,    -1,    -1,   132,
     133,    -1,   135,   136,    -1,   138,   139,   140,   141,   142,
      -1,   144,    -1,   146,   147,   148,   149,   150,   151,    -1,
      -1,   154,   155,   156,   157,   158,   159,    -1,   161,   162,
      -1,    -1,    -1,    -1,   167,    -1,    -1,    -1,   171,   172,
     173,   174,    -1,   176,   177,   178,   179,    -1,   181,    -1,
     183,   184,   185,   186,   187,    -1,   189,   190,   191,    -1,
      -1,   194,   195,   196,   197,   198,    -1,   200,   201,   202,
      -1,   204,   205,   206,    -1,   208,   209,   210,   211,   212,
     213,   214,   215,   216,    -1,   218,    -1,   220,   221,   222,
      -1,   224,    -1,   226,   227,    -1,   229,   230,   231,   232,
      -1,   234,   235,   236,   237,    -1,   239,   240,    -1,   242,
     243,   244,   245,   246,   247,    -1,   249,   250,   251,   252,
     253,   254,    -1,   256,   257,   258,    -1,   260,   261,   262,
      -1,   264,    -1,   266,    -1,   268,   269,   270,   271,   272,
     273,   274,   275,   276,   277,    -1,   279,   280,    -1,   282,
     283,   284,   285,   286,    -1,   288,   289,   290,    -1,    -1,
     293,   294,   295,   296,   297,   298,    -1,   300,   301,    -1,
     303,   304,   305,   306,   307,   308,   309,   310,   311,    -1,
     313,   314,   315,   316,    -1,   318,   319,   320,   321,   322,
     323,    -1,   325,    -1,    -1,   328,   329,   330,    -1,    -1,
     333,   334,   335,   336,   337,   338,   339,   340,   341,   342,
     343,   344,    -1,   346,   347,   348,   349,   350,   351,   352,
      -1,   354,   355,   356,   357,   358,   359,   360,   361,   362,
     363,   364,   365,   366,    -1,   368,   369,   370,   371,   372,
     373,   374,   375,   376,   377,   378,    -1,   380,   381,   382,
     383,   384,   385,   386,   387,   388,   389,   390,   391,    -1,
     393,    -1,   395,   396,   397,   398,   399,    -1,   401,   402,
     403,   404,   405,   406,   407,   408,    -1,   410,   411,   412,
     413,   414,   415,   416,   417,   418,   419,   420,    -1,   422,
     423,    -1,   425,   426,   427,   428,   429,   430,    -1,   432,
     433,    -1,    -1,   436,   437,   438,   439,    -1,   441,   442,
     443,   444,   445,   446,   447,    -1,    -1,   450,   451,   452,
     453,   454,    -1,    -1,   457,   458,   459,   460,   461,    -1,
     463,    -1,   465,   466,   467,   468,   469,    -1,    -1,   472,
      -1,    -1,   475,   476,   477,   478,   479,   480,   481,   482,
     483,   484,   485,   486,   487,   488,    71,   490,   491,    -1,
      -1,    -1,    -1,    -1,    79,    80,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    91,    92,    93,    94,
      95,    96,    97,    98,    -1,   100,   101,   102,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   110,   111,    -1,   113,   114,
     115,   116,   117,   118,   119,   120,   121,   122,   123,    -1,
     125,   126,   127,   128,   129,    -1,    -1,   132,   133,    -1,
     135,   136,    -1,   138,   139,   140,   141,   142,    -1,   144,
      -1,   146,   147,   148,   149,   150,   151,    -1,    -1,   154,
     155,   156,   157,   158,   159,    -1,   161,   162,    -1,    -1,
      -1,    -1,   167,    -1,    -1,    -1,   171,   172,   173,   174,
      -1,   176,   177,   178,   179,    -1,   181,    -1,   183,   184,
     185,   186,   187,    -1,   189,   190,   191,    -1,    -1,   194,
     195,   196,   197,   198,    -1,   200,   201,   202,    -1,   204,
     205,   206,    -1,   208,   209,   210,   211,   212,   213,   214,
     215,   216,    -1,   218,    -1,   220,   221,   222,    -1,   224,
      -1,   226,   227,    -1,   229,   230,   231,   232,    -1,   234,
     235,    -1,   237,    -1,   239,   240,    -1,   242,   243,   244,
     245,   246,   247,    -1,   249,   250,   251,   252,   253,   254,
      -1,   256,   257,   258,    -1,   260,   261,   262,    -1,   264,
      -1,   266,    -1,   268,   269,   270,   271,   272,   273,   274,
     275,   276,   277,    -1,   279,   280,    -1,   282,   283,   284,
     285,   286,    -1,   288,   289,   290,    -1,    -1,   293,   294,
     295,   296,   297,   298,    -1,   300,   301,    -1,   303,   304,
     305,   306,   307,   308,   309,   310,   311,    -1,   313,   314,
     315,   316,    -1,   318,   319,   320,   321,   322,   323,    -1,
     325,    -1,    -1,   328,   329,   330,    -1,    -1,   333,   334,
     335,   336,   337,   338,   339,   340,   341,   342,   343,   344,
      -1,   346,   347,   348,   349,   350,   351,   352,    -1,   354,
     355,   356,   357,   358,   359,   360,   361,   362,   363,   364,
     365,   366,    -1,   368,   369,   370,   371,   372,   373,   374,
     375,   376,   377,   378,    -1,   380,   381,   382,   383,   384,
     385,   386,   387,   388,   389,   390,   391,    -1,   393,    -1,
     395,   396,   397,   398,   399,    -1,   401,   402,   403,   404,
     405,   406,   407,   408,    -1,   410,   411,   412,   413,   414,
     415,   416,   417,   418,   419,   420,    -1,   422,   423,    -1,
     425,   426,   427,   428,   429,   430,    -1,   432,   433,    -1,
      -1,   436,   437,   438,   439,    -1,   441,   442,   443,   444,
     445,   446,   447,    -1,    -1,   450,   451,   452,   453,   454,
      -1,    -1,   457,   458,   459,   460,   461,    -1,   463,    -1,
     465,   466,   467,   468,   469,    -1,    -1,   472,    -1,    -1,
     475,   476,   477,   478,   479,   480,   481,   482,   483,   484,
     485,   486,   487,   488,    71,   490,   491,    -1,    -1,    -1,
      -1,    -1,    79,    80,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    91,    92,    93,    94,    95,    96,
      97,    98,    -1,   100,   101,   102,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   110,   111,    -1,   113,   114,   115,   116,
     117,   118,   119,   120,   121,   122,   123,    -1,   125,   126,
     127,   128,   129,    -1,    -1,   132,   133,    -1,   135,   136,
      -1,   138,   139,   140,   141,   142,    -1,   144,    -1,   146,
     147,   148,   149,   150,   151,    -1,    -1,   154,   155,   156,
     157,   158,   159,    -1,   161,   162,    -1,    -1,    -1,    -1,
     167,    -1,    -1,    -1,   171,   172,   173,   174,    -1,   176,
     177,   178,   179,    -1,   181,    -1,   183,   184,   185,   186,
     187,    -1,   189,   190,   191,    -1,    -1,   194,   195,   196,
     197,   198,    -1,   200,   201,   202,    -1,   204,   205,   206,
      -1,   208,   209,   210,   211,   212,   213,   214,   215,   216,
      -1,   218,    -1,   220,   221,   222,    -1,   224,    -1,   226,
     227,    -1,   229,   230,   231,   232,    -1,   234,   235,    -1,
     237,    -1,   239,   240,    -1,   242,   243,   244,   245,   246,
     247,    -1,   249,   250,   251,   252,   253,   254,    -1,   256,
     257,   258,    -1,   260,   261,   262,    -1,   264,    -1,   266,
      -1,   268,   269,   270,   271,   272,   273,   274,   275,   276,
     277,    -1,   279,   280,    -1,   282,   283,   284,   285,   286,
      -1,   288,   289,   290,    -1,    -1,   293,   294,   295,   296,
     297,   298,    -1,   300,   301,    -1,   303,   304,   305,   306,
     307,   308,   309,   310,   311,    -1,   313,   314,   315,   316,
      -1,   318,   319,   320,   321,   322,   323,    -1,   325,    -1,
      -1,   328,   329,   330,    -1,    -1,   333,   334,   335,   336,
     337,   338,   339,   340,   341,   342,   343,   344,    -1,   346,
     347,   348,   349,   350,   351,   352,    -1,   354,   355,   356,
     357,   358,   359,   360,   361,   362,   363,   364,   365,   366,
      -1,   368,   369,   370,   371,   372,   373,   374,   375,   376,
     377,   378,    -1,   380,   381,   382,   383,   384,   385,   386,
     387,   388,   389,   390,   391,    -1,   393,    -1,   395,   396,
     397,   398,   399,    -1,   401,   402,   403,   404,   405,   406,
     407,   408,    -1,   410,   411,   412,   413,   414,   415,   416,
     417,   418,   419,   420,    -1,   422,   423,    -1,   425,   426,
     427,   428,   429,   430,    -1,   432,   433,    -1,    -1,   436,
     437,   438,   439,    -1,   441,   442,   443,   444,   445,   446,
     447,    -1,    -1,   450,   451,   452,   453,   454,    -1,    -1,
     457,   458,   459,   460,   461,    -1,   463,    -1,   465,   466,
     467,   468,   469,    -1,    -1,   472,    -1,    -1,   475,   476,
     477,   478,   479,   480,   481,   482,   483,   484,   485,   486,
     487,   488,    71,   490,   491,    -1,    -1,    -1,    -1,    -1,
      79,    80,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    91,    92,    93,    94,    95,    96,    97,    98,
      -1,   100,   101,   102,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   110,   111,    -1,   113,   114,   115,   116,   117,   118,
     119,   120,   121,   122,   123,    -1,   125,   126,   127,   128,
     129,    -1,    -1,   132,   133,    -1,   135,   136,    -1,   138,
     139,   140,   141,   142,    -1,   144,    -1,   146,   147,   148,
     149,   150,   151,    -1,    -1,   154,   155,   156,   157,   158,
     159,    -1,   161,   162,    -1,    -1,    -1,    -1,   167,    -1,
      -1,    -1,   171,   172,   173,   174,    -1,   176,   177,   178,
     179,    -1,   181,    -1,   183,   184,   185,   186,   187,    -1,
     189,   190,   191,    -1,    -1,   194,   195,   196,   197,   198,
      -1,   200,   201,   202,    -1,   204,   205,   206,    -1,   208,
     209,   210,   211,   212,   213,   214,   215,   216,    -1,   218,
      -1,   220,   221,   222,    -1,   224,    -1,   226,   227,    -1,
     229,   230,   231,   232,    -1,   234,   235,    -1,   237,    -1,
     239,   240,    -1,   242,   243,   244,   245,   246,   247,    -1,
     249,   250,   251,   252,   253,   254,    -1,   256,   257,   258,
      -1,   260,   261,   262,    -1,   264,    -1,   266,    -1,   268,
     269,   270,   271,   272,   273,   274,   275,   276,   277,    -1,
     279,   280,    -1,   282,   283,   284,   285,   286,    -1,   288,
     289,   290,    -1,    -1,   293,   294,   295,   296,   297,   298,
      -1,   300,   301,    -1,   303,   304,   305,   306,   307,   308,
     309,   310,   311,    -1,   313,   314,   315,   316,    -1,   318,
     319,   320,   321,   322,   323,    -1,   325,    -1,    -1,   328,
     329,   330,    -1,    -1,   333,   334,   335,   336,   337,   338,
     339,   340,   341,   342,   343,   344,    -1,   346,   347,   348,
     349,   350,   351,   352,    -1,   354,   355,   356,   357,   358,
     359,   360,   361,   362,   363,   364,   365,   366,    -1,   368,
     369,   370,   371,   372,   373,   374,   375,   376,   377,   378,
      -1,   380,   381,   382,   383,   384,   385,   386,   387,   388,
     389,   390,   391,    -1,   393,    -1,   395,   396,   397,   398,
     399,    -1,   401,   402,   403,   404,   405,   406,   407,   408,
      -1,   410,   411,   412,   413,   414,   415,   416,   417,   418,
     419,   420,    -1,   422,   423,    -1,   425,   426,   427,   428,
     429,   430,    -1,   432,   433,    -1,    -1,   436,   437,   438,
     439,    -1,   441,   442,   443,   444,   445,   446,   447,    -1,
      -1,   450,   451,   452,   453,   454,    -1,    -1,   457,   458,
     459,   460,   461,    -1,   463,    -1,   465,   466,   467,   468,
     469,    -1,    -1,   472,    -1,    -1,   475,   476,   477,   478,
     479,   480,   481,   482,   483,   484,   485,   486,   487,   488,
      71,   490,   491,    -1,    -1,    -1,    -1,    -1,    79,    80,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      91,    92,    93,    94,    95,    96,    97,    98,    -1,   100,
     101,   102,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   110,
     111,    -1,   113,   114,   115,   116,   117,   118,   119,   120,
     121,   122,   123,    -1,   125,   126,   127,   128,   129,    -1,
      -1,   132,   133,    -1,   135,   136,    -1,   138,   139,   140,
     141,   142,    -1,   144,    -1,   146,   147,   148,   149,   150,
     151,    -1,    -1,   154,   155,   156,   157,   158,   159,    -1,
     161,   162,    -1,    -1,    -1,    -1,   167,    -1,    -1,    -1,
     171,   172,   173,   174,    -1,   176,   177,   178,   179,    -1,
     181,    -1,   183,   184,   185,   186,   187,    -1,   189,   190,
     191,    -1,    -1,   194,   195,   196,   197,   198,    -1,   200,
     201,   202,    -1,   204,   205,   206,    -1,   208,   209,   210,
     211,   212,   213,   214,   215,   216,    -1,   218,    -1,   220,
     221,   222,    -1,   224,    -1,   226,   227,    -1,   229,   230,
     231,   232,    -1,   234,   235,    -1,   237,    -1,   239,   240,
      -1,   242,   243,   244,   245,   246,   247,    -1,   249,   250,
     251,   252,   253,   254,    -1,   256,   257,   258,    -1,   260,
     261,   262,    -1,   264,    -1,   266,    -1,   268,   269,   270,
     271,   272,   273,   274,   275,   276,   277,    -1,   279,   280,
      -1,   282,   283,   284,   285,   286,    -1,   288,   289,   290,
      -1,    -1,   293,   294,   295,   296,   297,   298,    -1,   300,
     301,    -1,   303,   304,   305,   306,   307,   308,   309,   310,
     311,    -1,   313,   314,   315,   316,    -1,   318,   319,   320,
     321,   322,   323,    -1,   325,    -1,    -1,   328,   329,   330,
      -1,    -1,   333,   334,   335,   336,   337,   338,   339,   340,
     341,   342,   343,   344,    -1,   346,   347,   348,   349,   350,
     351,   352,    -1,   354,   355,   356,   357,   358,   359,   360,
     361,   362,   363,   364,   365,   366,    -1,   368,   369,   370,
     371,   372,   373,   374,   375,   376,   377,   378,    -1,   380,
     381,   382,   383,   384,   385,   386,   387,   388,   389,   390,
     391,    -1,   393,    -1,   395,   396,   397,   398,   399,    -1,
     401,   402,   403,   404,   405,   406,   407,   408,    -1,   410,
     411,   412,   413,   414,   415,   416,   417,   418,   419,   420,
      -1,   422,   423,    -1,   425,   426,   427,   428,   429,   430,
      -1,   432,   433,    -1,    -1,   436,   437,   438,   439,    -1,
     441,   442,   443,   444,   445,   446,   447,    -1,    -1,   450,
     451,   452,   453,   454,    -1,    -1,   457,   458,   459,   460,
     461,    -1,   463,    -1,   465,   466,   467,   468,   469,    -1,
      -1,   472,    -1,    -1,   475,   476,   477,   478,   479,   480,
     481,   482,   483,   484,   485,   486,   487,   488,    71,   490,
     491,    -1,    -1,    -1,    -1,    -1,    79,    80,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    91,    92,
      93,    94,    95,    96,    97,    98,    -1,   100,   101,   102,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   110,   111,    -1,
     113,   114,   115,   116,   117,   118,   119,   120,   121,   122,
     123,    -1,   125,   126,   127,   128,   129,    -1,    -1,   132,
     133,    -1,   135,   136,    -1,   138,   139,   140,   141,   142,
      -1,   144,    -1,   146,   147,   148,   149,   150,   151,    -1,
      -1,   154,   155,   156,   157,   158,   159,    -1,   161,   162,
      -1,    -1,    -1,    -1,   167,    -1,    -1,    -1,   171,   172,
     173,   174,    -1,   176,   177,   178,   179,    -1,   181,    -1,
     183,   184,   185,   186,   187,    -1,   189,   190,   191,    -1,
      -1,   194,   195,   196,   197,   198,    -1,   200,   201,   202,
      -1,   204,   205,   206,    -1,   208,   209,   210,   211,   212,
     213,   214,   215,   216,    -1,   218,    -1,   220,   221,   222,
      -1,   224,    -1,   226,   227,    -1,   229,   230,   231,   232,
      -1,   234,   235,    -1,   237,    -1,   239,   240,    -1,   242,
     243,   244,   245,   246,   247,    -1,   249,   250,   251,   252,
     253,   254,    -1,   256,   257,   258,    -1,   260,   261,   262,
      -1,   264,    -1,   266,    -1,   268,   269,   270,   271,   272,
     273,   274,   275,   276,   277,    -1,   279,   280,    -1,   282,
     283,   284,   285,   286,    -1,   288,   289,   290,    -1,    -1,
     293,   294,   295,   296,   297,   298,    -1,   300,   301,    -1,
     303,   304,   305,   306,   307,   308,   309,   310,   311,    -1,
     313,   314,   315,   316,    -1,   318,   319,   320,   321,   322,
     323,    -1,   325,    -1,    -1,   328,   329,   330,    -1,    -1,
     333,   334,   335,   336,   337,   338,   339,   340,   341,   342,
     343,   344,    -1,   346,   347,   348,   349,   350,   351,   352,
      -1,   354,   355,   356,   357,   358,   359,   360,   361,   362,
     363,   364,   365,   366,    -1,   368,   369,   370,   371,   372,
     373,   374,   375,   376,   377,   378,    -1,   380,   381,   382,
     383,   384,   385,   386,   387,   388,   389,   390,   391,    -1,
     393,    -1,   395,   396,   397,   398,   399,    -1,   401,   402,
     403,   404,   405,   406,   407,   408,    -1,   410,   411,   412,
     413,   414,   415,   416,   417,   418,   419,   420,    -1,   422,
     423,    -1,   425,   426,   427,   428,   429,   430,    -1,   432,
     433,    -1,    -1,   436,   437,   438,   439,    -1,   441,   442,
     443,   444,   445,   446,   447,    -1,    -1,   450,   451,   452,
     453,   454,    -1,    -1,   457,   458,   459,   460,   461,    -1,
     463,    -1,   465,   466,   467,   468,   469,    -1,    -1,   472,
      -1,    -1,   475,   476,   477,   478,   479,   480,   481,   482,
     483,   484,   485,   486,   487,   488,    -1,   490,   491
};

  /* YYSTOS[STATE-NUM] -- The (internal number of the) accessing
     symbol of state STATE-NUM.  */
static const yytype_uint16 yystos[] =
{
       0,   517,  1067,     0,     5,    25,    35,    36,    41,    43,
      44,    47,    48,    49,    50,    51,    52,    53,    54,    55,
      56,    57,    58,    59,    60,    61,    62,    63,    64,    65,
      66,    67,    68,    69,    70,    71,    73,    75,    76,    77,
      78,    79,    80,    81,    82,    86,   134,   204,   221,   241,
     263,   299,   302,   317,   392,   434,   448,   463,   489,   495,
     499,   500,   501,   502,   503,   506,   507,   508,   509,   511,
     512,   513,   514,   515,  1058,  1068,  1096,  1098,  1189,  1199,
    1200,  1202,  1208,  1209,  1097,     3,     6,     7,     8,     9,
      10,    11,    12,    13,    15,    16,    17,    18,    19,    20,
      21,    22,    23,    24,    26,    27,    28,    31,    32,    33,
      34,    36,    37,    38,    39,    40,    42,    43,    44,    45,
      46,    50,    51,    56,    65,    67,    69,    70,    91,   101,
     103,   104,   113,   115,   118,   119,   120,   121,   122,   123,
     135,   138,   140,   141,   142,   144,   146,   148,   150,   158,
     160,   161,   167,   174,   176,   177,   178,   179,   191,   193,
     197,   203,   204,   211,   212,   213,   216,   219,   221,   227,
     229,   233,   235,   244,   257,   258,   264,   266,   269,   270,
     272,   283,   284,   286,   288,   289,   294,   303,   306,   307,
     308,   311,   314,   315,   318,   320,   333,   334,   335,   336,
     337,   347,   349,   351,   362,   363,   368,   369,   371,   376,
     381,   382,   384,   385,   388,   393,   394,   401,   402,   404,
     405,   407,   412,   420,   424,   432,   433,   437,   439,   441,
     443,   448,   451,   457,   462,   463,   466,   474,   480,   481,
     482,   483,   484,   485,   486,   487,   488,   508,   518,   519,
     525,   526,   528,   529,   530,   531,   532,   533,   534,   536,
     537,   541,   552,   555,   556,   559,   560,   561,   572,   575,
     576,   592,   631,   634,   635,   636,   643,   649,   651,   653,
     654,   657,   660,   661,   665,   666,   675,   679,   680,   681,
     682,   683,   685,   686,   687,   700,   701,   705,   707,   708,
     709,   720,   722,   729,   730,   733,   734,   735,   736,   737,
     742,   744,   747,   751,   755,   756,   766,   767,   770,   775,
     786,   805,   808,   809,   810,   813,   816,   818,   820,   823,
     826,   827,   828,   835,   836,   838,   839,   840,   845,   847,
     848,   852,   853,   856,   857,   858,   860,   861,   862,   863,
     865,   868,   869,   874,   880,   883,   885,   890,   892,   896,
     903,   907,   908,   909,   910,   911,   912,   915,   943,  1064,
    1065,  1069,  1071,  1072,  1089,  1090,  1091,  1092,  1103,  1105,
    1109,  1110,  1111,  1112,  1113,  1115,  1117,  1119,  1120,  1121,
    1122,  1124,  1129,  1130,  1134,  1135,  1144,  1146,  1147,  1148,
    1151,  1156,  1159,  1164,  1166,  1167,  1170,  1172,  1175,  1184,
    1202,  1210,    73,  1092,  1100,  1101,    14,    72,    91,    92,
      93,    94,    95,    96,    97,    98,   100,   101,   102,   110,
     111,   113,   114,   116,   117,   118,   125,   126,   127,   128,
     129,   132,   133,   136,   138,   139,   140,   141,   146,   147,
     148,   149,   151,   154,   155,   156,   157,   158,   159,   162,
     171,   172,   173,   174,   176,   179,   181,   183,   184,   185,
     186,   187,   189,   190,   191,   194,   195,   196,   197,   198,
     200,   201,   202,   204,   205,   206,   208,   209,   210,   211,
     213,   214,   215,   218,   220,   222,   224,   226,   230,   231,
     232,   234,   237,   239,   240,   242,   243,   245,   246,   247,
     249,   250,   251,   252,   253,   254,   256,   260,   261,   262,
     268,   271,   273,   274,   275,   276,   277,   279,   280,   282,
     285,   288,   289,   290,   293,   294,   295,   296,   297,   298,
     300,   301,   303,   304,   305,   309,   310,   313,   314,   316,
     319,   321,   322,   323,   325,   328,   329,   330,   338,   339,
     340,   341,   342,   343,   344,   346,   348,   350,   351,   352,
     354,   355,   356,   357,   358,   359,   360,   361,   363,   364,
     365,   366,   368,   369,   370,   371,   372,   373,   374,   375,
     376,   377,   378,   380,   381,   383,   384,   386,   387,   388,
     389,   390,   391,   393,   395,   396,   397,   398,   399,   401,
     403,   404,   406,   408,   410,   411,   412,   413,   414,   415,
     416,   417,   418,   419,   422,   423,   425,   426,   427,   428,
     429,   430,   434,   436,   438,   441,   442,   443,   444,   445,
     446,   447,   450,   451,   452,   453,   454,   457,   458,   459,
     460,   461,   465,   467,   468,   469,   472,   475,   476,   477,
     478,   479,   490,   491,  1059,  1062,  1063,  1064,  1065,  1082,
    1083,  1194,  1196,  1200,  1202,    29,   259,  1145,     9,    13,
      15,    28,    45,    46,    50,    51,    56,    65,    67,    69,
      70,    99,   134,   152,   163,   175,   180,   241,   299,   302,
     392,   462,   489,  1051,  1063,  1064,  1084,  1131,  1132,  1174,
    1175,  1176,  1180,  1185,  1186,  1187,  1196,  1202,    99,   904,
    1050,  1084,  1180,  1193,    14,   904,     5,    25,    29,    35,
      36,    43,    44,    99,   103,   104,   105,   106,   107,   108,
     109,   112,   124,   130,   131,   134,   137,   143,   145,   152,
     153,   160,   163,   164,   165,   166,   168,   169,   170,   180,
     182,   188,   192,   193,   199,   203,   207,   217,   219,   223,
     225,   228,   233,   236,   238,   248,   255,   259,   263,   265,
     267,   278,   281,   287,   291,   292,   312,   317,   324,   326,
     327,   331,   332,   345,   353,   367,   379,   394,   400,   409,
     421,   424,   431,   434,   435,   440,   448,   449,   455,   456,
     462,   464,   470,   471,   473,   474,  1063,  1066,  1176,  1177,
    1178,  1182,  1183,  1184,  1185,  1187,    25,    35,   134,   263,
    1171,    38,    40,   312,  1104,   436,   476,   841,    98,   144,
     157,   174,   180,   195,   206,   214,   225,   230,   236,   251,
     276,   297,   328,   356,   383,   387,   389,   395,   398,   424,
     426,   430,   438,   443,   455,   468,   650,  1132,   179,   841,
      99,   904,   466,   870,   326,   352,   841,   121,   583,   908,
      98,   110,   131,   144,   153,   174,   180,   195,   206,   214,
     225,   232,   236,   290,   328,   331,   383,   389,   398,   426,
     427,   429,   430,   438,   443,   449,   452,   455,   593,   633,
     725,   776,   787,  1051,  1073,  1074,  1075,  1084,  1200,  1202,
      14,    99,   351,  1050,  1084,  1088,   413,   904,    99,   346,
     427,   429,   275,   814,   815,  1200,    98,   110,   131,   144,
     157,   174,   195,   206,   214,   225,   230,   236,   251,   297,
     328,   338,   383,   387,   389,   395,   398,   424,   426,   430,
     438,   443,   455,   468,   650,   738,   841,   514,  1114,  1178,
     245,  1088,   160,   179,   211,   466,   508,   631,   634,   869,
     875,   883,   885,   890,   896,   903,   907,  1069,    92,    99,
     116,   220,   226,   228,   248,   277,   309,   354,   370,   499,
     500,   752,   753,   904,  1058,  1061,  1194,  1196,    99,   160,
     367,   394,   757,   758,   759,  1180,  1180,  1055,  1200,   424,
     918,   116,   226,   752,  1180,   436,  1088,   338,   297,   174,
     251,   423,   424,   821,   388,  1180,    99,   134,   399,   432,
     436,   462,   544,  1063,  1064,  1174,  1179,  1185,  1187,  1202,
      96,   233,   757,   758,   352,   841,  1180,   274,    99,   192,
     920,     4,    14,   132,   152,   154,   290,   305,   383,   389,
     399,   432,   436,   479,   542,   543,   544,    99,   399,   432,
     436,   544,   436,   327,   954,  1048,  1180,   918,  1168,  1178,
     501,  1180,   229,   508,   871,   508,  1044,   365,   913,   914,
    1050,   908,   909,   912,   512,   870,   207,   265,   332,   448,
     921,   922,   908,   910,   911,   185,   261,   454,   511,   118,
     518,  1112,  1115,  1111,  1107,   512,  1116,  1118,     5,    25,
      35,   134,   196,   263,  1123,   175,   241,   299,   302,   392,
     489,   508,   985,   986,  1095,  1099,  1189,    73,  1092,  1050,
    1084,  1203,   180,  1073,    21,   456,   502,  1088,  1088,  1203,
     456,  1136,  1137,  1138,    25,   263,   263,  1182,     7,    19,
      20,    39,    42,   156,   193,  1173,  1173,    16,  1112,  1056,
    1065,  1174,  1177,  1180,  1181,  1185,  1186,  1202,   740,  1180,
     740,  1051,   355,   740,   438,   740,  1050,  1180,   173,   424,
     765,  1056,  1059,   243,  1048,   321,   468,    85,   139,   218,
     495,   496,   497,   499,   500,   501,   502,   503,   504,   812,
    1011,  1012,  1180,    99,  1059,  1050,  1050,   243,  1048,  1050,
     243,   954,  1050,   391,  1050,   740,    99,   295,  1059,   243,
    1048,   275,    34,   182,   271,   312,   361,   842,   843,   844,
    1048,  1054,  1180,    98,   131,   144,   145,   153,   157,   174,
     195,   206,   214,   225,   230,   251,   276,   297,   328,   383,
     387,   389,   395,   398,   424,   426,   430,   438,   443,   468,
     650,   745,  1200,  1048,   434,  1056,  1050,   508,   740,   438,
    1051,   740,   438,   243,  1050,   173,   424,   427,   429,  1059,
     427,   429,   139,   218,   812,   374,  1059,   243,   538,  1180,
    1050,  1050,   391,  1050,   740,   295,  1059,   365,   395,   424,
     468,   297,   157,   251,   230,   387,   442,   644,    85,  1076,
    1077,   513,  1196,  1203,    99,  1088,  1202,   905,   551,  1062,
    1200,   815,   243,  1056,  1050,   243,   819,   243,  1051,   438,
     173,   424,   243,  1056,   243,  1059,  1060,   150,   468,   139,
     218,   243,   812,   125,   243,  1060,   243,  1050,   243,  1050,
     243,  1050,   391,   243,  1050,   243,   295,  1060,   275,   243,
     739,   740,   508,   514,  1204,  1205,  1206,  1207,  1209,  1114,
      71,  1084,  1133,   508,   884,   593,   904,   875,   869,   876,
     877,   878,  1062,   870,  1061,   753,   754,    99,   753,   904,
    1061,   754,    99,   753,   904,  1061,   754,   754,   754,  1061,
    1058,  1058,   267,   456,  1138,  1139,  1213,  1215,   904,   754,
     355,   508,   508,   612,   612,   612,   326,   434,   511,   612,
     954,   955,   753,   904,   753,   904,   511,   837,  1200,   228,
     508,   881,   125,   468,  1050,  1050,  1048,  1180,   115,   491,
     271,   510,   329,   329,   326,   228,  1200,   434,   223,   748,
     326,    83,    84,    85,    87,   107,   120,   122,   123,   130,
     131,   134,   135,   142,   144,   164,   165,   166,   167,   168,
     169,   170,   177,   178,   196,   212,   216,   217,   221,   235,
     263,   264,   266,   283,   291,   292,   306,   308,   312,   317,
     318,   320,   328,   337,   347,   362,   385,   400,   407,   420,
     432,   433,   437,   439,   440,   449,   455,   463,   481,   482,
     483,   484,   485,   486,   487,   488,   499,   500,   501,   508,
     908,   966,   969,   972,   973,   974,   976,   977,   978,   979,
     982,   983,   987,   989,   990,  1009,  1013,  1032,  1037,  1045,
    1046,  1056,  1057,  1058,  1180,  1192,  1194,  1196,  1197,  1198,
    1199,  1200,   434,   495,  1203,  1200,   434,   495,  1132,    99,
     557,  1047,  1048,   399,   542,   180,   550,  1200,   551,  1200,
     115,   136,   542,   491,   408,   843,   329,   228,   434,   495,
     115,   491,   271,  1213,   844,   508,  1048,   501,   506,   510,
    1038,  1039,   955,  1184,   227,   229,   466,   866,   867,   869,
     227,   872,   180,   987,  1042,  1043,   913,   511,   508,   873,
     509,   509,  1048,    99,   192,   919,   919,   125,   919,   219,
     223,   287,   324,   925,   927,   928,   937,   939,   940,   941,
     921,   922,   228,   267,   954,   956,  1044,   512,  1106,   501,
    1125,  1126,  1128,   514,   514,    25,   263,   263,   434,   434,
     434,   434,   508,   434,   499,   500,   641,  1061,  1093,  1199,
     203,   108,  1080,   125,  1083,  1083,   267,  1138,  1140,   267,
    1138,  1139,  1140,   461,  1149,  1150,  1196,    14,    37,    84,
     499,   500,  1058,  1141,  1142,  1143,  1192,  1194,  1198,  1199,
    1200,  1201,   263,   269,  1050,   434,  1050,     6,  1050,  1173,
    1128,   508,   714,  1039,   339,   372,   401,   510,   741,   339,
     372,   401,   339,   372,   401,   474,   520,   552,   553,   771,
      95,   197,   339,   372,   401,   459,   564,  1050,   401,    95,
     197,   454,   535,   477,   243,   954,   127,   159,   215,   246,
     282,   312,   339,   372,   380,   386,   393,   401,   410,   418,
     469,   552,   554,   799,   806,   508,   788,   372,   535,   212,
      95,   101,   141,   190,   197,   200,   253,   310,   312,   322,
     330,   339,   372,   376,   401,   459,   562,   563,   669,   641,
     243,  1048,   740,   740,   508,   811,   510,   248,   527,   372,
     520,   527,   326,   339,   372,   212,   126,   172,   250,   298,
     300,   310,   338,   372,   377,   401,   412,   562,   638,   639,
     339,   372,   467,   669,   677,   212,   372,   401,   562,   339,
     372,   376,   401,   151,   189,   340,   428,   326,    95,   101,
     197,   339,   372,   401,   573,   574,   527,   223,   372,   520,
     527,   212,   372,   401,   562,  1050,   512,   285,   182,   327,
     478,   511,   842,   456,   864,   326,  1056,   508,  1050,   438,
     173,   424,  1056,   321,   468,   139,   218,   812,  1050,   391,
    1050,   275,   740,   612,   358,   578,   508,   714,   715,   137,
     120,   122,   123,   134,   135,   177,   178,   221,   264,   266,
     306,   308,   320,   362,   402,   407,   432,   433,   463,   963,
     965,   967,   969,   971,   973,   974,   975,   977,   978,   982,
     983,  1174,  1181,  1185,  1186,  1202,   228,   508,   710,  1050,
     520,   108,   859,  1050,   312,   520,   477,   243,  1048,   520,
     740,   740,   710,   452,   593,   520,   312,   115,   539,   443,
     676,   339,   652,   151,   189,   340,   428,    97,   117,   262,
     688,   108,   710,   223,   520,   468,  1048,   243,   629,  1048,
    1048,   468,   740,   150,   777,  1056,  1050,   650,    74,  1078,
    1180,   513,  1079,  1076,   121,   171,   260,   310,   390,   212,
     714,   128,   378,   565,   212,   508,   212,   477,   212,   788,
     212,   511,   243,   739,   243,   740,   243,   740,   212,   811,
    1060,   212,   212,   326,   212,   565,   212,   151,   189,   340,
     428,   212,   326,   212,   223,   243,   243,   551,   212,   511,
     565,   509,  1205,  1206,  1204,   511,   515,   987,  1016,  1137,
    1212,  1213,   424,   905,   509,   511,   217,   326,   440,   548,
     551,   641,   879,   875,   754,   904,   754,   904,  1215,  1216,
     754,   904,   754,   904,  1216,   754,   904,   904,   904,   754,
      14,    37,  1188,  1191,  1196,   904,   508,   613,   614,  1180,
     613,    99,   174,   195,   225,   230,   275,   276,   389,   395,
     424,   426,   443,   760,  1047,  1060,   759,   248,   511,   893,
     904,   904,  1200,  1133,   963,  1019,   108,  1060,  1048,   224,
     822,   822,   822,   285,  1180,   223,   223,   760,  1060,   388,
    1180,   551,   326,   508,   506,   908,  1020,   465,   980,   987,
    1036,   508,   980,   980,   508,   223,   508,   508,   508,   968,
     968,   349,   908,   508,   508,   970,   508,   508,   508,   508,
     134,   135,   980,   987,   508,   968,   508,   508,   508,   508,
     508,   475,   494,   508,   984,   508,   984,   508,   508,   908,
     508,   508,   508,   508,   508,   508,   508,   508,   987,   987,
     462,   908,   987,  1016,  1039,  1200,   135,   508,   981,   508,
    1200,    85,    88,   105,   108,   113,   119,   143,   244,   248,
     269,   270,   286,   312,   315,   328,   331,   405,   495,   496,
     497,   499,   500,   501,   502,   503,   504,  1011,  1013,  1015,
    1202,   336,   987,   267,   511,   916,  1213,   508,  1200,  1039,
      22,  1195,  1196,  1040,   323,   326,  1165,  1165,    10,   461,
    1152,  1153,  1155,  1132,  1132,   183,   245,   558,   511,   136,
     180,   551,   108,   180,   290,   549,   641,   983,  1200,  1202,
    1200,   155,   194,   996,   163,   180,   545,   546,   548,   641,
     180,   545,  1213,  1213,   285,  1048,   987,   501,  1053,  1182,
    1038,   156,   377,   743,   269,   509,   511,   870,   509,   511,
     914,  1049,  1050,   108,   873,   910,   910,   923,   924,   987,
     910,   220,   309,   934,   273,   310,   361,   403,   454,    99,
     929,   987,   930,   932,   987,   989,   937,   938,   928,   927,
     925,   926,   223,   940,   322,   942,   925,   937,   956,  1048,
     108,  1180,   401,  1125,   501,   511,   512,  1183,  1102,  1105,
    1102,   263,   175,   241,   299,   986,   299,   986,   986,   302,
    1058,   299,   302,   392,  1199,  1199,   511,  1094,   179,  1132,
     455,  1081,  1083,  1050,    37,  1058,  1154,  1196,   511,   495,
    1050,    14,  1058,  1199,  1058,  1199,   511,  1112,   508,  1050,
     508,  1184,   501,  1019,   339,   372,   401,   434,   434,   389,
    1053,   510,   434,   434,   389,   434,   434,   426,   542,   854,
     223,   233,   248,   381,   772,   773,   137,   153,   208,   225,
     353,   449,   609,   610,   153,   180,   312,   434,   153,   434,
     180,   312,   389,   153,   190,   200,   339,   372,   706,   389,
     658,    98,   131,   144,   157,   195,   206,   225,   230,   297,
     328,   389,   395,   398,   424,   430,   443,   468,   650,  1050,
     212,   372,   401,   562,   326,   641,   393,   282,   434,   434,
     317,   641,   184,   268,   389,   399,   436,   543,   378,   401,
     799,   807,   248,   258,   333,   402,   464,   509,   789,   792,
     793,   794,   796,   963,  1181,   434,   455,  1048,   145,   208,
     600,   609,  1180,   145,   824,   326,   387,   438,   153,   824,
     102,   375,   387,   438,  1048,   253,   322,   740,   508,   434,
     434,   508,   568,   426,   474,   475,   568,   153,   511,   339,
     212,   372,   401,   562,   456,   456,   311,   963,   339,   401,
     812,   174,   401,   553,   434,   522,   553,  1048,   434,   434,
    1048,   641,   125,   640,   641,   641,   172,   298,   300,   125,
     434,   520,   389,   520,   310,   639,   434,   434,   317,  1200,
     669,   954,   153,   434,   824,   389,   434,   434,   568,   568,
     740,   740,   740,   740,  1048,   114,   461,   114,   114,   434,
     114,   434,   389,   511,   553,   170,   455,   684,  1059,   434,
     522,   553,  1048,   434,   389,   339,   372,   361,   373,   397,
     547,   842,  1054,  1180,  1048,   714,   963,   326,   477,   788,
     641,   740,   740,   811,   269,   326,   151,   189,   340,   428,
     326,   740,   269,   474,   584,   415,   416,   579,  1200,   716,
     717,  1202,   710,   508,   965,   108,   107,   964,   175,   302,
     489,   508,   985,   741,   968,   740,   711,   712,  1182,    97,
     849,   963,   326,   212,   655,  1050,   312,   508,   521,   725,
     456,   365,   468,   521,   212,  1059,   160,   233,   540,   592,
     635,   687,   755,   775,   845,  1200,   677,   678,  1050,   293,
     740,   740,   740,   740,   322,   185,   261,   441,   454,   689,
     690,   204,   360,   508,   684,   521,  1048,   637,   638,   312,
     108,   322,   508,   612,   612,   632,  1048,   223,   778,  1054,
     508,   790,   108,   275,   510,  1058,  1079,   474,   475,   906,
     390,  1056,   565,   963,  1051,   243,  1050,  1056,   565,  1060,
    1059,   212,   565,   212,   456,   212,   456,   812,   565,   565,
    1060,  1050,   740,  1050,  1050,  1050,   740,  1060,   684,   212,
     212,   565,   739,   740,   509,   515,  1207,   509,   511,  1213,
    1214,  1137,  1048,   171,   875,   877,   904,   904,  1216,   904,
     904,  1216,   904,   904,  1050,    14,   511,  1195,   613,   509,
     511,   509,   231,   396,   425,  1049,   739,   173,   398,   764,
     765,  1049,   321,  1049,  1047,  1047,  1049,   739,   434,   474,
     768,    93,   210,   385,   403,   894,   954,   316,   895,   509,
     511,   882,   885,   890,   896,   907,   434,   474,   630,   758,
     757,   758,   228,   234,   769,  1180,    98,   145,   174,   195,
     206,   225,   230,   276,   297,   383,   389,   395,   424,   426,
     443,   468,   650,   749,  1016,   507,  1016,  1020,  1021,   508,
     470,  1033,  1034,   987,  1016,   508,  1058,  1058,  1016,   175,
     241,   299,   302,   392,   489,  1022,  1023,  1200,  1202,  1058,
    1016,  1016,  1058,  1058,   980,   980,   987,   812,   987,  1024,
     499,   500,   988,   989,  1009,  1013,  1026,   509,  1016,   987,
    1016,  1027,   432,   491,  1058,  1058,   987,   124,   228,   281,
     435,   987,  1016,  1030,  1016,   304,   989,   987,   994,   995,
     996,   304,   987,   996,   509,   511,   401,  1058,  1058,   985,
     963,   987,  1182,   432,   112,   421,  1041,   740,   987,   508,
     908,  1031,   192,   194,   217,   312,   317,   322,   440,   450,
     987,   119,   244,   248,   286,   405,   508,   987,   434,   987,
     987,   987,   987,   987,   987,   987,   987,   987,   987,    99,
     106,   409,  1010,   385,   508,  1009,   232,   290,   424,   427,
     429,   452,   917,  1048,  1046,   228,   944,    99,   192,   464,
     501,   509,   794,   987,  1017,  1018,  1181,  1050,  1196,  1038,
    1154,   511,   495,  1048,   436,   508,  1200,   511,  1213,   509,
     507,   513,   242,   242,   565,  1112,  1048,   867,   868,  1048,
    1042,   509,   511,   508,   511,   109,   188,   456,   784,   508,
     931,  1061,   403,   273,   327,   511,   385,   386,   933,  1047,
     895,   938,   926,   456,   891,   180,   508,   886,   907,  1180,
     508,   897,   898,   899,   900,   901,  1180,   512,  1126,   964,
     515,  1105,   515,   509,   641,   509,    34,  1082,  1157,  1158,
    1196,  1150,  1155,  1203,  1141,   964,  1190,  1206,  1190,   964,
     509,   509,   434,   434,   389,  1059,  1050,  1050,  1053,  1059,
    1050,  1050,  1059,  1051,  1050,   152,   855,   383,   455,   757,
     389,   233,   757,   508,  1050,   456,   779,   273,   273,   456,
     508,   628,   243,  1050,   317,  1059,  1050,  1050,   987,   317,
    1050,  1050,   102,   375,   434,   434,  1050,   434,   659,  1056,
     508,   740,   740,   740,   438,   173,   424,   765,   468,   139,
     218,   812,  1050,   740,  1050,   740,   391,   740,   740,   275,
     237,   310,   339,   372,   460,   662,   663,   664,   954,   434,
     824,   389,   317,   184,   268,  1059,  1050,   326,  1050,   333,
    1181,   509,   511,   794,   796,   793,   796,  1181,   741,  1059,
    1060,   372,   562,   600,   963,  1180,  1050,  1050,    99,   455,
    1050,   243,  1050,   243,  1180,   387,   438,   387,   438,  1050,
      99,   455,  1050,  1048,    95,   197,   401,   670,   671,   672,
     673,  1182,  1059,  1050,   570,   571,  1182,  1050,   325,   141,
     325,  1050,   563,   434,  1048,   434,   824,   389,  1052,  1180,
    1052,   511,   509,   511,   434,   389,  1051,  1059,   152,   202,
     253,   344,   447,   455,   458,   523,  1202,   372,  1059,  1050,
     372,   401,   562,   638,   641,   740,  1050,   641,  1050,   641,
    1059,  1050,   372,   401,   562,  1050,  1050,  1050,  1050,  1059,
    1050,    95,   101,   197,   339,   372,   401,   339,   372,   401,
     710,   372,   401,   372,   401,   372,   962,  1180,   243,   721,
    1180,   243,  1180,  1059,  1050,  1050,  1050,    95,   574,   398,
    1059,   372,   401,   562,  1050,  1050,   434,   434,   149,   446,
     361,   269,   108,   740,   269,   269,   456,   456,   269,   317,
     746,  1200,   740,   740,   269,   746,   325,   228,   434,   577,
     520,   509,   511,   495,   987,   107,   964,   963,   506,   506,
     434,   434,  1058,   968,   509,   511,   495,   689,   152,   201,
     279,   280,   293,   339,   426,   428,   850,   602,  1182,  1050,
     228,   389,   467,   656,   663,   664,   212,   286,   594,   596,
     598,   600,   606,   609,    96,   248,   383,   422,   523,   524,
     223,  1052,   468,  1048,   538,  1180,   539,   331,   593,   225,
    1200,   710,   710,   710,   710,   322,   326,   331,   508,   710,
     960,   961,   962,   398,   508,   212,   211,  1070,   740,   594,
    1180,   474,   475,   624,   474,   569,   108,   612,  1200,   326,
     509,   791,   792,   797,   108,   275,   380,   473,   798,   799,
     800,   326,   551,  1078,   502,   240,   240,   223,   714,   108,
     212,   565,   788,   739,   740,  1052,   740,  1052,   811,   326,
     565,   565,   326,   565,   398,   223,   551,   565,   987,   906,
    1203,  1191,   509,   614,   248,   248,   248,   477,  1049,   511,
     641,   642,   236,   761,   762,  1059,    96,   769,   210,   403,
     210,   403,   385,   454,   301,   963,  1050,   173,   310,   228,
     326,   761,   125,   565,  1056,   438,   424,  1056,   321,   468,
     275,   740,   509,   507,   507,   511,  1016,   987,   199,  1034,
    1035,   108,   509,   987,   509,   509,   509,   509,   228,   509,
     509,   509,   509,   509,   511,   509,   345,  1025,   509,   988,
     988,    88,   248,   269,   328,   495,   496,   497,   499,   500,
     501,   502,   503,   504,  1013,   988,   509,   509,   223,   228,
    1028,  1029,   509,   491,   509,   509,   108,  1030,  1016,  1030,
    1030,   228,   509,   509,  1182,   343,   998,   108,   509,   511,
     987,  1182,   511,   987,  1040,   987,  1180,   509,   509,   491,
     988,   988,   205,  1016,   228,   192,   194,   217,   317,   322,
     440,   450,   508,   205,   421,  1041,   987,  1031,   987,   434,
     812,   987,   508,   908,   427,   429,   427,   429,  1048,   918,
     918,   918,   278,   508,   908,   945,   946,   947,   954,   957,
     990,  1056,  1180,   471,   958,  1017,  1017,  1018,   509,   335,
    1002,    90,   509,   511,   922,     8,    11,    12,    22,    23,
      24,    26,    27,    31,    32,    33,   173,   304,   349,   443,
    1160,  1161,  1163,  1153,  1154,   843,  1058,   985,   546,   987,
     964,   873,  1050,   882,   924,   328,  1011,  1014,   492,   493,
     785,   987,   933,   454,   930,   945,   471,   959,   462,   887,
     888,  1180,   379,   889,   901,   902,   511,   944,   495,  1040,
     513,  1108,   512,   511,   495,    30,  1169,   509,   509,   512,
    1059,  1050,  1050,   287,  1060,  1060,   326,  1049,   329,   326,
     987,   610,  1052,   508,   508,   508,   628,   251,   613,   698,
     212,   565,   434,  1059,  1050,   551,   714,   963,  1050,   477,
     740,   740,   740,   740,   811,   151,   189,   340,   428,  1050,
     645,  1050,   237,   460,   434,   434,   645,   662,   669,   372,
     401,   562,  1050,  1050,  1050,   259,   317,   741,   792,   796,
     796,   503,   434,   330,   667,   197,   376,   401,   564,   669,
     825,   212,   565,   212,   565,  1050,  1050,  1050,  1050,   672,
     673,   672,   509,   511,   674,  1200,   509,   511,   495,   510,
    1059,   372,   401,   562,  1050,  1050,  1050,   339,   372,   401,
      95,   197,   339,   372,   401,   963,   311,   963,  1059,  1050,
     287,   344,   317,  1200,   344,  1060,   453,   434,   434,   389,
     434,   824,   389,   434,   434,   295,   295,   295,   434,   434,
     389,   434,   434,   389,   434,   389,   434,   389,   434,   565,
     963,   312,  1200,   401,   825,   212,   565,   434,  1050,   434,
     389,  1059,  1050,   746,   963,   269,   746,   746,  1052,  1052,
     746,   269,   269,   746,   578,   508,   580,   581,   717,  1202,
     328,   499,   500,   641,   713,   796,  1014,  1066,  1200,   509,
     506,   509,  1058,   507,   508,  1058,  1180,  1200,  1211,   509,
     712,   713,   326,   287,   495,   851,   851,   851,   851,   851,
     851,   851,   137,   143,   153,   180,   182,   255,   312,   317,
     353,   367,   449,   603,   604,   605,   211,   470,   520,   551,
    1050,   551,   667,  1048,  1048,   509,   511,  1060,   236,   383,
    1060,  1058,   443,  1048,   612,   115,   539,   374,   424,   173,
     613,  1048,   690,   718,   719,  1200,   509,   511,  1050,   613,
    1048,  1050,   907,   508,   595,   509,   325,   568,   325,   326,
     625,   568,   108,   907,   569,   434,  1048,   509,   511,   180,
     495,   801,  1200,   551,   424,   795,   796,   474,   800,   802,
     185,   261,   394,   454,   833,   237,  1074,   907,  1088,   565,
     963,  1050,   565,   565,   456,   565,   456,   565,   565,   740,
     740,  1050,   684,   565,   223,   389,   389,   389,  1049,   765,
     511,  1059,   474,   511,   763,   329,   210,   210,   173,  1060,
     760,   565,  1059,   714,   788,   641,   740,   269,  1020,   509,
     431,   987,   203,   963,   509,   987,   987,   987,  1028,   963,
     988,   192,   194,   312,   322,   988,   988,   988,   988,   988,
     988,   988,   988,   988,   988,   987,   987,  1029,  1028,   984,
     984,   963,   509,   509,   509,  1016,   509,   511,   125,   989,
     509,  1182,   995,   350,   419,   997,   509,   511,   467,   991,
     108,   509,   981,  1200,   987,   105,   105,   987,   509,   987,
     228,   508,  1019,   987,   988,   988,   205,   205,   987,   509,
     205,   987,   918,   918,   918,   918,  1048,  1048,  1048,   908,
     957,   908,   946,   947,   108,   948,   949,  1180,   511,   161,
     229,   257,   272,   284,   307,   382,   951,   949,   108,   948,
     950,  1180,   508,  1039,   987,   236,   935,   511,   921,   922,
     921,   509,  1002,   508,  1003,  1180,   987,  1002,  1200,   464,
    1018,   509,   511,   495,   509,   507,  1169,   509,   508,   785,
     509,   327,   163,   987,   889,   509,   511,  1040,  1045,   509,
     511,   898,   959,  1042,  1058,   495,  1127,  1158,  1163,   851,
     231,   396,   425,   444,   774,   223,   774,   509,   508,   616,
     617,   781,   990,  1180,   613,   613,   698,  1054,   509,   182,
     255,   310,   312,   699,  1050,  1050,   108,  1050,   456,   456,
     740,   740,   740,   740,   741,  1059,  1050,   434,   824,   389,
     434,   259,   503,   443,  1050,   508,   602,   312,   568,   173,
     312,   414,   417,   568,   443,  1050,  1180,   671,   571,   713,
    1182,   434,   824,   389,   434,   434,   434,   389,   230,   328,
     417,   723,   724,   230,   328,   731,   732,   434,   434,   389,
     509,   509,   509,  1061,  1200,  1200,  1200,  1050,  1050,  1050,
    1050,  1050,  1050,  1050,  1050,   223,   223,   374,   223,   243,
    1059,  1050,  1050,  1059,  1050,  1050,  1050,  1050,  1050,  1050,
    1050,   143,   566,   212,    97,   117,   443,  1180,  1050,   669,
    1050,  1050,   509,   746,   269,   269,   746,   746,   579,   587,
     588,  1182,   121,   162,   186,   201,   205,   224,   227,   239,
     317,   325,   359,   582,   698,  1058,   474,   475,   507,  1211,
     499,   500,   501,   502,   503,   507,   985,  1048,   851,   180,
    1058,  1200,   180,  1200,   180,  1200,   180,  1200,   180,  1050,
     180,  1050,   180,  1050,   508,   740,  1050,   988,   183,   245,
     182,   317,   273,  1048,   802,   357,   702,   703,  1180,   655,
     508,   607,   398,   598,  1060,  1060,   963,   508,   569,  1059,
    1048,   477,   223,   691,   509,   511,   962,   667,   509,   322,
     508,   884,   630,   597,   599,   601,   609,  1180,   624,   254,
     623,   148,   426,   626,   907,   630,   626,  1200,   779,   797,
     987,   987,   511,   508,   798,   710,   434,   645,    85,  1085,
     509,   565,  1052,  1052,   565,   565,   398,  1049,  1049,  1049,
     641,   233,   762,   769,   228,   269,   269,   269,   269,   317,
     750,  1200,   987,   509,   509,  1029,   228,   192,   194,   322,
     508,   509,   480,   993,  1016,   366,   125,   472,   472,   509,
     987,   310,   987,   511,   992,   965,   985,   988,   988,   987,
    1019,   509,   105,   105,   987,   987,   205,   987,   509,  1048,
    1048,  1048,  1048,   949,   950,   509,  1180,   508,   946,   272,
     334,   952,   946,   952,   272,   951,   952,   272,   508,  1180,
     508,  1017,   125,   238,   936,   509,   509,  1002,  1004,  1180,
    1018,  1002,  1161,   500,  1154,  1162,  1199,  1200,  1200,   812,
     322,   907,   888,  1214,   495,   901,   889,  1207,  1061,   434,
     757,   228,   698,   987,   509,   511,   474,   143,   782,   782,
     509,   509,   802,   183,   245,   253,   182,   458,   565,   963,
    1052,  1052,  1050,  1050,  1050,  1050,   443,   668,   672,   317,
     317,  1061,  1180,   963,   565,   565,   495,  1050,  1050,  1050,
    1050,  1059,  1050,  1050,  1058,  1058,   963,   511,  1058,  1058,
     511,  1059,  1050,  1050,   434,  1049,  1049,   740,  1049,   212,
     740,  1200,  1200,   963,   565,   565,   269,   746,   746,   456,
     585,   586,   509,   511,   501,   508,   548,   589,   641,   859,
    1200,   859,   312,   359,   859,   859,   507,   230,   258,   230,
     509,  1211,  1211,  1211,  1211,  1211,   228,   697,  1061,   987,
     312,   604,   802,   612,   456,   627,  1056,   105,   211,   248,
     594,   209,   249,  1050,   456,   613,   108,   539,   508,  1050,
     198,   692,   470,   694,  1200,   569,   740,   594,   630,   509,
     511,   474,   625,   508,   624,   185,   197,   350,  1050,   474,
     846,   228,   508,  1200,   794,   803,   804,  1181,   802,  1048,
     256,   646,  1086,  1180,   565,   565,   565,  1050,   329,   565,
     761,   750,   750,   750,   750,   988,   228,   508,  1019,   508,
     509,   511,   509,   989,   366,   509,   461,   411,   509,   509,
     509,   988,   988,   987,   948,   508,  1049,   946,   326,   456,
     953,   946,   272,   946,   961,   508,   961,  1180,   509,  1016,
     987,   473,   999,  1002,  1002,   342,  1005,   509,  1058,  1199,
     985,   509,   904,  1044,   761,   326,   761,   509,   802,   617,
     328,   812,   740,   456,   740,   783,   783,   367,   802,   627,
     509,   434,   509,   511,   566,   713,   434,   508,  1056,   812,
     724,   508,   508,   732,  1050,   474,   374,   474,   474,   223,
     566,   746,   520,   187,   588,   548,   590,   591,  1200,  1200,
     317,   501,   613,  1200,  1200,   765,   108,   817,   817,  1048,
     698,   509,   627,   296,   615,   251,   508,   703,   357,   508,
     509,    99,   147,   154,   181,   252,   417,   608,   608,   667,
    1052,   509,   907,   667,   385,   413,   693,   508,   211,   108,
     595,   509,   599,   330,   626,  1047,   625,   386,   386,   129,
     137,   290,   740,   780,   781,   796,   509,   511,   958,   645,
     310,   460,   647,   648,   495,  1087,   565,   988,  1019,   509,
     994,  1016,   125,   310,   490,  1049,   509,   987,   508,   946,
     953,   509,   961,   509,  1000,  1001,  1180,   125,   921,  1002,
     763,   774,   565,   782,   627,   508,   740,   784,   784,  1048,
     627,   698,  1050,   672,   456,   567,  1050,  1019,   788,   223,
     727,   811,  1019,  1019,   739,   740,   739,   740,  1049,   565,
     580,  1200,   509,   511,   613,   817,   111,   247,   223,   310,
     611,   229,   341,   406,   326,   619,   620,   621,   426,   509,
    1056,    82,   704,   398,   218,   726,   569,   846,   987,   357,
     907,   624,   623,   602,   509,   626,   137,   329,   137,   509,
     511,   798,   803,   193,   460,   645,  1058,  1194,  1202,    85,
     509,   509,   509,   366,   461,   509,  1049,   509,   511,   108,
    1016,   360,   386,  1006,   228,   783,   471,   618,   812,   785,
     785,   612,   698,   987,   509,   332,   391,   364,   728,   727,
     509,   509,   474,   591,   198,   253,   185,   454,   326,   621,
     326,   620,  1050,   508,   509,   511,  1050,   740,   108,   108,
     509,  1056,   625,   624,   329,   329,   569,   781,   802,   100,
     262,   834,  1086,   509,  1001,  1003,   119,   163,   445,   987,
    1007,  1008,  1007,   509,   761,   784,   508,   698,   509,   615,
    1056,   125,   728,   740,   385,   128,   310,   378,   401,   622,
     622,   509,    82,   667,   723,   907,   508,   626,   625,   626,
     313,   508,   829,   831,   836,   885,   890,   896,   907,  1008,
     385,   222,   348,   222,   348,   565,   785,   987,   619,   788,
     740,   694,    94,   180,   317,   695,   696,  1058,  1182,  1199,
    1200,   626,   958,   830,   831,   832,   908,   909,   105,   509,
     698,   211,   509,   511,   509,   512,  1008,   357,   696,   832,
    1056,   508,   695,   509
};

  /* YYR1[YYN] -- Symbol number of symbol that rule YYN derives.  */
static const yytype_uint16 yyr1[] =
{
       0,   516,   517,   518,   518,   518,   518,   518,   518,   518,
     518,   518,   518,   518,   518,   518,   518,   518,   518,   518,
     518,   518,   518,   518,   518,   518,   518,   518,   518,   518,
     518,   518,   518,   518,   518,   518,   518,   518,   518,   518,
     518,   518,   518,   518,   518,   518,   518,   518,   518,   518,
     518,   518,   518,   518,   518,   518,   518,   518,   518,   518,
     518,   518,   518,   518,   518,   518,   518,   518,   518,   518,
     518,   518,   518,   518,   518,   518,   518,   518,   518,   518,
     518,   518,   518,   518,   518,   518,   518,   518,   518,   518,
     518,   518,   518,   518,   518,   518,   518,   518,   518,   518,
     518,   518,   518,   518,   518,   518,   518,   518,   518,   518,
     518,   518,   518,   518,   518,   518,   518,   518,   518,   518,
     518,   518,   518,   518,   518,   518,   518,   518,   518,   518,
     518,   518,   518,   518,   518,   518,   518,   519,   520,   520,
     521,   521,   522,   522,   523,   523,   523,   523,   523,   523,
     523,   523,   523,   524,   524,   524,   524,   524,   524,   525,
     526,   527,   527,   528,   528,   529,   530,   530,   531,   531,
     532,   532,   533,   534,   535,   535,   536,   536,   537,   537,
     537,   537,   538,   538,   539,   539,   540,   540,   540,   540,
     540,   540,   541,   541,   541,   542,   542,   542,   543,   543,
     543,   543,   543,   543,   543,   543,   543,   543,   543,   543,
     543,   543,   544,   544,   545,   545,   546,   546,   547,   547,
     547,   547,   548,   548,   548,   548,   549,   549,   549,   549,
     549,   549,   549,   550,   550,   550,   551,   551,   552,   552,
     552,   552,   552,   553,   553,   554,   554,   555,   555,   555,
     555,   555,   556,   557,   557,   558,   558,   559,   560,   560,
     560,   560,   561,   561,   561,   561,   561,   561,   561,   561,
     561,   561,   562,   562,   563,   563,   563,   563,   563,   563,
     563,   563,   563,   563,   563,   563,   563,   563,   563,   563,
     563,   563,   563,   563,   563,   563,   563,   563,   563,   563,
     563,   563,   563,   563,   563,   563,   563,   563,   563,   563,
     563,   563,   563,   563,   563,   563,   564,   564,   565,   565,
     565,   566,   566,   567,   567,   568,   569,   569,   570,   570,
     571,   571,   571,   571,   572,   573,   573,   574,   574,   574,
     574,   575,   575,   576,   576,   577,   577,   578,   578,   579,
     579,   579,   580,   580,   581,   581,   582,   582,   582,   582,
     582,   582,   582,   582,   582,   582,   582,   582,   582,   583,
     583,   584,   584,   585,   585,   586,   586,   587,   587,   588,
     589,   589,   589,   589,   589,   590,   590,   591,   592,   592,
     592,   592,   593,   593,   593,   593,   593,   593,   593,   593,
     594,   594,   595,   595,   596,   596,   597,   597,   598,   598,
     598,   599,   599,   600,   601,   602,   602,   603,   603,   603,
     603,   604,   604,   604,   604,   604,   604,   604,   605,   605,
     605,   605,   606,   607,   607,   607,   608,   608,   608,   608,
     608,   608,   609,   609,   610,   610,   610,   610,   610,   610,
     610,   611,   611,   612,   612,   613,   613,   614,   615,   615,
     615,   615,   616,   616,   617,   617,   618,   618,   619,   619,
     619,   619,   619,   620,   621,   622,   622,   622,   622,   622,
     623,   623,   624,   624,   624,   624,   625,   625,   625,   625,
     626,   626,   627,   627,   628,   629,   630,   630,   630,   631,
     632,   633,   633,   634,   635,   636,   636,   637,   637,   638,
     638,   639,   639,   639,   639,   639,   639,   639,   639,   639,
     639,   639,   639,   640,   640,   641,   641,   641,   641,   642,
     642,   643,   643,   644,   644,   645,   645,   646,   646,   647,
     647,   648,   648,   649,   649,   650,   650,   651,   652,   652,
     653,   653,   654,   654,   655,   655,   656,   656,   656,   657,
     658,   658,   659,   660,   660,   660,   660,   660,   660,   660,
     660,   660,   660,   660,   660,   660,   660,   660,   660,   660,
     660,   660,   660,   660,   660,   660,   660,   661,   662,   662,
     662,   662,   663,   663,   664,   664,   665,   665,   666,   666,
     667,   667,   668,   668,   669,   670,   670,   671,   671,   671,
     671,   672,   673,   674,   675,   676,   676,   677,   677,   678,
     678,   679,   679,   680,   680,   680,   681,   681,   682,   682,
     683,   684,   684,   684,   685,   685,   686,   687,   687,   688,
     688,   688,   689,   689,   690,   690,   690,   690,   690,   691,
     691,   692,   692,   693,   693,   694,   694,   695,   695,   695,
     696,   696,   696,   696,   697,   697,   698,   698,   699,   699,
     699,   699,   699,   699,   700,   700,   701,   701,   702,   702,
     703,   704,   704,   705,   706,   706,   706,   706,   707,   708,
     709,   709,   709,   709,   709,   709,   709,   709,   709,   709,
     709,   709,   709,   709,   710,   711,   711,   712,   712,   713,
     713,   713,   713,   713,   714,   714,   715,   716,   716,   717,
     718,   718,   719,   719,   720,   720,   720,   721,   721,   722,
     723,   723,   724,   724,   724,   724,   724,   725,   725,   726,
     726,   727,   727,   727,   728,   728,   729,   730,   730,   731,
     731,   732,   732,   733,   733,   734,   734,   735,   736,   737,
     737,   737,   737,   738,   738,   738,   738,   738,   738,   738,
     738,   738,   738,   738,   738,   738,   738,   738,   738,   738,
     739,   739,   740,   740,   741,   741,   742,   743,   743,   743,
     744,   744,   744,   744,   744,   744,   744,   744,   744,   744,
     744,   744,   744,   745,   745,   745,   745,   745,   745,   745,
     745,   745,   745,   745,   745,   745,   745,   745,   745,   745,
     745,   745,   745,   745,   745,   745,   746,   746,   747,   747,
     747,   747,   747,   748,   748,   749,   749,   749,   749,   749,
     749,   749,   749,   749,   749,   749,   749,   749,   750,   750,
     751,   751,   751,   751,   751,   751,   751,   751,   751,   751,
     751,   752,   752,   752,   752,   752,   752,   752,   752,   752,
     752,   752,   752,   752,   752,   753,   753,   754,   754,   755,
     756,   756,   757,   757,   757,   757,   757,   758,   758,   759,
     759,   759,   759,   760,   760,   760,   760,   760,   760,   760,
     760,   760,   760,   760,   760,   760,   760,   760,   760,   761,
     761,   762,   762,   763,   763,   764,   764,   765,   766,   767,
     767,   768,   768,   769,   769,   770,   771,   771,   772,   772,
     772,   773,   773,   773,   774,   774,   774,   774,   775,   776,
     776,   777,   777,   778,   778,   779,   779,   780,   780,   781,
     781,   781,   782,   782,   783,   783,   783,   784,   784,   784,
     785,   785,   785,   786,   786,   786,   787,   787,   788,   788,
     789,   789,   790,   790,   791,   791,   792,   792,   792,   792,
     792,   793,   793,   793,   793,   793,   794,   795,   796,   796,
     796,   797,   797,   797,   798,   798,   799,   799,   799,   799,
     799,   799,   799,   799,   799,   799,   799,   799,   799,   799,
     799,   800,   800,   800,   800,   801,   801,   802,   802,   803,
     804,   804,   805,   806,   806,   807,   807,   808,   808,   809,
     809,   810,   810,   811,   811,   811,   811,   812,   812,   813,
     814,   814,   815,   815,   816,   816,   816,   817,   817,   817,
     818,   819,   819,   820,   820,   820,   821,   821,   822,   822,
     823,   823,   823,   823,   823,   823,   823,   823,   823,   823,
     823,   823,   823,   823,   823,   823,   823,   823,   823,   823,
     823,   823,   823,   823,   823,   823,   823,   823,   823,   823,
     823,   823,   823,   823,   823,   823,   823,   823,   823,   823,
     823,   823,   823,   823,   823,   823,   823,   824,   824,   825,
     825,   826,   826,   826,   826,   826,   826,   826,   826,   826,
     826,   826,   826,   826,   826,   826,   826,   826,   826,   826,
     826,   826,   826,   826,   826,   827,   827,   827,   827,   827,
     827,   827,   827,   827,   827,   827,   827,   827,   827,   827,
     827,   827,   827,   827,   828,   829,   829,   829,   830,   830,
     831,   831,   831,   831,   831,   832,   832,   833,   833,   833,
     833,   834,   834,   834,   835,   835,   836,   837,   837,   838,
     839,   839,   840,   840,   840,   840,   840,   840,   840,   840,
     840,   840,   840,   840,   840,   840,   841,   841,   841,   842,
     842,   842,   842,   842,   843,   843,   843,   844,   844,   845,
     845,   845,   845,   846,   846,   846,   846,   847,   848,   849,
     849,   850,   850,   850,   850,   850,   850,   850,   850,   850,
     850,   850,   850,   850,   850,   850,   850,   851,   851,   852,
     852,   853,   854,   854,   855,   856,   856,   857,   858,   858,
     858,   858,   858,   858,   858,   859,   859,   860,   861,   861,
     861,   861,   861,   861,   862,   863,   863,   863,   864,   864,
     865,   865,   865,   865,   865,   866,   866,   867,   867,   867,
     867,   868,   868,   869,   869,   870,   870,   871,   871,   872,
     872,   873,   873,   874,   874,   874,   874,   875,   875,   875,
     875,   875,   875,   875,   875,   875,   876,   876,   877,   878,
     878,   879,   879,   879,   880,   880,   881,   881,   882,   882,
     882,   882,   883,   883,   884,   884,   885,   886,   886,   886,
     887,   887,   888,   889,   889,   890,   891,   891,   892,   893,
     893,   894,   894,   894,   894,   894,   894,   894,   894,   895,
     895,   896,   897,   897,   898,   898,   899,   900,   901,   902,
     902,   903,   904,   904,   905,   905,   905,   905,   905,   906,
     906,   906,   907,   907,   908,   908,   909,   909,   909,   909,
     909,   909,   909,   909,   910,   910,   911,   911,   911,   911,
     911,   911,   912,   912,   913,   913,   914,   915,   915,   916,
     916,   916,   917,   917,   917,   917,   917,   917,   917,   917,
     917,   918,   918,   919,   919,   919,   920,   920,   920,   920,
     921,   921,   922,   923,   923,   924,   924,   925,   925,   925,
     925,   926,   926,   927,   927,   927,   928,   928,   929,   929,
     930,   931,   931,   931,   932,   933,   933,   934,   934,   935,
     935,   936,   936,   937,   937,   938,   938,   939,   939,   940,
     941,   941,   941,   941,   942,   942,   943,   943,   944,   944,
     945,   945,   946,   946,   946,   946,   946,   946,   946,   947,
     947,   947,   947,   947,   947,   948,   948,   948,   948,   949,
     949,   950,   950,   950,   950,   950,   951,   951,   951,   951,
     952,   952,   953,   953,   954,   954,   954,   954,   955,   955,
     956,   956,   956,   957,   958,   958,   959,   959,   959,   960,
     960,   961,   961,   962,   963,   963,   963,   963,   963,   963,
     964,   964,   964,   965,   965,   965,   965,   965,   965,   965,
     966,   966,   966,   966,   967,   967,   968,   968,   969,   969,
     969,   969,   969,   969,   969,   969,   969,   969,   969,   970,
     970,   971,   971,   972,   972,   973,   974,   975,   975,   976,
     976,   977,   978,   979,   979,   979,   979,   979,   979,   980,
     980,   981,   981,   982,   982,   982,   982,   983,   984,   984,
     984,   985,   985,   985,   985,   985,   985,   985,   985,   985,
     985,   985,   985,   985,   985,   986,   986,   987,   987,   987,
     987,   987,   987,   987,   987,   987,   987,   987,   987,   987,
     987,   987,   987,   987,   987,   987,   987,   987,   987,   987,
     987,   987,   987,   987,   987,   987,   987,   987,   987,   987,
     987,   987,   987,   987,   987,   987,   987,   987,   987,   987,
     987,   987,   987,   987,   987,   987,   987,   987,   987,   987,
     987,   987,   987,   987,   987,   987,   988,   988,   988,   988,
     988,   988,   988,   988,   988,   988,   988,   988,   988,   988,
     988,   988,   988,   988,   988,   988,   988,   988,   989,   989,
     989,   989,   989,   989,   989,   989,   989,   989,   989,   989,
     990,   990,   990,   990,   990,   990,   990,   990,   990,   990,
     990,   990,   990,   990,   990,   990,   990,   990,   990,   990,
     990,   990,   990,   990,   990,   990,   990,   990,   990,   990,
     990,   990,   990,   990,   990,   990,   990,   990,   990,   990,
     990,   990,   990,   990,   990,   990,   990,   990,   990,   990,
     991,   991,   992,   992,   992,   992,   993,   994,   994,   995,
     995,   996,   996,   997,   997,   997,   998,   998,   998,   998,
     999,   999,  1000,  1000,  1001,  1002,  1002,  1002,  1003,  1004,
    1004,  1005,  1005,  1006,  1006,  1006,  1007,  1007,  1008,  1008,
    1008,  1008,  1008,  1009,  1009,  1009,  1010,  1010,  1010,  1011,
    1011,  1012,  1012,  1012,  1012,  1012,  1012,  1012,  1012,  1012,
    1013,  1013,  1014,  1014,  1015,  1015,  1015,  1015,  1015,  1015,
    1016,  1016,  1017,  1017,  1018,  1018,  1019,  1019,  1020,  1020,
    1020,  1021,  1021,  1022,  1022,  1023,  1023,  1023,  1023,  1023,
    1023,  1023,  1023,  1024,  1024,  1025,  1026,  1026,  1027,  1027,
    1027,  1027,  1027,  1027,  1028,  1029,  1030,  1030,  1030,  1031,
    1031,  1032,  1033,  1033,  1034,  1035,  1035,  1036,  1036,  1037,
    1037,  1038,  1038,  1038,  1038,  1039,  1039,  1040,  1040,  1041,
    1041,  1042,  1042,  1043,  1043,  1044,  1045,  1045,  1046,  1046,
    1046,  1046,  1047,  1047,  1048,  1048,  1049,  1049,  1050,  1051,
    1052,  1053,  1054,  1055,  1056,  1056,  1057,  1057,  1057,  1057,
    1057,  1057,  1057,  1057,  1057,  1057,  1057,  1057,  1057,  1057,
    1057,  1058,  1059,  1060,  1060,  1061,  1061,  1061,  1061,  1062,
    1062,  1062,  1062,  1063,  1063,  1063,  1063,  1063,  1063,  1063,
    1063,  1063,  1063,  1063,  1063,  1063,  1063,  1063,  1063,  1063,
    1063,  1063,  1063,  1063,  1063,  1063,  1063,  1063,  1063,  1063,
    1063,  1063,  1063,  1063,  1063,  1063,  1063,  1063,  1063,  1063,
    1063,  1063,  1063,  1063,  1063,  1063,  1063,  1063,  1063,  1063,
    1063,  1063,  1063,  1063,  1063,  1063,  1063,  1063,  1063,  1063,
    1063,  1063,  1063,  1063,  1063,  1063,  1063,  1063,  1063,  1063,
    1063,  1063,  1063,  1063,  1063,  1063,  1063,  1063,  1063,  1063,
    1063,  1063,  1063,  1063,  1063,  1063,  1063,  1063,  1063,  1063,
    1063,  1063,  1063,  1063,  1063,  1063,  1063,  1063,  1063,  1063,
    1063,  1063,  1063,  1063,  1063,  1063,  1063,  1063,  1063,  1063,
    1063,  1063,  1063,  1063,  1063,  1063,  1063,  1063,  1063,  1063,
    1063,  1063,  1063,  1063,  1063,  1063,  1063,  1063,  1063,  1063,
    1063,  1063,  1063,  1063,  1063,  1063,  1063,  1063,  1063,  1063,
    1063,  1063,  1063,  1063,  1063,  1063,  1063,  1063,  1063,  1063,
    1063,  1063,  1063,  1063,  1063,  1063,  1063,  1063,  1063,  1063,
    1063,  1063,  1063,  1063,  1063,  1063,  1063,  1063,  1063,  1063,
    1063,  1063,  1063,  1063,  1063,  1063,  1063,  1063,  1063,  1063,
    1063,  1063,  1063,  1063,  1063,  1063,  1063,  1063,  1063,  1063,
    1063,  1063,  1063,  1063,  1063,  1063,  1063,  1063,  1063,  1063,
    1063,  1063,  1063,  1063,  1063,  1063,  1063,  1063,  1063,  1063,
    1063,  1063,  1063,  1063,  1063,  1063,  1063,  1063,  1063,  1063,
    1063,  1063,  1063,  1063,  1063,  1063,  1063,  1063,  1063,  1063,
    1063,  1063,  1063,  1063,  1063,  1063,  1063,  1063,  1063,  1063,
    1063,  1063,  1063,  1063,  1063,  1063,  1063,  1063,  1064,  1064,
    1064,  1064,  1064,  1064,  1064,  1064,  1064,  1064,  1064,  1064,
    1064,  1064,  1064,  1064,  1064,  1064,  1064,  1064,  1064,  1064,
    1064,  1064,  1064,  1064,  1064,  1064,  1064,  1064,  1064,  1064,
    1064,  1064,  1064,  1064,  1064,  1064,  1064,  1064,  1064,  1064,
    1064,  1064,  1065,  1065,  1065,  1065,  1065,  1065,  1065,  1065,
    1065,  1065,  1065,  1065,  1065,  1065,  1065,  1065,  1065,  1065,
    1065,  1065,  1065,  1065,  1065,  1066,  1066,  1066,  1066,  1066,
    1066,  1066,  1066,  1066,  1066,  1066,  1066,  1066,  1066,  1066,
    1066,  1066,  1066,  1066,  1066,  1066,  1066,  1066,  1066,  1066,
    1066,  1066,  1066,  1066,  1066,  1066,  1066,  1066,  1066,  1066,
    1066,  1066,  1066,  1066,  1066,  1066,  1066,  1066,  1066,  1066,
    1066,  1066,  1066,  1066,  1066,  1066,  1066,  1066,  1066,  1066,
    1066,  1066,  1066,  1066,  1066,  1066,  1066,  1066,  1066,  1066,
    1066,  1066,  1066,  1066,  1066,  1066,  1066,  1066,  1066,  1066,
    1067,  1067,  1068,  1068,  1068,  1068,  1068,  1068,  1068,  1068,
    1070,  1069,  1071,  1072,  1072,  1072,  1072,  1073,  1073,  1073,
    1073,  1074,  1074,  1075,  1076,  1077,  1077,  1078,  1078,  1078,
    1079,  1079,  1080,  1080,  1081,  1081,  1082,  1082,  1082,  1082,
    1083,  1083,  1083,  1084,  1085,  1085,  1086,  1086,  1087,  1087,
    1087,  1087,  1088,  1088,  1089,  1090,  1091,  1092,  1092,  1093,
    1094,  1094,  1095,  1095,  1095,  1095,  1095,  1097,  1096,  1098,
    1099,  1100,  1100,  1101,  1101,  1101,  1101,  1102,  1102,  1104,
    1103,  1106,  1105,  1107,  1105,  1105,  1108,  1108,  1109,  1109,
    1109,  1110,  1110,  1110,  1110,  1111,  1111,  1112,  1112,  1112,
    1112,  1112,  1112,  1113,  1113,  1113,  1114,  1116,  1115,  1117,
    1118,  1117,  1119,  1119,  1120,  1120,  1121,  1121,  1122,  1122,
    1122,  1122,  1122,  1122,  1122,  1122,  1122,  1123,  1123,  1123,
    1123,  1123,  1123,  1123,  1123,  1123,  1123,  1124,  1124,  1125,
    1125,  1126,  1127,  1127,  1128,  1128,  1128,  1129,  1130,  1131,
    1131,  1131,  1131,  1132,  1132,  1132,  1133,  1133,  1134,  1134,
    1135,  1136,  1136,  1137,  1137,  1138,  1138,  1139,  1139,  1140,
    1141,  1141,  1142,  1142,  1142,  1143,  1143,  1143,  1143,  1143,
    1143,  1143,  1143,  1143,  1144,  1144,  1144,  1144,  1144,  1145,
    1145,  1146,  1147,  1148,  1149,  1149,  1150,  1151,  1152,  1152,
    1153,  1154,  1154,  1155,  1156,  1157,  1157,  1158,  1159,  1160,
    1160,  1161,  1162,  1162,  1162,  1162,  1162,  1163,  1163,  1163,
    1163,  1163,  1163,  1163,  1163,  1163,  1163,  1163,  1163,  1163,
    1163,  1163,  1164,  1164,  1165,  1165,  1166,  1166,  1166,  1168,
    1167,  1169,  1169,  1171,  1170,  1172,  1172,  1172,  1173,  1173,
    1173,  1173,  1173,  1173,  1173,  1173,  1173,  1174,  1174,  1175,
    1175,  1175,  1175,  1175,  1175,  1175,  1175,  1175,  1175,  1175,
    1175,  1175,  1175,  1175,  1175,  1175,  1175,  1175,  1175,  1175,
    1175,  1175,  1175,  1176,  1176,  1176,  1176,  1176,  1176,  1177,
    1177,  1177,  1177,  1177,  1177,  1177,  1178,  1179,  1179,  1179,
    1179,  1179,  1179,  1179,  1179,  1180,  1180,  1180,  1180,  1180,
    1180,  1180,  1181,  1181,  1181,  1181,  1181,  1181,  1182,  1182,
    1182,  1182,  1182,  1182,  1182,  1182,  1182,  1182,  1182,  1183,
    1183,  1183,  1183,  1183,  1184,  1184,  1184,  1184,  1185,  1185,
    1185,  1185,  1185,  1185,  1185,  1186,  1186,  1186,  1187,  1187,
    1187,  1187,  1187,  1187,  1188,  1188,  1189,  1190,  1190,  1191,
    1191,  1192,  1193,  1194,  1195,  1195,  1195,  1196,  1197,  1198,
    1199,  1200,  1200,  1200,  1200,  1200,  1201,  1202,  1202,  1202,
    1203,  1203,  1204,  1204,  1204,  1205,  1205,  1206,  1206,  1207,
    1207,  1208,  1208,  1208,  1208,  1208,  1209,  1209,  1209,  1209,
    1209,  1209,  1209,  1209,  1209,  1209,  1209,  1209,  1209,  1209,
    1209,  1209,  1209,  1209,  1209,  1209,  1209,  1209,  1209,  1209,
    1209,  1209,  1209,  1209,  1209,  1209,  1209,  1209,  1209,  1209,
    1209,  1209,  1209,  1209,  1209,  1209,  1209,  1209,  1209,  1209,
    1209,  1209,  1209,  1209,  1209,  1209,  1209,  1209,  1209,  1209,
    1209,  1209,  1210,  1210,  1210,  1210,  1211,  1211,  1211,  1211,
    1211,  1211,  1211,  1211,  1211,  1212,  1212,  1212,  1212,  1213,
    1213,  1214,  1214,  1215,  1215,  1216,  1216
};

  /* YYR2[YYN] -- Number of symbols on the right hand side of rule YYN.  */
static const yytype_uint8 yyr2[] =
{
       0,     2,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     0,     5,     1,     0,
       2,     0,     2,     0,     2,     2,     3,     3,     1,     3,
       3,     2,     1,     1,     2,     2,     2,     3,     3,     5,
       5,     0,     3,     5,     5,     5,     5,     5,     3,     5,
       3,     5,     5,     6,     1,     1,     3,     5,     6,     4,
       9,     7,     1,     0,     2,     0,     1,     1,     1,     1,
       1,     1,     2,     3,     3,     2,     5,     1,     3,     3,
       3,     3,     3,     3,     2,     2,     2,     2,     3,     3,
       3,     3,     1,     3,     1,     3,     1,     1,     2,     2,
       2,     1,     1,     1,     1,     1,     1,     1,     3,     6,
       1,     1,     1,     1,     1,     0,     1,     1,     2,     3,
       4,     3,     2,     2,     1,     2,     1,     3,     4,     5,
       4,     2,     4,     1,     1,     1,     1,     1,     2,     2,
       2,     2,     4,     6,     4,     6,     4,     6,     4,     6,
       5,     7,     1,     3,     2,     3,     4,     6,     6,     6,
       5,     5,     6,     6,     4,     8,     4,     2,     3,     6,
       4,     3,     3,     3,     3,     3,     4,     4,     3,     3,
       3,     3,     3,     3,     4,     4,     3,     2,     3,     2,
       2,     3,     3,     2,     2,     1,     3,     2,     1,     1,
       0,     2,     0,     2,     0,     3,     2,     0,     1,     3,
       3,     1,     5,     3,     4,     1,     3,     4,     6,     4,
       8,     2,     2,    11,     7,     1,     1,     1,     0,     1,
       1,     1,     1,     3,     2,     0,     1,     1,     1,     3,
       3,     1,     1,     3,     3,     3,     3,     4,     2,     1,
       0,     2,     0,     3,     0,     1,     0,     1,     3,     2,
       1,     1,     1,     3,     0,     1,     3,     1,    11,    14,
      10,    13,     1,     1,     2,     2,     2,     2,     1,     0,
       1,     0,     3,     0,     1,     3,     1,     3,     1,     1,
       1,     1,     1,     4,     4,     2,     0,     3,     1,     1,
       2,     2,     1,     3,     4,     5,     2,     5,     1,     2,
       2,     2,     3,     3,     3,     0,     1,     1,     1,     1,
       1,     1,     3,     1,     5,     7,     3,     8,     4,     9,
      11,     2,     0,     3,     0,     1,     3,     1,     2,     2,
       2,     0,     1,     3,     3,     6,     4,     0,     1,     1,
       2,     2,     0,     3,     3,     2,     1,     1,     2,     2,
       4,     0,     2,     2,     2,     0,     3,     4,     4,     0,
       2,     0,     4,     0,     3,     5,     2,     3,     0,     8,
       4,     1,     0,     5,     5,     4,     6,     1,     0,     1,
       2,     2,     1,     2,     3,     2,     2,     2,     2,     3,
       3,     1,     3,     1,     0,     1,     2,     2,     1,     1,
       3,     6,    10,     1,     0,     1,     2,     2,     0,     2,
       2,     1,     0,     5,     7,     1,     0,     6,     2,     0,
       3,     5,     5,     8,     2,     0,     2,     2,     2,     5,
       2,     0,     2,     7,    10,     6,     6,     6,     6,     7,
       7,     9,     9,     6,     7,     6,     8,     8,     8,     8,
       6,     6,     7,     7,     8,     6,     6,     7,     2,     2,
       2,     2,     1,     2,     1,     0,     6,     8,     7,     6,
       4,     0,     1,     3,     4,     1,     3,     1,     2,     2,
       2,     2,     1,     1,    10,     2,     0,     2,     2,     1,
       0,     4,     6,     5,     4,     4,    10,    13,     5,     7,
       8,     1,     1,     1,     7,     9,     8,    15,    20,     1,
       1,     2,     1,     3,     1,     1,     1,     3,     1,     3,
       0,     1,     0,     1,     1,     4,     0,     1,     3,     0,
       1,     1,     1,     1,     2,     0,     0,     2,     2,     1,
       2,     2,     2,     2,     6,     8,    11,    13,     1,     3,
       5,     1,     3,     5,     1,     2,     2,     1,     8,     4,
       5,     4,     4,     4,     3,     7,     8,     6,     6,     6,
       6,     6,     4,     5,     3,     1,     3,     3,     1,     1,
       1,     1,     1,     1,     3,     3,     3,     1,     3,     3,
       1,     0,     1,     3,     7,     9,     9,     3,     0,    13,
       1,     3,     5,     6,     4,     7,     2,     1,     0,     2,
       0,     2,     4,     0,     1,     0,     6,     8,     8,     1,
       3,     5,     5,     7,     9,     7,     9,     5,     6,     6,
       4,     5,     7,     1,     1,     1,     2,     1,     2,     2,
       1,     1,     1,     1,     1,     1,     3,     3,     3,     3,
       1,     3,     1,     2,     2,     3,     5,     2,     2,     0,
       6,     7,     7,     7,     8,     8,     6,     8,     9,     9,
       7,    10,     7,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     2,     1,     1,     1,     1,     1,     2,     1,
       3,     2,     3,     3,     3,     3,     1,     1,     8,     9,
       9,     9,     9,     2,     0,     1,     1,     2,     2,     1,
       1,     1,     1,     1,     1,     1,     1,     2,     1,     1,
       2,     2,     3,     4,     5,     4,     5,     3,     4,     3,
       4,     1,     2,     3,     3,     3,     3,     4,     4,     3,
       3,     4,     4,     4,     4,     1,     1,     1,     0,     7,
       7,    10,     1,     1,     2,     4,     5,     1,     3,     2,
       2,     2,     2,     1,     2,     2,     4,     3,     2,     2,
       2,     2,     3,     2,     2,     2,     5,     5,     5,     1,
       3,     1,     2,     3,     0,     1,     3,     2,     6,     6,
       9,     3,     0,     3,     0,     5,     2,     0,     3,     3,
       3,     7,     7,    10,     1,     1,     1,     1,    14,     1,
       0,     1,     0,     1,     0,     2,     0,     1,     3,     5,
       5,     7,     2,     0,     1,     2,     0,     1,     1,     0,
       1,     1,     0,     9,    12,     7,     2,     0,     3,     2,
       1,     3,     3,     2,     1,     3,     3,     3,     2,     2,
       1,     1,     1,     1,     2,     1,     1,     1,     1,     4,
       5,     1,     3,     3,     1,     2,     4,     5,     1,     1,
       1,     1,     3,     3,     2,     2,     1,     2,     2,     2,
       1,     2,     2,     1,     1,     1,     3,     2,     0,     2,
       1,     3,     5,     1,     2,     1,     0,     5,     7,     5,
       7,     5,     7,     3,     5,     5,     5,     1,     3,     2,
       1,     2,     1,     2,    11,    10,    10,     2,     2,     0,
       9,     2,     0,     4,     4,     4,     1,     1,     1,     0,
       7,     6,     6,     6,     6,     8,     8,     6,     6,     7,
       9,     9,     6,     6,     6,     8,     6,     8,     6,     8,
       7,     9,     6,     8,     7,     9,     8,    10,     9,    11,
       8,     9,    11,     8,     8,     7,     6,     6,     6,     5,
       5,     8,     8,     8,     8,     6,     9,     1,     0,     2,
       0,     7,     6,     6,     6,     6,     6,     7,     9,     9,
       6,     8,     8,     8,     8,     8,     6,     8,     6,     8,
       7,     9,     7,     9,     6,     7,     6,     6,     6,     6,
       6,     7,     7,     7,     9,     9,     6,     6,     6,     8,
       8,     8,     6,     7,    13,     1,     1,     3,     3,     1,
       1,     1,     1,     1,     1,     1,     0,     1,     1,     1,
       1,     1,     1,     0,     6,     8,     3,     2,     0,     2,
       2,     2,     2,     3,     3,     2,     2,     2,     2,     3,
       2,     5,     4,     3,     3,     3,     1,     1,     0,     3,
       2,     2,     1,     2,     1,     3,     2,     1,     0,     9,
      11,    11,    13,     3,     4,     4,     0,     2,     5,     2,
       0,     3,     3,     3,     3,     3,     3,     3,     3,     3,
       3,     3,     3,     3,     4,     3,     3,     1,     0,     5,
       6,     4,     2,     0,     4,     3,     5,     6,     4,     6,
       6,     5,     7,     9,     6,     1,     0,     6,    11,    11,
      11,    13,     9,    11,    10,     4,     2,     5,     2,     0,
       4,     5,     5,     4,     6,     1,     3,     1,     1,     1,
       1,     2,     4,     1,     1,     1,     0,     1,     0,     1,
       0,     3,     0,     2,     4,     3,     5,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     3,     2,     1,
       1,     1,     1,     0,     5,     4,     3,     0,     1,     1,
       1,     1,     4,     9,     3,     0,     6,     1,     4,     2,
       1,     3,     2,     3,     0,     7,     2,     0,     5,     3,
       0,     2,     2,     2,     3,     1,     3,     1,     2,     1,
       0,     8,     1,     3,     1,     1,     3,     5,     2,     1,
       3,     7,     1,     1,     0,     3,     2,     2,     2,     0,
       2,     2,     1,     1,     3,     3,     1,     2,     4,     4,
       2,     3,     5,     5,     1,     1,     9,     1,     2,     4,
       4,     4,     2,     3,     1,     3,     6,     1,     0,     2,
       1,     0,     3,     3,     4,     4,     4,     4,     3,     2,
       1,     1,     0,     1,     1,     0,     1,     5,     1,     0,
       1,     0,     3,     1,     3,     4,     3,     2,     2,     1,
       1,     1,     0,     2,     4,     5,     2,     3,     1,     1,
       1,     1,     3,     0,     1,     1,     1,     1,     1,     3,
       0,     2,     0,     1,     3,     1,     0,     1,     2,     3,
       2,     4,     2,     3,     2,     0,     2,     3,     2,     0,
       1,     3,     2,     2,     3,     2,     3,     1,     4,     3,
       4,     5,     4,     5,     4,     5,     2,     4,     1,     1,
       0,     1,     4,     5,     4,     0,     2,     2,     2,     1,
       1,     0,     4,     2,     1,     2,     2,     4,     1,     3,
       1,     2,     3,     1,     2,     0,     2,     4,     0,     1,
       0,     1,     3,     3,     2,     3,     5,     6,     2,     3,
       3,     4,     0,     1,     1,     1,     1,     1,     2,     5,
       1,     1,     1,     1,     2,     3,     3,     0,     1,     1,
       1,     1,     1,     2,     2,     2,     2,     2,     1,     3,
       0,     1,     1,     1,     1,     5,     2,     1,     1,     1,
       1,     5,     2,     2,     2,     1,     3,     3,     2,     1,
       0,     3,     0,     5,     2,     5,     2,     1,     2,     3,
       0,     1,     1,     1,     1,     1,     1,     3,     3,     3,
       3,     3,     3,     3,     0,     1,     4,     1,     3,     3,
       5,     2,     2,     3,     3,     3,     3,     3,     3,     3,
       3,     3,     3,     2,     2,     3,     3,     2,     3,     5,
       4,     6,     3,     5,     4,     6,     4,     6,     5,     7,
       3,     2,     4,     2,     3,     3,     4,     3,     4,     3,
       4,     5,     6,     6,     7,     6,     7,     6,     7,     3,
       4,     4,     6,     2,     3,     4,     1,     3,     2,     2,
       3,     3,     3,     3,     3,     3,     3,     3,     3,     3,
       2,     2,     5,     6,     6,     7,     3,     4,     1,     1,
       2,     4,     1,     1,     1,     2,     2,     2,     2,     1,
       4,     5,     6,     8,     6,     7,     7,     5,     5,     1,
       1,     4,     1,     4,     1,     4,     1,     4,     1,     1,
       1,     1,     1,     1,     6,     4,     4,     4,     4,     6,
       5,     5,     5,     4,     6,     4,     4,     4,     4,     5,
       7,     7,     9,     5,     4,     6,     5,     7,     7,     7,
       2,     3,     3,     3,     4,     0,     4,     1,     3,     3,
       1,     1,     1,     2,     2,     0,     2,     4,     4,     6,
       2,     0,     1,     3,     3,     2,     2,     0,     6,     1,
       0,     3,     0,     2,     2,     0,     1,     4,     2,     2,
       2,     2,     2,     4,     3,     5,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     4,     1,     4,     1,     4,     1,     2,     1,     2,
       1,     3,     1,     3,     1,     3,     1,     3,     3,     3,
       2,     1,     3,     3,     0,     1,     1,     1,     1,     1,
       1,     1,     1,     4,     3,     2,     3,     0,     3,     3,
       2,     2,     1,     0,     2,     2,     3,     2,     1,     1,
       3,     5,     1,     2,     4,     2,     0,     1,     0,     1,
       2,     2,     2,     3,     5,     1,     2,     0,     2,     1,
       0,     1,     1,     1,     3,     3,     1,     3,     3,     2,
       1,     1,     1,     3,     1,     2,     1,     3,     1,     1,
       1,     1,     1,     1,     1,     2,     1,     1,     1,     1,
       1,     2,     5,     2,     3,     6,     1,     1,     1,     1,
       1,     1,     1,     1,     3,     1,     1,     2,     2,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       0,     2,     4,     3,     2,     1,     1,     1,     1,     1,
       0,     8,     2,     5,     3,     2,     2,     3,     7,     1,
       1,     1,     0,     2,     2,     1,     0,     1,     3,     1,
       2,     0,     2,     0,     2,     0,     1,     3,     4,     3,
       1,     1,     1,     1,     2,     0,     2,     4,     0,     2,
       2,     2,     1,     1,     7,     3,     1,     1,     1,     1,
       2,     0,     1,     3,     3,     3,     3,     0,     4,     5,
       5,     0,     1,     1,     1,     2,     2,     1,     2,     0,
       7,     0,     5,     0,     4,     2,     2,     0,     2,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       5,     2,     1,     3,     2,     2,     3,     0,     5,     1,
       0,     5,     2,     2,     1,     1,     1,     2,     2,     3,
       1,     2,     2,     3,     3,     4,     2,     1,     2,     1,
       1,     2,     2,     3,     1,     1,     1,     1,     0,     1,
       3,     5,     0,     2,     0,     1,     2,     3,     2,     1,
       1,     1,     0,     1,     1,     1,     1,     1,     2,     2,
       3,     0,     1,     2,     1,     4,     3,     4,     3,     2,
       1,     3,     1,     1,     1,     1,     2,     2,     1,     2,
       2,     1,     1,     1,     4,     4,     4,     4,     4,     1,
       0,     3,     3,     4,     1,     3,     3,     4,     1,     3,
       3,     1,     1,     1,     6,     1,     3,     3,     6,     1,
       3,     3,     1,     1,     2,     2,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     4,     4,     1,     1,     4,     4,     3,     0,
       7,     1,     0,     0,     7,     3,     4,     3,     1,     1,
       1,     2,     3,     5,     2,     5,     2,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     3,     1,     0,     1,     2,
       1,     2,     1,     1,     1,     2,     2,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     2,     3,     1,     2,     1,     3,     1,
       3,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     2,     3,     2,     3,     1,     3,     3,     3,
       3,     3,     3,     1,     1,     0,     2,     2,     1,     2,
       1,     0,     1,     1,     1,     0,     1
};


#define yyerrok         (yyerrstatus = 0)
#define yyclearin       (yychar = YYEMPTY)
#define YYEMPTY         (-2)
#define YYEOF           0

#define YYACCEPT        goto yyacceptlab
#define YYABORT         goto yyabortlab
#define YYERROR         goto yyerrorlab


#define YYRECOVERING()  (!!yyerrstatus)

#define YYBACKUP(Token, Value)                                  \
do                                                              \
  if (yychar == YYEMPTY)                                        \
    {                                                           \
      yychar = (Token);                                         \
      yylval = (Value);                                         \
      YYPOPSTACK (yylen);                                       \
      yystate = *yyssp;                                         \
      goto yybackup;                                            \
    }                                                           \
  else                                                          \
    {                                                           \
      yyerror (YY_("syntax error: cannot back up")); \
      YYERROR;                                                  \
    }                                                           \
while (0)

/* Error token number */
#define YYTERROR        1
#define YYERRCODE       256


/* YYLLOC_DEFAULT -- Set CURRENT to span from RHS[1] to RHS[N].
   If N is 0, then set CURRENT to the empty location which ends
   the previous symbol: RHS[0] (always defined).  */

#ifndef YYLLOC_DEFAULT
# define YYLLOC_DEFAULT(Current, Rhs, N)                                \
    do                                                                  \
      if (N)                                                            \
        {                                                               \
          (Current).first_line   = YYRHSLOC (Rhs, 1).first_line;        \
          (Current).first_column = YYRHSLOC (Rhs, 1).first_column;      \
          (Current).last_line    = YYRHSLOC (Rhs, N).last_line;         \
          (Current).last_column  = YYRHSLOC (Rhs, N).last_column;       \
        }                                                               \
      else                                                              \
        {                                                               \
          (Current).first_line   = (Current).last_line   =              \
            YYRHSLOC (Rhs, 0).last_line;                                \
          (Current).first_column = (Current).last_column =              \
            YYRHSLOC (Rhs, 0).last_column;                              \
        }                                                               \
    while (0)
#endif

#define YYRHSLOC(Rhs, K) ((Rhs)[K])


/* Enable debugging if requested.  */
#if YYDEBUG

# ifndef YYFPRINTF
#  include <stdio.h> /* INFRINGES ON USER NAME SPACE */
#  define YYFPRINTF fprintf
# endif

# define YYDPRINTF(Args)                        \
do {                                            \
  if (yydebug)                                  \
    YYFPRINTF Args;                             \
} while (0)


/* YY_LOCATION_PRINT -- Print the location on the stream.
   This macro was not mandated originally: define only if we know
   we won't break user code: when these are the locations we know.  */

#ifndef YY_LOCATION_PRINT
# if defined YYLTYPE_IS_TRIVIAL && YYLTYPE_IS_TRIVIAL

/* Print *YYLOCP on YYO.  Private, do not rely on its existence. */

YY_ATTRIBUTE_UNUSED
static unsigned
yy_location_print_ (FILE *yyo, YYLTYPE const * const yylocp)
{
  unsigned res = 0;
  int end_col = 0 != yylocp->last_column ? yylocp->last_column - 1 : 0;
  if (0 <= yylocp->first_line)
    {
      res += YYFPRINTF (yyo, "%d", yylocp->first_line);
      if (0 <= yylocp->first_column)
        res += YYFPRINTF (yyo, ".%d", yylocp->first_column);
    }
  if (0 <= yylocp->last_line)
    {
      if (yylocp->first_line < yylocp->last_line)
        {
          res += YYFPRINTF (yyo, "-%d", yylocp->last_line);
          if (0 <= end_col)
            res += YYFPRINTF (yyo, ".%d", end_col);
        }
      else if (0 <= end_col && yylocp->first_column < end_col)
        res += YYFPRINTF (yyo, "-%d", end_col);
    }
  return res;
 }

#  define YY_LOCATION_PRINT(File, Loc)          \
  yy_location_print_ (File, &(Loc))

# else
#  define YY_LOCATION_PRINT(File, Loc) ((void) 0)
# endif
#endif


# define YY_SYMBOL_PRINT(Title, Type, Value, Location)                    \
do {                                                                      \
  if (yydebug)                                                            \
    {                                                                     \
      YYFPRINTF (stderr, "%s ", Title);                                   \
      yy_symbol_print (stderr,                                            \
                  Type, Value, Location); \
      YYFPRINTF (stderr, "\n");                                           \
    }                                                                     \
} while (0)


/*----------------------------------------.
| Print this symbol's value on YYOUTPUT.  |
`----------------------------------------*/

static void
yy_symbol_value_print (FILE *yyoutput, int yytype, YYSTYPE const * const yyvaluep, YYLTYPE const * const yylocationp)
{
  FILE *yyo = yyoutput;
  YYUSE (yyo);
  YYUSE (yylocationp);
  if (!yyvaluep)
    return;
# ifdef YYPRINT
  if (yytype < YYNTOKENS)
    YYPRINT (yyoutput, yytoknum[yytype], *yyvaluep);
# endif
  YYUSE (yytype);
}


/*--------------------------------.
| Print this symbol on YYOUTPUT.  |
`--------------------------------*/

static void
yy_symbol_print (FILE *yyoutput, int yytype, YYSTYPE const * const yyvaluep, YYLTYPE const * const yylocationp)
{
  YYFPRINTF (yyoutput, "%s %s (",
             yytype < YYNTOKENS ? "token" : "nterm", yytname[yytype]);

  YY_LOCATION_PRINT (yyoutput, *yylocationp);
  YYFPRINTF (yyoutput, ": ");
  yy_symbol_value_print (yyoutput, yytype, yyvaluep, yylocationp);
  YYFPRINTF (yyoutput, ")");
}

/*------------------------------------------------------------------.
| yy_stack_print -- Print the state stack from its BOTTOM up to its |
| TOP (included).                                                   |
`------------------------------------------------------------------*/

static void
yy_stack_print (yytype_int16 *yybottom, yytype_int16 *yytop)
{
  YYFPRINTF (stderr, "Stack now");
  for (; yybottom <= yytop; yybottom++)
    {
      int yybot = *yybottom;
      YYFPRINTF (stderr, " %d", yybot);
    }
  YYFPRINTF (stderr, "\n");
}

# define YY_STACK_PRINT(Bottom, Top)                            \
do {                                                            \
  if (yydebug)                                                  \
    yy_stack_print ((Bottom), (Top));                           \
} while (0)


/*------------------------------------------------.
| Report that the YYRULE is going to be reduced.  |
`------------------------------------------------*/

static void
yy_reduce_print (yytype_int16 *yyssp, YYSTYPE *yyvsp, YYLTYPE *yylsp, int yyrule)
{
  unsigned long int yylno = yyrline[yyrule];
  int yynrhs = yyr2[yyrule];
  int yyi;
  YYFPRINTF (stderr, "Reducing stack by rule %d (line %lu):\n",
             yyrule - 1, yylno);
  /* The symbols being reduced.  */
  for (yyi = 0; yyi < yynrhs; yyi++)
    {
      YYFPRINTF (stderr, "   $%d = ", yyi + 1);
      yy_symbol_print (stderr,
                       yystos[yyssp[yyi + 1 - yynrhs]],
                       &(yyvsp[(yyi + 1) - (yynrhs)])
                       , &(yylsp[(yyi + 1) - (yynrhs)])                       );
      YYFPRINTF (stderr, "\n");
    }
}

# define YY_REDUCE_PRINT(Rule)          \
do {                                    \
  if (yydebug)                          \
    yy_reduce_print (yyssp, yyvsp, yylsp, Rule); \
} while (0)

/* Nonzero means print parse trace.  It is left uninitialized so that
   multiple parsers can coexist.  */
int yydebug;
#else /* !YYDEBUG */
# define YYDPRINTF(Args)
# define YY_SYMBOL_PRINT(Title, Type, Value, Location)
# define YY_STACK_PRINT(Bottom, Top)
# define YY_REDUCE_PRINT(Rule)
#endif /* !YYDEBUG */


/* YYINITDEPTH -- initial size of the parser's stacks.  */
#ifndef YYINITDEPTH
# define YYINITDEPTH 200
#endif

/* YYMAXDEPTH -- maximum size the stacks can grow to (effective only
   if the built-in stack extension method is used).

   Do not make this value too large; the results are undefined if
   YYSTACK_ALLOC_MAXIMUM < YYSTACK_BYTES (YYMAXDEPTH)
   evaluated with infinite-precision integer arithmetic.  */

#ifndef YYMAXDEPTH
# define YYMAXDEPTH 10000
#endif


#if YYERROR_VERBOSE

# ifndef yystrlen
#  if defined __GLIBC__ && defined _STRING_H
#   define yystrlen strlen
#  else
/* Return the length of YYSTR.  */
static YYSIZE_T
yystrlen (const char *yystr)
{
  YYSIZE_T yylen;
  for (yylen = 0; yystr[yylen]; yylen++)
    continue;
  return yylen;
}
#  endif
# endif

# ifndef yystpcpy
#  if defined __GLIBC__ && defined _STRING_H && defined _GNU_SOURCE
#   define yystpcpy stpcpy
#  else
/* Copy YYSRC to YYDEST, returning the address of the terminating '\0' in
   YYDEST.  */
static char *
yystpcpy (char *yydest, const char *yysrc)
{
  char *yyd = yydest;
  const char *yys = yysrc;

  while ((*yyd++ = *yys++) != '\0')
    continue;

  return yyd - 1;
}
#  endif
# endif

# ifndef yytnamerr
/* Copy to YYRES the contents of YYSTR after stripping away unnecessary
   quotes and backslashes, so that it's suitable for yyerror.  The
   heuristic is that double-quoting is unnecessary unless the string
   contains an apostrophe, a comma, or backslash (other than
   backslash-backslash).  YYSTR is taken from yytname.  If YYRES is
   null, do not copy; instead, return the length of what the result
   would have been.  */
static YYSIZE_T
yytnamerr (char *yyres, const char *yystr)
{
  if (*yystr == '"')
    {
      YYSIZE_T yyn = 0;
      char const *yyp = yystr;

      for (;;)
        switch (*++yyp)
          {
          case '\'':
          case ',':
            goto do_not_strip_quotes;

          case '\\':
            if (*++yyp != '\\')
              goto do_not_strip_quotes;
            /* Fall through.  */
          default:
            if (yyres)
              yyres[yyn] = *yyp;
            yyn++;
            break;

          case '"':
            if (yyres)
              yyres[yyn] = '\0';
            return yyn;
          }
    do_not_strip_quotes: ;
    }

  if (! yyres)
    return yystrlen (yystr);

  return yystpcpy (yyres, yystr) - yyres;
}
# endif

/* Copy into *YYMSG, which is of size *YYMSG_ALLOC, an error message
   about the unexpected token YYTOKEN for the state stack whose top is
   YYSSP.

   Return 0 if *YYMSG was successfully written.  Return 1 if *YYMSG is
   not large enough to hold the message.  In that case, also set
   *YYMSG_ALLOC to the required number of bytes.  Return 2 if the
   required number of bytes is too large to store.  */
static int
yysyntax_error (YYSIZE_T *yymsg_alloc, char **yymsg,
                yytype_int16 *yyssp, int yytoken)
{
  YYSIZE_T yysize0 = yytnamerr (YY_NULLPTR, yytname[yytoken]);
  YYSIZE_T yysize = yysize0;
  enum { YYERROR_VERBOSE_ARGS_MAXIMUM = 5 };
  /* Internationalized format string. */
  const char *yyformat = YY_NULLPTR;
  /* Arguments of yyformat. */
  char const *yyarg[YYERROR_VERBOSE_ARGS_MAXIMUM];
  /* Number of reported tokens (one for the "unexpected", one per
     "expected"). */
  int yycount = 0;

  /* There are many possibilities here to consider:
     - If this state is a consistent state with a default action, then
       the only way this function was invoked is if the default action
       is an error action.  In that case, don't check for expected
       tokens because there are none.
     - The only way there can be no lookahead present (in yychar) is if
       this state is a consistent state with a default action.  Thus,
       detecting the absence of a lookahead is sufficient to determine
       that there is no unexpected or expected token to report.  In that
       case, just report a simple "syntax error".
     - Don't assume there isn't a lookahead just because this state is a
       consistent state with a default action.  There might have been a
       previous inconsistent state, consistent state with a non-default
       action, or user semantic action that manipulated yychar.
     - Of course, the expected token list depends on states to have
       correct lookahead information, and it depends on the parser not
       to perform extra reductions after fetching a lookahead from the
       scanner and before detecting a syntax error.  Thus, state merging
       (from LALR or IELR) and default reductions corrupt the expected
       token list.  However, the list is correct for canonical LR with
       one exception: it will still contain any token that will not be
       accepted due to an error action in a later state.
  */
  if (yytoken != YYEMPTY)
    {
      int yyn = yypact[*yyssp];
      yyarg[yycount++] = yytname[yytoken];
      if (!yypact_value_is_default (yyn))
        {
          /* Start YYX at -YYN if negative to avoid negative indexes in
             YYCHECK.  In other words, skip the first -YYN actions for
             this state because they are default actions.  */
          int yyxbegin = yyn < 0 ? -yyn : 0;
          /* Stay within bounds of both yycheck and yytname.  */
          int yychecklim = YYLAST - yyn + 1;
          int yyxend = yychecklim < YYNTOKENS ? yychecklim : YYNTOKENS;
          int yyx;

          for (yyx = yyxbegin; yyx < yyxend; ++yyx)
            if (yycheck[yyx + yyn] == yyx && yyx != YYTERROR
                && !yytable_value_is_error (yytable[yyx + yyn]))
              {
                if (yycount == YYERROR_VERBOSE_ARGS_MAXIMUM)
                  {
                    yycount = 1;
                    yysize = yysize0;
                    break;
                  }
                yyarg[yycount++] = yytname[yyx];
                {
                  YYSIZE_T yysize1 = yysize + yytnamerr (YY_NULLPTR, yytname[yyx]);
                  if (! (yysize <= yysize1
                         && yysize1 <= YYSTACK_ALLOC_MAXIMUM))
                    return 2;
                  yysize = yysize1;
                }
              }
        }
    }

  switch (yycount)
    {
# define YYCASE_(N, S)                      \
      case N:                               \
        yyformat = S;                       \
      break
      YYCASE_(0, YY_("syntax error"));
      YYCASE_(1, YY_("syntax error, unexpected %s"));
      YYCASE_(2, YY_("syntax error, unexpected %s, expecting %s"));
      YYCASE_(3, YY_("syntax error, unexpected %s, expecting %s or %s"));
      YYCASE_(4, YY_("syntax error, unexpected %s, expecting %s or %s or %s"));
      YYCASE_(5, YY_("syntax error, unexpected %s, expecting %s or %s or %s or %s"));
# undef YYCASE_
    }

  {
    YYSIZE_T yysize1 = yysize + yystrlen (yyformat);
    if (! (yysize <= yysize1 && yysize1 <= YYSTACK_ALLOC_MAXIMUM))
      return 2;
    yysize = yysize1;
  }

  if (*yymsg_alloc < yysize)
    {
      *yymsg_alloc = 2 * yysize;
      if (! (yysize <= *yymsg_alloc
             && *yymsg_alloc <= YYSTACK_ALLOC_MAXIMUM))
        *yymsg_alloc = YYSTACK_ALLOC_MAXIMUM;
      return 1;
    }

  /* Avoid sprintf, as that infringes on the user's name space.
     Don't have undefined behavior even if the translation
     produced a string with the wrong number of "%s"s.  */
  {
    char *yyp = *yymsg;
    int yyi = 0;
    while ((*yyp = *yyformat) != '\0')
      if (*yyp == '%' && yyformat[1] == 's' && yyi < yycount)
        {
          yyp += yytnamerr (yyp, yyarg[yyi++]);
          yyformat += 2;
        }
      else
        {
          yyp++;
          yyformat++;
        }
  }
  return 0;
}
#endif /* YYERROR_VERBOSE */

/*-----------------------------------------------.
| Release the memory associated to this symbol.  |
`-----------------------------------------------*/

static void
yydestruct (const char *yymsg, int yytype, YYSTYPE *yyvaluep, YYLTYPE *yylocationp)
{
  YYUSE (yyvaluep);
  YYUSE (yylocationp);
  if (!yymsg)
    yymsg = "Deleting";
  YY_SYMBOL_PRINT (yymsg, yytype, yyvaluep, yylocationp);

  YY_IGNORE_MAYBE_UNINITIALIZED_BEGIN
  YYUSE (yytype);
  YY_IGNORE_MAYBE_UNINITIALIZED_END
}




/* The lookahead symbol.  */
int yychar;

/* The semantic value of the lookahead symbol.  */
YYSTYPE yylval;
/* Location data for the lookahead symbol.  */
YYLTYPE yylloc
# if defined YYLTYPE_IS_TRIVIAL && YYLTYPE_IS_TRIVIAL
  = { 1, 1, 1, 1 }
# endif
;
/* Number of syntax errors so far.  */
int yynerrs;


/*----------.
| yyparse.  |
`----------*/

int
yyparse (void)
{
    int yystate;
    /* Number of tokens to shift before error messages enabled.  */
    int yyerrstatus;

    /* The stacks and their tools:
       'yyss': related to states.
       'yyvs': related to semantic values.
       'yyls': related to locations.

       Refer to the stacks through separate pointers, to allow yyoverflow
       to reallocate them elsewhere.  */

    /* The state stack.  */
    yytype_int16 yyssa[YYINITDEPTH];
    yytype_int16 *yyss;
    yytype_int16 *yyssp;

    /* The semantic value stack.  */
    YYSTYPE yyvsa[YYINITDEPTH];
    YYSTYPE *yyvs;
    YYSTYPE *yyvsp;

    /* The location stack.  */
    YYLTYPE yylsa[YYINITDEPTH];
    YYLTYPE *yyls;
    YYLTYPE *yylsp;

    /* The locations where the error started and ended.  */
    YYLTYPE yyerror_range[3];

    YYSIZE_T yystacksize;

  int yyn;
  int yyresult;
  /* Lookahead token as an internal (translated) token number.  */
  int yytoken = 0;
  /* The variables used to return semantic value and location from the
     action routines.  */
  YYSTYPE yyval;
  YYLTYPE yyloc;

#if YYERROR_VERBOSE
  /* Buffer for error messages, and its allocated size.  */
  char yymsgbuf[128];
  char *yymsg = yymsgbuf;
  YYSIZE_T yymsg_alloc = sizeof yymsgbuf;
#endif

#define YYPOPSTACK(N)   (yyvsp -= (N), yyssp -= (N), yylsp -= (N))

  /* The number of symbols on the RHS of the reduced rule.
     Keep to zero when no symbol should be popped.  */
  int yylen = 0;

  yyssp = yyss = yyssa;
  yyvsp = yyvs = yyvsa;
  yylsp = yyls = yylsa;
  yystacksize = YYINITDEPTH;

  YYDPRINTF ((stderr, "Starting parse\n"));

  yystate = 0;
  yyerrstatus = 0;
  yynerrs = 0;
  yychar = YYEMPTY; /* Cause a token to be read.  */
  yylsp[0] = yylloc;
  goto yysetstate;

/*------------------------------------------------------------.
| yynewstate -- Push a new state, which is found in yystate.  |
`------------------------------------------------------------*/
 yynewstate:
  /* In all cases, when you get here, the value and location stacks
     have just been pushed.  So pushing a state here evens the stacks.  */
  yyssp++;

 yysetstate:
  *yyssp = yystate;

  if (yyss + yystacksize - 1 <= yyssp)
    {
      /* Get the current used size of the three stacks, in elements.  */
      YYSIZE_T yysize = yyssp - yyss + 1;

#ifdef yyoverflow
      {
        /* Give user a chance to reallocate the stack.  Use copies of
           these so that the &'s don't force the real ones into
           memory.  */
        YYSTYPE *yyvs1 = yyvs;
        yytype_int16 *yyss1 = yyss;
        YYLTYPE *yyls1 = yyls;

        /* Each stack pointer address is followed by the size of the
           data in use in that stack, in bytes.  This used to be a
           conditional around just the two extra args, but that might
           be undefined if yyoverflow is a macro.  */
        yyoverflow (YY_("memory exhausted"),
                    &yyss1, yysize * sizeof (*yyssp),
                    &yyvs1, yysize * sizeof (*yyvsp),
                    &yyls1, yysize * sizeof (*yylsp),
                    &yystacksize);

        yyls = yyls1;
        yyss = yyss1;
        yyvs = yyvs1;
      }
#else /* no yyoverflow */
# ifndef YYSTACK_RELOCATE
      goto yyexhaustedlab;
# else
      /* Extend the stack our own way.  */
      if (YYMAXDEPTH <= yystacksize)
        goto yyexhaustedlab;
      yystacksize *= 2;
      if (YYMAXDEPTH < yystacksize)
        yystacksize = YYMAXDEPTH;

      {
        yytype_int16 *yyss1 = yyss;
        union yyalloc *yyptr =
          (union yyalloc *) YYSTACK_ALLOC (YYSTACK_BYTES (yystacksize));
        if (! yyptr)
          goto yyexhaustedlab;
        YYSTACK_RELOCATE (yyss_alloc, yyss);
        YYSTACK_RELOCATE (yyvs_alloc, yyvs);
        YYSTACK_RELOCATE (yyls_alloc, yyls);
#  undef YYSTACK_RELOCATE
        if (yyss1 != yyssa)
          YYSTACK_FREE (yyss1);
      }
# endif
#endif /* no yyoverflow */

      yyssp = yyss + yysize - 1;
      yyvsp = yyvs + yysize - 1;
      yylsp = yyls + yysize - 1;

      YYDPRINTF ((stderr, "Stack size increased to %lu\n",
                  (unsigned long int) yystacksize));

      if (yyss + yystacksize - 1 <= yyssp)
        YYABORT;
    }

  YYDPRINTF ((stderr, "Entering state %d\n", yystate));

  if (yystate == YYFINAL)
    YYACCEPT;

  goto yybackup;

/*-----------.
| yybackup.  |
`-----------*/
yybackup:

  /* Do appropriate processing given the current state.  Read a
     lookahead token if we need one and don't already have one.  */

  /* First try to decide what to do without reference to lookahead token.  */
  yyn = yypact[yystate];
  if (yypact_value_is_default (yyn))
    goto yydefault;

  /* Not known => get a lookahead token if don't already have one.  */

  /* YYCHAR is either YYEMPTY or YYEOF or a valid lookahead symbol.  */
  if (yychar == YYEMPTY)
    {
      YYDPRINTF ((stderr, "Reading a token: "));
      yychar = yylex ();
    }

  if (yychar <= YYEOF)
    {
      yychar = yytoken = YYEOF;
      YYDPRINTF ((stderr, "Now at end of input.\n"));
    }
  else
    {
      yytoken = YYTRANSLATE (yychar);
      YY_SYMBOL_PRINT ("Next token is", yytoken, &yylval, &yylloc);
    }

  /* If the proper action on seeing token YYTOKEN is to reduce or to
     detect an error, take that action.  */
  yyn += yytoken;
  if (yyn < 0 || YYLAST < yyn || yycheck[yyn] != yytoken)
    goto yydefault;
  yyn = yytable[yyn];
  if (yyn <= 0)
    {
      if (yytable_value_is_error (yyn))
        goto yyerrlab;
      yyn = -yyn;
      goto yyreduce;
    }

  /* Count tokens shifted since error; after three, turn off error
     status.  */
  if (yyerrstatus)
    yyerrstatus--;

  /* Shift the lookahead token.  */
  YY_SYMBOL_PRINT ("Shifting", yytoken, &yylval, &yylloc);

  /* Discard the shifted token.  */
  yychar = YYEMPTY;

  yystate = yyn;
  YY_IGNORE_MAYBE_UNINITIALIZED_BEGIN
  *++yyvsp = yylval;
  YY_IGNORE_MAYBE_UNINITIALIZED_END
  *++yylsp = yylloc;
  goto yynewstate;


/*-----------------------------------------------------------.
| yydefault -- do the default action for the current state.  |
`-----------------------------------------------------------*/
yydefault:
  yyn = yydefact[yystate];
  if (yyn == 0)
    goto yyerrlab;
  goto yyreduce;


/*-----------------------------.
| yyreduce -- Do a reduction.  |
`-----------------------------*/
yyreduce:
  /* yyn is the number of a rule to reduce with.  */
  yylen = yyr2[yyn];

  /* If YYLEN is nonzero, implement the default value of the action:
     '$$ = $1'.

     Otherwise, the following line sets YYVAL to garbage.
     This behavior is undocumented and Bison
     users should not rely upon it.  Assigning to YYVAL
     unconditionally makes the parser a bit smaller, and it avoids a
     GCC warning that YYVAL may be used uninitialized.  */
  yyval = yyvsp[1-yylen];

  /* Default location.  */
  YYLLOC_DEFAULT (yyloc, (yylsp - yylen), yylen);
  YY_REDUCE_PRINT (yyn);
  switch (yyn)
    {
        case 3:
#line 1483 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 27107 "preproc.c" /* yacc.c:1646  */
    break;

  case 4:
#line 1485 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 27113 "preproc.c" /* yacc.c:1646  */
    break;

  case 5:
#line 1487 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 27119 "preproc.c" /* yacc.c:1646  */
    break;

  case 6:
#line 1489 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 27125 "preproc.c" /* yacc.c:1646  */
    break;

  case 7:
#line 1491 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 27131 "preproc.c" /* yacc.c:1646  */
    break;

  case 8:
#line 1493 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 27137 "preproc.c" /* yacc.c:1646  */
    break;

  case 9:
#line 1495 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 27143 "preproc.c" /* yacc.c:1646  */
    break;

  case 10:
#line 1497 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 27149 "preproc.c" /* yacc.c:1646  */
    break;

  case 11:
#line 1499 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 27155 "preproc.c" /* yacc.c:1646  */
    break;

  case 12:
#line 1501 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 27161 "preproc.c" /* yacc.c:1646  */
    break;

  case 13:
#line 1503 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 27167 "preproc.c" /* yacc.c:1646  */
    break;

  case 14:
#line 1505 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 27173 "preproc.c" /* yacc.c:1646  */
    break;

  case 15:
#line 1507 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 27179 "preproc.c" /* yacc.c:1646  */
    break;

  case 16:
#line 1509 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 27185 "preproc.c" /* yacc.c:1646  */
    break;

  case 17:
#line 1511 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 27191 "preproc.c" /* yacc.c:1646  */
    break;

  case 18:
#line 1513 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 27197 "preproc.c" /* yacc.c:1646  */
    break;

  case 19:
#line 1515 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 27203 "preproc.c" /* yacc.c:1646  */
    break;

  case 20:
#line 1517 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 27209 "preproc.c" /* yacc.c:1646  */
    break;

  case 21:
#line 1519 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 27215 "preproc.c" /* yacc.c:1646  */
    break;

  case 22:
#line 1521 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 27221 "preproc.c" /* yacc.c:1646  */
    break;

  case 23:
#line 1523 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 27227 "preproc.c" /* yacc.c:1646  */
    break;

  case 24:
#line 1525 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 27233 "preproc.c" /* yacc.c:1646  */
    break;

  case 25:
#line 1527 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 27239 "preproc.c" /* yacc.c:1646  */
    break;

  case 26:
#line 1529 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 27245 "preproc.c" /* yacc.c:1646  */
    break;

  case 27:
#line 1531 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 27251 "preproc.c" /* yacc.c:1646  */
    break;

  case 28:
#line 1533 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 27257 "preproc.c" /* yacc.c:1646  */
    break;

  case 29:
#line 1535 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 27263 "preproc.c" /* yacc.c:1646  */
    break;

  case 30:
#line 1537 "preproc.y" /* yacc.c:1646  */
    {
		if (INFORMIX_MODE)
		{
			if (pg_strcasecmp((yyvsp[0].str)+strlen("close "), "database") == 0)
			{
				if (connection)
					mmerror(PARSE_ERROR, ET_ERROR, "AT option not allowed in CLOSE DATABASE statement");

				fprintf(base_yyout, "{ ECPGdisconnect(__LINE__, \"CURRENT\");");
				whenever_action(2);
				free((yyvsp[0].str));
				break;
			}
		}

		output_statement((yyvsp[0].str), 0, ECPGst_normal);
	}
#line 27285 "preproc.c" /* yacc.c:1646  */
    break;

  case 31:
#line 1555 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 27291 "preproc.c" /* yacc.c:1646  */
    break;

  case 32:
#line 1557 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 27297 "preproc.c" /* yacc.c:1646  */
    break;

  case 33:
#line 1559 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 27303 "preproc.c" /* yacc.c:1646  */
    break;

  case 34:
#line 1561 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 27309 "preproc.c" /* yacc.c:1646  */
    break;

  case 35:
#line 1563 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 27315 "preproc.c" /* yacc.c:1646  */
    break;

  case 36:
#line 1565 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 27321 "preproc.c" /* yacc.c:1646  */
    break;

  case 37:
#line 1567 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 27327 "preproc.c" /* yacc.c:1646  */
    break;

  case 38:
#line 1569 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 27333 "preproc.c" /* yacc.c:1646  */
    break;

  case 39:
#line 1571 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 27339 "preproc.c" /* yacc.c:1646  */
    break;

  case 40:
#line 1573 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 27345 "preproc.c" /* yacc.c:1646  */
    break;

  case 41:
#line 1575 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 27351 "preproc.c" /* yacc.c:1646  */
    break;

  case 42:
#line 1577 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 27357 "preproc.c" /* yacc.c:1646  */
    break;

  case 43:
#line 1579 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 27363 "preproc.c" /* yacc.c:1646  */
    break;

  case 44:
#line 1581 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 27369 "preproc.c" /* yacc.c:1646  */
    break;

  case 45:
#line 1583 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 27375 "preproc.c" /* yacc.c:1646  */
    break;

  case 46:
#line 1585 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 27381 "preproc.c" /* yacc.c:1646  */
    break;

  case 47:
#line 1587 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 27387 "preproc.c" /* yacc.c:1646  */
    break;

  case 48:
#line 1589 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 27393 "preproc.c" /* yacc.c:1646  */
    break;

  case 49:
#line 1591 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 27399 "preproc.c" /* yacc.c:1646  */
    break;

  case 50:
#line 1593 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 27405 "preproc.c" /* yacc.c:1646  */
    break;

  case 51:
#line 1595 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 27411 "preproc.c" /* yacc.c:1646  */
    break;

  case 52:
#line 1597 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 27417 "preproc.c" /* yacc.c:1646  */
    break;

  case 53:
#line 1599 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 27423 "preproc.c" /* yacc.c:1646  */
    break;

  case 54:
#line 1601 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 27429 "preproc.c" /* yacc.c:1646  */
    break;

  case 55:
#line 1603 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 27435 "preproc.c" /* yacc.c:1646  */
    break;

  case 56:
#line 1605 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 27441 "preproc.c" /* yacc.c:1646  */
    break;

  case 57:
#line 1607 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 27447 "preproc.c" /* yacc.c:1646  */
    break;

  case 58:
#line 1609 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 27453 "preproc.c" /* yacc.c:1646  */
    break;

  case 59:
#line 1611 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 27459 "preproc.c" /* yacc.c:1646  */
    break;

  case 60:
#line 1613 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 27465 "preproc.c" /* yacc.c:1646  */
    break;

  case 61:
#line 1615 "preproc.y" /* yacc.c:1646  */
    {
		output_deallocate_prepare_statement((yyvsp[0].str));
	}
#line 27473 "preproc.c" /* yacc.c:1646  */
    break;

  case 62:
#line 1619 "preproc.y" /* yacc.c:1646  */
    { output_simple_statement((yyvsp[0].str)); }
#line 27479 "preproc.c" /* yacc.c:1646  */
    break;

  case 63:
#line 1621 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 27485 "preproc.c" /* yacc.c:1646  */
    break;

  case 64:
#line 1623 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 1, ECPGst_prepnormal); }
#line 27491 "preproc.c" /* yacc.c:1646  */
    break;

  case 65:
#line 1625 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 1, ECPGst_normal); }
#line 27497 "preproc.c" /* yacc.c:1646  */
    break;

  case 66:
#line 1627 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 27503 "preproc.c" /* yacc.c:1646  */
    break;

  case 67:
#line 1629 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 27509 "preproc.c" /* yacc.c:1646  */
    break;

  case 68:
#line 1631 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 27515 "preproc.c" /* yacc.c:1646  */
    break;

  case 69:
#line 1633 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 27521 "preproc.c" /* yacc.c:1646  */
    break;

  case 70:
#line 1635 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 27527 "preproc.c" /* yacc.c:1646  */
    break;

  case 71:
#line 1637 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 27533 "preproc.c" /* yacc.c:1646  */
    break;

  case 72:
#line 1639 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 27539 "preproc.c" /* yacc.c:1646  */
    break;

  case 73:
#line 1641 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 27545 "preproc.c" /* yacc.c:1646  */
    break;

  case 74:
#line 1643 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 27551 "preproc.c" /* yacc.c:1646  */
    break;

  case 75:
#line 1645 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 27557 "preproc.c" /* yacc.c:1646  */
    break;

  case 76:
#line 1647 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 27563 "preproc.c" /* yacc.c:1646  */
    break;

  case 77:
#line 1649 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 27569 "preproc.c" /* yacc.c:1646  */
    break;

  case 78:
#line 1651 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 27575 "preproc.c" /* yacc.c:1646  */
    break;

  case 79:
#line 1653 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 27581 "preproc.c" /* yacc.c:1646  */
    break;

  case 80:
#line 1655 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 27587 "preproc.c" /* yacc.c:1646  */
    break;

  case 81:
#line 1657 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 27593 "preproc.c" /* yacc.c:1646  */
    break;

  case 82:
#line 1659 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 27599 "preproc.c" /* yacc.c:1646  */
    break;

  case 83:
#line 1661 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 27605 "preproc.c" /* yacc.c:1646  */
    break;

  case 84:
#line 1663 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 1, ECPGst_execute); }
#line 27611 "preproc.c" /* yacc.c:1646  */
    break;

  case 85:
#line 1665 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 27617 "preproc.c" /* yacc.c:1646  */
    break;

  case 86:
#line 1667 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 1, ECPGst_normal); }
#line 27623 "preproc.c" /* yacc.c:1646  */
    break;

  case 87:
#line 1669 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 27629 "preproc.c" /* yacc.c:1646  */
    break;

  case 88:
#line 1671 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 27635 "preproc.c" /* yacc.c:1646  */
    break;

  case 89:
#line 1673 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 27641 "preproc.c" /* yacc.c:1646  */
    break;

  case 90:
#line 1675 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 1, ECPGst_prepnormal); }
#line 27647 "preproc.c" /* yacc.c:1646  */
    break;

  case 91:
#line 1677 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 27653 "preproc.c" /* yacc.c:1646  */
    break;

  case 92:
#line 1679 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 27659 "preproc.c" /* yacc.c:1646  */
    break;

  case 93:
#line 1681 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 27665 "preproc.c" /* yacc.c:1646  */
    break;

  case 94:
#line 1683 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 27671 "preproc.c" /* yacc.c:1646  */
    break;

  case 95:
#line 1685 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 27677 "preproc.c" /* yacc.c:1646  */
    break;

  case 96:
#line 1687 "preproc.y" /* yacc.c:1646  */
    {
		if ((yyvsp[0].prep).type == NULL || strlen((yyvsp[0].prep).type) == 0)
			output_prepare_statement((yyvsp[0].prep).name, (yyvsp[0].prep).stmt);
		else
			output_statement(cat_str(5, mm_strdup("prepare"), (yyvsp[0].prep).name, (yyvsp[0].prep).type, mm_strdup("as"), (yyvsp[0].prep).stmt), 0, ECPGst_normal);
	}
#line 27688 "preproc.c" /* yacc.c:1646  */
    break;

  case 97:
#line 1694 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 27694 "preproc.c" /* yacc.c:1646  */
    break;

  case 98:
#line 1696 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 27700 "preproc.c" /* yacc.c:1646  */
    break;

  case 99:
#line 1698 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 27706 "preproc.c" /* yacc.c:1646  */
    break;

  case 100:
#line 1700 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 27712 "preproc.c" /* yacc.c:1646  */
    break;

  case 101:
#line 1702 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 27718 "preproc.c" /* yacc.c:1646  */
    break;

  case 102:
#line 1704 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 27724 "preproc.c" /* yacc.c:1646  */
    break;

  case 103:
#line 1706 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 27730 "preproc.c" /* yacc.c:1646  */
    break;

  case 104:
#line 1708 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 27736 "preproc.c" /* yacc.c:1646  */
    break;

  case 105:
#line 1710 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 27742 "preproc.c" /* yacc.c:1646  */
    break;

  case 106:
#line 1712 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 27748 "preproc.c" /* yacc.c:1646  */
    break;

  case 107:
#line 1714 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 1, ECPGst_prepnormal); }
#line 27754 "preproc.c" /* yacc.c:1646  */
    break;

  case 108:
#line 1716 "preproc.y" /* yacc.c:1646  */
    {
		fprintf(base_yyout, "{ ECPGtrans(__LINE__, %s, \"%s\");", connection ? connection : "NULL", (yyvsp[0].str));
		whenever_action(2);
		free((yyvsp[0].str));
	}
#line 27764 "preproc.c" /* yacc.c:1646  */
    break;

  case 109:
#line 1722 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 27770 "preproc.c" /* yacc.c:1646  */
    break;

  case 110:
#line 1724 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 27776 "preproc.c" /* yacc.c:1646  */
    break;

  case 111:
#line 1726 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 1, ECPGst_prepnormal); }
#line 27782 "preproc.c" /* yacc.c:1646  */
    break;

  case 112:
#line 1728 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 27788 "preproc.c" /* yacc.c:1646  */
    break;

  case 113:
#line 1730 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 27794 "preproc.c" /* yacc.c:1646  */
    break;

  case 114:
#line 1732 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 27800 "preproc.c" /* yacc.c:1646  */
    break;

  case 115:
#line 1734 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 27806 "preproc.c" /* yacc.c:1646  */
    break;

  case 116:
#line 1736 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 27812 "preproc.c" /* yacc.c:1646  */
    break;

  case 117:
#line 1738 "preproc.y" /* yacc.c:1646  */
    {
		fprintf(base_yyout,"ECPGallocate_desc(__LINE__, %s);",(yyvsp[0].str));
		whenever_action(0);
		free((yyvsp[0].str));
	}
#line 27822 "preproc.c" /* yacc.c:1646  */
    break;

  case 118:
#line 1744 "preproc.y" /* yacc.c:1646  */
    {
		if (connection)
			mmerror(PARSE_ERROR, ET_ERROR, "AT option not allowed in CONNECT statement");

		fprintf(base_yyout, "{ ECPGconnect(__LINE__, %d, %s, %d); ", compat, (yyvsp[0].str), autocommit);
		reset_variables();
		whenever_action(2);
		free((yyvsp[0].str));
	}
#line 27836 "preproc.c" /* yacc.c:1646  */
    break;

  case 119:
#line 1754 "preproc.y" /* yacc.c:1646  */
    {
		output_simple_statement((yyvsp[0].str));
	}
#line 27844 "preproc.c" /* yacc.c:1646  */
    break;

  case 120:
#line 1758 "preproc.y" /* yacc.c:1646  */
    {
		fprintf(base_yyout,"ECPGdeallocate_desc(__LINE__, %s);",(yyvsp[0].str));
		whenever_action(0);
		free((yyvsp[0].str));
	}
#line 27854 "preproc.c" /* yacc.c:1646  */
    break;

  case 121:
#line 1764 "preproc.y" /* yacc.c:1646  */
    {
		output_simple_statement((yyvsp[0].str));
	}
#line 27862 "preproc.c" /* yacc.c:1646  */
    break;

  case 122:
#line 1768 "preproc.y" /* yacc.c:1646  */
    {
		fprintf(base_yyout, "{ ECPGdescribe(__LINE__, %d, %s,", compat, (yyvsp[0].str));
		dump_variables(argsresult, 1);
		fputs("ECPGt_EORT);", base_yyout);
		fprintf(base_yyout, "}");
		output_line_number();

		free((yyvsp[0].str));
	}
#line 27876 "preproc.c" /* yacc.c:1646  */
    break;

  case 123:
#line 1778 "preproc.y" /* yacc.c:1646  */
    {
		if (connection)
			mmerror(PARSE_ERROR, ET_ERROR, "AT option not allowed in DISCONNECT statement");

		fprintf(base_yyout, "{ ECPGdisconnect(__LINE__, %s);",
				(yyvsp[0].str) ? (yyvsp[0].str) : "\"CURRENT\"");
		whenever_action(2);
		free((yyvsp[0].str));
	}
#line 27890 "preproc.c" /* yacc.c:1646  */
    break;

  case 124:
#line 1787 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_exec_immediate); }
#line 27896 "preproc.c" /* yacc.c:1646  */
    break;

  case 125:
#line 1789 "preproc.y" /* yacc.c:1646  */
    {
		const char *con = connection ? connection : "NULL";

		if (strcmp((yyvsp[0].str), "all") == 0)
			fprintf(base_yyout, "{ ECPGdeallocate_all(__LINE__, %d, %s);", compat, con);
		else if ((yyvsp[0].str)[0] == ':')
			fprintf(base_yyout, "{ ECPGdeallocate(__LINE__, %d, %s, %s);", compat, con, (yyvsp[0].str)+1);
		else
			fprintf(base_yyout, "{ ECPGdeallocate(__LINE__, %d, %s, \"%s\");", compat, con, (yyvsp[0].str));

		whenever_action(2);
		free((yyvsp[0].str));
	}
#line 27914 "preproc.c" /* yacc.c:1646  */
    break;

  case 126:
#line 1803 "preproc.y" /* yacc.c:1646  */
    {
		lookup_descriptor((yyvsp[0].descriptor).name, connection);
		output_get_descr((yyvsp[0].descriptor).name, (yyvsp[0].descriptor).str);
		free((yyvsp[0].descriptor).name);
		free((yyvsp[0].descriptor).str);
	}
#line 27925 "preproc.c" /* yacc.c:1646  */
    break;

  case 127:
#line 1810 "preproc.y" /* yacc.c:1646  */
    {
		lookup_descriptor((yyvsp[0].str), connection);
		output_get_descr_header((yyvsp[0].str));
		free((yyvsp[0].str));
	}
#line 27935 "preproc.c" /* yacc.c:1646  */
    break;

  case 128:
#line 1816 "preproc.y" /* yacc.c:1646  */
    {
		struct cursor *ptr;

		if ((ptr = add_additional_variables((yyvsp[0].str), true)) != NULL)
		{
			connection = ptr->connection ? mm_strdup(ptr->connection) : NULL;
			output_statement(mm_strdup(ptr->command), 0, ECPGst_normal);
			ptr->opened = true;
		}
	}
#line 27950 "preproc.c" /* yacc.c:1646  */
    break;

  case 129:
#line 1827 "preproc.y" /* yacc.c:1646  */
    {
		fprintf(base_yyout, "{ ECPGsetcommit(__LINE__, \"%s\", %s);", (yyvsp[0].str), connection ? connection : "NULL");
		whenever_action(2);
		free((yyvsp[0].str));
	}
#line 27960 "preproc.c" /* yacc.c:1646  */
    break;

  case 130:
#line 1833 "preproc.y" /* yacc.c:1646  */
    {
		if (connection)
			mmerror(PARSE_ERROR, ET_ERROR, "AT option not allowed in SET CONNECTION statement");

		fprintf(base_yyout, "{ ECPGsetconn(__LINE__, %s);", (yyvsp[0].str));
		whenever_action(2);
		free((yyvsp[0].str));
	}
#line 27973 "preproc.c" /* yacc.c:1646  */
    break;

  case 131:
#line 1842 "preproc.y" /* yacc.c:1646  */
    {
		lookup_descriptor((yyvsp[0].descriptor).name, connection);
		output_set_descr((yyvsp[0].descriptor).name, (yyvsp[0].descriptor).str);
		free((yyvsp[0].descriptor).name);
		free((yyvsp[0].descriptor).str);
	}
#line 27984 "preproc.c" /* yacc.c:1646  */
    break;

  case 132:
#line 1849 "preproc.y" /* yacc.c:1646  */
    {
		lookup_descriptor((yyvsp[0].str), connection);
		output_set_descr_header((yyvsp[0].str));
		free((yyvsp[0].str));
	}
#line 27994 "preproc.c" /* yacc.c:1646  */
    break;

  case 133:
#line 1855 "preproc.y" /* yacc.c:1646  */
    {
		if (connection)
			mmerror(PARSE_ERROR, ET_ERROR, "AT option not allowed in TYPE statement");

		fprintf(base_yyout, "%s", (yyvsp[0].str));
		free((yyvsp[0].str));
		output_line_number();
	}
#line 28007 "preproc.c" /* yacc.c:1646  */
    break;

  case 134:
#line 1864 "preproc.y" /* yacc.c:1646  */
    {
		if (connection)
			mmerror(PARSE_ERROR, ET_ERROR, "AT option not allowed in VAR statement");

		output_simple_statement((yyvsp[0].str));
	}
#line 28018 "preproc.c" /* yacc.c:1646  */
    break;

  case 135:
#line 1871 "preproc.y" /* yacc.c:1646  */
    {
		if (connection)
			mmerror(PARSE_ERROR, ET_ERROR, "AT option not allowed in WHENEVER statement");

		output_simple_statement((yyvsp[0].str));
	}
#line 28029 "preproc.c" /* yacc.c:1646  */
    break;

  case 136:
#line 1878 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = NULL; }
#line 28035 "preproc.c" /* yacc.c:1646  */
    break;

  case 137:
#line 1884 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("create role"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 28043 "preproc.c" /* yacc.c:1646  */
    break;

  case 138:
#line 1892 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("with");
}
#line 28051 "preproc.c" /* yacc.c:1646  */
    break;

  case 139:
#line 1896 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 28058 "preproc.c" /* yacc.c:1646  */
    break;

  case 140:
#line 1903 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 28066 "preproc.c" /* yacc.c:1646  */
    break;

  case 141:
#line 1907 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 28073 "preproc.c" /* yacc.c:1646  */
    break;

  case 142:
#line 1914 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 28081 "preproc.c" /* yacc.c:1646  */
    break;

  case 143:
#line 1918 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 28088 "preproc.c" /* yacc.c:1646  */
    break;

  case 144:
#line 1925 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("password"),(yyvsp[0].str));
}
#line 28096 "preproc.c" /* yacc.c:1646  */
    break;

  case 145:
#line 1929 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("password null");
}
#line 28104 "preproc.c" /* yacc.c:1646  */
    break;

  case 146:
#line 1933 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("encrypted password"),(yyvsp[0].str));
}
#line 28112 "preproc.c" /* yacc.c:1646  */
    break;

  case 147:
#line 1937 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("unencrypted password"),(yyvsp[0].str));
}
#line 28120 "preproc.c" /* yacc.c:1646  */
    break;

  case 148:
#line 1941 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("inherit");
}
#line 28128 "preproc.c" /* yacc.c:1646  */
    break;

  case 149:
#line 1945 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("connection limit"),(yyvsp[0].str));
}
#line 28136 "preproc.c" /* yacc.c:1646  */
    break;

  case 150:
#line 1949 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("valid until"),(yyvsp[0].str));
}
#line 28144 "preproc.c" /* yacc.c:1646  */
    break;

  case 151:
#line 1953 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("user"),(yyvsp[0].str));
}
#line 28152 "preproc.c" /* yacc.c:1646  */
    break;

  case 152:
#line 1957 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 28160 "preproc.c" /* yacc.c:1646  */
    break;

  case 153:
#line 1965 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 28168 "preproc.c" /* yacc.c:1646  */
    break;

  case 154:
#line 1969 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("sysid"),(yyvsp[0].str));
}
#line 28176 "preproc.c" /* yacc.c:1646  */
    break;

  case 155:
#line 1973 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("admin"),(yyvsp[0].str));
}
#line 28184 "preproc.c" /* yacc.c:1646  */
    break;

  case 156:
#line 1977 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("role"),(yyvsp[0].str));
}
#line 28192 "preproc.c" /* yacc.c:1646  */
    break;

  case 157:
#line 1981 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("in role"),(yyvsp[0].str));
}
#line 28200 "preproc.c" /* yacc.c:1646  */
    break;

  case 158:
#line 1985 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("in group"),(yyvsp[0].str));
}
#line 28208 "preproc.c" /* yacc.c:1646  */
    break;

  case 159:
#line 1993 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("create user"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 28216 "preproc.c" /* yacc.c:1646  */
    break;

  case 160:
#line 2001 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter role"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 28224 "preproc.c" /* yacc.c:1646  */
    break;

  case 161:
#line 2009 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 28231 "preproc.c" /* yacc.c:1646  */
    break;

  case 162:
#line 2012 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("in database"),(yyvsp[0].str));
}
#line 28239 "preproc.c" /* yacc.c:1646  */
    break;

  case 163:
#line 2020 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter role"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 28247 "preproc.c" /* yacc.c:1646  */
    break;

  case 164:
#line 2024 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("alter role all"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 28255 "preproc.c" /* yacc.c:1646  */
    break;

  case 165:
#line 2032 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter user"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 28263 "preproc.c" /* yacc.c:1646  */
    break;

  case 166:
#line 2040 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter user"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 28271 "preproc.c" /* yacc.c:1646  */
    break;

  case 167:
#line 2044 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("alter user all"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 28279 "preproc.c" /* yacc.c:1646  */
    break;

  case 168:
#line 2052 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("drop role"),(yyvsp[0].str));
}
#line 28287 "preproc.c" /* yacc.c:1646  */
    break;

  case 169:
#line 2056 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("drop role if exists"),(yyvsp[0].str));
}
#line 28295 "preproc.c" /* yacc.c:1646  */
    break;

  case 170:
#line 2064 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("drop user"),(yyvsp[0].str));
}
#line 28303 "preproc.c" /* yacc.c:1646  */
    break;

  case 171:
#line 2068 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("drop user if exists"),(yyvsp[0].str));
}
#line 28311 "preproc.c" /* yacc.c:1646  */
    break;

  case 172:
#line 2076 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("create group"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 28319 "preproc.c" /* yacc.c:1646  */
    break;

  case 173:
#line 2084 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter group"),(yyvsp[-3].str),(yyvsp[-2].str),mm_strdup("user"),(yyvsp[0].str));
}
#line 28327 "preproc.c" /* yacc.c:1646  */
    break;

  case 174:
#line 2092 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("add");
}
#line 28335 "preproc.c" /* yacc.c:1646  */
    break;

  case 175:
#line 2096 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("drop");
}
#line 28343 "preproc.c" /* yacc.c:1646  */
    break;

  case 176:
#line 2104 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("drop group"),(yyvsp[0].str));
}
#line 28351 "preproc.c" /* yacc.c:1646  */
    break;

  case 177:
#line 2108 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("drop group if exists"),(yyvsp[0].str));
}
#line 28359 "preproc.c" /* yacc.c:1646  */
    break;

  case 178:
#line 2116 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("create schema"),(yyvsp[-3].str),mm_strdup("authorization"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 28367 "preproc.c" /* yacc.c:1646  */
    break;

  case 179:
#line 2120 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("create schema"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 28375 "preproc.c" /* yacc.c:1646  */
    break;

  case 180:
#line 2124 "preproc.y" /* yacc.c:1646  */
    { 
mmerror(PARSE_ERROR, ET_WARNING, "unsupported feature will be passed to server");
 (yyval.str) = cat_str(5,mm_strdup("create schema if not exists"),(yyvsp[-3].str),mm_strdup("authorization"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 28384 "preproc.c" /* yacc.c:1646  */
    break;

  case 181:
#line 2129 "preproc.y" /* yacc.c:1646  */
    { 
mmerror(PARSE_ERROR, ET_WARNING, "unsupported feature will be passed to server");
 (yyval.str) = cat_str(3,mm_strdup("create schema if not exists"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 28393 "preproc.c" /* yacc.c:1646  */
    break;

  case 182:
#line 2138 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 28401 "preproc.c" /* yacc.c:1646  */
    break;

  case 183:
#line 2142 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 28408 "preproc.c" /* yacc.c:1646  */
    break;

  case 184:
#line 2149 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 28416 "preproc.c" /* yacc.c:1646  */
    break;

  case 185:
#line 2153 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 28423 "preproc.c" /* yacc.c:1646  */
    break;

  case 186:
#line 2160 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 28431 "preproc.c" /* yacc.c:1646  */
    break;

  case 187:
#line 2164 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 28439 "preproc.c" /* yacc.c:1646  */
    break;

  case 188:
#line 2168 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 28447 "preproc.c" /* yacc.c:1646  */
    break;

  case 189:
#line 2172 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 28455 "preproc.c" /* yacc.c:1646  */
    break;

  case 190:
#line 2176 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 28463 "preproc.c" /* yacc.c:1646  */
    break;

  case 191:
#line 2180 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 28471 "preproc.c" /* yacc.c:1646  */
    break;

  case 192:
#line 2188 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("set"),(yyvsp[0].str));
}
#line 28479 "preproc.c" /* yacc.c:1646  */
    break;

  case 193:
#line 2192 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("set local"),(yyvsp[0].str));
}
#line 28487 "preproc.c" /* yacc.c:1646  */
    break;

  case 194:
#line 2196 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("set session"),(yyvsp[0].str));
}
#line 28495 "preproc.c" /* yacc.c:1646  */
    break;

  case 195:
#line 2204 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("transaction"),(yyvsp[0].str));
}
#line 28503 "preproc.c" /* yacc.c:1646  */
    break;

  case 196:
#line 2208 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("session characteristics as transaction"),(yyvsp[0].str));
}
#line 28511 "preproc.c" /* yacc.c:1646  */
    break;

  case 197:
#line 2212 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 28519 "preproc.c" /* yacc.c:1646  */
    break;

  case 198:
#line 2220 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("to"),(yyvsp[0].str));
}
#line 28527 "preproc.c" /* yacc.c:1646  */
    break;

  case 199:
#line 2224 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("="),(yyvsp[0].str));
}
#line 28535 "preproc.c" /* yacc.c:1646  */
    break;

  case 200:
#line 2228 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-2].str),mm_strdup("to default"));
}
#line 28543 "preproc.c" /* yacc.c:1646  */
    break;

  case 201:
#line 2232 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-2].str),mm_strdup("= default"));
}
#line 28551 "preproc.c" /* yacc.c:1646  */
    break;

  case 202:
#line 2236 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-2].str),mm_strdup("from current"));
}
#line 28559 "preproc.c" /* yacc.c:1646  */
    break;

  case 203:
#line 2240 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("time zone"),(yyvsp[0].str));
}
#line 28567 "preproc.c" /* yacc.c:1646  */
    break;

  case 204:
#line 2244 "preproc.y" /* yacc.c:1646  */
    { 
mmerror(PARSE_ERROR, ET_WARNING, "unsupported feature will be passed to server");
 (yyval.str) = cat_str(2,mm_strdup("catalog"),(yyvsp[0].str));
}
#line 28576 "preproc.c" /* yacc.c:1646  */
    break;

  case 205:
#line 2249 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("schema"),(yyvsp[0].str));
}
#line 28584 "preproc.c" /* yacc.c:1646  */
    break;

  case 206:
#line 2253 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("names"),(yyvsp[0].str));
}
#line 28592 "preproc.c" /* yacc.c:1646  */
    break;

  case 207:
#line 2257 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("role"),(yyvsp[0].str));
}
#line 28600 "preproc.c" /* yacc.c:1646  */
    break;

  case 208:
#line 2261 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("session authorization"),(yyvsp[0].str));
}
#line 28608 "preproc.c" /* yacc.c:1646  */
    break;

  case 209:
#line 2265 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("session authorization default");
}
#line 28616 "preproc.c" /* yacc.c:1646  */
    break;

  case 210:
#line 2269 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("xml option"),(yyvsp[0].str));
}
#line 28624 "preproc.c" /* yacc.c:1646  */
    break;

  case 211:
#line 2273 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("transaction snapshot"),(yyvsp[0].str));
}
#line 28632 "preproc.c" /* yacc.c:1646  */
    break;

  case 212:
#line 2281 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 28640 "preproc.c" /* yacc.c:1646  */
    break;

  case 213:
#line 2285 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("."),(yyvsp[0].str));
}
#line 28648 "preproc.c" /* yacc.c:1646  */
    break;

  case 214:
#line 2293 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 28656 "preproc.c" /* yacc.c:1646  */
    break;

  case 215:
#line 2297 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 28664 "preproc.c" /* yacc.c:1646  */
    break;

  case 216:
#line 2305 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 28672 "preproc.c" /* yacc.c:1646  */
    break;

  case 217:
#line 2309 "preproc.y" /* yacc.c:1646  */
    { 
		if ((yyvsp[0].str)[0] == '$')
		{
			free((yyvsp[0].str));
			(yyvsp[0].str) = mm_strdup("$0");
		}

 (yyval.str) = (yyvsp[0].str);
}
#line 28686 "preproc.c" /* yacc.c:1646  */
    break;

  case 218:
#line 2323 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("read uncommitted");
}
#line 28694 "preproc.c" /* yacc.c:1646  */
    break;

  case 219:
#line 2327 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("read committed");
}
#line 28702 "preproc.c" /* yacc.c:1646  */
    break;

  case 220:
#line 2331 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("repeatable read");
}
#line 28710 "preproc.c" /* yacc.c:1646  */
    break;

  case 221:
#line 2335 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("serializable");
}
#line 28718 "preproc.c" /* yacc.c:1646  */
    break;

  case 222:
#line 2343 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("true");
}
#line 28726 "preproc.c" /* yacc.c:1646  */
    break;

  case 223:
#line 2347 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("false");
}
#line 28734 "preproc.c" /* yacc.c:1646  */
    break;

  case 224:
#line 2351 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("on");
}
#line 28742 "preproc.c" /* yacc.c:1646  */
    break;

  case 225:
#line 2355 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 28750 "preproc.c" /* yacc.c:1646  */
    break;

  case 226:
#line 2363 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 28758 "preproc.c" /* yacc.c:1646  */
    break;

  case 227:
#line 2367 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 28766 "preproc.c" /* yacc.c:1646  */
    break;

  case 228:
#line 2371 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 28774 "preproc.c" /* yacc.c:1646  */
    break;

  case 229:
#line 2375 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,(yyvsp[-5].str),mm_strdup("("),(yyvsp[-3].str),mm_strdup(")"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 28782 "preproc.c" /* yacc.c:1646  */
    break;

  case 230:
#line 2379 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 28790 "preproc.c" /* yacc.c:1646  */
    break;

  case 231:
#line 2383 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("default");
}
#line 28798 "preproc.c" /* yacc.c:1646  */
    break;

  case 232:
#line 2387 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("local");
}
#line 28806 "preproc.c" /* yacc.c:1646  */
    break;

  case 233:
#line 2395 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 28814 "preproc.c" /* yacc.c:1646  */
    break;

  case 234:
#line 2399 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("default");
}
#line 28822 "preproc.c" /* yacc.c:1646  */
    break;

  case 235:
#line 2403 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 28829 "preproc.c" /* yacc.c:1646  */
    break;

  case 236:
#line 2410 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 28837 "preproc.c" /* yacc.c:1646  */
    break;

  case 237:
#line 2414 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 28845 "preproc.c" /* yacc.c:1646  */
    break;

  case 238:
#line 2422 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("reset"),(yyvsp[0].str));
}
#line 28853 "preproc.c" /* yacc.c:1646  */
    break;

  case 239:
#line 2426 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("reset time zone");
}
#line 28861 "preproc.c" /* yacc.c:1646  */
    break;

  case 240:
#line 2430 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("reset transaction isolation level");
}
#line 28869 "preproc.c" /* yacc.c:1646  */
    break;

  case 241:
#line 2434 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("reset session authorization");
}
#line 28877 "preproc.c" /* yacc.c:1646  */
    break;

  case 242:
#line 2438 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("reset all");
}
#line 28885 "preproc.c" /* yacc.c:1646  */
    break;

  case 243:
#line 2446 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("set"),(yyvsp[0].str));
}
#line 28893 "preproc.c" /* yacc.c:1646  */
    break;

  case 244:
#line 2450 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 28901 "preproc.c" /* yacc.c:1646  */
    break;

  case 245:
#line 2458 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("set"),(yyvsp[0].str));
}
#line 28909 "preproc.c" /* yacc.c:1646  */
    break;

  case 246:
#line 2462 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 28917 "preproc.c" /* yacc.c:1646  */
    break;

  case 247:
#line 2470 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("show"),(yyvsp[-1].str));
}
#line 28925 "preproc.c" /* yacc.c:1646  */
    break;

  case 248:
#line 2474 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("show time zone");
}
#line 28933 "preproc.c" /* yacc.c:1646  */
    break;

  case 249:
#line 2478 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("show transaction isolation level");
}
#line 28941 "preproc.c" /* yacc.c:1646  */
    break;

  case 250:
#line 2482 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("show session authorization");
}
#line 28949 "preproc.c" /* yacc.c:1646  */
    break;

  case 251:
#line 2486 "preproc.y" /* yacc.c:1646  */
    {
		mmerror(PARSE_ERROR, ET_ERROR, "SHOW ALL is not implemented");
		(yyval.str) = EMPTY;
	}
#line 28958 "preproc.c" /* yacc.c:1646  */
    break;

  case 252:
#line 2495 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("set constraints"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 28966 "preproc.c" /* yacc.c:1646  */
    break;

  case 253:
#line 2503 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("all");
}
#line 28974 "preproc.c" /* yacc.c:1646  */
    break;

  case 254:
#line 2507 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 28982 "preproc.c" /* yacc.c:1646  */
    break;

  case 255:
#line 2515 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("deferred");
}
#line 28990 "preproc.c" /* yacc.c:1646  */
    break;

  case 256:
#line 2519 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("immediate");
}
#line 28998 "preproc.c" /* yacc.c:1646  */
    break;

  case 257:
#line 2527 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("checkpoint");
}
#line 29006 "preproc.c" /* yacc.c:1646  */
    break;

  case 258:
#line 2535 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("discard all");
}
#line 29014 "preproc.c" /* yacc.c:1646  */
    break;

  case 259:
#line 2539 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("discard temp");
}
#line 29022 "preproc.c" /* yacc.c:1646  */
    break;

  case 260:
#line 2543 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("discard temporary");
}
#line 29030 "preproc.c" /* yacc.c:1646  */
    break;

  case 261:
#line 2547 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("discard plans");
}
#line 29038 "preproc.c" /* yacc.c:1646  */
    break;

  case 262:
#line 2555 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("alter table"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 29046 "preproc.c" /* yacc.c:1646  */
    break;

  case 263:
#line 2559 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("alter table if exists"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 29054 "preproc.c" /* yacc.c:1646  */
    break;

  case 264:
#line 2563 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("alter index"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 29062 "preproc.c" /* yacc.c:1646  */
    break;

  case 265:
#line 2567 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("alter index if exists"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 29070 "preproc.c" /* yacc.c:1646  */
    break;

  case 266:
#line 2571 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("alter sequence"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 29078 "preproc.c" /* yacc.c:1646  */
    break;

  case 267:
#line 2575 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("alter sequence if exists"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 29086 "preproc.c" /* yacc.c:1646  */
    break;

  case 268:
#line 2579 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("alter view"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 29094 "preproc.c" /* yacc.c:1646  */
    break;

  case 269:
#line 2583 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("alter view if exists"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 29102 "preproc.c" /* yacc.c:1646  */
    break;

  case 270:
#line 2587 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("alter materialized view"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 29110 "preproc.c" /* yacc.c:1646  */
    break;

  case 271:
#line 2591 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("alter materialized view if exists"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 29118 "preproc.c" /* yacc.c:1646  */
    break;

  case 272:
#line 2599 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 29126 "preproc.c" /* yacc.c:1646  */
    break;

  case 273:
#line 2603 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 29134 "preproc.c" /* yacc.c:1646  */
    break;

  case 274:
#line 2611 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("add"),(yyvsp[0].str));
}
#line 29142 "preproc.c" /* yacc.c:1646  */
    break;

  case 275:
#line 2615 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("add column"),(yyvsp[0].str));
}
#line 29150 "preproc.c" /* yacc.c:1646  */
    break;

  case 276:
#line 2619 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 29158 "preproc.c" /* yacc.c:1646  */
    break;

  case 277:
#line 2623 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter"),(yyvsp[-4].str),(yyvsp[-3].str),mm_strdup("drop not null"));
}
#line 29166 "preproc.c" /* yacc.c:1646  */
    break;

  case 278:
#line 2627 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter"),(yyvsp[-4].str),(yyvsp[-3].str),mm_strdup("set not null"));
}
#line 29174 "preproc.c" /* yacc.c:1646  */
    break;

  case 279:
#line 2631 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter"),(yyvsp[-4].str),(yyvsp[-3].str),mm_strdup("set statistics"),(yyvsp[0].str));
}
#line 29182 "preproc.c" /* yacc.c:1646  */
    break;

  case 280:
#line 2635 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter"),(yyvsp[-3].str),(yyvsp[-2].str),mm_strdup("set"),(yyvsp[0].str));
}
#line 29190 "preproc.c" /* yacc.c:1646  */
    break;

  case 281:
#line 2639 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter"),(yyvsp[-3].str),(yyvsp[-2].str),mm_strdup("reset"),(yyvsp[0].str));
}
#line 29198 "preproc.c" /* yacc.c:1646  */
    break;

  case 282:
#line 2643 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter"),(yyvsp[-4].str),(yyvsp[-3].str),mm_strdup("set storage"),(yyvsp[0].str));
}
#line 29206 "preproc.c" /* yacc.c:1646  */
    break;

  case 283:
#line 2647 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("drop"),(yyvsp[-4].str),mm_strdup("if exists"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 29214 "preproc.c" /* yacc.c:1646  */
    break;

  case 284:
#line 2651 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("drop"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 29222 "preproc.c" /* yacc.c:1646  */
    break;

  case 285:
#line 2655 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(8,mm_strdup("alter"),(yyvsp[-6].str),(yyvsp[-5].str),(yyvsp[-4].str),mm_strdup("type"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 29230 "preproc.c" /* yacc.c:1646  */
    break;

  case 286:
#line 2659 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 29238 "preproc.c" /* yacc.c:1646  */
    break;

  case 287:
#line 2663 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("add"),(yyvsp[0].str));
}
#line 29246 "preproc.c" /* yacc.c:1646  */
    break;

  case 288:
#line 2667 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("validate constraint"),(yyvsp[0].str));
}
#line 29254 "preproc.c" /* yacc.c:1646  */
    break;

  case 289:
#line 2671 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("drop constraint if exists"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 29262 "preproc.c" /* yacc.c:1646  */
    break;

  case 290:
#line 2675 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("drop constraint"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 29270 "preproc.c" /* yacc.c:1646  */
    break;

  case 291:
#line 2679 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("set with oids");
}
#line 29278 "preproc.c" /* yacc.c:1646  */
    break;

  case 292:
#line 2683 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("set without oids");
}
#line 29286 "preproc.c" /* yacc.c:1646  */
    break;

  case 293:
#line 2687 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("cluster on"),(yyvsp[0].str));
}
#line 29294 "preproc.c" /* yacc.c:1646  */
    break;

  case 294:
#line 2691 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("set without cluster");
}
#line 29302 "preproc.c" /* yacc.c:1646  */
    break;

  case 295:
#line 2695 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("enable trigger"),(yyvsp[0].str));
}
#line 29310 "preproc.c" /* yacc.c:1646  */
    break;

  case 296:
#line 2699 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("enable always trigger"),(yyvsp[0].str));
}
#line 29318 "preproc.c" /* yacc.c:1646  */
    break;

  case 297:
#line 2703 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("enable replica trigger"),(yyvsp[0].str));
}
#line 29326 "preproc.c" /* yacc.c:1646  */
    break;

  case 298:
#line 2707 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("enable trigger all");
}
#line 29334 "preproc.c" /* yacc.c:1646  */
    break;

  case 299:
#line 2711 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("enable trigger user");
}
#line 29342 "preproc.c" /* yacc.c:1646  */
    break;

  case 300:
#line 2715 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("disable trigger"),(yyvsp[0].str));
}
#line 29350 "preproc.c" /* yacc.c:1646  */
    break;

  case 301:
#line 2719 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("disable trigger all");
}
#line 29358 "preproc.c" /* yacc.c:1646  */
    break;

  case 302:
#line 2723 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("disable trigger user");
}
#line 29366 "preproc.c" /* yacc.c:1646  */
    break;

  case 303:
#line 2727 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("enable rule"),(yyvsp[0].str));
}
#line 29374 "preproc.c" /* yacc.c:1646  */
    break;

  case 304:
#line 2731 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("enable always rule"),(yyvsp[0].str));
}
#line 29382 "preproc.c" /* yacc.c:1646  */
    break;

  case 305:
#line 2735 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("enable replica rule"),(yyvsp[0].str));
}
#line 29390 "preproc.c" /* yacc.c:1646  */
    break;

  case 306:
#line 2739 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("disable rule"),(yyvsp[0].str));
}
#line 29398 "preproc.c" /* yacc.c:1646  */
    break;

  case 307:
#line 2743 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("inherit"),(yyvsp[0].str));
}
#line 29406 "preproc.c" /* yacc.c:1646  */
    break;

  case 308:
#line 2747 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("no inherit"),(yyvsp[0].str));
}
#line 29414 "preproc.c" /* yacc.c:1646  */
    break;

  case 309:
#line 2751 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("of"),(yyvsp[0].str));
}
#line 29422 "preproc.c" /* yacc.c:1646  */
    break;

  case 310:
#line 2755 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("not of");
}
#line 29430 "preproc.c" /* yacc.c:1646  */
    break;

  case 311:
#line 2759 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("owner to"),(yyvsp[0].str));
}
#line 29438 "preproc.c" /* yacc.c:1646  */
    break;

  case 312:
#line 2763 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("set tablespace"),(yyvsp[0].str));
}
#line 29446 "preproc.c" /* yacc.c:1646  */
    break;

  case 313:
#line 2767 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("set"),(yyvsp[0].str));
}
#line 29454 "preproc.c" /* yacc.c:1646  */
    break;

  case 314:
#line 2771 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("reset"),(yyvsp[0].str));
}
#line 29462 "preproc.c" /* yacc.c:1646  */
    break;

  case 315:
#line 2775 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 29470 "preproc.c" /* yacc.c:1646  */
    break;

  case 316:
#line 2783 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("set default"),(yyvsp[0].str));
}
#line 29478 "preproc.c" /* yacc.c:1646  */
    break;

  case 317:
#line 2787 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("drop default");
}
#line 29486 "preproc.c" /* yacc.c:1646  */
    break;

  case 318:
#line 2795 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("cascade");
}
#line 29494 "preproc.c" /* yacc.c:1646  */
    break;

  case 319:
#line 2799 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("restrict");
}
#line 29502 "preproc.c" /* yacc.c:1646  */
    break;

  case 320:
#line 2803 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 29509 "preproc.c" /* yacc.c:1646  */
    break;

  case 321:
#line 2810 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("collate"),(yyvsp[0].str));
}
#line 29517 "preproc.c" /* yacc.c:1646  */
    break;

  case 322:
#line 2814 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 29524 "preproc.c" /* yacc.c:1646  */
    break;

  case 323:
#line 2821 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("using"),(yyvsp[0].str));
}
#line 29532 "preproc.c" /* yacc.c:1646  */
    break;

  case 324:
#line 2825 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 29539 "preproc.c" /* yacc.c:1646  */
    break;

  case 325:
#line 2832 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 29547 "preproc.c" /* yacc.c:1646  */
    break;

  case 326:
#line 2840 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("with"),(yyvsp[0].str));
}
#line 29555 "preproc.c" /* yacc.c:1646  */
    break;

  case 327:
#line 2844 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 29562 "preproc.c" /* yacc.c:1646  */
    break;

  case 328:
#line 2851 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 29570 "preproc.c" /* yacc.c:1646  */
    break;

  case 329:
#line 2855 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 29578 "preproc.c" /* yacc.c:1646  */
    break;

  case 330:
#line 2863 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("="),(yyvsp[0].str));
}
#line 29586 "preproc.c" /* yacc.c:1646  */
    break;

  case 331:
#line 2867 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 29594 "preproc.c" /* yacc.c:1646  */
    break;

  case 332:
#line 2871 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,(yyvsp[-4].str),mm_strdup("."),(yyvsp[-2].str),mm_strdup("="),(yyvsp[0].str));
}
#line 29602 "preproc.c" /* yacc.c:1646  */
    break;

  case 333:
#line 2875 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("."),(yyvsp[0].str));
}
#line 29610 "preproc.c" /* yacc.c:1646  */
    break;

  case 334:
#line 2883 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("alter type"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 29618 "preproc.c" /* yacc.c:1646  */
    break;

  case 335:
#line 2891 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 29626 "preproc.c" /* yacc.c:1646  */
    break;

  case 336:
#line 2895 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 29634 "preproc.c" /* yacc.c:1646  */
    break;

  case 337:
#line 2903 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("add attribute"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 29642 "preproc.c" /* yacc.c:1646  */
    break;

  case 338:
#line 2907 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("drop attribute if exists"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 29650 "preproc.c" /* yacc.c:1646  */
    break;

  case 339:
#line 2911 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("drop attribute"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 29658 "preproc.c" /* yacc.c:1646  */
    break;

  case 340:
#line 2915 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(7,mm_strdup("alter attribute"),(yyvsp[-5].str),(yyvsp[-4].str),mm_strdup("type"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 29666 "preproc.c" /* yacc.c:1646  */
    break;

  case 341:
#line 2923 "preproc.y" /* yacc.c:1646  */
    {
		char *cursor_marker = (yyvsp[0].str)[0] == ':' ? mm_strdup("$0") : (yyvsp[0].str);
		(yyval.str) = cat2_str(mm_strdup("close"), cursor_marker);
	}
#line 29675 "preproc.c" /* yacc.c:1646  */
    break;

  case 342:
#line 2928 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("close all");
}
#line 29683 "preproc.c" /* yacc.c:1646  */
    break;

  case 343:
#line 2936 "preproc.y" /* yacc.c:1646  */
    { 
			if (strcmp((yyvsp[-5].str), "from") == 0 &&
			   (strcmp((yyvsp[-4].str), "stdin") == 0 || strcmp((yyvsp[-4].str), "stdout") == 0))
				mmerror(PARSE_ERROR, ET_WARNING, "COPY FROM STDIN is not implemented");

 (yyval.str) = cat_str(11,mm_strdup("copy"),(yyvsp[-9].str),(yyvsp[-8].str),(yyvsp[-7].str),(yyvsp[-6].str),(yyvsp[-5].str),(yyvsp[-4].str),(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 29695 "preproc.c" /* yacc.c:1646  */
    break;

  case 344:
#line 2944 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(7,mm_strdup("copy"),(yyvsp[-5].str),mm_strdup("to"),(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 29703 "preproc.c" /* yacc.c:1646  */
    break;

  case 345:
#line 2952 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("from");
}
#line 29711 "preproc.c" /* yacc.c:1646  */
    break;

  case 346:
#line 2956 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("to");
}
#line 29719 "preproc.c" /* yacc.c:1646  */
    break;

  case 347:
#line 2964 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("program");
}
#line 29727 "preproc.c" /* yacc.c:1646  */
    break;

  case 348:
#line 2968 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 29734 "preproc.c" /* yacc.c:1646  */
    break;

  case 349:
#line 2975 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 29742 "preproc.c" /* yacc.c:1646  */
    break;

  case 350:
#line 2979 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("stdin");
}
#line 29750 "preproc.c" /* yacc.c:1646  */
    break;

  case 351:
#line 2983 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("stdout");
}
#line 29758 "preproc.c" /* yacc.c:1646  */
    break;

  case 352:
#line 2991 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 29766 "preproc.c" /* yacc.c:1646  */
    break;

  case 353:
#line 2995 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 29774 "preproc.c" /* yacc.c:1646  */
    break;

  case 354:
#line 3003 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 29782 "preproc.c" /* yacc.c:1646  */
    break;

  case 355:
#line 3007 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 29789 "preproc.c" /* yacc.c:1646  */
    break;

  case 356:
#line 3014 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("binary");
}
#line 29797 "preproc.c" /* yacc.c:1646  */
    break;

  case 357:
#line 3018 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("oids");
}
#line 29805 "preproc.c" /* yacc.c:1646  */
    break;

  case 358:
#line 3022 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("freeze");
}
#line 29813 "preproc.c" /* yacc.c:1646  */
    break;

  case 359:
#line 3026 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("delimiter"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 29821 "preproc.c" /* yacc.c:1646  */
    break;

  case 360:
#line 3030 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("null"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 29829 "preproc.c" /* yacc.c:1646  */
    break;

  case 361:
#line 3034 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("csv");
}
#line 29837 "preproc.c" /* yacc.c:1646  */
    break;

  case 362:
#line 3038 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("header");
}
#line 29845 "preproc.c" /* yacc.c:1646  */
    break;

  case 363:
#line 3042 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("quote"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 29853 "preproc.c" /* yacc.c:1646  */
    break;

  case 364:
#line 3046 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("escape"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 29861 "preproc.c" /* yacc.c:1646  */
    break;

  case 365:
#line 3050 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("force quote"),(yyvsp[0].str));
}
#line 29869 "preproc.c" /* yacc.c:1646  */
    break;

  case 366:
#line 3054 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("force quote *");
}
#line 29877 "preproc.c" /* yacc.c:1646  */
    break;

  case 367:
#line 3058 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("force not null"),(yyvsp[0].str));
}
#line 29885 "preproc.c" /* yacc.c:1646  */
    break;

  case 368:
#line 3062 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("encoding"),(yyvsp[0].str));
}
#line 29893 "preproc.c" /* yacc.c:1646  */
    break;

  case 369:
#line 3070 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("binary");
}
#line 29901 "preproc.c" /* yacc.c:1646  */
    break;

  case 370:
#line 3074 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 29908 "preproc.c" /* yacc.c:1646  */
    break;

  case 371:
#line 3081 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("with oids");
}
#line 29916 "preproc.c" /* yacc.c:1646  */
    break;

  case 372:
#line 3085 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 29923 "preproc.c" /* yacc.c:1646  */
    break;

  case 373:
#line 3092 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("delimiters"),(yyvsp[0].str));
}
#line 29931 "preproc.c" /* yacc.c:1646  */
    break;

  case 374:
#line 3096 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 29938 "preproc.c" /* yacc.c:1646  */
    break;

  case 375:
#line 3103 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("using");
}
#line 29946 "preproc.c" /* yacc.c:1646  */
    break;

  case 376:
#line 3107 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 29953 "preproc.c" /* yacc.c:1646  */
    break;

  case 377:
#line 3114 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 29961 "preproc.c" /* yacc.c:1646  */
    break;

  case 378:
#line 3118 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 29969 "preproc.c" /* yacc.c:1646  */
    break;

  case 379:
#line 3126 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 29977 "preproc.c" /* yacc.c:1646  */
    break;

  case 380:
#line 3134 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 29985 "preproc.c" /* yacc.c:1646  */
    break;

  case 381:
#line 3138 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 29993 "preproc.c" /* yacc.c:1646  */
    break;

  case 382:
#line 3142 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("*");
}
#line 30001 "preproc.c" /* yacc.c:1646  */
    break;

  case 383:
#line 3146 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 30009 "preproc.c" /* yacc.c:1646  */
    break;

  case 384:
#line 3150 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 30016 "preproc.c" /* yacc.c:1646  */
    break;

  case 385:
#line 3157 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 30024 "preproc.c" /* yacc.c:1646  */
    break;

  case 386:
#line 3161 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 30032 "preproc.c" /* yacc.c:1646  */
    break;

  case 387:
#line 3169 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 30040 "preproc.c" /* yacc.c:1646  */
    break;

  case 388:
#line 3177 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(11,mm_strdup("create"),(yyvsp[-9].str),mm_strdup("table"),(yyvsp[-7].str),mm_strdup("("),(yyvsp[-5].str),mm_strdup(")"),(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 30048 "preproc.c" /* yacc.c:1646  */
    break;

  case 389:
#line 3181 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(11,mm_strdup("create"),(yyvsp[-12].str),mm_strdup("table if not exists"),(yyvsp[-7].str),mm_strdup("("),(yyvsp[-5].str),mm_strdup(")"),(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 30056 "preproc.c" /* yacc.c:1646  */
    break;

  case 390:
#line 3185 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(10,mm_strdup("create"),(yyvsp[-8].str),mm_strdup("table"),(yyvsp[-6].str),mm_strdup("of"),(yyvsp[-4].str),(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 30064 "preproc.c" /* yacc.c:1646  */
    break;

  case 391:
#line 3189 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(10,mm_strdup("create"),(yyvsp[-11].str),mm_strdup("table if not exists"),(yyvsp[-6].str),mm_strdup("of"),(yyvsp[-4].str),(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 30072 "preproc.c" /* yacc.c:1646  */
    break;

  case 392:
#line 3197 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("temporary");
}
#line 30080 "preproc.c" /* yacc.c:1646  */
    break;

  case 393:
#line 3201 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("temp");
}
#line 30088 "preproc.c" /* yacc.c:1646  */
    break;

  case 394:
#line 3205 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("local temporary");
}
#line 30096 "preproc.c" /* yacc.c:1646  */
    break;

  case 395:
#line 3209 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("local temp");
}
#line 30104 "preproc.c" /* yacc.c:1646  */
    break;

  case 396:
#line 3213 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("global temporary");
}
#line 30112 "preproc.c" /* yacc.c:1646  */
    break;

  case 397:
#line 3217 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("global temp");
}
#line 30120 "preproc.c" /* yacc.c:1646  */
    break;

  case 398:
#line 3221 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("unlogged");
}
#line 30128 "preproc.c" /* yacc.c:1646  */
    break;

  case 399:
#line 3225 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 30135 "preproc.c" /* yacc.c:1646  */
    break;

  case 400:
#line 3232 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 30143 "preproc.c" /* yacc.c:1646  */
    break;

  case 401:
#line 3236 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 30150 "preproc.c" /* yacc.c:1646  */
    break;

  case 402:
#line 3243 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 30158 "preproc.c" /* yacc.c:1646  */
    break;

  case 403:
#line 3247 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 30165 "preproc.c" /* yacc.c:1646  */
    break;

  case 404:
#line 3254 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 30173 "preproc.c" /* yacc.c:1646  */
    break;

  case 405:
#line 3258 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 30181 "preproc.c" /* yacc.c:1646  */
    break;

  case 406:
#line 3266 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 30189 "preproc.c" /* yacc.c:1646  */
    break;

  case 407:
#line 3270 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 30197 "preproc.c" /* yacc.c:1646  */
    break;

  case 408:
#line 3278 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 30205 "preproc.c" /* yacc.c:1646  */
    break;

  case 409:
#line 3282 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 30213 "preproc.c" /* yacc.c:1646  */
    break;

  case 410:
#line 3286 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 30221 "preproc.c" /* yacc.c:1646  */
    break;

  case 411:
#line 3294 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 30229 "preproc.c" /* yacc.c:1646  */
    break;

  case 412:
#line 3298 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 30237 "preproc.c" /* yacc.c:1646  */
    break;

  case 413:
#line 3306 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 30245 "preproc.c" /* yacc.c:1646  */
    break;

  case 414:
#line 3314 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-3].str),mm_strdup("with options"),(yyvsp[0].str));
}
#line 30253 "preproc.c" /* yacc.c:1646  */
    break;

  case 415:
#line 3322 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 30261 "preproc.c" /* yacc.c:1646  */
    break;

  case 416:
#line 3326 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 30268 "preproc.c" /* yacc.c:1646  */
    break;

  case 417:
#line 3333 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("constraint"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 30276 "preproc.c" /* yacc.c:1646  */
    break;

  case 418:
#line 3337 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 30284 "preproc.c" /* yacc.c:1646  */
    break;

  case 419:
#line 3341 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 30292 "preproc.c" /* yacc.c:1646  */
    break;

  case 420:
#line 3345 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("collate"),(yyvsp[0].str));
}
#line 30300 "preproc.c" /* yacc.c:1646  */
    break;

  case 421:
#line 3353 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("not null");
}
#line 30308 "preproc.c" /* yacc.c:1646  */
    break;

  case 422:
#line 3357 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("null");
}
#line 30316 "preproc.c" /* yacc.c:1646  */
    break;

  case 423:
#line 3361 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("unique"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 30324 "preproc.c" /* yacc.c:1646  */
    break;

  case 424:
#line 3365 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("primary key"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 30332 "preproc.c" /* yacc.c:1646  */
    break;

  case 425:
#line 3369 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("check ("),(yyvsp[-2].str),mm_strdup(")"),(yyvsp[0].str));
}
#line 30340 "preproc.c" /* yacc.c:1646  */
    break;

  case 426:
#line 3373 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("default"),(yyvsp[0].str));
}
#line 30348 "preproc.c" /* yacc.c:1646  */
    break;

  case 427:
#line 3377 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("references"),(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 30356 "preproc.c" /* yacc.c:1646  */
    break;

  case 428:
#line 3385 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("deferrable");
}
#line 30364 "preproc.c" /* yacc.c:1646  */
    break;

  case 429:
#line 3389 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("not deferrable");
}
#line 30372 "preproc.c" /* yacc.c:1646  */
    break;

  case 430:
#line 3393 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("initially deferred");
}
#line 30380 "preproc.c" /* yacc.c:1646  */
    break;

  case 431:
#line 3397 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("initially immediate");
}
#line 30388 "preproc.c" /* yacc.c:1646  */
    break;

  case 432:
#line 3405 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("like"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 30396 "preproc.c" /* yacc.c:1646  */
    break;

  case 433:
#line 3413 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("including"),(yyvsp[0].str));
}
#line 30404 "preproc.c" /* yacc.c:1646  */
    break;

  case 434:
#line 3417 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("excluding"),(yyvsp[0].str));
}
#line 30412 "preproc.c" /* yacc.c:1646  */
    break;

  case 435:
#line 3421 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 30419 "preproc.c" /* yacc.c:1646  */
    break;

  case 436:
#line 3428 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("defaults");
}
#line 30427 "preproc.c" /* yacc.c:1646  */
    break;

  case 437:
#line 3432 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("constraints");
}
#line 30435 "preproc.c" /* yacc.c:1646  */
    break;

  case 438:
#line 3436 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("indexes");
}
#line 30443 "preproc.c" /* yacc.c:1646  */
    break;

  case 439:
#line 3440 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("storage");
}
#line 30451 "preproc.c" /* yacc.c:1646  */
    break;

  case 440:
#line 3444 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("comments");
}
#line 30459 "preproc.c" /* yacc.c:1646  */
    break;

  case 441:
#line 3448 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("all");
}
#line 30467 "preproc.c" /* yacc.c:1646  */
    break;

  case 442:
#line 3456 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("constraint"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 30475 "preproc.c" /* yacc.c:1646  */
    break;

  case 443:
#line 3460 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 30483 "preproc.c" /* yacc.c:1646  */
    break;

  case 444:
#line 3468 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("check ("),(yyvsp[-2].str),mm_strdup(")"),(yyvsp[0].str));
}
#line 30491 "preproc.c" /* yacc.c:1646  */
    break;

  case 445:
#line 3472 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("unique ("),(yyvsp[-4].str),mm_strdup(")"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 30499 "preproc.c" /* yacc.c:1646  */
    break;

  case 446:
#line 3476 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("unique"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 30507 "preproc.c" /* yacc.c:1646  */
    break;

  case 447:
#line 3480 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("primary key ("),(yyvsp[-4].str),mm_strdup(")"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 30515 "preproc.c" /* yacc.c:1646  */
    break;

  case 448:
#line 3484 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("primary key"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 30523 "preproc.c" /* yacc.c:1646  */
    break;

  case 449:
#line 3488 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(9,mm_strdup("exclude"),(yyvsp[-7].str),mm_strdup("("),(yyvsp[-5].str),mm_strdup(")"),(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 30531 "preproc.c" /* yacc.c:1646  */
    break;

  case 450:
#line 3492 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(8,mm_strdup("foreign key ("),(yyvsp[-7].str),mm_strdup(") references"),(yyvsp[-4].str),(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 30539 "preproc.c" /* yacc.c:1646  */
    break;

  case 451:
#line 3500 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("no inherit");
}
#line 30547 "preproc.c" /* yacc.c:1646  */
    break;

  case 452:
#line 3504 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 30554 "preproc.c" /* yacc.c:1646  */
    break;

  case 453:
#line 3511 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 30562 "preproc.c" /* yacc.c:1646  */
    break;

  case 454:
#line 3515 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 30569 "preproc.c" /* yacc.c:1646  */
    break;

  case 455:
#line 3522 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 30577 "preproc.c" /* yacc.c:1646  */
    break;

  case 456:
#line 3526 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 30585 "preproc.c" /* yacc.c:1646  */
    break;

  case 457:
#line 3534 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 30593 "preproc.c" /* yacc.c:1646  */
    break;

  case 458:
#line 3542 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("match full");
}
#line 30601 "preproc.c" /* yacc.c:1646  */
    break;

  case 459:
#line 3546 "preproc.y" /* yacc.c:1646  */
    { 
mmerror(PARSE_ERROR, ET_WARNING, "unsupported feature will be passed to server");
 (yyval.str) = mm_strdup("match partial");
}
#line 30610 "preproc.c" /* yacc.c:1646  */
    break;

  case 460:
#line 3551 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("match simple");
}
#line 30618 "preproc.c" /* yacc.c:1646  */
    break;

  case 461:
#line 3555 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 30625 "preproc.c" /* yacc.c:1646  */
    break;

  case 462:
#line 3562 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 30633 "preproc.c" /* yacc.c:1646  */
    break;

  case 463:
#line 3566 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 30641 "preproc.c" /* yacc.c:1646  */
    break;

  case 464:
#line 3574 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("with"),(yyvsp[0].str));
}
#line 30649 "preproc.c" /* yacc.c:1646  */
    break;

  case 465:
#line 3578 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,(yyvsp[-5].str),mm_strdup("with operator ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 30657 "preproc.c" /* yacc.c:1646  */
    break;

  case 466:
#line 3586 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("where ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 30665 "preproc.c" /* yacc.c:1646  */
    break;

  case 467:
#line 3590 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 30672 "preproc.c" /* yacc.c:1646  */
    break;

  case 468:
#line 3597 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 30680 "preproc.c" /* yacc.c:1646  */
    break;

  case 469:
#line 3601 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 30688 "preproc.c" /* yacc.c:1646  */
    break;

  case 470:
#line 3605 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 30696 "preproc.c" /* yacc.c:1646  */
    break;

  case 471:
#line 3609 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 30704 "preproc.c" /* yacc.c:1646  */
    break;

  case 472:
#line 3613 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 30711 "preproc.c" /* yacc.c:1646  */
    break;

  case 473:
#line 3620 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("on update"),(yyvsp[0].str));
}
#line 30719 "preproc.c" /* yacc.c:1646  */
    break;

  case 474:
#line 3628 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("on delete"),(yyvsp[0].str));
}
#line 30727 "preproc.c" /* yacc.c:1646  */
    break;

  case 475:
#line 3636 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("no action");
}
#line 30735 "preproc.c" /* yacc.c:1646  */
    break;

  case 476:
#line 3640 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("restrict");
}
#line 30743 "preproc.c" /* yacc.c:1646  */
    break;

  case 477:
#line 3644 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("cascade");
}
#line 30751 "preproc.c" /* yacc.c:1646  */
    break;

  case 478:
#line 3648 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("set null");
}
#line 30759 "preproc.c" /* yacc.c:1646  */
    break;

  case 479:
#line 3652 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("set default");
}
#line 30767 "preproc.c" /* yacc.c:1646  */
    break;

  case 480:
#line 3660 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("inherits ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 30775 "preproc.c" /* yacc.c:1646  */
    break;

  case 481:
#line 3664 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 30782 "preproc.c" /* yacc.c:1646  */
    break;

  case 482:
#line 3671 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("with"),(yyvsp[0].str));
}
#line 30790 "preproc.c" /* yacc.c:1646  */
    break;

  case 483:
#line 3675 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("with oids");
}
#line 30798 "preproc.c" /* yacc.c:1646  */
    break;

  case 484:
#line 3679 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("without oids");
}
#line 30806 "preproc.c" /* yacc.c:1646  */
    break;

  case 485:
#line 3683 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 30813 "preproc.c" /* yacc.c:1646  */
    break;

  case 486:
#line 3690 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("on commit drop");
}
#line 30821 "preproc.c" /* yacc.c:1646  */
    break;

  case 487:
#line 3694 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("on commit delete rows");
}
#line 30829 "preproc.c" /* yacc.c:1646  */
    break;

  case 488:
#line 3698 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("on commit preserve rows");
}
#line 30837 "preproc.c" /* yacc.c:1646  */
    break;

  case 489:
#line 3702 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 30844 "preproc.c" /* yacc.c:1646  */
    break;

  case 490:
#line 3709 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("tablespace"),(yyvsp[0].str));
}
#line 30852 "preproc.c" /* yacc.c:1646  */
    break;

  case 491:
#line 3713 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 30859 "preproc.c" /* yacc.c:1646  */
    break;

  case 492:
#line 3720 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("using index tablespace"),(yyvsp[0].str));
}
#line 30867 "preproc.c" /* yacc.c:1646  */
    break;

  case 493:
#line 3724 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 30874 "preproc.c" /* yacc.c:1646  */
    break;

  case 494:
#line 3731 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("using index"),(yyvsp[0].str));
}
#line 30882 "preproc.c" /* yacc.c:1646  */
    break;

  case 495:
#line 3739 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,(yyvsp[-4].str),(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 30890 "preproc.c" /* yacc.c:1646  */
    break;

  case 496:
#line 3747 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("with data");
}
#line 30898 "preproc.c" /* yacc.c:1646  */
    break;

  case 497:
#line 3751 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("with no data");
}
#line 30906 "preproc.c" /* yacc.c:1646  */
    break;

  case 498:
#line 3755 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 30913 "preproc.c" /* yacc.c:1646  */
    break;

  case 499:
#line 3762 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(7,mm_strdup("create"),(yyvsp[-6].str),mm_strdup("materialized view"),(yyvsp[-3].str),mm_strdup("as"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 30921 "preproc.c" /* yacc.c:1646  */
    break;

  case 500:
#line 3770 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 30929 "preproc.c" /* yacc.c:1646  */
    break;

  case 501:
#line 3778 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("unlogged");
}
#line 30937 "preproc.c" /* yacc.c:1646  */
    break;

  case 502:
#line 3782 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 30944 "preproc.c" /* yacc.c:1646  */
    break;

  case 503:
#line 3789 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("refresh materialized view"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 30952 "preproc.c" /* yacc.c:1646  */
    break;

  case 504:
#line 3797 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("create"),(yyvsp[-3].str),mm_strdup("sequence"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 30960 "preproc.c" /* yacc.c:1646  */
    break;

  case 505:
#line 3805 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("alter sequence"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 30968 "preproc.c" /* yacc.c:1646  */
    break;

  case 506:
#line 3809 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("alter sequence if exists"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 30976 "preproc.c" /* yacc.c:1646  */
    break;

  case 507:
#line 3817 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 30984 "preproc.c" /* yacc.c:1646  */
    break;

  case 508:
#line 3821 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 30991 "preproc.c" /* yacc.c:1646  */
    break;

  case 509:
#line 3828 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 30999 "preproc.c" /* yacc.c:1646  */
    break;

  case 510:
#line 3832 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 31007 "preproc.c" /* yacc.c:1646  */
    break;

  case 511:
#line 3840 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("cache"),(yyvsp[0].str));
}
#line 31015 "preproc.c" /* yacc.c:1646  */
    break;

  case 512:
#line 3844 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("cycle");
}
#line 31023 "preproc.c" /* yacc.c:1646  */
    break;

  case 513:
#line 3848 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("no cycle");
}
#line 31031 "preproc.c" /* yacc.c:1646  */
    break;

  case 514:
#line 3852 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("increment"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 31039 "preproc.c" /* yacc.c:1646  */
    break;

  case 515:
#line 3856 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("maxvalue"),(yyvsp[0].str));
}
#line 31047 "preproc.c" /* yacc.c:1646  */
    break;

  case 516:
#line 3860 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("minvalue"),(yyvsp[0].str));
}
#line 31055 "preproc.c" /* yacc.c:1646  */
    break;

  case 517:
#line 3864 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("no maxvalue");
}
#line 31063 "preproc.c" /* yacc.c:1646  */
    break;

  case 518:
#line 3868 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("no minvalue");
}
#line 31071 "preproc.c" /* yacc.c:1646  */
    break;

  case 519:
#line 3872 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("owned by"),(yyvsp[0].str));
}
#line 31079 "preproc.c" /* yacc.c:1646  */
    break;

  case 520:
#line 3876 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("start"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 31087 "preproc.c" /* yacc.c:1646  */
    break;

  case 521:
#line 3880 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("restart");
}
#line 31095 "preproc.c" /* yacc.c:1646  */
    break;

  case 522:
#line 3884 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("restart"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 31103 "preproc.c" /* yacc.c:1646  */
    break;

  case 523:
#line 3892 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("by");
}
#line 31111 "preproc.c" /* yacc.c:1646  */
    break;

  case 524:
#line 3896 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 31118 "preproc.c" /* yacc.c:1646  */
    break;

  case 525:
#line 3903 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 31126 "preproc.c" /* yacc.c:1646  */
    break;

  case 526:
#line 3907 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("+"),(yyvsp[0].str));
}
#line 31134 "preproc.c" /* yacc.c:1646  */
    break;

  case 527:
#line 3911 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("-"),(yyvsp[0].str));
}
#line 31142 "preproc.c" /* yacc.c:1646  */
    break;

  case 528:
#line 3915 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 31150 "preproc.c" /* yacc.c:1646  */
    break;

  case 529:
#line 3923 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 31158 "preproc.c" /* yacc.c:1646  */
    break;

  case 530:
#line 3927 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 31166 "preproc.c" /* yacc.c:1646  */
    break;

  case 531:
#line 3935 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("create"),(yyvsp[-4].str),(yyvsp[-3].str),(yyvsp[-2].str),mm_strdup("language"),(yyvsp[0].str));
}
#line 31174 "preproc.c" /* yacc.c:1646  */
    break;

  case 532:
#line 3939 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(10,mm_strdup("create"),(yyvsp[-8].str),(yyvsp[-7].str),(yyvsp[-6].str),mm_strdup("language"),(yyvsp[-4].str),mm_strdup("handler"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 31182 "preproc.c" /* yacc.c:1646  */
    break;

  case 533:
#line 3947 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("trusted");
}
#line 31190 "preproc.c" /* yacc.c:1646  */
    break;

  case 534:
#line 3951 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 31197 "preproc.c" /* yacc.c:1646  */
    break;

  case 535:
#line 3958 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 31205 "preproc.c" /* yacc.c:1646  */
    break;

  case 536:
#line 3962 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 31213 "preproc.c" /* yacc.c:1646  */
    break;

  case 537:
#line 3970 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("inline"),(yyvsp[0].str));
}
#line 31221 "preproc.c" /* yacc.c:1646  */
    break;

  case 538:
#line 3974 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 31228 "preproc.c" /* yacc.c:1646  */
    break;

  case 539:
#line 3981 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("validator"),(yyvsp[0].str));
}
#line 31236 "preproc.c" /* yacc.c:1646  */
    break;

  case 540:
#line 3985 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("no validator");
}
#line 31244 "preproc.c" /* yacc.c:1646  */
    break;

  case 541:
#line 3993 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 31252 "preproc.c" /* yacc.c:1646  */
    break;

  case 542:
#line 3997 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 31259 "preproc.c" /* yacc.c:1646  */
    break;

  case 543:
#line 4004 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("drop"),(yyvsp[-3].str),mm_strdup("language"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 31267 "preproc.c" /* yacc.c:1646  */
    break;

  case 544:
#line 4008 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("drop"),(yyvsp[-5].str),mm_strdup("language if exists"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 31275 "preproc.c" /* yacc.c:1646  */
    break;

  case 545:
#line 4016 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("procedural");
}
#line 31283 "preproc.c" /* yacc.c:1646  */
    break;

  case 546:
#line 4020 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 31290 "preproc.c" /* yacc.c:1646  */
    break;

  case 547:
#line 4027 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("create tablespace"),(yyvsp[-3].str),(yyvsp[-2].str),mm_strdup("location"),(yyvsp[0].str));
}
#line 31298 "preproc.c" /* yacc.c:1646  */
    break;

  case 548:
#line 4035 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("owner"),(yyvsp[0].str));
}
#line 31306 "preproc.c" /* yacc.c:1646  */
    break;

  case 549:
#line 4039 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 31313 "preproc.c" /* yacc.c:1646  */
    break;

  case 550:
#line 4046 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("drop tablespace"),(yyvsp[0].str));
}
#line 31321 "preproc.c" /* yacc.c:1646  */
    break;

  case 551:
#line 4050 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("drop tablespace if exists"),(yyvsp[0].str));
}
#line 31329 "preproc.c" /* yacc.c:1646  */
    break;

  case 552:
#line 4058 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("create extension"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 31337 "preproc.c" /* yacc.c:1646  */
    break;

  case 553:
#line 4062 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("create extension if not exists"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 31345 "preproc.c" /* yacc.c:1646  */
    break;

  case 554:
#line 4070 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 31353 "preproc.c" /* yacc.c:1646  */
    break;

  case 555:
#line 4074 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 31360 "preproc.c" /* yacc.c:1646  */
    break;

  case 556:
#line 4081 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("schema"),(yyvsp[0].str));
}
#line 31368 "preproc.c" /* yacc.c:1646  */
    break;

  case 557:
#line 4085 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("version"),(yyvsp[0].str));
}
#line 31376 "preproc.c" /* yacc.c:1646  */
    break;

  case 558:
#line 4089 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("from"),(yyvsp[0].str));
}
#line 31384 "preproc.c" /* yacc.c:1646  */
    break;

  case 559:
#line 4097 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter extension"),(yyvsp[-2].str),mm_strdup("update"),(yyvsp[0].str));
}
#line 31392 "preproc.c" /* yacc.c:1646  */
    break;

  case 560:
#line 4105 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 31400 "preproc.c" /* yacc.c:1646  */
    break;

  case 561:
#line 4109 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 31407 "preproc.c" /* yacc.c:1646  */
    break;

  case 562:
#line 4116 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("to"),(yyvsp[0].str));
}
#line 31415 "preproc.c" /* yacc.c:1646  */
    break;

  case 563:
#line 4124 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("alter extension"),(yyvsp[-4].str),(yyvsp[-3].str),mm_strdup("aggregate"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 31423 "preproc.c" /* yacc.c:1646  */
    break;

  case 564:
#line 4128 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(8,mm_strdup("alter extension"),(yyvsp[-7].str),(yyvsp[-6].str),mm_strdup("cast ("),(yyvsp[-3].str),mm_strdup("as"),(yyvsp[-1].str),mm_strdup(")"));
}
#line 31431 "preproc.c" /* yacc.c:1646  */
    break;

  case 565:
#line 4132 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter extension"),(yyvsp[-3].str),(yyvsp[-2].str),mm_strdup("collation"),(yyvsp[0].str));
}
#line 31439 "preproc.c" /* yacc.c:1646  */
    break;

  case 566:
#line 4136 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter extension"),(yyvsp[-3].str),(yyvsp[-2].str),mm_strdup("conversion"),(yyvsp[0].str));
}
#line 31447 "preproc.c" /* yacc.c:1646  */
    break;

  case 567:
#line 4140 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter extension"),(yyvsp[-3].str),(yyvsp[-2].str),mm_strdup("domain"),(yyvsp[0].str));
}
#line 31455 "preproc.c" /* yacc.c:1646  */
    break;

  case 568:
#line 4144 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter extension"),(yyvsp[-3].str),(yyvsp[-2].str),mm_strdup("function"),(yyvsp[0].str));
}
#line 31463 "preproc.c" /* yacc.c:1646  */
    break;

  case 569:
#line 4148 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("alter extension"),(yyvsp[-4].str),(yyvsp[-3].str),(yyvsp[-2].str),mm_strdup("language"),(yyvsp[0].str));
}
#line 31471 "preproc.c" /* yacc.c:1646  */
    break;

  case 570:
#line 4152 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("alter extension"),(yyvsp[-4].str),(yyvsp[-3].str),mm_strdup("operator"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 31479 "preproc.c" /* yacc.c:1646  */
    break;

  case 571:
#line 4156 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(7,mm_strdup("alter extension"),(yyvsp[-6].str),(yyvsp[-5].str),mm_strdup("operator class"),(yyvsp[-2].str),mm_strdup("using"),(yyvsp[0].str));
}
#line 31487 "preproc.c" /* yacc.c:1646  */
    break;

  case 572:
#line 4160 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(7,mm_strdup("alter extension"),(yyvsp[-6].str),(yyvsp[-5].str),mm_strdup("operator family"),(yyvsp[-2].str),mm_strdup("using"),(yyvsp[0].str));
}
#line 31495 "preproc.c" /* yacc.c:1646  */
    break;

  case 573:
#line 4164 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter extension"),(yyvsp[-3].str),(yyvsp[-2].str),mm_strdup("schema"),(yyvsp[0].str));
}
#line 31503 "preproc.c" /* yacc.c:1646  */
    break;

  case 574:
#line 4168 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter extension"),(yyvsp[-4].str),(yyvsp[-3].str),mm_strdup("event trigger"),(yyvsp[0].str));
}
#line 31511 "preproc.c" /* yacc.c:1646  */
    break;

  case 575:
#line 4172 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter extension"),(yyvsp[-3].str),(yyvsp[-2].str),mm_strdup("table"),(yyvsp[0].str));
}
#line 31519 "preproc.c" /* yacc.c:1646  */
    break;

  case 576:
#line 4176 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter extension"),(yyvsp[-5].str),(yyvsp[-4].str),mm_strdup("text search parser"),(yyvsp[0].str));
}
#line 31527 "preproc.c" /* yacc.c:1646  */
    break;

  case 577:
#line 4180 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter extension"),(yyvsp[-5].str),(yyvsp[-4].str),mm_strdup("text search dictionary"),(yyvsp[0].str));
}
#line 31535 "preproc.c" /* yacc.c:1646  */
    break;

  case 578:
#line 4184 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter extension"),(yyvsp[-5].str),(yyvsp[-4].str),mm_strdup("text search template"),(yyvsp[0].str));
}
#line 31543 "preproc.c" /* yacc.c:1646  */
    break;

  case 579:
#line 4188 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter extension"),(yyvsp[-5].str),(yyvsp[-4].str),mm_strdup("text search configuration"),(yyvsp[0].str));
}
#line 31551 "preproc.c" /* yacc.c:1646  */
    break;

  case 580:
#line 4192 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter extension"),(yyvsp[-3].str),(yyvsp[-2].str),mm_strdup("sequence"),(yyvsp[0].str));
}
#line 31559 "preproc.c" /* yacc.c:1646  */
    break;

  case 581:
#line 4196 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter extension"),(yyvsp[-3].str),(yyvsp[-2].str),mm_strdup("view"),(yyvsp[0].str));
}
#line 31567 "preproc.c" /* yacc.c:1646  */
    break;

  case 582:
#line 4200 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter extension"),(yyvsp[-4].str),(yyvsp[-3].str),mm_strdup("materialized view"),(yyvsp[0].str));
}
#line 31575 "preproc.c" /* yacc.c:1646  */
    break;

  case 583:
#line 4204 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter extension"),(yyvsp[-4].str),(yyvsp[-3].str),mm_strdup("foreign table"),(yyvsp[0].str));
}
#line 31583 "preproc.c" /* yacc.c:1646  */
    break;

  case 584:
#line 4208 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter extension"),(yyvsp[-5].str),(yyvsp[-4].str),mm_strdup("foreign data wrapper"),(yyvsp[0].str));
}
#line 31591 "preproc.c" /* yacc.c:1646  */
    break;

  case 585:
#line 4212 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter extension"),(yyvsp[-3].str),(yyvsp[-2].str),mm_strdup("server"),(yyvsp[0].str));
}
#line 31599 "preproc.c" /* yacc.c:1646  */
    break;

  case 586:
#line 4216 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter extension"),(yyvsp[-3].str),(yyvsp[-2].str),mm_strdup("type"),(yyvsp[0].str));
}
#line 31607 "preproc.c" /* yacc.c:1646  */
    break;

  case 587:
#line 4224 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("create foreign data wrapper"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 31615 "preproc.c" /* yacc.c:1646  */
    break;

  case 588:
#line 4232 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("handler"),(yyvsp[0].str));
}
#line 31623 "preproc.c" /* yacc.c:1646  */
    break;

  case 589:
#line 4236 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("no handler");
}
#line 31631 "preproc.c" /* yacc.c:1646  */
    break;

  case 590:
#line 4240 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("validator"),(yyvsp[0].str));
}
#line 31639 "preproc.c" /* yacc.c:1646  */
    break;

  case 591:
#line 4244 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("no validator");
}
#line 31647 "preproc.c" /* yacc.c:1646  */
    break;

  case 592:
#line 4252 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 31655 "preproc.c" /* yacc.c:1646  */
    break;

  case 593:
#line 4256 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 31663 "preproc.c" /* yacc.c:1646  */
    break;

  case 594:
#line 4264 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 31671 "preproc.c" /* yacc.c:1646  */
    break;

  case 595:
#line 4268 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 31678 "preproc.c" /* yacc.c:1646  */
    break;

  case 596:
#line 4275 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("drop foreign data wrapper"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 31686 "preproc.c" /* yacc.c:1646  */
    break;

  case 597:
#line 4279 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("drop foreign data wrapper if exists"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 31694 "preproc.c" /* yacc.c:1646  */
    break;

  case 598:
#line 4287 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter foreign data wrapper"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 31702 "preproc.c" /* yacc.c:1646  */
    break;

  case 599:
#line 4291 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("alter foreign data wrapper"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 31710 "preproc.c" /* yacc.c:1646  */
    break;

  case 600:
#line 4299 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("options ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 31718 "preproc.c" /* yacc.c:1646  */
    break;

  case 601:
#line 4303 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 31725 "preproc.c" /* yacc.c:1646  */
    break;

  case 602:
#line 4310 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 31733 "preproc.c" /* yacc.c:1646  */
    break;

  case 603:
#line 4314 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 31741 "preproc.c" /* yacc.c:1646  */
    break;

  case 604:
#line 4322 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("options ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 31749 "preproc.c" /* yacc.c:1646  */
    break;

  case 605:
#line 4330 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 31757 "preproc.c" /* yacc.c:1646  */
    break;

  case 606:
#line 4334 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 31765 "preproc.c" /* yacc.c:1646  */
    break;

  case 607:
#line 4342 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 31773 "preproc.c" /* yacc.c:1646  */
    break;

  case 608:
#line 4346 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("set"),(yyvsp[0].str));
}
#line 31781 "preproc.c" /* yacc.c:1646  */
    break;

  case 609:
#line 4350 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("add"),(yyvsp[0].str));
}
#line 31789 "preproc.c" /* yacc.c:1646  */
    break;

  case 610:
#line 4354 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("drop"),(yyvsp[0].str));
}
#line 31797 "preproc.c" /* yacc.c:1646  */
    break;

  case 611:
#line 4362 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 31805 "preproc.c" /* yacc.c:1646  */
    break;

  case 612:
#line 4370 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 31813 "preproc.c" /* yacc.c:1646  */
    break;

  case 613:
#line 4378 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 31821 "preproc.c" /* yacc.c:1646  */
    break;

  case 614:
#line 4386 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(7,mm_strdup("create server"),(yyvsp[-7].str),(yyvsp[-6].str),(yyvsp[-5].str),mm_strdup("foreign data wrapper"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 31829 "preproc.c" /* yacc.c:1646  */
    break;

  case 615:
#line 4394 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("type"),(yyvsp[0].str));
}
#line 31837 "preproc.c" /* yacc.c:1646  */
    break;

  case 616:
#line 4398 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 31844 "preproc.c" /* yacc.c:1646  */
    break;

  case 617:
#line 4405 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("version"),(yyvsp[0].str));
}
#line 31852 "preproc.c" /* yacc.c:1646  */
    break;

  case 618:
#line 4409 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("version null");
}
#line 31860 "preproc.c" /* yacc.c:1646  */
    break;

  case 619:
#line 4417 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 31868 "preproc.c" /* yacc.c:1646  */
    break;

  case 620:
#line 4421 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 31875 "preproc.c" /* yacc.c:1646  */
    break;

  case 621:
#line 4428 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("drop server"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 31883 "preproc.c" /* yacc.c:1646  */
    break;

  case 622:
#line 4432 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("drop server if exists"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 31891 "preproc.c" /* yacc.c:1646  */
    break;

  case 623:
#line 4440 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter server"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 31899 "preproc.c" /* yacc.c:1646  */
    break;

  case 624:
#line 4444 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("alter server"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 31907 "preproc.c" /* yacc.c:1646  */
    break;

  case 625:
#line 4448 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("alter server"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 31915 "preproc.c" /* yacc.c:1646  */
    break;

  case 626:
#line 4456 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(7,mm_strdup("create foreign table"),(yyvsp[-6].str),mm_strdup("("),(yyvsp[-4].str),mm_strdup(") server"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 31923 "preproc.c" /* yacc.c:1646  */
    break;

  case 627:
#line 4460 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(7,mm_strdup("create foreign table if not exists"),(yyvsp[-6].str),mm_strdup("("),(yyvsp[-4].str),mm_strdup(") server"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 31931 "preproc.c" /* yacc.c:1646  */
    break;

  case 628:
#line 4468 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("alter foreign table"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 31939 "preproc.c" /* yacc.c:1646  */
    break;

  case 629:
#line 4472 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("alter foreign table if exists"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 31947 "preproc.c" /* yacc.c:1646  */
    break;

  case 630:
#line 4480 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("create user mapping for"),(yyvsp[-3].str),mm_strdup("server"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 31955 "preproc.c" /* yacc.c:1646  */
    break;

  case 631:
#line 4488 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("current_user");
}
#line 31963 "preproc.c" /* yacc.c:1646  */
    break;

  case 632:
#line 4492 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("user");
}
#line 31971 "preproc.c" /* yacc.c:1646  */
    break;

  case 633:
#line 4496 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 31979 "preproc.c" /* yacc.c:1646  */
    break;

  case 634:
#line 4504 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("drop user mapping for"),(yyvsp[-2].str),mm_strdup("server"),(yyvsp[0].str));
}
#line 31987 "preproc.c" /* yacc.c:1646  */
    break;

  case 635:
#line 4508 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("drop user mapping if exists for"),(yyvsp[-2].str),mm_strdup("server"),(yyvsp[0].str));
}
#line 31995 "preproc.c" /* yacc.c:1646  */
    break;

  case 636:
#line 4516 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter user mapping for"),(yyvsp[-3].str),mm_strdup("server"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 32003 "preproc.c" /* yacc.c:1646  */
    break;

  case 637:
#line 4524 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(13,mm_strdup("create trigger"),(yyvsp[-12].str),(yyvsp[-11].str),(yyvsp[-10].str),mm_strdup("on"),(yyvsp[-8].str),(yyvsp[-7].str),(yyvsp[-6].str),mm_strdup("execute procedure"),(yyvsp[-3].str),mm_strdup("("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 32011 "preproc.c" /* yacc.c:1646  */
    break;

  case 638:
#line 4528 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(15,mm_strdup("create constraint trigger"),(yyvsp[-16].str),mm_strdup("after"),(yyvsp[-14].str),mm_strdup("on"),(yyvsp[-12].str),(yyvsp[-11].str),(yyvsp[-10].str),mm_strdup("for each row"),(yyvsp[-6].str),mm_strdup("execute procedure"),(yyvsp[-3].str),mm_strdup("("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 32019 "preproc.c" /* yacc.c:1646  */
    break;

  case 639:
#line 4536 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("before");
}
#line 32027 "preproc.c" /* yacc.c:1646  */
    break;

  case 640:
#line 4540 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("after");
}
#line 32035 "preproc.c" /* yacc.c:1646  */
    break;

  case 641:
#line 4544 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("instead of");
}
#line 32043 "preproc.c" /* yacc.c:1646  */
    break;

  case 642:
#line 4552 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 32051 "preproc.c" /* yacc.c:1646  */
    break;

  case 643:
#line 4556 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("or"),(yyvsp[0].str));
}
#line 32059 "preproc.c" /* yacc.c:1646  */
    break;

  case 644:
#line 4564 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("insert");
}
#line 32067 "preproc.c" /* yacc.c:1646  */
    break;

  case 645:
#line 4568 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("delete");
}
#line 32075 "preproc.c" /* yacc.c:1646  */
    break;

  case 646:
#line 4572 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("update");
}
#line 32083 "preproc.c" /* yacc.c:1646  */
    break;

  case 647:
#line 4576 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("update of"),(yyvsp[0].str));
}
#line 32091 "preproc.c" /* yacc.c:1646  */
    break;

  case 648:
#line 4580 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("truncate");
}
#line 32099 "preproc.c" /* yacc.c:1646  */
    break;

  case 649:
#line 4588 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("for"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 32107 "preproc.c" /* yacc.c:1646  */
    break;

  case 650:
#line 4592 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 32114 "preproc.c" /* yacc.c:1646  */
    break;

  case 651:
#line 4599 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("each");
}
#line 32122 "preproc.c" /* yacc.c:1646  */
    break;

  case 652:
#line 4603 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 32129 "preproc.c" /* yacc.c:1646  */
    break;

  case 653:
#line 4610 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("row");
}
#line 32137 "preproc.c" /* yacc.c:1646  */
    break;

  case 654:
#line 4614 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("statement");
}
#line 32145 "preproc.c" /* yacc.c:1646  */
    break;

  case 655:
#line 4622 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("when ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 32153 "preproc.c" /* yacc.c:1646  */
    break;

  case 656:
#line 4626 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 32160 "preproc.c" /* yacc.c:1646  */
    break;

  case 657:
#line 4633 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 32168 "preproc.c" /* yacc.c:1646  */
    break;

  case 658:
#line 4637 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 32176 "preproc.c" /* yacc.c:1646  */
    break;

  case 659:
#line 4641 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 32183 "preproc.c" /* yacc.c:1646  */
    break;

  case 660:
#line 4648 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 32191 "preproc.c" /* yacc.c:1646  */
    break;

  case 661:
#line 4652 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 32199 "preproc.c" /* yacc.c:1646  */
    break;

  case 662:
#line 4656 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 32207 "preproc.c" /* yacc.c:1646  */
    break;

  case 663:
#line 4660 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 32215 "preproc.c" /* yacc.c:1646  */
    break;

  case 664:
#line 4668 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("from"),(yyvsp[0].str));
}
#line 32223 "preproc.c" /* yacc.c:1646  */
    break;

  case 665:
#line 4672 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 32230 "preproc.c" /* yacc.c:1646  */
    break;

  case 666:
#line 4679 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 32237 "preproc.c" /* yacc.c:1646  */
    break;

  case 667:
#line 4682 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 32245 "preproc.c" /* yacc.c:1646  */
    break;

  case 668:
#line 4690 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("not deferrable");
}
#line 32253 "preproc.c" /* yacc.c:1646  */
    break;

  case 669:
#line 4694 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("deferrable");
}
#line 32261 "preproc.c" /* yacc.c:1646  */
    break;

  case 670:
#line 4698 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("initially immediate");
}
#line 32269 "preproc.c" /* yacc.c:1646  */
    break;

  case 671:
#line 4702 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("initially deferred");
}
#line 32277 "preproc.c" /* yacc.c:1646  */
    break;

  case 672:
#line 4706 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("not valid");
}
#line 32285 "preproc.c" /* yacc.c:1646  */
    break;

  case 673:
#line 4710 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("no inherit");
}
#line 32293 "preproc.c" /* yacc.c:1646  */
    break;

  case 674:
#line 4718 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("drop trigger"),(yyvsp[-3].str),mm_strdup("on"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 32301 "preproc.c" /* yacc.c:1646  */
    break;

  case 675:
#line 4722 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("drop trigger if exists"),(yyvsp[-3].str),mm_strdup("on"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 32309 "preproc.c" /* yacc.c:1646  */
    break;

  case 676:
#line 4730 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(7,mm_strdup("create event trigger"),(yyvsp[-7].str),mm_strdup("on"),(yyvsp[-5].str),mm_strdup("execute procedure"),(yyvsp[-2].str),mm_strdup("( )"));
}
#line 32317 "preproc.c" /* yacc.c:1646  */
    break;

  case 677:
#line 4734 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(9,mm_strdup("create event trigger"),(yyvsp[-9].str),mm_strdup("on"),(yyvsp[-7].str),mm_strdup("when"),(yyvsp[-5].str),mm_strdup("execute procedure"),(yyvsp[-2].str),mm_strdup("( )"));
}
#line 32325 "preproc.c" /* yacc.c:1646  */
    break;

  case 678:
#line 4742 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 32333 "preproc.c" /* yacc.c:1646  */
    break;

  case 679:
#line 4746 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("and"),(yyvsp[0].str));
}
#line 32341 "preproc.c" /* yacc.c:1646  */
    break;

  case 680:
#line 4754 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,(yyvsp[-4].str),mm_strdup("in ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 32349 "preproc.c" /* yacc.c:1646  */
    break;

  case 681:
#line 4762 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("sconst");
}
#line 32357 "preproc.c" /* yacc.c:1646  */
    break;

  case 682:
#line 4766 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-2].str),mm_strdup(", sconst"));
}
#line 32365 "preproc.c" /* yacc.c:1646  */
    break;

  case 683:
#line 4774 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("alter event trigger"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 32373 "preproc.c" /* yacc.c:1646  */
    break;

  case 684:
#line 4782 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("enable");
}
#line 32381 "preproc.c" /* yacc.c:1646  */
    break;

  case 685:
#line 4786 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("enable replica");
}
#line 32389 "preproc.c" /* yacc.c:1646  */
    break;

  case 686:
#line 4790 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("enable always");
}
#line 32397 "preproc.c" /* yacc.c:1646  */
    break;

  case 687:
#line 4794 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("disable");
}
#line 32405 "preproc.c" /* yacc.c:1646  */
    break;

  case 688:
#line 4802 "preproc.y" /* yacc.c:1646  */
    { 
mmerror(PARSE_ERROR, ET_WARNING, "unsupported feature will be passed to server");
 (yyval.str) = cat_str(6,mm_strdup("create assertion"),(yyvsp[-5].str),mm_strdup("check ("),(yyvsp[-2].str),mm_strdup(")"),(yyvsp[0].str));
}
#line 32414 "preproc.c" /* yacc.c:1646  */
    break;

  case 689:
#line 4811 "preproc.y" /* yacc.c:1646  */
    { 
mmerror(PARSE_ERROR, ET_WARNING, "unsupported feature will be passed to server");
 (yyval.str) = cat_str(3,mm_strdup("drop assertion"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 32423 "preproc.c" /* yacc.c:1646  */
    break;

  case 690:
#line 4820 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("create aggregate"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 32431 "preproc.c" /* yacc.c:1646  */
    break;

  case 691:
#line 4824 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("create aggregate"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 32439 "preproc.c" /* yacc.c:1646  */
    break;

  case 692:
#line 4828 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("create operator"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 32447 "preproc.c" /* yacc.c:1646  */
    break;

  case 693:
#line 4832 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("create type"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 32455 "preproc.c" /* yacc.c:1646  */
    break;

  case 694:
#line 4836 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("create type"),(yyvsp[0].str));
}
#line 32463 "preproc.c" /* yacc.c:1646  */
    break;

  case 695:
#line 4840 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("create type"),(yyvsp[-4].str),mm_strdup("as ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 32471 "preproc.c" /* yacc.c:1646  */
    break;

  case 696:
#line 4844 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("create type"),(yyvsp[-5].str),mm_strdup("as enum ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 32479 "preproc.c" /* yacc.c:1646  */
    break;

  case 697:
#line 4848 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("create type"),(yyvsp[-3].str),mm_strdup("as range"),(yyvsp[0].str));
}
#line 32487 "preproc.c" /* yacc.c:1646  */
    break;

  case 698:
#line 4852 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("create text search parser"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 32495 "preproc.c" /* yacc.c:1646  */
    break;

  case 699:
#line 4856 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("create text search dictionary"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 32503 "preproc.c" /* yacc.c:1646  */
    break;

  case 700:
#line 4860 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("create text search template"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 32511 "preproc.c" /* yacc.c:1646  */
    break;

  case 701:
#line 4864 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("create text search configuration"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 32519 "preproc.c" /* yacc.c:1646  */
    break;

  case 702:
#line 4868 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("create collation"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 32527 "preproc.c" /* yacc.c:1646  */
    break;

  case 703:
#line 4872 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("create collation"),(yyvsp[-2].str),mm_strdup("from"),(yyvsp[0].str));
}
#line 32535 "preproc.c" /* yacc.c:1646  */
    break;

  case 704:
#line 4880 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 32543 "preproc.c" /* yacc.c:1646  */
    break;

  case 705:
#line 4888 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 32551 "preproc.c" /* yacc.c:1646  */
    break;

  case 706:
#line 4892 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 32559 "preproc.c" /* yacc.c:1646  */
    break;

  case 707:
#line 4900 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("="),(yyvsp[0].str));
}
#line 32567 "preproc.c" /* yacc.c:1646  */
    break;

  case 708:
#line 4904 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 32575 "preproc.c" /* yacc.c:1646  */
    break;

  case 709:
#line 4912 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 32583 "preproc.c" /* yacc.c:1646  */
    break;

  case 710:
#line 4916 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 32591 "preproc.c" /* yacc.c:1646  */
    break;

  case 711:
#line 4920 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 32599 "preproc.c" /* yacc.c:1646  */
    break;

  case 712:
#line 4924 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 32607 "preproc.c" /* yacc.c:1646  */
    break;

  case 713:
#line 4928 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 32615 "preproc.c" /* yacc.c:1646  */
    break;

  case 714:
#line 4936 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 32623 "preproc.c" /* yacc.c:1646  */
    break;

  case 715:
#line 4940 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("( * )");
}
#line 32631 "preproc.c" /* yacc.c:1646  */
    break;

  case 716:
#line 4948 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 32639 "preproc.c" /* yacc.c:1646  */
    break;

  case 717:
#line 4956 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 32647 "preproc.c" /* yacc.c:1646  */
    break;

  case 718:
#line 4960 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 32655 "preproc.c" /* yacc.c:1646  */
    break;

  case 719:
#line 4968 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("="),(yyvsp[0].str));
}
#line 32663 "preproc.c" /* yacc.c:1646  */
    break;

  case 720:
#line 4976 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 32671 "preproc.c" /* yacc.c:1646  */
    break;

  case 721:
#line 4980 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 32678 "preproc.c" /* yacc.c:1646  */
    break;

  case 722:
#line 4987 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 32686 "preproc.c" /* yacc.c:1646  */
    break;

  case 723:
#line 4991 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 32694 "preproc.c" /* yacc.c:1646  */
    break;

  case 724:
#line 4999 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter type"),(yyvsp[-4].str),mm_strdup("add value"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 32702 "preproc.c" /* yacc.c:1646  */
    break;

  case 725:
#line 5003 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(7,mm_strdup("alter type"),(yyvsp[-6].str),mm_strdup("add value"),(yyvsp[-3].str),(yyvsp[-2].str),mm_strdup("before"),(yyvsp[0].str));
}
#line 32710 "preproc.c" /* yacc.c:1646  */
    break;

  case 726:
#line 5007 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(7,mm_strdup("alter type"),(yyvsp[-6].str),mm_strdup("add value"),(yyvsp[-3].str),(yyvsp[-2].str),mm_strdup("after"),(yyvsp[0].str));
}
#line 32718 "preproc.c" /* yacc.c:1646  */
    break;

  case 727:
#line 5015 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("if not exists");
}
#line 32726 "preproc.c" /* yacc.c:1646  */
    break;

  case 728:
#line 5019 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 32733 "preproc.c" /* yacc.c:1646  */
    break;

  case 729:
#line 5026 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(10,mm_strdup("create operator class"),(yyvsp[-9].str),(yyvsp[-8].str),mm_strdup("for type"),(yyvsp[-5].str),mm_strdup("using"),(yyvsp[-3].str),(yyvsp[-2].str),mm_strdup("as"),(yyvsp[0].str));
}
#line 32741 "preproc.c" /* yacc.c:1646  */
    break;

  case 730:
#line 5034 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 32749 "preproc.c" /* yacc.c:1646  */
    break;

  case 731:
#line 5038 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 32757 "preproc.c" /* yacc.c:1646  */
    break;

  case 732:
#line 5046 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("operator"),(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 32765 "preproc.c" /* yacc.c:1646  */
    break;

  case 733:
#line 5050 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("operator"),(yyvsp[-4].str),(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 32773 "preproc.c" /* yacc.c:1646  */
    break;

  case 734:
#line 5054 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("function"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 32781 "preproc.c" /* yacc.c:1646  */
    break;

  case 735:
#line 5058 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(7,mm_strdup("function"),(yyvsp[-5].str),mm_strdup("("),(yyvsp[-3].str),mm_strdup(")"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 32789 "preproc.c" /* yacc.c:1646  */
    break;

  case 736:
#line 5062 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("storage"),(yyvsp[0].str));
}
#line 32797 "preproc.c" /* yacc.c:1646  */
    break;

  case 737:
#line 5070 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("default");
}
#line 32805 "preproc.c" /* yacc.c:1646  */
    break;

  case 738:
#line 5074 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 32812 "preproc.c" /* yacc.c:1646  */
    break;

  case 739:
#line 5081 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("family"),(yyvsp[0].str));
}
#line 32820 "preproc.c" /* yacc.c:1646  */
    break;

  case 740:
#line 5085 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 32827 "preproc.c" /* yacc.c:1646  */
    break;

  case 741:
#line 5092 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("for search");
}
#line 32835 "preproc.c" /* yacc.c:1646  */
    break;

  case 742:
#line 5096 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("for order by"),(yyvsp[0].str));
}
#line 32843 "preproc.c" /* yacc.c:1646  */
    break;

  case 743:
#line 5100 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 32850 "preproc.c" /* yacc.c:1646  */
    break;

  case 744:
#line 5107 "preproc.y" /* yacc.c:1646  */
    { 
mmerror(PARSE_ERROR, ET_WARNING, "unsupported feature will be passed to server");
 (yyval.str) = mm_strdup("recheck");
}
#line 32859 "preproc.c" /* yacc.c:1646  */
    break;

  case 745:
#line 5112 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 32866 "preproc.c" /* yacc.c:1646  */
    break;

  case 746:
#line 5119 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("create operator family"),(yyvsp[-2].str),mm_strdup("using"),(yyvsp[0].str));
}
#line 32874 "preproc.c" /* yacc.c:1646  */
    break;

  case 747:
#line 5127 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("alter operator family"),(yyvsp[-4].str),mm_strdup("using"),(yyvsp[-2].str),mm_strdup("add"),(yyvsp[0].str));
}
#line 32882 "preproc.c" /* yacc.c:1646  */
    break;

  case 748:
#line 5131 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("alter operator family"),(yyvsp[-4].str),mm_strdup("using"),(yyvsp[-2].str),mm_strdup("drop"),(yyvsp[0].str));
}
#line 32890 "preproc.c" /* yacc.c:1646  */
    break;

  case 749:
#line 5139 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 32898 "preproc.c" /* yacc.c:1646  */
    break;

  case 750:
#line 5143 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 32906 "preproc.c" /* yacc.c:1646  */
    break;

  case 751:
#line 5151 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("operator"),(yyvsp[-3].str),mm_strdup("("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 32914 "preproc.c" /* yacc.c:1646  */
    break;

  case 752:
#line 5155 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("function"),(yyvsp[-3].str),mm_strdup("("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 32922 "preproc.c" /* yacc.c:1646  */
    break;

  case 753:
#line 5163 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("drop operator class"),(yyvsp[-3].str),mm_strdup("using"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 32930 "preproc.c" /* yacc.c:1646  */
    break;

  case 754:
#line 5167 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("drop operator class if exists"),(yyvsp[-3].str),mm_strdup("using"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 32938 "preproc.c" /* yacc.c:1646  */
    break;

  case 755:
#line 5175 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("drop operator family"),(yyvsp[-3].str),mm_strdup("using"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 32946 "preproc.c" /* yacc.c:1646  */
    break;

  case 756:
#line 5179 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("drop operator family if exists"),(yyvsp[-3].str),mm_strdup("using"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 32954 "preproc.c" /* yacc.c:1646  */
    break;

  case 757:
#line 5187 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("drop owned by"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 32962 "preproc.c" /* yacc.c:1646  */
    break;

  case 758:
#line 5195 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("reassign owned by"),(yyvsp[-2].str),mm_strdup("to"),(yyvsp[0].str));
}
#line 32970 "preproc.c" /* yacc.c:1646  */
    break;

  case 759:
#line 5203 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("drop"),(yyvsp[-4].str),mm_strdup("if exists"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 32978 "preproc.c" /* yacc.c:1646  */
    break;

  case 760:
#line 5207 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("drop"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 32986 "preproc.c" /* yacc.c:1646  */
    break;

  case 761:
#line 5211 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("drop index concurrently"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 32994 "preproc.c" /* yacc.c:1646  */
    break;

  case 762:
#line 5215 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("drop index concurrently if exists"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 33002 "preproc.c" /* yacc.c:1646  */
    break;

  case 763:
#line 5223 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("table");
}
#line 33010 "preproc.c" /* yacc.c:1646  */
    break;

  case 764:
#line 5227 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("sequence");
}
#line 33018 "preproc.c" /* yacc.c:1646  */
    break;

  case 765:
#line 5231 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("view");
}
#line 33026 "preproc.c" /* yacc.c:1646  */
    break;

  case 766:
#line 5235 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("materialized view");
}
#line 33034 "preproc.c" /* yacc.c:1646  */
    break;

  case 767:
#line 5239 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("index");
}
#line 33042 "preproc.c" /* yacc.c:1646  */
    break;

  case 768:
#line 5243 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("foreign table");
}
#line 33050 "preproc.c" /* yacc.c:1646  */
    break;

  case 769:
#line 5247 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("event trigger");
}
#line 33058 "preproc.c" /* yacc.c:1646  */
    break;

  case 770:
#line 5251 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("type");
}
#line 33066 "preproc.c" /* yacc.c:1646  */
    break;

  case 771:
#line 5255 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("domain");
}
#line 33074 "preproc.c" /* yacc.c:1646  */
    break;

  case 772:
#line 5259 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("collation");
}
#line 33082 "preproc.c" /* yacc.c:1646  */
    break;

  case 773:
#line 5263 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("conversion");
}
#line 33090 "preproc.c" /* yacc.c:1646  */
    break;

  case 774:
#line 5267 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("schema");
}
#line 33098 "preproc.c" /* yacc.c:1646  */
    break;

  case 775:
#line 5271 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("extension");
}
#line 33106 "preproc.c" /* yacc.c:1646  */
    break;

  case 776:
#line 5275 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("text search parser");
}
#line 33114 "preproc.c" /* yacc.c:1646  */
    break;

  case 777:
#line 5279 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("text search dictionary");
}
#line 33122 "preproc.c" /* yacc.c:1646  */
    break;

  case 778:
#line 5283 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("text search template");
}
#line 33130 "preproc.c" /* yacc.c:1646  */
    break;

  case 779:
#line 5287 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("text search configuration");
}
#line 33138 "preproc.c" /* yacc.c:1646  */
    break;

  case 780:
#line 5295 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 33146 "preproc.c" /* yacc.c:1646  */
    break;

  case 781:
#line 5299 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 33154 "preproc.c" /* yacc.c:1646  */
    break;

  case 782:
#line 5307 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 33162 "preproc.c" /* yacc.c:1646  */
    break;

  case 783:
#line 5311 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 33170 "preproc.c" /* yacc.c:1646  */
    break;

  case 784:
#line 5319 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("."),(yyvsp[0].str));
}
#line 33178 "preproc.c" /* yacc.c:1646  */
    break;

  case 785:
#line 5323 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("."),(yyvsp[0].str));
}
#line 33186 "preproc.c" /* yacc.c:1646  */
    break;

  case 786:
#line 5331 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("truncate"),(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 33194 "preproc.c" /* yacc.c:1646  */
    break;

  case 787:
#line 5339 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("continue identity");
}
#line 33202 "preproc.c" /* yacc.c:1646  */
    break;

  case 788:
#line 5343 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("restart identity");
}
#line 33210 "preproc.c" /* yacc.c:1646  */
    break;

  case 789:
#line 5347 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 33217 "preproc.c" /* yacc.c:1646  */
    break;

  case 790:
#line 5354 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("comment on"),(yyvsp[-3].str),(yyvsp[-2].str),mm_strdup("is"),(yyvsp[0].str));
}
#line 33225 "preproc.c" /* yacc.c:1646  */
    break;

  case 791:
#line 5358 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("comment on aggregate"),(yyvsp[-3].str),(yyvsp[-2].str),mm_strdup("is"),(yyvsp[0].str));
}
#line 33233 "preproc.c" /* yacc.c:1646  */
    break;

  case 792:
#line 5362 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("comment on function"),(yyvsp[-3].str),(yyvsp[-2].str),mm_strdup("is"),(yyvsp[0].str));
}
#line 33241 "preproc.c" /* yacc.c:1646  */
    break;

  case 793:
#line 5366 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("comment on operator"),(yyvsp[-3].str),(yyvsp[-2].str),mm_strdup("is"),(yyvsp[0].str));
}
#line 33249 "preproc.c" /* yacc.c:1646  */
    break;

  case 794:
#line 5370 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("comment on constraint"),(yyvsp[-4].str),mm_strdup("on"),(yyvsp[-2].str),mm_strdup("is"),(yyvsp[0].str));
}
#line 33257 "preproc.c" /* yacc.c:1646  */
    break;

  case 795:
#line 5374 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("comment on rule"),(yyvsp[-4].str),mm_strdup("on"),(yyvsp[-2].str),mm_strdup("is"),(yyvsp[0].str));
}
#line 33265 "preproc.c" /* yacc.c:1646  */
    break;

  case 796:
#line 5378 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("comment on rule"),(yyvsp[-2].str),mm_strdup("is"),(yyvsp[0].str));
}
#line 33273 "preproc.c" /* yacc.c:1646  */
    break;

  case 797:
#line 5382 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("comment on trigger"),(yyvsp[-4].str),mm_strdup("on"),(yyvsp[-2].str),mm_strdup("is"),(yyvsp[0].str));
}
#line 33281 "preproc.c" /* yacc.c:1646  */
    break;

  case 798:
#line 5386 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("comment on operator class"),(yyvsp[-4].str),mm_strdup("using"),(yyvsp[-2].str),mm_strdup("is"),(yyvsp[0].str));
}
#line 33289 "preproc.c" /* yacc.c:1646  */
    break;

  case 799:
#line 5390 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("comment on operator family"),(yyvsp[-4].str),mm_strdup("using"),(yyvsp[-2].str),mm_strdup("is"),(yyvsp[0].str));
}
#line 33297 "preproc.c" /* yacc.c:1646  */
    break;

  case 800:
#line 5394 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("comment on large object"),(yyvsp[-2].str),mm_strdup("is"),(yyvsp[0].str));
}
#line 33305 "preproc.c" /* yacc.c:1646  */
    break;

  case 801:
#line 5398 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("comment on cast ("),(yyvsp[-5].str),mm_strdup("as"),(yyvsp[-3].str),mm_strdup(") is"),(yyvsp[0].str));
}
#line 33313 "preproc.c" /* yacc.c:1646  */
    break;

  case 802:
#line 5402 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("comment on"),(yyvsp[-4].str),mm_strdup("language"),(yyvsp[-2].str),mm_strdup("is"),(yyvsp[0].str));
}
#line 33321 "preproc.c" /* yacc.c:1646  */
    break;

  case 803:
#line 5410 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("column");
}
#line 33329 "preproc.c" /* yacc.c:1646  */
    break;

  case 804:
#line 5414 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("database");
}
#line 33337 "preproc.c" /* yacc.c:1646  */
    break;

  case 805:
#line 5418 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("schema");
}
#line 33345 "preproc.c" /* yacc.c:1646  */
    break;

  case 806:
#line 5422 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("index");
}
#line 33353 "preproc.c" /* yacc.c:1646  */
    break;

  case 807:
#line 5426 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("sequence");
}
#line 33361 "preproc.c" /* yacc.c:1646  */
    break;

  case 808:
#line 5430 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("table");
}
#line 33369 "preproc.c" /* yacc.c:1646  */
    break;

  case 809:
#line 5434 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("domain");
}
#line 33377 "preproc.c" /* yacc.c:1646  */
    break;

  case 810:
#line 5438 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("type");
}
#line 33385 "preproc.c" /* yacc.c:1646  */
    break;

  case 811:
#line 5442 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("view");
}
#line 33393 "preproc.c" /* yacc.c:1646  */
    break;

  case 812:
#line 5446 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("materialized view");
}
#line 33401 "preproc.c" /* yacc.c:1646  */
    break;

  case 813:
#line 5450 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("collation");
}
#line 33409 "preproc.c" /* yacc.c:1646  */
    break;

  case 814:
#line 5454 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("conversion");
}
#line 33417 "preproc.c" /* yacc.c:1646  */
    break;

  case 815:
#line 5458 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("tablespace");
}
#line 33425 "preproc.c" /* yacc.c:1646  */
    break;

  case 816:
#line 5462 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("extension");
}
#line 33433 "preproc.c" /* yacc.c:1646  */
    break;

  case 817:
#line 5466 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("role");
}
#line 33441 "preproc.c" /* yacc.c:1646  */
    break;

  case 818:
#line 5470 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("foreign table");
}
#line 33449 "preproc.c" /* yacc.c:1646  */
    break;

  case 819:
#line 5474 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("server");
}
#line 33457 "preproc.c" /* yacc.c:1646  */
    break;

  case 820:
#line 5478 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("foreign data wrapper");
}
#line 33465 "preproc.c" /* yacc.c:1646  */
    break;

  case 821:
#line 5482 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("event trigger");
}
#line 33473 "preproc.c" /* yacc.c:1646  */
    break;

  case 822:
#line 5486 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("text search configuration");
}
#line 33481 "preproc.c" /* yacc.c:1646  */
    break;

  case 823:
#line 5490 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("text search dictionary");
}
#line 33489 "preproc.c" /* yacc.c:1646  */
    break;

  case 824:
#line 5494 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("text search parser");
}
#line 33497 "preproc.c" /* yacc.c:1646  */
    break;

  case 825:
#line 5498 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("text search template");
}
#line 33505 "preproc.c" /* yacc.c:1646  */
    break;

  case 826:
#line 5506 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 33513 "preproc.c" /* yacc.c:1646  */
    break;

  case 827:
#line 5510 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("null");
}
#line 33521 "preproc.c" /* yacc.c:1646  */
    break;

  case 828:
#line 5518 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(7,mm_strdup("security label"),(yyvsp[-5].str),mm_strdup("on"),(yyvsp[-3].str),(yyvsp[-2].str),mm_strdup("is"),(yyvsp[0].str));
}
#line 33529 "preproc.c" /* yacc.c:1646  */
    break;

  case 829:
#line 5522 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(7,mm_strdup("security label"),(yyvsp[-6].str),mm_strdup("on aggregate"),(yyvsp[-3].str),(yyvsp[-2].str),mm_strdup("is"),(yyvsp[0].str));
}
#line 33537 "preproc.c" /* yacc.c:1646  */
    break;

  case 830:
#line 5526 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(7,mm_strdup("security label"),(yyvsp[-6].str),mm_strdup("on function"),(yyvsp[-3].str),(yyvsp[-2].str),mm_strdup("is"),(yyvsp[0].str));
}
#line 33545 "preproc.c" /* yacc.c:1646  */
    break;

  case 831:
#line 5530 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("security label"),(yyvsp[-6].str),mm_strdup("on large object"),(yyvsp[-2].str),mm_strdup("is"),(yyvsp[0].str));
}
#line 33553 "preproc.c" /* yacc.c:1646  */
    break;

  case 832:
#line 5534 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(8,mm_strdup("security label"),(yyvsp[-6].str),mm_strdup("on"),(yyvsp[-4].str),mm_strdup("language"),(yyvsp[-2].str),mm_strdup("is"),(yyvsp[0].str));
}
#line 33561 "preproc.c" /* yacc.c:1646  */
    break;

  case 833:
#line 5542 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("for"),(yyvsp[0].str));
}
#line 33569 "preproc.c" /* yacc.c:1646  */
    break;

  case 834:
#line 5546 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 33576 "preproc.c" /* yacc.c:1646  */
    break;

  case 835:
#line 5553 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("column");
}
#line 33584 "preproc.c" /* yacc.c:1646  */
    break;

  case 836:
#line 5557 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("database");
}
#line 33592 "preproc.c" /* yacc.c:1646  */
    break;

  case 837:
#line 5561 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("event trigger");
}
#line 33600 "preproc.c" /* yacc.c:1646  */
    break;

  case 838:
#line 5565 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("foreign table");
}
#line 33608 "preproc.c" /* yacc.c:1646  */
    break;

  case 839:
#line 5569 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("schema");
}
#line 33616 "preproc.c" /* yacc.c:1646  */
    break;

  case 840:
#line 5573 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("sequence");
}
#line 33624 "preproc.c" /* yacc.c:1646  */
    break;

  case 841:
#line 5577 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("table");
}
#line 33632 "preproc.c" /* yacc.c:1646  */
    break;

  case 842:
#line 5581 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("domain");
}
#line 33640 "preproc.c" /* yacc.c:1646  */
    break;

  case 843:
#line 5585 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("role");
}
#line 33648 "preproc.c" /* yacc.c:1646  */
    break;

  case 844:
#line 5589 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("tablespace");
}
#line 33656 "preproc.c" /* yacc.c:1646  */
    break;

  case 845:
#line 5593 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("type");
}
#line 33664 "preproc.c" /* yacc.c:1646  */
    break;

  case 846:
#line 5597 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("view");
}
#line 33672 "preproc.c" /* yacc.c:1646  */
    break;

  case 847:
#line 5601 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("materialized view");
}
#line 33680 "preproc.c" /* yacc.c:1646  */
    break;

  case 848:
#line 5609 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 33688 "preproc.c" /* yacc.c:1646  */
    break;

  case 849:
#line 5613 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("null");
}
#line 33696 "preproc.c" /* yacc.c:1646  */
    break;

  case 850:
#line 5621 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("fetch"),(yyvsp[0].str));
}
#line 33704 "preproc.c" /* yacc.c:1646  */
    break;

  case 851:
#line 5625 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("move"),(yyvsp[0].str));
}
#line 33712 "preproc.c" /* yacc.c:1646  */
    break;

  case 852:
#line 5629 "preproc.y" /* yacc.c:1646  */
    {
		(yyval.str) = cat2_str(mm_strdup("fetch"), (yyvsp[-1].str));
	}
#line 33720 "preproc.c" /* yacc.c:1646  */
    break;

  case 853:
#line 5633 "preproc.y" /* yacc.c:1646  */
    {
		char *cursor_marker = (yyvsp[-1].str)[0] == ':' ? mm_strdup("$0") : (yyvsp[-1].str);
		add_additional_variables((yyvsp[-1].str), false);
		(yyval.str) = cat_str(2, mm_strdup("fetch forward"), cursor_marker);
	}
#line 33730 "preproc.c" /* yacc.c:1646  */
    break;

  case 854:
#line 5639 "preproc.y" /* yacc.c:1646  */
    {
		char *cursor_marker = (yyvsp[-1].str)[0] == ':' ? mm_strdup("$0") : (yyvsp[-1].str);
		add_additional_variables((yyvsp[-1].str), false);
		(yyval.str) = cat_str(2, mm_strdup("fetch forward from"), cursor_marker);
	}
#line 33740 "preproc.c" /* yacc.c:1646  */
    break;

  case 855:
#line 5645 "preproc.y" /* yacc.c:1646  */
    {
		char *cursor_marker = (yyvsp[-1].str)[0] == ':' ? mm_strdup("$0") : (yyvsp[-1].str);
		add_additional_variables((yyvsp[-1].str), false);
		(yyval.str) = cat_str(2, mm_strdup("fetch backward"), cursor_marker);
	}
#line 33750 "preproc.c" /* yacc.c:1646  */
    break;

  case 856:
#line 5651 "preproc.y" /* yacc.c:1646  */
    {
		char *cursor_marker = (yyvsp[-1].str)[0] == ':' ? mm_strdup("$0") : (yyvsp[-1].str);
		add_additional_variables((yyvsp[-1].str), false);
		(yyval.str) = cat_str(2, mm_strdup("fetch backward from"), cursor_marker);
	}
#line 33760 "preproc.c" /* yacc.c:1646  */
    break;

  case 857:
#line 5657 "preproc.y" /* yacc.c:1646  */
    {
		char *cursor_marker = (yyvsp[0].str)[0] == ':' ? mm_strdup("$0") : (yyvsp[0].str);
		add_additional_variables((yyvsp[0].str), false);
		(yyval.str) = cat_str(2, mm_strdup("move forward"), cursor_marker);
	}
#line 33770 "preproc.c" /* yacc.c:1646  */
    break;

  case 858:
#line 5663 "preproc.y" /* yacc.c:1646  */
    {
		char *cursor_marker = (yyvsp[0].str)[0] == ':' ? mm_strdup("$0") : (yyvsp[0].str);
		add_additional_variables((yyvsp[0].str), false);
		(yyval.str) = cat_str(2, mm_strdup("move forward from"), cursor_marker);
	}
#line 33780 "preproc.c" /* yacc.c:1646  */
    break;

  case 859:
#line 5669 "preproc.y" /* yacc.c:1646  */
    {
		char *cursor_marker = (yyvsp[0].str)[0] == ':' ? mm_strdup("$0") : (yyvsp[0].str);
		add_additional_variables((yyvsp[0].str), false);
		(yyval.str) = cat_str(2, mm_strdup("move backward"), cursor_marker);
	}
#line 33790 "preproc.c" /* yacc.c:1646  */
    break;

  case 860:
#line 5675 "preproc.y" /* yacc.c:1646  */
    {
		char *cursor_marker = (yyvsp[0].str)[0] == ':' ? mm_strdup("$0") : (yyvsp[0].str);
		add_additional_variables((yyvsp[0].str), false);
		(yyval.str) = cat_str(2, mm_strdup("move backward from"), cursor_marker);
	}
#line 33800 "preproc.c" /* yacc.c:1646  */
    break;

  case 861:
#line 5685 "preproc.y" /* yacc.c:1646  */
    { 
		add_additional_variables((yyvsp[0].str), false);
		if ((yyvsp[0].str)[0] == ':')
		{
			free((yyvsp[0].str));
			(yyvsp[0].str) = mm_strdup("$0");
		}

 (yyval.str) = (yyvsp[0].str);
}
#line 33815 "preproc.c" /* yacc.c:1646  */
    break;

  case 862:
#line 5696 "preproc.y" /* yacc.c:1646  */
    { 
		add_additional_variables((yyvsp[0].str), false);
		if ((yyvsp[0].str)[0] == ':')
		{
			free((yyvsp[0].str));
			(yyvsp[0].str) = mm_strdup("$0");
		}

 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 33830 "preproc.c" /* yacc.c:1646  */
    break;

  case 863:
#line 5707 "preproc.y" /* yacc.c:1646  */
    { 
		add_additional_variables((yyvsp[0].str), false);
		if ((yyvsp[0].str)[0] == ':')
		{
			free((yyvsp[0].str));
			(yyvsp[0].str) = mm_strdup("$0");
		}

 (yyval.str) = cat_str(3,mm_strdup("next"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 33845 "preproc.c" /* yacc.c:1646  */
    break;

  case 864:
#line 5718 "preproc.y" /* yacc.c:1646  */
    { 
		add_additional_variables((yyvsp[0].str), false);
		if ((yyvsp[0].str)[0] == ':')
		{
			free((yyvsp[0].str));
			(yyvsp[0].str) = mm_strdup("$0");
		}

 (yyval.str) = cat_str(3,mm_strdup("prior"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 33860 "preproc.c" /* yacc.c:1646  */
    break;

  case 865:
#line 5729 "preproc.y" /* yacc.c:1646  */
    { 
		add_additional_variables((yyvsp[0].str), false);
		if ((yyvsp[0].str)[0] == ':')
		{
			free((yyvsp[0].str));
			(yyvsp[0].str) = mm_strdup("$0");
		}

 (yyval.str) = cat_str(3,mm_strdup("first"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 33875 "preproc.c" /* yacc.c:1646  */
    break;

  case 866:
#line 5740 "preproc.y" /* yacc.c:1646  */
    { 
		add_additional_variables((yyvsp[0].str), false);
		if ((yyvsp[0].str)[0] == ':')
		{
			free((yyvsp[0].str));
			(yyvsp[0].str) = mm_strdup("$0");
		}

 (yyval.str) = cat_str(3,mm_strdup("last"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 33890 "preproc.c" /* yacc.c:1646  */
    break;

  case 867:
#line 5751 "preproc.y" /* yacc.c:1646  */
    { 
		add_additional_variables((yyvsp[0].str), false);
		if ((yyvsp[0].str)[0] == ':')
		{
			free((yyvsp[0].str));
			(yyvsp[0].str) = mm_strdup("$0");
		}
		if ((yyvsp[-2].str)[0] == '$')
		{
			free((yyvsp[-2].str));
			(yyvsp[-2].str) = mm_strdup("$0");
		}

 (yyval.str) = cat_str(4,mm_strdup("absolute"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 33910 "preproc.c" /* yacc.c:1646  */
    break;

  case 868:
#line 5767 "preproc.y" /* yacc.c:1646  */
    { 
		add_additional_variables((yyvsp[0].str), false);
		if ((yyvsp[0].str)[0] == ':')
		{
			free((yyvsp[0].str));
			(yyvsp[0].str) = mm_strdup("$0");
		}
		if ((yyvsp[-2].str)[0] == '$')
		{
			free((yyvsp[-2].str));
			(yyvsp[-2].str) = mm_strdup("$0");
		}

 (yyval.str) = cat_str(4,mm_strdup("relative"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 33930 "preproc.c" /* yacc.c:1646  */
    break;

  case 869:
#line 5783 "preproc.y" /* yacc.c:1646  */
    { 
		add_additional_variables((yyvsp[0].str), false);
		if ((yyvsp[0].str)[0] == ':')
		{
			free((yyvsp[0].str));
			(yyvsp[0].str) = mm_strdup("$0");
		}
		if ((yyvsp[-2].str)[0] == '$')
		{
			free((yyvsp[-2].str));
			(yyvsp[-2].str) = mm_strdup("$0");
		}

 (yyval.str) = cat_str(3,(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 33950 "preproc.c" /* yacc.c:1646  */
    break;

  case 870:
#line 5799 "preproc.y" /* yacc.c:1646  */
    { 
		add_additional_variables((yyvsp[0].str), false);
		if ((yyvsp[0].str)[0] == ':')
		{
			free((yyvsp[0].str));
			(yyvsp[0].str) = mm_strdup("$0");
		}

 (yyval.str) = cat_str(3,mm_strdup("all"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 33965 "preproc.c" /* yacc.c:1646  */
    break;

  case 871:
#line 5810 "preproc.y" /* yacc.c:1646  */
    { 
		add_additional_variables((yyvsp[0].str), false);
		if ((yyvsp[0].str)[0] == ':')
		{
			free((yyvsp[0].str));
			(yyvsp[0].str) = mm_strdup("$0");
		}
		if ((yyvsp[-2].str)[0] == '$')
		{
			free((yyvsp[-2].str));
			(yyvsp[-2].str) = mm_strdup("$0");
		}

 (yyval.str) = cat_str(4,mm_strdup("forward"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 33985 "preproc.c" /* yacc.c:1646  */
    break;

  case 872:
#line 5826 "preproc.y" /* yacc.c:1646  */
    { 
		add_additional_variables((yyvsp[0].str), false);
		if ((yyvsp[0].str)[0] == ':')
		{
			free((yyvsp[0].str));
			(yyvsp[0].str) = mm_strdup("$0");
		}

 (yyval.str) = cat_str(3,mm_strdup("forward all"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 34000 "preproc.c" /* yacc.c:1646  */
    break;

  case 873:
#line 5837 "preproc.y" /* yacc.c:1646  */
    { 
		add_additional_variables((yyvsp[0].str), false);
		if ((yyvsp[0].str)[0] == ':')
		{
			free((yyvsp[0].str));
			(yyvsp[0].str) = mm_strdup("$0");
		}
		if ((yyvsp[-2].str)[0] == '$')
		{
			free((yyvsp[-2].str));
			(yyvsp[-2].str) = mm_strdup("$0");
		}

 (yyval.str) = cat_str(4,mm_strdup("backward"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 34020 "preproc.c" /* yacc.c:1646  */
    break;

  case 874:
#line 5853 "preproc.y" /* yacc.c:1646  */
    { 
		add_additional_variables((yyvsp[0].str), false);
		if ((yyvsp[0].str)[0] == ':')
		{
			free((yyvsp[0].str));
			(yyvsp[0].str) = mm_strdup("$0");
		}

 (yyval.str) = cat_str(3,mm_strdup("backward all"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 34035 "preproc.c" /* yacc.c:1646  */
    break;

  case 875:
#line 5868 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("from");
}
#line 34043 "preproc.c" /* yacc.c:1646  */
    break;

  case 876:
#line 5872 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("in");
}
#line 34051 "preproc.c" /* yacc.c:1646  */
    break;

  case 877:
#line 5880 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 34059 "preproc.c" /* yacc.c:1646  */
    break;

  case 878:
#line 5884 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 34066 "preproc.c" /* yacc.c:1646  */
    break;

  case 879:
#line 5891 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(7,mm_strdup("grant"),(yyvsp[-5].str),mm_strdup("on"),(yyvsp[-3].str),mm_strdup("to"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 34074 "preproc.c" /* yacc.c:1646  */
    break;

  case 880:
#line 5899 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(7,mm_strdup("revoke"),(yyvsp[-5].str),mm_strdup("on"),(yyvsp[-3].str),mm_strdup("from"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 34082 "preproc.c" /* yacc.c:1646  */
    break;

  case 881:
#line 5903 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(7,mm_strdup("revoke grant option for"),(yyvsp[-5].str),mm_strdup("on"),(yyvsp[-3].str),mm_strdup("from"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 34090 "preproc.c" /* yacc.c:1646  */
    break;

  case 882:
#line 5911 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 34098 "preproc.c" /* yacc.c:1646  */
    break;

  case 883:
#line 5915 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("all");
}
#line 34106 "preproc.c" /* yacc.c:1646  */
    break;

  case 884:
#line 5919 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("all privileges");
}
#line 34114 "preproc.c" /* yacc.c:1646  */
    break;

  case 885:
#line 5923 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("all ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 34122 "preproc.c" /* yacc.c:1646  */
    break;

  case 886:
#line 5927 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("all privileges ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 34130 "preproc.c" /* yacc.c:1646  */
    break;

  case 887:
#line 5935 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 34138 "preproc.c" /* yacc.c:1646  */
    break;

  case 888:
#line 5939 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 34146 "preproc.c" /* yacc.c:1646  */
    break;

  case 889:
#line 5947 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("select"),(yyvsp[0].str));
}
#line 34154 "preproc.c" /* yacc.c:1646  */
    break;

  case 890:
#line 5951 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("references"),(yyvsp[0].str));
}
#line 34162 "preproc.c" /* yacc.c:1646  */
    break;

  case 891:
#line 5955 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("create"),(yyvsp[0].str));
}
#line 34170 "preproc.c" /* yacc.c:1646  */
    break;

  case 892:
#line 5959 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 34178 "preproc.c" /* yacc.c:1646  */
    break;

  case 893:
#line 5967 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 34186 "preproc.c" /* yacc.c:1646  */
    break;

  case 894:
#line 5971 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("table"),(yyvsp[0].str));
}
#line 34194 "preproc.c" /* yacc.c:1646  */
    break;

  case 895:
#line 5975 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("sequence"),(yyvsp[0].str));
}
#line 34202 "preproc.c" /* yacc.c:1646  */
    break;

  case 896:
#line 5979 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("foreign data wrapper"),(yyvsp[0].str));
}
#line 34210 "preproc.c" /* yacc.c:1646  */
    break;

  case 897:
#line 5983 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("foreign server"),(yyvsp[0].str));
}
#line 34218 "preproc.c" /* yacc.c:1646  */
    break;

  case 898:
#line 5987 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("function"),(yyvsp[0].str));
}
#line 34226 "preproc.c" /* yacc.c:1646  */
    break;

  case 899:
#line 5991 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("database"),(yyvsp[0].str));
}
#line 34234 "preproc.c" /* yacc.c:1646  */
    break;

  case 900:
#line 5995 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("domain"),(yyvsp[0].str));
}
#line 34242 "preproc.c" /* yacc.c:1646  */
    break;

  case 901:
#line 5999 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("language"),(yyvsp[0].str));
}
#line 34250 "preproc.c" /* yacc.c:1646  */
    break;

  case 902:
#line 6003 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("large object"),(yyvsp[0].str));
}
#line 34258 "preproc.c" /* yacc.c:1646  */
    break;

  case 903:
#line 6007 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("schema"),(yyvsp[0].str));
}
#line 34266 "preproc.c" /* yacc.c:1646  */
    break;

  case 904:
#line 6011 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("tablespace"),(yyvsp[0].str));
}
#line 34274 "preproc.c" /* yacc.c:1646  */
    break;

  case 905:
#line 6015 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("type"),(yyvsp[0].str));
}
#line 34282 "preproc.c" /* yacc.c:1646  */
    break;

  case 906:
#line 6019 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("all tables in schema"),(yyvsp[0].str));
}
#line 34290 "preproc.c" /* yacc.c:1646  */
    break;

  case 907:
#line 6023 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("all sequences in schema"),(yyvsp[0].str));
}
#line 34298 "preproc.c" /* yacc.c:1646  */
    break;

  case 908:
#line 6027 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("all functions in schema"),(yyvsp[0].str));
}
#line 34306 "preproc.c" /* yacc.c:1646  */
    break;

  case 909:
#line 6035 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 34314 "preproc.c" /* yacc.c:1646  */
    break;

  case 910:
#line 6039 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 34322 "preproc.c" /* yacc.c:1646  */
    break;

  case 911:
#line 6047 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 34330 "preproc.c" /* yacc.c:1646  */
    break;

  case 912:
#line 6051 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("group"),(yyvsp[0].str));
}
#line 34338 "preproc.c" /* yacc.c:1646  */
    break;

  case 913:
#line 6059 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("with grant option");
}
#line 34346 "preproc.c" /* yacc.c:1646  */
    break;

  case 914:
#line 6063 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 34353 "preproc.c" /* yacc.c:1646  */
    break;

  case 915:
#line 6070 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 34361 "preproc.c" /* yacc.c:1646  */
    break;

  case 916:
#line 6074 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 34369 "preproc.c" /* yacc.c:1646  */
    break;

  case 917:
#line 6082 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 34377 "preproc.c" /* yacc.c:1646  */
    break;

  case 918:
#line 6090 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("grant"),(yyvsp[-4].str),mm_strdup("to"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 34385 "preproc.c" /* yacc.c:1646  */
    break;

  case 919:
#line 6098 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("revoke"),(yyvsp[-4].str),mm_strdup("from"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 34393 "preproc.c" /* yacc.c:1646  */
    break;

  case 920:
#line 6102 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("revoke admin option for"),(yyvsp[-4].str),mm_strdup("from"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 34401 "preproc.c" /* yacc.c:1646  */
    break;

  case 921:
#line 6110 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("with admin option");
}
#line 34409 "preproc.c" /* yacc.c:1646  */
    break;

  case 922:
#line 6114 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 34416 "preproc.c" /* yacc.c:1646  */
    break;

  case 923:
#line 6121 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("granted by"),(yyvsp[0].str));
}
#line 34424 "preproc.c" /* yacc.c:1646  */
    break;

  case 924:
#line 6125 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 34431 "preproc.c" /* yacc.c:1646  */
    break;

  case 925:
#line 6132 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("alter default privileges"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 34439 "preproc.c" /* yacc.c:1646  */
    break;

  case 926:
#line 6140 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 34447 "preproc.c" /* yacc.c:1646  */
    break;

  case 927:
#line 6144 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 34454 "preproc.c" /* yacc.c:1646  */
    break;

  case 928:
#line 6151 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("in schema"),(yyvsp[0].str));
}
#line 34462 "preproc.c" /* yacc.c:1646  */
    break;

  case 929:
#line 6155 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("for role"),(yyvsp[0].str));
}
#line 34470 "preproc.c" /* yacc.c:1646  */
    break;

  case 930:
#line 6159 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("for user"),(yyvsp[0].str));
}
#line 34478 "preproc.c" /* yacc.c:1646  */
    break;

  case 931:
#line 6167 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(7,mm_strdup("grant"),(yyvsp[-5].str),mm_strdup("on"),(yyvsp[-3].str),mm_strdup("to"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 34486 "preproc.c" /* yacc.c:1646  */
    break;

  case 932:
#line 6171 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(7,mm_strdup("revoke"),(yyvsp[-5].str),mm_strdup("on"),(yyvsp[-3].str),mm_strdup("from"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 34494 "preproc.c" /* yacc.c:1646  */
    break;

  case 933:
#line 6175 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(7,mm_strdup("revoke grant option for"),(yyvsp[-5].str),mm_strdup("on"),(yyvsp[-3].str),mm_strdup("from"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 34502 "preproc.c" /* yacc.c:1646  */
    break;

  case 934:
#line 6183 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("tables");
}
#line 34510 "preproc.c" /* yacc.c:1646  */
    break;

  case 935:
#line 6187 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("functions");
}
#line 34518 "preproc.c" /* yacc.c:1646  */
    break;

  case 936:
#line 6191 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("sequences");
}
#line 34526 "preproc.c" /* yacc.c:1646  */
    break;

  case 937:
#line 6195 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("types");
}
#line 34534 "preproc.c" /* yacc.c:1646  */
    break;

  case 938:
#line 6203 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(14,mm_strdup("create"),(yyvsp[-12].str),mm_strdup("index"),(yyvsp[-10].str),(yyvsp[-9].str),mm_strdup("on"),(yyvsp[-7].str),(yyvsp[-6].str),mm_strdup("("),(yyvsp[-4].str),mm_strdup(")"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 34542 "preproc.c" /* yacc.c:1646  */
    break;

  case 939:
#line 6211 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("unique");
}
#line 34550 "preproc.c" /* yacc.c:1646  */
    break;

  case 940:
#line 6215 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 34557 "preproc.c" /* yacc.c:1646  */
    break;

  case 941:
#line 6222 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("concurrently");
}
#line 34565 "preproc.c" /* yacc.c:1646  */
    break;

  case 942:
#line 6226 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 34572 "preproc.c" /* yacc.c:1646  */
    break;

  case 943:
#line 6233 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 34580 "preproc.c" /* yacc.c:1646  */
    break;

  case 944:
#line 6237 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 34587 "preproc.c" /* yacc.c:1646  */
    break;

  case 945:
#line 6244 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("using"),(yyvsp[0].str));
}
#line 34595 "preproc.c" /* yacc.c:1646  */
    break;

  case 946:
#line 6248 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 34602 "preproc.c" /* yacc.c:1646  */
    break;

  case 947:
#line 6255 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 34610 "preproc.c" /* yacc.c:1646  */
    break;

  case 948:
#line 6259 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 34618 "preproc.c" /* yacc.c:1646  */
    break;

  case 949:
#line 6267 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,(yyvsp[-4].str),(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 34626 "preproc.c" /* yacc.c:1646  */
    break;

  case 950:
#line 6271 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,(yyvsp[-4].str),(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 34634 "preproc.c" /* yacc.c:1646  */
    break;

  case 951:
#line 6275 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(7,mm_strdup("("),(yyvsp[-5].str),mm_strdup(")"),(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 34642 "preproc.c" /* yacc.c:1646  */
    break;

  case 952:
#line 6283 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("collate"),(yyvsp[0].str));
}
#line 34650 "preproc.c" /* yacc.c:1646  */
    break;

  case 953:
#line 6287 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 34657 "preproc.c" /* yacc.c:1646  */
    break;

  case 954:
#line 6294 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 34665 "preproc.c" /* yacc.c:1646  */
    break;

  case 955:
#line 6298 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("using"),(yyvsp[0].str));
}
#line 34673 "preproc.c" /* yacc.c:1646  */
    break;

  case 956:
#line 6302 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 34680 "preproc.c" /* yacc.c:1646  */
    break;

  case 957:
#line 6309 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("asc");
}
#line 34688 "preproc.c" /* yacc.c:1646  */
    break;

  case 958:
#line 6313 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("desc");
}
#line 34696 "preproc.c" /* yacc.c:1646  */
    break;

  case 959:
#line 6317 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 34703 "preproc.c" /* yacc.c:1646  */
    break;

  case 960:
#line 6324 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("nulls first");
}
#line 34711 "preproc.c" /* yacc.c:1646  */
    break;

  case 961:
#line 6328 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("nulls last");
}
#line 34719 "preproc.c" /* yacc.c:1646  */
    break;

  case 962:
#line 6332 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 34726 "preproc.c" /* yacc.c:1646  */
    break;

  case 963:
#line 6339 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(9,mm_strdup("create"),(yyvsp[-7].str),mm_strdup("function"),(yyvsp[-5].str),(yyvsp[-4].str),mm_strdup("returns"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 34734 "preproc.c" /* yacc.c:1646  */
    break;

  case 964:
#line 6343 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(10,mm_strdup("create"),(yyvsp[-10].str),mm_strdup("function"),(yyvsp[-8].str),(yyvsp[-7].str),mm_strdup("returns table ("),(yyvsp[-3].str),mm_strdup(")"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 34742 "preproc.c" /* yacc.c:1646  */
    break;

  case 965:
#line 6347 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(7,mm_strdup("create"),(yyvsp[-5].str),mm_strdup("function"),(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 34750 "preproc.c" /* yacc.c:1646  */
    break;

  case 966:
#line 6355 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("or replace");
}
#line 34758 "preproc.c" /* yacc.c:1646  */
    break;

  case 967:
#line 6359 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 34765 "preproc.c" /* yacc.c:1646  */
    break;

  case 968:
#line 6366 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 34773 "preproc.c" /* yacc.c:1646  */
    break;

  case 969:
#line 6370 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("( )");
}
#line 34781 "preproc.c" /* yacc.c:1646  */
    break;

  case 970:
#line 6378 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 34789 "preproc.c" /* yacc.c:1646  */
    break;

  case 971:
#line 6382 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 34797 "preproc.c" /* yacc.c:1646  */
    break;

  case 972:
#line 6390 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 34805 "preproc.c" /* yacc.c:1646  */
    break;

  case 973:
#line 6394 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("( )");
}
#line 34813 "preproc.c" /* yacc.c:1646  */
    break;

  case 974:
#line 6402 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 34821 "preproc.c" /* yacc.c:1646  */
    break;

  case 975:
#line 6406 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 34829 "preproc.c" /* yacc.c:1646  */
    break;

  case 976:
#line 6414 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 34837 "preproc.c" /* yacc.c:1646  */
    break;

  case 977:
#line 6418 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 34845 "preproc.c" /* yacc.c:1646  */
    break;

  case 978:
#line 6422 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 34853 "preproc.c" /* yacc.c:1646  */
    break;

  case 979:
#line 6426 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 34861 "preproc.c" /* yacc.c:1646  */
    break;

  case 980:
#line 6430 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 34869 "preproc.c" /* yacc.c:1646  */
    break;

  case 981:
#line 6438 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("in");
}
#line 34877 "preproc.c" /* yacc.c:1646  */
    break;

  case 982:
#line 6442 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("out");
}
#line 34885 "preproc.c" /* yacc.c:1646  */
    break;

  case 983:
#line 6446 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("inout");
}
#line 34893 "preproc.c" /* yacc.c:1646  */
    break;

  case 984:
#line 6450 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("in out");
}
#line 34901 "preproc.c" /* yacc.c:1646  */
    break;

  case 985:
#line 6454 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("variadic");
}
#line 34909 "preproc.c" /* yacc.c:1646  */
    break;

  case 986:
#line 6462 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 34917 "preproc.c" /* yacc.c:1646  */
    break;

  case 987:
#line 6470 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 34925 "preproc.c" /* yacc.c:1646  */
    break;

  case 988:
#line 6478 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 34933 "preproc.c" /* yacc.c:1646  */
    break;

  case 989:
#line 6482 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-3].str),(yyvsp[-2].str),mm_strdup("% type"));
}
#line 34941 "preproc.c" /* yacc.c:1646  */
    break;

  case 990:
#line 6486 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("setof"),(yyvsp[-3].str),(yyvsp[-2].str),mm_strdup("% type"));
}
#line 34949 "preproc.c" /* yacc.c:1646  */
    break;

  case 991:
#line 6494 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 34957 "preproc.c" /* yacc.c:1646  */
    break;

  case 992:
#line 6498 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("default"),(yyvsp[0].str));
}
#line 34965 "preproc.c" /* yacc.c:1646  */
    break;

  case 993:
#line 6502 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("="),(yyvsp[0].str));
}
#line 34973 "preproc.c" /* yacc.c:1646  */
    break;

  case 994:
#line 6510 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 34981 "preproc.c" /* yacc.c:1646  */
    break;

  case 995:
#line 6514 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 34989 "preproc.c" /* yacc.c:1646  */
    break;

  case 996:
#line 6522 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("called on null input");
}
#line 34997 "preproc.c" /* yacc.c:1646  */
    break;

  case 997:
#line 6526 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("returns null on null input");
}
#line 35005 "preproc.c" /* yacc.c:1646  */
    break;

  case 998:
#line 6530 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("strict");
}
#line 35013 "preproc.c" /* yacc.c:1646  */
    break;

  case 999:
#line 6534 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("immutable");
}
#line 35021 "preproc.c" /* yacc.c:1646  */
    break;

  case 1000:
#line 6538 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("stable");
}
#line 35029 "preproc.c" /* yacc.c:1646  */
    break;

  case 1001:
#line 6542 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("volatile");
}
#line 35037 "preproc.c" /* yacc.c:1646  */
    break;

  case 1002:
#line 6546 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("external security definer");
}
#line 35045 "preproc.c" /* yacc.c:1646  */
    break;

  case 1003:
#line 6550 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("external security invoker");
}
#line 35053 "preproc.c" /* yacc.c:1646  */
    break;

  case 1004:
#line 6554 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("security definer");
}
#line 35061 "preproc.c" /* yacc.c:1646  */
    break;

  case 1005:
#line 6558 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("security invoker");
}
#line 35069 "preproc.c" /* yacc.c:1646  */
    break;

  case 1006:
#line 6562 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("leakproof");
}
#line 35077 "preproc.c" /* yacc.c:1646  */
    break;

  case 1007:
#line 6566 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("not leakproof");
}
#line 35085 "preproc.c" /* yacc.c:1646  */
    break;

  case 1008:
#line 6570 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("cost"),(yyvsp[0].str));
}
#line 35093 "preproc.c" /* yacc.c:1646  */
    break;

  case 1009:
#line 6574 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("rows"),(yyvsp[0].str));
}
#line 35101 "preproc.c" /* yacc.c:1646  */
    break;

  case 1010:
#line 6578 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 35109 "preproc.c" /* yacc.c:1646  */
    break;

  case 1011:
#line 6586 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("as"),(yyvsp[0].str));
}
#line 35117 "preproc.c" /* yacc.c:1646  */
    break;

  case 1012:
#line 6590 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("language"),(yyvsp[0].str));
}
#line 35125 "preproc.c" /* yacc.c:1646  */
    break;

  case 1013:
#line 6594 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("window");
}
#line 35133 "preproc.c" /* yacc.c:1646  */
    break;

  case 1014:
#line 6598 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 35141 "preproc.c" /* yacc.c:1646  */
    break;

  case 1015:
#line 6606 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 35149 "preproc.c" /* yacc.c:1646  */
    break;

  case 1016:
#line 6610 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 35157 "preproc.c" /* yacc.c:1646  */
    break;

  case 1017:
#line 6618 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("with"),(yyvsp[0].str));
}
#line 35165 "preproc.c" /* yacc.c:1646  */
    break;

  case 1018:
#line 6622 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 35172 "preproc.c" /* yacc.c:1646  */
    break;

  case 1019:
#line 6629 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 35180 "preproc.c" /* yacc.c:1646  */
    break;

  case 1020:
#line 6637 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 35188 "preproc.c" /* yacc.c:1646  */
    break;

  case 1021:
#line 6641 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 35196 "preproc.c" /* yacc.c:1646  */
    break;

  case 1022:
#line 6649 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter function"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 35204 "preproc.c" /* yacc.c:1646  */
    break;

  case 1023:
#line 6657 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 35212 "preproc.c" /* yacc.c:1646  */
    break;

  case 1024:
#line 6661 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 35220 "preproc.c" /* yacc.c:1646  */
    break;

  case 1025:
#line 6669 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("restrict");
}
#line 35228 "preproc.c" /* yacc.c:1646  */
    break;

  case 1026:
#line 6673 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 35235 "preproc.c" /* yacc.c:1646  */
    break;

  case 1027:
#line 6680 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("drop function"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 35243 "preproc.c" /* yacc.c:1646  */
    break;

  case 1028:
#line 6684 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("drop function if exists"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 35251 "preproc.c" /* yacc.c:1646  */
    break;

  case 1029:
#line 6692 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("drop aggregate"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 35259 "preproc.c" /* yacc.c:1646  */
    break;

  case 1030:
#line 6696 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("drop aggregate if exists"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 35267 "preproc.c" /* yacc.c:1646  */
    break;

  case 1031:
#line 6704 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("drop operator"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 35275 "preproc.c" /* yacc.c:1646  */
    break;

  case 1032:
#line 6708 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("drop operator if exists"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 35283 "preproc.c" /* yacc.c:1646  */
    break;

  case 1033:
#line 6716 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 35291 "preproc.c" /* yacc.c:1646  */
    break;

  case 1034:
#line 6720 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("("),(yyvsp[-3].str),mm_strdup(","),(yyvsp[-1].str),mm_strdup(")"));
}
#line 35299 "preproc.c" /* yacc.c:1646  */
    break;

  case 1035:
#line 6724 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("( none ,"),(yyvsp[-1].str),mm_strdup(")"));
}
#line 35307 "preproc.c" /* yacc.c:1646  */
    break;

  case 1036:
#line 6728 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("("),(yyvsp[-3].str),mm_strdup(", none )"));
}
#line 35315 "preproc.c" /* yacc.c:1646  */
    break;

  case 1037:
#line 6736 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 35323 "preproc.c" /* yacc.c:1646  */
    break;

  case 1038:
#line 6740 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("."),(yyvsp[0].str));
}
#line 35331 "preproc.c" /* yacc.c:1646  */
    break;

  case 1039:
#line 6748 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("do"),(yyvsp[0].str));
}
#line 35339 "preproc.c" /* yacc.c:1646  */
    break;

  case 1040:
#line 6756 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 35347 "preproc.c" /* yacc.c:1646  */
    break;

  case 1041:
#line 6760 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 35355 "preproc.c" /* yacc.c:1646  */
    break;

  case 1042:
#line 6768 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 35363 "preproc.c" /* yacc.c:1646  */
    break;

  case 1043:
#line 6772 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("language"),(yyvsp[0].str));
}
#line 35371 "preproc.c" /* yacc.c:1646  */
    break;

  case 1044:
#line 6780 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(7,mm_strdup("create cast ("),(yyvsp[-7].str),mm_strdup("as"),(yyvsp[-5].str),mm_strdup(") with function"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 35379 "preproc.c" /* yacc.c:1646  */
    break;

  case 1045:
#line 6784 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("create cast ("),(yyvsp[-6].str),mm_strdup("as"),(yyvsp[-4].str),mm_strdup(") without function"),(yyvsp[0].str));
}
#line 35387 "preproc.c" /* yacc.c:1646  */
    break;

  case 1046:
#line 6788 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("create cast ("),(yyvsp[-6].str),mm_strdup("as"),(yyvsp[-4].str),mm_strdup(") with inout"),(yyvsp[0].str));
}
#line 35395 "preproc.c" /* yacc.c:1646  */
    break;

  case 1047:
#line 6796 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("as implicit");
}
#line 35403 "preproc.c" /* yacc.c:1646  */
    break;

  case 1048:
#line 6800 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("as assignment");
}
#line 35411 "preproc.c" /* yacc.c:1646  */
    break;

  case 1049:
#line 6804 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 35418 "preproc.c" /* yacc.c:1646  */
    break;

  case 1050:
#line 6811 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(8,mm_strdup("drop cast"),(yyvsp[-6].str),mm_strdup("("),(yyvsp[-4].str),mm_strdup("as"),(yyvsp[-2].str),mm_strdup(")"),(yyvsp[0].str));
}
#line 35426 "preproc.c" /* yacc.c:1646  */
    break;

  case 1051:
#line 6819 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("if exists");
}
#line 35434 "preproc.c" /* yacc.c:1646  */
    break;

  case 1052:
#line 6823 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 35441 "preproc.c" /* yacc.c:1646  */
    break;

  case 1053:
#line 6830 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("reindex"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 35449 "preproc.c" /* yacc.c:1646  */
    break;

  case 1054:
#line 6834 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("reindex system"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 35457 "preproc.c" /* yacc.c:1646  */
    break;

  case 1055:
#line 6838 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("reindex database"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 35465 "preproc.c" /* yacc.c:1646  */
    break;

  case 1056:
#line 6846 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("index");
}
#line 35473 "preproc.c" /* yacc.c:1646  */
    break;

  case 1057:
#line 6850 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("table");
}
#line 35481 "preproc.c" /* yacc.c:1646  */
    break;

  case 1058:
#line 6858 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("force");
}
#line 35489 "preproc.c" /* yacc.c:1646  */
    break;

  case 1059:
#line 6862 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 35496 "preproc.c" /* yacc.c:1646  */
    break;

  case 1060:
#line 6869 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter aggregate"),(yyvsp[-4].str),(yyvsp[-3].str),mm_strdup("rename to"),(yyvsp[0].str));
}
#line 35504 "preproc.c" /* yacc.c:1646  */
    break;

  case 1061:
#line 6873 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter collation"),(yyvsp[-3].str),mm_strdup("rename to"),(yyvsp[0].str));
}
#line 35512 "preproc.c" /* yacc.c:1646  */
    break;

  case 1062:
#line 6877 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter conversion"),(yyvsp[-3].str),mm_strdup("rename to"),(yyvsp[0].str));
}
#line 35520 "preproc.c" /* yacc.c:1646  */
    break;

  case 1063:
#line 6881 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter database"),(yyvsp[-3].str),mm_strdup("rename to"),(yyvsp[0].str));
}
#line 35528 "preproc.c" /* yacc.c:1646  */
    break;

  case 1064:
#line 6885 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter domain"),(yyvsp[-3].str),mm_strdup("rename to"),(yyvsp[0].str));
}
#line 35536 "preproc.c" /* yacc.c:1646  */
    break;

  case 1065:
#line 6889 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("alter domain"),(yyvsp[-5].str),mm_strdup("rename constraint"),(yyvsp[-2].str),mm_strdup("to"),(yyvsp[0].str));
}
#line 35544 "preproc.c" /* yacc.c:1646  */
    break;

  case 1066:
#line 6893 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter foreign data wrapper"),(yyvsp[-3].str),mm_strdup("rename to"),(yyvsp[0].str));
}
#line 35552 "preproc.c" /* yacc.c:1646  */
    break;

  case 1067:
#line 6897 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter function"),(yyvsp[-3].str),mm_strdup("rename to"),(yyvsp[0].str));
}
#line 35560 "preproc.c" /* yacc.c:1646  */
    break;

  case 1068:
#line 6901 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter group"),(yyvsp[-3].str),mm_strdup("rename to"),(yyvsp[0].str));
}
#line 35568 "preproc.c" /* yacc.c:1646  */
    break;

  case 1069:
#line 6905 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("alter"),(yyvsp[-5].str),mm_strdup("language"),(yyvsp[-3].str),mm_strdup("rename to"),(yyvsp[0].str));
}
#line 35576 "preproc.c" /* yacc.c:1646  */
    break;

  case 1070:
#line 6909 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("alter operator class"),(yyvsp[-5].str),mm_strdup("using"),(yyvsp[-3].str),mm_strdup("rename to"),(yyvsp[0].str));
}
#line 35584 "preproc.c" /* yacc.c:1646  */
    break;

  case 1071:
#line 6913 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("alter operator family"),(yyvsp[-5].str),mm_strdup("using"),(yyvsp[-3].str),mm_strdup("rename to"),(yyvsp[0].str));
}
#line 35592 "preproc.c" /* yacc.c:1646  */
    break;

  case 1072:
#line 6917 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter schema"),(yyvsp[-3].str),mm_strdup("rename to"),(yyvsp[0].str));
}
#line 35600 "preproc.c" /* yacc.c:1646  */
    break;

  case 1073:
#line 6921 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter server"),(yyvsp[-3].str),mm_strdup("rename to"),(yyvsp[0].str));
}
#line 35608 "preproc.c" /* yacc.c:1646  */
    break;

  case 1074:
#line 6925 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter table"),(yyvsp[-3].str),mm_strdup("rename to"),(yyvsp[0].str));
}
#line 35616 "preproc.c" /* yacc.c:1646  */
    break;

  case 1075:
#line 6929 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter table if exists"),(yyvsp[-3].str),mm_strdup("rename to"),(yyvsp[0].str));
}
#line 35624 "preproc.c" /* yacc.c:1646  */
    break;

  case 1076:
#line 6933 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter sequence"),(yyvsp[-3].str),mm_strdup("rename to"),(yyvsp[0].str));
}
#line 35632 "preproc.c" /* yacc.c:1646  */
    break;

  case 1077:
#line 6937 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter sequence if exists"),(yyvsp[-3].str),mm_strdup("rename to"),(yyvsp[0].str));
}
#line 35640 "preproc.c" /* yacc.c:1646  */
    break;

  case 1078:
#line 6941 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter view"),(yyvsp[-3].str),mm_strdup("rename to"),(yyvsp[0].str));
}
#line 35648 "preproc.c" /* yacc.c:1646  */
    break;

  case 1079:
#line 6945 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter view if exists"),(yyvsp[-3].str),mm_strdup("rename to"),(yyvsp[0].str));
}
#line 35656 "preproc.c" /* yacc.c:1646  */
    break;

  case 1080:
#line 6949 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter materialized view"),(yyvsp[-3].str),mm_strdup("rename to"),(yyvsp[0].str));
}
#line 35664 "preproc.c" /* yacc.c:1646  */
    break;

  case 1081:
#line 6953 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter materialized view if exists"),(yyvsp[-3].str),mm_strdup("rename to"),(yyvsp[0].str));
}
#line 35672 "preproc.c" /* yacc.c:1646  */
    break;

  case 1082:
#line 6957 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter index"),(yyvsp[-3].str),mm_strdup("rename to"),(yyvsp[0].str));
}
#line 35680 "preproc.c" /* yacc.c:1646  */
    break;

  case 1083:
#line 6961 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter index if exists"),(yyvsp[-3].str),mm_strdup("rename to"),(yyvsp[0].str));
}
#line 35688 "preproc.c" /* yacc.c:1646  */
    break;

  case 1084:
#line 6965 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter foreign table"),(yyvsp[-3].str),mm_strdup("rename to"),(yyvsp[0].str));
}
#line 35696 "preproc.c" /* yacc.c:1646  */
    break;

  case 1085:
#line 6969 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter foreign table if exists"),(yyvsp[-3].str),mm_strdup("rename to"),(yyvsp[0].str));
}
#line 35704 "preproc.c" /* yacc.c:1646  */
    break;

  case 1086:
#line 6973 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(7,mm_strdup("alter table"),(yyvsp[-5].str),mm_strdup("rename"),(yyvsp[-3].str),(yyvsp[-2].str),mm_strdup("to"),(yyvsp[0].str));
}
#line 35712 "preproc.c" /* yacc.c:1646  */
    break;

  case 1087:
#line 6977 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(7,mm_strdup("alter table if exists"),(yyvsp[-5].str),mm_strdup("rename"),(yyvsp[-3].str),(yyvsp[-2].str),mm_strdup("to"),(yyvsp[0].str));
}
#line 35720 "preproc.c" /* yacc.c:1646  */
    break;

  case 1088:
#line 6981 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(7,mm_strdup("alter materialized view"),(yyvsp[-5].str),mm_strdup("rename"),(yyvsp[-3].str),(yyvsp[-2].str),mm_strdup("to"),(yyvsp[0].str));
}
#line 35728 "preproc.c" /* yacc.c:1646  */
    break;

  case 1089:
#line 6985 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(7,mm_strdup("alter materialized view if exists"),(yyvsp[-5].str),mm_strdup("rename"),(yyvsp[-3].str),(yyvsp[-2].str),mm_strdup("to"),(yyvsp[0].str));
}
#line 35736 "preproc.c" /* yacc.c:1646  */
    break;

  case 1090:
#line 6989 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("alter table"),(yyvsp[-5].str),mm_strdup("rename constraint"),(yyvsp[-2].str),mm_strdup("to"),(yyvsp[0].str));
}
#line 35744 "preproc.c" /* yacc.c:1646  */
    break;

  case 1091:
#line 6993 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(7,mm_strdup("alter foreign table"),(yyvsp[-5].str),mm_strdup("rename"),(yyvsp[-3].str),(yyvsp[-2].str),mm_strdup("to"),(yyvsp[0].str));
}
#line 35752 "preproc.c" /* yacc.c:1646  */
    break;

  case 1092:
#line 6997 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(7,mm_strdup("alter foreign table if exists"),(yyvsp[-5].str),mm_strdup("rename"),(yyvsp[-3].str),(yyvsp[-2].str),mm_strdup("to"),(yyvsp[0].str));
}
#line 35760 "preproc.c" /* yacc.c:1646  */
    break;

  case 1093:
#line 7001 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("alter rule"),(yyvsp[-5].str),mm_strdup("on"),(yyvsp[-3].str),mm_strdup("rename to"),(yyvsp[0].str));
}
#line 35768 "preproc.c" /* yacc.c:1646  */
    break;

  case 1094:
#line 7005 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("alter trigger"),(yyvsp[-5].str),mm_strdup("on"),(yyvsp[-3].str),mm_strdup("rename to"),(yyvsp[0].str));
}
#line 35776 "preproc.c" /* yacc.c:1646  */
    break;

  case 1095:
#line 7009 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter event trigger"),(yyvsp[-3].str),mm_strdup("rename to"),(yyvsp[0].str));
}
#line 35784 "preproc.c" /* yacc.c:1646  */
    break;

  case 1096:
#line 7013 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter role"),(yyvsp[-3].str),mm_strdup("rename to"),(yyvsp[0].str));
}
#line 35792 "preproc.c" /* yacc.c:1646  */
    break;

  case 1097:
#line 7017 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter user"),(yyvsp[-3].str),mm_strdup("rename to"),(yyvsp[0].str));
}
#line 35800 "preproc.c" /* yacc.c:1646  */
    break;

  case 1098:
#line 7021 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter tablespace"),(yyvsp[-3].str),mm_strdup("rename to"),(yyvsp[0].str));
}
#line 35808 "preproc.c" /* yacc.c:1646  */
    break;

  case 1099:
#line 7025 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter tablespace"),(yyvsp[-2].str),mm_strdup("set"),(yyvsp[0].str));
}
#line 35816 "preproc.c" /* yacc.c:1646  */
    break;

  case 1100:
#line 7029 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter tablespace"),(yyvsp[-2].str),mm_strdup("reset"),(yyvsp[0].str));
}
#line 35824 "preproc.c" /* yacc.c:1646  */
    break;

  case 1101:
#line 7033 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter text search parser"),(yyvsp[-3].str),mm_strdup("rename to"),(yyvsp[0].str));
}
#line 35832 "preproc.c" /* yacc.c:1646  */
    break;

  case 1102:
#line 7037 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter text search dictionary"),(yyvsp[-3].str),mm_strdup("rename to"),(yyvsp[0].str));
}
#line 35840 "preproc.c" /* yacc.c:1646  */
    break;

  case 1103:
#line 7041 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter text search template"),(yyvsp[-3].str),mm_strdup("rename to"),(yyvsp[0].str));
}
#line 35848 "preproc.c" /* yacc.c:1646  */
    break;

  case 1104:
#line 7045 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter text search configuration"),(yyvsp[-3].str),mm_strdup("rename to"),(yyvsp[0].str));
}
#line 35856 "preproc.c" /* yacc.c:1646  */
    break;

  case 1105:
#line 7049 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter type"),(yyvsp[-3].str),mm_strdup("rename to"),(yyvsp[0].str));
}
#line 35864 "preproc.c" /* yacc.c:1646  */
    break;

  case 1106:
#line 7053 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(7,mm_strdup("alter type"),(yyvsp[-6].str),mm_strdup("rename attribute"),(yyvsp[-3].str),mm_strdup("to"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 35872 "preproc.c" /* yacc.c:1646  */
    break;

  case 1107:
#line 7061 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("column");
}
#line 35880 "preproc.c" /* yacc.c:1646  */
    break;

  case 1108:
#line 7065 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 35887 "preproc.c" /* yacc.c:1646  */
    break;

  case 1109:
#line 7072 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("set data");
}
#line 35895 "preproc.c" /* yacc.c:1646  */
    break;

  case 1110:
#line 7076 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 35902 "preproc.c" /* yacc.c:1646  */
    break;

  case 1111:
#line 7083 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter aggregate"),(yyvsp[-4].str),(yyvsp[-3].str),mm_strdup("set schema"),(yyvsp[0].str));
}
#line 35910 "preproc.c" /* yacc.c:1646  */
    break;

  case 1112:
#line 7087 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter collation"),(yyvsp[-3].str),mm_strdup("set schema"),(yyvsp[0].str));
}
#line 35918 "preproc.c" /* yacc.c:1646  */
    break;

  case 1113:
#line 7091 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter conversion"),(yyvsp[-3].str),mm_strdup("set schema"),(yyvsp[0].str));
}
#line 35926 "preproc.c" /* yacc.c:1646  */
    break;

  case 1114:
#line 7095 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter domain"),(yyvsp[-3].str),mm_strdup("set schema"),(yyvsp[0].str));
}
#line 35934 "preproc.c" /* yacc.c:1646  */
    break;

  case 1115:
#line 7099 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter extension"),(yyvsp[-3].str),mm_strdup("set schema"),(yyvsp[0].str));
}
#line 35942 "preproc.c" /* yacc.c:1646  */
    break;

  case 1116:
#line 7103 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter function"),(yyvsp[-3].str),mm_strdup("set schema"),(yyvsp[0].str));
}
#line 35950 "preproc.c" /* yacc.c:1646  */
    break;

  case 1117:
#line 7107 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter operator"),(yyvsp[-4].str),(yyvsp[-3].str),mm_strdup("set schema"),(yyvsp[0].str));
}
#line 35958 "preproc.c" /* yacc.c:1646  */
    break;

  case 1118:
#line 7111 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("alter operator class"),(yyvsp[-5].str),mm_strdup("using"),(yyvsp[-3].str),mm_strdup("set schema"),(yyvsp[0].str));
}
#line 35966 "preproc.c" /* yacc.c:1646  */
    break;

  case 1119:
#line 7115 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("alter operator family"),(yyvsp[-5].str),mm_strdup("using"),(yyvsp[-3].str),mm_strdup("set schema"),(yyvsp[0].str));
}
#line 35974 "preproc.c" /* yacc.c:1646  */
    break;

  case 1120:
#line 7119 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter table"),(yyvsp[-3].str),mm_strdup("set schema"),(yyvsp[0].str));
}
#line 35982 "preproc.c" /* yacc.c:1646  */
    break;

  case 1121:
#line 7123 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter table if exists"),(yyvsp[-3].str),mm_strdup("set schema"),(yyvsp[0].str));
}
#line 35990 "preproc.c" /* yacc.c:1646  */
    break;

  case 1122:
#line 7127 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter text search parser"),(yyvsp[-3].str),mm_strdup("set schema"),(yyvsp[0].str));
}
#line 35998 "preproc.c" /* yacc.c:1646  */
    break;

  case 1123:
#line 7131 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter text search dictionary"),(yyvsp[-3].str),mm_strdup("set schema"),(yyvsp[0].str));
}
#line 36006 "preproc.c" /* yacc.c:1646  */
    break;

  case 1124:
#line 7135 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter text search template"),(yyvsp[-3].str),mm_strdup("set schema"),(yyvsp[0].str));
}
#line 36014 "preproc.c" /* yacc.c:1646  */
    break;

  case 1125:
#line 7139 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter text search configuration"),(yyvsp[-3].str),mm_strdup("set schema"),(yyvsp[0].str));
}
#line 36022 "preproc.c" /* yacc.c:1646  */
    break;

  case 1126:
#line 7143 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter sequence"),(yyvsp[-3].str),mm_strdup("set schema"),(yyvsp[0].str));
}
#line 36030 "preproc.c" /* yacc.c:1646  */
    break;

  case 1127:
#line 7147 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter sequence if exists"),(yyvsp[-3].str),mm_strdup("set schema"),(yyvsp[0].str));
}
#line 36038 "preproc.c" /* yacc.c:1646  */
    break;

  case 1128:
#line 7151 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter view"),(yyvsp[-3].str),mm_strdup("set schema"),(yyvsp[0].str));
}
#line 36046 "preproc.c" /* yacc.c:1646  */
    break;

  case 1129:
#line 7155 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter view if exists"),(yyvsp[-3].str),mm_strdup("set schema"),(yyvsp[0].str));
}
#line 36054 "preproc.c" /* yacc.c:1646  */
    break;

  case 1130:
#line 7159 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter materialized view"),(yyvsp[-3].str),mm_strdup("set schema"),(yyvsp[0].str));
}
#line 36062 "preproc.c" /* yacc.c:1646  */
    break;

  case 1131:
#line 7163 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter materialized view if exists"),(yyvsp[-3].str),mm_strdup("set schema"),(yyvsp[0].str));
}
#line 36070 "preproc.c" /* yacc.c:1646  */
    break;

  case 1132:
#line 7167 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter foreign table"),(yyvsp[-3].str),mm_strdup("set schema"),(yyvsp[0].str));
}
#line 36078 "preproc.c" /* yacc.c:1646  */
    break;

  case 1133:
#line 7171 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter foreign table if exists"),(yyvsp[-3].str),mm_strdup("set schema"),(yyvsp[0].str));
}
#line 36086 "preproc.c" /* yacc.c:1646  */
    break;

  case 1134:
#line 7175 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter type"),(yyvsp[-3].str),mm_strdup("set schema"),(yyvsp[0].str));
}
#line 36094 "preproc.c" /* yacc.c:1646  */
    break;

  case 1135:
#line 7183 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter aggregate"),(yyvsp[-4].str),(yyvsp[-3].str),mm_strdup("owner to"),(yyvsp[0].str));
}
#line 36102 "preproc.c" /* yacc.c:1646  */
    break;

  case 1136:
#line 7187 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter collation"),(yyvsp[-3].str),mm_strdup("owner to"),(yyvsp[0].str));
}
#line 36110 "preproc.c" /* yacc.c:1646  */
    break;

  case 1137:
#line 7191 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter conversion"),(yyvsp[-3].str),mm_strdup("owner to"),(yyvsp[0].str));
}
#line 36118 "preproc.c" /* yacc.c:1646  */
    break;

  case 1138:
#line 7195 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter database"),(yyvsp[-3].str),mm_strdup("owner to"),(yyvsp[0].str));
}
#line 36126 "preproc.c" /* yacc.c:1646  */
    break;

  case 1139:
#line 7199 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter domain"),(yyvsp[-3].str),mm_strdup("owner to"),(yyvsp[0].str));
}
#line 36134 "preproc.c" /* yacc.c:1646  */
    break;

  case 1140:
#line 7203 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter function"),(yyvsp[-3].str),mm_strdup("owner to"),(yyvsp[0].str));
}
#line 36142 "preproc.c" /* yacc.c:1646  */
    break;

  case 1141:
#line 7207 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("alter"),(yyvsp[-5].str),mm_strdup("language"),(yyvsp[-3].str),mm_strdup("owner to"),(yyvsp[0].str));
}
#line 36150 "preproc.c" /* yacc.c:1646  */
    break;

  case 1142:
#line 7211 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter large object"),(yyvsp[-3].str),mm_strdup("owner to"),(yyvsp[0].str));
}
#line 36158 "preproc.c" /* yacc.c:1646  */
    break;

  case 1143:
#line 7215 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter operator"),(yyvsp[-4].str),(yyvsp[-3].str),mm_strdup("owner to"),(yyvsp[0].str));
}
#line 36166 "preproc.c" /* yacc.c:1646  */
    break;

  case 1144:
#line 7219 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("alter operator class"),(yyvsp[-5].str),mm_strdup("using"),(yyvsp[-3].str),mm_strdup("owner to"),(yyvsp[0].str));
}
#line 36174 "preproc.c" /* yacc.c:1646  */
    break;

  case 1145:
#line 7223 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("alter operator family"),(yyvsp[-5].str),mm_strdup("using"),(yyvsp[-3].str),mm_strdup("owner to"),(yyvsp[0].str));
}
#line 36182 "preproc.c" /* yacc.c:1646  */
    break;

  case 1146:
#line 7227 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter schema"),(yyvsp[-3].str),mm_strdup("owner to"),(yyvsp[0].str));
}
#line 36190 "preproc.c" /* yacc.c:1646  */
    break;

  case 1147:
#line 7231 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter type"),(yyvsp[-3].str),mm_strdup("owner to"),(yyvsp[0].str));
}
#line 36198 "preproc.c" /* yacc.c:1646  */
    break;

  case 1148:
#line 7235 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter tablespace"),(yyvsp[-3].str),mm_strdup("owner to"),(yyvsp[0].str));
}
#line 36206 "preproc.c" /* yacc.c:1646  */
    break;

  case 1149:
#line 7239 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter text search dictionary"),(yyvsp[-3].str),mm_strdup("owner to"),(yyvsp[0].str));
}
#line 36214 "preproc.c" /* yacc.c:1646  */
    break;

  case 1150:
#line 7243 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter text search configuration"),(yyvsp[-3].str),mm_strdup("owner to"),(yyvsp[0].str));
}
#line 36222 "preproc.c" /* yacc.c:1646  */
    break;

  case 1151:
#line 7247 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter foreign data wrapper"),(yyvsp[-3].str),mm_strdup("owner to"),(yyvsp[0].str));
}
#line 36230 "preproc.c" /* yacc.c:1646  */
    break;

  case 1152:
#line 7251 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter server"),(yyvsp[-3].str),mm_strdup("owner to"),(yyvsp[0].str));
}
#line 36238 "preproc.c" /* yacc.c:1646  */
    break;

  case 1153:
#line 7255 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter event trigger"),(yyvsp[-3].str),mm_strdup("owner to"),(yyvsp[0].str));
}
#line 36246 "preproc.c" /* yacc.c:1646  */
    break;

  case 1154:
#line 7263 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(12,mm_strdup("create"),(yyvsp[-11].str),mm_strdup("rule"),(yyvsp[-9].str),mm_strdup("as on"),(yyvsp[-6].str),mm_strdup("to"),(yyvsp[-4].str),(yyvsp[-3].str),mm_strdup("do"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 36254 "preproc.c" /* yacc.c:1646  */
    break;

  case 1155:
#line 7271 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("nothing");
}
#line 36262 "preproc.c" /* yacc.c:1646  */
    break;

  case 1156:
#line 7275 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 36270 "preproc.c" /* yacc.c:1646  */
    break;

  case 1157:
#line 7279 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 36278 "preproc.c" /* yacc.c:1646  */
    break;

  case 1158:
#line 7287 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(";"),(yyvsp[0].str));
}
#line 36286 "preproc.c" /* yacc.c:1646  */
    break;

  case 1159:
#line 7291 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 36294 "preproc.c" /* yacc.c:1646  */
    break;

  case 1160:
#line 7299 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 36302 "preproc.c" /* yacc.c:1646  */
    break;

  case 1161:
#line 7303 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 36310 "preproc.c" /* yacc.c:1646  */
    break;

  case 1162:
#line 7307 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 36318 "preproc.c" /* yacc.c:1646  */
    break;

  case 1163:
#line 7311 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 36326 "preproc.c" /* yacc.c:1646  */
    break;

  case 1164:
#line 7315 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 36334 "preproc.c" /* yacc.c:1646  */
    break;

  case 1165:
#line 7323 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 36342 "preproc.c" /* yacc.c:1646  */
    break;

  case 1166:
#line 7327 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 36349 "preproc.c" /* yacc.c:1646  */
    break;

  case 1167:
#line 7334 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("select");
}
#line 36357 "preproc.c" /* yacc.c:1646  */
    break;

  case 1168:
#line 7338 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("update");
}
#line 36365 "preproc.c" /* yacc.c:1646  */
    break;

  case 1169:
#line 7342 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("delete");
}
#line 36373 "preproc.c" /* yacc.c:1646  */
    break;

  case 1170:
#line 7346 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("insert");
}
#line 36381 "preproc.c" /* yacc.c:1646  */
    break;

  case 1171:
#line 7354 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("instead");
}
#line 36389 "preproc.c" /* yacc.c:1646  */
    break;

  case 1172:
#line 7358 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("also");
}
#line 36397 "preproc.c" /* yacc.c:1646  */
    break;

  case 1173:
#line 7362 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 36404 "preproc.c" /* yacc.c:1646  */
    break;

  case 1174:
#line 7369 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("drop rule"),(yyvsp[-3].str),mm_strdup("on"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 36412 "preproc.c" /* yacc.c:1646  */
    break;

  case 1175:
#line 7373 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("drop rule if exists"),(yyvsp[-3].str),mm_strdup("on"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 36420 "preproc.c" /* yacc.c:1646  */
    break;

  case 1176:
#line 7381 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("notify"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 36428 "preproc.c" /* yacc.c:1646  */
    break;

  case 1177:
#line 7389 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup(","),(yyvsp[0].str));
}
#line 36436 "preproc.c" /* yacc.c:1646  */
    break;

  case 1178:
#line 7393 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 36443 "preproc.c" /* yacc.c:1646  */
    break;

  case 1179:
#line 7400 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("listen"),(yyvsp[0].str));
}
#line 36451 "preproc.c" /* yacc.c:1646  */
    break;

  case 1180:
#line 7408 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("unlisten"),(yyvsp[0].str));
}
#line 36459 "preproc.c" /* yacc.c:1646  */
    break;

  case 1181:
#line 7412 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("unlisten *");
}
#line 36467 "preproc.c" /* yacc.c:1646  */
    break;

  case 1182:
#line 7420 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("abort"),(yyvsp[0].str));
}
#line 36475 "preproc.c" /* yacc.c:1646  */
    break;

  case 1183:
#line 7424 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("begin"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 36483 "preproc.c" /* yacc.c:1646  */
    break;

  case 1184:
#line 7428 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("start transaction"),(yyvsp[0].str));
}
#line 36491 "preproc.c" /* yacc.c:1646  */
    break;

  case 1185:
#line 7432 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("commit"),(yyvsp[0].str));
}
#line 36499 "preproc.c" /* yacc.c:1646  */
    break;

  case 1186:
#line 7436 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("end"),(yyvsp[0].str));
}
#line 36507 "preproc.c" /* yacc.c:1646  */
    break;

  case 1187:
#line 7440 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("rollback"),(yyvsp[0].str));
}
#line 36515 "preproc.c" /* yacc.c:1646  */
    break;

  case 1188:
#line 7444 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("savepoint"),(yyvsp[0].str));
}
#line 36523 "preproc.c" /* yacc.c:1646  */
    break;

  case 1189:
#line 7448 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("release savepoint"),(yyvsp[0].str));
}
#line 36531 "preproc.c" /* yacc.c:1646  */
    break;

  case 1190:
#line 7452 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("release"),(yyvsp[0].str));
}
#line 36539 "preproc.c" /* yacc.c:1646  */
    break;

  case 1191:
#line 7456 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("rollback"),(yyvsp[-3].str),mm_strdup("to savepoint"),(yyvsp[0].str));
}
#line 36547 "preproc.c" /* yacc.c:1646  */
    break;

  case 1192:
#line 7460 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("rollback"),(yyvsp[-2].str),mm_strdup("to"),(yyvsp[0].str));
}
#line 36555 "preproc.c" /* yacc.c:1646  */
    break;

  case 1193:
#line 7464 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("prepare transaction"),(yyvsp[0].str));
}
#line 36563 "preproc.c" /* yacc.c:1646  */
    break;

  case 1194:
#line 7468 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("commit prepared"),(yyvsp[0].str));
}
#line 36571 "preproc.c" /* yacc.c:1646  */
    break;

  case 1195:
#line 7472 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("rollback prepared"),(yyvsp[0].str));
}
#line 36579 "preproc.c" /* yacc.c:1646  */
    break;

  case 1196:
#line 7480 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("work");
}
#line 36587 "preproc.c" /* yacc.c:1646  */
    break;

  case 1197:
#line 7484 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("transaction");
}
#line 36595 "preproc.c" /* yacc.c:1646  */
    break;

  case 1198:
#line 7488 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 36602 "preproc.c" /* yacc.c:1646  */
    break;

  case 1199:
#line 7495 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("isolation level"),(yyvsp[0].str));
}
#line 36610 "preproc.c" /* yacc.c:1646  */
    break;

  case 1200:
#line 7499 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("read only");
}
#line 36618 "preproc.c" /* yacc.c:1646  */
    break;

  case 1201:
#line 7503 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("read write");
}
#line 36626 "preproc.c" /* yacc.c:1646  */
    break;

  case 1202:
#line 7507 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("deferrable");
}
#line 36634 "preproc.c" /* yacc.c:1646  */
    break;

  case 1203:
#line 7511 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("not deferrable");
}
#line 36642 "preproc.c" /* yacc.c:1646  */
    break;

  case 1204:
#line 7519 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 36650 "preproc.c" /* yacc.c:1646  */
    break;

  case 1205:
#line 7523 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 36658 "preproc.c" /* yacc.c:1646  */
    break;

  case 1206:
#line 7527 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 36666 "preproc.c" /* yacc.c:1646  */
    break;

  case 1207:
#line 7535 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 36674 "preproc.c" /* yacc.c:1646  */
    break;

  case 1208:
#line 7539 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 36681 "preproc.c" /* yacc.c:1646  */
    break;

  case 1209:
#line 7546 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(9,mm_strdup("create"),(yyvsp[-7].str),mm_strdup("view"),(yyvsp[-5].str),(yyvsp[-4].str),(yyvsp[-3].str),mm_strdup("as"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 36689 "preproc.c" /* yacc.c:1646  */
    break;

  case 1210:
#line 7550 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(9,mm_strdup("create or replace"),(yyvsp[-7].str),mm_strdup("view"),(yyvsp[-5].str),(yyvsp[-4].str),(yyvsp[-3].str),mm_strdup("as"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 36697 "preproc.c" /* yacc.c:1646  */
    break;

  case 1211:
#line 7554 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(10,mm_strdup("create"),(yyvsp[-9].str),mm_strdup("recursive view"),(yyvsp[-6].str),mm_strdup("("),(yyvsp[-4].str),mm_strdup(")"),(yyvsp[-2].str),mm_strdup("as"),(yyvsp[0].str));
}
#line 36705 "preproc.c" /* yacc.c:1646  */
    break;

  case 1212:
#line 7558 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(10,mm_strdup("create or replace"),(yyvsp[-9].str),mm_strdup("recursive view"),(yyvsp[-6].str),mm_strdup("("),(yyvsp[-4].str),mm_strdup(")"),(yyvsp[-2].str),mm_strdup("as"),(yyvsp[0].str));
}
#line 36713 "preproc.c" /* yacc.c:1646  */
    break;

  case 1213:
#line 7566 "preproc.y" /* yacc.c:1646  */
    { 
mmerror(PARSE_ERROR, ET_WARNING, "unsupported feature will be passed to server");
 (yyval.str) = mm_strdup("with check option");
}
#line 36722 "preproc.c" /* yacc.c:1646  */
    break;

  case 1214:
#line 7571 "preproc.y" /* yacc.c:1646  */
    { 
mmerror(PARSE_ERROR, ET_WARNING, "unsupported feature will be passed to server");
 (yyval.str) = mm_strdup("with cascaded check option");
}
#line 36731 "preproc.c" /* yacc.c:1646  */
    break;

  case 1215:
#line 7576 "preproc.y" /* yacc.c:1646  */
    { 
mmerror(PARSE_ERROR, ET_WARNING, "unsupported feature will be passed to server");
 (yyval.str) = mm_strdup("with local check option");
}
#line 36740 "preproc.c" /* yacc.c:1646  */
    break;

  case 1216:
#line 7581 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 36747 "preproc.c" /* yacc.c:1646  */
    break;

  case 1217:
#line 7588 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("load"),(yyvsp[0].str));
}
#line 36755 "preproc.c" /* yacc.c:1646  */
    break;

  case 1218:
#line 7596 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("create database"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 36763 "preproc.c" /* yacc.c:1646  */
    break;

  case 1219:
#line 7604 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 36771 "preproc.c" /* yacc.c:1646  */
    break;

  case 1220:
#line 7608 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 36778 "preproc.c" /* yacc.c:1646  */
    break;

  case 1221:
#line 7615 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("tablespace"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 36786 "preproc.c" /* yacc.c:1646  */
    break;

  case 1222:
#line 7619 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("tablespace"),(yyvsp[-1].str),mm_strdup("default"));
}
#line 36794 "preproc.c" /* yacc.c:1646  */
    break;

  case 1223:
#line 7623 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("location"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 36802 "preproc.c" /* yacc.c:1646  */
    break;

  case 1224:
#line 7627 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("location"),(yyvsp[-1].str),mm_strdup("default"));
}
#line 36810 "preproc.c" /* yacc.c:1646  */
    break;

  case 1225:
#line 7631 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("template"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 36818 "preproc.c" /* yacc.c:1646  */
    break;

  case 1226:
#line 7635 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("template"),(yyvsp[-1].str),mm_strdup("default"));
}
#line 36826 "preproc.c" /* yacc.c:1646  */
    break;

  case 1227:
#line 7639 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("encoding"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 36834 "preproc.c" /* yacc.c:1646  */
    break;

  case 1228:
#line 7643 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("encoding"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 36842 "preproc.c" /* yacc.c:1646  */
    break;

  case 1229:
#line 7647 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("encoding"),(yyvsp[-1].str),mm_strdup("default"));
}
#line 36850 "preproc.c" /* yacc.c:1646  */
    break;

  case 1230:
#line 7651 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("lc_collate"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 36858 "preproc.c" /* yacc.c:1646  */
    break;

  case 1231:
#line 7655 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("lc_collate"),(yyvsp[-1].str),mm_strdup("default"));
}
#line 36866 "preproc.c" /* yacc.c:1646  */
    break;

  case 1232:
#line 7659 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("lc_ctype"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 36874 "preproc.c" /* yacc.c:1646  */
    break;

  case 1233:
#line 7663 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("lc_ctype"),(yyvsp[-1].str),mm_strdup("default"));
}
#line 36882 "preproc.c" /* yacc.c:1646  */
    break;

  case 1234:
#line 7667 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("connection limit"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 36890 "preproc.c" /* yacc.c:1646  */
    break;

  case 1235:
#line 7671 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("owner"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 36898 "preproc.c" /* yacc.c:1646  */
    break;

  case 1236:
#line 7675 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("owner"),(yyvsp[-1].str),mm_strdup("default"));
}
#line 36906 "preproc.c" /* yacc.c:1646  */
    break;

  case 1237:
#line 7683 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("=");
}
#line 36914 "preproc.c" /* yacc.c:1646  */
    break;

  case 1238:
#line 7687 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 36921 "preproc.c" /* yacc.c:1646  */
    break;

  case 1239:
#line 7694 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter database"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 36929 "preproc.c" /* yacc.c:1646  */
    break;

  case 1240:
#line 7698 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter database"),(yyvsp[-3].str),mm_strdup("set tablespace"),(yyvsp[0].str));
}
#line 36937 "preproc.c" /* yacc.c:1646  */
    break;

  case 1241:
#line 7706 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("alter database"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 36945 "preproc.c" /* yacc.c:1646  */
    break;

  case 1242:
#line 7714 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 36953 "preproc.c" /* yacc.c:1646  */
    break;

  case 1243:
#line 7718 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 36960 "preproc.c" /* yacc.c:1646  */
    break;

  case 1244:
#line 7725 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("connection limit"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 36968 "preproc.c" /* yacc.c:1646  */
    break;

  case 1245:
#line 7733 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("drop database"),(yyvsp[0].str));
}
#line 36976 "preproc.c" /* yacc.c:1646  */
    break;

  case 1246:
#line 7737 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("drop database if exists"),(yyvsp[0].str));
}
#line 36984 "preproc.c" /* yacc.c:1646  */
    break;

  case 1247:
#line 7745 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("create domain"),(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 36992 "preproc.c" /* yacc.c:1646  */
    break;

  case 1248:
#line 7753 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("alter domain"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 37000 "preproc.c" /* yacc.c:1646  */
    break;

  case 1249:
#line 7757 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("alter domain"),(yyvsp[-3].str),mm_strdup("drop not null"));
}
#line 37008 "preproc.c" /* yacc.c:1646  */
    break;

  case 1250:
#line 7761 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("alter domain"),(yyvsp[-3].str),mm_strdup("set not null"));
}
#line 37016 "preproc.c" /* yacc.c:1646  */
    break;

  case 1251:
#line 7765 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter domain"),(yyvsp[-2].str),mm_strdup("add"),(yyvsp[0].str));
}
#line 37024 "preproc.c" /* yacc.c:1646  */
    break;

  case 1252:
#line 7769 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter domain"),(yyvsp[-4].str),mm_strdup("drop constraint"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 37032 "preproc.c" /* yacc.c:1646  */
    break;

  case 1253:
#line 7773 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter domain"),(yyvsp[-6].str),mm_strdup("drop constraint if exists"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 37040 "preproc.c" /* yacc.c:1646  */
    break;

  case 1254:
#line 7777 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter domain"),(yyvsp[-3].str),mm_strdup("validate constraint"),(yyvsp[0].str));
}
#line 37048 "preproc.c" /* yacc.c:1646  */
    break;

  case 1255:
#line 7785 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("as");
}
#line 37056 "preproc.c" /* yacc.c:1646  */
    break;

  case 1256:
#line 7789 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 37063 "preproc.c" /* yacc.c:1646  */
    break;

  case 1257:
#line 7796 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("alter text search dictionary"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 37071 "preproc.c" /* yacc.c:1646  */
    break;

  case 1258:
#line 7804 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("alter text search configuration"),(yyvsp[-6].str),mm_strdup("add mapping for"),(yyvsp[-2].str),mm_strdup("with"),(yyvsp[0].str));
}
#line 37079 "preproc.c" /* yacc.c:1646  */
    break;

  case 1259:
#line 7808 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("alter text search configuration"),(yyvsp[-6].str),mm_strdup("alter mapping for"),(yyvsp[-2].str),mm_strdup("with"),(yyvsp[0].str));
}
#line 37087 "preproc.c" /* yacc.c:1646  */
    break;

  case 1260:
#line 7812 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("alter text search configuration"),(yyvsp[-6].str),mm_strdup("alter mapping replace"),(yyvsp[-2].str),mm_strdup("with"),(yyvsp[0].str));
}
#line 37095 "preproc.c" /* yacc.c:1646  */
    break;

  case 1261:
#line 7816 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(8,mm_strdup("alter text search configuration"),(yyvsp[-8].str),mm_strdup("alter mapping for"),(yyvsp[-4].str),mm_strdup("replace"),(yyvsp[-2].str),mm_strdup("with"),(yyvsp[0].str));
}
#line 37103 "preproc.c" /* yacc.c:1646  */
    break;

  case 1262:
#line 7820 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter text search configuration"),(yyvsp[-4].str),mm_strdup("drop mapping for"),(yyvsp[0].str));
}
#line 37111 "preproc.c" /* yacc.c:1646  */
    break;

  case 1263:
#line 7824 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter text search configuration"),(yyvsp[-6].str),mm_strdup("drop mapping if exists for"),(yyvsp[0].str));
}
#line 37119 "preproc.c" /* yacc.c:1646  */
    break;

  case 1264:
#line 7832 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(10,mm_strdup("create"),(yyvsp[-8].str),mm_strdup("conversion"),(yyvsp[-6].str),mm_strdup("for"),(yyvsp[-4].str),mm_strdup("to"),(yyvsp[-2].str),mm_strdup("from"),(yyvsp[0].str));
}
#line 37127 "preproc.c" /* yacc.c:1646  */
    break;

  case 1265:
#line 7840 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("cluster"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 37135 "preproc.c" /* yacc.c:1646  */
    break;

  case 1266:
#line 7844 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("cluster"),(yyvsp[0].str));
}
#line 37143 "preproc.c" /* yacc.c:1646  */
    break;

  case 1267:
#line 7848 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("cluster"),(yyvsp[-3].str),(yyvsp[-2].str),mm_strdup("on"),(yyvsp[0].str));
}
#line 37151 "preproc.c" /* yacc.c:1646  */
    break;

  case 1268:
#line 7856 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("using"),(yyvsp[0].str));
}
#line 37159 "preproc.c" /* yacc.c:1646  */
    break;

  case 1269:
#line 7860 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 37166 "preproc.c" /* yacc.c:1646  */
    break;

  case 1270:
#line 7867 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("vacuum"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 37174 "preproc.c" /* yacc.c:1646  */
    break;

  case 1271:
#line 7871 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("vacuum"),(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 37182 "preproc.c" /* yacc.c:1646  */
    break;

  case 1272:
#line 7875 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("vacuum"),(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 37190 "preproc.c" /* yacc.c:1646  */
    break;

  case 1273:
#line 7879 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("vacuum ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 37198 "preproc.c" /* yacc.c:1646  */
    break;

  case 1274:
#line 7883 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("vacuum ("),(yyvsp[-3].str),mm_strdup(")"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 37206 "preproc.c" /* yacc.c:1646  */
    break;

  case 1275:
#line 7891 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 37214 "preproc.c" /* yacc.c:1646  */
    break;

  case 1276:
#line 7895 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 37222 "preproc.c" /* yacc.c:1646  */
    break;

  case 1277:
#line 7903 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 37230 "preproc.c" /* yacc.c:1646  */
    break;

  case 1278:
#line 7907 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("verbose");
}
#line 37238 "preproc.c" /* yacc.c:1646  */
    break;

  case 1279:
#line 7911 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("freeze");
}
#line 37246 "preproc.c" /* yacc.c:1646  */
    break;

  case 1280:
#line 7915 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("full");
}
#line 37254 "preproc.c" /* yacc.c:1646  */
    break;

  case 1281:
#line 7923 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 37262 "preproc.c" /* yacc.c:1646  */
    break;

  case 1282:
#line 7927 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 37270 "preproc.c" /* yacc.c:1646  */
    break;

  case 1283:
#line 7935 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("analyze");
}
#line 37278 "preproc.c" /* yacc.c:1646  */
    break;

  case 1284:
#line 7939 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("analyse");
}
#line 37286 "preproc.c" /* yacc.c:1646  */
    break;

  case 1285:
#line 7947 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("verbose");
}
#line 37294 "preproc.c" /* yacc.c:1646  */
    break;

  case 1286:
#line 7951 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 37301 "preproc.c" /* yacc.c:1646  */
    break;

  case 1287:
#line 7958 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("full");
}
#line 37309 "preproc.c" /* yacc.c:1646  */
    break;

  case 1288:
#line 7962 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 37316 "preproc.c" /* yacc.c:1646  */
    break;

  case 1289:
#line 7969 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("freeze");
}
#line 37324 "preproc.c" /* yacc.c:1646  */
    break;

  case 1290:
#line 7973 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 37331 "preproc.c" /* yacc.c:1646  */
    break;

  case 1291:
#line 7980 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 37339 "preproc.c" /* yacc.c:1646  */
    break;

  case 1292:
#line 7984 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 37346 "preproc.c" /* yacc.c:1646  */
    break;

  case 1293:
#line 7991 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("explain"),(yyvsp[0].str));
}
#line 37354 "preproc.c" /* yacc.c:1646  */
    break;

  case 1294:
#line 7995 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("explain"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 37362 "preproc.c" /* yacc.c:1646  */
    break;

  case 1295:
#line 7999 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("explain verbose"),(yyvsp[0].str));
}
#line 37370 "preproc.c" /* yacc.c:1646  */
    break;

  case 1296:
#line 8003 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("explain ("),(yyvsp[-2].str),mm_strdup(")"),(yyvsp[0].str));
}
#line 37378 "preproc.c" /* yacc.c:1646  */
    break;

  case 1297:
#line 8011 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 37386 "preproc.c" /* yacc.c:1646  */
    break;

  case 1298:
#line 8015 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 37394 "preproc.c" /* yacc.c:1646  */
    break;

  case 1299:
#line 8019 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 37402 "preproc.c" /* yacc.c:1646  */
    break;

  case 1300:
#line 8023 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 37410 "preproc.c" /* yacc.c:1646  */
    break;

  case 1301:
#line 8027 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 37418 "preproc.c" /* yacc.c:1646  */
    break;

  case 1302:
#line 8031 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 37426 "preproc.c" /* yacc.c:1646  */
    break;

  case 1303:
#line 8035 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 37434 "preproc.c" /* yacc.c:1646  */
    break;

  case 1304:
#line 8039 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 37442 "preproc.c" /* yacc.c:1646  */
    break;

  case 1305:
#line 8043 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 37450 "preproc.c" /* yacc.c:1646  */
    break;

  case 1306:
#line 8051 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 37458 "preproc.c" /* yacc.c:1646  */
    break;

  case 1307:
#line 8055 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 37466 "preproc.c" /* yacc.c:1646  */
    break;

  case 1308:
#line 8063 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 37474 "preproc.c" /* yacc.c:1646  */
    break;

  case 1309:
#line 8071 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 37482 "preproc.c" /* yacc.c:1646  */
    break;

  case 1310:
#line 8075 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 37490 "preproc.c" /* yacc.c:1646  */
    break;

  case 1311:
#line 8083 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 37498 "preproc.c" /* yacc.c:1646  */
    break;

  case 1312:
#line 8087 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 37506 "preproc.c" /* yacc.c:1646  */
    break;

  case 1313:
#line 8091 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 37513 "preproc.c" /* yacc.c:1646  */
    break;

  case 1314:
#line 8098 "preproc.y" /* yacc.c:1646  */
    {
		(yyval.prep).name = (yyvsp[-3].str);
		(yyval.prep).type = (yyvsp[-2].str);
		(yyval.prep).stmt = cat_str(3, mm_strdup("\""), (yyvsp[0].str), mm_strdup("\""));
	}
#line 37523 "preproc.c" /* yacc.c:1646  */
    break;

  case 1315:
#line 8104 "preproc.y" /* yacc.c:1646  */
    {
		(yyval.prep).name = (yyvsp[-2].str);
		(yyval.prep).type = NULL;
		(yyval.prep).stmt = (yyvsp[0].str);
	}
#line 37533 "preproc.c" /* yacc.c:1646  */
    break;

  case 1316:
#line 8114 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 37541 "preproc.c" /* yacc.c:1646  */
    break;

  case 1317:
#line 8118 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 37548 "preproc.c" /* yacc.c:1646  */
    break;

  case 1318:
#line 8125 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 37556 "preproc.c" /* yacc.c:1646  */
    break;

  case 1319:
#line 8129 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 37564 "preproc.c" /* yacc.c:1646  */
    break;

  case 1320:
#line 8133 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 37572 "preproc.c" /* yacc.c:1646  */
    break;

  case 1321:
#line 8137 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 37580 "preproc.c" /* yacc.c:1646  */
    break;

  case 1322:
#line 8145 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[-2].str); }
#line 37586 "preproc.c" /* yacc.c:1646  */
    break;

  case 1323:
#line 8147 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(8,mm_strdup("create"),(yyvsp[-7].str),mm_strdup("table"),(yyvsp[-5].str),mm_strdup("as execute"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 37594 "preproc.c" /* yacc.c:1646  */
    break;

  case 1324:
#line 8155 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 37602 "preproc.c" /* yacc.c:1646  */
    break;

  case 1325:
#line 8159 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 37609 "preproc.c" /* yacc.c:1646  */
    break;

  case 1326:
#line 8166 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,(yyvsp[-5].str),mm_strdup("insert into"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 37617 "preproc.c" /* yacc.c:1646  */
    break;

  case 1327:
#line 8174 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 37625 "preproc.c" /* yacc.c:1646  */
    break;

  case 1328:
#line 8178 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("("),(yyvsp[-2].str),mm_strdup(")"),(yyvsp[0].str));
}
#line 37633 "preproc.c" /* yacc.c:1646  */
    break;

  case 1329:
#line 8182 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("default values");
}
#line 37641 "preproc.c" /* yacc.c:1646  */
    break;

  case 1330:
#line 8190 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 37649 "preproc.c" /* yacc.c:1646  */
    break;

  case 1331:
#line 8194 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 37657 "preproc.c" /* yacc.c:1646  */
    break;

  case 1332:
#line 8202 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 37665 "preproc.c" /* yacc.c:1646  */
    break;

  case 1333:
#line 8210 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("returning"),(yyvsp[-1].str));
}
#line 37673 "preproc.c" /* yacc.c:1646  */
    break;

  case 1334:
#line 8214 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 37680 "preproc.c" /* yacc.c:1646  */
    break;

  case 1335:
#line 8221 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,(yyvsp[-6].str),mm_strdup("delete from"),(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 37688 "preproc.c" /* yacc.c:1646  */
    break;

  case 1336:
#line 8229 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("using"),(yyvsp[0].str));
}
#line 37696 "preproc.c" /* yacc.c:1646  */
    break;

  case 1337:
#line 8233 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 37703 "preproc.c" /* yacc.c:1646  */
    break;

  case 1338:
#line 8240 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("lock"),(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 37711 "preproc.c" /* yacc.c:1646  */
    break;

  case 1339:
#line 8248 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("in"),(yyvsp[-1].str),mm_strdup("mode"));
}
#line 37719 "preproc.c" /* yacc.c:1646  */
    break;

  case 1340:
#line 8252 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 37726 "preproc.c" /* yacc.c:1646  */
    break;

  case 1341:
#line 8259 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("access share");
}
#line 37734 "preproc.c" /* yacc.c:1646  */
    break;

  case 1342:
#line 8263 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("row share");
}
#line 37742 "preproc.c" /* yacc.c:1646  */
    break;

  case 1343:
#line 8267 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("row exclusive");
}
#line 37750 "preproc.c" /* yacc.c:1646  */
    break;

  case 1344:
#line 8271 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("share update exclusive");
}
#line 37758 "preproc.c" /* yacc.c:1646  */
    break;

  case 1345:
#line 8275 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("share");
}
#line 37766 "preproc.c" /* yacc.c:1646  */
    break;

  case 1346:
#line 8279 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("share row exclusive");
}
#line 37774 "preproc.c" /* yacc.c:1646  */
    break;

  case 1347:
#line 8283 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("exclusive");
}
#line 37782 "preproc.c" /* yacc.c:1646  */
    break;

  case 1348:
#line 8287 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("access exclusive");
}
#line 37790 "preproc.c" /* yacc.c:1646  */
    break;

  case 1349:
#line 8295 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("nowait");
}
#line 37798 "preproc.c" /* yacc.c:1646  */
    break;

  case 1350:
#line 8299 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 37805 "preproc.c" /* yacc.c:1646  */
    break;

  case 1351:
#line 8306 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(8,(yyvsp[-7].str),mm_strdup("update"),(yyvsp[-5].str),mm_strdup("set"),(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 37813 "preproc.c" /* yacc.c:1646  */
    break;

  case 1352:
#line 8314 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 37821 "preproc.c" /* yacc.c:1646  */
    break;

  case 1353:
#line 8318 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 37829 "preproc.c" /* yacc.c:1646  */
    break;

  case 1354:
#line 8326 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 37837 "preproc.c" /* yacc.c:1646  */
    break;

  case 1355:
#line 8330 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 37845 "preproc.c" /* yacc.c:1646  */
    break;

  case 1356:
#line 8338 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("="),(yyvsp[0].str));
}
#line 37853 "preproc.c" /* yacc.c:1646  */
    break;

  case 1357:
#line 8346 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("("),(yyvsp[-3].str),mm_strdup(") ="),(yyvsp[0].str));
}
#line 37861 "preproc.c" /* yacc.c:1646  */
    break;

  case 1358:
#line 8354 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 37869 "preproc.c" /* yacc.c:1646  */
    break;

  case 1359:
#line 8362 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 37877 "preproc.c" /* yacc.c:1646  */
    break;

  case 1360:
#line 8366 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 37885 "preproc.c" /* yacc.c:1646  */
    break;

  case 1361:
#line 8374 "preproc.y" /* yacc.c:1646  */
    {
		struct cursor *ptr, *this;
		char *cursor_marker = (yyvsp[-5].str)[0] == ':' ? mm_strdup("$0") : mm_strdup((yyvsp[-5].str));
		char *comment, *c1, *c2;
		int (* strcmp_fn)(const char *, const char *) = (((yyvsp[-5].str)[0] == ':' || (yyvsp[-5].str)[0] == '"') ? strcmp : pg_strcasecmp);

		for (ptr = cur; ptr != NULL; ptr = ptr->next)
		{
			if (strcmp_fn((yyvsp[-5].str), ptr->name) == 0)
			{
				if ((yyvsp[-5].str)[0] == ':')
					mmerror(PARSE_ERROR, ET_ERROR, "using variable \"%s\" in different declare statements is not supported", (yyvsp[-5].str)+1);
				else
					mmerror(PARSE_ERROR, ET_ERROR, "cursor \"%s\" is already defined", (yyvsp[-5].str));
			}
		}

		this = (struct cursor *) mm_alloc(sizeof(struct cursor));

		this->next = cur;
		this->name = (yyvsp[-5].str);
		this->function = (current_function ? mm_strdup(current_function) : NULL);
		this->connection = connection;
		this->opened = false;
		this->command =  cat_str(7, mm_strdup("declare"), cursor_marker, (yyvsp[-4].str), mm_strdup("cursor"), (yyvsp[-2].str), mm_strdup("for"), (yyvsp[0].str));
		this->argsinsert = argsinsert;
		this->argsinsert_oos = NULL;
		this->argsresult = argsresult;
		this->argsresult_oos = NULL;
		argsinsert = argsresult = NULL;
		cur = this;

		c1 = mm_strdup(this->command);
		if ((c2 = strstr(c1, "*/")) != NULL)
		{
			/* We put this text into a comment, so we better remove [*][/]. */
			c2[0] = '.';
			c2[1] = '.';
		}
		comment = cat_str(3, mm_strdup("/*"), c1, mm_strdup("*/"));

		if ((braces_open > 0) && INFORMIX_MODE) /* we're in a function */
			(yyval.str) = cat_str(3, adjust_outofscope_cursor_vars(this),
				mm_strdup("ECPG_informix_reset_sqlca();"),
				comment);
		else
			(yyval.str) = cat2_str(adjust_outofscope_cursor_vars(this), comment);
	}
#line 37938 "preproc.c" /* yacc.c:1646  */
    break;

  case 1362:
#line 8427 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 37946 "preproc.c" /* yacc.c:1646  */
    break;

  case 1363:
#line 8431 "preproc.y" /* yacc.c:1646  */
    {
			char *curname = mm_alloc(strlen((yyvsp[0].str)) + 2);
			sprintf(curname, ":%s", (yyvsp[0].str));
			free((yyvsp[0].str));
			(yyvsp[0].str) = curname;
			(yyval.str) = (yyvsp[0].str);
		}
#line 37958 "preproc.c" /* yacc.c:1646  */
    break;

  case 1364:
#line 8443 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 37965 "preproc.c" /* yacc.c:1646  */
    break;

  case 1365:
#line 8446 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-2].str),mm_strdup("no scroll"));
}
#line 37973 "preproc.c" /* yacc.c:1646  */
    break;

  case 1366:
#line 8450 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),mm_strdup("scroll"));
}
#line 37981 "preproc.c" /* yacc.c:1646  */
    break;

  case 1367:
#line 8454 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),mm_strdup("binary"));
}
#line 37989 "preproc.c" /* yacc.c:1646  */
    break;

  case 1368:
#line 8458 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),mm_strdup("insensitive"));
}
#line 37997 "preproc.c" /* yacc.c:1646  */
    break;

  case 1369:
#line 8466 "preproc.y" /* yacc.c:1646  */
    {
		if (compat == ECPG_COMPAT_INFORMIX_SE && autocommit)
			(yyval.str) = mm_strdup("with hold");
		else
			(yyval.str) = EMPTY;
	}
#line 38008 "preproc.c" /* yacc.c:1646  */
    break;

  case 1370:
#line 8473 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("with hold");
}
#line 38016 "preproc.c" /* yacc.c:1646  */
    break;

  case 1371:
#line 8477 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("without hold");
}
#line 38024 "preproc.c" /* yacc.c:1646  */
    break;

  case 1372:
#line 8485 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 38032 "preproc.c" /* yacc.c:1646  */
    break;

  case 1373:
#line 8489 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 38040 "preproc.c" /* yacc.c:1646  */
    break;

  case 1374:
#line 8497 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 38048 "preproc.c" /* yacc.c:1646  */
    break;

  case 1375:
#line 8501 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 38056 "preproc.c" /* yacc.c:1646  */
    break;

  case 1376:
#line 8509 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 38064 "preproc.c" /* yacc.c:1646  */
    break;

  case 1377:
#line 8513 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 38072 "preproc.c" /* yacc.c:1646  */
    break;

  case 1378:
#line 8517 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 38080 "preproc.c" /* yacc.c:1646  */
    break;

  case 1379:
#line 8521 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 38088 "preproc.c" /* yacc.c:1646  */
    break;

  case 1380:
#line 8525 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 38096 "preproc.c" /* yacc.c:1646  */
    break;

  case 1381:
#line 8529 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 38104 "preproc.c" /* yacc.c:1646  */
    break;

  case 1382:
#line 8533 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,(yyvsp[-4].str),(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 38112 "preproc.c" /* yacc.c:1646  */
    break;

  case 1383:
#line 8537 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,(yyvsp[-4].str),(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 38120 "preproc.c" /* yacc.c:1646  */
    break;

  case 1384:
#line 8545 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 38128 "preproc.c" /* yacc.c:1646  */
    break;

  case 1385:
#line 8549 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 38136 "preproc.c" /* yacc.c:1646  */
    break;

  case 1386:
#line 8557 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(9,mm_strdup("select"),(yyvsp[-7].str),(yyvsp[-6].str),(yyvsp[-5].str),(yyvsp[-4].str),(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 38144 "preproc.c" /* yacc.c:1646  */
    break;

  case 1387:
#line 8561 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 38152 "preproc.c" /* yacc.c:1646  */
    break;

  case 1388:
#line 8565 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("table"),(yyvsp[0].str));
}
#line 38160 "preproc.c" /* yacc.c:1646  */
    break;

  case 1389:
#line 8569 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,(yyvsp[-3].str),mm_strdup("union"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 38168 "preproc.c" /* yacc.c:1646  */
    break;

  case 1390:
#line 8573 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,(yyvsp[-3].str),mm_strdup("intersect"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 38176 "preproc.c" /* yacc.c:1646  */
    break;

  case 1391:
#line 8577 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,(yyvsp[-3].str),mm_strdup("except"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 38184 "preproc.c" /* yacc.c:1646  */
    break;

  case 1392:
#line 8585 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("with"),(yyvsp[0].str));
}
#line 38192 "preproc.c" /* yacc.c:1646  */
    break;

  case 1393:
#line 8589 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("with recursive"),(yyvsp[0].str));
}
#line 38200 "preproc.c" /* yacc.c:1646  */
    break;

  case 1394:
#line 8597 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 38208 "preproc.c" /* yacc.c:1646  */
    break;

  case 1395:
#line 8601 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 38216 "preproc.c" /* yacc.c:1646  */
    break;

  case 1396:
#line 8609 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,(yyvsp[-5].str),(yyvsp[-4].str),mm_strdup("as ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 38224 "preproc.c" /* yacc.c:1646  */
    break;

  case 1397:
#line 8617 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 38232 "preproc.c" /* yacc.c:1646  */
    break;

  case 1398:
#line 8621 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 38239 "preproc.c" /* yacc.c:1646  */
    break;

  case 1399:
#line 8628 "preproc.y" /* yacc.c:1646  */
    {
						FoundInto = 1;
						(yyval.str)= cat2_str(mm_strdup("into"), (yyvsp[0].str));
					}
#line 38248 "preproc.c" /* yacc.c:1646  */
    break;

  case 1400:
#line 8632 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = EMPTY; }
#line 38254 "preproc.c" /* yacc.c:1646  */
    break;

  case 1401:
#line 8634 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 38261 "preproc.c" /* yacc.c:1646  */
    break;

  case 1402:
#line 8641 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("temporary"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 38269 "preproc.c" /* yacc.c:1646  */
    break;

  case 1403:
#line 8645 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("temp"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 38277 "preproc.c" /* yacc.c:1646  */
    break;

  case 1404:
#line 8649 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("local temporary"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 38285 "preproc.c" /* yacc.c:1646  */
    break;

  case 1405:
#line 8653 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("local temp"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 38293 "preproc.c" /* yacc.c:1646  */
    break;

  case 1406:
#line 8657 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("global temporary"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 38301 "preproc.c" /* yacc.c:1646  */
    break;

  case 1407:
#line 8661 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("global temp"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 38309 "preproc.c" /* yacc.c:1646  */
    break;

  case 1408:
#line 8665 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("unlogged"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 38317 "preproc.c" /* yacc.c:1646  */
    break;

  case 1409:
#line 8669 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("table"),(yyvsp[0].str));
}
#line 38325 "preproc.c" /* yacc.c:1646  */
    break;

  case 1410:
#line 8673 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 38333 "preproc.c" /* yacc.c:1646  */
    break;

  case 1411:
#line 8681 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("table");
}
#line 38341 "preproc.c" /* yacc.c:1646  */
    break;

  case 1412:
#line 8685 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 38348 "preproc.c" /* yacc.c:1646  */
    break;

  case 1413:
#line 8692 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("all");
}
#line 38356 "preproc.c" /* yacc.c:1646  */
    break;

  case 1414:
#line 8696 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("distinct");
}
#line 38364 "preproc.c" /* yacc.c:1646  */
    break;

  case 1415:
#line 8700 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 38371 "preproc.c" /* yacc.c:1646  */
    break;

  case 1416:
#line 8707 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("distinct");
}
#line 38379 "preproc.c" /* yacc.c:1646  */
    break;

  case 1417:
#line 8711 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("distinct on ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 38387 "preproc.c" /* yacc.c:1646  */
    break;

  case 1418:
#line 8715 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("all");
}
#line 38395 "preproc.c" /* yacc.c:1646  */
    break;

  case 1419:
#line 8719 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 38402 "preproc.c" /* yacc.c:1646  */
    break;

  case 1420:
#line 8726 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 38410 "preproc.c" /* yacc.c:1646  */
    break;

  case 1421:
#line 8730 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 38417 "preproc.c" /* yacc.c:1646  */
    break;

  case 1422:
#line 8737 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("order by"),(yyvsp[0].str));
}
#line 38425 "preproc.c" /* yacc.c:1646  */
    break;

  case 1423:
#line 8745 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 38433 "preproc.c" /* yacc.c:1646  */
    break;

  case 1424:
#line 8749 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 38441 "preproc.c" /* yacc.c:1646  */
    break;

  case 1425:
#line 8757 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,(yyvsp[-3].str),mm_strdup("using"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 38449 "preproc.c" /* yacc.c:1646  */
    break;

  case 1426:
#line 8761 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 38457 "preproc.c" /* yacc.c:1646  */
    break;

  case 1427:
#line 8769 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 38465 "preproc.c" /* yacc.c:1646  */
    break;

  case 1428:
#line 8773 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 38473 "preproc.c" /* yacc.c:1646  */
    break;

  case 1429:
#line 8777 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 38481 "preproc.c" /* yacc.c:1646  */
    break;

  case 1430:
#line 8781 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 38489 "preproc.c" /* yacc.c:1646  */
    break;

  case 1431:
#line 8789 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 38497 "preproc.c" /* yacc.c:1646  */
    break;

  case 1432:
#line 8793 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 38504 "preproc.c" /* yacc.c:1646  */
    break;

  case 1433:
#line 8800 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("limit"),(yyvsp[0].str));
}
#line 38512 "preproc.c" /* yacc.c:1646  */
    break;

  case 1434:
#line 8804 "preproc.y" /* yacc.c:1646  */
    {
		mmerror(PARSE_ERROR, ET_WARNING, "no longer supported LIMIT #,# syntax passed to server");
		(yyval.str) = cat_str(4, mm_strdup("limit"), (yyvsp[-2].str), mm_strdup(","), (yyvsp[0].str));
	}
#line 38521 "preproc.c" /* yacc.c:1646  */
    break;

  case 1435:
#line 8809 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("fetch"),(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),mm_strdup("only"));
}
#line 38529 "preproc.c" /* yacc.c:1646  */
    break;

  case 1436:
#line 8817 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("offset"),(yyvsp[0].str));
}
#line 38537 "preproc.c" /* yacc.c:1646  */
    break;

  case 1437:
#line 8821 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("offset"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 38545 "preproc.c" /* yacc.c:1646  */
    break;

  case 1438:
#line 8829 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 38553 "preproc.c" /* yacc.c:1646  */
    break;

  case 1439:
#line 8833 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("all");
}
#line 38561 "preproc.c" /* yacc.c:1646  */
    break;

  case 1440:
#line 8841 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 38569 "preproc.c" /* yacc.c:1646  */
    break;

  case 1441:
#line 8849 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 38577 "preproc.c" /* yacc.c:1646  */
    break;

  case 1442:
#line 8853 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 38585 "preproc.c" /* yacc.c:1646  */
    break;

  case 1443:
#line 8857 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 38592 "preproc.c" /* yacc.c:1646  */
    break;

  case 1444:
#line 8864 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 38600 "preproc.c" /* yacc.c:1646  */
    break;

  case 1445:
#line 8872 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("row");
}
#line 38608 "preproc.c" /* yacc.c:1646  */
    break;

  case 1446:
#line 8876 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("rows");
}
#line 38616 "preproc.c" /* yacc.c:1646  */
    break;

  case 1447:
#line 8884 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("first");
}
#line 38624 "preproc.c" /* yacc.c:1646  */
    break;

  case 1448:
#line 8888 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("next");
}
#line 38632 "preproc.c" /* yacc.c:1646  */
    break;

  case 1449:
#line 8896 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("group by"),(yyvsp[0].str));
}
#line 38640 "preproc.c" /* yacc.c:1646  */
    break;

  case 1450:
#line 8900 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 38647 "preproc.c" /* yacc.c:1646  */
    break;

  case 1451:
#line 8907 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("having"),(yyvsp[0].str));
}
#line 38655 "preproc.c" /* yacc.c:1646  */
    break;

  case 1452:
#line 8911 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 38662 "preproc.c" /* yacc.c:1646  */
    break;

  case 1453:
#line 8918 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 38670 "preproc.c" /* yacc.c:1646  */
    break;

  case 1454:
#line 8922 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("for read only");
}
#line 38678 "preproc.c" /* yacc.c:1646  */
    break;

  case 1455:
#line 8930 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 38686 "preproc.c" /* yacc.c:1646  */
    break;

  case 1456:
#line 8934 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 38693 "preproc.c" /* yacc.c:1646  */
    break;

  case 1457:
#line 8941 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 38701 "preproc.c" /* yacc.c:1646  */
    break;

  case 1458:
#line 8945 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 38709 "preproc.c" /* yacc.c:1646  */
    break;

  case 1459:
#line 8953 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 38717 "preproc.c" /* yacc.c:1646  */
    break;

  case 1460:
#line 8961 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("for update");
}
#line 38725 "preproc.c" /* yacc.c:1646  */
    break;

  case 1461:
#line 8965 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("for no key update");
}
#line 38733 "preproc.c" /* yacc.c:1646  */
    break;

  case 1462:
#line 8969 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("for share");
}
#line 38741 "preproc.c" /* yacc.c:1646  */
    break;

  case 1463:
#line 8973 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("for key share");
}
#line 38749 "preproc.c" /* yacc.c:1646  */
    break;

  case 1464:
#line 8981 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("of"),(yyvsp[0].str));
}
#line 38757 "preproc.c" /* yacc.c:1646  */
    break;

  case 1465:
#line 8985 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 38764 "preproc.c" /* yacc.c:1646  */
    break;

  case 1466:
#line 8992 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("values"),(yyvsp[0].str));
}
#line 38772 "preproc.c" /* yacc.c:1646  */
    break;

  case 1467:
#line 8996 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 38780 "preproc.c" /* yacc.c:1646  */
    break;

  case 1468:
#line 9004 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("from"),(yyvsp[0].str));
}
#line 38788 "preproc.c" /* yacc.c:1646  */
    break;

  case 1469:
#line 9008 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 38795 "preproc.c" /* yacc.c:1646  */
    break;

  case 1470:
#line 9015 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 38803 "preproc.c" /* yacc.c:1646  */
    break;

  case 1471:
#line 9019 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 38811 "preproc.c" /* yacc.c:1646  */
    break;

  case 1472:
#line 9027 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 38819 "preproc.c" /* yacc.c:1646  */
    break;

  case 1473:
#line 9031 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 38827 "preproc.c" /* yacc.c:1646  */
    break;

  case 1474:
#line 9035 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("lateral"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 38835 "preproc.c" /* yacc.c:1646  */
    break;

  case 1475:
#line 9039 "preproc.y" /* yacc.c:1646  */
    { 
	if ((yyvsp[0].str) == NULL)
		mmerror(PARSE_ERROR, ET_ERROR, "subquery in FROM must have an alias");

 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 38846 "preproc.c" /* yacc.c:1646  */
    break;

  case 1476:
#line 9046 "preproc.y" /* yacc.c:1646  */
    { 
	if ((yyvsp[0].str) == NULL)
		mmerror(PARSE_ERROR, ET_ERROR, "subquery in FROM must have an alias");

 (yyval.str) = cat_str(3,mm_strdup("lateral"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 38857 "preproc.c" /* yacc.c:1646  */
    break;

  case 1477:
#line 9053 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 38865 "preproc.c" /* yacc.c:1646  */
    break;

  case 1478:
#line 9057 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("("),(yyvsp[-2].str),mm_strdup(")"),(yyvsp[0].str));
}
#line 38873 "preproc.c" /* yacc.c:1646  */
    break;

  case 1479:
#line 9065 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 38881 "preproc.c" /* yacc.c:1646  */
    break;

  case 1480:
#line 9069 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-3].str),mm_strdup("cross join"),(yyvsp[0].str));
}
#line 38889 "preproc.c" /* yacc.c:1646  */
    break;

  case 1481:
#line 9073 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,(yyvsp[-4].str),(yyvsp[-3].str),mm_strdup("join"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 38897 "preproc.c" /* yacc.c:1646  */
    break;

  case 1482:
#line 9077 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,(yyvsp[-3].str),mm_strdup("join"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 38905 "preproc.c" /* yacc.c:1646  */
    break;

  case 1483:
#line 9081 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,(yyvsp[-4].str),mm_strdup("natural"),(yyvsp[-2].str),mm_strdup("join"),(yyvsp[0].str));
}
#line 38913 "preproc.c" /* yacc.c:1646  */
    break;

  case 1484:
#line 9085 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-3].str),mm_strdup("natural join"),(yyvsp[0].str));
}
#line 38921 "preproc.c" /* yacc.c:1646  */
    break;

  case 1485:
#line 9093 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("as"),(yyvsp[-3].str),mm_strdup("("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 38929 "preproc.c" /* yacc.c:1646  */
    break;

  case 1486:
#line 9097 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("as"),(yyvsp[0].str));
}
#line 38937 "preproc.c" /* yacc.c:1646  */
    break;

  case 1487:
#line 9101 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,(yyvsp[-3].str),mm_strdup("("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 38945 "preproc.c" /* yacc.c:1646  */
    break;

  case 1488:
#line 9105 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 38953 "preproc.c" /* yacc.c:1646  */
    break;

  case 1489:
#line 9113 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 38961 "preproc.c" /* yacc.c:1646  */
    break;

  case 1490:
#line 9117 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 38968 "preproc.c" /* yacc.c:1646  */
    break;

  case 1491:
#line 9124 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 38976 "preproc.c" /* yacc.c:1646  */
    break;

  case 1492:
#line 9128 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("as ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 38984 "preproc.c" /* yacc.c:1646  */
    break;

  case 1493:
#line 9132 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("as"),(yyvsp[-3].str),mm_strdup("("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 38992 "preproc.c" /* yacc.c:1646  */
    break;

  case 1494:
#line 9136 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,(yyvsp[-3].str),mm_strdup("("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 39000 "preproc.c" /* yacc.c:1646  */
    break;

  case 1495:
#line 9140 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 39007 "preproc.c" /* yacc.c:1646  */
    break;

  case 1496:
#line 9147 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("full"),(yyvsp[0].str));
}
#line 39015 "preproc.c" /* yacc.c:1646  */
    break;

  case 1497:
#line 9151 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("left"),(yyvsp[0].str));
}
#line 39023 "preproc.c" /* yacc.c:1646  */
    break;

  case 1498:
#line 9155 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("right"),(yyvsp[0].str));
}
#line 39031 "preproc.c" /* yacc.c:1646  */
    break;

  case 1499:
#line 9159 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("inner");
}
#line 39039 "preproc.c" /* yacc.c:1646  */
    break;

  case 1500:
#line 9167 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("outer");
}
#line 39047 "preproc.c" /* yacc.c:1646  */
    break;

  case 1501:
#line 9171 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 39054 "preproc.c" /* yacc.c:1646  */
    break;

  case 1502:
#line 9178 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("using ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 39062 "preproc.c" /* yacc.c:1646  */
    break;

  case 1503:
#line 9182 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("on"),(yyvsp[0].str));
}
#line 39070 "preproc.c" /* yacc.c:1646  */
    break;

  case 1504:
#line 9190 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 39078 "preproc.c" /* yacc.c:1646  */
    break;

  case 1505:
#line 9194 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),mm_strdup("*"));
}
#line 39086 "preproc.c" /* yacc.c:1646  */
    break;

  case 1506:
#line 9198 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("only"),(yyvsp[0].str));
}
#line 39094 "preproc.c" /* yacc.c:1646  */
    break;

  case 1507:
#line 9202 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("only ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 39102 "preproc.c" /* yacc.c:1646  */
    break;

  case 1508:
#line 9210 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 39110 "preproc.c" /* yacc.c:1646  */
    break;

  case 1509:
#line 9214 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 39118 "preproc.c" /* yacc.c:1646  */
    break;

  case 1510:
#line 9222 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 39126 "preproc.c" /* yacc.c:1646  */
    break;

  case 1511:
#line 9226 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 39134 "preproc.c" /* yacc.c:1646  */
    break;

  case 1512:
#line 9230 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("as"),(yyvsp[0].str));
}
#line 39142 "preproc.c" /* yacc.c:1646  */
    break;

  case 1513:
#line 9238 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 39150 "preproc.c" /* yacc.c:1646  */
    break;

  case 1514:
#line 9246 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("where"),(yyvsp[0].str));
}
#line 39158 "preproc.c" /* yacc.c:1646  */
    break;

  case 1515:
#line 9250 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 39165 "preproc.c" /* yacc.c:1646  */
    break;

  case 1516:
#line 9257 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("where"),(yyvsp[0].str));
}
#line 39173 "preproc.c" /* yacc.c:1646  */
    break;

  case 1517:
#line 9261 "preproc.y" /* yacc.c:1646  */
    {
		char *cursor_marker = (yyvsp[0].str)[0] == ':' ? mm_strdup("$0") : (yyvsp[0].str);
		(yyval.str) = cat_str(2,mm_strdup("where current of"), cursor_marker);
	}
#line 39182 "preproc.c" /* yacc.c:1646  */
    break;

  case 1518:
#line 9266 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 39189 "preproc.c" /* yacc.c:1646  */
    break;

  case 1519:
#line 9273 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 39197 "preproc.c" /* yacc.c:1646  */
    break;

  case 1520:
#line 9277 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 39204 "preproc.c" /* yacc.c:1646  */
    break;

  case 1521:
#line 9284 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 39212 "preproc.c" /* yacc.c:1646  */
    break;

  case 1522:
#line 9288 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 39220 "preproc.c" /* yacc.c:1646  */
    break;

  case 1523:
#line 9296 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 39228 "preproc.c" /* yacc.c:1646  */
    break;

  case 1524:
#line 9304 "preproc.y" /* yacc.c:1646  */
    {	(yyval.str) = cat2_str((yyvsp[-1].str), (yyvsp[0].index).str); }
#line 39234 "preproc.c" /* yacc.c:1646  */
    break;

  case 1525:
#line 9306 "preproc.y" /* yacc.c:1646  */
    {	(yyval.str) = cat_str(3, mm_strdup("setof"), (yyvsp[-1].str), (yyvsp[0].index).str); }
#line 39240 "preproc.c" /* yacc.c:1646  */
    break;

  case 1526:
#line 9308 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,(yyvsp[-4].str),mm_strdup("array ["),(yyvsp[-1].str),mm_strdup("]"));
}
#line 39248 "preproc.c" /* yacc.c:1646  */
    break;

  case 1527:
#line 9312 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("setof"),(yyvsp[-4].str),mm_strdup("array ["),(yyvsp[-1].str),mm_strdup("]"));
}
#line 39256 "preproc.c" /* yacc.c:1646  */
    break;

  case 1528:
#line 9316 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),mm_strdup("array"));
}
#line 39264 "preproc.c" /* yacc.c:1646  */
    break;

  case 1529:
#line 9320 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("setof"),(yyvsp[-1].str),mm_strdup("array"));
}
#line 39272 "preproc.c" /* yacc.c:1646  */
    break;

  case 1530:
#line 9328 "preproc.y" /* yacc.c:1646  */
    {
		(yyval.index).index1 = (yyvsp[-2].index).index1;
		(yyval.index).index2 = (yyvsp[-2].index).index2;
		if (strcmp((yyval.index).index1, "-1") == 0)
			(yyval.index).index1 = mm_strdup("0");
		else if (strcmp((yyvsp[-2].index).index2, "-1") == 0)
			(yyval.index).index2 = mm_strdup("0");
		(yyval.index).str = cat_str(2, (yyvsp[-2].index).str, mm_strdup("[]"));
	}
#line 39286 "preproc.c" /* yacc.c:1646  */
    break;

  case 1531:
#line 9338 "preproc.y" /* yacc.c:1646  */
    {
		(yyval.index).index1 = (yyvsp[-3].index).index1;
		(yyval.index).index2 = (yyvsp[-3].index).index2;
		if (strcmp((yyvsp[-3].index).index1, "-1") == 0)
			(yyval.index).index1 = strdup((yyvsp[-1].str));
		else if (strcmp((yyvsp[-3].index).index2, "-1") == 0)
			(yyval.index).index2 = strdup((yyvsp[-1].str));
		(yyval.index).str = cat_str(4, (yyvsp[-3].index).str, mm_strdup("["), (yyvsp[-1].str), mm_strdup("]"));
	}
#line 39300 "preproc.c" /* yacc.c:1646  */
    break;

  case 1532:
#line 9348 "preproc.y" /* yacc.c:1646  */
    {
		(yyval.index).index1 = mm_strdup("-1");
		(yyval.index).index2 = mm_strdup("-1");
		(yyval.index).str= EMPTY;
	}
#line 39310 "preproc.c" /* yacc.c:1646  */
    break;

  case 1533:
#line 9358 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 39318 "preproc.c" /* yacc.c:1646  */
    break;

  case 1534:
#line 9362 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 39326 "preproc.c" /* yacc.c:1646  */
    break;

  case 1535:
#line 9366 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 39334 "preproc.c" /* yacc.c:1646  */
    break;

  case 1536:
#line 9370 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 39342 "preproc.c" /* yacc.c:1646  */
    break;

  case 1537:
#line 9374 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 39350 "preproc.c" /* yacc.c:1646  */
    break;

  case 1538:
#line 9378 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 39358 "preproc.c" /* yacc.c:1646  */
    break;

  case 1539:
#line 9382 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,(yyvsp[-4].str),mm_strdup("("),(yyvsp[-2].str),mm_strdup(")"),(yyvsp[0].str));
}
#line 39366 "preproc.c" /* yacc.c:1646  */
    break;

  case 1540:
#line 9390 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 39374 "preproc.c" /* yacc.c:1646  */
    break;

  case 1541:
#line 9394 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 39382 "preproc.c" /* yacc.c:1646  */
    break;

  case 1542:
#line 9398 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 39390 "preproc.c" /* yacc.c:1646  */
    break;

  case 1543:
#line 9402 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 39398 "preproc.c" /* yacc.c:1646  */
    break;

  case 1544:
#line 9410 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 39406 "preproc.c" /* yacc.c:1646  */
    break;

  case 1545:
#line 9414 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 39414 "preproc.c" /* yacc.c:1646  */
    break;

  case 1546:
#line 9422 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 39422 "preproc.c" /* yacc.c:1646  */
    break;

  case 1547:
#line 9426 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 39429 "preproc.c" /* yacc.c:1646  */
    break;

  case 1548:
#line 9433 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("int");
}
#line 39437 "preproc.c" /* yacc.c:1646  */
    break;

  case 1549:
#line 9437 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("integer");
}
#line 39445 "preproc.c" /* yacc.c:1646  */
    break;

  case 1550:
#line 9441 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("smallint");
}
#line 39453 "preproc.c" /* yacc.c:1646  */
    break;

  case 1551:
#line 9445 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("bigint");
}
#line 39461 "preproc.c" /* yacc.c:1646  */
    break;

  case 1552:
#line 9449 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("real");
}
#line 39469 "preproc.c" /* yacc.c:1646  */
    break;

  case 1553:
#line 9453 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("float"),(yyvsp[0].str));
}
#line 39477 "preproc.c" /* yacc.c:1646  */
    break;

  case 1554:
#line 9457 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("double precision");
}
#line 39485 "preproc.c" /* yacc.c:1646  */
    break;

  case 1555:
#line 9461 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("decimal"),(yyvsp[0].str));
}
#line 39493 "preproc.c" /* yacc.c:1646  */
    break;

  case 1556:
#line 9465 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("dec"),(yyvsp[0].str));
}
#line 39501 "preproc.c" /* yacc.c:1646  */
    break;

  case 1557:
#line 9469 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("numeric"),(yyvsp[0].str));
}
#line 39509 "preproc.c" /* yacc.c:1646  */
    break;

  case 1558:
#line 9473 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("boolean");
}
#line 39517 "preproc.c" /* yacc.c:1646  */
    break;

  case 1559:
#line 9481 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 39525 "preproc.c" /* yacc.c:1646  */
    break;

  case 1560:
#line 9485 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 39532 "preproc.c" /* yacc.c:1646  */
    break;

  case 1561:
#line 9492 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 39540 "preproc.c" /* yacc.c:1646  */
    break;

  case 1562:
#line 9496 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 39548 "preproc.c" /* yacc.c:1646  */
    break;

  case 1563:
#line 9504 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 39556 "preproc.c" /* yacc.c:1646  */
    break;

  case 1564:
#line 9508 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 39564 "preproc.c" /* yacc.c:1646  */
    break;

  case 1565:
#line 9516 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("bit"),(yyvsp[-3].str),mm_strdup("("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 39572 "preproc.c" /* yacc.c:1646  */
    break;

  case 1566:
#line 9524 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("bit"),(yyvsp[0].str));
}
#line 39580 "preproc.c" /* yacc.c:1646  */
    break;

  case 1567:
#line 9532 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 39588 "preproc.c" /* yacc.c:1646  */
    break;

  case 1568:
#line 9536 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 39596 "preproc.c" /* yacc.c:1646  */
    break;

  case 1569:
#line 9544 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 39604 "preproc.c" /* yacc.c:1646  */
    break;

  case 1570:
#line 9548 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 39612 "preproc.c" /* yacc.c:1646  */
    break;

  case 1571:
#line 9556 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,(yyvsp[-4].str),mm_strdup("("),(yyvsp[-2].str),mm_strdup(")"),(yyvsp[0].str));
}
#line 39620 "preproc.c" /* yacc.c:1646  */
    break;

  case 1572:
#line 9564 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 39628 "preproc.c" /* yacc.c:1646  */
    break;

  case 1573:
#line 9572 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("character"),(yyvsp[0].str));
}
#line 39636 "preproc.c" /* yacc.c:1646  */
    break;

  case 1574:
#line 9576 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("char"),(yyvsp[0].str));
}
#line 39644 "preproc.c" /* yacc.c:1646  */
    break;

  case 1575:
#line 9580 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("varchar");
}
#line 39652 "preproc.c" /* yacc.c:1646  */
    break;

  case 1576:
#line 9584 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("national character"),(yyvsp[0].str));
}
#line 39660 "preproc.c" /* yacc.c:1646  */
    break;

  case 1577:
#line 9588 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("national char"),(yyvsp[0].str));
}
#line 39668 "preproc.c" /* yacc.c:1646  */
    break;

  case 1578:
#line 9592 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("nchar"),(yyvsp[0].str));
}
#line 39676 "preproc.c" /* yacc.c:1646  */
    break;

  case 1579:
#line 9600 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("varying");
}
#line 39684 "preproc.c" /* yacc.c:1646  */
    break;

  case 1580:
#line 9604 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 39691 "preproc.c" /* yacc.c:1646  */
    break;

  case 1581:
#line 9611 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("character set"),(yyvsp[0].str));
}
#line 39699 "preproc.c" /* yacc.c:1646  */
    break;

  case 1582:
#line 9615 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 39706 "preproc.c" /* yacc.c:1646  */
    break;

  case 1583:
#line 9622 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("timestamp ("),(yyvsp[-2].str),mm_strdup(")"),(yyvsp[0].str));
}
#line 39714 "preproc.c" /* yacc.c:1646  */
    break;

  case 1584:
#line 9626 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("timestamp"),(yyvsp[0].str));
}
#line 39722 "preproc.c" /* yacc.c:1646  */
    break;

  case 1585:
#line 9630 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("time ("),(yyvsp[-2].str),mm_strdup(")"),(yyvsp[0].str));
}
#line 39730 "preproc.c" /* yacc.c:1646  */
    break;

  case 1586:
#line 9634 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("time"),(yyvsp[0].str));
}
#line 39738 "preproc.c" /* yacc.c:1646  */
    break;

  case 1587:
#line 9642 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("interval");
}
#line 39746 "preproc.c" /* yacc.c:1646  */
    break;

  case 1588:
#line 9650 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("with time zone");
}
#line 39754 "preproc.c" /* yacc.c:1646  */
    break;

  case 1589:
#line 9654 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("without time zone");
}
#line 39762 "preproc.c" /* yacc.c:1646  */
    break;

  case 1590:
#line 9658 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 39769 "preproc.c" /* yacc.c:1646  */
    break;

  case 1591:
#line 9665 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("year");
}
#line 39777 "preproc.c" /* yacc.c:1646  */
    break;

  case 1592:
#line 9669 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("month");
}
#line 39785 "preproc.c" /* yacc.c:1646  */
    break;

  case 1593:
#line 9673 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("day");
}
#line 39793 "preproc.c" /* yacc.c:1646  */
    break;

  case 1594:
#line 9677 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("hour");
}
#line 39801 "preproc.c" /* yacc.c:1646  */
    break;

  case 1595:
#line 9681 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("minute");
}
#line 39809 "preproc.c" /* yacc.c:1646  */
    break;

  case 1596:
#line 9685 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 39817 "preproc.c" /* yacc.c:1646  */
    break;

  case 1597:
#line 9689 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("year to month");
}
#line 39825 "preproc.c" /* yacc.c:1646  */
    break;

  case 1598:
#line 9693 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("day to hour");
}
#line 39833 "preproc.c" /* yacc.c:1646  */
    break;

  case 1599:
#line 9697 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("day to minute");
}
#line 39841 "preproc.c" /* yacc.c:1646  */
    break;

  case 1600:
#line 9701 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("day to"),(yyvsp[0].str));
}
#line 39849 "preproc.c" /* yacc.c:1646  */
    break;

  case 1601:
#line 9705 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("hour to minute");
}
#line 39857 "preproc.c" /* yacc.c:1646  */
    break;

  case 1602:
#line 9709 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("hour to"),(yyvsp[0].str));
}
#line 39865 "preproc.c" /* yacc.c:1646  */
    break;

  case 1603:
#line 9713 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("minute to"),(yyvsp[0].str));
}
#line 39873 "preproc.c" /* yacc.c:1646  */
    break;

  case 1604:
#line 9717 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 39880 "preproc.c" /* yacc.c:1646  */
    break;

  case 1605:
#line 9724 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("second");
}
#line 39888 "preproc.c" /* yacc.c:1646  */
    break;

  case 1606:
#line 9728 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("second ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 39896 "preproc.c" /* yacc.c:1646  */
    break;

  case 1607:
#line 9736 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 39904 "preproc.c" /* yacc.c:1646  */
    break;

  case 1608:
#line 9740 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("::"),(yyvsp[0].str));
}
#line 39912 "preproc.c" /* yacc.c:1646  */
    break;

  case 1609:
#line 9744 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("collate"),(yyvsp[0].str));
}
#line 39920 "preproc.c" /* yacc.c:1646  */
    break;

  case 1610:
#line 9748 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-4].str),mm_strdup("at time zone"),(yyvsp[0].str));
}
#line 39928 "preproc.c" /* yacc.c:1646  */
    break;

  case 1611:
#line 9752 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("+"),(yyvsp[0].str));
}
#line 39936 "preproc.c" /* yacc.c:1646  */
    break;

  case 1612:
#line 9756 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("-"),(yyvsp[0].str));
}
#line 39944 "preproc.c" /* yacc.c:1646  */
    break;

  case 1613:
#line 9760 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("+"),(yyvsp[0].str));
}
#line 39952 "preproc.c" /* yacc.c:1646  */
    break;

  case 1614:
#line 9764 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("-"),(yyvsp[0].str));
}
#line 39960 "preproc.c" /* yacc.c:1646  */
    break;

  case 1615:
#line 9768 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("*"),(yyvsp[0].str));
}
#line 39968 "preproc.c" /* yacc.c:1646  */
    break;

  case 1616:
#line 9772 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("/"),(yyvsp[0].str));
}
#line 39976 "preproc.c" /* yacc.c:1646  */
    break;

  case 1617:
#line 9776 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("%"),(yyvsp[0].str));
}
#line 39984 "preproc.c" /* yacc.c:1646  */
    break;

  case 1618:
#line 9780 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("^"),(yyvsp[0].str));
}
#line 39992 "preproc.c" /* yacc.c:1646  */
    break;

  case 1619:
#line 9784 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("<"),(yyvsp[0].str));
}
#line 40000 "preproc.c" /* yacc.c:1646  */
    break;

  case 1620:
#line 9788 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(">"),(yyvsp[0].str));
}
#line 40008 "preproc.c" /* yacc.c:1646  */
    break;

  case 1621:
#line 9792 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("="),(yyvsp[0].str));
}
#line 40016 "preproc.c" /* yacc.c:1646  */
    break;

  case 1622:
#line 9796 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 40024 "preproc.c" /* yacc.c:1646  */
    break;

  case 1623:
#line 9800 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 40032 "preproc.c" /* yacc.c:1646  */
    break;

  case 1624:
#line 9804 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 40040 "preproc.c" /* yacc.c:1646  */
    break;

  case 1625:
#line 9808 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("and"),(yyvsp[0].str));
}
#line 40048 "preproc.c" /* yacc.c:1646  */
    break;

  case 1626:
#line 9812 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("or"),(yyvsp[0].str));
}
#line 40056 "preproc.c" /* yacc.c:1646  */
    break;

  case 1627:
#line 9816 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("not"),(yyvsp[0].str));
}
#line 40064 "preproc.c" /* yacc.c:1646  */
    break;

  case 1628:
#line 9820 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("like"),(yyvsp[0].str));
}
#line 40072 "preproc.c" /* yacc.c:1646  */
    break;

  case 1629:
#line 9824 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,(yyvsp[-4].str),mm_strdup("like"),(yyvsp[-2].str),mm_strdup("escape"),(yyvsp[0].str));
}
#line 40080 "preproc.c" /* yacc.c:1646  */
    break;

  case 1630:
#line 9828 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-3].str),mm_strdup("not like"),(yyvsp[0].str));
}
#line 40088 "preproc.c" /* yacc.c:1646  */
    break;

  case 1631:
#line 9832 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,(yyvsp[-5].str),mm_strdup("not like"),(yyvsp[-2].str),mm_strdup("escape"),(yyvsp[0].str));
}
#line 40096 "preproc.c" /* yacc.c:1646  */
    break;

  case 1632:
#line 9836 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("ilike"),(yyvsp[0].str));
}
#line 40104 "preproc.c" /* yacc.c:1646  */
    break;

  case 1633:
#line 9840 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,(yyvsp[-4].str),mm_strdup("ilike"),(yyvsp[-2].str),mm_strdup("escape"),(yyvsp[0].str));
}
#line 40112 "preproc.c" /* yacc.c:1646  */
    break;

  case 1634:
#line 9844 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-3].str),mm_strdup("not ilike"),(yyvsp[0].str));
}
#line 40120 "preproc.c" /* yacc.c:1646  */
    break;

  case 1635:
#line 9848 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,(yyvsp[-5].str),mm_strdup("not ilike"),(yyvsp[-2].str),mm_strdup("escape"),(yyvsp[0].str));
}
#line 40128 "preproc.c" /* yacc.c:1646  */
    break;

  case 1636:
#line 9852 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-3].str),mm_strdup("similar to"),(yyvsp[0].str));
}
#line 40136 "preproc.c" /* yacc.c:1646  */
    break;

  case 1637:
#line 9856 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,(yyvsp[-5].str),mm_strdup("similar to"),(yyvsp[-2].str),mm_strdup("escape"),(yyvsp[0].str));
}
#line 40144 "preproc.c" /* yacc.c:1646  */
    break;

  case 1638:
#line 9860 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-4].str),mm_strdup("not similar to"),(yyvsp[0].str));
}
#line 40152 "preproc.c" /* yacc.c:1646  */
    break;

  case 1639:
#line 9864 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,(yyvsp[-6].str),mm_strdup("not similar to"),(yyvsp[-2].str),mm_strdup("escape"),(yyvsp[0].str));
}
#line 40160 "preproc.c" /* yacc.c:1646  */
    break;

  case 1640:
#line 9868 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-2].str),mm_strdup("is null"));
}
#line 40168 "preproc.c" /* yacc.c:1646  */
    break;

  case 1641:
#line 9872 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),mm_strdup("isnull"));
}
#line 40176 "preproc.c" /* yacc.c:1646  */
    break;

  case 1642:
#line 9876 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-3].str),mm_strdup("is not null"));
}
#line 40184 "preproc.c" /* yacc.c:1646  */
    break;

  case 1643:
#line 9880 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),mm_strdup("notnull"));
}
#line 40192 "preproc.c" /* yacc.c:1646  */
    break;

  case 1644:
#line 9884 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("overlaps"),(yyvsp[0].str));
}
#line 40200 "preproc.c" /* yacc.c:1646  */
    break;

  case 1645:
#line 9888 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-2].str),mm_strdup("is true"));
}
#line 40208 "preproc.c" /* yacc.c:1646  */
    break;

  case 1646:
#line 9892 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-3].str),mm_strdup("is not true"));
}
#line 40216 "preproc.c" /* yacc.c:1646  */
    break;

  case 1647:
#line 9896 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-2].str),mm_strdup("is false"));
}
#line 40224 "preproc.c" /* yacc.c:1646  */
    break;

  case 1648:
#line 9900 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-3].str),mm_strdup("is not false"));
}
#line 40232 "preproc.c" /* yacc.c:1646  */
    break;

  case 1649:
#line 9904 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-2].str),mm_strdup("is unknown"));
}
#line 40240 "preproc.c" /* yacc.c:1646  */
    break;

  case 1650:
#line 9908 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-3].str),mm_strdup("is not unknown"));
}
#line 40248 "preproc.c" /* yacc.c:1646  */
    break;

  case 1651:
#line 9912 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-4].str),mm_strdup("is distinct from"),(yyvsp[0].str));
}
#line 40256 "preproc.c" /* yacc.c:1646  */
    break;

  case 1652:
#line 9916 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-5].str),mm_strdup("is not distinct from"),(yyvsp[0].str));
}
#line 40264 "preproc.c" /* yacc.c:1646  */
    break;

  case 1653:
#line 9920 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,(yyvsp[-5].str),mm_strdup("is of ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 40272 "preproc.c" /* yacc.c:1646  */
    break;

  case 1654:
#line 9924 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,(yyvsp[-6].str),mm_strdup("is not of ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 40280 "preproc.c" /* yacc.c:1646  */
    break;

  case 1655:
#line 9928 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,(yyvsp[-5].str),mm_strdup("between"),(yyvsp[-3].str),(yyvsp[-2].str),mm_strdup("and"),(yyvsp[0].str));
}
#line 40288 "preproc.c" /* yacc.c:1646  */
    break;

  case 1656:
#line 9932 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,(yyvsp[-6].str),mm_strdup("not between"),(yyvsp[-3].str),(yyvsp[-2].str),mm_strdup("and"),(yyvsp[0].str));
}
#line 40296 "preproc.c" /* yacc.c:1646  */
    break;

  case 1657:
#line 9936 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,(yyvsp[-5].str),mm_strdup("between symmetric"),(yyvsp[-2].str),mm_strdup("and"),(yyvsp[0].str));
}
#line 40304 "preproc.c" /* yacc.c:1646  */
    break;

  case 1658:
#line 9940 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,(yyvsp[-6].str),mm_strdup("not between symmetric"),(yyvsp[-2].str),mm_strdup("and"),(yyvsp[0].str));
}
#line 40312 "preproc.c" /* yacc.c:1646  */
    break;

  case 1659:
#line 9944 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("in"),(yyvsp[0].str));
}
#line 40320 "preproc.c" /* yacc.c:1646  */
    break;

  case 1660:
#line 9948 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-3].str),mm_strdup("not in"),(yyvsp[0].str));
}
#line 40328 "preproc.c" /* yacc.c:1646  */
    break;

  case 1661:
#line 9952 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 40336 "preproc.c" /* yacc.c:1646  */
    break;

  case 1662:
#line 9956 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,(yyvsp[-5].str),(yyvsp[-4].str),(yyvsp[-3].str),mm_strdup("("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 40344 "preproc.c" /* yacc.c:1646  */
    break;

  case 1663:
#line 9960 "preproc.y" /* yacc.c:1646  */
    { 
mmerror(PARSE_ERROR, ET_WARNING, "unsupported feature will be passed to server");
 (yyval.str) = cat_str(2,mm_strdup("unique"),(yyvsp[0].str));
}
#line 40353 "preproc.c" /* yacc.c:1646  */
    break;

  case 1664:
#line 9965 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-2].str),mm_strdup("is document"));
}
#line 40361 "preproc.c" /* yacc.c:1646  */
    break;

  case 1665:
#line 9969 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-3].str),mm_strdup("is not document"));
}
#line 40369 "preproc.c" /* yacc.c:1646  */
    break;

  case 1666:
#line 9977 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 40377 "preproc.c" /* yacc.c:1646  */
    break;

  case 1667:
#line 9981 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("::"),(yyvsp[0].str));
}
#line 40385 "preproc.c" /* yacc.c:1646  */
    break;

  case 1668:
#line 9985 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("+"),(yyvsp[0].str));
}
#line 40393 "preproc.c" /* yacc.c:1646  */
    break;

  case 1669:
#line 9989 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("-"),(yyvsp[0].str));
}
#line 40401 "preproc.c" /* yacc.c:1646  */
    break;

  case 1670:
#line 9993 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("+"),(yyvsp[0].str));
}
#line 40409 "preproc.c" /* yacc.c:1646  */
    break;

  case 1671:
#line 9997 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("-"),(yyvsp[0].str));
}
#line 40417 "preproc.c" /* yacc.c:1646  */
    break;

  case 1672:
#line 10001 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("*"),(yyvsp[0].str));
}
#line 40425 "preproc.c" /* yacc.c:1646  */
    break;

  case 1673:
#line 10005 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("/"),(yyvsp[0].str));
}
#line 40433 "preproc.c" /* yacc.c:1646  */
    break;

  case 1674:
#line 10009 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("%"),(yyvsp[0].str));
}
#line 40441 "preproc.c" /* yacc.c:1646  */
    break;

  case 1675:
#line 10013 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("^"),(yyvsp[0].str));
}
#line 40449 "preproc.c" /* yacc.c:1646  */
    break;

  case 1676:
#line 10017 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("<"),(yyvsp[0].str));
}
#line 40457 "preproc.c" /* yacc.c:1646  */
    break;

  case 1677:
#line 10021 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(">"),(yyvsp[0].str));
}
#line 40465 "preproc.c" /* yacc.c:1646  */
    break;

  case 1678:
#line 10025 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("="),(yyvsp[0].str));
}
#line 40473 "preproc.c" /* yacc.c:1646  */
    break;

  case 1679:
#line 10029 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 40481 "preproc.c" /* yacc.c:1646  */
    break;

  case 1680:
#line 10033 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 40489 "preproc.c" /* yacc.c:1646  */
    break;

  case 1681:
#line 10037 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 40497 "preproc.c" /* yacc.c:1646  */
    break;

  case 1682:
#line 10041 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-4].str),mm_strdup("is distinct from"),(yyvsp[0].str));
}
#line 40505 "preproc.c" /* yacc.c:1646  */
    break;

  case 1683:
#line 10045 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-5].str),mm_strdup("is not distinct from"),(yyvsp[0].str));
}
#line 40513 "preproc.c" /* yacc.c:1646  */
    break;

  case 1684:
#line 10049 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,(yyvsp[-5].str),mm_strdup("is of ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 40521 "preproc.c" /* yacc.c:1646  */
    break;

  case 1685:
#line 10053 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,(yyvsp[-6].str),mm_strdup("is not of ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 40529 "preproc.c" /* yacc.c:1646  */
    break;

  case 1686:
#line 10057 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-2].str),mm_strdup("is document"));
}
#line 40537 "preproc.c" /* yacc.c:1646  */
    break;

  case 1687:
#line 10061 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-3].str),mm_strdup("is not document"));
}
#line 40545 "preproc.c" /* yacc.c:1646  */
    break;

  case 1688:
#line 10069 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 40553 "preproc.c" /* yacc.c:1646  */
    break;

  case 1689:
#line 10073 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 40561 "preproc.c" /* yacc.c:1646  */
    break;

  case 1690:
#line 10077 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 40569 "preproc.c" /* yacc.c:1646  */
    break;

  case 1691:
#line 10081 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("("),(yyvsp[-2].str),mm_strdup(")"),(yyvsp[0].str));
}
#line 40577 "preproc.c" /* yacc.c:1646  */
    break;

  case 1692:
#line 10085 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 40585 "preproc.c" /* yacc.c:1646  */
    break;

  case 1693:
#line 10089 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 40593 "preproc.c" /* yacc.c:1646  */
    break;

  case 1694:
#line 10093 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 40601 "preproc.c" /* yacc.c:1646  */
    break;

  case 1695:
#line 10097 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 40609 "preproc.c" /* yacc.c:1646  */
    break;

  case 1696:
#line 10101 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("exists"),(yyvsp[0].str));
}
#line 40617 "preproc.c" /* yacc.c:1646  */
    break;

  case 1697:
#line 10105 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("array"),(yyvsp[0].str));
}
#line 40625 "preproc.c" /* yacc.c:1646  */
    break;

  case 1698:
#line 10109 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("array"),(yyvsp[0].str));
}
#line 40633 "preproc.c" /* yacc.c:1646  */
    break;

  case 1699:
#line 10113 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 40641 "preproc.c" /* yacc.c:1646  */
    break;

  case 1700:
#line 10121 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-3].str),mm_strdup("( )"),(yyvsp[0].str));
}
#line 40649 "preproc.c" /* yacc.c:1646  */
    break;

  case 1701:
#line 10125 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,(yyvsp[-4].str),mm_strdup("("),(yyvsp[-2].str),mm_strdup(")"),(yyvsp[0].str));
}
#line 40657 "preproc.c" /* yacc.c:1646  */
    break;

  case 1702:
#line 10129 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,(yyvsp[-5].str),mm_strdup("( variadic"),(yyvsp[-2].str),mm_strdup(")"),(yyvsp[0].str));
}
#line 40665 "preproc.c" /* yacc.c:1646  */
    break;

  case 1703:
#line 10133 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(7,(yyvsp[-7].str),mm_strdup("("),(yyvsp[-5].str),mm_strdup(", variadic"),(yyvsp[-2].str),mm_strdup(")"),(yyvsp[0].str));
}
#line 40673 "preproc.c" /* yacc.c:1646  */
    break;

  case 1704:
#line 10137 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,(yyvsp[-5].str),mm_strdup("("),(yyvsp[-3].str),(yyvsp[-2].str),mm_strdup(")"),(yyvsp[0].str));
}
#line 40681 "preproc.c" /* yacc.c:1646  */
    break;

  case 1705:
#line 10141 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,(yyvsp[-6].str),mm_strdup("( all"),(yyvsp[-3].str),(yyvsp[-2].str),mm_strdup(")"),(yyvsp[0].str));
}
#line 40689 "preproc.c" /* yacc.c:1646  */
    break;

  case 1706:
#line 10145 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,(yyvsp[-6].str),mm_strdup("( distinct"),(yyvsp[-3].str),(yyvsp[-2].str),mm_strdup(")"),(yyvsp[0].str));
}
#line 40697 "preproc.c" /* yacc.c:1646  */
    break;

  case 1707:
#line 10149 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-4].str),mm_strdup("( * )"),(yyvsp[0].str));
}
#line 40705 "preproc.c" /* yacc.c:1646  */
    break;

  case 1708:
#line 10153 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("collation for ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 40713 "preproc.c" /* yacc.c:1646  */
    break;

  case 1709:
#line 10157 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("current_date");
}
#line 40721 "preproc.c" /* yacc.c:1646  */
    break;

  case 1710:
#line 10161 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("current_time");
}
#line 40729 "preproc.c" /* yacc.c:1646  */
    break;

  case 1711:
#line 10165 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("current_time ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 40737 "preproc.c" /* yacc.c:1646  */
    break;

  case 1712:
#line 10169 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("current_timestamp");
}
#line 40745 "preproc.c" /* yacc.c:1646  */
    break;

  case 1713:
#line 10173 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("current_timestamp ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 40753 "preproc.c" /* yacc.c:1646  */
    break;

  case 1714:
#line 10177 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("localtime");
}
#line 40761 "preproc.c" /* yacc.c:1646  */
    break;

  case 1715:
#line 10181 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("localtime ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 40769 "preproc.c" /* yacc.c:1646  */
    break;

  case 1716:
#line 10185 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("localtimestamp");
}
#line 40777 "preproc.c" /* yacc.c:1646  */
    break;

  case 1717:
#line 10189 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("localtimestamp ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 40785 "preproc.c" /* yacc.c:1646  */
    break;

  case 1718:
#line 10193 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("current_role");
}
#line 40793 "preproc.c" /* yacc.c:1646  */
    break;

  case 1719:
#line 10197 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("current_user");
}
#line 40801 "preproc.c" /* yacc.c:1646  */
    break;

  case 1720:
#line 10201 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("session_user");
}
#line 40809 "preproc.c" /* yacc.c:1646  */
    break;

  case 1721:
#line 10205 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("user");
}
#line 40817 "preproc.c" /* yacc.c:1646  */
    break;

  case 1722:
#line 10209 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("current_catalog");
}
#line 40825 "preproc.c" /* yacc.c:1646  */
    break;

  case 1723:
#line 10213 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("current_schema");
}
#line 40833 "preproc.c" /* yacc.c:1646  */
    break;

  case 1724:
#line 10217 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("cast ("),(yyvsp[-3].str),mm_strdup("as"),(yyvsp[-1].str),mm_strdup(")"));
}
#line 40841 "preproc.c" /* yacc.c:1646  */
    break;

  case 1725:
#line 10221 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("extract ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 40849 "preproc.c" /* yacc.c:1646  */
    break;

  case 1726:
#line 10225 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("overlay ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 40857 "preproc.c" /* yacc.c:1646  */
    break;

  case 1727:
#line 10229 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("position ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 40865 "preproc.c" /* yacc.c:1646  */
    break;

  case 1728:
#line 10233 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("substring ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 40873 "preproc.c" /* yacc.c:1646  */
    break;

  case 1729:
#line 10237 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("treat ("),(yyvsp[-3].str),mm_strdup("as"),(yyvsp[-1].str),mm_strdup(")"));
}
#line 40881 "preproc.c" /* yacc.c:1646  */
    break;

  case 1730:
#line 10241 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("trim ( both"),(yyvsp[-1].str),mm_strdup(")"));
}
#line 40889 "preproc.c" /* yacc.c:1646  */
    break;

  case 1731:
#line 10245 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("trim ( leading"),(yyvsp[-1].str),mm_strdup(")"));
}
#line 40897 "preproc.c" /* yacc.c:1646  */
    break;

  case 1732:
#line 10249 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("trim ( trailing"),(yyvsp[-1].str),mm_strdup(")"));
}
#line 40905 "preproc.c" /* yacc.c:1646  */
    break;

  case 1733:
#line 10253 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("trim ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 40913 "preproc.c" /* yacc.c:1646  */
    break;

  case 1734:
#line 10257 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("nullif ("),(yyvsp[-3].str),mm_strdup(","),(yyvsp[-1].str),mm_strdup(")"));
}
#line 40921 "preproc.c" /* yacc.c:1646  */
    break;

  case 1735:
#line 10261 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("coalesce ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 40929 "preproc.c" /* yacc.c:1646  */
    break;

  case 1736:
#line 10265 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("greatest ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 40937 "preproc.c" /* yacc.c:1646  */
    break;

  case 1737:
#line 10269 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("least ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 40945 "preproc.c" /* yacc.c:1646  */
    break;

  case 1738:
#line 10273 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("xmlconcat ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 40953 "preproc.c" /* yacc.c:1646  */
    break;

  case 1739:
#line 10277 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("xmlelement ( name"),(yyvsp[-1].str),mm_strdup(")"));
}
#line 40961 "preproc.c" /* yacc.c:1646  */
    break;

  case 1740:
#line 10281 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("xmlelement ( name"),(yyvsp[-3].str),mm_strdup(","),(yyvsp[-1].str),mm_strdup(")"));
}
#line 40969 "preproc.c" /* yacc.c:1646  */
    break;

  case 1741:
#line 10285 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("xmlelement ( name"),(yyvsp[-3].str),mm_strdup(","),(yyvsp[-1].str),mm_strdup(")"));
}
#line 40977 "preproc.c" /* yacc.c:1646  */
    break;

  case 1742:
#line 10289 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(7,mm_strdup("xmlelement ( name"),(yyvsp[-5].str),mm_strdup(","),(yyvsp[-3].str),mm_strdup(","),(yyvsp[-1].str),mm_strdup(")"));
}
#line 40985 "preproc.c" /* yacc.c:1646  */
    break;

  case 1743:
#line 10293 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("xmlexists ("),(yyvsp[-2].str),(yyvsp[-1].str),mm_strdup(")"));
}
#line 40993 "preproc.c" /* yacc.c:1646  */
    break;

  case 1744:
#line 10297 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("xmlforest ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 41001 "preproc.c" /* yacc.c:1646  */
    break;

  case 1745:
#line 10301 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("xmlparse ("),(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),mm_strdup(")"));
}
#line 41009 "preproc.c" /* yacc.c:1646  */
    break;

  case 1746:
#line 10305 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("xmlpi ( name"),(yyvsp[-1].str),mm_strdup(")"));
}
#line 41017 "preproc.c" /* yacc.c:1646  */
    break;

  case 1747:
#line 10309 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("xmlpi ( name"),(yyvsp[-3].str),mm_strdup(","),(yyvsp[-1].str),mm_strdup(")"));
}
#line 41025 "preproc.c" /* yacc.c:1646  */
    break;

  case 1748:
#line 10313 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("xmlroot ("),(yyvsp[-4].str),mm_strdup(","),(yyvsp[-2].str),(yyvsp[-1].str),mm_strdup(")"));
}
#line 41033 "preproc.c" /* yacc.c:1646  */
    break;

  case 1749:
#line 10317 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("xmlserialize ("),(yyvsp[-4].str),(yyvsp[-3].str),mm_strdup("as"),(yyvsp[-1].str),mm_strdup(")"));
}
#line 41041 "preproc.c" /* yacc.c:1646  */
    break;

  case 1750:
#line 10325 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("version"),(yyvsp[0].str));
}
#line 41049 "preproc.c" /* yacc.c:1646  */
    break;

  case 1751:
#line 10329 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("version no value");
}
#line 41057 "preproc.c" /* yacc.c:1646  */
    break;

  case 1752:
#line 10337 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup(", standalone yes");
}
#line 41065 "preproc.c" /* yacc.c:1646  */
    break;

  case 1753:
#line 10341 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup(", standalone no");
}
#line 41073 "preproc.c" /* yacc.c:1646  */
    break;

  case 1754:
#line 10345 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup(", standalone no value");
}
#line 41081 "preproc.c" /* yacc.c:1646  */
    break;

  case 1755:
#line 10349 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 41088 "preproc.c" /* yacc.c:1646  */
    break;

  case 1756:
#line 10356 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("xmlattributes ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 41096 "preproc.c" /* yacc.c:1646  */
    break;

  case 1757:
#line 10364 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 41104 "preproc.c" /* yacc.c:1646  */
    break;

  case 1758:
#line 10368 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 41112 "preproc.c" /* yacc.c:1646  */
    break;

  case 1759:
#line 10376 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("as"),(yyvsp[0].str));
}
#line 41120 "preproc.c" /* yacc.c:1646  */
    break;

  case 1760:
#line 10380 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 41128 "preproc.c" /* yacc.c:1646  */
    break;

  case 1761:
#line 10388 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("document");
}
#line 41136 "preproc.c" /* yacc.c:1646  */
    break;

  case 1762:
#line 10392 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("content");
}
#line 41144 "preproc.c" /* yacc.c:1646  */
    break;

  case 1763:
#line 10400 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("preserve whitespace");
}
#line 41152 "preproc.c" /* yacc.c:1646  */
    break;

  case 1764:
#line 10404 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("strip whitespace");
}
#line 41160 "preproc.c" /* yacc.c:1646  */
    break;

  case 1765:
#line 10408 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 41167 "preproc.c" /* yacc.c:1646  */
    break;

  case 1766:
#line 10415 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("passing"),(yyvsp[0].str));
}
#line 41175 "preproc.c" /* yacc.c:1646  */
    break;

  case 1767:
#line 10419 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("passing"),(yyvsp[-2].str),mm_strdup("by ref"));
}
#line 41183 "preproc.c" /* yacc.c:1646  */
    break;

  case 1768:
#line 10423 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("passing by ref"),(yyvsp[0].str));
}
#line 41191 "preproc.c" /* yacc.c:1646  */
    break;

  case 1769:
#line 10427 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("passing by ref"),(yyvsp[-2].str),mm_strdup("by ref"));
}
#line 41199 "preproc.c" /* yacc.c:1646  */
    break;

  case 1770:
#line 10435 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("window"),(yyvsp[0].str));
}
#line 41207 "preproc.c" /* yacc.c:1646  */
    break;

  case 1771:
#line 10439 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 41214 "preproc.c" /* yacc.c:1646  */
    break;

  case 1772:
#line 10446 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 41222 "preproc.c" /* yacc.c:1646  */
    break;

  case 1773:
#line 10450 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 41230 "preproc.c" /* yacc.c:1646  */
    break;

  case 1774:
#line 10458 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("as"),(yyvsp[0].str));
}
#line 41238 "preproc.c" /* yacc.c:1646  */
    break;

  case 1775:
#line 10466 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("over"),(yyvsp[0].str));
}
#line 41246 "preproc.c" /* yacc.c:1646  */
    break;

  case 1776:
#line 10470 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("over"),(yyvsp[0].str));
}
#line 41254 "preproc.c" /* yacc.c:1646  */
    break;

  case 1777:
#line 10474 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 41261 "preproc.c" /* yacc.c:1646  */
    break;

  case 1778:
#line 10481 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("("),(yyvsp[-4].str),(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),mm_strdup(")"));
}
#line 41269 "preproc.c" /* yacc.c:1646  */
    break;

  case 1779:
#line 10489 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 41277 "preproc.c" /* yacc.c:1646  */
    break;

  case 1780:
#line 10493 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 41284 "preproc.c" /* yacc.c:1646  */
    break;

  case 1781:
#line 10500 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("partition by"),(yyvsp[0].str));
}
#line 41292 "preproc.c" /* yacc.c:1646  */
    break;

  case 1782:
#line 10504 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 41299 "preproc.c" /* yacc.c:1646  */
    break;

  case 1783:
#line 10511 "preproc.y" /* yacc.c:1646  */
    { 
mmerror(PARSE_ERROR, ET_WARNING, "unsupported feature will be passed to server");
 (yyval.str) = cat_str(2,mm_strdup("range"),(yyvsp[0].str));
}
#line 41308 "preproc.c" /* yacc.c:1646  */
    break;

  case 1784:
#line 10516 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("rows"),(yyvsp[0].str));
}
#line 41316 "preproc.c" /* yacc.c:1646  */
    break;

  case 1785:
#line 10520 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 41323 "preproc.c" /* yacc.c:1646  */
    break;

  case 1786:
#line 10527 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 41331 "preproc.c" /* yacc.c:1646  */
    break;

  case 1787:
#line 10531 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("between"),(yyvsp[-2].str),mm_strdup("and"),(yyvsp[0].str));
}
#line 41339 "preproc.c" /* yacc.c:1646  */
    break;

  case 1788:
#line 10539 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("unbounded preceding");
}
#line 41347 "preproc.c" /* yacc.c:1646  */
    break;

  case 1789:
#line 10543 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("unbounded following");
}
#line 41355 "preproc.c" /* yacc.c:1646  */
    break;

  case 1790:
#line 10547 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("current row");
}
#line 41363 "preproc.c" /* yacc.c:1646  */
    break;

  case 1791:
#line 10551 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),mm_strdup("preceding"));
}
#line 41371 "preproc.c" /* yacc.c:1646  */
    break;

  case 1792:
#line 10555 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),mm_strdup("following"));
}
#line 41379 "preproc.c" /* yacc.c:1646  */
    break;

  case 1793:
#line 10563 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("row ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 41387 "preproc.c" /* yacc.c:1646  */
    break;

  case 1794:
#line 10567 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("row ( )");
}
#line 41395 "preproc.c" /* yacc.c:1646  */
    break;

  case 1795:
#line 10571 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("("),(yyvsp[-3].str),mm_strdup(","),(yyvsp[-1].str),mm_strdup(")"));
}
#line 41403 "preproc.c" /* yacc.c:1646  */
    break;

  case 1796:
#line 10579 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("any");
}
#line 41411 "preproc.c" /* yacc.c:1646  */
    break;

  case 1797:
#line 10583 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("some");
}
#line 41419 "preproc.c" /* yacc.c:1646  */
    break;

  case 1798:
#line 10587 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("all");
}
#line 41427 "preproc.c" /* yacc.c:1646  */
    break;

  case 1799:
#line 10595 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 41435 "preproc.c" /* yacc.c:1646  */
    break;

  case 1800:
#line 10599 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 41443 "preproc.c" /* yacc.c:1646  */
    break;

  case 1801:
#line 10607 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("+");
}
#line 41451 "preproc.c" /* yacc.c:1646  */
    break;

  case 1802:
#line 10611 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("-");
}
#line 41459 "preproc.c" /* yacc.c:1646  */
    break;

  case 1803:
#line 10615 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("*");
}
#line 41467 "preproc.c" /* yacc.c:1646  */
    break;

  case 1804:
#line 10619 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("/");
}
#line 41475 "preproc.c" /* yacc.c:1646  */
    break;

  case 1805:
#line 10623 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("%");
}
#line 41483 "preproc.c" /* yacc.c:1646  */
    break;

  case 1806:
#line 10627 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("^");
}
#line 41491 "preproc.c" /* yacc.c:1646  */
    break;

  case 1807:
#line 10631 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("<");
}
#line 41499 "preproc.c" /* yacc.c:1646  */
    break;

  case 1808:
#line 10635 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup(">");
}
#line 41507 "preproc.c" /* yacc.c:1646  */
    break;

  case 1809:
#line 10639 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("=");
}
#line 41515 "preproc.c" /* yacc.c:1646  */
    break;

  case 1810:
#line 10647 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 41523 "preproc.c" /* yacc.c:1646  */
    break;

  case 1811:
#line 10651 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("operator ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 41531 "preproc.c" /* yacc.c:1646  */
    break;

  case 1812:
#line 10659 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 41539 "preproc.c" /* yacc.c:1646  */
    break;

  case 1813:
#line 10663 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("operator ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 41547 "preproc.c" /* yacc.c:1646  */
    break;

  case 1814:
#line 10671 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 41555 "preproc.c" /* yacc.c:1646  */
    break;

  case 1815:
#line 10675 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("operator ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 41563 "preproc.c" /* yacc.c:1646  */
    break;

  case 1816:
#line 10679 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("like");
}
#line 41571 "preproc.c" /* yacc.c:1646  */
    break;

  case 1817:
#line 10683 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("not like");
}
#line 41579 "preproc.c" /* yacc.c:1646  */
    break;

  case 1818:
#line 10687 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("ilike");
}
#line 41587 "preproc.c" /* yacc.c:1646  */
    break;

  case 1819:
#line 10691 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("not ilike");
}
#line 41595 "preproc.c" /* yacc.c:1646  */
    break;

  case 1820:
#line 10699 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 41603 "preproc.c" /* yacc.c:1646  */
    break;

  case 1821:
#line 10703 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 41611 "preproc.c" /* yacc.c:1646  */
    break;

  case 1822:
#line 10711 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 41619 "preproc.c" /* yacc.c:1646  */
    break;

  case 1823:
#line 10715 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 41627 "preproc.c" /* yacc.c:1646  */
    break;

  case 1824:
#line 10723 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 41635 "preproc.c" /* yacc.c:1646  */
    break;

  case 1825:
#line 10727 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(":="),(yyvsp[0].str));
}
#line 41643 "preproc.c" /* yacc.c:1646  */
    break;

  case 1826:
#line 10735 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 41651 "preproc.c" /* yacc.c:1646  */
    break;

  case 1827:
#line 10739 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 41659 "preproc.c" /* yacc.c:1646  */
    break;

  case 1828:
#line 10747 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("["),(yyvsp[-1].str),mm_strdup("]"));
}
#line 41667 "preproc.c" /* yacc.c:1646  */
    break;

  case 1829:
#line 10751 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("["),(yyvsp[-1].str),mm_strdup("]"));
}
#line 41675 "preproc.c" /* yacc.c:1646  */
    break;

  case 1830:
#line 10755 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("[ ]");
}
#line 41683 "preproc.c" /* yacc.c:1646  */
    break;

  case 1831:
#line 10763 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 41691 "preproc.c" /* yacc.c:1646  */
    break;

  case 1832:
#line 10767 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 41699 "preproc.c" /* yacc.c:1646  */
    break;

  case 1833:
#line 10775 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("from"),(yyvsp[0].str));
}
#line 41707 "preproc.c" /* yacc.c:1646  */
    break;

  case 1834:
#line 10779 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 41714 "preproc.c" /* yacc.c:1646  */
    break;

  case 1835:
#line 10786 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 41722 "preproc.c" /* yacc.c:1646  */
    break;

  case 1836:
#line 10790 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("year");
}
#line 41730 "preproc.c" /* yacc.c:1646  */
    break;

  case 1837:
#line 10794 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("month");
}
#line 41738 "preproc.c" /* yacc.c:1646  */
    break;

  case 1838:
#line 10798 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("day");
}
#line 41746 "preproc.c" /* yacc.c:1646  */
    break;

  case 1839:
#line 10802 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("hour");
}
#line 41754 "preproc.c" /* yacc.c:1646  */
    break;

  case 1840:
#line 10806 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("minute");
}
#line 41762 "preproc.c" /* yacc.c:1646  */
    break;

  case 1841:
#line 10810 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("second");
}
#line 41770 "preproc.c" /* yacc.c:1646  */
    break;

  case 1842:
#line 10814 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 41778 "preproc.c" /* yacc.c:1646  */
    break;

  case 1843:
#line 10822 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 41786 "preproc.c" /* yacc.c:1646  */
    break;

  case 1844:
#line 10826 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 41794 "preproc.c" /* yacc.c:1646  */
    break;

  case 1845:
#line 10834 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("placing"),(yyvsp[0].str));
}
#line 41802 "preproc.c" /* yacc.c:1646  */
    break;

  case 1846:
#line 10842 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("in"),(yyvsp[0].str));
}
#line 41810 "preproc.c" /* yacc.c:1646  */
    break;

  case 1847:
#line 10846 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 41817 "preproc.c" /* yacc.c:1646  */
    break;

  case 1848:
#line 10853 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 41825 "preproc.c" /* yacc.c:1646  */
    break;

  case 1849:
#line 10857 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 41833 "preproc.c" /* yacc.c:1646  */
    break;

  case 1850:
#line 10861 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 41841 "preproc.c" /* yacc.c:1646  */
    break;

  case 1851:
#line 10865 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 41849 "preproc.c" /* yacc.c:1646  */
    break;

  case 1852:
#line 10869 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 41857 "preproc.c" /* yacc.c:1646  */
    break;

  case 1853:
#line 10873 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 41864 "preproc.c" /* yacc.c:1646  */
    break;

  case 1854:
#line 10880 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("from"),(yyvsp[0].str));
}
#line 41872 "preproc.c" /* yacc.c:1646  */
    break;

  case 1855:
#line 10888 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("for"),(yyvsp[0].str));
}
#line 41880 "preproc.c" /* yacc.c:1646  */
    break;

  case 1856:
#line 10896 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("from"),(yyvsp[0].str));
}
#line 41888 "preproc.c" /* yacc.c:1646  */
    break;

  case 1857:
#line 10900 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("from"),(yyvsp[0].str));
}
#line 41896 "preproc.c" /* yacc.c:1646  */
    break;

  case 1858:
#line 10904 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 41904 "preproc.c" /* yacc.c:1646  */
    break;

  case 1859:
#line 10912 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 41912 "preproc.c" /* yacc.c:1646  */
    break;

  case 1860:
#line 10916 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 41920 "preproc.c" /* yacc.c:1646  */
    break;

  case 1861:
#line 10924 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("case"),(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),mm_strdup("end"));
}
#line 41928 "preproc.c" /* yacc.c:1646  */
    break;

  case 1862:
#line 10932 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 41936 "preproc.c" /* yacc.c:1646  */
    break;

  case 1863:
#line 10936 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 41944 "preproc.c" /* yacc.c:1646  */
    break;

  case 1864:
#line 10944 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("when"),(yyvsp[-2].str),mm_strdup("then"),(yyvsp[0].str));
}
#line 41952 "preproc.c" /* yacc.c:1646  */
    break;

  case 1865:
#line 10952 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("else"),(yyvsp[0].str));
}
#line 41960 "preproc.c" /* yacc.c:1646  */
    break;

  case 1866:
#line 10956 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 41967 "preproc.c" /* yacc.c:1646  */
    break;

  case 1867:
#line 10963 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 41975 "preproc.c" /* yacc.c:1646  */
    break;

  case 1868:
#line 10967 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 41982 "preproc.c" /* yacc.c:1646  */
    break;

  case 1869:
#line 10974 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 41990 "preproc.c" /* yacc.c:1646  */
    break;

  case 1870:
#line 10978 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 41998 "preproc.c" /* yacc.c:1646  */
    break;

  case 1871:
#line 10986 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("."),(yyvsp[0].str));
}
#line 42006 "preproc.c" /* yacc.c:1646  */
    break;

  case 1872:
#line 10990 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup(". *");
}
#line 42014 "preproc.c" /* yacc.c:1646  */
    break;

  case 1873:
#line 10994 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("["),(yyvsp[-1].str),mm_strdup("]"));
}
#line 42022 "preproc.c" /* yacc.c:1646  */
    break;

  case 1874:
#line 10998 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("["),(yyvsp[-3].str),mm_strdup(":"),(yyvsp[-1].str),mm_strdup("]"));
}
#line 42030 "preproc.c" /* yacc.c:1646  */
    break;

  case 1875:
#line 11006 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 42038 "preproc.c" /* yacc.c:1646  */
    break;

  case 1876:
#line 11010 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 42046 "preproc.c" /* yacc.c:1646  */
    break;

  case 1877:
#line 11018 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 42053 "preproc.c" /* yacc.c:1646  */
    break;

  case 1878:
#line 11021 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 42061 "preproc.c" /* yacc.c:1646  */
    break;

  case 1879:
#line 11029 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("asymmetric");
}
#line 42069 "preproc.c" /* yacc.c:1646  */
    break;

  case 1880:
#line 11033 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 42076 "preproc.c" /* yacc.c:1646  */
    break;

  case 1881:
#line 11040 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 42084 "preproc.c" /* yacc.c:1646  */
    break;

  case 1882:
#line 11044 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("default");
}
#line 42092 "preproc.c" /* yacc.c:1646  */
    break;

  case 1883:
#line 11052 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 42100 "preproc.c" /* yacc.c:1646  */
    break;

  case 1884:
#line 11056 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 42108 "preproc.c" /* yacc.c:1646  */
    break;

  case 1885:
#line 11064 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 42116 "preproc.c" /* yacc.c:1646  */
    break;

  case 1886:
#line 11072 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 42124 "preproc.c" /* yacc.c:1646  */
    break;

  case 1887:
#line 11076 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 42132 "preproc.c" /* yacc.c:1646  */
    break;

  case 1888:
#line 11084 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("as"),(yyvsp[0].str));
}
#line 42140 "preproc.c" /* yacc.c:1646  */
    break;

  case 1889:
#line 11088 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 42148 "preproc.c" /* yacc.c:1646  */
    break;

  case 1890:
#line 11092 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 42156 "preproc.c" /* yacc.c:1646  */
    break;

  case 1891:
#line 11096 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("*");
}
#line 42164 "preproc.c" /* yacc.c:1646  */
    break;

  case 1892:
#line 11104 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 42172 "preproc.c" /* yacc.c:1646  */
    break;

  case 1893:
#line 11108 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 42180 "preproc.c" /* yacc.c:1646  */
    break;

  case 1894:
#line 11116 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 42188 "preproc.c" /* yacc.c:1646  */
    break;

  case 1895:
#line 11120 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 42196 "preproc.c" /* yacc.c:1646  */
    break;

  case 1896:
#line 11128 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 42204 "preproc.c" /* yacc.c:1646  */
    break;

  case 1897:
#line 11132 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 42212 "preproc.c" /* yacc.c:1646  */
    break;

  case 1898:
#line 11140 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 42220 "preproc.c" /* yacc.c:1646  */
    break;

  case 1899:
#line 11148 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 42228 "preproc.c" /* yacc.c:1646  */
    break;

  case 1900:
#line 11156 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 42236 "preproc.c" /* yacc.c:1646  */
    break;

  case 1901:
#line 11164 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 42244 "preproc.c" /* yacc.c:1646  */
    break;

  case 1902:
#line 11172 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 42252 "preproc.c" /* yacc.c:1646  */
    break;

  case 1903:
#line 11180 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 42260 "preproc.c" /* yacc.c:1646  */
    break;

  case 1904:
#line 11188 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 42268 "preproc.c" /* yacc.c:1646  */
    break;

  case 1905:
#line 11192 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 42276 "preproc.c" /* yacc.c:1646  */
    break;

  case 1906:
#line 11200 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 42284 "preproc.c" /* yacc.c:1646  */
    break;

  case 1907:
#line 11204 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 42292 "preproc.c" /* yacc.c:1646  */
    break;

  case 1908:
#line 11208 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 42300 "preproc.c" /* yacc.c:1646  */
    break;

  case 1909:
#line 11212 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 42308 "preproc.c" /* yacc.c:1646  */
    break;

  case 1910:
#line 11216 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("xconst");
}
#line 42316 "preproc.c" /* yacc.c:1646  */
    break;

  case 1911:
#line 11220 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 42324 "preproc.c" /* yacc.c:1646  */
    break;

  case 1912:
#line 11224 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,(yyvsp[-4].str),mm_strdup("("),(yyvsp[-2].str),mm_strdup(")"),(yyvsp[0].str));
}
#line 42332 "preproc.c" /* yacc.c:1646  */
    break;

  case 1913:
#line 11228 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 42340 "preproc.c" /* yacc.c:1646  */
    break;

  case 1914:
#line 11232 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 42348 "preproc.c" /* yacc.c:1646  */
    break;

  case 1915:
#line 11236 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,(yyvsp[-5].str),mm_strdup("("),(yyvsp[-3].str),mm_strdup(")"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 42356 "preproc.c" /* yacc.c:1646  */
    break;

  case 1916:
#line 11240 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("true");
}
#line 42364 "preproc.c" /* yacc.c:1646  */
    break;

  case 1917:
#line 11244 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("false");
}
#line 42372 "preproc.c" /* yacc.c:1646  */
    break;

  case 1918:
#line 11248 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("null");
}
#line 42380 "preproc.c" /* yacc.c:1646  */
    break;

  case 1919:
#line 11251 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 42386 "preproc.c" /* yacc.c:1646  */
    break;

  case 1920:
#line 11252 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 42392 "preproc.c" /* yacc.c:1646  */
    break;

  case 1921:
#line 11258 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = make_name(); }
#line 42398 "preproc.c" /* yacc.c:1646  */
    break;

  case 1922:
#line 11264 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 42406 "preproc.c" /* yacc.c:1646  */
    break;

  case 1923:
#line 11272 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 42414 "preproc.c" /* yacc.c:1646  */
    break;

  case 1924:
#line 11276 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 42422 "preproc.c" /* yacc.c:1646  */
    break;

  case 1925:
#line 11284 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 42430 "preproc.c" /* yacc.c:1646  */
    break;

  case 1926:
#line 11287 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 42436 "preproc.c" /* yacc.c:1646  */
    break;

  case 1927:
#line 11289 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("+"),(yyvsp[0].str));
}
#line 42444 "preproc.c" /* yacc.c:1646  */
    break;

  case 1928:
#line 11293 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("-"),(yyvsp[0].str));
}
#line 42452 "preproc.c" /* yacc.c:1646  */
    break;

  case 1929:
#line 11301 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 42460 "preproc.c" /* yacc.c:1646  */
    break;

  case 1930:
#line 11305 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 42468 "preproc.c" /* yacc.c:1646  */
    break;

  case 1931:
#line 11309 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 42476 "preproc.c" /* yacc.c:1646  */
    break;

  case 1932:
#line 11313 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 42484 "preproc.c" /* yacc.c:1646  */
    break;

  case 1933:
#line 11321 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("abort");
}
#line 42492 "preproc.c" /* yacc.c:1646  */
    break;

  case 1934:
#line 11325 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("absolute");
}
#line 42500 "preproc.c" /* yacc.c:1646  */
    break;

  case 1935:
#line 11329 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("access");
}
#line 42508 "preproc.c" /* yacc.c:1646  */
    break;

  case 1936:
#line 11333 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("action");
}
#line 42516 "preproc.c" /* yacc.c:1646  */
    break;

  case 1937:
#line 11337 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("add");
}
#line 42524 "preproc.c" /* yacc.c:1646  */
    break;

  case 1938:
#line 11341 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("admin");
}
#line 42532 "preproc.c" /* yacc.c:1646  */
    break;

  case 1939:
#line 11345 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("after");
}
#line 42540 "preproc.c" /* yacc.c:1646  */
    break;

  case 1940:
#line 11349 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("aggregate");
}
#line 42548 "preproc.c" /* yacc.c:1646  */
    break;

  case 1941:
#line 11353 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("also");
}
#line 42556 "preproc.c" /* yacc.c:1646  */
    break;

  case 1942:
#line 11357 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("alter");
}
#line 42564 "preproc.c" /* yacc.c:1646  */
    break;

  case 1943:
#line 11361 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("always");
}
#line 42572 "preproc.c" /* yacc.c:1646  */
    break;

  case 1944:
#line 11365 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("assertion");
}
#line 42580 "preproc.c" /* yacc.c:1646  */
    break;

  case 1945:
#line 11369 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("assignment");
}
#line 42588 "preproc.c" /* yacc.c:1646  */
    break;

  case 1946:
#line 11373 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("at");
}
#line 42596 "preproc.c" /* yacc.c:1646  */
    break;

  case 1947:
#line 11377 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("attribute");
}
#line 42604 "preproc.c" /* yacc.c:1646  */
    break;

  case 1948:
#line 11381 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("backward");
}
#line 42612 "preproc.c" /* yacc.c:1646  */
    break;

  case 1949:
#line 11385 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("before");
}
#line 42620 "preproc.c" /* yacc.c:1646  */
    break;

  case 1950:
#line 11389 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("begin");
}
#line 42628 "preproc.c" /* yacc.c:1646  */
    break;

  case 1951:
#line 11393 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("by");
}
#line 42636 "preproc.c" /* yacc.c:1646  */
    break;

  case 1952:
#line 11397 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("cache");
}
#line 42644 "preproc.c" /* yacc.c:1646  */
    break;

  case 1953:
#line 11401 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("called");
}
#line 42652 "preproc.c" /* yacc.c:1646  */
    break;

  case 1954:
#line 11405 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("cascade");
}
#line 42660 "preproc.c" /* yacc.c:1646  */
    break;

  case 1955:
#line 11409 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("cascaded");
}
#line 42668 "preproc.c" /* yacc.c:1646  */
    break;

  case 1956:
#line 11413 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("catalog");
}
#line 42676 "preproc.c" /* yacc.c:1646  */
    break;

  case 1957:
#line 11417 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("chain");
}
#line 42684 "preproc.c" /* yacc.c:1646  */
    break;

  case 1958:
#line 11421 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("characteristics");
}
#line 42692 "preproc.c" /* yacc.c:1646  */
    break;

  case 1959:
#line 11425 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("checkpoint");
}
#line 42700 "preproc.c" /* yacc.c:1646  */
    break;

  case 1960:
#line 11429 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("class");
}
#line 42708 "preproc.c" /* yacc.c:1646  */
    break;

  case 1961:
#line 11433 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("close");
}
#line 42716 "preproc.c" /* yacc.c:1646  */
    break;

  case 1962:
#line 11437 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("cluster");
}
#line 42724 "preproc.c" /* yacc.c:1646  */
    break;

  case 1963:
#line 11441 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("comment");
}
#line 42732 "preproc.c" /* yacc.c:1646  */
    break;

  case 1964:
#line 11445 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("comments");
}
#line 42740 "preproc.c" /* yacc.c:1646  */
    break;

  case 1965:
#line 11449 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("commit");
}
#line 42748 "preproc.c" /* yacc.c:1646  */
    break;

  case 1966:
#line 11453 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("committed");
}
#line 42756 "preproc.c" /* yacc.c:1646  */
    break;

  case 1967:
#line 11457 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("configuration");
}
#line 42764 "preproc.c" /* yacc.c:1646  */
    break;

  case 1968:
#line 11461 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("constraints");
}
#line 42772 "preproc.c" /* yacc.c:1646  */
    break;

  case 1969:
#line 11465 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("content");
}
#line 42780 "preproc.c" /* yacc.c:1646  */
    break;

  case 1970:
#line 11469 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("continue");
}
#line 42788 "preproc.c" /* yacc.c:1646  */
    break;

  case 1971:
#line 11473 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("conversion");
}
#line 42796 "preproc.c" /* yacc.c:1646  */
    break;

  case 1972:
#line 11477 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("copy");
}
#line 42804 "preproc.c" /* yacc.c:1646  */
    break;

  case 1973:
#line 11481 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("cost");
}
#line 42812 "preproc.c" /* yacc.c:1646  */
    break;

  case 1974:
#line 11485 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("csv");
}
#line 42820 "preproc.c" /* yacc.c:1646  */
    break;

  case 1975:
#line 11489 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("cursor");
}
#line 42828 "preproc.c" /* yacc.c:1646  */
    break;

  case 1976:
#line 11493 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("cycle");
}
#line 42836 "preproc.c" /* yacc.c:1646  */
    break;

  case 1977:
#line 11497 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("data");
}
#line 42844 "preproc.c" /* yacc.c:1646  */
    break;

  case 1978:
#line 11501 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("database");
}
#line 42852 "preproc.c" /* yacc.c:1646  */
    break;

  case 1979:
#line 11505 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("deallocate");
}
#line 42860 "preproc.c" /* yacc.c:1646  */
    break;

  case 1980:
#line 11509 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("declare");
}
#line 42868 "preproc.c" /* yacc.c:1646  */
    break;

  case 1981:
#line 11513 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("defaults");
}
#line 42876 "preproc.c" /* yacc.c:1646  */
    break;

  case 1982:
#line 11517 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("deferred");
}
#line 42884 "preproc.c" /* yacc.c:1646  */
    break;

  case 1983:
#line 11521 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("definer");
}
#line 42892 "preproc.c" /* yacc.c:1646  */
    break;

  case 1984:
#line 11525 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("delete");
}
#line 42900 "preproc.c" /* yacc.c:1646  */
    break;

  case 1985:
#line 11529 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("delimiter");
}
#line 42908 "preproc.c" /* yacc.c:1646  */
    break;

  case 1986:
#line 11533 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("delimiters");
}
#line 42916 "preproc.c" /* yacc.c:1646  */
    break;

  case 1987:
#line 11537 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("dictionary");
}
#line 42924 "preproc.c" /* yacc.c:1646  */
    break;

  case 1988:
#line 11541 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("disable");
}
#line 42932 "preproc.c" /* yacc.c:1646  */
    break;

  case 1989:
#line 11545 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("discard");
}
#line 42940 "preproc.c" /* yacc.c:1646  */
    break;

  case 1990:
#line 11549 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("document");
}
#line 42948 "preproc.c" /* yacc.c:1646  */
    break;

  case 1991:
#line 11553 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("domain");
}
#line 42956 "preproc.c" /* yacc.c:1646  */
    break;

  case 1992:
#line 11557 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("double");
}
#line 42964 "preproc.c" /* yacc.c:1646  */
    break;

  case 1993:
#line 11561 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("drop");
}
#line 42972 "preproc.c" /* yacc.c:1646  */
    break;

  case 1994:
#line 11565 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("each");
}
#line 42980 "preproc.c" /* yacc.c:1646  */
    break;

  case 1995:
#line 11569 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("enable");
}
#line 42988 "preproc.c" /* yacc.c:1646  */
    break;

  case 1996:
#line 11573 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("encoding");
}
#line 42996 "preproc.c" /* yacc.c:1646  */
    break;

  case 1997:
#line 11577 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("encrypted");
}
#line 43004 "preproc.c" /* yacc.c:1646  */
    break;

  case 1998:
#line 11581 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("enum");
}
#line 43012 "preproc.c" /* yacc.c:1646  */
    break;

  case 1999:
#line 11585 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("escape");
}
#line 43020 "preproc.c" /* yacc.c:1646  */
    break;

  case 2000:
#line 11589 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("event");
}
#line 43028 "preproc.c" /* yacc.c:1646  */
    break;

  case 2001:
#line 11593 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("exclude");
}
#line 43036 "preproc.c" /* yacc.c:1646  */
    break;

  case 2002:
#line 11597 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("excluding");
}
#line 43044 "preproc.c" /* yacc.c:1646  */
    break;

  case 2003:
#line 11601 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("exclusive");
}
#line 43052 "preproc.c" /* yacc.c:1646  */
    break;

  case 2004:
#line 11605 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("execute");
}
#line 43060 "preproc.c" /* yacc.c:1646  */
    break;

  case 2005:
#line 11609 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("explain");
}
#line 43068 "preproc.c" /* yacc.c:1646  */
    break;

  case 2006:
#line 11613 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("extension");
}
#line 43076 "preproc.c" /* yacc.c:1646  */
    break;

  case 2007:
#line 11617 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("external");
}
#line 43084 "preproc.c" /* yacc.c:1646  */
    break;

  case 2008:
#line 11621 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("family");
}
#line 43092 "preproc.c" /* yacc.c:1646  */
    break;

  case 2009:
#line 11625 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("first");
}
#line 43100 "preproc.c" /* yacc.c:1646  */
    break;

  case 2010:
#line 11629 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("following");
}
#line 43108 "preproc.c" /* yacc.c:1646  */
    break;

  case 2011:
#line 11633 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("force");
}
#line 43116 "preproc.c" /* yacc.c:1646  */
    break;

  case 2012:
#line 11637 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("forward");
}
#line 43124 "preproc.c" /* yacc.c:1646  */
    break;

  case 2013:
#line 11641 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("function");
}
#line 43132 "preproc.c" /* yacc.c:1646  */
    break;

  case 2014:
#line 11645 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("functions");
}
#line 43140 "preproc.c" /* yacc.c:1646  */
    break;

  case 2015:
#line 11649 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("global");
}
#line 43148 "preproc.c" /* yacc.c:1646  */
    break;

  case 2016:
#line 11653 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("granted");
}
#line 43156 "preproc.c" /* yacc.c:1646  */
    break;

  case 2017:
#line 11657 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("handler");
}
#line 43164 "preproc.c" /* yacc.c:1646  */
    break;

  case 2018:
#line 11661 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("header");
}
#line 43172 "preproc.c" /* yacc.c:1646  */
    break;

  case 2019:
#line 11665 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("hold");
}
#line 43180 "preproc.c" /* yacc.c:1646  */
    break;

  case 2020:
#line 11669 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("identity");
}
#line 43188 "preproc.c" /* yacc.c:1646  */
    break;

  case 2021:
#line 11673 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("if");
}
#line 43196 "preproc.c" /* yacc.c:1646  */
    break;

  case 2022:
#line 11677 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("immediate");
}
#line 43204 "preproc.c" /* yacc.c:1646  */
    break;

  case 2023:
#line 11681 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("immutable");
}
#line 43212 "preproc.c" /* yacc.c:1646  */
    break;

  case 2024:
#line 11685 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("implicit");
}
#line 43220 "preproc.c" /* yacc.c:1646  */
    break;

  case 2025:
#line 11689 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("including");
}
#line 43228 "preproc.c" /* yacc.c:1646  */
    break;

  case 2026:
#line 11693 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("increment");
}
#line 43236 "preproc.c" /* yacc.c:1646  */
    break;

  case 2027:
#line 11697 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("index");
}
#line 43244 "preproc.c" /* yacc.c:1646  */
    break;

  case 2028:
#line 11701 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("indexes");
}
#line 43252 "preproc.c" /* yacc.c:1646  */
    break;

  case 2029:
#line 11705 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("inherit");
}
#line 43260 "preproc.c" /* yacc.c:1646  */
    break;

  case 2030:
#line 11709 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("inherits");
}
#line 43268 "preproc.c" /* yacc.c:1646  */
    break;

  case 2031:
#line 11713 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("inline");
}
#line 43276 "preproc.c" /* yacc.c:1646  */
    break;

  case 2032:
#line 11717 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("insensitive");
}
#line 43284 "preproc.c" /* yacc.c:1646  */
    break;

  case 2033:
#line 11721 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("insert");
}
#line 43292 "preproc.c" /* yacc.c:1646  */
    break;

  case 2034:
#line 11725 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("instead");
}
#line 43300 "preproc.c" /* yacc.c:1646  */
    break;

  case 2035:
#line 11729 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("invoker");
}
#line 43308 "preproc.c" /* yacc.c:1646  */
    break;

  case 2036:
#line 11733 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("isolation");
}
#line 43316 "preproc.c" /* yacc.c:1646  */
    break;

  case 2037:
#line 11737 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("key");
}
#line 43324 "preproc.c" /* yacc.c:1646  */
    break;

  case 2038:
#line 11741 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("label");
}
#line 43332 "preproc.c" /* yacc.c:1646  */
    break;

  case 2039:
#line 11745 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("language");
}
#line 43340 "preproc.c" /* yacc.c:1646  */
    break;

  case 2040:
#line 11749 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("large");
}
#line 43348 "preproc.c" /* yacc.c:1646  */
    break;

  case 2041:
#line 11753 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("last");
}
#line 43356 "preproc.c" /* yacc.c:1646  */
    break;

  case 2042:
#line 11757 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("lc_collate");
}
#line 43364 "preproc.c" /* yacc.c:1646  */
    break;

  case 2043:
#line 11761 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("lc_ctype");
}
#line 43372 "preproc.c" /* yacc.c:1646  */
    break;

  case 2044:
#line 11765 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("leakproof");
}
#line 43380 "preproc.c" /* yacc.c:1646  */
    break;

  case 2045:
#line 11769 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("level");
}
#line 43388 "preproc.c" /* yacc.c:1646  */
    break;

  case 2046:
#line 11773 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("listen");
}
#line 43396 "preproc.c" /* yacc.c:1646  */
    break;

  case 2047:
#line 11777 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("load");
}
#line 43404 "preproc.c" /* yacc.c:1646  */
    break;

  case 2048:
#line 11781 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("local");
}
#line 43412 "preproc.c" /* yacc.c:1646  */
    break;

  case 2049:
#line 11785 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("location");
}
#line 43420 "preproc.c" /* yacc.c:1646  */
    break;

  case 2050:
#line 11789 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("lock");
}
#line 43428 "preproc.c" /* yacc.c:1646  */
    break;

  case 2051:
#line 11793 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("mapping");
}
#line 43436 "preproc.c" /* yacc.c:1646  */
    break;

  case 2052:
#line 11797 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("match");
}
#line 43444 "preproc.c" /* yacc.c:1646  */
    break;

  case 2053:
#line 11801 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("materialized");
}
#line 43452 "preproc.c" /* yacc.c:1646  */
    break;

  case 2054:
#line 11805 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("maxvalue");
}
#line 43460 "preproc.c" /* yacc.c:1646  */
    break;

  case 2055:
#line 11809 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("minvalue");
}
#line 43468 "preproc.c" /* yacc.c:1646  */
    break;

  case 2056:
#line 11813 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("mode");
}
#line 43476 "preproc.c" /* yacc.c:1646  */
    break;

  case 2057:
#line 11817 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("move");
}
#line 43484 "preproc.c" /* yacc.c:1646  */
    break;

  case 2058:
#line 11821 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("name");
}
#line 43492 "preproc.c" /* yacc.c:1646  */
    break;

  case 2059:
#line 11825 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("names");
}
#line 43500 "preproc.c" /* yacc.c:1646  */
    break;

  case 2060:
#line 11829 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("next");
}
#line 43508 "preproc.c" /* yacc.c:1646  */
    break;

  case 2061:
#line 11833 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("no");
}
#line 43516 "preproc.c" /* yacc.c:1646  */
    break;

  case 2062:
#line 11837 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("nothing");
}
#line 43524 "preproc.c" /* yacc.c:1646  */
    break;

  case 2063:
#line 11841 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("notify");
}
#line 43532 "preproc.c" /* yacc.c:1646  */
    break;

  case 2064:
#line 11845 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("nowait");
}
#line 43540 "preproc.c" /* yacc.c:1646  */
    break;

  case 2065:
#line 11849 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("nulls");
}
#line 43548 "preproc.c" /* yacc.c:1646  */
    break;

  case 2066:
#line 11853 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("object");
}
#line 43556 "preproc.c" /* yacc.c:1646  */
    break;

  case 2067:
#line 11857 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("of");
}
#line 43564 "preproc.c" /* yacc.c:1646  */
    break;

  case 2068:
#line 11861 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("off");
}
#line 43572 "preproc.c" /* yacc.c:1646  */
    break;

  case 2069:
#line 11865 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("oids");
}
#line 43580 "preproc.c" /* yacc.c:1646  */
    break;

  case 2070:
#line 11869 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("operator");
}
#line 43588 "preproc.c" /* yacc.c:1646  */
    break;

  case 2071:
#line 11873 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("option");
}
#line 43596 "preproc.c" /* yacc.c:1646  */
    break;

  case 2072:
#line 11877 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("options");
}
#line 43604 "preproc.c" /* yacc.c:1646  */
    break;

  case 2073:
#line 11881 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("owned");
}
#line 43612 "preproc.c" /* yacc.c:1646  */
    break;

  case 2074:
#line 11885 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("owner");
}
#line 43620 "preproc.c" /* yacc.c:1646  */
    break;

  case 2075:
#line 11889 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("parser");
}
#line 43628 "preproc.c" /* yacc.c:1646  */
    break;

  case 2076:
#line 11893 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("partial");
}
#line 43636 "preproc.c" /* yacc.c:1646  */
    break;

  case 2077:
#line 11897 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("partition");
}
#line 43644 "preproc.c" /* yacc.c:1646  */
    break;

  case 2078:
#line 11901 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("passing");
}
#line 43652 "preproc.c" /* yacc.c:1646  */
    break;

  case 2079:
#line 11905 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("password");
}
#line 43660 "preproc.c" /* yacc.c:1646  */
    break;

  case 2080:
#line 11909 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("plans");
}
#line 43668 "preproc.c" /* yacc.c:1646  */
    break;

  case 2081:
#line 11913 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("preceding");
}
#line 43676 "preproc.c" /* yacc.c:1646  */
    break;

  case 2082:
#line 11917 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("prepare");
}
#line 43684 "preproc.c" /* yacc.c:1646  */
    break;

  case 2083:
#line 11921 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("prepared");
}
#line 43692 "preproc.c" /* yacc.c:1646  */
    break;

  case 2084:
#line 11925 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("preserve");
}
#line 43700 "preproc.c" /* yacc.c:1646  */
    break;

  case 2085:
#line 11929 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("prior");
}
#line 43708 "preproc.c" /* yacc.c:1646  */
    break;

  case 2086:
#line 11933 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("privileges");
}
#line 43716 "preproc.c" /* yacc.c:1646  */
    break;

  case 2087:
#line 11937 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("procedural");
}
#line 43724 "preproc.c" /* yacc.c:1646  */
    break;

  case 2088:
#line 11941 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("procedure");
}
#line 43732 "preproc.c" /* yacc.c:1646  */
    break;

  case 2089:
#line 11945 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("program");
}
#line 43740 "preproc.c" /* yacc.c:1646  */
    break;

  case 2090:
#line 11949 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("quote");
}
#line 43748 "preproc.c" /* yacc.c:1646  */
    break;

  case 2091:
#line 11953 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("range");
}
#line 43756 "preproc.c" /* yacc.c:1646  */
    break;

  case 2092:
#line 11957 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("read");
}
#line 43764 "preproc.c" /* yacc.c:1646  */
    break;

  case 2093:
#line 11961 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("reassign");
}
#line 43772 "preproc.c" /* yacc.c:1646  */
    break;

  case 2094:
#line 11965 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("recheck");
}
#line 43780 "preproc.c" /* yacc.c:1646  */
    break;

  case 2095:
#line 11969 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("recursive");
}
#line 43788 "preproc.c" /* yacc.c:1646  */
    break;

  case 2096:
#line 11973 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("ref");
}
#line 43796 "preproc.c" /* yacc.c:1646  */
    break;

  case 2097:
#line 11977 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("refresh");
}
#line 43804 "preproc.c" /* yacc.c:1646  */
    break;

  case 2098:
#line 11981 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("reindex");
}
#line 43812 "preproc.c" /* yacc.c:1646  */
    break;

  case 2099:
#line 11985 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("relative");
}
#line 43820 "preproc.c" /* yacc.c:1646  */
    break;

  case 2100:
#line 11989 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("release");
}
#line 43828 "preproc.c" /* yacc.c:1646  */
    break;

  case 2101:
#line 11993 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("rename");
}
#line 43836 "preproc.c" /* yacc.c:1646  */
    break;

  case 2102:
#line 11997 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("repeatable");
}
#line 43844 "preproc.c" /* yacc.c:1646  */
    break;

  case 2103:
#line 12001 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("replace");
}
#line 43852 "preproc.c" /* yacc.c:1646  */
    break;

  case 2104:
#line 12005 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("replica");
}
#line 43860 "preproc.c" /* yacc.c:1646  */
    break;

  case 2105:
#line 12009 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("reset");
}
#line 43868 "preproc.c" /* yacc.c:1646  */
    break;

  case 2106:
#line 12013 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("restart");
}
#line 43876 "preproc.c" /* yacc.c:1646  */
    break;

  case 2107:
#line 12017 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("restrict");
}
#line 43884 "preproc.c" /* yacc.c:1646  */
    break;

  case 2108:
#line 12021 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("returns");
}
#line 43892 "preproc.c" /* yacc.c:1646  */
    break;

  case 2109:
#line 12025 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("revoke");
}
#line 43900 "preproc.c" /* yacc.c:1646  */
    break;

  case 2110:
#line 12029 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("role");
}
#line 43908 "preproc.c" /* yacc.c:1646  */
    break;

  case 2111:
#line 12033 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("rollback");
}
#line 43916 "preproc.c" /* yacc.c:1646  */
    break;

  case 2112:
#line 12037 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("rows");
}
#line 43924 "preproc.c" /* yacc.c:1646  */
    break;

  case 2113:
#line 12041 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("rule");
}
#line 43932 "preproc.c" /* yacc.c:1646  */
    break;

  case 2114:
#line 12045 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("savepoint");
}
#line 43940 "preproc.c" /* yacc.c:1646  */
    break;

  case 2115:
#line 12049 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("schema");
}
#line 43948 "preproc.c" /* yacc.c:1646  */
    break;

  case 2116:
#line 12053 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("scroll");
}
#line 43956 "preproc.c" /* yacc.c:1646  */
    break;

  case 2117:
#line 12057 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("search");
}
#line 43964 "preproc.c" /* yacc.c:1646  */
    break;

  case 2118:
#line 12061 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("security");
}
#line 43972 "preproc.c" /* yacc.c:1646  */
    break;

  case 2119:
#line 12065 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("sequence");
}
#line 43980 "preproc.c" /* yacc.c:1646  */
    break;

  case 2120:
#line 12069 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("sequences");
}
#line 43988 "preproc.c" /* yacc.c:1646  */
    break;

  case 2121:
#line 12073 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("serializable");
}
#line 43996 "preproc.c" /* yacc.c:1646  */
    break;

  case 2122:
#line 12077 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("server");
}
#line 44004 "preproc.c" /* yacc.c:1646  */
    break;

  case 2123:
#line 12081 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("session");
}
#line 44012 "preproc.c" /* yacc.c:1646  */
    break;

  case 2124:
#line 12085 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("set");
}
#line 44020 "preproc.c" /* yacc.c:1646  */
    break;

  case 2125:
#line 12089 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("share");
}
#line 44028 "preproc.c" /* yacc.c:1646  */
    break;

  case 2126:
#line 12093 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("show");
}
#line 44036 "preproc.c" /* yacc.c:1646  */
    break;

  case 2127:
#line 12097 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("simple");
}
#line 44044 "preproc.c" /* yacc.c:1646  */
    break;

  case 2128:
#line 12101 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("snapshot");
}
#line 44052 "preproc.c" /* yacc.c:1646  */
    break;

  case 2129:
#line 12105 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("stable");
}
#line 44060 "preproc.c" /* yacc.c:1646  */
    break;

  case 2130:
#line 12109 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("standalone");
}
#line 44068 "preproc.c" /* yacc.c:1646  */
    break;

  case 2131:
#line 12113 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("start");
}
#line 44076 "preproc.c" /* yacc.c:1646  */
    break;

  case 2132:
#line 12117 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("statement");
}
#line 44084 "preproc.c" /* yacc.c:1646  */
    break;

  case 2133:
#line 12121 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("statistics");
}
#line 44092 "preproc.c" /* yacc.c:1646  */
    break;

  case 2134:
#line 12125 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("stdin");
}
#line 44100 "preproc.c" /* yacc.c:1646  */
    break;

  case 2135:
#line 12129 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("stdout");
}
#line 44108 "preproc.c" /* yacc.c:1646  */
    break;

  case 2136:
#line 12133 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("storage");
}
#line 44116 "preproc.c" /* yacc.c:1646  */
    break;

  case 2137:
#line 12137 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("strict");
}
#line 44124 "preproc.c" /* yacc.c:1646  */
    break;

  case 2138:
#line 12141 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("strip");
}
#line 44132 "preproc.c" /* yacc.c:1646  */
    break;

  case 2139:
#line 12145 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("sysid");
}
#line 44140 "preproc.c" /* yacc.c:1646  */
    break;

  case 2140:
#line 12149 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("system");
}
#line 44148 "preproc.c" /* yacc.c:1646  */
    break;

  case 2141:
#line 12153 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("tables");
}
#line 44156 "preproc.c" /* yacc.c:1646  */
    break;

  case 2142:
#line 12157 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("tablespace");
}
#line 44164 "preproc.c" /* yacc.c:1646  */
    break;

  case 2143:
#line 12161 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("temp");
}
#line 44172 "preproc.c" /* yacc.c:1646  */
    break;

  case 2144:
#line 12165 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("template");
}
#line 44180 "preproc.c" /* yacc.c:1646  */
    break;

  case 2145:
#line 12169 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("temporary");
}
#line 44188 "preproc.c" /* yacc.c:1646  */
    break;

  case 2146:
#line 12173 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("text");
}
#line 44196 "preproc.c" /* yacc.c:1646  */
    break;

  case 2147:
#line 12177 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("transaction");
}
#line 44204 "preproc.c" /* yacc.c:1646  */
    break;

  case 2148:
#line 12181 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("trigger");
}
#line 44212 "preproc.c" /* yacc.c:1646  */
    break;

  case 2149:
#line 12185 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("truncate");
}
#line 44220 "preproc.c" /* yacc.c:1646  */
    break;

  case 2150:
#line 12189 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("trusted");
}
#line 44228 "preproc.c" /* yacc.c:1646  */
    break;

  case 2151:
#line 12193 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("type");
}
#line 44236 "preproc.c" /* yacc.c:1646  */
    break;

  case 2152:
#line 12197 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("types");
}
#line 44244 "preproc.c" /* yacc.c:1646  */
    break;

  case 2153:
#line 12201 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("unbounded");
}
#line 44252 "preproc.c" /* yacc.c:1646  */
    break;

  case 2154:
#line 12205 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("uncommitted");
}
#line 44260 "preproc.c" /* yacc.c:1646  */
    break;

  case 2155:
#line 12209 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("unencrypted");
}
#line 44268 "preproc.c" /* yacc.c:1646  */
    break;

  case 2156:
#line 12213 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("unknown");
}
#line 44276 "preproc.c" /* yacc.c:1646  */
    break;

  case 2157:
#line 12217 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("unlisten");
}
#line 44284 "preproc.c" /* yacc.c:1646  */
    break;

  case 2158:
#line 12221 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("unlogged");
}
#line 44292 "preproc.c" /* yacc.c:1646  */
    break;

  case 2159:
#line 12225 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("until");
}
#line 44300 "preproc.c" /* yacc.c:1646  */
    break;

  case 2160:
#line 12229 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("update");
}
#line 44308 "preproc.c" /* yacc.c:1646  */
    break;

  case 2161:
#line 12233 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("vacuum");
}
#line 44316 "preproc.c" /* yacc.c:1646  */
    break;

  case 2162:
#line 12237 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("valid");
}
#line 44324 "preproc.c" /* yacc.c:1646  */
    break;

  case 2163:
#line 12241 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("validate");
}
#line 44332 "preproc.c" /* yacc.c:1646  */
    break;

  case 2164:
#line 12245 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("validator");
}
#line 44340 "preproc.c" /* yacc.c:1646  */
    break;

  case 2165:
#line 12249 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("value");
}
#line 44348 "preproc.c" /* yacc.c:1646  */
    break;

  case 2166:
#line 12253 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("varying");
}
#line 44356 "preproc.c" /* yacc.c:1646  */
    break;

  case 2167:
#line 12257 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("version");
}
#line 44364 "preproc.c" /* yacc.c:1646  */
    break;

  case 2168:
#line 12261 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("view");
}
#line 44372 "preproc.c" /* yacc.c:1646  */
    break;

  case 2169:
#line 12265 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("volatile");
}
#line 44380 "preproc.c" /* yacc.c:1646  */
    break;

  case 2170:
#line 12269 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("whitespace");
}
#line 44388 "preproc.c" /* yacc.c:1646  */
    break;

  case 2171:
#line 12273 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("without");
}
#line 44396 "preproc.c" /* yacc.c:1646  */
    break;

  case 2172:
#line 12277 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("work");
}
#line 44404 "preproc.c" /* yacc.c:1646  */
    break;

  case 2173:
#line 12281 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("wrapper");
}
#line 44412 "preproc.c" /* yacc.c:1646  */
    break;

  case 2174:
#line 12285 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("write");
}
#line 44420 "preproc.c" /* yacc.c:1646  */
    break;

  case 2175:
#line 12289 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("xml");
}
#line 44428 "preproc.c" /* yacc.c:1646  */
    break;

  case 2176:
#line 12293 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("yes");
}
#line 44436 "preproc.c" /* yacc.c:1646  */
    break;

  case 2177:
#line 12297 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("zone");
}
#line 44444 "preproc.c" /* yacc.c:1646  */
    break;

  case 2178:
#line 12305 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("between");
}
#line 44452 "preproc.c" /* yacc.c:1646  */
    break;

  case 2179:
#line 12309 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("bigint");
}
#line 44460 "preproc.c" /* yacc.c:1646  */
    break;

  case 2180:
#line 12313 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("bit");
}
#line 44468 "preproc.c" /* yacc.c:1646  */
    break;

  case 2181:
#line 12317 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("boolean");
}
#line 44476 "preproc.c" /* yacc.c:1646  */
    break;

  case 2182:
#line 12321 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("character");
}
#line 44484 "preproc.c" /* yacc.c:1646  */
    break;

  case 2183:
#line 12325 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("coalesce");
}
#line 44492 "preproc.c" /* yacc.c:1646  */
    break;

  case 2184:
#line 12329 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("dec");
}
#line 44500 "preproc.c" /* yacc.c:1646  */
    break;

  case 2185:
#line 12333 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("decimal");
}
#line 44508 "preproc.c" /* yacc.c:1646  */
    break;

  case 2186:
#line 12337 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("exists");
}
#line 44516 "preproc.c" /* yacc.c:1646  */
    break;

  case 2187:
#line 12341 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("extract");
}
#line 44524 "preproc.c" /* yacc.c:1646  */
    break;

  case 2188:
#line 12345 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("float");
}
#line 44532 "preproc.c" /* yacc.c:1646  */
    break;

  case 2189:
#line 12349 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("greatest");
}
#line 44540 "preproc.c" /* yacc.c:1646  */
    break;

  case 2190:
#line 12353 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("inout");
}
#line 44548 "preproc.c" /* yacc.c:1646  */
    break;

  case 2191:
#line 12357 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("integer");
}
#line 44556 "preproc.c" /* yacc.c:1646  */
    break;

  case 2192:
#line 12361 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("interval");
}
#line 44564 "preproc.c" /* yacc.c:1646  */
    break;

  case 2193:
#line 12365 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("least");
}
#line 44572 "preproc.c" /* yacc.c:1646  */
    break;

  case 2194:
#line 12369 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("national");
}
#line 44580 "preproc.c" /* yacc.c:1646  */
    break;

  case 2195:
#line 12373 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("nchar");
}
#line 44588 "preproc.c" /* yacc.c:1646  */
    break;

  case 2196:
#line 12377 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("none");
}
#line 44596 "preproc.c" /* yacc.c:1646  */
    break;

  case 2197:
#line 12381 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("nullif");
}
#line 44604 "preproc.c" /* yacc.c:1646  */
    break;

  case 2198:
#line 12385 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("numeric");
}
#line 44612 "preproc.c" /* yacc.c:1646  */
    break;

  case 2199:
#line 12389 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("out");
}
#line 44620 "preproc.c" /* yacc.c:1646  */
    break;

  case 2200:
#line 12393 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("overlay");
}
#line 44628 "preproc.c" /* yacc.c:1646  */
    break;

  case 2201:
#line 12397 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("position");
}
#line 44636 "preproc.c" /* yacc.c:1646  */
    break;

  case 2202:
#line 12401 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("precision");
}
#line 44644 "preproc.c" /* yacc.c:1646  */
    break;

  case 2203:
#line 12405 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("real");
}
#line 44652 "preproc.c" /* yacc.c:1646  */
    break;

  case 2204:
#line 12409 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("row");
}
#line 44660 "preproc.c" /* yacc.c:1646  */
    break;

  case 2205:
#line 12413 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("setof");
}
#line 44668 "preproc.c" /* yacc.c:1646  */
    break;

  case 2206:
#line 12417 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("smallint");
}
#line 44676 "preproc.c" /* yacc.c:1646  */
    break;

  case 2207:
#line 12421 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("substring");
}
#line 44684 "preproc.c" /* yacc.c:1646  */
    break;

  case 2208:
#line 12425 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("time");
}
#line 44692 "preproc.c" /* yacc.c:1646  */
    break;

  case 2209:
#line 12429 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("timestamp");
}
#line 44700 "preproc.c" /* yacc.c:1646  */
    break;

  case 2210:
#line 12433 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("treat");
}
#line 44708 "preproc.c" /* yacc.c:1646  */
    break;

  case 2211:
#line 12437 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("trim");
}
#line 44716 "preproc.c" /* yacc.c:1646  */
    break;

  case 2212:
#line 12441 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("varchar");
}
#line 44724 "preproc.c" /* yacc.c:1646  */
    break;

  case 2213:
#line 12445 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("xmlattributes");
}
#line 44732 "preproc.c" /* yacc.c:1646  */
    break;

  case 2214:
#line 12449 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("xmlconcat");
}
#line 44740 "preproc.c" /* yacc.c:1646  */
    break;

  case 2215:
#line 12453 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("xmlelement");
}
#line 44748 "preproc.c" /* yacc.c:1646  */
    break;

  case 2216:
#line 12457 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("xmlexists");
}
#line 44756 "preproc.c" /* yacc.c:1646  */
    break;

  case 2217:
#line 12461 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("xmlforest");
}
#line 44764 "preproc.c" /* yacc.c:1646  */
    break;

  case 2218:
#line 12465 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("xmlparse");
}
#line 44772 "preproc.c" /* yacc.c:1646  */
    break;

  case 2219:
#line 12469 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("xmlpi");
}
#line 44780 "preproc.c" /* yacc.c:1646  */
    break;

  case 2220:
#line 12473 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("xmlroot");
}
#line 44788 "preproc.c" /* yacc.c:1646  */
    break;

  case 2221:
#line 12477 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("xmlserialize");
}
#line 44796 "preproc.c" /* yacc.c:1646  */
    break;

  case 2222:
#line 12485 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("authorization");
}
#line 44804 "preproc.c" /* yacc.c:1646  */
    break;

  case 2223:
#line 12489 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("binary");
}
#line 44812 "preproc.c" /* yacc.c:1646  */
    break;

  case 2224:
#line 12493 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("collation");
}
#line 44820 "preproc.c" /* yacc.c:1646  */
    break;

  case 2225:
#line 12497 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("concurrently");
}
#line 44828 "preproc.c" /* yacc.c:1646  */
    break;

  case 2226:
#line 12501 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("cross");
}
#line 44836 "preproc.c" /* yacc.c:1646  */
    break;

  case 2227:
#line 12505 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("current_schema");
}
#line 44844 "preproc.c" /* yacc.c:1646  */
    break;

  case 2228:
#line 12509 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("freeze");
}
#line 44852 "preproc.c" /* yacc.c:1646  */
    break;

  case 2229:
#line 12513 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("full");
}
#line 44860 "preproc.c" /* yacc.c:1646  */
    break;

  case 2230:
#line 12517 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("ilike");
}
#line 44868 "preproc.c" /* yacc.c:1646  */
    break;

  case 2231:
#line 12521 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("inner");
}
#line 44876 "preproc.c" /* yacc.c:1646  */
    break;

  case 2232:
#line 12525 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("is");
}
#line 44884 "preproc.c" /* yacc.c:1646  */
    break;

  case 2233:
#line 12529 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("isnull");
}
#line 44892 "preproc.c" /* yacc.c:1646  */
    break;

  case 2234:
#line 12533 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("join");
}
#line 44900 "preproc.c" /* yacc.c:1646  */
    break;

  case 2235:
#line 12537 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("left");
}
#line 44908 "preproc.c" /* yacc.c:1646  */
    break;

  case 2236:
#line 12541 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("like");
}
#line 44916 "preproc.c" /* yacc.c:1646  */
    break;

  case 2237:
#line 12545 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("natural");
}
#line 44924 "preproc.c" /* yacc.c:1646  */
    break;

  case 2238:
#line 12549 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("notnull");
}
#line 44932 "preproc.c" /* yacc.c:1646  */
    break;

  case 2239:
#line 12553 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("outer");
}
#line 44940 "preproc.c" /* yacc.c:1646  */
    break;

  case 2240:
#line 12557 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("over");
}
#line 44948 "preproc.c" /* yacc.c:1646  */
    break;

  case 2241:
#line 12561 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("overlaps");
}
#line 44956 "preproc.c" /* yacc.c:1646  */
    break;

  case 2242:
#line 12565 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("right");
}
#line 44964 "preproc.c" /* yacc.c:1646  */
    break;

  case 2243:
#line 12569 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("similar");
}
#line 44972 "preproc.c" /* yacc.c:1646  */
    break;

  case 2244:
#line 12573 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("verbose");
}
#line 44980 "preproc.c" /* yacc.c:1646  */
    break;

  case 2245:
#line 12581 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("all");
}
#line 44988 "preproc.c" /* yacc.c:1646  */
    break;

  case 2246:
#line 12585 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("analyse");
}
#line 44996 "preproc.c" /* yacc.c:1646  */
    break;

  case 2247:
#line 12589 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("analyze");
}
#line 45004 "preproc.c" /* yacc.c:1646  */
    break;

  case 2248:
#line 12593 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("and");
}
#line 45012 "preproc.c" /* yacc.c:1646  */
    break;

  case 2249:
#line 12597 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("any");
}
#line 45020 "preproc.c" /* yacc.c:1646  */
    break;

  case 2250:
#line 12601 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("array");
}
#line 45028 "preproc.c" /* yacc.c:1646  */
    break;

  case 2251:
#line 12605 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("as");
}
#line 45036 "preproc.c" /* yacc.c:1646  */
    break;

  case 2252:
#line 12609 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("asc");
}
#line 45044 "preproc.c" /* yacc.c:1646  */
    break;

  case 2253:
#line 12613 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("asymmetric");
}
#line 45052 "preproc.c" /* yacc.c:1646  */
    break;

  case 2254:
#line 12617 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("both");
}
#line 45060 "preproc.c" /* yacc.c:1646  */
    break;

  case 2255:
#line 12621 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("case");
}
#line 45068 "preproc.c" /* yacc.c:1646  */
    break;

  case 2256:
#line 12625 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("cast");
}
#line 45076 "preproc.c" /* yacc.c:1646  */
    break;

  case 2257:
#line 12629 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("check");
}
#line 45084 "preproc.c" /* yacc.c:1646  */
    break;

  case 2258:
#line 12633 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("collate");
}
#line 45092 "preproc.c" /* yacc.c:1646  */
    break;

  case 2259:
#line 12637 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("column");
}
#line 45100 "preproc.c" /* yacc.c:1646  */
    break;

  case 2260:
#line 12641 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("constraint");
}
#line 45108 "preproc.c" /* yacc.c:1646  */
    break;

  case 2261:
#line 12645 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("create");
}
#line 45116 "preproc.c" /* yacc.c:1646  */
    break;

  case 2262:
#line 12649 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("current_catalog");
}
#line 45124 "preproc.c" /* yacc.c:1646  */
    break;

  case 2263:
#line 12653 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("current_date");
}
#line 45132 "preproc.c" /* yacc.c:1646  */
    break;

  case 2264:
#line 12657 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("current_role");
}
#line 45140 "preproc.c" /* yacc.c:1646  */
    break;

  case 2265:
#line 12661 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("current_time");
}
#line 45148 "preproc.c" /* yacc.c:1646  */
    break;

  case 2266:
#line 12665 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("current_timestamp");
}
#line 45156 "preproc.c" /* yacc.c:1646  */
    break;

  case 2267:
#line 12669 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("current_user");
}
#line 45164 "preproc.c" /* yacc.c:1646  */
    break;

  case 2268:
#line 12673 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("default");
}
#line 45172 "preproc.c" /* yacc.c:1646  */
    break;

  case 2269:
#line 12677 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("deferrable");
}
#line 45180 "preproc.c" /* yacc.c:1646  */
    break;

  case 2270:
#line 12681 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("desc");
}
#line 45188 "preproc.c" /* yacc.c:1646  */
    break;

  case 2271:
#line 12685 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("distinct");
}
#line 45196 "preproc.c" /* yacc.c:1646  */
    break;

  case 2272:
#line 12689 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("do");
}
#line 45204 "preproc.c" /* yacc.c:1646  */
    break;

  case 2273:
#line 12693 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("else");
}
#line 45212 "preproc.c" /* yacc.c:1646  */
    break;

  case 2274:
#line 12697 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("end");
}
#line 45220 "preproc.c" /* yacc.c:1646  */
    break;

  case 2275:
#line 12701 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("except");
}
#line 45228 "preproc.c" /* yacc.c:1646  */
    break;

  case 2276:
#line 12705 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("false");
}
#line 45236 "preproc.c" /* yacc.c:1646  */
    break;

  case 2277:
#line 12709 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("fetch");
}
#line 45244 "preproc.c" /* yacc.c:1646  */
    break;

  case 2278:
#line 12713 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("for");
}
#line 45252 "preproc.c" /* yacc.c:1646  */
    break;

  case 2279:
#line 12717 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("foreign");
}
#line 45260 "preproc.c" /* yacc.c:1646  */
    break;

  case 2280:
#line 12721 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("from");
}
#line 45268 "preproc.c" /* yacc.c:1646  */
    break;

  case 2281:
#line 12725 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("grant");
}
#line 45276 "preproc.c" /* yacc.c:1646  */
    break;

  case 2282:
#line 12729 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("group");
}
#line 45284 "preproc.c" /* yacc.c:1646  */
    break;

  case 2283:
#line 12733 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("having");
}
#line 45292 "preproc.c" /* yacc.c:1646  */
    break;

  case 2284:
#line 12737 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("in");
}
#line 45300 "preproc.c" /* yacc.c:1646  */
    break;

  case 2285:
#line 12741 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("initially");
}
#line 45308 "preproc.c" /* yacc.c:1646  */
    break;

  case 2286:
#line 12745 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("intersect");
}
#line 45316 "preproc.c" /* yacc.c:1646  */
    break;

  case 2287:
#line 12749 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("into");
}
#line 45324 "preproc.c" /* yacc.c:1646  */
    break;

  case 2288:
#line 12753 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("lateral");
}
#line 45332 "preproc.c" /* yacc.c:1646  */
    break;

  case 2289:
#line 12757 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("leading");
}
#line 45340 "preproc.c" /* yacc.c:1646  */
    break;

  case 2290:
#line 12761 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("limit");
}
#line 45348 "preproc.c" /* yacc.c:1646  */
    break;

  case 2291:
#line 12765 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("localtime");
}
#line 45356 "preproc.c" /* yacc.c:1646  */
    break;

  case 2292:
#line 12769 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("localtimestamp");
}
#line 45364 "preproc.c" /* yacc.c:1646  */
    break;

  case 2293:
#line 12773 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("not");
}
#line 45372 "preproc.c" /* yacc.c:1646  */
    break;

  case 2294:
#line 12777 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("null");
}
#line 45380 "preproc.c" /* yacc.c:1646  */
    break;

  case 2295:
#line 12781 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("offset");
}
#line 45388 "preproc.c" /* yacc.c:1646  */
    break;

  case 2296:
#line 12785 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("on");
}
#line 45396 "preproc.c" /* yacc.c:1646  */
    break;

  case 2297:
#line 12789 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("only");
}
#line 45404 "preproc.c" /* yacc.c:1646  */
    break;

  case 2298:
#line 12793 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("or");
}
#line 45412 "preproc.c" /* yacc.c:1646  */
    break;

  case 2299:
#line 12797 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("order");
}
#line 45420 "preproc.c" /* yacc.c:1646  */
    break;

  case 2300:
#line 12801 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("placing");
}
#line 45428 "preproc.c" /* yacc.c:1646  */
    break;

  case 2301:
#line 12805 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("primary");
}
#line 45436 "preproc.c" /* yacc.c:1646  */
    break;

  case 2302:
#line 12809 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("references");
}
#line 45444 "preproc.c" /* yacc.c:1646  */
    break;

  case 2303:
#line 12813 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("returning");
}
#line 45452 "preproc.c" /* yacc.c:1646  */
    break;

  case 2304:
#line 12817 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("select");
}
#line 45460 "preproc.c" /* yacc.c:1646  */
    break;

  case 2305:
#line 12821 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("session_user");
}
#line 45468 "preproc.c" /* yacc.c:1646  */
    break;

  case 2306:
#line 12825 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("some");
}
#line 45476 "preproc.c" /* yacc.c:1646  */
    break;

  case 2307:
#line 12829 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("symmetric");
}
#line 45484 "preproc.c" /* yacc.c:1646  */
    break;

  case 2308:
#line 12833 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("table");
}
#line 45492 "preproc.c" /* yacc.c:1646  */
    break;

  case 2309:
#line 12837 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("then");
}
#line 45500 "preproc.c" /* yacc.c:1646  */
    break;

  case 2310:
#line 12841 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("trailing");
}
#line 45508 "preproc.c" /* yacc.c:1646  */
    break;

  case 2311:
#line 12845 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("true");
}
#line 45516 "preproc.c" /* yacc.c:1646  */
    break;

  case 2312:
#line 12849 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("unique");
}
#line 45524 "preproc.c" /* yacc.c:1646  */
    break;

  case 2313:
#line 12853 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("user");
}
#line 45532 "preproc.c" /* yacc.c:1646  */
    break;

  case 2314:
#line 12857 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("using");
}
#line 45540 "preproc.c" /* yacc.c:1646  */
    break;

  case 2315:
#line 12861 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("variadic");
}
#line 45548 "preproc.c" /* yacc.c:1646  */
    break;

  case 2316:
#line 12865 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("when");
}
#line 45556 "preproc.c" /* yacc.c:1646  */
    break;

  case 2317:
#line 12869 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("where");
}
#line 45564 "preproc.c" /* yacc.c:1646  */
    break;

  case 2318:
#line 12873 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("window");
}
#line 45572 "preproc.c" /* yacc.c:1646  */
    break;

  case 2319:
#line 12877 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("with");
}
#line 45580 "preproc.c" /* yacc.c:1646  */
    break;

  case 2322:
#line 12890 "preproc.y" /* yacc.c:1646  */
    { connection = NULL; }
#line 45586 "preproc.c" /* yacc.c:1646  */
    break;

  case 2324:
#line 12893 "preproc.y" /* yacc.c:1646  */
    {
					fprintf(base_yyout, "%s", (yyvsp[0].str));
					free((yyvsp[0].str));
					output_line_number();
				}
#line 45596 "preproc.c" /* yacc.c:1646  */
    break;

  case 2326:
#line 12899 "preproc.y" /* yacc.c:1646  */
    { fprintf(base_yyout, "%s", (yyvsp[0].str)); free((yyvsp[0].str)); }
#line 45602 "preproc.c" /* yacc.c:1646  */
    break;

  case 2327:
#line 12900 "preproc.y" /* yacc.c:1646  */
    { fprintf(base_yyout, "%s", (yyvsp[0].str)); free((yyvsp[0].str)); }
#line 45608 "preproc.c" /* yacc.c:1646  */
    break;

  case 2328:
#line 12901 "preproc.y" /* yacc.c:1646  */
    { braces_open++; fputs("{", base_yyout); }
#line 45614 "preproc.c" /* yacc.c:1646  */
    break;

  case 2329:
#line 12903 "preproc.y" /* yacc.c:1646  */
    {
			remove_typedefs(braces_open);
			remove_variables(braces_open--);
			if (braces_open == 0)
			{
				free(current_function);
				current_function = NULL;
			}
			fputs("}", base_yyout);
		}
#line 45629 "preproc.c" /* yacc.c:1646  */
    break;

  case 2330:
#line 12915 "preproc.y" /* yacc.c:1646  */
    {FoundInto = 0;}
#line 45635 "preproc.c" /* yacc.c:1646  */
    break;

  case 2331:
#line 12916 "preproc.y" /* yacc.c:1646  */
    {
			if (FoundInto == 1)
				mmerror(PARSE_ERROR, ET_ERROR, "CREATE TABLE AS cannot specify INTO");

			(yyval.str) = cat_str(6, mm_strdup("create"), (yyvsp[-6].str), mm_strdup("table"), (yyvsp[-4].str), mm_strdup("as"), (yyvsp[-1].str));
		}
#line 45646 "preproc.c" /* yacc.c:1646  */
    break;

  case 2332:
#line 12925 "preproc.y" /* yacc.c:1646  */
    {
			connection = (yyvsp[0].str);
			/*
			 * Do we have a variable as connection target?  Remove the variable
			 * from the variable list or else it will be used twice.
			 */
			if (argsinsert != NULL)
				argsinsert = NULL;
		}
#line 45660 "preproc.c" /* yacc.c:1646  */
    break;

  case 2333:
#line 12940 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = cat_str(5, (yyvsp[-2].str), mm_strdup(","), (yyvsp[0].str), mm_strdup(","), (yyvsp[-1].str)); }
#line 45666 "preproc.c" /* yacc.c:1646  */
    break;

  case 2334:
#line 12942 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("NULL, NULL, NULL, \"DEFAULT\""); }
#line 45672 "preproc.c" /* yacc.c:1646  */
    break;

  case 2335:
#line 12945 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = cat_str(3, mm_strdup("NULL,"), (yyvsp[0].str), mm_strdup(", NULL")); }
#line 45678 "preproc.c" /* yacc.c:1646  */
    break;

  case 2336:
#line 12947 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = cat2_str((yyvsp[0].str), mm_strdup(", NULL, NULL, NULL")); }
#line 45684 "preproc.c" /* yacc.c:1646  */
    break;

  case 2337:
#line 12951 "preproc.y" /* yacc.c:1646  */
    {
			/* old style: dbname[@server][:port] */
			if (strlen((yyvsp[-1].str)) > 0 && *((yyvsp[-1].str)) != '@')
				mmerror(PARSE_ERROR, ET_ERROR, "expected \"@\", found \"%s\"", (yyvsp[-1].str));

			/* C strings need to be handled differently */
			if ((yyvsp[-2].str)[0] == '\"')
				(yyval.str) = (yyvsp[-2].str);
			else
				(yyval.str) = make3_str(mm_strdup("\""), make3_str((yyvsp[-2].str), (yyvsp[-1].str), (yyvsp[0].str)), mm_strdup("\""));
		}
#line 45700 "preproc.c" /* yacc.c:1646  */
    break;

  case 2338:
#line 12963 "preproc.y" /* yacc.c:1646  */
    {
			/* new style: <tcp|unix>:postgresql://server[:port][/dbname] */
			if (strncmp((yyvsp[-6].str), "unix:postgresql", strlen("unix:postgresql")) != 0 && strncmp((yyvsp[-6].str), "tcp:postgresql", strlen("tcp:postgresql")) != 0)
				mmerror(PARSE_ERROR, ET_ERROR, "only protocols \"tcp\" and \"unix\" and database type \"postgresql\" are supported");

			if (strncmp((yyvsp[-4].str), "//", strlen("//")) != 0)
				mmerror(PARSE_ERROR, ET_ERROR, "expected \"://\", found \"%s\"", (yyvsp[-4].str));

			if (strncmp((yyvsp[-6].str), "unix", strlen("unix")) == 0 &&
				strncmp((yyvsp[-4].str) + strlen("//"), "localhost", strlen("localhost")) != 0 &&
				strncmp((yyvsp[-4].str) + strlen("//"), "127.0.0.1", strlen("127.0.0.1")) != 0)
				mmerror(PARSE_ERROR, ET_ERROR, "Unix-domain sockets only work on \"localhost\" but not on \"%s\"", (yyvsp[-4].str) + strlen("//"));

			(yyval.str) = make3_str(make3_str(mm_strdup("\""), (yyvsp[-6].str), mm_strdup(":")), (yyvsp[-4].str), make3_str(make3_str((yyvsp[-3].str), mm_strdup("/"), (yyvsp[-1].str)),	(yyvsp[0].str), mm_strdup("\"")));
		}
#line 45720 "preproc.c" /* yacc.c:1646  */
    break;

  case 2339:
#line 12979 "preproc.y" /* yacc.c:1646  */
    {
			(yyval.str) = (yyvsp[0].str);
		}
#line 45728 "preproc.c" /* yacc.c:1646  */
    break;

  case 2340:
#line 12983 "preproc.y" /* yacc.c:1646  */
    {
			/* We can only process double quoted strings not single quotes ones,
			 * so we change the quotes.
			 * Note, that the rule for ecpg_sconst adds these single quotes. */
			(yyvsp[0].str)[0] = '\"';
			(yyvsp[0].str)[strlen((yyvsp[0].str))-1] = '\"';
			(yyval.str) = (yyvsp[0].str);
		}
#line 45741 "preproc.c" /* yacc.c:1646  */
    break;

  case 2341:
#line 12993 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 45747 "preproc.c" /* yacc.c:1646  */
    break;

  case 2342:
#line 12994 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = EMPTY; }
#line 45753 "preproc.c" /* yacc.c:1646  */
    break;

  case 2343:
#line 12998 "preproc.y" /* yacc.c:1646  */
    {
			if (strcmp((yyvsp[0].str), "postgresql") != 0 && strcmp((yyvsp[0].str), "postgres") != 0)
				mmerror(PARSE_ERROR, ET_ERROR, "expected \"postgresql\", found \"%s\"", (yyvsp[0].str));

			if (strcmp((yyvsp[-1].str), "tcp") != 0 && strcmp((yyvsp[-1].str), "unix") != 0)
				mmerror(PARSE_ERROR, ET_ERROR, "invalid connection type: %s", (yyvsp[-1].str));

			(yyval.str) = make3_str((yyvsp[-1].str), mm_strdup(":"), (yyvsp[0].str));
		}
#line 45767 "preproc.c" /* yacc.c:1646  */
    break;

  case 2344:
#line 13010 "preproc.y" /* yacc.c:1646  */
    {
			if (strcmp((yyvsp[-1].str), "@") != 0 && strcmp((yyvsp[-1].str), "//") != 0)
				mmerror(PARSE_ERROR, ET_ERROR, "expected \"@\" or \"://\", found \"%s\"", (yyvsp[-1].str));

			(yyval.str) = make2_str((yyvsp[-1].str), (yyvsp[0].str));
		}
#line 45778 "preproc.c" /* yacc.c:1646  */
    break;

  case 2345:
#line 13018 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 45784 "preproc.c" /* yacc.c:1646  */
    break;

  case 2346:
#line 13019 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = EMPTY; }
#line 45790 "preproc.c" /* yacc.c:1646  */
    break;

  case 2347:
#line 13022 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 45796 "preproc.c" /* yacc.c:1646  */
    break;

  case 2348:
#line 13023 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = make3_str((yyvsp[-2].str), mm_strdup("."), (yyvsp[0].str)); }
#line 45802 "preproc.c" /* yacc.c:1646  */
    break;

  case 2349:
#line 13024 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = make_name(); }
#line 45808 "preproc.c" /* yacc.c:1646  */
    break;

  case 2350:
#line 13027 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = make2_str(mm_strdup(":"), (yyvsp[0].str)); }
#line 45814 "preproc.c" /* yacc.c:1646  */
    break;

  case 2351:
#line 13028 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = EMPTY; }
#line 45820 "preproc.c" /* yacc.c:1646  */
    break;

  case 2352:
#line 13031 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 45826 "preproc.c" /* yacc.c:1646  */
    break;

  case 2353:
#line 13032 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("NULL"); }
#line 45832 "preproc.c" /* yacc.c:1646  */
    break;

  case 2354:
#line 13035 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 45838 "preproc.c" /* yacc.c:1646  */
    break;

  case 2355:
#line 13036 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("NULL, NULL"); }
#line 45844 "preproc.c" /* yacc.c:1646  */
    break;

  case 2356:
#line 13040 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = cat2_str((yyvsp[0].str), mm_strdup(", NULL")); }
#line 45850 "preproc.c" /* yacc.c:1646  */
    break;

  case 2357:
#line 13042 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = cat_str(3, (yyvsp[-2].str), mm_strdup(","), (yyvsp[0].str)); }
#line 45856 "preproc.c" /* yacc.c:1646  */
    break;

  case 2358:
#line 13044 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = cat_str(3, (yyvsp[-3].str), mm_strdup(","), (yyvsp[0].str)); }
#line 45862 "preproc.c" /* yacc.c:1646  */
    break;

  case 2359:
#line 13046 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = cat_str(3, (yyvsp[-2].str), mm_strdup(","), (yyvsp[0].str)); }
#line 45868 "preproc.c" /* yacc.c:1646  */
    break;

  case 2360:
#line 13050 "preproc.y" /* yacc.c:1646  */
    {
			if ((yyvsp[0].str)[0] == '\"')
				(yyval.str) = (yyvsp[0].str);
			else
				(yyval.str) = make3_str(mm_strdup("\""), (yyvsp[0].str), mm_strdup("\""));
		}
#line 45879 "preproc.c" /* yacc.c:1646  */
    break;

  case 2361:
#line 13057 "preproc.y" /* yacc.c:1646  */
    {
			if ((yyvsp[0].str)[0] == '\"')
				(yyval.str) = (yyvsp[0].str);
			else
				(yyval.str) = make3_str(mm_strdup("\""), (yyvsp[0].str), mm_strdup("\""));
		}
#line 45890 "preproc.c" /* yacc.c:1646  */
    break;

  case 2362:
#line 13064 "preproc.y" /* yacc.c:1646  */
    {
			enum ECPGttype type = argsinsert->variable->type->type;

			/* if array see what's inside */
			if (type == ECPGt_array)
				type = argsinsert->variable->type->u.element->type;

			/* handle varchars */
			if (type == ECPGt_varchar)
				(yyval.str) = make2_str(mm_strdup(argsinsert->variable->name), mm_strdup(".arr"));
			else
				(yyval.str) = mm_strdup(argsinsert->variable->name);
		}
#line 45908 "preproc.c" /* yacc.c:1646  */
    break;

  case 2363:
#line 13080 "preproc.y" /* yacc.c:1646  */
    {
			/* check if we have a string variable */
			struct variable *p = find_variable((yyvsp[0].str));
			enum ECPGttype type = p->type->type;

			/* If we have just one character this is not a string */
			if (atol(p->type->size) == 1)
					mmerror(PARSE_ERROR, ET_ERROR, "invalid data type");
			else
			{
				/* if array see what's inside */
				if (type == ECPGt_array)
					type = p->type->u.element->type;

				switch (type)
				{
					case ECPGt_char:
					case ECPGt_unsigned_char:
					case ECPGt_string:
						(yyval.str) = (yyvsp[0].str);
						break;
					case ECPGt_varchar:
						(yyval.str) = make2_str((yyvsp[0].str), mm_strdup(".arr"));
						break;
					default:
						mmerror(PARSE_ERROR, ET_ERROR, "invalid data type");
						(yyval.str) = (yyvsp[0].str);
						break;
				}
			}
		}
#line 45944 "preproc.c" /* yacc.c:1646  */
    break;

  case 2364:
#line 13114 "preproc.y" /* yacc.c:1646  */
    {
			if (strlen((yyvsp[-1].str)) == 0)
				mmerror(PARSE_ERROR, ET_ERROR, "incomplete statement");

			if (strcmp((yyvsp[-1].str), "?") != 0)
				mmerror(PARSE_ERROR, ET_ERROR, "unrecognized token \"%s\"", (yyvsp[-1].str));

			(yyval.str) = make2_str(mm_strdup("?"), (yyvsp[0].str));
		}
#line 45958 "preproc.c" /* yacc.c:1646  */
    break;

  case 2365:
#line 13123 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = EMPTY; }
#line 45964 "preproc.c" /* yacc.c:1646  */
    break;

  case 2366:
#line 13127 "preproc.y" /* yacc.c:1646  */
    {
				(yyval.str) = make2_str((yyvsp[-1].str), (yyvsp[0].str));
			}
#line 45972 "preproc.c" /* yacc.c:1646  */
    break;

  case 2367:
#line 13131 "preproc.y" /* yacc.c:1646  */
    {
				if (strlen((yyvsp[-1].str)) == 0)
					mmerror(PARSE_ERROR, ET_ERROR, "incomplete statement");

				if (strcmp((yyvsp[-1].str), "&") != 0)
					mmerror(PARSE_ERROR, ET_ERROR, "unrecognized token \"%s\"", (yyvsp[-1].str));

				(yyval.str) = cat_str(3, make2_str((yyvsp[-3].str), (yyvsp[-2].str)), (yyvsp[-1].str), (yyvsp[0].str));
			}
#line 45986 "preproc.c" /* yacc.c:1646  */
    break;

  case 2368:
#line 13143 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = EMPTY; }
#line 45992 "preproc.c" /* yacc.c:1646  */
    break;

  case 2369:
#line 13145 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = make2_str(mm_strdup("="), (yyvsp[0].str)); }
#line 45998 "preproc.c" /* yacc.c:1646  */
    break;

  case 2370:
#line 13147 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = make2_str(mm_strdup("="), (yyvsp[0].str)); }
#line 46004 "preproc.c" /* yacc.c:1646  */
    break;

  case 2371:
#line 13149 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = make2_str(mm_strdup("="), (yyvsp[0].str)); }
#line 46010 "preproc.c" /* yacc.c:1646  */
    break;

  case 2372:
#line 13153 "preproc.y" /* yacc.c:1646  */
    {
			if ((yyvsp[0].str)[0] == '\"' && (yyvsp[0].str)[strlen((yyvsp[0].str))-1] == '\"') /* already quoted? */
				(yyval.str) = (yyvsp[0].str);
			else /* not quoted => convert to lowercase */
			{
				size_t i;

				for (i = 0; i< strlen((yyvsp[0].str)); i++)
					(yyvsp[0].str)[i] = tolower((unsigned char) (yyvsp[0].str)[i]);

				(yyval.str) = make3_str(mm_strdup("\""), (yyvsp[0].str), mm_strdup("\""));
			}
		}
#line 46028 "preproc.c" /* yacc.c:1646  */
    break;

  case 2373:
#line 13166 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 46034 "preproc.c" /* yacc.c:1646  */
    break;

  case 2374:
#line 13174 "preproc.y" /* yacc.c:1646  */
    {
			struct cursor *ptr, *this;
			char *cursor_marker = (yyvsp[-5].str)[0] == ':' ? mm_strdup("$0") : mm_strdup((yyvsp[-5].str));
			int (* strcmp_fn)(const char *, const char *) = (((yyvsp[-5].str)[0] == ':' || (yyvsp[-5].str)[0] == '"') ? strcmp : pg_strcasecmp);
			struct variable *thisquery = (struct variable *)mm_alloc(sizeof(struct variable));
			const char *con = connection ? connection : "NULL";
			char *comment;

			for (ptr = cur; ptr != NULL; ptr = ptr->next)
			{
				if (strcmp_fn((yyvsp[-5].str), ptr->name) == 0)
				{
					/* re-definition is a bug */
					if ((yyvsp[-5].str)[0] == ':')
						mmerror(PARSE_ERROR, ET_ERROR, "using variable \"%s\" in different declare statements is not supported", (yyvsp[-5].str)+1);
					else
						mmerror(PARSE_ERROR, ET_ERROR, "cursor \"%s\" is already defined", (yyvsp[-5].str));
				}
			}

			this = (struct cursor *) mm_alloc(sizeof(struct cursor));

			/* initial definition */
			this->next = cur;
			this->name = (yyvsp[-5].str);
			this->function = (current_function ? mm_strdup(current_function) : NULL);
			this->connection = connection;
			this->command =  cat_str(6, mm_strdup("declare"), cursor_marker, (yyvsp[-4].str), mm_strdup("cursor"), (yyvsp[-2].str), mm_strdup("for $1"));
			this->argsresult = NULL;
			this->argsresult_oos = NULL;

			thisquery->type = &ecpg_query;
			thisquery->brace_level = 0;
			thisquery->next = NULL;
			thisquery->name = (char *) mm_alloc(sizeof("ECPGprepared_statement(, , __LINE__)") + strlen(con) + strlen((yyvsp[0].str)));
			sprintf(thisquery->name, "ECPGprepared_statement(%s, %s, __LINE__)", con, (yyvsp[0].str));

			this->argsinsert = NULL;
			this->argsinsert_oos = NULL;
			if ((yyvsp[-5].str)[0] == ':')
			{
				struct variable *var = find_variable((yyvsp[-5].str) + 1);
				remove_variable_from_list(&argsinsert, var);
				add_variable_to_head(&(this->argsinsert), var, &no_indicator);
			}
			add_variable_to_head(&(this->argsinsert), thisquery, &no_indicator);

			cur = this;

			comment = cat_str(3, mm_strdup("/*"), mm_strdup(this->command), mm_strdup("*/"));

			if ((braces_open > 0) && INFORMIX_MODE) /* we're in a function */
				(yyval.str) = cat_str(3, adjust_outofscope_cursor_vars(this),
					mm_strdup("ECPG_informix_reset_sqlca();"),
					comment);
			else
				(yyval.str) = cat2_str(adjust_outofscope_cursor_vars(this), comment);
		}
#line 46097 "preproc.c" /* yacc.c:1646  */
    break;

  case 2375:
#line 13235 "preproc.y" /* yacc.c:1646  */
    {
			  /* execute immediate means prepare the statement and
			   * immediately execute it */
			  (yyval.str) = (yyvsp[0].str);
			}
#line 46107 "preproc.c" /* yacc.c:1646  */
    break;

  case 2377:
#line 13245 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 46113 "preproc.c" /* yacc.c:1646  */
    break;

  case 2378:
#line 13246 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 46119 "preproc.c" /* yacc.c:1646  */
    break;

  case 2379:
#line 13249 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 46125 "preproc.c" /* yacc.c:1646  */
    break;

  case 2380:
#line 13251 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 46131 "preproc.c" /* yacc.c:1646  */
    break;

  case 2381:
#line 13252 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = EMPTY; }
#line 46137 "preproc.c" /* yacc.c:1646  */
    break;

  case 2382:
#line 13255 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 46143 "preproc.c" /* yacc.c:1646  */
    break;

  case 2383:
#line 13256 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("year to minute"); }
#line 46149 "preproc.c" /* yacc.c:1646  */
    break;

  case 2384:
#line 13257 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("year to second"); }
#line 46155 "preproc.c" /* yacc.c:1646  */
    break;

  case 2385:
#line 13258 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("day to day"); }
#line 46161 "preproc.c" /* yacc.c:1646  */
    break;

  case 2386:
#line 13259 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("month to month"); }
#line 46167 "preproc.c" /* yacc.c:1646  */
    break;

  case 2387:
#line 13266 "preproc.y" /* yacc.c:1646  */
    { fputs("/* exec sql begin declare section */", base_yyout); }
#line 46173 "preproc.c" /* yacc.c:1646  */
    break;

  case 2388:
#line 13268 "preproc.y" /* yacc.c:1646  */
    {
			fprintf(base_yyout, "%s/* exec sql end declare section */", (yyvsp[-1].str));
			free((yyvsp[-1].str));
			output_line_number();
		}
#line 46183 "preproc.c" /* yacc.c:1646  */
    break;

  case 2389:
#line 13275 "preproc.y" /* yacc.c:1646  */
    {}
#line 46189 "preproc.c" /* yacc.c:1646  */
    break;

  case 2390:
#line 13277 "preproc.y" /* yacc.c:1646  */
    {}
#line 46195 "preproc.c" /* yacc.c:1646  */
    break;

  case 2391:
#line 13279 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = EMPTY; }
#line 46201 "preproc.c" /* yacc.c:1646  */
    break;

  case 2392:
#line 13280 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 46207 "preproc.c" /* yacc.c:1646  */
    break;

  case 2393:
#line 13283 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 46213 "preproc.c" /* yacc.c:1646  */
    break;

  case 2394:
#line 13284 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 46219 "preproc.c" /* yacc.c:1646  */
    break;

  case 2395:
#line 13285 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = cat2_str((yyvsp[-1].str), (yyvsp[0].str)); }
#line 46225 "preproc.c" /* yacc.c:1646  */
    break;

  case 2396:
#line 13286 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = cat2_str((yyvsp[-1].str), (yyvsp[0].str)); }
#line 46231 "preproc.c" /* yacc.c:1646  */
    break;

  case 2397:
#line 13289 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 46237 "preproc.c" /* yacc.c:1646  */
    break;

  case 2398:
#line 13290 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = cat2_str((yyvsp[-1].str), (yyvsp[0].str)); }
#line 46243 "preproc.c" /* yacc.c:1646  */
    break;

  case 2399:
#line 13294 "preproc.y" /* yacc.c:1646  */
    {
		/* reset this variable so we see if there was */
		/* an initializer specified */
		initializer = 0;
	}
#line 46253 "preproc.c" /* yacc.c:1646  */
    break;

  case 2400:
#line 13300 "preproc.y" /* yacc.c:1646  */
    {
		add_typedef((yyvsp[-2].str), (yyvsp[-1].index).index1, (yyvsp[-1].index).index2, (yyvsp[-4].type).type_enum, (yyvsp[-4].type).type_dimension, (yyvsp[-4].type).type_index, initializer, *(yyvsp[-3].str) ? 1 : 0);

		fprintf(base_yyout, "typedef %s %s %s %s;\n", (yyvsp[-4].type).type_str, *(yyvsp[-3].str) ? "*" : "", (yyvsp[-2].str), (yyvsp[-1].index).str);
		output_line_number();
		(yyval.str) = mm_strdup("");
	}
#line 46265 "preproc.c" /* yacc.c:1646  */
    break;

  case 2401:
#line 13310 "preproc.y" /* yacc.c:1646  */
    {
			actual_type[struct_level].type_enum = (yyvsp[0].type).type_enum;
			actual_type[struct_level].type_str = (yyvsp[0].type).type_str;
			actual_type[struct_level].type_dimension = (yyvsp[0].type).type_dimension;
			actual_type[struct_level].type_index = (yyvsp[0].type).type_index;
			actual_type[struct_level].type_sizeof = (yyvsp[0].type).type_sizeof;

			actual_startline[struct_level] = hashline_number();
		}
#line 46279 "preproc.c" /* yacc.c:1646  */
    break;

  case 2402:
#line 13320 "preproc.y" /* yacc.c:1646  */
    {
			(yyval.str) = cat_str(5, actual_startline[struct_level], (yyvsp[-4].str), (yyvsp[-3].type).type_str, (yyvsp[-1].str), mm_strdup(";\n"));
		}
#line 46287 "preproc.c" /* yacc.c:1646  */
    break;

  case 2403:
#line 13324 "preproc.y" /* yacc.c:1646  */
    {
			actual_type[struct_level].type_enum = (yyvsp[0].type).type_enum;
			actual_type[struct_level].type_str = (yyvsp[0].type).type_str;
			actual_type[struct_level].type_dimension = (yyvsp[0].type).type_dimension;
			actual_type[struct_level].type_index = (yyvsp[0].type).type_index;
			actual_type[struct_level].type_sizeof = (yyvsp[0].type).type_sizeof;

			actual_startline[struct_level] = hashline_number();
		}
#line 46301 "preproc.c" /* yacc.c:1646  */
    break;

  case 2404:
#line 13334 "preproc.y" /* yacc.c:1646  */
    {
			(yyval.str) = cat_str(4, actual_startline[struct_level], (yyvsp[-3].type).type_str, (yyvsp[-1].str), mm_strdup(";\n"));
		}
#line 46309 "preproc.c" /* yacc.c:1646  */
    break;

  case 2405:
#line 13338 "preproc.y" /* yacc.c:1646  */
    {
			(yyval.str) = cat2_str((yyvsp[-1].str), mm_strdup(";"));
		}
#line 46317 "preproc.c" /* yacc.c:1646  */
    break;

  case 2406:
#line 13343 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) =cat2_str(mm_strdup(":"), (yyvsp[0].str)); }
#line 46323 "preproc.c" /* yacc.c:1646  */
    break;

  case 2407:
#line 13344 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = EMPTY; }
#line 46329 "preproc.c" /* yacc.c:1646  */
    break;

  case 2408:
#line 13348 "preproc.y" /* yacc.c:1646  */
    {(yyval.str) = cat2_str ((yyvsp[-1].str), (yyvsp[0].str)); }
#line 46335 "preproc.c" /* yacc.c:1646  */
    break;

  case 2409:
#line 13349 "preproc.y" /* yacc.c:1646  */
    {(yyval.str) = (yyvsp[0].str); }
#line 46341 "preproc.c" /* yacc.c:1646  */
    break;

  case 2410:
#line 13350 "preproc.y" /* yacc.c:1646  */
    {(yyval.str) = (yyvsp[0].str); }
#line 46347 "preproc.c" /* yacc.c:1646  */
    break;

  case 2411:
#line 13353 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("extern"); }
#line 46353 "preproc.c" /* yacc.c:1646  */
    break;

  case 2412:
#line 13354 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("static"); }
#line 46359 "preproc.c" /* yacc.c:1646  */
    break;

  case 2413:
#line 13355 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("register"); }
#line 46365 "preproc.c" /* yacc.c:1646  */
    break;

  case 2414:
#line 13356 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("auto"); }
#line 46371 "preproc.c" /* yacc.c:1646  */
    break;

  case 2415:
#line 13359 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("const"); }
#line 46377 "preproc.c" /* yacc.c:1646  */
    break;

  case 2416:
#line 13360 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("volatile"); }
#line 46383 "preproc.c" /* yacc.c:1646  */
    break;

  case 2417:
#line 13364 "preproc.y" /* yacc.c:1646  */
    {
			(yyval.type).type_enum = (yyvsp[0].type_enum);
			(yyval.type).type_str = mm_strdup(ecpg_type_name((yyvsp[0].type_enum)));
			(yyval.type).type_dimension = mm_strdup("-1");
			(yyval.type).type_index = mm_strdup("-1");
			(yyval.type).type_sizeof = NULL;
		}
#line 46395 "preproc.c" /* yacc.c:1646  */
    break;

  case 2418:
#line 13372 "preproc.y" /* yacc.c:1646  */
    {
			(yyval.type).type_str = (yyvsp[0].str);
			(yyval.type).type_dimension = mm_strdup("-1");
			(yyval.type).type_index = mm_strdup("-1");

			if (strncmp((yyvsp[0].str), "struct", sizeof("struct")-1) == 0)
			{
				(yyval.type).type_enum = ECPGt_struct;
				(yyval.type).type_sizeof = ECPGstruct_sizeof;
			}
			else
			{
				(yyval.type).type_enum = ECPGt_union;
				(yyval.type).type_sizeof = NULL;
			}
		}
#line 46416 "preproc.c" /* yacc.c:1646  */
    break;

  case 2419:
#line 13389 "preproc.y" /* yacc.c:1646  */
    {
			(yyval.type).type_str = (yyvsp[0].str);
			(yyval.type).type_enum = ECPGt_int;
			(yyval.type).type_dimension = mm_strdup("-1");
			(yyval.type).type_index = mm_strdup("-1");
			(yyval.type).type_sizeof = NULL;
		}
#line 46428 "preproc.c" /* yacc.c:1646  */
    break;

  case 2420:
#line 13397 "preproc.y" /* yacc.c:1646  */
    {
			if (strcmp((yyvsp[-4].str), "numeric") == 0)
			{
				(yyval.type).type_enum = ECPGt_numeric;
				(yyval.type).type_str = mm_strdup("numeric");
			}
			else if (strcmp((yyvsp[-4].str), "decimal") == 0)
			{
				(yyval.type).type_enum = ECPGt_decimal;
				(yyval.type).type_str = mm_strdup("decimal");
			}
			else
			{
				mmerror(PARSE_ERROR, ET_ERROR, "only data types numeric and decimal have precision/scale argument");
				(yyval.type).type_enum = ECPGt_numeric;
				(yyval.type).type_str = mm_strdup("numeric");
			}

			(yyval.type).type_dimension = mm_strdup("-1");
			(yyval.type).type_index = mm_strdup("-1");
			(yyval.type).type_sizeof = NULL;
		}
#line 46455 "preproc.c" /* yacc.c:1646  */
    break;

  case 2421:
#line 13420 "preproc.y" /* yacc.c:1646  */
    {
			if (strlen((yyvsp[0].str)) != 0 && strcmp ((yyvsp[-1].str), "datetime") != 0 && strcmp ((yyvsp[-1].str), "interval") != 0)
				mmerror (PARSE_ERROR, ET_ERROR, "interval specification not allowed here");

			/*
			 * Check for type names that the SQL grammar treats as
			 * unreserved keywords
			 */
			if (strcmp((yyvsp[-1].str), "varchar") == 0)
			{
				(yyval.type).type_enum = ECPGt_varchar;
				(yyval.type).type_str = EMPTY; /*mm_strdup("varchar");*/
				(yyval.type).type_dimension = mm_strdup("-1");
				(yyval.type).type_index = mm_strdup("-1");
				(yyval.type).type_sizeof = NULL;
			}
			else if (strcmp((yyvsp[-1].str), "float") == 0)
			{
				(yyval.type).type_enum = ECPGt_float;
				(yyval.type).type_str = mm_strdup("float");
				(yyval.type).type_dimension = mm_strdup("-1");
				(yyval.type).type_index = mm_strdup("-1");
				(yyval.type).type_sizeof = NULL;
			}
			else if (strcmp((yyvsp[-1].str), "double") == 0)
			{
				(yyval.type).type_enum = ECPGt_double;
				(yyval.type).type_str = mm_strdup("double");
				(yyval.type).type_dimension = mm_strdup("-1");
				(yyval.type).type_index = mm_strdup("-1");
				(yyval.type).type_sizeof = NULL;
			}
			else if (strcmp((yyvsp[-1].str), "numeric") == 0)
			{
				(yyval.type).type_enum = ECPGt_numeric;
				(yyval.type).type_str = mm_strdup("numeric");
				(yyval.type).type_dimension = mm_strdup("-1");
				(yyval.type).type_index = mm_strdup("-1");
				(yyval.type).type_sizeof = NULL;
			}
			else if (strcmp((yyvsp[-1].str), "decimal") == 0)
			{
				(yyval.type).type_enum = ECPGt_decimal;
				(yyval.type).type_str = mm_strdup("decimal");
				(yyval.type).type_dimension = mm_strdup("-1");
				(yyval.type).type_index = mm_strdup("-1");
				(yyval.type).type_sizeof = NULL;
			}
			else if (strcmp((yyvsp[-1].str), "date") == 0)
			{
				(yyval.type).type_enum = ECPGt_date;
				(yyval.type).type_str = mm_strdup("date");
				(yyval.type).type_dimension = mm_strdup("-1");
				(yyval.type).type_index = mm_strdup("-1");
				(yyval.type).type_sizeof = NULL;
			}
			else if (strcmp((yyvsp[-1].str), "timestamp") == 0)
			{
				(yyval.type).type_enum = ECPGt_timestamp;
				(yyval.type).type_str = mm_strdup("timestamp");
				(yyval.type).type_dimension = mm_strdup("-1");
				(yyval.type).type_index = mm_strdup("-1");
				(yyval.type).type_sizeof = NULL;
			}
			else if (strcmp((yyvsp[-1].str), "interval") == 0)
			{
				(yyval.type).type_enum = ECPGt_interval;
				(yyval.type).type_str = mm_strdup("interval");
				(yyval.type).type_dimension = mm_strdup("-1");
				(yyval.type).type_index = mm_strdup("-1");
				(yyval.type).type_sizeof = NULL;
			}
			else if (strcmp((yyvsp[-1].str), "datetime") == 0)
			{
				(yyval.type).type_enum = ECPGt_timestamp;
				(yyval.type).type_str = mm_strdup("timestamp");
				(yyval.type).type_dimension = mm_strdup("-1");
				(yyval.type).type_index = mm_strdup("-1");
				(yyval.type).type_sizeof = NULL;
			}
			else if ((strcmp((yyvsp[-1].str), "string") == 0) && INFORMIX_MODE)
			{
				(yyval.type).type_enum = ECPGt_string;
				(yyval.type).type_str = mm_strdup("char");
				(yyval.type).type_dimension = mm_strdup("-1");
				(yyval.type).type_index = mm_strdup("-1");
				(yyval.type).type_sizeof = NULL;
			}
			else
			{
				/* this is for typedef'ed types */
				struct typedefs *this = get_typedef((yyvsp[-1].str));

				(yyval.type).type_str = (this->type->type_enum == ECPGt_varchar) ? EMPTY : mm_strdup(this->name);
				(yyval.type).type_enum = this->type->type_enum;
				(yyval.type).type_dimension = this->type->type_dimension;
				(yyval.type).type_index = this->type->type_index;
				if (this->type->type_sizeof && strlen(this->type->type_sizeof) != 0)
					(yyval.type).type_sizeof = this->type->type_sizeof;
				else
					(yyval.type).type_sizeof = cat_str(3, mm_strdup("sizeof("), mm_strdup(this->name), mm_strdup(")"));

				struct_member_list[struct_level] = ECPGstruct_member_dup(this->struct_member_list);
			}
		}
#line 46565 "preproc.c" /* yacc.c:1646  */
    break;

  case 2422:
#line 13526 "preproc.y" /* yacc.c:1646  */
    {
			/* this is for named structs/unions */
			char *name;
			struct typedefs *this;
			bool forward = (forward_name != NULL && strcmp((yyvsp[0].struct_union).symbol, forward_name) == 0 && strcmp((yyvsp[0].struct_union).su, "struct") == 0);

			name = cat2_str((yyvsp[0].struct_union).su, (yyvsp[0].struct_union).symbol);
			/* Do we have a forward definition? */
			if (!forward)
			{
				/* No */

				this = get_typedef(name);
				(yyval.type).type_str = mm_strdup(this->name);
				(yyval.type).type_enum = this->type->type_enum;
				(yyval.type).type_dimension = this->type->type_dimension;
				(yyval.type).type_index = this->type->type_index;
				(yyval.type).type_sizeof = this->type->type_sizeof;
				struct_member_list[struct_level] = ECPGstruct_member_dup(this->struct_member_list);
				free(name);
			}
			else
			{
				(yyval.type).type_str = name;
				(yyval.type).type_enum = ECPGt_long;
				(yyval.type).type_dimension = mm_strdup("-1");
				(yyval.type).type_index = mm_strdup("-1");
				(yyval.type).type_sizeof = mm_strdup("");
				struct_member_list[struct_level] = NULL;
			}
		}
#line 46601 "preproc.c" /* yacc.c:1646  */
    break;

  case 2423:
#line 13560 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = cat_str(3, mm_strdup("enum"), (yyvsp[-1].str), (yyvsp[0].str)); }
#line 46607 "preproc.c" /* yacc.c:1646  */
    break;

  case 2424:
#line 13562 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = cat2_str(mm_strdup("enum"), (yyvsp[0].str)); }
#line 46613 "preproc.c" /* yacc.c:1646  */
    break;

  case 2425:
#line 13564 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = cat2_str(mm_strdup("enum"), (yyvsp[0].str)); }
#line 46619 "preproc.c" /* yacc.c:1646  */
    break;

  case 2426:
#line 13568 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = cat_str(3, mm_strdup("{"), (yyvsp[-1].str), mm_strdup("}")); }
#line 46625 "preproc.c" /* yacc.c:1646  */
    break;

  case 2427:
#line 13571 "preproc.y" /* yacc.c:1646  */
    {
			struct_member_list[struct_level++] = NULL;
			if (struct_level >= STRUCT_DEPTH)
				 mmerror(PARSE_ERROR, ET_ERROR, "too many levels in nested structure/union definition");
			forward_name = mm_strdup((yyvsp[0].struct_union).symbol);
		}
#line 46636 "preproc.c" /* yacc.c:1646  */
    break;

  case 2428:
#line 13578 "preproc.y" /* yacc.c:1646  */
    {
			struct typedefs *ptr, *this;
			struct this_type su_type;

			ECPGfree_struct_member(struct_member_list[struct_level]);
			struct_member_list[struct_level] = NULL;
			struct_level--;
			if (strncmp((yyvsp[-4].struct_union).su, "struct", sizeof("struct")-1) == 0)
				su_type.type_enum = ECPGt_struct;
			else
				su_type.type_enum = ECPGt_union;
			su_type.type_str = cat2_str((yyvsp[-4].struct_union).su, (yyvsp[-4].struct_union).symbol);
			free(forward_name);
			forward_name = NULL;

			/* This is essentially a typedef but needs the keyword struct/union as well.
			 * So we create the typedef for each struct definition with symbol */
			for (ptr = types; ptr != NULL; ptr = ptr->next)
			{
					if (strcmp(su_type.type_str, ptr->name) == 0)
							/* re-definition is a bug */
							mmerror(PARSE_ERROR, ET_ERROR, "type \"%s\" is already defined", su_type.type_str);
			}

			this = (struct typedefs *) mm_alloc(sizeof(struct typedefs));

			/* initial definition */
			this->next = types;
			this->name = mm_strdup(su_type.type_str);
			this->brace_level = braces_open;
			this->type = (struct this_type *) mm_alloc(sizeof(struct this_type));
			this->type->type_enum = su_type.type_enum;
			this->type->type_str = mm_strdup(su_type.type_str);
			this->type->type_dimension = mm_strdup("-1"); /* dimension of array */
			this->type->type_index = mm_strdup("-1");	/* length of string */
			this->type->type_sizeof = ECPGstruct_sizeof;
			this->struct_member_list = struct_member_list[struct_level];

			types = this;
			(yyval.str) = cat_str(4, su_type.type_str, mm_strdup("{"), (yyvsp[-1].str), mm_strdup("}"));
		}
#line 46682 "preproc.c" /* yacc.c:1646  */
    break;

  case 2429:
#line 13621 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 46688 "preproc.c" /* yacc.c:1646  */
    break;

  case 2430:
#line 13623 "preproc.y" /* yacc.c:1646  */
    {
			struct_member_list[struct_level++] = NULL;
			if (struct_level >= STRUCT_DEPTH)
				 mmerror(PARSE_ERROR, ET_ERROR, "too many levels in nested structure/union definition");
		}
#line 46698 "preproc.c" /* yacc.c:1646  */
    break;

  case 2431:
#line 13629 "preproc.y" /* yacc.c:1646  */
    {
			ECPGfree_struct_member(struct_member_list[struct_level]);
			struct_member_list[struct_level] = NULL;
			struct_level--;
			(yyval.str) = cat_str(4, (yyvsp[-4].str), mm_strdup("{"), (yyvsp[-1].str), mm_strdup("}"));
		}
#line 46709 "preproc.c" /* yacc.c:1646  */
    break;

  case 2432:
#line 13638 "preproc.y" /* yacc.c:1646  */
    {
			(yyval.struct_union).su = mm_strdup("struct");
			(yyval.struct_union).symbol = (yyvsp[0].str);
			ECPGstruct_sizeof = cat_str(3, mm_strdup("sizeof("), cat2_str(mm_strdup((yyval.struct_union).su), mm_strdup((yyval.struct_union).symbol)), mm_strdup(")"));
		}
#line 46719 "preproc.c" /* yacc.c:1646  */
    break;

  case 2433:
#line 13644 "preproc.y" /* yacc.c:1646  */
    {
			(yyval.struct_union).su = mm_strdup("union");
			(yyval.struct_union).symbol = (yyvsp[0].str);
		}
#line 46728 "preproc.c" /* yacc.c:1646  */
    break;

  case 2434:
#line 13651 "preproc.y" /* yacc.c:1646  */
    {
			ECPGstruct_sizeof = mm_strdup(""); /* This must not be NULL to distinguish from simple types. */
			(yyval.str) = mm_strdup("struct");
		}
#line 46737 "preproc.c" /* yacc.c:1646  */
    break;

  case 2435:
#line 13656 "preproc.y" /* yacc.c:1646  */
    {
			(yyval.str) = mm_strdup("union");
		}
#line 46745 "preproc.c" /* yacc.c:1646  */
    break;

  case 2436:
#line 13661 "preproc.y" /* yacc.c:1646  */
    { (yyval.type_enum)=(yyvsp[0].type_enum); }
#line 46751 "preproc.c" /* yacc.c:1646  */
    break;

  case 2437:
#line 13662 "preproc.y" /* yacc.c:1646  */
    { (yyval.type_enum)=(yyvsp[0].type_enum); }
#line 46757 "preproc.c" /* yacc.c:1646  */
    break;

  case 2438:
#line 13665 "preproc.y" /* yacc.c:1646  */
    { (yyval.type_enum) = ECPGt_unsigned_short; }
#line 46763 "preproc.c" /* yacc.c:1646  */
    break;

  case 2439:
#line 13666 "preproc.y" /* yacc.c:1646  */
    { (yyval.type_enum) = ECPGt_unsigned_short; }
#line 46769 "preproc.c" /* yacc.c:1646  */
    break;

  case 2440:
#line 13667 "preproc.y" /* yacc.c:1646  */
    { (yyval.type_enum) = ECPGt_unsigned_int; }
#line 46775 "preproc.c" /* yacc.c:1646  */
    break;

  case 2441:
#line 13668 "preproc.y" /* yacc.c:1646  */
    { (yyval.type_enum) = ECPGt_unsigned_int; }
#line 46781 "preproc.c" /* yacc.c:1646  */
    break;

  case 2442:
#line 13669 "preproc.y" /* yacc.c:1646  */
    { (yyval.type_enum) = ECPGt_unsigned_long; }
#line 46787 "preproc.c" /* yacc.c:1646  */
    break;

  case 2443:
#line 13670 "preproc.y" /* yacc.c:1646  */
    { (yyval.type_enum) = ECPGt_unsigned_long; }
#line 46793 "preproc.c" /* yacc.c:1646  */
    break;

  case 2444:
#line 13672 "preproc.y" /* yacc.c:1646  */
    {
#ifdef HAVE_LONG_LONG_INT
			(yyval.type_enum) = ECPGt_unsigned_long_long;
#else
			(yyval.type_enum) = ECPGt_unsigned_long;
#endif
		}
#line 46805 "preproc.c" /* yacc.c:1646  */
    break;

  case 2445:
#line 13680 "preproc.y" /* yacc.c:1646  */
    {
#ifdef HAVE_LONG_LONG_INT
			(yyval.type_enum) = ECPGt_unsigned_long_long;
#else
			(yyval.type_enum) = ECPGt_unsigned_long;
#endif
		}
#line 46817 "preproc.c" /* yacc.c:1646  */
    break;

  case 2446:
#line 13687 "preproc.y" /* yacc.c:1646  */
    { (yyval.type_enum) = ECPGt_unsigned_char; }
#line 46823 "preproc.c" /* yacc.c:1646  */
    break;

  case 2447:
#line 13690 "preproc.y" /* yacc.c:1646  */
    { (yyval.type_enum) = ECPGt_short; }
#line 46829 "preproc.c" /* yacc.c:1646  */
    break;

  case 2448:
#line 13691 "preproc.y" /* yacc.c:1646  */
    { (yyval.type_enum) = ECPGt_short; }
#line 46835 "preproc.c" /* yacc.c:1646  */
    break;

  case 2449:
#line 13692 "preproc.y" /* yacc.c:1646  */
    { (yyval.type_enum) = ECPGt_int; }
#line 46841 "preproc.c" /* yacc.c:1646  */
    break;

  case 2450:
#line 13693 "preproc.y" /* yacc.c:1646  */
    { (yyval.type_enum) = ECPGt_long; }
#line 46847 "preproc.c" /* yacc.c:1646  */
    break;

  case 2451:
#line 13694 "preproc.y" /* yacc.c:1646  */
    { (yyval.type_enum) = ECPGt_long; }
#line 46853 "preproc.c" /* yacc.c:1646  */
    break;

  case 2452:
#line 13696 "preproc.y" /* yacc.c:1646  */
    {
#ifdef HAVE_LONG_LONG_INT
			(yyval.type_enum) = ECPGt_long_long;
#else
			(yyval.type_enum) = ECPGt_long;
#endif
		}
#line 46865 "preproc.c" /* yacc.c:1646  */
    break;

  case 2453:
#line 13704 "preproc.y" /* yacc.c:1646  */
    {
#ifdef HAVE_LONG_LONG_INT
			(yyval.type_enum) = ECPGt_long_long;
#else
			(yyval.type_enum) = ECPGt_long;
#endif
		}
#line 46877 "preproc.c" /* yacc.c:1646  */
    break;

  case 2454:
#line 13711 "preproc.y" /* yacc.c:1646  */
    { (yyval.type_enum) = ECPGt_bool; }
#line 46883 "preproc.c" /* yacc.c:1646  */
    break;

  case 2455:
#line 13712 "preproc.y" /* yacc.c:1646  */
    { (yyval.type_enum) = ECPGt_char; }
#line 46889 "preproc.c" /* yacc.c:1646  */
    break;

  case 2456:
#line 13713 "preproc.y" /* yacc.c:1646  */
    { (yyval.type_enum) = ECPGt_double; }
#line 46895 "preproc.c" /* yacc.c:1646  */
    break;

  case 2459:
#line 13721 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 46901 "preproc.c" /* yacc.c:1646  */
    break;

  case 2460:
#line 13723 "preproc.y" /* yacc.c:1646  */
    {
			if (actual_type[struct_level].type_enum == ECPGt_varchar)
				(yyval.str) = cat_str(3, (yyvsp[-2].str), mm_strdup(";"), (yyvsp[0].str));
			else
				(yyval.str) = cat_str(3, (yyvsp[-2].str), mm_strdup(","), (yyvsp[0].str));
		}
#line 46912 "preproc.c" /* yacc.c:1646  */
    break;

  case 2461:
#line 13732 "preproc.y" /* yacc.c:1646  */
    {
			struct ECPGtype * type;
			char *dimension = (yyvsp[-2].index).index1;	/* dimension of array */
			char *length = (yyvsp[-2].index).index2;		/* length of string */
			char *dim_str;
			char *vcn;

			adjust_array(actual_type[struct_level].type_enum, &dimension, &length, actual_type[struct_level].type_dimension, actual_type[struct_level].type_index, strlen((yyvsp[-4].str)), false);

			switch (actual_type[struct_level].type_enum)
			{
				case ECPGt_struct:
				case ECPGt_union:
					if (atoi(dimension) < 0)
						type = ECPGmake_struct_type(struct_member_list[struct_level], actual_type[struct_level].type_enum, actual_type[struct_level].type_str, actual_type[struct_level].type_sizeof);
					else
						type = ECPGmake_array_type(ECPGmake_struct_type(struct_member_list[struct_level], actual_type[struct_level].type_enum, actual_type[struct_level].type_str, actual_type[struct_level].type_sizeof), dimension);

					(yyval.str) = cat_str(5, (yyvsp[-4].str), mm_strdup((yyvsp[-3].str)), (yyvsp[-2].index).str, (yyvsp[-1].str), (yyvsp[0].str));
					break;

				case ECPGt_varchar:
					if (atoi(dimension) < 0)
						type = ECPGmake_simple_type(actual_type[struct_level].type_enum, length, varchar_counter);
					else
						type = ECPGmake_array_type(ECPGmake_simple_type(actual_type[struct_level].type_enum, length, varchar_counter), dimension);

					if (strcmp(dimension, "0") == 0 || abs(atoi(dimension)) == 1)
							dim_str=mm_strdup("");
					else
							dim_str=cat_str(3, mm_strdup("["), mm_strdup(dimension), mm_strdup("]"));
					/* cannot check for atoi <= 0 because a defined constant will yield 0 here as well */
					if (atoi(length) < 0 || strcmp(length, "0") == 0)
						mmerror(PARSE_ERROR, ET_ERROR, "pointers to varchar are not implemented");

					/* make sure varchar struct name is unique by adding a unique counter to its definition */
					vcn = (char *) mm_alloc(sizeof(int) * CHAR_BIT * 10 / 3);
					sprintf(vcn, "%d", varchar_counter);
					if (strcmp(dimension, "0") == 0)
						(yyval.str) = cat_str(7, make2_str(mm_strdup(" struct varchar_"), vcn), mm_strdup(" { int len; char arr["), mm_strdup(length), mm_strdup("]; } *"), mm_strdup((yyvsp[-3].str)), (yyvsp[-1].str), (yyvsp[0].str));
					else
						(yyval.str) = cat_str(8, make2_str(mm_strdup(" struct varchar_"), vcn), mm_strdup(" { int len; char arr["), mm_strdup(length), mm_strdup("]; } "), mm_strdup((yyvsp[-3].str)), dim_str, (yyvsp[-1].str), (yyvsp[0].str));
					varchar_counter++;
					break;

				case ECPGt_char:
				case ECPGt_unsigned_char:
				case ECPGt_string:
					if (atoi(dimension) == -1)
					{
						int i = strlen((yyvsp[0].str));

						if (atoi(length) == -1 && i > 0) /* char <var>[] = "string" */
						{
							/* if we have an initializer but no string size set, let's use the initializer's length */
							free(length);
							length = mm_alloc(i+sizeof("sizeof()"));
							sprintf(length, "sizeof(%s)", (yyvsp[0].str)+2);
						}
						type = ECPGmake_simple_type(actual_type[struct_level].type_enum, length, 0);
					}
					else
						type = ECPGmake_array_type(ECPGmake_simple_type(actual_type[struct_level].type_enum, length, 0), dimension);

					(yyval.str) = cat_str(5, (yyvsp[-4].str), mm_strdup((yyvsp[-3].str)), (yyvsp[-2].index).str, (yyvsp[-1].str), (yyvsp[0].str));
					break;

				default:
					if (atoi(dimension) < 0)
						type = ECPGmake_simple_type(actual_type[struct_level].type_enum, mm_strdup("1"), 0);
					else
						type = ECPGmake_array_type(ECPGmake_simple_type(actual_type[struct_level].type_enum, mm_strdup("1"), 0), dimension);

					(yyval.str) = cat_str(5, (yyvsp[-4].str), mm_strdup((yyvsp[-3].str)), (yyvsp[-2].index).str, (yyvsp[-1].str), (yyvsp[0].str));
					break;
			}

			if (struct_level == 0)
				new_variable((yyvsp[-3].str), type, braces_open);
			else
				ECPGmake_struct_member((yyvsp[-3].str), type, &(struct_member_list[struct_level - 1]));

			free((yyvsp[-3].str));
		}
#line 47001 "preproc.c" /* yacc.c:1646  */
    break;

  case 2462:
#line 13819 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = EMPTY; }
#line 47007 "preproc.c" /* yacc.c:1646  */
    break;

  case 2463:
#line 13821 "preproc.y" /* yacc.c:1646  */
    {
			initializer = 1;
			(yyval.str) = cat2_str(mm_strdup("="), (yyvsp[0].str));
		}
#line 47016 "preproc.c" /* yacc.c:1646  */
    break;

  case 2464:
#line 13827 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = EMPTY; }
#line 47022 "preproc.c" /* yacc.c:1646  */
    break;

  case 2465:
#line 13828 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("*"); }
#line 47028 "preproc.c" /* yacc.c:1646  */
    break;

  case 2466:
#line 13829 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("**"); }
#line 47034 "preproc.c" /* yacc.c:1646  */
    break;

  case 2467:
#line 13836 "preproc.y" /* yacc.c:1646  */
    {
			/* this is only supported for compatibility */
			(yyval.str) = cat_str(3, mm_strdup("/* declare statement"), (yyvsp[0].str), mm_strdup("*/"));
		}
#line 47043 "preproc.c" /* yacc.c:1646  */
    break;

  case 2468:
#line 13844 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 47049 "preproc.c" /* yacc.c:1646  */
    break;

  case 2469:
#line 13847 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 47055 "preproc.c" /* yacc.c:1646  */
    break;

  case 2470:
#line 13848 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("\"CURRENT\""); }
#line 47061 "preproc.c" /* yacc.c:1646  */
    break;

  case 2471:
#line 13849 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("\"ALL\""); }
#line 47067 "preproc.c" /* yacc.c:1646  */
    break;

  case 2472:
#line 13850 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("\"CURRENT\""); }
#line 47073 "preproc.c" /* yacc.c:1646  */
    break;

  case 2473:
#line 13853 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = make3_str(mm_strdup("\""), (yyvsp[0].str), mm_strdup("\"")); }
#line 47079 "preproc.c" /* yacc.c:1646  */
    break;

  case 2474:
#line 13854 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("\"DEFAULT\""); }
#line 47085 "preproc.c" /* yacc.c:1646  */
    break;

  case 2475:
#line 13855 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 47091 "preproc.c" /* yacc.c:1646  */
    break;

  case 2476:
#line 13859 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 47097 "preproc.c" /* yacc.c:1646  */
    break;

  case 2477:
#line 13861 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = make3_str(mm_strdup("\""), (yyvsp[0].str), mm_strdup("\"")); }
#line 47103 "preproc.c" /* yacc.c:1646  */
    break;

  case 2478:
#line 13868 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 47109 "preproc.c" /* yacc.c:1646  */
    break;

  case 2479:
#line 13869 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("all"); }
#line 47115 "preproc.c" /* yacc.c:1646  */
    break;

  case 2480:
#line 13876 "preproc.y" /* yacc.c:1646  */
    {
			if ((yyvsp[-1].str)[0] == ':')
				remove_variable_from_list(&argsinsert, find_variable((yyvsp[-1].str) + 1));
			(yyval.str) = (yyvsp[-1].str);
		}
#line 47125 "preproc.c" /* yacc.c:1646  */
    break;

  case 2481:
#line 13883 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = EMPTY; }
#line 47131 "preproc.c" /* yacc.c:1646  */
    break;

  case 2482:
#line 13884 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 47137 "preproc.c" /* yacc.c:1646  */
    break;

  case 2483:
#line 13887 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = EMPTY; }
#line 47143 "preproc.c" /* yacc.c:1646  */
    break;

  case 2484:
#line 13888 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 47149 "preproc.c" /* yacc.c:1646  */
    break;

  case 2485:
#line 13892 "preproc.y" /* yacc.c:1646  */
    {
			add_variable_to_head(&argsinsert, descriptor_variable((yyvsp[0].str),0), &no_indicator);
			(yyval.str) = EMPTY;
		}
#line 47158 "preproc.c" /* yacc.c:1646  */
    break;

  case 2486:
#line 13897 "preproc.y" /* yacc.c:1646  */
    {
			add_variable_to_head(&argsinsert, sqlda_variable((yyvsp[0].str)), &no_indicator);
			(yyval.str) = EMPTY;
		}
#line 47167 "preproc.c" /* yacc.c:1646  */
    break;

  case 2487:
#line 13904 "preproc.y" /* yacc.c:1646  */
    {
			add_variable_to_head(&argsresult, descriptor_variable((yyvsp[0].str),1), &no_indicator);
			(yyval.str) = EMPTY;
		}
#line 47176 "preproc.c" /* yacc.c:1646  */
    break;

  case 2488:
#line 13909 "preproc.y" /* yacc.c:1646  */
    {
			add_variable_to_head(&argsresult, sqlda_variable((yyvsp[0].str)), &no_indicator);
			(yyval.str) = EMPTY;
		}
#line 47185 "preproc.c" /* yacc.c:1646  */
    break;

  case 2489:
#line 13916 "preproc.y" /* yacc.c:1646  */
    {
			add_variable_to_head(&argsresult, sqlda_variable((yyvsp[0].str)), &no_indicator);
			(yyval.str) = EMPTY;
		}
#line 47194 "preproc.c" /* yacc.c:1646  */
    break;

  case 2492:
#line 13925 "preproc.y" /* yacc.c:1646  */
    {
			char *length = mm_alloc(32);

			sprintf(length, "%d", (int) strlen((yyvsp[0].str)));
			add_variable_to_head(&argsinsert, new_variable((yyvsp[0].str), ECPGmake_simple_type(ECPGt_const, length, 0), 0), &no_indicator);
		}
#line 47205 "preproc.c" /* yacc.c:1646  */
    break;

  case 2493:
#line 13931 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = EMPTY; }
#line 47211 "preproc.c" /* yacc.c:1646  */
    break;

  case 2494:
#line 13932 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = EMPTY; }
#line 47217 "preproc.c" /* yacc.c:1646  */
    break;

  case 2495:
#line 13935 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 47223 "preproc.c" /* yacc.c:1646  */
    break;

  case 2496:
#line 13936 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = cat_str(2, mm_strdup("+"), (yyvsp[0].str)); }
#line 47229 "preproc.c" /* yacc.c:1646  */
    break;

  case 2497:
#line 13937 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = cat_str(2, mm_strdup("-"), (yyvsp[0].str)); }
#line 47235 "preproc.c" /* yacc.c:1646  */
    break;

  case 2498:
#line 13938 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 47241 "preproc.c" /* yacc.c:1646  */
    break;

  case 2499:
#line 13939 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = cat_str(2, mm_strdup("+"), (yyvsp[0].str)); }
#line 47247 "preproc.c" /* yacc.c:1646  */
    break;

  case 2500:
#line 13940 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = cat_str(2, mm_strdup("-"), (yyvsp[0].str)); }
#line 47253 "preproc.c" /* yacc.c:1646  */
    break;

  case 2501:
#line 13941 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 47259 "preproc.c" /* yacc.c:1646  */
    break;

  case 2502:
#line 13942 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 47265 "preproc.c" /* yacc.c:1646  */
    break;

  case 2503:
#line 13943 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 47271 "preproc.c" /* yacc.c:1646  */
    break;

  case 2504:
#line 13950 "preproc.y" /* yacc.c:1646  */
    {
		const char *con = connection ? connection : "NULL";
		mmerror(PARSE_ERROR, ET_WARNING, "using unsupported DESCRIBE statement");
		(yyval.str) = (char *) mm_alloc(sizeof("1, , ") + strlen(con) + strlen((yyvsp[-1].str)));
		sprintf((yyval.str), "1, %s, %s", con, (yyvsp[-1].str));
	}
#line 47282 "preproc.c" /* yacc.c:1646  */
    break;

  case 2505:
#line 13957 "preproc.y" /* yacc.c:1646  */
    {
		const char *con = connection ? connection : "NULL";
		struct variable *var;

		var = argsinsert->variable;
		remove_variable_from_list(&argsinsert, var);
		add_variable_to_head(&argsresult, var, &no_indicator);

		(yyval.str) = (char *) mm_alloc(sizeof("0, , ") + strlen(con) + strlen((yyvsp[-1].str)));
		sprintf((yyval.str), "0, %s, %s", con, (yyvsp[-1].str));
	}
#line 47298 "preproc.c" /* yacc.c:1646  */
    break;

  case 2506:
#line 13969 "preproc.y" /* yacc.c:1646  */
    {
		const char *con = connection ? connection : "NULL";
		(yyval.str) = (char *) mm_alloc(sizeof("0, , ") + strlen(con) + strlen((yyvsp[-1].str)));
		sprintf((yyval.str), "0, %s, %s", con, (yyvsp[-1].str));
	}
#line 47308 "preproc.c" /* yacc.c:1646  */
    break;

  case 2507:
#line 13975 "preproc.y" /* yacc.c:1646  */
    {
		const char *con = connection ? connection : "NULL";
		mmerror(PARSE_ERROR, ET_WARNING, "using unsupported DESCRIBE statement");
		(yyval.str) = (char *) mm_alloc(sizeof("1, , ") + strlen(con) + strlen((yyvsp[-1].str)));
		sprintf((yyval.str), "1, %s, %s", con, (yyvsp[-1].str));
	}
#line 47319 "preproc.c" /* yacc.c:1646  */
    break;

  case 2508:
#line 13982 "preproc.y" /* yacc.c:1646  */
    {
		const char *con = connection ? connection : "NULL";
		(yyval.str) = (char *) mm_alloc(sizeof("0, , ") + strlen(con) + strlen((yyvsp[-1].str)));
		sprintf((yyval.str), "0, %s, %s", con, (yyvsp[-1].str));
	}
#line 47329 "preproc.c" /* yacc.c:1646  */
    break;

  case 2509:
#line 13989 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("output"); }
#line 47335 "preproc.c" /* yacc.c:1646  */
    break;

  case 2510:
#line 13990 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = EMPTY; }
#line 47341 "preproc.c" /* yacc.c:1646  */
    break;

  case 2511:
#line 14003 "preproc.y" /* yacc.c:1646  */
    {
			add_descriptor((yyvsp[0].str),connection);
			(yyval.str) = (yyvsp[0].str);
		}
#line 47350 "preproc.c" /* yacc.c:1646  */
    break;

  case 2512:
#line 14014 "preproc.y" /* yacc.c:1646  */
    {
			drop_descriptor((yyvsp[0].str),connection);
			(yyval.str) = (yyvsp[0].str);
		}
#line 47359 "preproc.c" /* yacc.c:1646  */
    break;

  case 2513:
#line 14025 "preproc.y" /* yacc.c:1646  */
    {  (yyval.str) = (yyvsp[-1].str); }
#line 47365 "preproc.c" /* yacc.c:1646  */
    break;

  case 2516:
#line 14033 "preproc.y" /* yacc.c:1646  */
    { push_assignment((yyvsp[-2].str), (yyvsp[0].dtype_enum)); }
#line 47371 "preproc.c" /* yacc.c:1646  */
    break;

  case 2517:
#line 14038 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[-1].str); }
#line 47377 "preproc.c" /* yacc.c:1646  */
    break;

  case 2520:
#line 14046 "preproc.y" /* yacc.c:1646  */
    {
			push_assignment((yyvsp[0].str), (yyvsp[-2].dtype_enum));
		}
#line 47385 "preproc.c" /* yacc.c:1646  */
    break;

  case 2521:
#line 14052 "preproc.y" /* yacc.c:1646  */
    {
			char *length = mm_alloc(sizeof(int) * CHAR_BIT * 10 / 3);

			sprintf(length, "%d", (int) strlen((yyvsp[0].str)));
			new_variable((yyvsp[0].str), ECPGmake_simple_type(ECPGt_const, length, 0), 0);
			(yyval.str) = (yyvsp[0].str);
		}
#line 47397 "preproc.c" /* yacc.c:1646  */
    break;

  case 2522:
#line 14060 "preproc.y" /* yacc.c:1646  */
    {
			(yyval.str) = (yyvsp[0].str);
		}
#line 47405 "preproc.c" /* yacc.c:1646  */
    break;

  case 2523:
#line 14065 "preproc.y" /* yacc.c:1646  */
    { (yyval.dtype_enum) = ECPGd_count; }
#line 47411 "preproc.c" /* yacc.c:1646  */
    break;

  case 2524:
#line 14073 "preproc.y" /* yacc.c:1646  */
    {  (yyval.descriptor).str = (yyvsp[-1].str); (yyval.descriptor).name = (yyvsp[-3].str); }
#line 47417 "preproc.c" /* yacc.c:1646  */
    break;

  case 2527:
#line 14080 "preproc.y" /* yacc.c:1646  */
    { push_assignment((yyvsp[-2].str), (yyvsp[0].dtype_enum)); }
#line 47423 "preproc.c" /* yacc.c:1646  */
    break;

  case 2528:
#line 14084 "preproc.y" /* yacc.c:1646  */
    {  (yyval.descriptor).str = (yyvsp[-1].str); (yyval.descriptor).name = (yyvsp[-3].str); }
#line 47429 "preproc.c" /* yacc.c:1646  */
    break;

  case 2531:
#line 14092 "preproc.y" /* yacc.c:1646  */
    {
			push_assignment((yyvsp[0].str), (yyvsp[-2].dtype_enum));
		}
#line 47437 "preproc.c" /* yacc.c:1646  */
    break;

  case 2532:
#line 14098 "preproc.y" /* yacc.c:1646  */
    {
			char *length = mm_alloc(sizeof(int) * CHAR_BIT * 10 / 3);

			sprintf(length, "%d", (int) strlen((yyvsp[0].str)));
			new_variable((yyvsp[0].str), ECPGmake_simple_type(ECPGt_const, length, 0), 0);
			(yyval.str) = (yyvsp[0].str);
		}
#line 47449 "preproc.c" /* yacc.c:1646  */
    break;

  case 2533:
#line 14107 "preproc.y" /* yacc.c:1646  */
    {
			(yyval.str) = (yyvsp[0].str);
		}
#line 47457 "preproc.c" /* yacc.c:1646  */
    break;

  case 2534:
#line 14112 "preproc.y" /* yacc.c:1646  */
    {
			char *length = mm_alloc(sizeof(int) * CHAR_BIT * 10 / 3);
			char *var = cat2_str(mm_strdup("-"), (yyvsp[0].str));

			sprintf(length, "%d", (int) strlen(var));
			new_variable(var, ECPGmake_simple_type(ECPGt_const, length, 0), 0);
			(yyval.str) = var;
		}
#line 47470 "preproc.c" /* yacc.c:1646  */
    break;

  case 2535:
#line 14122 "preproc.y" /* yacc.c:1646  */
    {
			char *length = mm_alloc(sizeof(int) * CHAR_BIT * 10 / 3);
			char *var = cat2_str(mm_strdup("-"), (yyvsp[0].str));

			sprintf(length, "%d", (int) strlen(var));
			new_variable(var, ECPGmake_simple_type(ECPGt_const, length, 0), 0);
			(yyval.str) = var;
		}
#line 47483 "preproc.c" /* yacc.c:1646  */
    break;

  case 2536:
#line 14132 "preproc.y" /* yacc.c:1646  */
    {
			char *length = mm_alloc(sizeof(int) * CHAR_BIT * 10 / 3);
			char *var = (yyvsp[0].str) + 1;

			var[strlen(var) - 1] = '\0';
			sprintf(length, "%d", (int) strlen(var));
			new_variable(var, ECPGmake_simple_type(ECPGt_const, length, 0), 0);
			(yyval.str) = var;
		}
#line 47497 "preproc.c" /* yacc.c:1646  */
    break;

  case 2537:
#line 14143 "preproc.y" /* yacc.c:1646  */
    { (yyval.dtype_enum) = ECPGd_cardinality; }
#line 47503 "preproc.c" /* yacc.c:1646  */
    break;

  case 2538:
#line 14144 "preproc.y" /* yacc.c:1646  */
    { (yyval.dtype_enum) = ECPGd_data; }
#line 47509 "preproc.c" /* yacc.c:1646  */
    break;

  case 2539:
#line 14145 "preproc.y" /* yacc.c:1646  */
    { (yyval.dtype_enum) = ECPGd_di_code; }
#line 47515 "preproc.c" /* yacc.c:1646  */
    break;

  case 2540:
#line 14146 "preproc.y" /* yacc.c:1646  */
    { (yyval.dtype_enum) = ECPGd_di_precision; }
#line 47521 "preproc.c" /* yacc.c:1646  */
    break;

  case 2541:
#line 14147 "preproc.y" /* yacc.c:1646  */
    { (yyval.dtype_enum) = ECPGd_indicator; }
#line 47527 "preproc.c" /* yacc.c:1646  */
    break;

  case 2542:
#line 14148 "preproc.y" /* yacc.c:1646  */
    { (yyval.dtype_enum) = ECPGd_key_member; }
#line 47533 "preproc.c" /* yacc.c:1646  */
    break;

  case 2543:
#line 14149 "preproc.y" /* yacc.c:1646  */
    { (yyval.dtype_enum) = ECPGd_length; }
#line 47539 "preproc.c" /* yacc.c:1646  */
    break;

  case 2544:
#line 14150 "preproc.y" /* yacc.c:1646  */
    { (yyval.dtype_enum) = ECPGd_name; }
#line 47545 "preproc.c" /* yacc.c:1646  */
    break;

  case 2545:
#line 14151 "preproc.y" /* yacc.c:1646  */
    { (yyval.dtype_enum) = ECPGd_nullable; }
#line 47551 "preproc.c" /* yacc.c:1646  */
    break;

  case 2546:
#line 14152 "preproc.y" /* yacc.c:1646  */
    { (yyval.dtype_enum) = ECPGd_octet; }
#line 47557 "preproc.c" /* yacc.c:1646  */
    break;

  case 2547:
#line 14153 "preproc.y" /* yacc.c:1646  */
    { (yyval.dtype_enum) = ECPGd_precision; }
#line 47563 "preproc.c" /* yacc.c:1646  */
    break;

  case 2548:
#line 14154 "preproc.y" /* yacc.c:1646  */
    { (yyval.dtype_enum) = ECPGd_length; }
#line 47569 "preproc.c" /* yacc.c:1646  */
    break;

  case 2549:
#line 14155 "preproc.y" /* yacc.c:1646  */
    { (yyval.dtype_enum) = ECPGd_ret_octet; }
#line 47575 "preproc.c" /* yacc.c:1646  */
    break;

  case 2550:
#line 14156 "preproc.y" /* yacc.c:1646  */
    { (yyval.dtype_enum) = ECPGd_scale; }
#line 47581 "preproc.c" /* yacc.c:1646  */
    break;

  case 2551:
#line 14157 "preproc.y" /* yacc.c:1646  */
    { (yyval.dtype_enum) = ECPGd_type; }
#line 47587 "preproc.c" /* yacc.c:1646  */
    break;

  case 2552:
#line 14164 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 47593 "preproc.c" /* yacc.c:1646  */
    break;

  case 2553:
#line 14165 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 47599 "preproc.c" /* yacc.c:1646  */
    break;

  case 2554:
#line 14168 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("on"); }
#line 47605 "preproc.c" /* yacc.c:1646  */
    break;

  case 2555:
#line 14169 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("off"); }
#line 47611 "preproc.c" /* yacc.c:1646  */
    break;

  case 2556:
#line 14176 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 47617 "preproc.c" /* yacc.c:1646  */
    break;

  case 2557:
#line 14177 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 47623 "preproc.c" /* yacc.c:1646  */
    break;

  case 2558:
#line 14178 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 47629 "preproc.c" /* yacc.c:1646  */
    break;

  case 2559:
#line 14185 "preproc.y" /* yacc.c:1646  */
    {
			/* reset this variable so we see if there was */
			/* an initializer specified */
			initializer = 0;
		}
#line 47639 "preproc.c" /* yacc.c:1646  */
    break;

  case 2560:
#line 14191 "preproc.y" /* yacc.c:1646  */
    {
			add_typedef((yyvsp[-4].str), (yyvsp[-1].index).index1, (yyvsp[-1].index).index2, (yyvsp[-2].type).type_enum, (yyvsp[-2].type).type_dimension, (yyvsp[-2].type).type_index, initializer, *(yyvsp[0].str) ? 1 : 0);

			if (auto_create_c == false)
				(yyval.str) = cat_str(7, mm_strdup("/* exec sql type"), mm_strdup((yyvsp[-4].str)), mm_strdup("is"), mm_strdup((yyvsp[-2].type).type_str), mm_strdup((yyvsp[-1].index).str), (yyvsp[0].str), mm_strdup("*/"));
			else
				(yyval.str) = cat_str(6, mm_strdup("typedef "), mm_strdup((yyvsp[-2].type).type_str), *(yyvsp[0].str)?mm_strdup("*"):mm_strdup(""), mm_strdup((yyvsp[-4].str)), mm_strdup((yyvsp[-1].index).str), mm_strdup(";"));
		}
#line 47652 "preproc.c" /* yacc.c:1646  */
    break;

  case 2561:
#line 14201 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("reference"); }
#line 47658 "preproc.c" /* yacc.c:1646  */
    break;

  case 2562:
#line 14202 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = EMPTY; }
#line 47664 "preproc.c" /* yacc.c:1646  */
    break;

  case 2563:
#line 14209 "preproc.y" /* yacc.c:1646  */
    {
			/* reset this variable so we see if there was */
			/* an initializer specified */
			initializer = 0;
		}
#line 47674 "preproc.c" /* yacc.c:1646  */
    break;

  case 2564:
#line 14215 "preproc.y" /* yacc.c:1646  */
    {
			struct variable *p = find_variable((yyvsp[-4].str));
			char *dimension = (yyvsp[-1].index).index1;
			char *length = (yyvsp[-1].index).index2;
			struct ECPGtype * type;

			if (((yyvsp[-2].type).type_enum == ECPGt_struct ||
				 (yyvsp[-2].type).type_enum == ECPGt_union) &&
				initializer == 1)
				mmerror(PARSE_ERROR, ET_ERROR, "initializer not allowed in EXEC SQL VAR command");
			else
			{
				adjust_array((yyvsp[-2].type).type_enum, &dimension, &length, (yyvsp[-2].type).type_dimension, (yyvsp[-2].type).type_index, *(yyvsp[0].str)?1:0, false);

				switch ((yyvsp[-2].type).type_enum)
				{
					case ECPGt_struct:
					case ECPGt_union:
						if (atoi(dimension) < 0)
							type = ECPGmake_struct_type(struct_member_list[struct_level], (yyvsp[-2].type).type_enum, (yyvsp[-2].type).type_str, (yyvsp[-2].type).type_sizeof);
						else
							type = ECPGmake_array_type(ECPGmake_struct_type(struct_member_list[struct_level], (yyvsp[-2].type).type_enum, (yyvsp[-2].type).type_str, (yyvsp[-2].type).type_sizeof), dimension);
						break;

					case ECPGt_varchar:
						if (atoi(dimension) == -1)
							type = ECPGmake_simple_type((yyvsp[-2].type).type_enum, length, 0);
						else
							type = ECPGmake_array_type(ECPGmake_simple_type((yyvsp[-2].type).type_enum, length, 0), dimension);
						break;

					case ECPGt_char:
					case ECPGt_unsigned_char:
					case ECPGt_string:
						if (atoi(dimension) == -1)
							type = ECPGmake_simple_type((yyvsp[-2].type).type_enum, length, 0);
						else
							type = ECPGmake_array_type(ECPGmake_simple_type((yyvsp[-2].type).type_enum, length, 0), dimension);
						break;

					default:
						if (atoi(length) >= 0)
							mmerror(PARSE_ERROR, ET_ERROR, "multidimensional arrays for simple data types are not supported");

						if (atoi(dimension) < 0)
							type = ECPGmake_simple_type((yyvsp[-2].type).type_enum, mm_strdup("1"), 0);
						else
							type = ECPGmake_array_type(ECPGmake_simple_type((yyvsp[-2].type).type_enum, mm_strdup("1"), 0), dimension);
						break;
				}

				ECPGfree_type(p->type);
				p->type = type;
			}

			(yyval.str) = cat_str(7, mm_strdup("/* exec sql var"), mm_strdup((yyvsp[-4].str)), mm_strdup("is"), mm_strdup((yyvsp[-2].type).type_str), mm_strdup((yyvsp[-1].index).str), (yyvsp[0].str), mm_strdup("*/"));
		}
#line 47736 "preproc.c" /* yacc.c:1646  */
    break;

  case 2565:
#line 14279 "preproc.y" /* yacc.c:1646  */
    {
			when_error.code = (yyvsp[0].action).code;
			when_error.command = (yyvsp[0].action).command;
			(yyval.str) = cat_str(3, mm_strdup("/* exec sql whenever sqlerror "), (yyvsp[0].action).str, mm_strdup("; */"));
		}
#line 47746 "preproc.c" /* yacc.c:1646  */
    break;

  case 2566:
#line 14285 "preproc.y" /* yacc.c:1646  */
    {
			when_nf.code = (yyvsp[0].action).code;
			when_nf.command = (yyvsp[0].action).command;
			(yyval.str) = cat_str(3, mm_strdup("/* exec sql whenever not found "), (yyvsp[0].action).str, mm_strdup("; */"));
		}
#line 47756 "preproc.c" /* yacc.c:1646  */
    break;

  case 2567:
#line 14291 "preproc.y" /* yacc.c:1646  */
    {
			when_warn.code = (yyvsp[0].action).code;
			when_warn.command = (yyvsp[0].action).command;
			(yyval.str) = cat_str(3, mm_strdup("/* exec sql whenever sql_warning "), (yyvsp[0].action).str, mm_strdup("; */"));
		}
#line 47766 "preproc.c" /* yacc.c:1646  */
    break;

  case 2568:
#line 14299 "preproc.y" /* yacc.c:1646  */
    {
			(yyval.action).code = W_NOTHING;
			(yyval.action).command = NULL;
			(yyval.action).str = mm_strdup("continue");
		}
#line 47776 "preproc.c" /* yacc.c:1646  */
    break;

  case 2569:
#line 14305 "preproc.y" /* yacc.c:1646  */
    {
			(yyval.action).code = W_SQLPRINT;
			(yyval.action).command = NULL;
			(yyval.action).str = mm_strdup("sqlprint");
		}
#line 47786 "preproc.c" /* yacc.c:1646  */
    break;

  case 2570:
#line 14311 "preproc.y" /* yacc.c:1646  */
    {
			(yyval.action).code = W_STOP;
			(yyval.action).command = NULL;
			(yyval.action).str = mm_strdup("stop");
		}
#line 47796 "preproc.c" /* yacc.c:1646  */
    break;

  case 2571:
#line 14317 "preproc.y" /* yacc.c:1646  */
    {
			(yyval.action).code = W_GOTO;
			(yyval.action).command = strdup((yyvsp[0].str));
			(yyval.action).str = cat2_str(mm_strdup("goto "), (yyvsp[0].str));
		}
#line 47806 "preproc.c" /* yacc.c:1646  */
    break;

  case 2572:
#line 14323 "preproc.y" /* yacc.c:1646  */
    {
			(yyval.action).code = W_GOTO;
			(yyval.action).command = strdup((yyvsp[0].str));
			(yyval.action).str = cat2_str(mm_strdup("goto "), (yyvsp[0].str));
		}
#line 47816 "preproc.c" /* yacc.c:1646  */
    break;

  case 2573:
#line 14329 "preproc.y" /* yacc.c:1646  */
    {
			(yyval.action).code = W_DO;
			(yyval.action).command = cat_str(4, (yyvsp[-3].str), mm_strdup("("), (yyvsp[-1].str), mm_strdup(")"));
			(yyval.action).str = cat2_str(mm_strdup("do"), mm_strdup((yyval.action).command));
		}
#line 47826 "preproc.c" /* yacc.c:1646  */
    break;

  case 2574:
#line 14335 "preproc.y" /* yacc.c:1646  */
    {
			(yyval.action).code = W_BREAK;
			(yyval.action).command = NULL;
			(yyval.action).str = mm_strdup("break");
		}
#line 47836 "preproc.c" /* yacc.c:1646  */
    break;

  case 2575:
#line 14341 "preproc.y" /* yacc.c:1646  */
    {
			(yyval.action).code = W_DO;
			(yyval.action).command = cat_str(4, (yyvsp[-3].str), mm_strdup("("), (yyvsp[-1].str), mm_strdup(")"));
			(yyval.action).str = cat2_str(mm_strdup("call"), mm_strdup((yyval.action).command));
		}
#line 47846 "preproc.c" /* yacc.c:1646  */
    break;

  case 2576:
#line 14347 "preproc.y" /* yacc.c:1646  */
    {
			(yyval.action).code = W_DO;
			(yyval.action).command = cat2_str((yyvsp[0].str), mm_strdup("()"));
			(yyval.action).str = cat2_str(mm_strdup("call"), mm_strdup((yyval.action).command));
		}
#line 47856 "preproc.c" /* yacc.c:1646  */
    break;

  case 2577:
#line 14357 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 47862 "preproc.c" /* yacc.c:1646  */
    break;

  case 2578:
#line 14358 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 47868 "preproc.c" /* yacc.c:1646  */
    break;

  case 2579:
#line 14361 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("break"); }
#line 47874 "preproc.c" /* yacc.c:1646  */
    break;

  case 2580:
#line 14362 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("call"); }
#line 47880 "preproc.c" /* yacc.c:1646  */
    break;

  case 2581:
#line 14363 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("cardinality"); }
#line 47886 "preproc.c" /* yacc.c:1646  */
    break;

  case 2582:
#line 14364 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("count"); }
#line 47892 "preproc.c" /* yacc.c:1646  */
    break;

  case 2583:
#line 14365 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("datetime_interval_code"); }
#line 47898 "preproc.c" /* yacc.c:1646  */
    break;

  case 2584:
#line 14366 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("datetime_interval_precision"); }
#line 47904 "preproc.c" /* yacc.c:1646  */
    break;

  case 2585:
#line 14367 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("found"); }
#line 47910 "preproc.c" /* yacc.c:1646  */
    break;

  case 2586:
#line 14368 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("go"); }
#line 47916 "preproc.c" /* yacc.c:1646  */
    break;

  case 2587:
#line 14369 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("goto"); }
#line 47922 "preproc.c" /* yacc.c:1646  */
    break;

  case 2588:
#line 14370 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("identified"); }
#line 47928 "preproc.c" /* yacc.c:1646  */
    break;

  case 2589:
#line 14371 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("indicator"); }
#line 47934 "preproc.c" /* yacc.c:1646  */
    break;

  case 2590:
#line 14372 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("key_member"); }
#line 47940 "preproc.c" /* yacc.c:1646  */
    break;

  case 2591:
#line 14373 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("length"); }
#line 47946 "preproc.c" /* yacc.c:1646  */
    break;

  case 2592:
#line 14374 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("nullable"); }
#line 47952 "preproc.c" /* yacc.c:1646  */
    break;

  case 2593:
#line 14375 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("octet_length"); }
#line 47958 "preproc.c" /* yacc.c:1646  */
    break;

  case 2594:
#line 14376 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("returned_length"); }
#line 47964 "preproc.c" /* yacc.c:1646  */
    break;

  case 2595:
#line 14377 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("returned_octet_length"); }
#line 47970 "preproc.c" /* yacc.c:1646  */
    break;

  case 2596:
#line 14378 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("scale"); }
#line 47976 "preproc.c" /* yacc.c:1646  */
    break;

  case 2597:
#line 14379 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("section"); }
#line 47982 "preproc.c" /* yacc.c:1646  */
    break;

  case 2598:
#line 14380 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("sql"); }
#line 47988 "preproc.c" /* yacc.c:1646  */
    break;

  case 2599:
#line 14381 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("sqlerror"); }
#line 47994 "preproc.c" /* yacc.c:1646  */
    break;

  case 2600:
#line 14382 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("sqlprint"); }
#line 48000 "preproc.c" /* yacc.c:1646  */
    break;

  case 2601:
#line 14383 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("sqlwarning"); }
#line 48006 "preproc.c" /* yacc.c:1646  */
    break;

  case 2602:
#line 14384 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("stop"); }
#line 48012 "preproc.c" /* yacc.c:1646  */
    break;

  case 2603:
#line 14387 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("connect"); }
#line 48018 "preproc.c" /* yacc.c:1646  */
    break;

  case 2604:
#line 14388 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("describe"); }
#line 48024 "preproc.c" /* yacc.c:1646  */
    break;

  case 2605:
#line 14389 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("disconnect"); }
#line 48030 "preproc.c" /* yacc.c:1646  */
    break;

  case 2606:
#line 14390 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("open"); }
#line 48036 "preproc.c" /* yacc.c:1646  */
    break;

  case 2607:
#line 14391 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("var"); }
#line 48042 "preproc.c" /* yacc.c:1646  */
    break;

  case 2608:
#line 14392 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("whenever"); }
#line 48048 "preproc.c" /* yacc.c:1646  */
    break;

  case 2609:
#line 14396 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("bool"); }
#line 48054 "preproc.c" /* yacc.c:1646  */
    break;

  case 2610:
#line 14397 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("long"); }
#line 48060 "preproc.c" /* yacc.c:1646  */
    break;

  case 2611:
#line 14398 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("output"); }
#line 48066 "preproc.c" /* yacc.c:1646  */
    break;

  case 2612:
#line 14399 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("short"); }
#line 48072 "preproc.c" /* yacc.c:1646  */
    break;

  case 2613:
#line 14400 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("struct"); }
#line 48078 "preproc.c" /* yacc.c:1646  */
    break;

  case 2614:
#line 14401 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("signed"); }
#line 48084 "preproc.c" /* yacc.c:1646  */
    break;

  case 2615:
#line 14402 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("unsigned"); }
#line 48090 "preproc.c" /* yacc.c:1646  */
    break;

  case 2616:
#line 14405 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 48096 "preproc.c" /* yacc.c:1646  */
    break;

  case 2617:
#line 14408 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 48102 "preproc.c" /* yacc.c:1646  */
    break;

  case 2618:
#line 14409 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 48108 "preproc.c" /* yacc.c:1646  */
    break;

  case 2619:
#line 14410 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 48114 "preproc.c" /* yacc.c:1646  */
    break;

  case 2620:
#line 14411 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 48120 "preproc.c" /* yacc.c:1646  */
    break;

  case 2621:
#line 14412 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 48126 "preproc.c" /* yacc.c:1646  */
    break;

  case 2622:
#line 14413 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 48132 "preproc.c" /* yacc.c:1646  */
    break;

  case 2623:
#line 14414 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("char"); }
#line 48138 "preproc.c" /* yacc.c:1646  */
    break;

  case 2624:
#line 14415 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("values"); }
#line 48144 "preproc.c" /* yacc.c:1646  */
    break;

  case 2625:
#line 14428 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 48150 "preproc.c" /* yacc.c:1646  */
    break;

  case 2626:
#line 14429 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 48156 "preproc.c" /* yacc.c:1646  */
    break;

  case 2627:
#line 14430 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 48162 "preproc.c" /* yacc.c:1646  */
    break;

  case 2628:
#line 14431 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 48168 "preproc.c" /* yacc.c:1646  */
    break;

  case 2629:
#line 14432 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 48174 "preproc.c" /* yacc.c:1646  */
    break;

  case 2630:
#line 14433 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("char"); }
#line 48180 "preproc.c" /* yacc.c:1646  */
    break;

  case 2631:
#line 14434 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("values"); }
#line 48186 "preproc.c" /* yacc.c:1646  */
    break;

  case 2632:
#line 14439 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 48192 "preproc.c" /* yacc.c:1646  */
    break;

  case 2633:
#line 14440 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 48198 "preproc.c" /* yacc.c:1646  */
    break;

  case 2634:
#line 14441 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 48204 "preproc.c" /* yacc.c:1646  */
    break;

  case 2635:
#line 14442 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 48210 "preproc.c" /* yacc.c:1646  */
    break;

  case 2636:
#line 14443 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 48216 "preproc.c" /* yacc.c:1646  */
    break;

  case 2637:
#line 14444 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 48222 "preproc.c" /* yacc.c:1646  */
    break;

  case 2638:
#line 14450 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 48228 "preproc.c" /* yacc.c:1646  */
    break;

  case 2639:
#line 14451 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 48234 "preproc.c" /* yacc.c:1646  */
    break;

  case 2640:
#line 14452 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("char"); }
#line 48240 "preproc.c" /* yacc.c:1646  */
    break;

  case 2641:
#line 14453 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("current"); }
#line 48246 "preproc.c" /* yacc.c:1646  */
    break;

  case 2642:
#line 14454 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("input"); }
#line 48252 "preproc.c" /* yacc.c:1646  */
    break;

  case 2643:
#line 14455 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("int"); }
#line 48258 "preproc.c" /* yacc.c:1646  */
    break;

  case 2644:
#line 14456 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("to"); }
#line 48264 "preproc.c" /* yacc.c:1646  */
    break;

  case 2645:
#line 14457 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("union"); }
#line 48270 "preproc.c" /* yacc.c:1646  */
    break;

  case 2646:
#line 14458 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("values"); }
#line 48276 "preproc.c" /* yacc.c:1646  */
    break;

  case 2647:
#line 14459 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 48282 "preproc.c" /* yacc.c:1646  */
    break;

  case 2648:
#line 14460 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 48288 "preproc.c" /* yacc.c:1646  */
    break;

  case 2649:
#line 14463 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 48294 "preproc.c" /* yacc.c:1646  */
    break;

  case 2650:
#line 14464 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 48300 "preproc.c" /* yacc.c:1646  */
    break;

  case 2651:
#line 14465 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 48306 "preproc.c" /* yacc.c:1646  */
    break;

  case 2652:
#line 14466 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 48312 "preproc.c" /* yacc.c:1646  */
    break;

  case 2653:
#line 14467 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("connection"); }
#line 48318 "preproc.c" /* yacc.c:1646  */
    break;

  case 2654:
#line 14470 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 48324 "preproc.c" /* yacc.c:1646  */
    break;

  case 2655:
#line 14471 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 48330 "preproc.c" /* yacc.c:1646  */
    break;

  case 2656:
#line 14472 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 48336 "preproc.c" /* yacc.c:1646  */
    break;

  case 2657:
#line 14473 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 48342 "preproc.c" /* yacc.c:1646  */
    break;

  case 2658:
#line 14476 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("auto"); }
#line 48348 "preproc.c" /* yacc.c:1646  */
    break;

  case 2659:
#line 14477 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("const"); }
#line 48354 "preproc.c" /* yacc.c:1646  */
    break;

  case 2660:
#line 14478 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("extern"); }
#line 48360 "preproc.c" /* yacc.c:1646  */
    break;

  case 2661:
#line 14479 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("register"); }
#line 48366 "preproc.c" /* yacc.c:1646  */
    break;

  case 2662:
#line 14480 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("static"); }
#line 48372 "preproc.c" /* yacc.c:1646  */
    break;

  case 2663:
#line 14481 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("typedef"); }
#line 48378 "preproc.c" /* yacc.c:1646  */
    break;

  case 2664:
#line 14482 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("volatile"); }
#line 48384 "preproc.c" /* yacc.c:1646  */
    break;

  case 2665:
#line 14499 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 48390 "preproc.c" /* yacc.c:1646  */
    break;

  case 2666:
#line 14500 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 48396 "preproc.c" /* yacc.c:1646  */
    break;

  case 2667:
#line 14501 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("connection"); }
#line 48402 "preproc.c" /* yacc.c:1646  */
    break;

  case 2668:
#line 14504 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("day"); }
#line 48408 "preproc.c" /* yacc.c:1646  */
    break;

  case 2669:
#line 14505 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("hour"); }
#line 48414 "preproc.c" /* yacc.c:1646  */
    break;

  case 2670:
#line 14506 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("minute"); }
#line 48420 "preproc.c" /* yacc.c:1646  */
    break;

  case 2671:
#line 14507 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("month"); }
#line 48426 "preproc.c" /* yacc.c:1646  */
    break;

  case 2672:
#line 14508 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("second"); }
#line 48432 "preproc.c" /* yacc.c:1646  */
    break;

  case 2673:
#line 14509 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("year"); }
#line 48438 "preproc.c" /* yacc.c:1646  */
    break;

  case 2676:
#line 14516 "preproc.y" /* yacc.c:1646  */
    {
				reset_variables();
				pacounter = 1;
			}
#line 48447 "preproc.c" /* yacc.c:1646  */
    break;

  case 2677:
#line 14522 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = EMPTY; }
#line 48453 "preproc.c" /* yacc.c:1646  */
    break;

  case 2678:
#line 14523 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 48459 "preproc.c" /* yacc.c:1646  */
    break;

  case 2679:
#line 14527 "preproc.y" /* yacc.c:1646  */
    { add_variable_to_head(&argsresult, find_variable((yyvsp[-1].str)), find_variable((yyvsp[0].str))); }
#line 48465 "preproc.c" /* yacc.c:1646  */
    break;

  case 2680:
#line 14529 "preproc.y" /* yacc.c:1646  */
    { add_variable_to_head(&argsresult, find_variable((yyvsp[0].str)), &no_indicator); }
#line 48471 "preproc.c" /* yacc.c:1646  */
    break;

  case 2681:
#line 14534 "preproc.y" /* yacc.c:1646  */
    {
			if (find_variable((yyvsp[0].str))->type->type == ECPGt_array)
				mmerror(PARSE_ERROR, ET_ERROR, "arrays of indicators are not allowed on input");

			add_variable_to_head(&argsinsert, find_variable((yyvsp[-1].str)), find_variable((yyvsp[0].str)));
			(yyval.str) = create_questionmarks((yyvsp[-1].str), false);
		}
#line 48483 "preproc.c" /* yacc.c:1646  */
    break;

  case 2682:
#line 14544 "preproc.y" /* yacc.c:1646  */
    {
			char *ptr = strstr((yyvsp[0].str), ".arr");

			if (ptr) /* varchar, we need the struct name here, not the struct element */
				*ptr = '\0';
			add_variable_to_head(&argsinsert, find_variable((yyvsp[0].str)), &no_indicator);
			(yyval.str) = (yyvsp[0].str);
		}
#line 48496 "preproc.c" /* yacc.c:1646  */
    break;

  case 2683:
#line 14555 "preproc.y" /* yacc.c:1646  */
    {
			add_variable_to_head(&argsinsert, find_variable((yyvsp[0].str)), &no_indicator);
			(yyval.str) = create_questionmarks((yyvsp[0].str), false);
		}
#line 48505 "preproc.c" /* yacc.c:1646  */
    break;

  case 2684:
#line 14561 "preproc.y" /* yacc.c:1646  */
    { check_indicator((find_variable((yyvsp[0].str)))->type); (yyval.str) = (yyvsp[0].str); }
#line 48511 "preproc.c" /* yacc.c:1646  */
    break;

  case 2685:
#line 14562 "preproc.y" /* yacc.c:1646  */
    { check_indicator((find_variable((yyvsp[0].str)))->type); (yyval.str) = (yyvsp[0].str); }
#line 48517 "preproc.c" /* yacc.c:1646  */
    break;

  case 2686:
#line 14563 "preproc.y" /* yacc.c:1646  */
    { check_indicator((find_variable((yyvsp[0].str)))->type); (yyval.str) = (yyvsp[0].str); }
#line 48523 "preproc.c" /* yacc.c:1646  */
    break;

  case 2687:
#line 14567 "preproc.y" /* yacc.c:1646  */
    {
			/* As long as multidimensional arrays are not implemented we have to check for those here */
			char *ptr = (yyvsp[0].str);
			int brace_open=0, brace = false;

			for (; *ptr; ptr++)
			{
				switch (*ptr)
				{
					case '[':
							if (brace)
								mmerror(PARSE_ERROR, ET_FATAL, "multidimensional arrays for simple data types are not supported");
							brace_open++;
							break;
					case ']':
							brace_open--;
							if (brace_open == 0)
								brace = true;
							break;
					case '\t':
					case ' ':
							break;
					default:
							if (brace_open == 0)
								brace = false;
							break;
				}
			}
			(yyval.str) = (yyvsp[0].str);
		}
#line 48558 "preproc.c" /* yacc.c:1646  */
    break;

  case 2688:
#line 14599 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = make_name(); }
#line 48564 "preproc.c" /* yacc.c:1646  */
    break;

  case 2689:
#line 14601 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = make_name(); }
#line 48570 "preproc.c" /* yacc.c:1646  */
    break;

  case 2690:
#line 14603 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = make_name(); }
#line 48576 "preproc.c" /* yacc.c:1646  */
    break;

  case 2691:
#line 14607 "preproc.y" /* yacc.c:1646  */
    {
			/* could have been input as '' or $$ */
			(yyval.str) = (char *)mm_alloc(strlen((yyvsp[0].str)) + 3);
			(yyval.str)[0]='\'';
			strcpy((yyval.str)+1, (yyvsp[0].str));
			(yyval.str)[strlen((yyvsp[0].str))+1]='\'';
			(yyval.str)[strlen((yyvsp[0].str))+2]='\0';
			free((yyvsp[0].str));
		}
#line 48590 "preproc.c" /* yacc.c:1646  */
    break;

  case 2692:
#line 14617 "preproc.y" /* yacc.c:1646  */
    {
			(yyval.str) = (char *)mm_alloc(strlen((yyvsp[0].str)) + 4);
			(yyval.str)[0]='E';
			(yyval.str)[1]='\'';
			strcpy((yyval.str)+2, (yyvsp[0].str));
			(yyval.str)[strlen((yyvsp[0].str))+2]='\'';
			(yyval.str)[strlen((yyvsp[0].str))+3]='\0';
			free((yyvsp[0].str));
		}
#line 48604 "preproc.c" /* yacc.c:1646  */
    break;

  case 2693:
#line 14627 "preproc.y" /* yacc.c:1646  */
    {
			(yyval.str) = (char *)mm_alloc(strlen((yyvsp[0].str)) + 4);
			(yyval.str)[0]='N';
			(yyval.str)[1]='\'';
			strcpy((yyval.str)+2, (yyvsp[0].str));
			(yyval.str)[strlen((yyvsp[0].str))+2]='\'';
			(yyval.str)[strlen((yyvsp[0].str))+3]='\0';
			free((yyvsp[0].str));
		}
#line 48618 "preproc.c" /* yacc.c:1646  */
    break;

  case 2694:
#line 14636 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 48624 "preproc.c" /* yacc.c:1646  */
    break;

  case 2695:
#line 14637 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 48630 "preproc.c" /* yacc.c:1646  */
    break;

  case 2696:
#line 14640 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = make_name(); }
#line 48636 "preproc.c" /* yacc.c:1646  */
    break;

  case 2697:
#line 14642 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = make_name(); }
#line 48642 "preproc.c" /* yacc.c:1646  */
    break;

  case 2698:
#line 14643 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = make3_str(mm_strdup("\""), (yyvsp[0].str), mm_strdup("\"")); }
#line 48648 "preproc.c" /* yacc.c:1646  */
    break;

  case 2699:
#line 14644 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 48654 "preproc.c" /* yacc.c:1646  */
    break;

  case 2700:
#line 14648 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = make3_str(mm_strdup("\""), (yyvsp[0].str), mm_strdup("\"")); }
#line 48660 "preproc.c" /* yacc.c:1646  */
    break;

  case 2701:
#line 14650 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = make3_str(mm_strdup("("), (yyvsp[0].str), mm_strdup(")")); }
#line 48666 "preproc.c" /* yacc.c:1646  */
    break;

  case 2702:
#line 14657 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 48672 "preproc.c" /* yacc.c:1646  */
    break;

  case 2703:
#line 14658 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("()"); }
#line 48678 "preproc.c" /* yacc.c:1646  */
    break;

  case 2704:
#line 14660 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = cat_str(3, mm_strdup("("), (yyvsp[-1].str), mm_strdup(")")); }
#line 48684 "preproc.c" /* yacc.c:1646  */
    break;

  case 2705:
#line 14663 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 48690 "preproc.c" /* yacc.c:1646  */
    break;

  case 2706:
#line 14665 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = cat2_str((yyvsp[-1].str), (yyvsp[0].str)); }
#line 48696 "preproc.c" /* yacc.c:1646  */
    break;

  case 2707:
#line 14668 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 48702 "preproc.c" /* yacc.c:1646  */
    break;

  case 2708:
#line 14669 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = cat_str(3, (yyvsp[-2].str), mm_strdup(","), (yyvsp[0].str)); }
#line 48708 "preproc.c" /* yacc.c:1646  */
    break;

  case 2709:
#line 14672 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 48714 "preproc.c" /* yacc.c:1646  */
    break;

  case 2710:
#line 14673 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = cat_str(3, mm_strdup("{"), (yyvsp[-1].str), mm_strdup("}")); }
#line 48720 "preproc.c" /* yacc.c:1646  */
    break;

  case 2711:
#line 14676 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 48726 "preproc.c" /* yacc.c:1646  */
    break;

  case 2712:
#line 14677 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("("); }
#line 48732 "preproc.c" /* yacc.c:1646  */
    break;

  case 2713:
#line 14678 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup(")"); }
#line 48738 "preproc.c" /* yacc.c:1646  */
    break;

  case 2714:
#line 14679 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup(","); }
#line 48744 "preproc.c" /* yacc.c:1646  */
    break;

  case 2715:
#line 14680 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup(";"); }
#line 48750 "preproc.c" /* yacc.c:1646  */
    break;

  case 2716:
#line 14683 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 48756 "preproc.c" /* yacc.c:1646  */
    break;

  case 2717:
#line 14684 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 48762 "preproc.c" /* yacc.c:1646  */
    break;

  case 2718:
#line 14685 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 48768 "preproc.c" /* yacc.c:1646  */
    break;

  case 2719:
#line 14686 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 48774 "preproc.c" /* yacc.c:1646  */
    break;

  case 2720:
#line 14687 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("*"); }
#line 48780 "preproc.c" /* yacc.c:1646  */
    break;

  case 2721:
#line 14688 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("+"); }
#line 48786 "preproc.c" /* yacc.c:1646  */
    break;

  case 2722:
#line 14689 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("-"); }
#line 48792 "preproc.c" /* yacc.c:1646  */
    break;

  case 2723:
#line 14690 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("/"); }
#line 48798 "preproc.c" /* yacc.c:1646  */
    break;

  case 2724:
#line 14691 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("%"); }
#line 48804 "preproc.c" /* yacc.c:1646  */
    break;

  case 2725:
#line 14692 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("NULL"); }
#line 48810 "preproc.c" /* yacc.c:1646  */
    break;

  case 2726:
#line 14693 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("+="); }
#line 48816 "preproc.c" /* yacc.c:1646  */
    break;

  case 2727:
#line 14694 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("&&"); }
#line 48822 "preproc.c" /* yacc.c:1646  */
    break;

  case 2728:
#line 14695 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = make_name(); }
#line 48828 "preproc.c" /* yacc.c:1646  */
    break;

  case 2729:
#line 14696 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("auto"); }
#line 48834 "preproc.c" /* yacc.c:1646  */
    break;

  case 2730:
#line 14697 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("const"); }
#line 48840 "preproc.c" /* yacc.c:1646  */
    break;

  case 2731:
#line 14698 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("--"); }
#line 48846 "preproc.c" /* yacc.c:1646  */
    break;

  case 2732:
#line 14699 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("/="); }
#line 48852 "preproc.c" /* yacc.c:1646  */
    break;

  case 2733:
#line 14700 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup(".*"); }
#line 48858 "preproc.c" /* yacc.c:1646  */
    break;

  case 2734:
#line 14701 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("=="); }
#line 48864 "preproc.c" /* yacc.c:1646  */
    break;

  case 2735:
#line 14702 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("extern"); }
#line 48870 "preproc.c" /* yacc.c:1646  */
    break;

  case 2736:
#line 14703 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("++"); }
#line 48876 "preproc.c" /* yacc.c:1646  */
    break;

  case 2737:
#line 14704 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("<<"); }
#line 48882 "preproc.c" /* yacc.c:1646  */
    break;

  case 2738:
#line 14705 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("->"); }
#line 48888 "preproc.c" /* yacc.c:1646  */
    break;

  case 2739:
#line 14706 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("->*"); }
#line 48894 "preproc.c" /* yacc.c:1646  */
    break;

  case 2740:
#line 14707 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("%="); }
#line 48900 "preproc.c" /* yacc.c:1646  */
    break;

  case 2741:
#line 14708 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("*="); }
#line 48906 "preproc.c" /* yacc.c:1646  */
    break;

  case 2742:
#line 14709 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("!="); }
#line 48912 "preproc.c" /* yacc.c:1646  */
    break;

  case 2743:
#line 14710 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("||"); }
#line 48918 "preproc.c" /* yacc.c:1646  */
    break;

  case 2744:
#line 14711 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("register"); }
#line 48924 "preproc.c" /* yacc.c:1646  */
    break;

  case 2745:
#line 14712 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup(">>"); }
#line 48930 "preproc.c" /* yacc.c:1646  */
    break;

  case 2746:
#line 14713 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("static"); }
#line 48936 "preproc.c" /* yacc.c:1646  */
    break;

  case 2747:
#line 14714 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("-="); }
#line 48942 "preproc.c" /* yacc.c:1646  */
    break;

  case 2748:
#line 14715 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("typedef"); }
#line 48948 "preproc.c" /* yacc.c:1646  */
    break;

  case 2749:
#line 14716 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("volatile"); }
#line 48954 "preproc.c" /* yacc.c:1646  */
    break;

  case 2750:
#line 14717 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("bool"); }
#line 48960 "preproc.c" /* yacc.c:1646  */
    break;

  case 2751:
#line 14718 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("enum"); }
#line 48966 "preproc.c" /* yacc.c:1646  */
    break;

  case 2752:
#line 14719 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("hour"); }
#line 48972 "preproc.c" /* yacc.c:1646  */
    break;

  case 2753:
#line 14720 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("int"); }
#line 48978 "preproc.c" /* yacc.c:1646  */
    break;

  case 2754:
#line 14721 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("long"); }
#line 48984 "preproc.c" /* yacc.c:1646  */
    break;

  case 2755:
#line 14722 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("minute"); }
#line 48990 "preproc.c" /* yacc.c:1646  */
    break;

  case 2756:
#line 14723 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("month"); }
#line 48996 "preproc.c" /* yacc.c:1646  */
    break;

  case 2757:
#line 14724 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("second"); }
#line 49002 "preproc.c" /* yacc.c:1646  */
    break;

  case 2758:
#line 14725 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("short"); }
#line 49008 "preproc.c" /* yacc.c:1646  */
    break;

  case 2759:
#line 14726 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("signed"); }
#line 49014 "preproc.c" /* yacc.c:1646  */
    break;

  case 2760:
#line 14727 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("struct"); }
#line 49020 "preproc.c" /* yacc.c:1646  */
    break;

  case 2761:
#line 14728 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("unsigned"); }
#line 49026 "preproc.c" /* yacc.c:1646  */
    break;

  case 2762:
#line 14729 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("year"); }
#line 49032 "preproc.c" /* yacc.c:1646  */
    break;

  case 2763:
#line 14730 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("char"); }
#line 49038 "preproc.c" /* yacc.c:1646  */
    break;

  case 2764:
#line 14731 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("float"); }
#line 49044 "preproc.c" /* yacc.c:1646  */
    break;

  case 2765:
#line 14732 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("to"); }
#line 49050 "preproc.c" /* yacc.c:1646  */
    break;

  case 2766:
#line 14733 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("union"); }
#line 49056 "preproc.c" /* yacc.c:1646  */
    break;

  case 2767:
#line 14734 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("varchar"); }
#line 49062 "preproc.c" /* yacc.c:1646  */
    break;

  case 2768:
#line 14735 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("["); }
#line 49068 "preproc.c" /* yacc.c:1646  */
    break;

  case 2769:
#line 14736 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("]"); }
#line 49074 "preproc.c" /* yacc.c:1646  */
    break;

  case 2770:
#line 14737 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("="); }
#line 49080 "preproc.c" /* yacc.c:1646  */
    break;

  case 2771:
#line 14738 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup(":"); }
#line 49086 "preproc.c" /* yacc.c:1646  */
    break;

  case 2772:
#line 14741 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 49092 "preproc.c" /* yacc.c:1646  */
    break;

  case 2773:
#line 14742 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 49098 "preproc.c" /* yacc.c:1646  */
    break;

  case 2774:
#line 14743 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("all"); }
#line 49104 "preproc.c" /* yacc.c:1646  */
    break;

  case 2775:
#line 14744 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("all"); }
#line 49110 "preproc.c" /* yacc.c:1646  */
    break;

  case 2776:
#line 14747 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 49116 "preproc.c" /* yacc.c:1646  */
    break;

  case 2777:
#line 14748 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = cat_str(3, mm_strdup("("), (yyvsp[-1].str), mm_strdup(")")); }
#line 49122 "preproc.c" /* yacc.c:1646  */
    break;

  case 2778:
#line 14749 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = cat_str(3, (yyvsp[-2].str), mm_strdup("+"), (yyvsp[0].str)); }
#line 49128 "preproc.c" /* yacc.c:1646  */
    break;

  case 2779:
#line 14750 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = cat_str(3, (yyvsp[-2].str), mm_strdup("-"), (yyvsp[0].str)); }
#line 49134 "preproc.c" /* yacc.c:1646  */
    break;

  case 2780:
#line 14751 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = cat_str(3, (yyvsp[-2].str), mm_strdup("*"), (yyvsp[0].str)); }
#line 49140 "preproc.c" /* yacc.c:1646  */
    break;

  case 2781:
#line 14752 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = cat_str(3, (yyvsp[-2].str), mm_strdup("/"), (yyvsp[0].str)); }
#line 49146 "preproc.c" /* yacc.c:1646  */
    break;

  case 2782:
#line 14753 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = cat_str(3, (yyvsp[-2].str), mm_strdup("%"), (yyvsp[0].str)); }
#line 49152 "preproc.c" /* yacc.c:1646  */
    break;

  case 2783:
#line 14754 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 49158 "preproc.c" /* yacc.c:1646  */
    break;

  case 2784:
#line 14755 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 49164 "preproc.c" /* yacc.c:1646  */
    break;

  case 2785:
#line 14758 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = EMPTY; }
#line 49170 "preproc.c" /* yacc.c:1646  */
    break;

  case 2786:
#line 14759 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = EMPTY; }
#line 49176 "preproc.c" /* yacc.c:1646  */
    break;

  case 2787:
#line 14760 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = EMPTY; }
#line 49182 "preproc.c" /* yacc.c:1646  */
    break;

  case 2788:
#line 14761 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = EMPTY; }
#line 49188 "preproc.c" /* yacc.c:1646  */
    break;

  case 2789:
#line 14764 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = EMPTY; }
#line 49194 "preproc.c" /* yacc.c:1646  */
    break;

  case 2790:
#line 14765 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 49200 "preproc.c" /* yacc.c:1646  */
    break;

  case 2791:
#line 14768 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = EMPTY; }
#line 49206 "preproc.c" /* yacc.c:1646  */
    break;

  case 2792:
#line 14769 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 49212 "preproc.c" /* yacc.c:1646  */
    break;

  case 2793:
#line 14772 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 49218 "preproc.c" /* yacc.c:1646  */
    break;

  case 2794:
#line 14774 "preproc.y" /* yacc.c:1646  */
    {
		struct variable *var;

		var = argsinsert->variable;
		remove_variable_from_list(&argsinsert, var);
		add_variable_to_head(&argsresult, var, &no_indicator);
		(yyval.str) = (yyvsp[0].str);
	}
#line 49231 "preproc.c" /* yacc.c:1646  */
    break;

  case 2795:
#line 14784 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = EMPTY; }
#line 49237 "preproc.c" /* yacc.c:1646  */
    break;

  case 2796:
#line 14785 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 49243 "preproc.c" /* yacc.c:1646  */
    break;


#line 49247 "preproc.c" /* yacc.c:1646  */
      default: break;
    }
  /* User semantic actions sometimes alter yychar, and that requires
     that yytoken be updated with the new translation.  We take the
     approach of translating immediately before every use of yytoken.
     One alternative is translating here after every semantic action,
     but that translation would be missed if the semantic action invokes
     YYABORT, YYACCEPT, or YYERROR immediately after altering yychar or
     if it invokes YYBACKUP.  In the case of YYABORT or YYACCEPT, an
     incorrect destructor might then be invoked immediately.  In the
     case of YYERROR or YYBACKUP, subsequent parser actions might lead
     to an incorrect destructor call or verbose syntax error message
     before the lookahead is translated.  */
  YY_SYMBOL_PRINT ("-> $$ =", yyr1[yyn], &yyval, &yyloc);

  YYPOPSTACK (yylen);
  yylen = 0;
  YY_STACK_PRINT (yyss, yyssp);

  *++yyvsp = yyval;
  *++yylsp = yyloc;

  /* Now 'shift' the result of the reduction.  Determine what state
     that goes to, based on the state we popped back to and the rule
     number reduced by.  */

  yyn = yyr1[yyn];

  yystate = yypgoto[yyn - YYNTOKENS] + *yyssp;
  if (0 <= yystate && yystate <= YYLAST && yycheck[yystate] == *yyssp)
    yystate = yytable[yystate];
  else
    yystate = yydefgoto[yyn - YYNTOKENS];

  goto yynewstate;


/*--------------------------------------.
| yyerrlab -- here on detecting error.  |
`--------------------------------------*/
yyerrlab:
  /* Make sure we have latest lookahead translation.  See comments at
     user semantic actions for why this is necessary.  */
  yytoken = yychar == YYEMPTY ? YYEMPTY : YYTRANSLATE (yychar);

  /* If not already recovering from an error, report this error.  */
  if (!yyerrstatus)
    {
      ++yynerrs;
#if ! YYERROR_VERBOSE
      yyerror (YY_("syntax error"));
#else
# define YYSYNTAX_ERROR yysyntax_error (&yymsg_alloc, &yymsg, \
                                        yyssp, yytoken)
      {
        char const *yymsgp = YY_("syntax error");
        int yysyntax_error_status;
        yysyntax_error_status = YYSYNTAX_ERROR;
        if (yysyntax_error_status == 0)
          yymsgp = yymsg;
        else if (yysyntax_error_status == 1)
          {
            if (yymsg != yymsgbuf)
              YYSTACK_FREE (yymsg);
            yymsg = (char *) YYSTACK_ALLOC (yymsg_alloc);
            if (!yymsg)
              {
                yymsg = yymsgbuf;
                yymsg_alloc = sizeof yymsgbuf;
                yysyntax_error_status = 2;
              }
            else
              {
                yysyntax_error_status = YYSYNTAX_ERROR;
                yymsgp = yymsg;
              }
          }
        yyerror (yymsgp);
        if (yysyntax_error_status == 2)
          goto yyexhaustedlab;
      }
# undef YYSYNTAX_ERROR
#endif
    }

  yyerror_range[1] = yylloc;

  if (yyerrstatus == 3)
    {
      /* If just tried and failed to reuse lookahead token after an
         error, discard it.  */

      if (yychar <= YYEOF)
        {
          /* Return failure if at end of input.  */
          if (yychar == YYEOF)
            YYABORT;
        }
      else
        {
          yydestruct ("Error: discarding",
                      yytoken, &yylval, &yylloc);
          yychar = YYEMPTY;
        }
    }

  /* Else will try to reuse lookahead token after shifting the error
     token.  */
  goto yyerrlab1;


/*---------------------------------------------------.
| yyerrorlab -- error raised explicitly by YYERROR.  |
`---------------------------------------------------*/
yyerrorlab:

  /* Pacify compilers like GCC when the user code never invokes
     YYERROR and the label yyerrorlab therefore never appears in user
     code.  */
  if (/*CONSTCOND*/ 0)
     goto yyerrorlab;

  yyerror_range[1] = yylsp[1-yylen];
  /* Do not reclaim the symbols of the rule whose action triggered
     this YYERROR.  */
  YYPOPSTACK (yylen);
  yylen = 0;
  YY_STACK_PRINT (yyss, yyssp);
  yystate = *yyssp;
  goto yyerrlab1;


/*-------------------------------------------------------------.
| yyerrlab1 -- common code for both syntax error and YYERROR.  |
`-------------------------------------------------------------*/
yyerrlab1:
  yyerrstatus = 3;      /* Each real token shifted decrements this.  */

  for (;;)
    {
      yyn = yypact[yystate];
      if (!yypact_value_is_default (yyn))
        {
          yyn += YYTERROR;
          if (0 <= yyn && yyn <= YYLAST && yycheck[yyn] == YYTERROR)
            {
              yyn = yytable[yyn];
              if (0 < yyn)
                break;
            }
        }

      /* Pop the current state because it cannot handle the error token.  */
      if (yyssp == yyss)
        YYABORT;

      yyerror_range[1] = *yylsp;
      yydestruct ("Error: popping",
                  yystos[yystate], yyvsp, yylsp);
      YYPOPSTACK (1);
      yystate = *yyssp;
      YY_STACK_PRINT (yyss, yyssp);
    }

  YY_IGNORE_MAYBE_UNINITIALIZED_BEGIN
  *++yyvsp = yylval;
  YY_IGNORE_MAYBE_UNINITIALIZED_END

  yyerror_range[2] = yylloc;
  /* Using YYLLOC is tempting, but would change the location of
     the lookahead.  YYLOC is available though.  */
  YYLLOC_DEFAULT (yyloc, yyerror_range, 2);
  *++yylsp = yyloc;

  /* Shift the error token.  */
  YY_SYMBOL_PRINT ("Shifting", yystos[yyn], yyvsp, yylsp);

  yystate = yyn;
  goto yynewstate;


/*-------------------------------------.
| yyacceptlab -- YYACCEPT comes here.  |
`-------------------------------------*/
yyacceptlab:
  yyresult = 0;
  goto yyreturn;

/*-----------------------------------.
| yyabortlab -- YYABORT comes here.  |
`-----------------------------------*/
yyabortlab:
  yyresult = 1;
  goto yyreturn;

#if !defined yyoverflow || YYERROR_VERBOSE
/*-------------------------------------------------.
| yyexhaustedlab -- memory exhaustion comes here.  |
`-------------------------------------------------*/
yyexhaustedlab:
  yyerror (YY_("memory exhausted"));
  yyresult = 2;
  /* Fall through.  */
#endif

yyreturn:
  if (yychar != YYEMPTY)
    {
      /* Make sure we have latest lookahead translation.  See comments at
         user semantic actions for why this is necessary.  */
      yytoken = YYTRANSLATE (yychar);
      yydestruct ("Cleanup: discarding lookahead",
                  yytoken, &yylval, &yylloc);
    }
  /* Do not reclaim the symbols of the rule whose action triggered
     this YYABORT or YYACCEPT.  */
  YYPOPSTACK (yylen);
  YY_STACK_PRINT (yyss, yyssp);
  while (yyssp != yyss)
    {
      yydestruct ("Cleanup: popping",
                  yystos[*yyssp], yyvsp, yylsp);
      YYPOPSTACK (1);
    }
#ifndef yyoverflow
  if (yyss != yyssa)
    YYSTACK_FREE (yyss);
#endif
#if YYERROR_VERBOSE
  if (yymsg != yymsgbuf)
    YYSTACK_FREE (yymsg);
#endif
  return yyresult;
}
#line 14788 "preproc.y" /* yacc.c:1906  */


void base_yyerror(const char *error)
{
	/* translator: %s is typically the translation of "syntax error" */
	mmerror(PARSE_ERROR, ET_ERROR, "%s at or near \"%s\"",
			_(error), token_start ? token_start : base_yytext);
}

void parser_init(void)
{
 /* This function is empty. It only exists for compatibility with the backend parser right now. */
}
